package android.hardware.biometrics.fingerprint.V2_1;

public final class FingerprintAcquired {
    public int acquiredInfo;

    public final boolean equals(java.lang.Object otherObject) {
        if (this == otherObject) {
            return true;
        }
        if (otherObject == null || otherObject.getClass() != android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired.class) {
            return false;
        }
        if (this.acquiredInfo != ((android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired) otherObject).acquiredInfo) {
            return false;
        }
        return true;
    }

    public final int hashCode() {
        return java.util.Objects.hash(new java.lang.Object[]{java.lang.Integer.valueOf(android.os.HidlSupport.deepHashCode(java.lang.Integer.valueOf(this.acquiredInfo)))});
    }

    public final java.lang.String toString() {
        java.lang.StringBuilder builder = new java.lang.StringBuilder();
        builder.append("{");
        builder.append(".acquiredInfo = ");
        builder.append(android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquiredInfo.toString(this.acquiredInfo));
        builder.append("}");
        return builder.toString();
    }

    public final void readFromParcel(android.os.HwParcel parcel) {
        readEmbeddedFromParcel(parcel, parcel.readBuffer(4), 0);
    }

    public static final java.util.ArrayList<android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired> readVectorFromParcel(android.os.HwParcel parcel) {
        java.util.ArrayList<android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired> _hidl_vec = new java.util.ArrayList();
        android.os.HwBlob _hidl_blob = parcel.readBuffer(16);
        int _hidl_vec_size = _hidl_blob.getInt32(8);
        android.os.HwBlob childBlob = parcel.readEmbeddedBuffer((long) (_hidl_vec_size * 4), _hidl_blob.handle(), 0, true);
        _hidl_vec.clear();
        for (int _hidl_index_0 = 0; _hidl_index_0 < _hidl_vec_size; _hidl_index_0++) {
            android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired _hidl_vec_element = new android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired();
            _hidl_vec_element.readEmbeddedFromParcel(parcel, childBlob, (long) (_hidl_index_0 * 4));
            _hidl_vec.add(_hidl_vec_element);
        }
        return _hidl_vec;
    }

    public final void readEmbeddedFromParcel(android.os.HwParcel parcel, android.os.HwBlob _hidl_blob, long _hidl_offset) {
        this.acquiredInfo = _hidl_blob.getInt32(0 + _hidl_offset);
    }

    public final void writeToParcel(android.os.HwParcel parcel) {
        android.os.HwBlob _hidl_blob = new android.os.HwBlob(4);
        writeEmbeddedToBlob(_hidl_blob, 0);
        parcel.writeBuffer(_hidl_blob);
    }

    public static final void writeVectorToParcel(android.os.HwParcel parcel, java.util.ArrayList<android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired> _hidl_vec) {
        android.os.HwBlob _hidl_blob = new android.os.HwBlob(16);
        int _hidl_vec_size = _hidl_vec.size();
        _hidl_blob.putInt32(8, _hidl_vec_size);
        int _hidl_index_0 = 0;
        _hidl_blob.putBool(12, false);
        android.os.HwBlob childBlob = new android.os.HwBlob(_hidl_vec_size * 4);
        while (_hidl_index_0 < _hidl_vec_size) {
            ((android.hardware.biometrics.fingerprint.V2_1.FingerprintAcquired) _hidl_vec.get(_hidl_index_0)).writeEmbeddedToBlob(childBlob, (long) (_hidl_index_0 * 4));
            _hidl_index_0++;
        }
        _hidl_blob.putBlob(0, childBlob);
        parcel.writeBuffer(_hidl_blob);
    }

    public final void writeEmbeddedToBlob(android.os.HwBlob _hidl_blob, long _hidl_offset) {
        _hidl_blob.putInt32(0 + _hidl_offset, this.acquiredInfo);
    }
}
