package android.net.dhcp;

public class DhcpResultsInfoDBHelper extends android.database.sqlite.SQLiteOpenHelper {
    public static final java.lang.String DATABASE_NAME = "DhcpResultsInfo.db";
    public static final int DATABASE_VERSION = 4;
    public static final java.lang.String DHCP_RESULTS_INFO_DB_NAME = "DhcpResults";

    public DhcpResultsInfoDBHelper(android.content.Context context) {
        super(context, "DhcpResultsInfo.db", null, 4);
    }

    public void onCreate(android.database.sqlite.SQLiteDatabase db) {
        java.lang.StringBuffer sBuffer = new java.lang.StringBuffer();
        sBuffer.append("CREATE TABLE if not exists [DhcpResults] (");
        sBuffer.append("[apSSID] TEXT PRIMARY KEY, ");
        sBuffer.append("[IP] TEXT, ");
        sBuffer.append("[DHCPServer] TEXT, ");
        sBuffer.append("[EX1] TEXT, ");
        sBuffer.append("[EX2] TEXT)");
        db.execSQL(sBuffer.toString());
    }

    public void onUpgrade(android.database.sqlite.SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL("DROP TABLE IF EXISTS DhcpResults");
        onCreate(db);
    }

    public void onDowngrade(android.database.sqlite.SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL("DROP TABLE IF EXISTS DhcpResults");
        onCreate(db);
    }
}
