package android.os;

@android.annotation.SystemApi
public abstract class HwBinder implements android.os.IHwBinder {
    private static final java.lang.String TAG = "HwBinder";
    private static final libcore.util.NativeAllocationRegistry sNativeRegistry = new libcore.util.NativeAllocationRegistry(android.os.HwBinder.class.getClassLoader(), native_init(), 128);
    private long mNativeContext;

    @android.annotation.SystemApi
    public static final native void configureRpcThreadpool(long j, boolean z);

    @android.annotation.SystemApi
    public static final native android.os.IHwBinder getService(java.lang.String str, java.lang.String str2, boolean z) throws android.os.RemoteException, java.util.NoSuchElementException;

    @android.annotation.SystemApi
    public static final native void joinRpcThreadpool();

    private static final native long native_init();

    private static native void native_report_sysprop_change();

    private final native void native_setup();

    @android.annotation.SystemApi
    public abstract void onTransact(int i, android.os.HwParcel hwParcel, android.os.HwParcel hwParcel2, int i2) throws android.os.RemoteException;

    @android.annotation.SystemApi
    public final native void registerService(java.lang.String str) throws android.os.RemoteException;

    public final native void transact(int i, android.os.HwParcel hwParcel, android.os.HwParcel hwParcel2, int i2) throws android.os.RemoteException;

    @android.annotation.SystemApi
    public HwBinder() {
        native_setup();
        sNativeRegistry.registerNativeAllocation(this, this.mNativeContext);
    }

    @android.annotation.SystemApi
    public static final android.os.IHwBinder getService(java.lang.String iface, java.lang.String serviceName) throws android.os.RemoteException, java.util.NoSuchElementException {
        return getService(iface, serviceName, false);
    }

    @android.annotation.SystemApi
    public static void enableInstrumentation() {
        native_report_sysprop_change();
    }

    public static void reportSyspropChanged() {
        native_report_sysprop_change();
    }
}
