package com.android.server.GcmFixer;

public class HeartbeatReceiver extends android.content.BroadcastReceiver {
    private static final android.content.Intent GTALK_HEART_BEAT_INTENT = new android.content.Intent("com.google.android.intent.action.GTALK_HEARTBEAT");
    public static final java.lang.String HEARTBEAT_FIXER_ACTION = "com.android.intent.action.HEARTBEAT_FIXER";
    private static final android.content.Intent MCS_MCS_HEARTBEAT_INTENT = new android.content.Intent("com.google.android.intent.action.MCS_HEARTBEAT");
    private static final java.lang.String TAG = "HeartbeatReceiver";

    public void onReceive(android.content.Context context, android.content.Intent intent) {
        context.sendBroadcast(GTALK_HEART_BEAT_INTENT);
        context.sendBroadcast(MCS_MCS_HEARTBEAT_INTENT);
        android.util.Slog.i("HeartbeatReceiver", "Sent heartbeat request...");
        com.android.server.GcmFixer.GcmHeartBeatFixer.scheduleHeartbeatRequest(context, false, true);
    }
}
