package com.android.server;

public class HwServiceExFactoryImpl implements com.android.server.HwServiceExFactory.Factory {
    private static final java.lang.String TAG = "HwServiceExFactoryImpl";

    public com.android.server.am.IHwActivityManagerServiceEx getHwActivityManagerServiceEx(com.android.server.am.IHwActivityManagerInner ams, android.content.Context context) {
        return new com.android.server.am.HwActivityManagerServiceEx(ams, context);
    }

    public com.android.server.wm.IHwWindowManagerServiceEx getHwWindowManagerServiceEx(com.android.server.wm.IHwWindowManagerInner wms, android.content.Context context) {
        return new com.android.server.wm.HwWindowManagerServiceEx(wms, context);
    }

    public com.android.server.pm.IHwPackageManagerServiceEx getHwPackageManagerServiceEx(com.android.server.pm.IHwPackageManagerInner pms, android.content.Context context) {
        return new com.android.server.pm.HwPackageManagerServiceEx(pms, context);
    }

    public com.android.server.imm.IHwInputMethodManagerServiceEx getHwInputMethodManagerServiceEx(com.android.server.imm.IHwInputMethodManagerInner ims, android.content.Context context) {
        return new com.android.server.imm.HwInputMethodManagerServiceEx(ims, context);
    }

    public com.android.server.pm.IHwBackgroundDexOptServiceEx getHwBackgroundDexOptServiceEx(com.android.server.pm.IHwBackgroundDexOptInner bdos, android.content.Context context) {
        return new com.android.server.pm.HwBackgroundDexOptServiceEx(bdos, context);
    }

    public com.huawei.server.am.IHwActivityStarterEx getHwActivityStarterEx(com.android.server.am.ActivityManagerService ams) {
        return new com.android.server.am.HwActivityStarterEx(ams);
    }

    public com.android.server.audio.IHwAudioServiceEx getHwAudioServiceEx(com.android.server.audio.IHwAudioServiceInner ias, android.content.Context context) {
        return new com.android.server.audio.HwAudioServiceEx(ias, context);
    }

    public com.android.server.power.IHwPowerManagerServiceEx getHwPowerManagerServiceEx(com.android.server.power.IHwPowerManagerInner pms, android.content.Context context) {
        return new com.android.server.power.HwPowerManagerServiceEx(pms, context);
    }

    public com.android.server.input.IHwInputManagerServiceEx getHwInputManagerServiceEx(com.android.server.input.IHwInputManagerInner ims, android.content.Context context) {
        return new com.android.server.input.HwInputManagerServiceEx(ims, context);
    }

    public com.huawei.server.am.IHwActivityStackSupervisorEx getHwActivityStackSupervisorEx() {
        return new com.android.server.am.HwActivityStackSupervisorEx();
    }

    public com.android.server.display.IHwDisplayManagerServiceEx getHwDisplayManagerServiceEx(com.android.server.display.IHwDisplayManagerInner dms, android.content.Context context) {
        return new com.android.server.display.HwDisplayManagerServiceEx(dms, context);
    }
}
