package com.android.server.am;

public class HwActivityStackSupervisorEx implements com.huawei.server.am.IHwActivityStackSupervisorEx {
    public static final java.lang.String TAG = "HwActivityStackSupervisorEx";

    public void adjustFocusDisplayOrder(android.util.SparseIntArray tmpOrderedDisplayIds, int displayIdForStack) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && tmpOrderedDisplayIds != null) {
            int N = tmpOrderedDisplayIds.size();
            if (N > 1) {
                int tempElem = tmpOrderedDisplayIds.get(N - 1);
                if (tempElem != displayIdForStack) {
                    for (int i = N - 2; i >= 0; i--) {
                        int displayId = tmpOrderedDisplayIds.get(i);
                        if (displayId == displayIdForStack) {
                            tmpOrderedDisplayIds.put(N - 1, displayIdForStack);
                            tmpOrderedDisplayIds.put(i, tempElem);
                            break;
                        }
                        tmpOrderedDisplayIds.put(i, tempElem);
                        tempElem = displayId;
                    }
                }
            }
        }
    }
}
