package com.android.server.cota;

public class CotaService extends android.app.Service {
    private static com.huawei.cota.aidl.ICotaCallBack mICotaCallBack;
    private final com.huawei.cota.aidl.ICotaInterface.Stub mBinder = new com.huawei.cota.aidl.ICotaInterface.Stub() {
        public boolean registerCallBack(com.huawei.cota.aidl.ICotaCallBack callback, java.lang.String packageName) throws android.os.RemoteException {
            if (callback == null) {
                return false;
            }
            com.android.server.cota.CotaService cotaService = com.android.server.cota.CotaService.this;
            com.android.server.cota.CotaService.mICotaCallBack = callback;
            return true;
        }

        public boolean unregisterCallBack(com.huawei.cota.aidl.ICotaCallBack callback, java.lang.String packageName) throws android.os.RemoteException {
            com.android.server.cota.CotaService cotaService = com.android.server.cota.CotaService.this;
            com.android.server.cota.CotaService.mICotaCallBack = null;
            return true;
        }

        public void startInstallApks() throws android.os.RemoteException {
            com.android.server.cota.CotaInstallImpl.getInstance().doInstall();
        }

        public int getApksInstallStatus() throws android.os.RemoteException {
            return com.android.server.cota.CotaInstallImpl.getInstance().doGetStatus();
        }
    };

    public static com.huawei.cota.aidl.ICotaCallBack getICotaCallBack() {
        return mICotaCallBack;
    }

    public android.os.IBinder onBind(android.content.Intent intent) {
        return this.mBinder;
    }

    public boolean onUnbind(android.content.Intent intent) {
        return super.onUnbind(intent);
    }
}
