package com.android.server.devicepolicy.plugins;

public class SettingsMDMPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    public static final java.lang.String ADM_APK_NAME = "adm_apk_name";
    public static final java.lang.String ADM_CLASS_NAME = "adm_class_name";
    public static final java.lang.String CONFIG_NORMAL_VALUE = "NORMAL";
    public static final java.lang.String CONFIG_NOT_SETUP_VALUE = "not_set_status";
    private static final java.lang.String[] CONFIG_POLICY_ARRAY = new java.lang.String[]{"settings_policy_modify_wifi_sleep_mode_config", "settings_policy_modify_font_size_config"};
    public static final java.lang.String DISABLED_ANDROID_ANIMATION = "disabled-android-animation";
    public static final java.lang.String EMPTY_STRING = "";
    private static final java.util.ArrayList<java.lang.String> LISTENER_APK_LIST = new java.util.ArrayList();
    private static final java.lang.String[] LIST_POLICY_ARRAY = new java.lang.String[]{"accessibility_services_white_list"};
    public static final java.lang.String MDM_POLICY_NAME = "mdm_policy_name";
    public static final java.lang.String MDM_POLICY_TYPE = "mdm_policy_type";
    public static final java.lang.String MDM_SETTINGS_PERMISSION = "com.huawei.permission.sec.MDM_SETTINGS_RESTRICTION";
    public static final java.lang.String POLICY_ACCESSIBILITY_SERVICES_WHITE_LIST = "accessibility_services_white_list";
    public static final java.lang.String POLICY_ACCESSIBILITY_SERVICES_WHITE_LIST_ITEM = "accessibility_services_white_list/accessibility_services_item";
    public static final boolean POLICY_ACTIVE = true;
    public static final java.lang.String POLICY_FORBIDDEN_ADD_USER = "settings_policy_forbidden_add_user";
    public static final java.lang.String POLICY_FORBIDDEN_BLUETOOTH_NET_SHARE = "settings_policy_forbidden_bluetooth_net_share";
    public static final java.lang.String POLICY_FORBIDDEN_DEVELOPMENT_OPTION = "settings_policy_forbidden_development_option";
    public static final java.lang.String POLICY_FORBIDDEN_ECHO_PWD = "settings_policy_forbidden_echo_pwd";
    public static final java.lang.String POLICY_FORBIDDEN_EDIT_WIFI = "settings_policy_forbidden_edit_wifi";
    public static final java.lang.String POLICY_FORBIDDEN_GOOGLE_BACKUP = "settings_policy_forbidden_google_backup";
    public static final java.lang.String POLICY_FORBIDDEN_HUAWEI_BEAM = "settings_policy_forbidden_huawei_beam";
    public static final java.lang.String POLICY_FORBIDDEN_IMMEDIATEL_DESTROY_ACTIVITIES = "settings_policy_forbidden_immediatel_destroy";
    public static final java.lang.String POLICY_FORBIDDEN_LOCATION_MODE = "settings_policy_forbidden_location_mode";
    public static final java.lang.String POLICY_FORBIDDEN_LOCATION_SERVICE = "settings_policy_forbidden_location_service";
    public static final java.lang.String POLICY_FORBIDDEN_MOCK_LOCATION = "settings_policy_forbidden_mock_location";
    public static final java.lang.String POLICY_FORBIDDEN_MODIFY_TIME_TIMEZONE = "settings_policy_forbidden_modify_time_timezone";
    public static final java.lang.String POLICY_FORBIDDEN_NETWORK_LOCATION = "settings_policy_forbidden_network_location";
    public static final java.lang.String POLICY_FORBIDDEN_NETWORK_SHARE = "settings_policy_forbidden_network_share";
    public static final java.lang.String POLICY_FORBIDDEN_RESTORE_DEVICE = "settings_policy_forbidden_restore_device";
    public static final java.lang.String POLICY_FORBIDDEN_RESTRICT_BACKGROUND_PROCESS = "settings_policy_forbidden_restrict_background_process";
    public static final java.lang.String POLICY_FORBIDDEN_SCREEN_OFF = "settings_policy_forbidden_screen_off";
    public static final java.lang.String POLICY_FORBIDDEN_STOP_SYSTEM_SIGN_APP = "settings_policy_forbidden_stop_system_sign_app";
    public static final java.lang.String POLICY_FORBIDDEN_UNKNOWN_APP_INSTALL = "settings_policy_forbidden_unknown_app_install";
    public static final java.lang.String POLICY_FORBIDDEN_UNLOCK_BY_FINGERPRINT = "settings_policy_forbidden_unlock_by_fingerprint";
    public static final java.lang.String POLICY_FORBIDDEN_USB_NET_SHARE = "settings_policy_forbidden_usb_net_share";
    public static final boolean POLICY_INACTIVE = false;
    public static final java.lang.String POLICY_LOCK_PASSWORD_ALLOWED = "settings_policy_lock_password_allowed";
    public static final java.lang.String POLICY_MODIFY_FONT_SIZE_CONFIG = "settings_policy_modify_font_size_config";
    public static final java.lang.String POLICY_MODIFY_WIFI_SLEEP_MODE_CONFIG = "settings_policy_modify_wifi_sleep_mode_config";
    public static final java.lang.String POLICY_SEARCH_INDEX_DISABLED = "search_index_disabled";
    public static final java.lang.String POLICY_VALUE = "config_value";
    public static final java.lang.String RECEIVER_ACTION_POLICY_ITEM_REMOVED = "com.android.settings.mdm.receiver.action.MDMPolicyItemRemoved";
    public static final java.lang.String RECEIVER_ACTION_POLICY_MODIFIED = "com.android.settings.mdm.receiver.action.MDMPolicyModified";
    public static final java.lang.String RECEIVER_ACTION_POLICY_TOTAL_REMOVED = "com.android.settings.mdm.receiver.action.MDMPolicyTotalRemoved";
    public static final java.lang.String RECEIVER_ACTION_SETTINGS_ITEM_MODIFIED = "com.android.settings.mdm.receiver.action.MDMSettingsItemModified";
    private static final java.lang.String RESTORE_PERSISTENT_CONFIG_PROPERTY = "persist.sys.disable_reset";
    public static final java.lang.String SETTINGS_APK_NAME = "com.android.settings";
    public static final java.lang.String SETTINGS_MDM_RECEIVER = "com.android.settings.mdm.HwMDMPolicyMonitorReceiver";
    private static final java.lang.String[] STATE_POLICY_ARRAY = new java.lang.String[]{"settings_policy_forbidden_network_location", "settings_policy_forbidden_unknown_app_install", "settings_policy_forbidden_network_share", "settings_policy_forbidden_edit_wifi", "settings_policy_forbidden_restore_device", "settings_policy_forbidden_bluetooth_net_share", "settings_policy_forbidden_add_user", "settings_policy_forbidden_stop_system_sign_app", "settings_policy_forbidden_usb_net_share", "settings_policy_forbidden_modify_time_timezone", "settings_policy_forbidden_google_backup", "settings_policy_forbidden_echo_pwd", "settings_policy_forbidden_unlock_by_fingerprint", "settings_policy_forbidden_mock_location", "settings_policy_forbidden_restrict_background_process", "settings_policy_forbidden_huawei_beam", "settings_policy_forbidden_screen_off", "settings_policy_forbidden_development_option", "settings_policy_forbidden_immediatel_destroy", "settings_policy_forbidden_location_service", "settings_policy_forbidden_location_mode", "settings_policy_lock_password_allowed", "search_index_disabled", "disabled-android-animation"};
    public static final java.lang.String STATE_VALUE = "value";
    private static final java.lang.String TAG = com.android.server.devicepolicy.plugins.SettingsMDMPlugin.class.getSimpleName();
    public static final int TYPE_CFG = 2;
    public static final int TYPE_COMPOUND = 3;
    public static final int TYPE_INVALID = -1;
    public static final int TYPE_LIST = 1;
    public static final int TYPE_STATE = 0;

    static {
        LISTENER_APK_LIST.add("com.android.settings");
    }

    public SettingsMDMPlugin(android.content.Context context) {
        super(context);
    }

    public boolean onInit(com.android.server.devicepolicy.PolicyStruct policyStruct) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onInit() begin.");
        if (policyStruct == null) {
            return false;
        }
        return true;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_SETTINGS_RESTRICTION", "Do you declare use permission 'com.huawei.permission.sec.MDM_SETTINGS_RESTRICTION' in your manifest?");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean globalPolicyChanged) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onSetPolicy() begin. policyName: ");
        stringBuilder.append(policyName);
        stringBuilder.append(", globalPolicyChanged: ");
        stringBuilder.append(globalPolicyChanged);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        boolean retVal = checkPolicyValue(policyName, policyData);
        if ("settings_policy_forbidden_restore_device".equals(policyName) && retVal) {
            android.os.SystemProperties.set("persist.sys.disable_reset", policyData.getBoolean("value") ? "true" : "false");
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("property of disable factory reset is set to ");
            stringBuilder2.append(android.os.SystemProperties.get("persist.sys.disable_reset", ""));
            com.android.server.devicepolicy.HwLog.i(str2, stringBuilder2.toString());
        }
        notifyPolicyChangeEvent(who, "com.android.settings.mdm.receiver.action.MDMPolicyModified", policyName, policyData);
        return retVal;
    }

    public boolean onRemovePolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean globalPolicyChanged) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onRemovePolicy() begin. policyName: ");
        stringBuilder.append(policyName);
        stringBuilder.append(", globalPolicyChanged: ");
        stringBuilder.append(globalPolicyChanged);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        notifyPolicyChangeEvent(who, "com.android.settings.mdm.receiver.action.MDMPolicyItemRemoved", policyName, policyData);
        return true;
    }

    public boolean onGetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onGetPolicy() policyName: ");
        stringBuilder.append(policyName);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        return true;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        notifyPolicyChangeEvent(who, "com.android.settings.mdm.receiver.action.MDMPolicyTotalRemoved");
        return true;
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        addStateTypeStruct(struct);
        addConfigTypeStruct(struct);
        addListTypeStruct(struct);
        return struct;
    }

    private boolean notifyPolicyChangeEvent(android.content.ComponentName who, java.lang.String action) {
        int apkListSize = LISTENER_APK_LIST.size();
        for (int i = 0; i < apkListSize; i++) {
            sendFixComponentBroadcast(who, action, (java.lang.String) LISTENER_APK_LIST.get(i));
        }
        return true;
    }

    private boolean notifyPolicyChangeEvent(android.content.ComponentName who, java.lang.String action, java.lang.String policyName, android.os.Bundle policy) {
        int apkListSize = LISTENER_APK_LIST.size();
        for (int i = 0; i < apkListSize; i++) {
            sendFixComponentBroadcast(who, action, (java.lang.String) LISTENER_APK_LIST.get(i), policyName, policy);
        }
        return true;
    }

    private boolean sendFixComponentBroadcast(android.content.ComponentName who, java.lang.String action, java.lang.String apkName) {
        return sendFixComponentBroadcast(who, action, apkName, null, null);
    }

    private boolean sendFixComponentBroadcast(android.content.ComponentName who, java.lang.String action, java.lang.String apkName, java.lang.String policyName, android.os.Bundle policyData) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendFixComponentBroadcast() send broadcast action: ");
        stringBuilder.append(action);
        stringBuilder.append(", package: ");
        stringBuilder.append(apkName);
        stringBuilder.append(", policyName: ");
        stringBuilder.append(policyName);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        android.content.Intent it = new android.content.Intent(action);
        it.setPackage(apkName);
        android.os.Bundle data = new android.os.Bundle();
        if (policyName != null) {
            data.putString("mdm_policy_name", policyName);
        }
        if (who != null) {
            java.lang.String admName = who.getPackageName();
            data.putString("adm_apk_name", android.text.TextUtils.isEmpty(admName) ? "" : admName);
            java.lang.String admClass = who.getClassName();
            data.putString("adm_class_name", android.text.TextUtils.isEmpty(admClass) ? "" : admClass);
        }
        if (policyData != null) {
            int policyType = policyData.getInt("mdm_policy_type", -1);
            if (policyType == 0) {
                boolean value = policyData.getBoolean("value", false);
                data.putInt("mdm_policy_type", 0);
                data.putBoolean("value", value);
            } else if (2 == policyType) {
                java.lang.String config = policyData.getString("value", "NORMAL");
                if ("NORMAL".equals(config)) {
                    com.android.server.devicepolicy.HwLog.w(TAG, "sendFixComponentBroadcast() set CONFIGURE type policy, and not give valid value.");
                }
                data.putInt("mdm_policy_type", 2);
                data.putString("value", config);
            } else if (1 == policyType) {
                java.util.ArrayList list = policyData.getStringArrayList("value");
                data.putInt("mdm_policy_type", 1);
                data.putStringArrayList("value", list);
            } else {
                data.putInt("mdm_policy_type", 3);
                data.putBundle("config_value", policyData);
            }
        }
        it.putExtras(data);
        this.mContext.sendBroadcast(it);
        return true;
    }

    private void addStateTypeStruct(com.android.server.devicepolicy.PolicyStruct struct) {
        for (java.lang.String policyName : STATE_POLICY_ARRAY) {
            struct.addStruct(policyName, com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        }
    }

    private void addConfigTypeStruct(com.android.server.devicepolicy.PolicyStruct struct) {
        for (java.lang.String policyName : CONFIG_POLICY_ARRAY) {
            struct.addStruct(policyName, com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        }
    }

    private void addListTypeStruct(com.android.server.devicepolicy.PolicyStruct struct) {
        struct.addStruct("accessibility_services_white_list/accessibility_services_item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
    }

    private int getPolicyType(java.lang.String policyName) {
        int i = 0;
        for (java.lang.String policy : STATE_POLICY_ARRAY) {
            if (policy.equals(policyName)) {
                return 0;
            }
        }
        for (java.lang.String policy2 : CONFIG_POLICY_ARRAY) {
            if (policy2.equals(policyName)) {
                return 2;
            }
        }
        while (true) {
            int i2 = i;
            if (i2 >= LIST_POLICY_ARRAY.length) {
                return -1;
            }
            if (LIST_POLICY_ARRAY[i2].equals(policyName)) {
                return 1;
            }
            i = i2 + 1;
        }
    }

    private boolean checkPolicyValue(java.lang.String policyName, android.os.Bundle policy) {
        if (-1 != getPolicyType(policyName)) {
            if (policy != null) {
                boolean retVal = true;
                int policyType = policy.getInt("mdm_policy_type", -1);
                if (2 == policyType) {
                    if ("NORMAL".equals(policy.getString("value", "NORMAL"))) {
                        com.android.server.devicepolicy.HwLog.w(TAG, "checkPolicyValue() set CONFIGURE type policy, and not give valid value.");
                        retVal = false;
                    }
                }
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("checkPolicyValue() get policy type: ");
                stringBuilder.append(policyType);
                stringBuilder.append(", retVal: ");
                stringBuilder.append(retVal);
                com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
                return retVal;
            }
        }
        java.lang.String str2 = TAG;
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("checkPolicyValue() get unknown policy: ");
        stringBuilder2.append(policyName);
        stringBuilder2.append("OR get null policy.");
        com.android.server.devicepolicy.HwLog.e(str2, stringBuilder2.toString());
        return false;
    }
}
