package com.android.server.fingerprint;

public final class HwFingerprintSets implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.android.server.fingerprint.HwFingerprintSets> CREATOR = new android.os.Parcelable.Creator<com.android.server.fingerprint.HwFingerprintSets>() {
        public com.android.server.fingerprint.HwFingerprintSets createFromParcel(android.os.Parcel in) {
            return new com.android.server.fingerprint.HwFingerprintSets(in, null);
        }

        public com.android.server.fingerprint.HwFingerprintSets[] newArray(int size) {
            return new com.android.server.fingerprint.HwFingerprintSets[size];
        }
    };
    private static final java.lang.String TAG = "HwFingerprintSets";
    public java.util.ArrayList<com.android.server.fingerprint.HwFingerprintSets.HwFingerprintGroup> mFingerprintGroups;

    public static class HwFingerprintGroup {
        public static final int DESCRIPTION_LEN = 256;
        public java.util.ArrayList<android.hardware.fingerprint.Fingerprint> mFingerprints;
        public int mGroupId;

        /* synthetic */ HwFingerprintGroup(android.os.Parcel x0, com.android.server.fingerprint.HwFingerprintSets.AnonymousClass1 x1) {
            this(x0);
        }

        public HwFingerprintGroup() {
            this.mFingerprints = new java.util.ArrayList();
        }

        private HwFingerprintGroup(android.os.Parcel in) {
            this.mFingerprints = new java.util.ArrayList();
            this.mGroupId = in.readInt();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("HwFingerprintGroup, mGroupId=");
            stringBuilder.append(this.mGroupId);
            android.util.Slog.i("HwFingerprintSets", stringBuilder.toString());
            int fpCount = in.readInt();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("HwFingerprintGroup, fpCount=");
            stringBuilder2.append(fpCount);
            android.util.Slog.i("HwFingerprintSets", stringBuilder2.toString());
            for (int i = 0; i < fpCount; i++) {
                int fingerid = in.readInt();
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("HwFingerprintGroup, fingerid=");
                stringBuilder3.append(fingerid);
                android.util.Slog.i("HwFingerprintSets", stringBuilder3.toString());
                this.mFingerprints.add(new android.hardware.fingerprint.Fingerprint("", this.mGroupId, fingerid, 0));
            }
        }
    }

    /* synthetic */ HwFingerprintSets(android.os.Parcel x0, com.android.server.fingerprint.HwFingerprintSets.AnonymousClass1 x1) {
        this(x0);
    }

    public HwFingerprintSets() {
        this.mFingerprintGroups = new java.util.ArrayList();
    }

    private HwFingerprintSets(android.os.Parcel in) {
        this.mFingerprintGroups = new java.util.ArrayList();
        int groupCount = in.readInt();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwFingerprintSets, groupCount=");
        stringBuilder.append(groupCount);
        android.util.Slog.i("HwFingerprintSets", stringBuilder.toString());
        for (int i = 0; i < groupCount; i++) {
            this.mFingerprintGroups.add(new com.android.server.fingerprint.HwFingerprintSets.HwFingerprintGroup(in, null));
        }
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel out, int flags) {
    }
}
