package com.android.server.gesture.anim;

public class GLLogUtils {
    private static final java.lang.String TAG = "GestureBackAnimation";

    private GLLogUtils() {
    }

    public static void logD(java.lang.String tag, java.lang.String content) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(tag);
        stringBuilder.append("-");
        stringBuilder.append(content);
        android.util.Log.d("GestureBackAnimation", stringBuilder.toString());
    }

    public static void logV(java.lang.String tag, java.lang.String content) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(tag);
        stringBuilder.append("-");
        stringBuilder.append(content);
        android.util.Log.v("GestureBackAnimation", stringBuilder.toString());
    }

    public static void logW(java.lang.String tag, java.lang.String content) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(tag);
        stringBuilder.append("-");
        stringBuilder.append(content);
        android.util.Log.w("GestureBackAnimation", stringBuilder.toString());
    }

    public static void logE(java.lang.String tag, java.lang.String content) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(tag);
        stringBuilder.append("-");
        stringBuilder.append(content);
        android.util.Log.e("GestureBackAnimation", stringBuilder.toString());
    }
}
