package com.android.server.hidata.appqoe;

public class HwAPPChrStatisInfo {
    public static final int CHR_ADD_TYPE_BAD_AFTER_MP = 15;
    public static final int CHR_ADD_TYPE_CELL_PERIOD = 6;
    public static final int CHR_ADD_TYPE_CELL_STALL = 4;
    public static final int CHR_ADD_TYPE_CELL_START = 2;
    public static final int CHR_ADD_TYPE_CH_FAILED = 11;
    public static final int CHR_ADD_TYPE_CLOSE_CELL = 18;
    public static final int CHR_ADD_TYPE_CLOSE_WIFI = 19;
    public static final int CHR_ADD_TYPE_GOOD_AFTER_MP = 14;
    public static final int CHR_ADD_TYPE_HICURE_SUCCESS = 21;
    public static final int CHR_ADD_TYPE_IN_KQI = 16;
    public static final int CHR_ADD_TYPE_MP_FAILED = 12;
    public static final int CHR_ADD_TYPE_MP_SUCCESS = 13;
    public static final int CHR_ADD_TYPE_OUT_KQI = 17;
    public static final int CHR_ADD_TYPE_REASON_1 = 7;
    public static final int CHR_ADD_TYPE_REASON_2 = 8;
    public static final int CHR_ADD_TYPE_REASON_3 = 9;
    public static final int CHR_ADD_TYPE_REASON_4 = 10;
    public static final int CHR_ADD_TYPE_START_HICURE = 20;
    public static final int CHR_ADD_TYPE_TRAFFIC = 22;
    public static final int CHR_ADD_TYPE_WIFI_PERIOD = 5;
    public static final int CHR_ADD_TYPE_WIFI_STALL = 3;
    public static final int CHR_ADD_TYPE_WIFI_START = 1;
    public int afbNum;
    public int afgNum;
    public int appId;
    public int cellStallNum;
    public int cellStartNum;
    public int cellspNum;
    public int chfNum;
    public int closeCellNum;
    public int closeWiFiNum;
    public int hicsNum;
    public int inKQINum;
    public int mpfNum;
    public int mpsNum;
    public int overKQINum;
    public int rn1Num;
    public int rn2Num;
    public int rn3Num;
    public int rn4Num;
    public int scenceId;
    public int startHicNum;
    public int trffic;
    public int wifiStallNum;
    public int wifiStartNum;
    public int wifispNum;

    public void copyInfo(com.android.server.hidata.appqoe.HwAPPChrStatisInfo info) {
        this.appId = info.appId;
        this.scenceId = info.scenceId;
        this.wifiStartNum = info.wifiStartNum;
        this.cellStartNum = info.cellStartNum;
        this.wifiStallNum = info.wifiStallNum;
        this.cellStallNum = info.cellStallNum;
        this.wifispNum = info.wifispNum;
        this.cellspNum = info.cellspNum;
        this.rn1Num = info.rn1Num;
        this.rn2Num = info.rn2Num;
        this.rn3Num = info.rn3Num;
        this.rn4Num = info.rn4Num;
        this.chfNum = info.chfNum;
        this.mpfNum = info.mpfNum;
        this.mpsNum = info.mpsNum;
        this.afgNum = info.afgNum;
        this.afbNum = info.afbNum;
        this.trffic = info.trffic;
        this.inKQINum = info.inKQINum;
        this.overKQINum = info.overKQINum;
        this.closeCellNum = info.closeCellNum;
        this.closeWiFiNum = info.closeWiFiNum;
        this.startHicNum = info.startHicNum;
        this.hicsNum = info.hicsNum;
    }

    public void printfInfo() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwAPPChrStatisInfo appId = ");
        stringBuilder.append(this.appId);
        stringBuilder.append(" scenceId = ");
        stringBuilder.append(this.scenceId);
        stringBuilder.append(" wifiStartNum = ");
        stringBuilder.append(this.wifiStartNum);
        stringBuilder.append(" cellStartNum = ");
        stringBuilder.append(this.cellStartNum);
        stringBuilder.append(" wifiStallNum = ");
        stringBuilder.append(this.wifiStallNum);
        stringBuilder.append(" cellStallNum = ");
        stringBuilder.append(this.cellStallNum);
        stringBuilder.append(" wifispNum = ");
        stringBuilder.append(this.wifispNum);
        stringBuilder.append(" cellspNum = ");
        stringBuilder.append(this.cellspNum);
        stringBuilder.append(" rn1Num = ");
        stringBuilder.append(this.rn1Num);
        stringBuilder.append(" rn2Num = ");
        stringBuilder.append(this.rn2Num);
        stringBuilder.append(" rn3Num = ");
        stringBuilder.append(this.rn3Num);
        stringBuilder.append(" rn4Num = ");
        stringBuilder.append(this.rn4Num);
        stringBuilder.append(" chfNum = ");
        stringBuilder.append(this.chfNum);
        stringBuilder.append(" mpfNum = ");
        stringBuilder.append(this.mpfNum);
        stringBuilder.append(" mpsNum = ");
        stringBuilder.append(this.mpsNum);
        stringBuilder.append(" afgNum = ");
        stringBuilder.append(this.afgNum);
        stringBuilder.append(" afbNum = ");
        stringBuilder.append(this.afbNum);
        stringBuilder.append(" trffic = ");
        stringBuilder.append(this.trffic);
        stringBuilder.append(" inKQINum = ");
        stringBuilder.append(this.inKQINum);
        stringBuilder.append(" overKQINum = ");
        stringBuilder.append(this.overKQINum);
        stringBuilder.append(" closeCellNum = ");
        stringBuilder.append(this.closeCellNum);
        stringBuilder.append(" closeWiFiNum = ");
        stringBuilder.append(this.closeWiFiNum);
        stringBuilder.append(" startHicNum = ");
        stringBuilder.append(this.startHicNum);
        stringBuilder.append(" hicsNum = ");
        stringBuilder.append(this.hicsNum);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(stringBuilder.toString());
    }
}
