package com.android.server.hidata.appqoe;

public class HwAPPQoEUserLearning {
    private static final java.lang.String TAG = "HiData_HwAPPQoEUserLearning";
    private static com.android.server.hidata.appqoe.HwAPPQoEUserLearning mUserLerning = null;
    public com.android.server.hidata.appqoe.HwAPPQoEUserAction mUserAction = null;

    private HwAPPQoEUserLearning(android.content.Context context) {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserLearning", "HwAPPQoEUserLearning, Init");
        this.mUserAction = com.android.server.hidata.appqoe.HwAPPQoEUserAction.createHwAPPQoEUserAction(context);
    }

    public static com.android.server.hidata.appqoe.HwAPPQoEUserLearning createHwAPPQoEUserLearning(android.content.Context context) {
        if (mUserLerning == null) {
            mUserLerning = new com.android.server.hidata.appqoe.HwAPPQoEUserLearning(context);
        }
        return mUserLerning;
    }

    public static com.android.server.hidata.appqoe.HwAPPQoEUserLearning getInstance() {
        return mUserLerning;
    }

    public int getUserTypeByAppId(int appId) {
        return this.mUserAction.getUserActionType(appId);
    }

    public void notifyAPPStateChange(long apkStartTime, long apkEndTime, int appId) {
        this.mUserAction.notifyAPPStateChange(apkStartTime, apkEndTime, appId);
    }

    public void setLatestAPPScenceId(int appScenceId) {
        this.mUserAction.setLatestAPPScenceId(appScenceId);
    }
}
