package com.android.server.hidata.channelqoe;

public class HwCHQciManager {
    private static final java.lang.String TAG = "HiDATA_ChannelQoE_QciManager";
    private static com.android.server.hidata.channelqoe.HwCHQciManager mCHQciManager;
    private java.util.List<com.android.server.hidata.channelqoe.HwCHQciConfig> mConfigList = new java.util.ArrayList();

    private HwCHQciManager() {
    }

    public static void log(java.lang.String info) {
        android.util.Log.e("HiDATA_ChannelQoE_QciManager", info);
    }

    public static com.android.server.hidata.channelqoe.HwCHQciManager getInstance() {
        if (mCHQciManager == null) {
            mCHQciManager = new com.android.server.hidata.channelqoe.HwCHQciManager();
        }
        return mCHQciManager;
    }

    public void addConfig(com.android.server.hidata.channelqoe.HwCHQciConfig config) {
        this.mConfigList.add(config);
    }

    public com.android.server.hidata.channelqoe.HwCHQciConfig getChQciConfig(int qci) {
        java.lang.StringBuilder stringBuilder;
        for (com.android.server.hidata.channelqoe.HwCHQciConfig config : this.mConfigList) {
            if (config.mQci == qci) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("find QCI, RTT is ");
                stringBuilder.append(config.mRtt);
                stringBuilder.append(" CHLOAD is ");
                stringBuilder.append(config.mChload);
                log(stringBuilder.toString());
                return config;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Couldn't find QCI ");
        stringBuilder.append(qci);
        log(stringBuilder.toString());
        return com.android.server.hidata.channelqoe.HwCHQciConfig.getDefalultQci();
    }
}
