package com.android.server.hidata.histream;

public class HwHiStreamContentAware {
    private static final java.lang.String ACTION_AUDIO_RECORD_STATE_CHANGED = "huawei.media.AUDIO_RECORD_STATE_CHANGED_ACTION";
    private static final int APP_MONITOR_INTERVAL = 1500;
    private static final int AUDIO_RECORD_STATE_RECORDING = 3;
    private static final int AUDIO_RECORD_STATE_STOPPED = 1;
    private static final java.lang.String INTENT_PACKAGENAME = "packagename";
    private static final java.lang.String INTENT_STATE = "state";
    private static final int TOP_ACTIVITY_DOUYIN = 2;
    private static final int TOP_ACTIVITY_OTHERS = -1;
    private static final int TOP_ACTIVITY_WECHAT_CALL = 1;
    private static final int WECHAT_CALL_ACTIVITY_PAUSE = 2;
    private static final int WECHAT_CALL_ACTIVITY_RESUME = 1;
    private static final java.lang.String WECHAT_NAME = "com.tencent.mm";
    private static com.android.server.hidata.histream.HwHiStreamContentAware mHwHiStreamContentAware;
    private com.android.server.am.HwActivityManagerService mActivityManagerService;
    private android.contentsensor.IActivityObserver mActivityObserver = new android.contentsensor.IActivityObserver.Stub() {
        public void activityResumed(int pid, int uid, android.content.ComponentName componentName) throws android.os.RemoteException {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("activityResumed:pid=");
            stringBuilder.append(pid);
            stringBuilder.append(", uid=");
            stringBuilder.append(uid);
            stringBuilder.append(", component=");
            stringBuilder.append(componentName);
            com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
            java.lang.String className = componentName != null ? componentName.getClassName() : "";
            java.lang.String packageName = componentName != null ? componentName.getPackageName() : "";
            com.android.server.hidata.appqoe.HwAPPQoEAPKConfig mHwAPPQoEAPKConfig = null;
            if (com.android.server.hidata.histream.HwHiStreamContentAware.this.mHwAPPQoEResourceManger != null) {
                mHwAPPQoEAPKConfig = com.android.server.hidata.histream.HwHiStreamContentAware.this.mHwAPPQoEResourceManger.checkIsMonitorVideoScence(packageName, className);
            }
            if (mHwAPPQoEAPKConfig == null) {
                com.android.server.hidata.histream.HwHiStreamUtils.logD("mHwAPPQoEAPKConfig is null");
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mTopActivity = -1;
                if ((101 != com.android.server.hidata.histream.HwHiStreamContentAware.this.mCurrWeChatState || true == com.android.server.hidata.histream.HwHiStreamContentAware.this.mIsDouYinMonitering) && !com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                    com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                }
                return;
            }
            if (100105 == mHwAPPQoEAPKConfig.mScenceId) {
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mTopActivity = 1;
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mWechatAudioStateInfo = com.android.server.hidata.histream.HwHiStreamContentAware.this.getAPPStateInfo(mHwAPPQoEAPKConfig, uid);
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mWechatVideoStateInfo = com.android.server.hidata.histream.HwHiStreamContentAware.this.getWechatVideoStateInfo(com.android.server.hidata.histream.HwHiStreamContentAware.this.mWechatAudioStateInfo);
                if (!com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                    com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                }
            } else if (100501 == mHwAPPQoEAPKConfig.mScenceId) {
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mTopActivity = 2;
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mDouyinStateInfo = com.android.server.hidata.histream.HwHiStreamContentAware.this.getAPPStateInfo(mHwAPPQoEAPKConfig, uid);
                if (!com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                    com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                }
            } else if (101 != com.android.server.hidata.histream.HwHiStreamContentAware.this.mCurrWeChatState || true == com.android.server.hidata.histream.HwHiStreamContentAware.this.mIsDouYinMonitering) {
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mTopActivity = -1;
                if (!com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                    com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                }
            }
        }

        public void activityPaused(int pid, int uid, android.content.ComponentName componentName) throws android.os.RemoteException {
        }
    };
    private int mAudioRecordState = 1;
    private android.hardware.camera2.CameraManager.AvailabilityCallback mAvailabilityCallback = new android.hardware.camera2.CameraManager.AvailabilityCallback() {
        public void onCameraAvailable(java.lang.String cameraId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onCameraAvailable cameraId = ");
            stringBuilder.append(cameraId);
            com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
            if (cameraId != null && cameraId.equals(com.android.server.hidata.histream.HwHiStreamContentAware.this.mCameraId)) {
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mCameraId = "none";
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mIsUpgradeVideo = false;
                if (101 != com.android.server.hidata.histream.HwHiStreamContentAware.this.mCurrWeChatState && 2 == com.android.server.hidata.histream.HwHiStreamContentAware.this.mCurrWeChatType && !com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                    com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessageDelayed(1, 500);
                }
            }
        }

        public void onCameraUnavailable(java.lang.String cameraId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onCameraUnavailable cameraId = ");
            stringBuilder.append(cameraId);
            com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
            if (cameraId != null) {
                com.android.server.hidata.histream.HwHiStreamContentAware.this.mCameraId = cameraId;
                if (1 == com.android.server.hidata.histream.HwHiStreamContentAware.this.mTopActivity && 1 == com.android.server.hidata.histream.HwHiStreamContentAware.this.mCurrWeChatType && true == com.android.server.hidata.histream.HwHiStreamContentAware.this.mIsScreenOn) {
                    com.android.server.hidata.histream.HwHiStreamContentAware.this.mIsUpgradeVideo = true;
                    if (!com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                        com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                    }
                }
            }
        }
    };
    private java.lang.String mCameraId = "none";
    private android.hardware.camera2.CameraManager mCameraManager;
    private android.os.Handler mContentAwareHandler;
    private android.content.Context mContext;
    private int mCurrWeChatState = 101;
    private int mCurrWeChatType = -1;
    private com.android.server.hidata.appqoe.HwAPPStateInfo mDouyinStateInfo = null;
    private com.android.server.hidata.histream.IHwHiStreamCallback mHiStreamCallback;
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger;
    private boolean mIsDouYinMonitering = false;
    private boolean mIsScreenOn = true;
    private boolean mIsUpgradeVideo = false;
    private long mLastNotityTime = 0;
    private com.android.server.hidata.histream.HwHiStreamContentAware.DynamicReceiver mReceiver;
    private int mTopActivity = -1;
    private com.android.server.hidata.appqoe.HwAPPStateInfo mWechatAudioStateInfo = null;
    private com.android.server.hidata.appqoe.HwAPPStateInfo mWechatVideoStateInfo = null;

    class DynamicReceiver extends android.content.BroadcastReceiver {
        DynamicReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                if (intent.getAction() != null) {
                    java.lang.String action = intent.getAction();
                    java.lang.String packageName = intent.getStringExtra("packagename");
                    int state = intent.getIntExtra("state", 0);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("--->Intent received, action=");
                    stringBuilder.append(action);
                    stringBuilder.append(", packageName ");
                    stringBuilder.append(packageName);
                    stringBuilder.append(",state");
                    stringBuilder.append(state);
                    stringBuilder.append(", mCurrWeChatState");
                    stringBuilder.append(com.android.server.hidata.histream.HwHiStreamContentAware.this.mCurrWeChatState);
                    com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                    if ("huawei.media.AUDIO_RECORD_STATE_CHANGED_ACTION".equals(action) && packageName != null && "com.tencent.mm".equals(packageName)) {
                        if (1 == state && 3 == com.android.server.hidata.histream.HwHiStreamContentAware.this.mAudioRecordState) {
                            com.android.server.hidata.histream.HwHiStreamContentAware.this.mAudioRecordState = 1;
                            if (!com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                                com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                            }
                        } else if (3 == state) {
                            com.android.server.hidata.histream.HwHiStreamContentAware.this.mAudioRecordState = 3;
                            if (!com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                                com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                            }
                        }
                    } else if ("android.intent.action.SCREEN_ON".equals(action)) {
                        com.android.server.hidata.histream.HwHiStreamContentAware.this.mIsScreenOn = true;
                        if (1 == com.android.server.hidata.histream.HwHiStreamContentAware.this.mTopActivity && !com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                            com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                        }
                    } else if ("android.intent.action.SCREEN_OFF".equals(action)) {
                        com.android.server.hidata.histream.HwHiStreamContentAware.this.mIsScreenOn = false;
                        if (1 == com.android.server.hidata.histream.HwHiStreamContentAware.this.mTopActivity && !com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.hasMessages(1)) {
                            com.android.server.hidata.histream.HwHiStreamContentAware.this.mContentAwareHandler.sendEmptyMessage(1);
                        }
                    }
                }
            }
        }
    }

    private HwHiStreamContentAware(android.content.Context context, com.android.server.hidata.histream.IHwHiStreamCallback callback, android.os.Handler handler) {
        this.mContext = context;
        this.mHiStreamCallback = callback;
        this.mContentAwareHandler = handler;
        this.mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
        this.mCameraManager = (android.hardware.camera2.CameraManager) this.mContext.getSystemService("camera");
        this.mCameraManager.registerAvailabilityCallback(this.mAvailabilityCallback, null);
        this.mActivityManagerService = com.android.server.am.HwActivityManagerService.self();
        if (this.mActivityManagerService != null) {
            this.mActivityManagerService.registerActivityObserver(this.mActivityObserver);
        }
        this.mReceiver = new com.android.server.hidata.histream.HwHiStreamContentAware.DynamicReceiver();
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("huawei.media.AUDIO_RECORD_STATE_CHANGED_ACTION");
        filter.addAction("android.intent.action.SCREEN_OFF");
        filter.addAction("android.intent.action.SCREEN_ON");
        this.mContext.registerReceiver(this.mReceiver, filter);
    }

    public static com.android.server.hidata.histream.HwHiStreamContentAware createInstance(android.content.Context context, com.android.server.hidata.histream.IHwHiStreamCallback callback, android.os.Handler handler) {
        if (mHwHiStreamContentAware == null) {
            mHwHiStreamContentAware = new com.android.server.hidata.histream.HwHiStreamContentAware(context, callback, handler);
        }
        return mHwHiStreamContentAware;
    }

    public static com.android.server.hidata.histream.HwHiStreamContentAware getInstance() {
        return mHwHiStreamContentAware;
    }

    private boolean isWechatCallEndOrDegrade() {
        if (101 == this.mCurrWeChatState || ((isCameraOn() || 2 != this.mCurrWeChatType || 1 != this.mTopActivity || true != this.mIsScreenOn) && 1 != this.mAudioRecordState)) {
            return false;
        }
        return true;
    }

    private boolean isWechatCallUpgrade() {
        if ((100 != this.mCurrWeChatState && 103 != this.mCurrWeChatState) || 1 != this.mCurrWeChatType || true != this.mIsScreenOn || true != this.mIsUpgradeVideo) {
            return false;
        }
        this.mIsUpgradeVideo = false;
        return true;
    }

    public void handleAppMonotor() {
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.histream.HwHiStreamUtils.logD("handleAppMonotor enter");
        android.os.Bundle bundle = new android.os.Bundle();
        if (!isWechatCallEndOrDegrade()) {
            if (!isWechatCallUpgrade()) {
                if (2 == this.mTopActivity) {
                    if (!this.mIsDouYinMonitering) {
                        com.android.server.hidata.histream.HwHiStreamUtils.logD("-----notify DOUYIN START ");
                        bundle.putInt("appScene", 3);
                        bundle.putInt("appState", 100);
                        this.mContentAwareHandler.sendMessage(this.mContentAwareHandler.obtainMessage(2, bundle));
                    }
                } else if (1 == this.mTopActivity) {
                    if (true == this.mIsDouYinMonitering) {
                        com.android.server.hidata.histream.HwHiStreamUtils.logD("-----notify DOUYIN END ");
                        bundle.putInt("appScene", 3);
                        bundle.putInt("appState", 101);
                        this.mContentAwareHandler.sendMessage(this.mContentAwareHandler.obtainMessage(2, bundle));
                        if (!this.mContentAwareHandler.hasMessages(1)) {
                            this.mContentAwareHandler.sendEmptyMessageDelayed(1, 1500);
                        }
                    } else if (101 == this.mCurrWeChatState && 3 == this.mAudioRecordState) {
                        int appScene = 1;
                        if (isCameraOn()) {
                            appScene = 2;
                            if (!this.mIsScreenOn) {
                                return;
                            }
                        }
                        this.mCurrWeChatType = appScene;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("-----notify wechat call start appscene = ");
                        stringBuilder2.append(appScene);
                        stringBuilder2.append("-----");
                        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder2.toString());
                        bundle.putInt("appScene", appScene);
                        bundle.putInt("appState", 100);
                        this.mContentAwareHandler.sendMessage(this.mContentAwareHandler.obtainMessage(2, bundle));
                    } else if (104 == this.mCurrWeChatState) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("-----notify wechat forground ,mCurrWeChatType= ");
                        stringBuilder.append(this.mCurrWeChatType);
                        stringBuilder.append("-----");
                        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                        bundle.putInt("appScene", this.mCurrWeChatType);
                        bundle.putInt("appState", 103);
                        this.mContentAwareHandler.sendMessage(this.mContentAwareHandler.obtainMessage(2, bundle));
                    }
                }
                if (-1 == this.mTopActivity || !this.mIsScreenOn) {
                    if (true == this.mIsDouYinMonitering && -1 == this.mTopActivity) {
                        com.android.server.hidata.histream.HwHiStreamUtils.logD("-----notify DOUYIN END ");
                        bundle.putInt("appScene", 3);
                        bundle.putInt("appState", 101);
                        this.mContentAwareHandler.sendMessage(this.mContentAwareHandler.obtainMessage(2, bundle));
                        if (!this.mContentAwareHandler.hasMessages(1)) {
                            this.mContentAwareHandler.sendEmptyMessageDelayed(1, 1500);
                        }
                    } else if ((103 == this.mCurrWeChatState || 100 == this.mCurrWeChatState) && 3 == this.mAudioRecordState && !(1 == this.mCurrWeChatType && 1 == this.mTopActivity)) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("-----notify wechat background ,mCurrWeChatType=");
                        stringBuilder.append(this.mCurrWeChatType);
                        stringBuilder.append("-----");
                        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                        bundle.putInt("appScene", this.mCurrWeChatType);
                        bundle.putInt("appState", 104);
                        this.mContentAwareHandler.sendMessage(this.mContentAwareHandler.obtainMessage(2, bundle));
                    } else {
                        return;
                    }
                }
                return;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("-----notify wechat call end  mCurrWeChatType= ");
        stringBuilder.append(this.mCurrWeChatType);
        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
        bundle.putInt("appScene", this.mCurrWeChatType);
        bundle.putInt("appState", 101);
        this.mContentAwareHandler.sendMessage(this.mContentAwareHandler.obtainMessage(2, bundle));
        if (!this.mContentAwareHandler.hasMessages(1)) {
            this.mContentAwareHandler.sendEmptyMessageDelayed(1, 1500);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x0083  */
    public void handleNotifyAppStateChange(android.os.Message r13) {
        /*
        r12 = this;
        if (r13 == 0) goto L_0x008f;
    L_0x0002:
        r0 = r13.obj;
        if (r0 != 0) goto L_0x0008;
    L_0x0006:
        goto L_0x008f;
    L_0x0008:
        r0 = r13.obj;
        r0 = (android.os.Bundle) r0;
        r1 = "appScene";
        r1 = r0.getInt(r1);
        r2 = "appState";
        r2 = r0.getInt(r2);
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "handleNotifyAppStateChange appScene=";
        r3.append(r4);
        r3.append(r1);
        r4 = ",appState";
        r3.append(r4);
        r3.append(r2);
        r3 = r3.toString();
        com.android.server.hidata.histream.HwHiStreamUtils.logD(r3);
        r3 = 0;
        r4 = -1;
        if (r4 != r1) goto L_0x0039;
    L_0x0038:
        return;
    L_0x0039:
        r4 = java.lang.System.currentTimeMillis();
        r6 = r12.mLastNotityTime;
        r6 = r4 - r6;
        r8 = 1500; // 0x5dc float:2.102E-42 double:7.41E-321;
        r6 = (r8 > r6 ? 1 : (r8 == r6 ? 0 : -1));
        r7 = 1;
        if (r6 <= 0) goto L_0x0060;
    L_0x0048:
        r6 = "NOTIFY interval is too short,delay 1s";
        com.android.server.hidata.histream.HwHiStreamUtils.logD(r6);
        r6 = r12.mContentAwareHandler;
        r6 = r6.hasMessages(r7);
        if (r6 != 0) goto L_0x008e;
    L_0x0055:
        r6 = r12.mContentAwareHandler;
        r10 = r12.mLastNotityTime;
        r10 = r4 - r10;
        r8 = r8 - r10;
        r6.sendEmptyMessageDelayed(r7, r8);
        goto L_0x008e;
    L_0x0060:
        if (r7 == r1) goto L_0x0076;
    L_0x0062:
        r6 = 2;
        if (r6 != r1) goto L_0x0066;
    L_0x0065:
        goto L_0x0076;
    L_0x0066:
        r6 = 3;
        if (r6 != r1) goto L_0x007f;
    L_0x0069:
        r3 = r12.mDouyinStateInfo;
        r6 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        if (r6 != r2) goto L_0x0073;
    L_0x006f:
        r6 = 0;
        r12.mIsDouYinMonitering = r6;
        goto L_0x007f;
    L_0x0073:
        r12.mIsDouYinMonitering = r7;
        goto L_0x007f;
    L_0x0076:
        r12.mCurrWeChatState = r2;
        if (r7 != r1) goto L_0x007d;
    L_0x007a:
        r3 = r12.mWechatAudioStateInfo;
        goto L_0x007f;
    L_0x007d:
        r3 = r12.mWechatVideoStateInfo;
    L_0x007f:
        r6 = r12.mHiStreamCallback;
        if (r6 == 0) goto L_0x0088;
    L_0x0083:
        r6 = r12.mHiStreamCallback;
        r6.onAPPStateChangeCallback(r3, r2);
    L_0x0088:
        r6 = java.lang.System.currentTimeMillis();
        r12.mLastNotityTime = r6;
    L_0x008e:
        return;
    L_0x008f:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.histream.HwHiStreamContentAware.handleNotifyAppStateChange(android.os.Message):void");
    }

    public com.android.server.hidata.appqoe.HwAPPStateInfo getCurAPPStateInfo(int appSceneId) {
        if (100105 == appSceneId) {
            return this.mWechatAudioStateInfo;
        }
        if (100106 == appSceneId) {
            return this.mWechatVideoStateInfo;
        }
        if (100501 == appSceneId) {
            return this.mDouyinStateInfo;
        }
        return null;
    }

    public void onNodataDetected() {
        com.android.server.hidata.histream.HwHiStreamUtils.logD("No data,call end");
        this.mAudioRecordState = 1;
        if (!this.mContentAwareHandler.hasMessages(1)) {
            this.mContentAwareHandler.sendEmptyMessage(1);
        }
    }

    private com.android.server.hidata.appqoe.HwAPPStateInfo getAPPStateInfo(com.android.server.hidata.appqoe.HwAPPQoEAPKConfig mHwAPPQoEAPKConfig, int uid) {
        if (mHwAPPQoEAPKConfig == null) {
            return null;
        }
        com.android.server.hidata.appqoe.HwAPPStateInfo mAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        mAPPStateInfo.mAppId = mHwAPPQoEAPKConfig.mAppId;
        mAPPStateInfo.mScenceId = mHwAPPQoEAPKConfig.mScenceId;
        mAPPStateInfo.mAppType = 4000;
        mAPPStateInfo.mAppUID = uid;
        com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration switchConfiguration = new com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration();
        if (100501 == mHwAPPQoEAPKConfig.mScenceId) {
            switchConfiguration.setNetworkStrategy(0);
            switchConfiguration.setSocketStrategy(3);
        } else {
            switchConfiguration.setNetworkStrategy(0);
            switchConfiguration.setSocketStrategy(3);
        }
        mAPPStateInfo.setMpLinkQuickSwitchConfiguration(switchConfiguration);
        return mAPPStateInfo;
    }

    private com.android.server.hidata.appqoe.HwAPPStateInfo getWechatVideoStateInfo(com.android.server.hidata.appqoe.HwAPPStateInfo mStateInfo) {
        if (mStateInfo == null) {
            return null;
        }
        com.android.server.hidata.appqoe.HwAPPStateInfo videoStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        videoStateInfo.mAppId = mStateInfo.mAppId;
        videoStateInfo.mScenceId = mStateInfo.mScenceId + 1;
        videoStateInfo.mAppType = 4000;
        videoStateInfo.mAppUID = mStateInfo.mAppUID;
        videoStateInfo.setMpLinkQuickSwitchConfiguration(mStateInfo.getQuickSwitchConfiguration());
        return videoStateInfo;
    }

    private boolean isCameraOn() {
        if (this.mCameraId != null) {
            if (!this.mCameraId.equals("none")) {
                return true;
            }
        }
        return false;
    }

    public com.android.server.hidata.appqoe.HwAPPStateInfo getCurStreamAppInfo() {
        if (this.mIsDouYinMonitering) {
            return this.mDouyinStateInfo;
        }
        if (101 == this.mCurrWeChatState) {
            return null;
        }
        if (2 == this.mCurrWeChatType) {
            return this.mWechatVideoStateInfo;
        }
        if (1 == this.mCurrWeChatType) {
            return this.mWechatAudioStateInfo;
        }
        return null;
    }
}
