package com.android.server.hidata.wavemapping;

public class HwWMStateMachine extends com.android.internal.util.StateMachine {
    public static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.HwWMStateMachine hwWMStateMachine;
    private int SUBSTATE_ACTIVITY = 1;
    private int SUBSTATE_LASTRECG = 0;
    private com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler collectFingersHandler;
    private com.android.server.hidata.wavemapping.entity.RegularPlaceInfo cur_mainApPlaceInfo = null;
    private com.android.server.hidata.wavemapping.entity.RegularPlaceInfo cur_place = null;
    private com.android.server.hidata.wavemapping.entity.RecognizeResult cur_preLable = null;
    private android.os.HandlerThread handlerThread;
    private boolean initFinish = false;
    private com.android.server.hidata.wavemapping.entity.RecognizeResult last_preLable = new com.android.server.hidata.wavemapping.entity.RecognizeResult();
    private com.android.server.hidata.appqoe.HwAPPQoEManager mAPPQoEManager = null;
    private com.android.server.hidata.wavemapping.service.ActiveCollectDecision mActiveCollectHandler = null;
    private com.android.server.hidata.wavemapping.util.CellStateMonitor mCellStateMonitor = null;
    private com.android.server.hidata.wavemapping.HwWMStateMachine.CollectTrainingState mCollectTrainingState = new com.android.server.hidata.wavemapping.HwWMStateMachine.CollectTrainingState();
    private com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler mCollectUserFingersHandler = null;
    private android.content.Context mCtx;
    private com.android.internal.util.State mDefaultState = new com.android.server.hidata.wavemapping.HwWMStateMachine.DefaultState();
    private com.android.server.hidata.wavemapping.dataprovider.FrequentLocation mFrequentLocation;
    private com.android.server.hidata.wavemapping.HwWMStateMachine.FrequentLocationState mFrequentLocationState = new com.android.server.hidata.wavemapping.HwWMStateMachine.FrequentLocationState();
    private android.os.Handler mHandler;
    private com.android.server.hidata.wavemapping.dataprovider.HwWmpCallbackImpl mHwWmpCallbackImpl = null;
    private com.android.server.hidata.wavemapping.HwWMStateMachine.LocatingState mLocatingState = new com.android.server.hidata.wavemapping.HwWMStateMachine.LocatingState();
    private com.android.server.hidata.wavemapping.dao.LocationDAO mLocationDAO;
    private com.android.server.hidata.wavemapping.HwWMStateMachine.PositionState mPositionState = new com.android.server.hidata.wavemapping.HwWMStateMachine.PositionState();
    private com.android.server.hidata.wavemapping.HwWMStateMachine.RecognitionState mRecognitionState = new com.android.server.hidata.wavemapping.HwWMStateMachine.RecognitionState();
    private long mScanEndTime = 0;
    private android.net.wifi.WifiManager mWifiManager;
    private com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver mbehaviorReceiver;
    public com.android.server.hidata.wavemapping.modelservice.ModelService5 modelService = null;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo param;
    private com.android.server.hidata.wavemapping.dao.RegularPlaceDAO regularPlaceDAO;
    private java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo> rgLocations;
    private java.lang.String toastInfo;
    private com.android.server.hidata.wavemapping.entity.UiInfo uiInfo;
    private com.android.server.hidata.wavemapping.service.UiService uiService;
    private com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider wifiDataProvider;
    private java.util.List<android.net.wifi.ScanResult> wifiList = null;

    class CollectTrainingState extends com.android.internal.util.State {
        public final java.lang.String TAG;
        private com.android.server.hidata.wavemapping.entity.RegularPlaceInfo regularPlaceInfo;

        CollectTrainingState() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WMapping.");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.CollectTrainingState.class.getSimpleName());
            this.TAG = stringBuilder.toString();
        }

        public void enter() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("enter mCollectTrainingState");
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i == 64) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("MSG_WIFI_UPDATE_SCAN_RESULT002, wifi scan complete");
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.startBgScan();
                if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.collectFingersHandler.checkDataSatisfiedToTraining(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place)) {
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.sendMessage(80);
                }
            } else if (i == 110) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("MSG_AR_MOVE, user go to other space");
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopBgScan();
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopStallScan();
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopOut4gRecgScan();
                return false;
            } else if (i == 141 || i == 211) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_APP_DATA_STALL");
                if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler != null) {
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.startStallScan();
                }
            } else {
                switch (i) {
                    case 80:
                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.trainModels(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                        break;
                    case 81:
                        com.android.server.hidata.wavemapping.util.LogUtil.d("MSG_FINGER_NUM_SATISFIED, training criteria is satisfied");
                        if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place != null && com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace() != null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("    current location = ");
                            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                            if (!com.android.server.hidata.wavemapping.HwWMStateMachine.this.getBuildModelResult()) {
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectTrainingState);
                                break;
                            }
                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mLocatingState);
                            break;
                        }
                        com.android.server.hidata.wavemapping.util.LogUtil.e(" current location == null");
                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
                        break;
                        break;
                    default:
                        return false;
                }
            }
            return true;
        }

        public void exit() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("exit mCollectTrainingState");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopBgScan();
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopStallScan();
            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.getHandler().hasMessages(64)) {
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.removeMessages(64);
            }
        }
    }

    class DefaultState extends com.android.internal.util.State {
        public final java.lang.String TAG;

        DefaultState() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WMapping.");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.DefaultState.class.getSimpleName());
            this.TAG = stringBuilder.toString();
        }

        public void enter() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("enter DefaultState");
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder;
            android.os.Message message2 = message;
            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.initFinish) {
                int i = message2.what;
                android.os.Bundle bundle;
                java.lang.String curLocation;
                int freqLoc;
                if (i == 20) {
                    try {
                        com.android.server.hidata.wavemapping.util.LogUtil.i("Into MSG_ADD_FREQ_LOCATION_TOOL");
                        bundle = message.getData();
                        if (bundle != null) {
                            if (bundle.get("LOCATION") != null) {
                                curLocation = bundle.get("LOCATION").toString();
                                freqLoc = -1;
                                if (curLocation.equals("HOME")) {
                                    freqLoc = 0;
                                } else if (curLocation.equals("OFFICE")) {
                                    freqLoc = 1;
                                }
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("MSG_ADD_FREQ_LOCATION_TOOL,curLocation=");
                                stringBuilder2.append(curLocation);
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mFrequentLocation.updateWaveMapping(freqLoc, 0);
                            }
                        }
                        com.android.server.hidata.wavemapping.util.LogUtil.w(" no bundle location");
                    } catch (java.lang.Exception e) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("processMessage:");
                        stringBuilder.append(e);
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    }
                } else if (i == 30) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_IN_FREQ_LOCATION");
                    try {
                        bundle = message.getData();
                        if (bundle != null) {
                            if (bundle.get("LOCATION") != null) {
                                curLocation = bundle.get("LOCATION").toString();
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("MSG_IN_FREQ_LOCATION,curLocation=");
                                stringBuilder.append(curLocation);
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                                if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place == null || com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace() == null) {
                                    com.android.server.hidata.wavemapping.util.LogUtil.d(" cur_place == null");
                                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.getCur_place(curLocation);
                                    if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace() == null) {
                                        stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append(" getPlace error:");
                                        stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.toString());
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
                                    } else if (!com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace().equals(curLocation)) {
                                        stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append(" getPlace:");
                                        stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.toString());
                                        stringBuilder.append(" not the same as input location:");
                                        stringBuilder.append(curLocation);
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
                                    }
                                } else if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace().equals(curLocation)) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append(" the same location - KEEP current state, current ");
                                    stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.toString());
                                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                                }
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append(" cur_place.getPlace()=");
                                stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.collectFingersHandler = new com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCtx, com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace(), com.android.server.hidata.wavemapping.HwWMStateMachine.this.getHandler());
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.assignSpaceExp2Space(com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable);
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.setFreqLocation(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                                if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getState() == 4) {
                                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mLocatingState);
                                } else {
                                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectTrainingState);
                                }
                            }
                        }
                        com.android.server.hidata.wavemapping.util.LogUtil.w(" no bundle location");
                    } catch (java.lang.Exception e2) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("WMStateCons.MSG_IN_FREQ_LOCATION:");
                        stringBuilder.append(e2.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    }
                } else if (i == 110) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_AR_MOVE");
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.SUBSTATE_ACTIVITY = 2;
                } else if (i == 113) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_AR_STATION");
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.SUBSTATE_ACTIVITY = 1;
                } else if (i == 115) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_USER_DATA_ACTION");
                    if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.updateSourceNetwork();
                    }
                } else if (i == 120) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_QUERY_HISQOE, query saved history App QoE");
                    bundle = message.getData();
                    if (bundle != null) {
                        if (bundle.containsKey("FULLID")) {
                            freqLoc = bundle.getInt("FULLID");
                            int UID = bundle.getInt("UID");
                            int net = bundle.getInt("NW");
                            int ArbNet = bundle.getInt("ArbNW");
                            com.android.server.hidata.wavemapping.IWaveMappingCallback cb = message2.obj;
                            if (cb != null) {
                                cb.onWaveMappingRespondCallback(UID, 0, ArbNet, true, false);
                            }
                        }
                    }
                    com.android.server.hidata.wavemapping.util.LogUtil.w(" no bundle");
                    com.android.server.hidata.wavemapping.IWaveMappingCallback cb2 = message2.obj;
                    if (cb2 != null) {
                        cb2.onWaveMappingRespondCallback(0, 0, 0, true, false);
                    }
                } else if (i == 130) {
                    com.android.server.hidata.wavemapping.util.LogUtil.i("into MSG_SYS_SHUTDOWN, go back Default");
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
                } else if (i != 210) {
                    switch (i) {
                        case 91:
                            com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_CONNECTIVITY_CHANGE");
                            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.checkConnectivityState();
                                break;
                            }
                            break;
                        case 92:
                            com.android.server.hidata.wavemapping.util.LogUtil.i("Into MSG_SUPPLICANT_COMPLETE");
                            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.updateWifiDurationForAp(true);
                                break;
                            }
                            break;
                        case 93:
                        case 95:
                            com.android.server.hidata.wavemapping.util.LogUtil.i("Into MSG_CELL_CHANGE");
                            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.updateMobileDurationForCell(true);
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.checkOutOf4GCoverage(false);
                                break;
                            }
                            break;
                        case 94:
                            com.android.server.hidata.wavemapping.util.LogUtil.i("Into MSG_SIM_STATE_CHANGE");
                            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.assignSpaceExp2Space(com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable);
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.setCurrScrbId();
                                break;
                            }
                            break;
                        case 96:
                            com.android.server.hidata.wavemapping.util.LogUtil.i("Into MSG_CELL_OUT_OF_SERVICE");
                            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.updateMobileDurationForCell(true);
                                break;
                            }
                            break;
                        default:
                            com.android.server.hidata.wavemapping.entity.HwWmpAppInfo mAppInfo;
                            switch (i) {
                                case 200:
                                    com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_APP_STATE_START");
                                    mAppInfo = message2.obj;
                                    if (mAppInfo != null) {
                                        if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.startAppCollect(mAppInfo);
                                            break;
                                        }
                                    }
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(" no app messages");
                                    break;
                                    break;
                                case 201:
                                    com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_APP_STATE_END");
                                    mAppInfo = message2.obj;
                                    if (mAppInfo != null) {
                                        if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.endAppCollect(mAppInfo);
                                            break;
                                        }
                                    }
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(" no app messages");
                                    break;
                                    break;
                                case 202:
                                    com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_APP_STATE_NWUPDATE");
                                    mAppInfo = message2.obj;
                                    if (mAppInfo != null) {
                                        if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.updateAppNetwork(mAppInfo.getAppName(), mAppInfo.getConMgrNetworkType());
                                            break;
                                        }
                                    }
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(" no app messages");
                                    break;
                                    break;
                                default:
                                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                    stringBuilder3.append("into default, msg:");
                                    stringBuilder3.append(message2.what);
                                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                                    break;
                            }
                    }
                } else {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_APP_QOE_EVENT");
                    bundle = message.getData();
                    if (bundle == null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.e(" no bundle messages");
                    } else if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler != null) {
                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.updateAppQoE(bundle.getString("APPNAME"), bundle.getInt("QOE"));
                    }
                }
                return true;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.w(" StateMachine NOT initial");
            return true;
        }

        public void exit() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("exit DefaultState");
        }
    }

    class FrequentLocationState extends com.android.internal.util.State {
        public final java.lang.String TAG;

        FrequentLocationState() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WMapping.");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.FrequentLocationState.class.getSimpleName());
            this.TAG = stringBuilder.toString();
        }

        public void enter() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("enter mFrequentLocationState");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.wifiDataProvider.start();
            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("cur_place=");
                stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.collectFingersHandler.startCollect();
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCellStateMonitor.startMonitor();
                return;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.e(" empty current location, back to DefaultState");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            java.lang.StringBuilder stringBuilder;
            if (i == 50) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("In to Other Location, MSG_OUT_FREQ_LOCATION");
                if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.uiInfo != null) {
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.uiInfo.setFinger_batch_num(0);
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.uiInfo.setStage(0);
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.uiInfo.setSsid("OTHER");
                }
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
            } else if (i == 55) {
                com.android.server.hidata.wavemapping.util.LogUtil.i("In to Other Location, MSG_LEAVE_FREQ_LOCATION_TOOL");
                if (!(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place == null || com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace() == null)) {
                    i = 1;
                    if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace().equals("HOME")) {
                        i = 0;
                    }
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.mFrequentLocation.updateWaveMapping(i, 1);
                }
            } else if (i == 60) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_TOOL_FORCE_TRAINING, force training by tool");
                if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place == null || com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace() == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.e(" current location == null");
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
                } else {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("  force training by tool, current location = ");
                    stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.trainModels(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                }
            } else if (i == 62) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("MSG_WIFI_UPDATE_SCAN_RESULT01, wifi scan complete");
                try {
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.wifiList = com.android.server.hidata.wavemapping.HwWMStateMachine.this.mWifiManager.getScanResults();
                    if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.wifiList == null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("MSG_WIFI_UPDATE_SCAN_RESULT, wifiList=null");
                    } else if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place == null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("MSG_WIFI_UPDATE_SCAN_RESULT, cur_place=null");
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("MSG_WIFI_UPDATE_SCAN_RESULT, cur_place=");
                        stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.toString());
                        stringBuilder.append(", wifiList.size=");
                        stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.wifiList.size());
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.collectFingersHandler.processWifiData(com.android.server.hidata.wavemapping.HwWMStateMachine.this.wifiList, com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place);
                    }
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("MSG_WIFI_UPDATE_SCAN_RESULT,e");
                    stringBuilder2.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                }
            } else if (i != 141) {
                return false;
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d("Into MSG_BACK_4G_COVERAGE, stop active scan timer");
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopOut4gRecgScan();
            }
            return true;
        }

        public void exit() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("exit mFrequentLocationState");
            if (!com.android.server.hidata.wavemapping.HwWMStateMachine.this.collectFingersHandler.stopCollect()) {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" Stop Collection Failure");
            }
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place = null;
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.assignSpaceExp2Space(com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable);
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.setFreqLocation("OTHER");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.resetOut4GBeginTime();
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.wifiDataProvider.stop();
            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.getHandler().hasMessages(62)) {
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.removeMessages(62);
            }
        }
    }

    class LocatingState extends com.android.internal.util.State {
        public final java.lang.String TAG;
        private com.android.server.hidata.wavemapping.service.RecognizeService mainApRecognizeService;

        LocatingState() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WMapping.");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.LocatingState.class.getSimpleName());
            this.TAG = stringBuilder.toString();
        }

        public void enter() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("enter mLocatingState");
            com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResult = new com.android.server.hidata.wavemapping.entity.RecognizeResult();
            recognizeResult.setRgResult("0");
            recognizeResult.setAllApModelName(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getModelName());
            recognizeResult.setMainApRgResult("0");
            recognizeResult.setMainApModelName(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_mainApPlaceInfo.getModelName());
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.setCur_preLable(recognizeResult);
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.assignSpaceExp2Space(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable);
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.recognizeActions(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable);
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable = com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable.normalizeCopy();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" save last results:");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService != null) {
                this.mainApRecognizeService = new com.android.server.hidata.wavemapping.service.RecognizeService(com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService);
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d("enter mLocatingState,null == modelService");
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService = com.android.server.hidata.wavemapping.modelservice.ModelService5.getInstance(com.android.server.hidata.wavemapping.HwWMStateMachine.this.getHandler());
                this.mainApRecognizeService = new com.android.server.hidata.wavemapping.service.RecognizeService(com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService);
            }
            if (1 == com.android.server.hidata.wavemapping.HwWMStateMachine.this.SUBSTATE_LASTRECG) {
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mLocationDAO.accCHRSpaceLeavebyFreqLoc(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
            }
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i == 113) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_AR_STATION, stand in a certain space");
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mLocatingState);
                return false;
            } else if (i != 140) {
                return false;
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_CHECK_4G_COVERAGE, check 4G coverage by mainAp result");
                java.lang.StringBuilder stringBuilder;
                try {
                    if (2 == com.android.server.hidata.wavemapping.HwWMStateMachine.this.SUBSTATE_ACTIVITY) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d(" Activity Substate Moving: restart timer");
                        com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopOut4gRecgScan();
                    } else if (1 == com.android.server.hidata.wavemapping.HwWMStateMachine.this.SUBSTATE_ACTIVITY) {
                        if (this.mainApRecognizeService == null) {
                            com.android.server.hidata.wavemapping.util.LogUtil.e(" null == recognizeService");
                        } else {
                            com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResult = this.mainApRecognizeService.identifyLocationByMainAp(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_mainApPlaceInfo);
                            if (recognizeResult == null) {
                                com.android.server.hidata.wavemapping.util.LogUtil.d(" mainAp recognizeResult failure, recognizeResult = null");
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.startOut4gRecgScan();
                            } else if (recognizeResult.getMainApRgResult().contains("unkno")) {
                                com.android.server.hidata.wavemapping.util.LogUtil.d(" mainAp recognizeResult failure, result == unknonw");
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.startOut4gRecgScan();
                            } else {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append(" found the mainAp space:");
                                stringBuilder.append(recognizeResult.toString());
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                                if (!com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.determine4gCoverage(recognizeResult.normalizeCopy())) {
                                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.startOut4gRecgScan();
                                }
                            }
                        }
                    }
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.checkOutOf4GCoverage(true);
                } catch (java.lang.Exception e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("WMStateCons.MSG_RECOGNITIONSTATE_WIFI_UPDATE_SCAN_RESULT,LocatingState,e:");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return true;
            }
        }

        public void exit() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("exit mLocatingState");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.SUBSTATE_LASTRECG = 1;
        }
    }

    class PositionState extends com.android.internal.util.State {
        public final java.lang.String TAG;

        PositionState() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WMapping.");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.PositionState.class.getSimpleName());
            this.TAG = stringBuilder.toString();
        }

        public void enter() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("enter mPositionState");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable = com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable.normalizeCopy();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" save last results:");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.recognizeActions(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable);
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopOut4gRecgScan();
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mLocationDAO.accCHRSpaceChangebyFreqLoc(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i != 110) {
                if (i == 120) {
                    com.android.server.hidata.wavemapping.IWaveMappingCallback cb;
                    com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_QUERY_HISQOE, query saved history App QoE");
                    android.os.Bundle bundle = message.getData();
                    if (bundle != null) {
                        if (bundle.containsKey("FULLID")) {
                            cb = message.obj;
                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.queryAppQoebyTargetNw(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable, bundle.getInt("FULLID"), bundle.getInt("UID"), bundle.getInt("NW"), cb);
                        }
                    }
                    com.android.server.hidata.wavemapping.util.LogUtil.w(" no bundle");
                    cb = (com.android.server.hidata.wavemapping.IWaveMappingCallback) message.obj;
                    if (cb != null) {
                        cb.onWaveMappingRespondCallback(0, 0, 0, true, false);
                    }
                } else if (i != 140) {
                    return false;
                } else {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_CHECK_4G_COVERAGE, check 4G coverage by current results");
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.determine4gCoverage(com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable);
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.checkOutOf4GCoverage(true);
                }
                return true;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_AR_MOVE, user go to other space");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mLocatingState);
            return false;
        }

        public void exit() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("exit mPositionState");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.assignSpaceExp2Space(com.android.server.hidata.wavemapping.HwWMStateMachine.this.last_preLable);
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectUserFingersHandler.checkOutOf4GCoverage(true);
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.SUBSTATE_LASTRECG = 1;
        }
    }

    class RecognitionState extends com.android.internal.util.State {
        public final java.lang.String TAG;
        private com.android.server.hidata.wavemapping.service.RecognizeService mRecognizeService;

        RecognitionState() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WMapping.");
            stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.RecognitionState.class.getSimpleName());
            this.TAG = stringBuilder.toString();
        }

        public void enter() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("enter mRecognitionState");
            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService != null) {
                this.mRecognizeService = new com.android.server.hidata.wavemapping.service.RecognizeService(com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService);
                return;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.d("enter mLocatingState,null == modelService");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService = com.android.server.hidata.wavemapping.modelservice.ModelService5.getInstance(com.android.server.hidata.wavemapping.HwWMStateMachine.this.getHandler());
            this.mRecognizeService = new com.android.server.hidata.wavemapping.service.RecognizeService(com.android.server.hidata.wavemapping.HwWMStateMachine.this.modelService);
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i == 63) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("LocatingState:MSG_WIFI_UPDATE_SCAN_RESULT, wifi scan complete");
                java.lang.StringBuilder stringBuilder;
                try {
                    if (this.mRecognizeService == null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.e(" null == recognizeService");
                    } else {
                        com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResult = this.mRecognizeService.identifyLocation(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place, com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_mainApPlaceInfo, com.android.server.hidata.wavemapping.HwWMStateMachine.this.wifiList).normalizeCopy();
                        if (recognizeResult.getRgResult().contains("0")) {
                            com.android.server.hidata.wavemapping.util.LogUtil.d(" recognizeResult failure, result = unknonw");
                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.setCur_preLable(recognizeResult);
                            com.android.server.hidata.wavemapping.service.UiService.getUiInfo().setToast("RecognitionState.");
                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.uiService;
                            com.android.server.hidata.wavemapping.service.UiService.sendMsgToUi();
                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mLocatingState);
                        } else {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append(" found the space:");
                            stringBuilder.append(recognizeResult.toString());
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable != null && com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_preLable.cmpResults(recognizeResult)) {
                                com.android.server.hidata.wavemapping.util.LogUtil.i(" new space");
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.setCur_preLable(recognizeResult);
                                com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mPositionState);
                            }
                            com.android.server.hidata.wavemapping.service.UiService.getUiInfo().setToast("RecognitionState.");
                            com.android.server.hidata.wavemapping.entity.UiInfo uiInfo = com.android.server.hidata.wavemapping.service.UiService.getUiInfo();
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(recognizeResult.getRgResult());
                            stringBuilder2.append("_");
                            stringBuilder2.append(recognizeResult.getMainApRgResult());
                            uiInfo.setPreLabel(stringBuilder2.toString());
                            com.android.server.hidata.wavemapping.HwWMStateMachine.this.uiService;
                            com.android.server.hidata.wavemapping.service.UiService.sendMsgToUi();
                        }
                    }
                } catch (java.lang.Exception e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("WMStateCons.MSG_RECOGNITIONSTATE_WIFI_UPDATE_SCAN_RESULT,LocatingState,e:");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
            } else if (i != 100) {
                return false;
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d("into MSG_MODEL_UNQUALIFIED, space model too old");
                if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place == null || com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace() == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.e(" current location == null");
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mDefaultState);
                } else {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("    current location = ");
                    stringBuilder3.append(com.android.server.hidata.wavemapping.HwWMStateMachine.this.cur_place.getPlace());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    com.android.server.hidata.wavemapping.HwWMStateMachine.this.transitionTo(com.android.server.hidata.wavemapping.HwWMStateMachine.this.mCollectTrainingState);
                }
            }
            return true;
        }

        public void exit() {
            com.android.server.hidata.wavemapping.util.LogUtil.d("exit mRecognitionState");
            com.android.server.hidata.wavemapping.HwWMStateMachine.this.mActiveCollectHandler.stopOut4gRecgScan();
            if (com.android.server.hidata.wavemapping.HwWMStateMachine.this.getHandler().hasMessages(63)) {
                com.android.server.hidata.wavemapping.HwWMStateMachine.this.removeMessages(63);
            }
        }
    }

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.HwWMStateMachine.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    private void setCur_preLable(com.android.server.hidata.wavemapping.entity.RecognizeResult preLable) {
        java.lang.String pure_preLable = "0";
        java.lang.String mainAp_preLale = "0";
        if (preLable == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.w("setCur_preLable failure,null == cur_preLable");
            this.cur_preLable = new com.android.server.hidata.wavemapping.entity.RecognizeResult();
            this.cur_preLable.setRgResult(pure_preLable);
            this.cur_preLable.setMainApRgResult(mainAp_preLale);
        } else {
            this.cur_preLable = preLable;
            if (preLable.getRgResult() == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" preLable.getRgResult == null");
            } else {
                pure_preLable = preLable.getRgResult();
            }
            if (preLable.getMainApRgResult() == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" preLable.getMainApRgResult == null");
            } else {
                mainAp_preLale = preLable.getMainApRgResult();
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" setCur_preLable: mainAp=");
        stringBuilder.append(mainAp_preLale);
        stringBuilder.append(", allAp=");
        stringBuilder.append(pure_preLable);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        com.android.server.hidata.wavemapping.entity.UiInfo uiInfo = com.android.server.hidata.wavemapping.service.UiService.getUiInfo();
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(pure_preLable);
        stringBuilder2.append("_");
        stringBuilder2.append(mainAp_preLale);
        uiInfo.setPreLabel(stringBuilder2.toString());
    }

    public static com.android.server.hidata.wavemapping.HwWMStateMachine getInstance(android.content.Context context) {
        if (hwWMStateMachine == null) {
            hwWMStateMachine = new com.android.server.hidata.wavemapping.HwWMStateMachine(context);
        }
        return hwWMStateMachine;
    }

    private HwWMStateMachine(android.content.Context context) {
        super("HwWMStateMachine");
        com.android.server.hidata.wavemapping.util.LogUtil.d("HwWMStateMachine  start..");
        this.mCtx = context;
        android.content.Context context2 = this.mCtx;
        android.content.Context context3 = this.mCtx;
        this.mWifiManager = (android.net.wifi.WifiManager) context2.getSystemService("wifi");
        addState(this.mDefaultState);
        addState(this.mFrequentLocationState, this.mDefaultState);
        addState(this.mCollectTrainingState, this.mFrequentLocationState);
        addState(this.mRecognitionState, this.mFrequentLocationState);
        addState(this.mPositionState, this.mRecognitionState);
        addState(this.mLocatingState, this.mRecognitionState);
        setInitialState(this.mDefaultState);
        start();
    }

    public android.os.Handler getStateMachineHandler() {
        return getHandler();
    }

    public void init() {
        com.android.server.hidata.wavemapping.util.LogUtil.d("init begin.");
        try {
            this.param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
            this.uiService = new com.android.server.hidata.wavemapping.service.UiService(getHandler());
            com.android.server.hidata.wavemapping.service.UiService uiService = this.uiService;
            this.uiInfo = com.android.server.hidata.wavemapping.service.UiService.getUiInfo();
            this.modelService = com.android.server.hidata.wavemapping.modelservice.ModelService5.getInstance(getHandler());
            this.wifiDataProvider = com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.getInstance(this.mCtx, getHandler());
            this.mbehaviorReceiver = new com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver(getHandler());
            this.mActiveCollectHandler = new com.android.server.hidata.wavemapping.service.ActiveCollectDecision(this.mCtx, this.mbehaviorReceiver);
            this.mCellStateMonitor = new com.android.server.hidata.wavemapping.util.CellStateMonitor(this.mCtx, getHandler());
            this.regularPlaceDAO = new com.android.server.hidata.wavemapping.dao.RegularPlaceDAO();
            if (this.rgLocations == null || this.rgLocations.size() == 0) {
                this.rgLocations = this.regularPlaceDAO.findAllLocations();
                for (java.util.Map.Entry entry : this.rgLocations.entrySet()) {
                    java.lang.String key = (java.lang.String) entry.getKey();
                    com.android.server.hidata.wavemapping.entity.RegularPlaceInfo val = (com.android.server.hidata.wavemapping.entity.RegularPlaceInfo) entry.getValue();
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("rgLocations val:");
                    stringBuilder.append(val.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                }
            }
            if (!cleanExpireMobileApEnterpriseAps()) {
                android.util.Log.e(TAG, " cleanExpireMobileApEnterpriseAps failure.");
            }
            this.mCollectUserFingersHandler = com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.getInstance(getHandler());
            this.mHwWmpCallbackImpl = com.android.server.hidata.wavemapping.dataprovider.HwWmpCallbackImpl.getInstance(getHandler());
            this.mAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.createHwAPPQoEManager(this.mCtx);
            this.mAPPQoEManager.registerAppQoECallback(this.mHwWmpCallbackImpl, false);
            this.mFrequentLocation = com.android.server.hidata.wavemapping.dataprovider.FrequentLocation.getInstance(getHandler());
            if (!(this.mFrequentLocation == null || this.mFrequentLocation.isConnected())) {
                this.mFrequentLocation.connectService(this.mCtx);
            }
            this.initFinish = true;
            if (this.mFrequentLocation != null) {
                this.mFrequentLocation.queryFrequentLocationState();
            }
            this.mLocationDAO = new com.android.server.hidata.wavemapping.dao.LocationDAO();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("init exception.");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    public void handleShutDown() {
        sendMessage(130);
    }

    private boolean cleanExpireMobileApEnterpriseAps() {
        try {
            com.android.server.hidata.wavemapping.dao.MobileApDAO mobileApDAO = new com.android.server.hidata.wavemapping.dao.MobileApDAO();
            com.android.server.hidata.wavemapping.dao.EnterpriseApDAO enterpriseApDAO = new com.android.server.hidata.wavemapping.dao.EnterpriseApDAO();
            java.util.List<com.android.server.hidata.wavemapping.entity.ApInfo> mobileAps = mobileApDAO.findAllAps();
            com.android.server.hidata.wavemapping.util.TimeUtil timeUtil = new com.android.server.hidata.wavemapping.util.TimeUtil();
            java.lang.String updataDate = timeUtil.getSomeDay(new java.util.Date(), -30);
            if (mobileAps.size() > 0) {
                for (com.android.server.hidata.wavemapping.entity.ApInfo apInfo : mobileAps) {
                    java.lang.String lastDate = timeUtil.changeDateFormat(apInfo.getUptime());
                    if (lastDate == null || updataDate.compareTo(lastDate) > 0) {
                        mobileApDAO.remove(apInfo.getSsid(), apInfo.getMac());
                    }
                }
            }
            java.util.List<com.android.server.hidata.wavemapping.entity.ApInfo> enterpriseAps = enterpriseApDAO.findAllAps();
            if (enterpriseAps.size() > 0) {
                for (com.android.server.hidata.wavemapping.entity.ApInfo apInfo2 : enterpriseAps) {
                    java.lang.String lastDate2 = timeUtil.changeDateFormat(apInfo2.getUptime());
                    if (lastDate2 == null || updataDate.compareTo(lastDate2) > 0) {
                        enterpriseApDAO.remove(apInfo2.getSsid());
                    }
                }
            }
            return true;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("cleanExpireMobileApEnterpriseAps:");
            stringBuilder.append(e);
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    public void getCur_place(java.lang.String freqLoc) {
        if (freqLoc == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("getCur_place: null == curLocation");
            return;
        }
        com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo = this.regularPlaceDAO.findBySsid(freqLoc, false);
        if (placeInfo == null) {
            placeInfo = new com.android.server.hidata.wavemapping.entity.RegularPlaceInfo(freqLoc, 3, 1, 0, 0, 0, 0, "", false);
            if (!this.regularPlaceDAO.insert(placeInfo)) {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" insert into common current place Failure.");
            }
        }
        this.cur_place = placeInfo;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getCur_place, cur_place:");
        stringBuilder.append(this.cur_place.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        com.android.server.hidata.wavemapping.entity.RegularPlaceInfo mainApPlaceInfo = this.regularPlaceDAO.findBySsid(freqLoc, true);
        if (mainApPlaceInfo == null) {
            mainApPlaceInfo = new com.android.server.hidata.wavemapping.entity.RegularPlaceInfo(freqLoc, 3, 1, 0, 0, 0, 0, "", true);
            if (!this.regularPlaceDAO.insert(mainApPlaceInfo)) {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" insert into mainAp current place Failure.");
            }
        }
        this.cur_mainApPlaceInfo = mainApPlaceInfo;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getCur_place,mainApPlaceInfo:");
        stringBuilder.append(this.cur_mainApPlaceInfo.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        if (this.mCollectUserFingersHandler != null) {
            this.mCollectUserFingersHandler.setModelVer(this.cur_place.getModelName(), this.cur_mainApPlaceInfo.getModelName());
        }
    }

    public void trainModels(java.lang.String freqLoc) {
        if (this.modelService == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("trainModels null == modelService");
            return;
        }
        if (freqLoc != null) {
            if (!freqLoc.equals("")) {
                android.os.Handler modelServiceHandler = this.modelService.getmHandler();
                if (modelServiceHandler == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.e("trainModels null == modelServiceHandler");
                    return;
                }
                android.os.Bundle bundle = new android.os.Bundle();
                bundle.putString("FREQLOC", freqLoc);
                android.os.Message buildModelMsg = android.os.Message.obtain(modelServiceHandler, 1);
                buildModelMsg.setData(bundle);
                modelServiceHandler.sendMessage(buildModelMsg);
                return;
            }
        }
        com.android.server.hidata.wavemapping.util.LogUtil.e("trainModels null == freqLoc");
    }

    public boolean getBuildModelResult() {
        if (this.modelService == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("getBuildModelResult null == modelService");
            return false;
        }
        com.android.server.hidata.wavemapping.entity.ClusterResult result = this.modelService.getClusterResult();
        if (!(result == null || result.getPlace() == null)) {
            if (!result.getPlace().equals("")) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" ,startTraining result:");
                stringBuilder.append(result.toString());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                com.android.server.hidata.wavemapping.entity.UiInfo uiInfo = com.android.server.hidata.wavemapping.service.UiService.getUiInfo();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(result.getCluster_num());
                stringBuilder2.append("_");
                stringBuilder2.append(result.getMainAp_cluster_num());
                uiInfo.setCluster_num(stringBuilder2.toString());
                com.android.server.hidata.wavemapping.service.UiService uiService = this.uiService;
                com.android.server.hidata.wavemapping.service.UiService.sendMsgToUi();
                if (result.getCluster_num() <= 0) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d(" getCluster_num ,still unqualified, return to CollectTrainingState");
                    return false;
                } else if (this.cur_place == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d(" cur_place == null, return to CollectTrainingState");
                    return false;
                } else {
                    getCur_place(this.cur_place.getPlace());
                    com.android.server.hidata.wavemapping.service.UiService.getUiInfo().setStage(4);
                    com.android.server.hidata.wavemapping.service.UiService uiService2 = this.uiService;
                    com.android.server.hidata.wavemapping.service.UiService.sendMsgToUi();
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" update current location success, train model OK, location :");
                    stringBuilder3.append(result.getPlace());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    return true;
                }
            }
        }
        return false;
    }
}
