package com.android.server.hidata.wavemapping.chr;

public class QueryHistAppQoeService {
    private static com.android.server.hidata.wavemapping.chr.QueryHistAppQoeService mService = null;
    private com.android.server.hidata.wavemapping.chr.entity.HistAppQoeChrInfo currQoeInfo = new com.android.server.hidata.wavemapping.chr.entity.HistAppQoeChrInfo();
    private com.android.server.hidata.wavemapping.dao.SpaceUserDAO mSpaceUserDAO = new com.android.server.hidata.wavemapping.dao.SpaceUserDAO();
    private java.util.HashMap<java.lang.Integer, com.android.server.hidata.wavemapping.chr.entity.HistAppQoeChrInfo> savedQoeRecords = new java.util.HashMap();

    public static com.android.server.hidata.wavemapping.chr.QueryHistAppQoeService getInstance() {
        if (mService == null) {
            mService = new com.android.server.hidata.wavemapping.chr.QueryHistAppQoeService();
        }
        return mService;
    }

    public void setSpaceInfo(int spaceId_a, int modelVer_a, int spaceId_m, int modelVer_m, int spaceId_c, int modelVer_c) {
        this.currQoeInfo.setSpaceInfo((short) spaceId_a, modelVer_a, (short) spaceId_m, modelVer_m, (short) spaceId_c, modelVer_c);
    }

    public void setNetInfo(int netId, java.lang.String name, int freq, int type) {
        this.currQoeInfo.setNetInfo(netId, name, (short) freq, (byte) type);
    }

    public void setRecords(int days, int dur, int good, int poor, int rx, int tx) {
        this.currQoeInfo.setRecords((short) days, dur, good, poor, rx, tx);
    }

    public void saveRecordByApp(int appName) {
        this.savedQoeRecords.put(java.lang.Integer.valueOf(appName), this.currQoeInfo);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("saveRecordByApp:");
        stringBuilder.append(this.currQoeInfo.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
    }

    public void resetRecordByApp(int appName) {
        if (this.savedQoeRecords.containsKey(java.lang.Integer.valueOf(appName))) {
            this.savedQoeRecords.remove(java.lang.Integer.valueOf(appName));
        }
    }

    public com.android.server.hidata.wavemapping.chr.entity.HistAppQoeChrInfo queryRecordByApp(int AppType, int AppId, int ScenceId) {
        int appName;
        if (2000 == AppType) {
            appName = com.android.server.hidata.wavemapping.cons.Constant.transferGameId2FullId(AppId, ScenceId);
        } else {
            appName = ScenceId;
        }
        com.android.server.hidata.wavemapping.chr.entity.HistAppQoeChrInfo result = (com.android.server.hidata.wavemapping.chr.entity.HistAppQoeChrInfo) this.savedQoeRecords.get(java.lang.Integer.valueOf(appName));
        if (result != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("queryRecordByApp:");
            stringBuilder.append(result.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        }
        return result;
    }
}
