package com.android.server.hidata.wavemapping.chr.entity;

public class ChrInfo {
    protected static final byte ALLAP = (byte) 0;
    protected static final byte HOME_LOC = (byte) 0;
    protected static final byte MAINAP = (byte) 1;
    protected static final byte OFFICE_LOC = (byte) 1;
    protected static final byte OTHER_LOC = (byte) 2;
    protected int label;
    protected byte loc;
    protected int modelAll;

    public int getLabel() {
        return this.label;
    }

    public void setLabel(boolean isMainAp) {
        this.label = isMainAp;
    }

    public byte getLoc() {
        return this.loc;
    }

    public void setLoc(java.lang.String loc) {
        if (loc.equals("HOME")) {
            this.loc = (byte) 0;
        } else if (loc.equals("OFFICE")) {
            this.loc = (byte) 1;
        } else {
            this.loc = (byte) 2;
        }
    }

    public int getModelAll() {
        return this.modelAll;
    }

    public void setModelAll(java.lang.String modelName) {
        if (modelName != null) {
            try {
                if (!modelName.equals("")) {
                    this.modelAll = java.lang.Integer.parseInt(modelName);
                }
            } catch (java.lang.NumberFormatException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setModelAll,");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                return;
            }
        }
        this.modelAll = null;
    }
}
