package com.android.server.hidata.wavemapping.dataprovider;

public class HwWmpCallbackImpl implements com.android.server.hidata.appqoe.IHwAPPQoECallback {
    private static final java.lang.String TAG = "HwWmpCallbackImpl";
    private static com.android.server.hidata.wavemapping.dataprovider.HwWmpCallbackImpl mHwWmpCallbackImpl;
    private com.android.server.hidata.appqoe.HwAPPStateInfo appInfoSsaved = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    private android.os.Handler mStateMachineHandler;

    private HwWmpCallbackImpl(android.os.Handler handler) {
        this.mStateMachineHandler = handler;
        com.android.server.hidata.wavemapping.util.LogUtil.i("init HwWmpCallbackImpl completed!");
    }

    public static com.android.server.hidata.wavemapping.dataprovider.HwWmpCallbackImpl getInstance(android.os.Handler handler) {
        if (mHwWmpCallbackImpl == null) {
            mHwWmpCallbackImpl = new com.android.server.hidata.wavemapping.dataprovider.HwWmpCallbackImpl(handler);
        }
        return mHwWmpCallbackImpl;
    }

    public void onAPPStateCallBack(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int state) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onAppStateCallBack appinfo:");
        stringBuilder.append(appInfo.toString());
        stringBuilder.append(", state:");
        stringBuilder.append(state);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        com.android.server.hidata.wavemapping.entity.HwWmpAppInfo mAppInfo = new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(appInfo.mAppId, appInfo.mScenceId, appInfo.mAppUID, appInfo.mAppType, appInfo.mAppState, appInfo.mNetworkType);
        java.lang.StringBuilder stringBuilder2;
        if (mAppInfo.isMonitorApp()) {
            java.lang.StringBuilder stringBuilder3;
            android.os.Message msg;
            switch (state) {
                case 100:
                case 102:
                case 103:
                    if (this.appInfoSsaved.mAppId != appInfo.mAppId || this.appInfoSsaved.mScenceId != appInfo.mScenceId || this.appInfoSsaved.mAppUID != appInfo.mAppUID || this.appInfoSsaved.mAppType != appInfo.mAppType || this.appInfoSsaved.mAppState != appInfo.mAppState || this.appInfoSsaved.mNetworkType == appInfo.mNetworkType) {
                        if (!((this.appInfoSsaved.mAppId == appInfo.mAppId && this.appInfoSsaved.mScenceId == appInfo.mScenceId && this.appInfoSsaved.mAppUID == appInfo.mAppUID) || appInfo.mScenceId <= 0 || -1 == this.appInfoSsaved.mAppUID)) {
                            stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append(" App or Scence changed, code=");
                            stringBuilder3.append(this.appInfoSsaved.mScenceId);
                            stringBuilder3.append(", net=");
                            stringBuilder3.append(this.appInfoSsaved.mNetworkType);
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                            com.android.server.hidata.wavemapping.entity.HwWmpAppInfo mSavedAppInfo = new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(this.appInfoSsaved.mAppId, this.appInfoSsaved.mScenceId, this.appInfoSsaved.mAppUID, this.appInfoSsaved.mAppType, this.appInfoSsaved.mAppState, this.appInfoSsaved.mNetworkType);
                            if (mSavedAppInfo.isMonitorApp()) {
                                msg = android.os.Message.obtain(this.mStateMachineHandler, 201);
                                msg.obj = mSavedAppInfo;
                                this.mStateMachineHandler.sendMessage(msg);
                            }
                        }
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(" App or Scence Start, code=");
                        stringBuilder2.append(appInfo.mScenceId);
                        stringBuilder2.append(", net=");
                        stringBuilder2.append(appInfo.mNetworkType);
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                        msg = android.os.Message.obtain(this.mStateMachineHandler, 200);
                        msg.obj = mAppInfo;
                        this.mStateMachineHandler.sendMessage(msg);
                        this.appInfoSsaved.copyObjectValue(appInfo);
                        break;
                    }
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" only Network changed, code=");
                    stringBuilder2.append(appInfo.mScenceId);
                    stringBuilder2.append(", net=");
                    stringBuilder2.append(appInfo.mNetworkType);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                    msg = android.os.Message.obtain(this.mStateMachineHandler, 202);
                    msg.obj = mAppInfo;
                    this.mStateMachineHandler.sendMessage(msg);
                    break;
                    break;
                default:
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" App or Scence closed, code=");
                    stringBuilder3.append(appInfo.mScenceId);
                    stringBuilder3.append(", net=");
                    stringBuilder3.append(appInfo.mNetworkType);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                    msg = android.os.Message.obtain(this.mStateMachineHandler, 201);
                    msg.obj = mAppInfo;
                    this.mStateMachineHandler.sendMessage(msg);
                    this.appInfoSsaved = new com.android.server.hidata.appqoe.HwAPPStateInfo();
                    break;
            }
            return;
        }
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(" app is not in checking list, ScenceId=");
        stringBuilder2.append(appInfo.mScenceId);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
    }

    public void onAPPQualityCallBack(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int experience) {
        com.android.server.hidata.wavemapping.util.LogUtil.i("onAPPQualityCallBack");
        com.android.server.hidata.wavemapping.entity.HwWmpAppInfo mAppInfo = new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(appInfo.mAppId, appInfo.mScenceId, appInfo.mAppUID, appInfo.mAppType, appInfo.mAppState, appInfo.mNetworkType);
        if (mAppInfo.isMonitorApp()) {
            int qoe;
            android.os.Message msg;
            android.os.Bundle bundle;
            java.lang.StringBuilder stringBuilder;
            java.lang.String appName = mAppInfo.getAppName();
            switch (experience) {
                case 106:
                    qoe = 2;
                    break;
                case 107:
                    qoe = 1;
                    msg = android.os.Message.obtain(this.mStateMachineHandler, 211);
                    bundle = new android.os.Bundle();
                    bundle.putString("APPNAME", appName);
                    msg.setData(bundle);
                    this.mStateMachineHandler.sendMessageDelayed(msg, 15000);
                    break;
                default:
                    qoe = -1;
                    break;
            }
            if (this.appInfoSsaved.mAppId == appInfo.mAppId && this.appInfoSsaved.mScenceId == appInfo.mScenceId && this.appInfoSsaved.mAppUID == appInfo.mAppUID && this.appInfoSsaved.mAppType == appInfo.mAppType && this.appInfoSsaved.mAppState == appInfo.mAppState && this.appInfoSsaved.mNetworkType != appInfo.mNetworkType) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" only Network changed, code=");
                stringBuilder.append(appInfo.mScenceId);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                msg = android.os.Message.obtain(this.mStateMachineHandler, 202);
                msg.obj = mAppInfo;
                this.mStateMachineHandler.sendMessage(msg);
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" QoE report, code=");
            stringBuilder.append(appInfo.mScenceId);
            stringBuilder.append(" qoe=");
            stringBuilder.append(qoe);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            msg = android.os.Message.obtain(this.mStateMachineHandler, 210);
            bundle = new android.os.Bundle();
            bundle.putInt("QOE", qoe);
            bundle.putString("APPNAME", appName);
            msg.setData(bundle);
            this.mStateMachineHandler.sendMessage(msg);
            this.appInfoSsaved.copyObjectValue(appInfo);
            return;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(" app is not in checking list, ScenceId=");
        stringBuilder2.append(appInfo.mScenceId);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
    }

    public void onNetworkQualityCallBack(int UID, int sense, int network, boolean isSatisfy) {
        com.android.server.hidata.wavemapping.util.LogUtil.d("onNetworkQualityCallBack, not used");
    }

    public void onAPPRttInfoCallBack(com.android.server.hidata.appqoe.HwAPPStateInfo info) {
        com.android.server.hidata.wavemapping.util.LogUtil.d("onAPPRttInfoCallBack, not used");
    }

    public void onWifiLinkQuality(int UID, int scence, boolean isSatisfy) {
        com.android.server.hidata.wavemapping.util.LogUtil.i("onWifiLinkQuality, not used");
    }
}
