package com.android.server.hidata.wavemapping.entity;

public class TMapList<T, V> extends java.util.HashMap<T, java.util.List<V>> {
    private static final long serialVersionUID = 1;

    public java.util.List<V> add(T key, V value) {
        if (!super.containsKey(key)) {
            super.put(key, new java.util.ArrayList());
        }
        java.util.List<V> list = (java.util.List) super.get(key);
        list.add(value);
        return (java.util.List) super.get(list);
    }

    public java.util.List<V> insert(T key, V value) {
        if (!super.containsKey(key)) {
            super.put(key, new java.util.ArrayList());
        }
        java.util.List<V> list = (java.util.List) super.get(key);
        list.add(value);
        return (java.util.List) super.get(list);
    }

    public java.util.List<V> add(T key, java.util.List<V> value) {
        return (java.util.List) super.put(key, value);
    }

    public java.util.List<V> get(java.lang.Object key) {
        return (java.util.List) super.get(key);
    }
}
