package com.android.server.hidata.wavemapping.entity;

public class TMapSet<T, V> extends java.util.HashMap<T, java.util.Set<V>> {
    private static final long serialVersionUID = 1;

    public java.util.Set<V> add(T key, V value) {
        if (!super.containsKey(key)) {
            super.put(key, new java.util.HashSet());
        }
        java.util.Set<V> set = (java.util.Set) super.get(key);
        set.add(value);
        return (java.util.Set) super.get(set);
    }

    public java.util.Set<V> add(T key, java.util.Set<V> value) {
        return (java.util.Set) super.put(key, value);
    }

    public java.util.Set<V> get(java.lang.Object key) {
        return (java.util.Set) super.get(key);
    }
}
