package com.android.server.hidata.wavemapping.modelservice;

public class ModelBaseService {
    public static final int DISCRIMINATE_RET_CODE_ERROR1 = -21;
    public static final int DISCRIMINATE_RET_CODE_ERROR2 = -22;
    public static final int DISCRIMINATE_RET_CODE_ERROR3 = -23;
    public static final int DISCRIMINATE_RET_CODE_ERROR4 = -24;
    public static final int DISCRIMINATE_RET_CODE_ERROR5 = -25;
    public static final int DISCRIMINATE_RET_CODE_ERROR6 = -26;
    public static final int DISCRIMINATE_RET_CODE_ERROR7 = -27;
    public static final int DISCRIMINATE_RET_CODE_ERROR8 = -28;
    public static final int DISCRIMINATE_RET_CODE_ERROR9 = -29;
    public static final int DISCRIMINATE_RET_CODE_SUCCESS = 1;
    public static final int IDENTIFY_ERROR_CODE_1 = -1;
    public static final int IDENTIFY_ERROR_CODE_2 = -2;
    public static final int IDENTIFY_ERROR_CODE_3 = -3;
    public static final int IDENTIFY_ERROR_CODE_4 = -4;
    public static final int IDENTIFY_ERROR_CODE_5 = -5;
    public static final int IDENTIFY_ERROR_CODE_6 = -6;
    public static final int SUCCESS_RET_CODE = 1;
    public static final int TRAINMODEL_RET_ERROR_CODE_01 = -1;
    public static final int TRAINMODEL_RET_ERROR_CODE_02 = -2;
    public static final int TRAINMODEL_RET_ERROR_CODE_03 = -3;
    public static final int TRAINMODEL_RET_ERROR_CODE_04 = -4;
    public static final int TRAINMODEL_RET_ERROR_CODE_05 = -5;
    public static final int TRAINMODEL_RET_ERROR_CODE_06 = -6;
    public static final int TRAINMODEL_RET_ERROR_CODE_07 = -7;
    public static final int TRAINMODEL_RET_ERROR_CODE_08 = -8;
    public static final int TRAINMODEL_RET_ERROR_CODE_09 = -9;
    public static final int TRAINMODEL_RET_ERROR_CODE_10 = -10;
    public static final int TRAINMODEL_RET_ERROR_CODE_11 = -11;
    public static final int TRAINMODEL_RET_ERROR_CODE_12 = -12;
    public static final int TRAINMODEL_RET_ERROR_CODE_13 = -13;
    public static final int TRAINMODEL_RET_ERROR_CODE_14 = -14;
    public static final int TRAINMODEL_RET_ERROR_CODE_15 = -15;
    public static final int TRAINMODEL_RET_ERROR_CODE_16 = -16;
    public static final int TRAINMODEL_RET_ERROR_CODE_17 = -17;
    public static final int TRAINMODEL_RET_ERROR_CODE_18 = -18;
    public static final int TRAINMODEL_RET_ERROR_CODE_19 = -19;
    public static final int TRAINMODEL_RET_ERROR_CODE_20 = -20;
    public static final int TRAINMODEL_RET_ERROR_CODE_51 = -51;
    public static final int TRAINMODEL_RET_ERROR_CODE_52 = -52;
    public static final int TRAINMODEL_RET_ERROR_CODE_53 = -53;
    public static final int TRAINMODEL_RET_ERROR_CODE_54 = -54;
    public static final int TRAINMODEL_RET_ERROR_CODE_55 = -55;
    public java.lang.String UNKONW_IDENTIFY_RET = "unknown";

    public java.lang.String getRawFilePath(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (param.isMainAp()) {
            java.lang.String filePath = new java.lang.StringBuilder();
            filePath.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
            filePath.append(place);
            filePath.append(".mprd.csv");
            return filePath.toString();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
        stringBuilder.append(place);
        stringBuilder.append(".rd.csv");
        return stringBuilder.toString();
    }

    public java.lang.String getStdFilePath(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (param.isMainAp()) {
            java.lang.String filePath = new java.lang.StringBuilder();
            filePath.append(com.android.server.hidata.wavemapping.cons.Constant.getDataPath());
            filePath.append(place);
            filePath.append(".mpdt.csv");
            return filePath.toString();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getDataPath());
        stringBuilder.append(place);
        stringBuilder.append(".dt.csv");
        return stringBuilder.toString();
    }

    public java.lang.String getModelFilePath(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.String fName = new java.lang.StringBuilder();
        fName.append(placeInfo.getPlace().replace(":", "").replace("-", ""));
        fName.append(".");
        fName.append(placeInfo.getModelName());
        fName = fName.toString();
        if (param.isMainAp()) {
            java.lang.String filePath = new java.lang.StringBuilder();
            filePath.append(com.android.server.hidata.wavemapping.cons.Constant.getModelPath());
            filePath.append(fName);
            filePath.append(".mpmd.csv");
            return filePath.toString();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getModelPath());
        stringBuilder.append(fName);
        stringBuilder.append(".md.csv");
        return stringBuilder.toString();
    }

    public java.lang.String getLogFilePath(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (param.isMainAp()) {
            java.lang.String filePath = new java.lang.StringBuilder();
            filePath.append(com.android.server.hidata.wavemapping.cons.Constant.getLogPath());
            filePath.append(place);
            filePath.append(".mplog.csv");
            return filePath.toString();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getLogPath());
        stringBuilder.append(place);
        stringBuilder.append(".log.csv");
        return stringBuilder.toString();
    }

    public java.lang.String getIdentifyLogFilePath(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (param.isMainAp()) {
            java.lang.String filePath = new java.lang.StringBuilder();
            filePath.append(com.android.server.hidata.wavemapping.cons.Constant.getLogPath());
            filePath.append(place);
            filePath.append(".mpidentify.log.csv");
            return filePath.toString();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getLogPath());
        stringBuilder.append(place);
        stringBuilder.append(".identify.log.csv");
        return stringBuilder.toString();
    }

    public java.lang.String getTestDataFilePath(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.StringBuilder stringBuilder;
        if (param.isMainAp()) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
            stringBuilder.append(place);
            stringBuilder.append(".test.mprd.csv");
            return stringBuilder.toString();
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
        stringBuilder.append(place);
        stringBuilder.append(".test.rd.csv");
        return stringBuilder.toString();
    }

    public java.lang.String getTrainDataFilePath(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.StringBuilder stringBuilder;
        if (param.isMainAp()) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
            stringBuilder.append(place);
            stringBuilder.append(".train.mprd.csv");
            return stringBuilder.toString();
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
        stringBuilder.append(place);
        stringBuilder.append(".train.rd.csv");
        return stringBuilder.toString();
    }

    public boolean checkMacFormat(java.lang.String mac) {
        if (mac != null && !mac.equals("00:00:00:00:00:00") && mac.contains(":") && mac.split(":").length >= 6) {
            return true;
        }
        return false;
    }

    public com.android.server.hidata.wavemapping.entity.RegularPlaceInfo updateModel(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (place != null) {
            if (!place.equals("")) {
                if (placeInfo == null) {
                    return placeInfo;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("AgingService,updateModel begin.");
                stringBuilder.append(placeInfo.toString());
                stringBuilder.append(",place:");
                stringBuilder.append(place);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                java.lang.StringBuilder stringBuilder2;
                try {
                    java.lang.String rawDataFilePath = getRawFilePath(place, param);
                    if (!com.android.server.hidata.wavemapping.util.FileUtils.delFile(rawDataFilePath)) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(" updateModel  ,FileUtils.delFile(rawDataFilePath) failure,rawDataFilePath:");
                        stringBuilder2.append(rawDataFilePath);
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    }
                    placeInfo = new com.android.server.hidata.wavemapping.entity.RegularPlaceInfo(place, 3, 1, 0, 0, 0, 0, "", param.isMainAp());
                    if (!new com.android.server.hidata.wavemapping.dao.IdentifyResultDAO().remove(place, param.isMainAp())) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("updateModel identifyResultDAO.deleteAll failure.");
                    }
                } catch (java.lang.Exception e) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("updateModel:");
                    stringBuilder2.append(e);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                }
                return placeInfo;
            }
        }
        return placeInfo;
    }
}
