package com.android.server.hidata.wavemapping.util;

public class TimeUtil {
    public static final java.lang.String DATE_FORMAT = "yyMMdd";
    private static java.lang.String DATE_PATTERN = "yyyyMMdd HH:mm:ss.SSS";
    private static java.lang.String DATE_PATTERN_02 = "MMddHHmmss";
    private static final java.lang.String TAG;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.util.TimeUtil.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public java.lang.String getTimePATTERN02() {
        return new java.text.SimpleDateFormat(DATE_PATTERN_02, java.util.Locale.getDefault()).format(new java.util.Date());
    }

    public int getTimeIntPATTERN02() {
        try {
            return java.lang.Integer.parseInt(new java.text.SimpleDateFormat(DATE_PATTERN_02, java.util.Locale.getDefault()).format(new java.util.Date()));
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getTimeIntPATTERN02:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return 0;
        }
    }

    public java.lang.String getTime(long time, java.text.SimpleDateFormat dateFormat) {
        return dateFormat.format(new java.util.Date(time));
    }

    public static java.lang.String getTime() {
        return new java.text.SimpleDateFormat(DATE_PATTERN, java.util.Locale.getDefault()).format(new java.util.Date());
    }

    public java.lang.String changeDateFormat(java.lang.String strDate) {
        java.lang.String retDate = null;
        if (strDate != null) {
            if (!strDate.equals("")) {
                java.text.SimpleDateFormat dateFormat = new java.text.SimpleDateFormat(DATE_PATTERN, java.util.Locale.getDefault());
                try {
                    retDate = new java.text.SimpleDateFormat("yyMMdd", java.util.Locale.getDefault()).format(dateFormat.parse(strDate));
                } catch (java.text.ParseException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("changeDateFormat,e");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return retDate;
            }
        }
        return null;
    }

    public java.lang.String getSomeDay(java.util.Date date, int day) {
        java.lang.String newDate = null;
        if (date == null) {
            return null;
        }
        try {
            java.text.SimpleDateFormat dateFormat2 = new java.text.SimpleDateFormat("yyMMdd", java.util.Locale.getDefault());
            java.util.Calendar calendar = java.util.Calendar.getInstance();
            calendar.setTime(date);
            calendar.add(5, day);
            newDate = dateFormat2.format(calendar.getTime());
        } catch (java.lang.Exception e) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("  getSomeDay ");
            stringBuilder.append(e);
            android.util.Log.e(str, stringBuilder.toString());
        }
        return newDate;
    }

    public int time2IntDate(java.lang.String strDate) {
        int ret = 0;
        if (strDate != null) {
            if (!strDate.equals("")) {
                try {
                    ret = java.lang.Integer.parseInt(changeDateFormat(strDate));
                } catch (java.lang.NumberFormatException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("time2IntDate exception,");
                    stringBuilder.append(strDate);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return ret;
            }
        }
        return 0;
    }

    public int timeStamp2DateInt(java.lang.String timestampString) {
        int ret = 0;
        if (timestampString != null) {
            if (!timestampString.equals("")) {
                try {
                    ret = java.lang.Integer.parseInt(new java.text.SimpleDateFormat(DATE_PATTERN_02, java.util.Locale.CHINA).format(new java.util.Date(java.lang.Long.valueOf(java.lang.Long.parseLong(timestampString)).longValue())));
                } catch (java.lang.NumberFormatException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("timeStamp2DateInt exception,");
                    stringBuilder.append(timestampString);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return ret;
            }
        }
        return 0;
    }
}
