package com.android.server.mtm.iaware.appmng;

public class AwareAppCleanerForSC extends com.android.server.mtm.iaware.appmng.AwareAppCleaner {
    private static volatile com.android.server.mtm.iaware.appmng.AwareAppCleanerForSC instance;

    private AwareAppCleanerForSC(android.content.Context context) {
        super(context);
    }

    public static com.android.server.mtm.iaware.appmng.AwareAppCleanerForSC getInstance(android.content.Context context) {
        if (instance == null) {
            synchronized (com.android.server.mtm.iaware.appmng.AwareAppCleanerForSC.class) {
                if (instance == null) {
                    instance = new com.android.server.mtm.iaware.appmng.AwareAppCleanerForSC(context);
                }
            }
        }
        return instance;
    }

    public int execute(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy, android.os.Bundle extras) {
        int killedCount = 0;
        if (policy == null) {
            return 0;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups = policy.getAllowStopProcBlockList();
        if (!(procGroups == null || procGroups.isEmpty())) {
            for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup : procGroups) {
                killedCount += com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(this.mContext).uniformClean(procGroup, extras, "SmartClean");
            }
        }
        return killedCount;
    }
}
