package com.android.server.mtm.iaware.appmng;

public class AwareAppCleanerForSM extends com.android.server.mtm.iaware.appmng.AwareAppCleaner {
    private static final java.lang.String TAG = "AwareSM_Kill";
    private static volatile com.android.server.mtm.iaware.appmng.AwareAppCleanerForSM instance;

    private AwareAppCleanerForSM(android.content.Context context) {
        super(context);
    }

    public static com.android.server.mtm.iaware.appmng.AwareAppCleanerForSM getInstance(android.content.Context context) {
        if (instance == null) {
            synchronized (com.android.server.mtm.iaware.appmng.AwareAppCleanerForSM.class) {
                if (instance == null) {
                    instance = new com.android.server.mtm.iaware.appmng.AwareAppCleanerForSM(context);
                }
            }
        }
        return instance;
    }

    public int execute(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy, android.os.Bundle extras) {
        int killedCount = 0;
        if (policy == null) {
            return 0;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups = policy.getAllowStopProcBlockList();
        if (!(procGroups == null || procGroups.isEmpty())) {
            for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup : procGroups) {
                killedCount += com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(this.mContext).uniformClean(procGroup, extras, "SystemManager");
            }
        }
        return killedCount;
    }
}
