package com.android.server.mtm.iaware.appmng.rule;

public class ListItem {
    private static final int UNINIT_VALUE = -1;
    private android.util.ArrayMap<java.lang.String, java.lang.Integer> mComplicatePolicy = null;
    private java.lang.String mIndex = null;
    private int mPolicy = -1;

    public int getPolicy() {
        return this.mPolicy;
    }

    public int getPolicy(java.lang.String key) {
        if (this.mComplicatePolicy == null) {
            return -1;
        }
        java.lang.Integer policy = (java.lang.Integer) this.mComplicatePolicy.get(key);
        if (policy == null) {
            return -1;
        }
        return policy.intValue();
    }

    public void setPolicy(int policy) {
        this.mPolicy = policy;
    }

    public void setComplicatePolicy(android.util.ArrayMap<java.lang.String, java.lang.Integer> policy) {
        this.mComplicatePolicy = policy;
    }

    public void dump(java.io.PrintWriter pw) {
        if (this.mPolicy != -1) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("    policy = ");
            stringBuilder.append(this.mPolicy);
            pw.println(stringBuilder.toString());
        }
        if (this.mComplicatePolicy != null) {
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry : this.mComplicatePolicy.entrySet()) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("    policy = ");
                stringBuilder2.append((java.lang.String) entry.getKey());
                stringBuilder2.append(":");
                stringBuilder2.append(entry.getValue());
                pw.println(stringBuilder2.toString());
            }
        }
    }

    public void setIndex(java.lang.String index) {
        this.mIndex = index;
    }

    public java.lang.String getIndex() {
        return this.mIndex;
    }
}
