package com.android.server.mtm.iaware.brjob;

public final class AwareJobSchedulerConstants {
    public static final java.lang.String APPSTATUS_ACTION_FILTER_NAME = "AppStatus";
    public static final java.lang.String APP_STATUS_RUN = "RUN";
    public static final java.lang.String APP_STATUS_STOPPED = "STOPPED";
    public static final java.lang.String BARSTATUS_ACTION_FILTER_NAME = "BarStatus";
    public static final java.lang.String BAR_STATUS_OFF = "OFF";
    public static final java.lang.String BAR_STATUS_ON = "ON";
    public static final java.lang.String BAR_STATUS_UNKNOWN = "UNKNOWN";
    public static final java.lang.String BLUETOOTHSTATUS_ACTION_FILTER_NAME = "BluetoothStatus";
    public static final java.lang.String BLUETOOTH_STATUS_CONNECTED = "BLUETOOTHCON";
    public static final java.lang.String BLUETOOTH_STATUS_DISCONNECTED = "BLUETOOTHDSCON";
    public static final java.lang.String BLUETOOTH_STATUS_UNKNOWN = "UNKNOWN";
    private static java.util.Map<java.lang.String, java.lang.Boolean> CACHE_CONDITION_MAP = new java.util.HashMap();
    public static final int CACHE_TAG_CACHE = 1;
    public static final int CACHE_TAG_DEFAULT = 2;
    public static final int CACHE_TAG_DROP = 0;
    private static java.lang.String[] CONDITION_ARRAY = new java.lang.String[]{"LimitNum#Day", "LimitNum#Hour", "MinTime#Hour", "MinTime#Minute", "NetworkStatus", "WifiStatus", "ServicesStatus", "SIMStatus", "AppStatus", "BarStatus", "WidgetStatus", "KeyWord", "BluetoothStatus", "Extra"};
    public static final java.lang.String EXTRA_ACTION_FILTER_NAME = "Extra";
    public static final java.lang.String FORCE_CACHE_ACTION_FILTER_NAME = "BrCache";
    public static final java.lang.String KEYWORD_ACTION_FILTER_NAME = "KeyWord";
    public static final java.lang.String LIMITNUM_PERDAY_ACTION_FILTER_NAME = "LimitNum#Day";
    public static final java.lang.String LIMITNUM_PERHOUR_ACTION_FILTER_NAME = "LimitNum#Hour";
    public static final java.lang.String MINTIME_ONHOUR_ACTION_FILTER_NAME = "MinTime#Hour";
    public static final java.lang.String MINTIME_ONMINUTE_ACTION_FILTER_NAME = "MinTime#Minute";
    public static final java.lang.String NETWORKSTATUS_ACTION_FILTER_NAME = "NetworkStatus";
    public static final java.lang.String NETWORK_STATUS_ALL = "ALL";
    public static final java.lang.String NETWORK_STATUS_CONNECTED = "MOBILEDATACON";
    public static final java.lang.String NETWORK_STATUS_DISCONNECTED = "MOBILEDATADSCON";
    public static final java.lang.String SERVICESSTATUS_ACTION_FILTER_NAME = "ServicesStatus";
    public static final java.lang.String SERVICES_STATUS_CONNECTED = "CONNECTED";
    public static final java.lang.String SERVICES_STATUS_DISCONNECTED = "DSCONNECTED";
    public static final java.lang.String SERVICES_STATUS_ROAMING = "ROAMING";
    public static final java.lang.String SERVICES_STATUS_UNKNOWN = "UNKNOWN";
    public static final java.lang.String SIMSTATUS_ACTION_FILTER_NAME = "SIMStatus";
    public static final java.lang.String SIM_STATUS_ABSENT = "ABSENT";
    public static final java.lang.String SIM_STATUS_LOCKED = "LOCKED";
    public static final java.lang.String SIM_STATUS_READY = "READY";
    public static final java.lang.String SIM_STATUS_UNKNOWN = "UNKNOWN";
    public static final java.lang.String WIDGETSTATUS_ACTION_FILTER_NAME = "WidgetStatus";
    public static final java.lang.String WIFISTATUS_ACTION_FILTER_NAME = "WifiStatus";
    public static final java.lang.String WIFI_STATUS_CONNECTED = "WIFICON";
    public static final java.lang.String WIFI_STATUS_DISCONNECTED = "WIFIDSCON";

    static {
        CACHE_CONDITION_MAP.put("NetworkStatus", java.lang.Boolean.valueOf(true));
        CACHE_CONDITION_MAP.put("WifiStatus", java.lang.Boolean.valueOf(true));
        CACHE_CONDITION_MAP.put("ServicesStatus", java.lang.Boolean.valueOf(true));
    }

    public static java.lang.String[] getConditionArray() {
        return (java.lang.String[]) CONDITION_ARRAY.clone();
    }

    public static java.util.Map<java.lang.String, java.lang.Boolean> getCacheConditionMap() {
        return new java.util.HashMap(CACHE_CONDITION_MAP);
    }
}
