package com.android.server.pc;

public final class HwPCManagerService extends android.pc.IHwPCManager.Stub {
    private static final java.lang.String ACTION_ALARM_WAKEUP = "com.android.deskclock.ALARM_ALERT";
    private static final java.lang.String ACTION_CLEAR_LIGHTER_DRAWED = "com.android.server.pc.action.clear_lighter_drawed";
    private static final java.lang.String ACTION_NOTIFY_CHANGE_STATUS_BAR = "com.android.server.pc.action.CHANGE_STATUS_BAR";
    private static final java.lang.String ACTION_NOTIFY_DISCONNECT = "com.android.server.pc.action.DISCONNECT";
    private static final java.lang.String ACTION_NOTIFY_OPEN_EASY_PROJECTION = "com.android.server.pc.action.EASY_PROJECTION";
    private static final java.lang.String ACTION_NOTIFY_SHOW_MK = "com.android.server.pc.action.SHOW_MK";
    private static final java.lang.String ACTION_NOTIFY_SWITCH_MODE = "com.android.server.pc.action.SWITCH_MODE";
    private static final java.lang.String ACTION_NOTIFY_UNINSTALL_APP = "com.android.server.pc.action.UNINSTALL_APP";
    private static final java.lang.String ALARM_ALERT_CONFLICT = "huawei.deskclock.ALARM_ALERT_CONFLICT";
    private static final int BIT_KEYBOARD = 2;
    private static final int BIT_MOUSE = 1;
    private static final int BIT_NONE = 0;
    private static final java.lang.String BROADCAST_PERMISSION = "com.huawei.deskclock.broadcast.permission";
    private static final long BROADCAST_SEND_INTERVAL = 500;
    private static final int CHECK_HARD_BROAD_DELAY = 2000;
    private static final java.lang.String DP_LINK_STATE_AUX_FAILED = "AUX_FAILED";
    private static final java.lang.String DP_LINK_STATE_CABLE_IN = "CABLE_IN";
    private static final java.lang.String DP_LINK_STATE_CABLE_OUT = "CABLE_OUT";
    private static final java.lang.String DP_LINK_STATE_EDID_FAILED = "EDID_FAILED";
    private static final java.lang.String DP_LINK_STATE_HDCP_FAILED = "HDCP_FAILED";
    private static final java.lang.String DP_LINK_STATE_LINK_FAILED = "LINK_FAILED";
    private static final java.lang.String DP_LINK_STATE_LINK_RETRAINING = "LINK_RETRAINING";
    private static final java.lang.String DP_LINK_STATE_MULTI_HPD = "MULTI_HPD";
    private static final java.lang.String DP_LINK_STATE_SAFE_MODE = "SAFE_MODE";
    private static final int DREAMS_DISENABLED = 0;
    private static final int DREAMS_ENABLED = 1;
    private static final int DREAMS_INVALID = -1;
    private static final java.lang.String EXCLUSIVE_DP_LINK = "DEVPATH=/devices/virtual/dp/source";
    private static final java.lang.String EXCLUSIVE_KEYBOARD = "DEVPATH=/devices/virtual/hwsw_kb/hwkb";
    private static final int EXPLORER_BIND_ERROR = 2;
    private static final int EXPLORER_LAUNCH_DELAY = 4000;
    private static final java.lang.String EXPLORER_SERVICE_NAME = "HwPCExplorer";
    private static final int FINGERPRINT_SLIDE_OFF = 0;
    private static final int FINGERPRINT_SLIDE_ON = 1;
    private static final java.lang.String FINGERPRINT_SLIDE_SWITCH = "fingerprint_slide_switch";
    private static final int INVALID_ARG = -1;
    private static final int KEEP_RECORD_TIMEOUT = 180000;
    private static final int[] KEYBOARD_PRODUCT_ID = new int[]{4817};
    private static final int[] KEYBOARD_VENDOR_ID = new int[]{1455};
    private static final java.lang.String KEY_BEFORE_BOOT_ANIM_TIME = "before_boot_anim_time";
    private static final java.lang.String KEY_CURRENT_DISPLAY_UNIQUEID = "current_display_uniqueId";
    private static final java.lang.String KEY_IS_WIRELESS_MODE = "is_wireless_mode";
    private static final int LAUNCH_GUIDE_DELAY = 500;
    private static final java.lang.String MMI_TEST_PROPERTY = "runtime.mmitest.isrunning";
    private static final int MSG_CLEAR_LIGHTER_DRAWED = 24;
    private static final int MSG_CLOSE_CLIENT_TOP_WINDOW = 4;
    private static final int MSG_DISMISS_CLIENT_TASK_VIEW = 6;
    private static final int MSG_DISPLAY_ADDED = 6;
    private static final int MSG_DISPLAY_CHANGED = 7;
    private static final int MSG_DISPLAY_REMOVED = 8;
    private static final int MSG_DP_LINK_ERROR = 22;
    private static final int MSG_DP_STATE_CHANGED = 21;
    private static final int MSG_IME_STATUS_ICON_HIDE = 15;
    private static final int MSG_IME_STATUS_ICON_SHOW = 14;
    private static final int MSG_INPUTMETHOD_SWITCH = 12;
    private static final int MSG_KEEP_RECORD_TIMEOUT = 11;
    private static final int MSG_KEYCODE_APP_SWITCH = 9;
    private static final int MSG_KEYCODE_BACK = 11;
    private static final int MSG_KEYCODE_HOME = 10;
    private static final int MSG_LAUNCH_MK = 13;
    private static final int MSG_LOCK_SCREEN = 8;
    static final int MSG_NOTIFY_SWITCH_PROJ = 1;
    private static final int MSG_OPEN_EASY_PROJECTION = 23;
    private static final int MSG_REFRESH_NTFS = 5;
    private static final int MSG_REGISTER_ALARM = 15;
    private static final int MSG_RELAUNCH_IME = 14;
    private static final int MSG_RESTORE_APP = 10;
    private static final int MSG_SCREENSHOT_PC_DISPLAY = 3;
    private static final int MSG_SET_FOCUS_DISPLAY = 17;
    private static final int MSG_SET_PROJ_MODE = 4;
    private static final int MSG_SHOW_CLIENT_STARTUP_MENU = 2;
    private static final int MSG_SHOW_CLIENT_TASK_VIEW = 5;
    private static final int MSG_SHOW_CLIENT_TOPBAR = 1;
    private static final int MSG_SHOW_ENTER_DESKTOP_MODE = 19;
    private static final int MSG_SHOW_EXIT_DESKTOP_MODE = 20;
    private static final int MSG_START_RESTORE_APPS = 9;
    private static final int MSG_START_VOICE_ASSISTANT = 13;
    private static final int MSG_SWITCH_USER = 12;
    private static final int MSG_TASK_CREATED = 16;
    private static final int MSG_TASK_MOVE_TO_FRONT = 18;
    private static final int MSG_TASK_PROFILE_LOCKED = 19;
    private static final int MSG_TASK_REMOVED = 17;
    private static final int MSG_UNINSTALL_APP = 16;
    private static final int MSG_UPDATE_CFG = 18;
    private static final int MSG_USER_ACTIVITY_ON_DESKTOP = 7;
    private static final int NOTIFY_SWITCH_PROJ_ID = 0;
    private static final int NOTIFY_VIRTUAL_M_K_ID = 1;
    private static final java.lang.String PERMISSION_BROADCAST_CHANGE_STATUS_BAR = "com.huawei.permission.pc.CHANGE_STATUS_BAR";
    private static final java.lang.String PERMISSION_BROADCAST_CLEAR_LIGHTER_DRAWED = "com.huawei.permission.pc.CLEAR_LIGHTER_DRAWED";
    private static final java.lang.String PERMISSION_BROADCAST_SWITCH_MODE = "com.huawei.permission.SWITCH_MODE";
    private static final java.lang.String PERMISSION_PC_MANAGER_API = "com.huawei.permission.PC_MANAGER_API";
    private static final int RELAUNCH_IME_DELAY = 2000;
    private static final int RESO_1080P = 1920;
    private static final int RE_BIND_SERVICE_DELAY = 800;
    private static final int ROTATION_SWITCH_CLOSE = 0;
    private static final int ROTATION_SWITCH_OPEN = 1;
    private static final java.lang.String SCREEN_POWER_DEVICE = "/sys/devices/virtual/dp/power/lcd_power";
    private static final java.lang.String SCREEN_POWER_OFF = "0";
    private static final java.lang.String SCREEN_POWER_ON = "1";
    private static final int START_ACTIVITY_INTERVAL = 800;
    private static final int START_RESTORE_APPS_DELAY_TIME = 3000;
    private static final int SWITCH_STATE_OFF = 0;
    private static final int SWITCH_STATE_ON = 1;
    private static final int SYSTEMUI_BIND_ERROR = 1;
    private static final java.lang.String SYSTEMUI_SERVICE_NAME = "HwPCSystemUI";
    private static final java.lang.String TAG = "HwPCManagerService";
    private static final int TIME_DISPALY_ADD_BEFORE_BOOT_ANIM = 4500;
    private static final int TIME_SEND_SWITCHPROJ_MSG_DELAYED = 200;
    private static final int TIME_SWITCH_MODE_BEFORE_BOOT_ANIM = 1500;
    private static final int TIME_UNLOCK_ACTION_BEFORE_BOOT_ANIM = 1500;
    private static final int TYPE_HPPCAT = 1;
    private static final int TYPE_UNKNOWN = -1;
    private static final int TYPE_WELINK = 2;
    private static final java.lang.String WIRELESS_PROJECTION_STATE = "wireless_projection_state";
    private static final int devicetestmode = 2;
    private final java.lang.String DEVICE_PROVISIONED_URI = "content://settings/global/device_provisioned";
    private final java.lang.String SCREEN_OF_TIMEOUT_URI = "content://settings/system/screen_off_timeout";
    private boolean beginShow = false;
    private boolean isNeedEixtDesktop = false;
    private boolean isNeedEnterDesktop = false;
    private com.android.server.am.HwActivityManagerService mAMS;
    private final android.content.BroadcastReceiver mAlarmClockReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            android.util.HwPCUtils.log("HwPCManagerService", "receive clock alarm");
            com.android.server.pc.HwPCManagerService.this.setScreenPower(true);
        }
    };
    private final android.app.AlarmManager.OnAlarmListener mAlarmListener = new android.app.AlarmManager.OnAlarmListener() {
        public void onAlarm() {
            com.android.server.pc.HwPCManagerService.this.mHandler.sendEmptyMessage(11);
        }
    };
    private android.app.AlarmManager mAlarmManager;
    private float mAxisX = 0.0f;
    private float mAxisY = 0.0f;
    private com.android.server.pc.BluetoothReminderDialog mBluetoothReminderDialog;
    private boolean mBluetoothStateOnEnter = false;
    private android.widget.Toast mCallingToast;
    private final android.content.ServiceConnection mConnExplorer = new android.content.ServiceConnection() {
        public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
            android.util.HwPCUtils.log("HwPCManagerService", "explorer onServiceConnected");
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
            android.util.HwPCUtils.log("HwPCManagerService", "explorer onServiceDisconnected");
            com.android.server.pc.HwPCDataReporter.getInstance().reportFailToConnEvent(2, "HwPCExplorer", com.android.server.pc.HwPCManagerService.this.mPCDisplayInfo);
            com.android.server.pc.HwPCManagerService.this.mHandler.postDelayed(new java.lang.Runnable() {
                public void run() {
                    if (android.util.HwPCUtils.isValidExtDisplayId(com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId) && com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode)) {
                        com.android.server.pc.HwPCManagerService.this.mContext.bindService(new android.content.Intent().setComponent(com.android.server.pc.HwPCManagerService.this.mExplorerComponent), com.android.server.pc.HwPCManagerService.this.mConnExplorer, 1);
                    }
                }
            }, 800);
        }
    };
    private final android.content.ServiceConnection mConnSysUI = new android.content.ServiceConnection() {
        public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
            android.util.HwPCUtils.log("HwPCManagerService", "SysUI onServiceConnected");
            if (com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId != -1) {
                com.android.server.pc.HwPCManagerService.this.updateDisplayOverrideConfiguration(com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId, 2000);
                com.android.server.pc.HwPCManagerService.this.relaunchIMEDelay(2000);
            }
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
            android.util.HwPCUtils.log("HwPCManagerService", "SysUI onServiceDisconnected");
            com.android.server.pc.HwPCDataReporter.getInstance().reportFailToConnEvent(1, "HwPCSystemUI", com.android.server.pc.HwPCManagerService.this.mPCDisplayInfo);
            com.android.server.pc.HwPCManagerService.this.mHandler.postDelayed(new java.lang.Runnable() {
                public void run() {
                    if (android.util.HwPCUtils.isValidExtDisplayId(com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId) && com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode)) {
                        com.android.server.pc.HwPCManagerService.this.mContext.bindService(new android.content.Intent().setComponent(com.android.server.pc.HwPCManagerService.this.mSystemUIComponent), com.android.server.pc.HwPCManagerService.this.mConnSysUI, 1);
                    }
                }
            }, 800);
        }
    };
    private int mConnectedInputDevices = 0;
    private android.content.Context mContext;
    private final com.android.server.pc.DisplayDriverCommunicator mDDC;
    private android.os.UEventObserver mDPLinkStateObserver = new android.os.UEventObserver() {
        public void onUEvent(android.os.UEventObserver.UEvent event) {
            if (event != null) {
                java.lang.String state = event.get("DP_LINK_EVENT");
                if (!android.text.TextUtils.isEmpty(state)) {
                    java.lang.String tip1 = com.android.server.pc.HwPCManagerService.this.mContext.getResources().getString(33686122);
                    java.lang.String tip2 = com.android.server.pc.HwPCManagerService.this.mContext.getResources().getString(33686123);
                    java.lang.String tip = null;
                    boolean z = true;
                    switch (state.hashCode()) {
                        case -1790848990:
                            if (state.equals("LINK_FAILED")) {
                                z = true;
                                break;
                            }
                            break;
                        case -203035278:
                            if (state.equals("LINK_RETRAINING")) {
                                z = true;
                                break;
                            }
                            break;
                        case 18043426:
                            if (state.equals("EDID_FAILED")) {
                                z = true;
                                break;
                            }
                            break;
                        case 324233351:
                            if (state.equals("CABLE_IN")) {
                                z = false;
                                break;
                            }
                            break;
                        case 325027384:
                            if (state.equals("AUX_FAILED")) {
                                z = true;
                                break;
                            }
                            break;
                        case 615836371:
                            if (state.equals("HDCP_FAILED")) {
                                z = true;
                                break;
                            }
                            break;
                        case 1461305356:
                            if (state.equals("CABLE_OUT")) {
                                z = true;
                                break;
                            }
                            break;
                        case 1580920854:
                            if (state.equals("MULTI_HPD")) {
                                z = true;
                                break;
                            }
                            break;
                        case 1684923157:
                            if (state.equals("SAFE_MODE")) {
                                z = true;
                                break;
                            }
                            break;
                        default:
                            break;
                    }
                    switch (z) {
                        case false:
                            com.android.server.pc.HwPCManagerService.this.beginShow = true;
                            break;
                        case true:
                            com.android.server.pc.HwPCManagerService.this.dismissDpLinkErrorDialog();
                            com.android.server.pc.HwPCManagerService.this.beginShow = false;
                            break;
                        case true:
                        case true:
                            tip = tip1;
                            break;
                        case true:
                        case true:
                        case true:
                        case true:
                        case true:
                            tip = tip2;
                            break;
                        default:
                            com.android.server.pc.HwPCManagerService.this.beginShow = false;
                            break;
                    }
                    if (tip != null && com.android.server.pc.HwPCManagerService.this.beginShow) {
                        com.android.server.pc.HwPCManagerService.this.mHandler.removeMessages(22);
                        com.android.server.pc.HwPCManagerService.this.mHandler.sendMessage(com.android.server.pc.HwPCManagerService.this.mHandler.obtainMessage(22, tip));
                        com.android.server.pc.HwPCManagerService.this.beginShow = false;
                    }
                }
            }
        }
    };
    private android.hardware.display.DisplayManager mDisplayManager;
    private int mDreamsEnabledSetting = -1;
    private android.app.AlertDialog mEnterDesktopAlertDialog = null;
    private android.app.AlertDialog mExitDesktopAlertDialog = null;
    private final android.content.ComponentName mExplorerComponent = new android.content.ComponentName("com.huawei.desktop.explorer", "com.huawei.filemanager.services.ExplorerService");
    final com.android.server.pc.HwPCManagerService.LocalHandler mHandler;
    final com.android.server.ServiceThread mHandlerThread;
    private volatile boolean mHasSwitchNtf = false;
    private com.android.server.policy.HwPhoneWindowManager mHwPolicy;
    private android.os.IBinder mIBinderAudioService;
    private int mIMEWithHardKeyboardState = 1;
    private final android.hardware.input.InputManager.InputDeviceListener mInputDeviceListener = new android.hardware.input.InputManager.InputDeviceListener() {
        public void onInputDeviceAdded(int deviceId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onInputDeviceAdded, deviceId:");
            stringBuilder.append(deviceId);
            stringBuilder.append(", mConnectedInputDevices: ");
            stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mConnectedInputDevices);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            android.view.InputDevice device = android.view.InputDevice.getDevice(deviceId);
            com.android.server.pc.HwPCManagerService.access$6776(com.android.server.pc.HwPCManagerService.this, com.android.server.pc.HwPCManagerService.whichInputDevice(device));
            if ((com.android.server.pc.HwPCManagerService.whichInputDevice(device) & 1) != 0) {
                android.util.HwPCUtils.bdReport(com.android.server.pc.HwPCManagerService.this.mContext, 10004, "");
            }
            if ((com.android.server.pc.HwPCManagerService.whichInputDevice(device) & 2) != 0) {
                android.util.HwPCUtils.bdReport(com.android.server.pc.HwPCManagerService.this.mContext, 10005, "");
            }
            if (android.util.HwPCUtils.enabledInPad()) {
                org.json.JSONObject jo = new org.json.JSONObject();
                try {
                    jo.put("START_TIME", java.lang.System.currentTimeMillis());
                    if (com.android.server.pc.HwPCManagerService.this.isExclusiveKeyboard(device)) {
                        jo.put("EXCLUSIVE", true);
                    } else {
                        jo.put("EXCLUSIVE", false);
                    }
                } catch (org.json.JSONException e) {
                    android.util.HwPCUtils.log("HwPCManagerService", "JSONException");
                }
                com.android.server.pc.HwPCManagerService.this.mKeyboardInfo.put(java.lang.Integer.valueOf(deviceId), jo);
            }
        }

        public void onInputDeviceRemoved(int deviceId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onInputDeviceRemoved, deviceId:");
            stringBuilder.append(deviceId);
            stringBuilder.append(", mConnectedInputDevices: ");
            stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mConnectedInputDevices);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            int connectedInputDevices = 0;
            for (android.view.InputDevice device : android.view.InputDevice.getDeviceIds()) {
                connectedInputDevices |= com.android.server.pc.HwPCManagerService.whichInputDevice(android.view.InputDevice.getDevice(device));
            }
            com.android.server.pc.HwPCManagerService.this.mConnectedInputDevices = connectedInputDevices;
            if (android.util.HwPCUtils.enabledInPad()) {
                try {
                    if (com.android.server.pc.HwPCManagerService.this.mKeyboardInfo.containsKey(java.lang.Integer.valueOf(deviceId))) {
                        org.json.JSONObject jo = (org.json.JSONObject) com.android.server.pc.HwPCManagerService.this.mKeyboardInfo.get(java.lang.Integer.valueOf(deviceId));
                        jo.put("END_TIME", java.lang.System.currentTimeMillis());
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("report msg:");
                        stringBuilder2.append(jo.toString());
                        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder2.toString());
                        com.android.server.pc.HwPCManagerService.this.mKeyboardInfo.remove(java.lang.Integer.valueOf(deviceId));
                        android.util.HwPCUtils.bdReport(com.android.server.pc.HwPCManagerService.this.mContext, 10027, jo.toString());
                    }
                } catch (org.json.JSONException e) {
                    android.util.HwPCUtils.log("HwPCManagerService", "JSONException");
                }
            }
        }

        public void onInputDeviceChanged(int deviceId) {
        }
    };
    private final android.content.ComponentName mInstructionComponent = new android.content.ComponentName("com.huawei.desktop.explorer", "com.huawei.filemanager.desktopinstruction.PCHelpInformationActivity");
    private final android.content.ComponentName mInstructionComponentWirelessEnabled = new android.content.ComponentName("com.huawei.desktop.explorer", "com.huawei.filemanager.desktopinstruction.EasyProjection");
    java.util.ArrayList<android.content.Intent> mIntentList = new java.util.ArrayList();
    private boolean mIsDisplayAddedAfterSwitch = false;
    private boolean mIsDisplayLargerThan1080p = false;
    private boolean mIsNeedUnRegisterBluetoothReciver = false;
    private boolean mIsWifiBroadDone = false;
    private java.util.concurrent.ConcurrentHashMap<java.lang.Integer, org.json.JSONObject> mKeyboardInfo = new java.util.concurrent.ConcurrentHashMap();
    private final android.os.UEventObserver mKeyboardObserver = new android.os.UEventObserver() {
        public void onUEvent(android.os.UEventObserver.UEvent event) {
            if (event == null) {
                return;
            }
            if (com.android.server.pc.HwPCManagerService.this.isExclusiveKeyboardConnect(event)) {
                android.util.HwPCUtils.log("HwPCManagerService", "Exclusive Keyboard Connect");
                if (!com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode)) {
                    com.android.server.pc.HwPCManagerService.this.mHandler.sendMessage(com.android.server.pc.HwPCManagerService.this.mHandler.obtainMessage(19));
                    return;
                }
                return;
            }
            android.util.HwPCUtils.log("HwPCManagerService", "Exclusive Keyboard Disconnect");
            if (com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode)) {
                com.android.server.pc.HwPCManagerService.this.mHandler.sendMessage(com.android.server.pc.HwPCManagerService.this.mHandler.obtainMessage(20));
            }
        }
    };
    private android.app.KeyguardManager mKeyguardManager;
    private int mLockScreenTimeout = 0;
    private android.os.Messenger mMessenger = null;
    private android.app.NotificationManager mNm;
    private final android.content.BroadcastReceiver mNotifyReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.util.HwPCUtils.log("HwPCManagerService", "mNotifyReceiver received a null intent");
                return;
            }
            java.lang.String action = intent.getAction();
            if ("com.android.server.pc.action.SWITCH_MODE".equals(action)) {
                android.util.HwPCUtils.bdReport(com.android.server.pc.HwPCManagerService.this.mContext, 10003, "");
                com.android.server.pc.HwPCManagerService.this.collapsePanels();
                com.android.server.pc.HwPCManagerService.this.switchProjMode();
            } else if ("android.intent.action.LOCALE_CHANGED".equals(action)) {
                com.android.server.pc.HwPCManagerService.this.refreshNotifications();
            } else if ("com.android.server.pc.action.SHOW_MK".equals(action)) {
                android.util.HwPCUtils.bdReport(com.android.server.pc.HwPCManagerService.this.mContext, 10047, "");
                com.android.server.pc.HwPCManagerService.this.collapsePanels();
                com.android.server.pc.HwPCManagerService.this.sendShowMkMessage();
            } else if ("com.android.server.pc.action.DISCONNECT".equals(action)) {
                if (com.android.server.pc.HwPCManagerService.this.mDisplayManager != null && com.android.server.pc.HwPCManagerService.this.isConnectFromThirdApp(com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId) == 2) {
                    com.android.server.pc.HwPCManagerService.this.launchWeLink();
                } else if (com.android.server.pc.HwPCManagerService.this.mDisplayManager != null) {
                    android.util.HwPCUtils.bdReport(com.android.server.pc.HwPCManagerService.this.mContext, 10048, "");
                    com.android.server.pc.HwPCManagerService.this.mDisplayManager.disconnectWifiDisplay();
                }
                com.android.server.pc.HwPCManagerService.this.collapsePanels();
            } else if ("com.android.server.pc.action.EASY_PROJECTION".equals(action)) {
                com.android.server.pc.HwPCManagerService.this.sendOpenEasyProjectionMessage();
            } else if ("com.android.server.pc.action.UNINSTALL_APP".equals(action)) {
                java.lang.String pkgName = intent.getStringExtra("PACKAGE_NAME");
                if (pkgName != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("ACTION_NOTIFY_UNINSTALL_APP onReceive: ");
                    stringBuilder.append(pkgName);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                    com.android.server.pc.HwPCManagerService.this.sendUninstallAppMessage(pkgName);
                }
            } else if ("android.hardware.display.action.WIFI_DISPLAY_STATUS_CHANGED".equals(action) && android.util.HwPCUtils.getIsWifiMode()) {
                android.hardware.display.WifiDisplayStatus status = intent.getParcelableExtra("android.hardware.display.extra.WIFI_DISPLAY_STATUS") != null ? (android.hardware.display.WifiDisplayStatus) intent.getParcelableExtra("android.hardware.display.extra.WIFI_DISPLAY_STATUS") : null;
                if (status != null) {
                    if (status.getActiveDisplay() != null) {
                        com.android.server.pc.HwPCManagerService.this.mWireLessDeviceName = java.lang.String.format(context.getResources().getString(33686113), new java.lang.Object[]{status.getActiveDisplay().getDeviceName()});
                    } else {
                        android.util.HwPCUtils.log("HwPCManagerService", "wifiDisplay is null");
                    }
                } else {
                    android.util.HwPCUtils.log("HwPCManagerService", "status is null");
                }
            } else if ("com.huawei.desktop.intent.action.LMT_PcScreen".equals(action)) {
                com.android.server.pc.decision.DecisionUtil.showPCRecommendDialog(com.android.server.pc.HwPCManagerService.this.mContext);
            }
        }
    };
    private int mPCBeforeBootAnimTime = 2000;
    private android.view.DisplayInfo mPCDisplayInfo = null;
    private com.android.server.pc.HwPCMkManager mPCMkManager;
    com.android.server.pc.HwPCManagerService.PCSettingsObserver mPCSettingsObserver;
    private int mPadDesktopModeLockScreenTimeout = 0;
    private int mPadLockScreenTimeout = 0;
    private boolean mPadPCDisplayIsRemoved = false;
    private com.android.server.pc.HwPCMultiDisplaysManager mPcMultiDisplayMgr;
    private int mPhoneState = 0;
    android.view.WindowManagerPolicyConstants.PointerEventListener mPointerListener = new android.view.WindowManagerPolicyConstants.PointerEventListener() {
        public void onPointerEvent(android.view.MotionEvent motionEvent, int displayId) {
            if (android.util.HwPCUtils.isValidExtDisplayId(displayId) && motionEvent.getAction() == 8) {
                com.android.server.pc.HwPCManagerService.this.filterScrollForPCMode();
            }
            onPointerEvent(motionEvent);
        }

        public void onPointerEvent(android.view.MotionEvent motionEvent) {
            if (motionEvent != null) {
                com.android.server.pc.HwPCManagerService.this.mAxisX = motionEvent.getX();
                com.android.server.pc.HwPCManagerService.this.mAxisY = motionEvent.getY();
            }
        }
    };
    private long mPrevTimeForBroadcast = android.os.SystemClock.uptimeMillis();
    volatile android.util.HwPCUtils.ProjectionMode mProjMode = android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE;
    boolean mProvisioned = false;
    boolean mRestartAppsWhenUnlocked = false;
    private int mRotationSwitch = 1;
    private int mRotationValue = 0;
    private java.lang.Object mScreenAccessLock = new java.lang.Object();
    private boolean mScreenPowerOn = true;
    private android.app.AlertDialog mShowDpLinkErrorTipDialog = null;
    private final android.content.BroadcastReceiver mShutdownReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                java.lang.String act = intent.getAction();
                if (act != null && "android.intent.action.ACTION_SHUTDOWN".equals(act) && android.util.HwPCUtils.isPcCastModeInServer()) {
                    com.android.server.pc.HwPCManagerService.this.restoreRotationInPad();
                    if (android.util.HwPCUtils.enabledInPad()) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("receive shut down broadcast , IME With Hard Keyboard State:");
                        stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mIMEWithHardKeyboardState);
                        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                        android.provider.Settings.Secure.putInt(com.android.server.pc.HwPCManagerService.this.mContext.getContentResolver(), "show_ime_with_hard_keyboard", com.android.server.pc.HwPCManagerService.this.mIMEWithHardKeyboardState);
                    }
                    com.android.server.pc.HwPCManagerService.this.restoreDreamSettingInPad();
                }
            }
        }
    };
    private boolean mSupportOverlay = android.os.SystemProperties.getBoolean("hw_pc_support_overlay", false);
    private boolean mSupportTouchPad = android.os.SystemProperties.getBoolean("hw_pc_support_touchpad", true);
    private final android.content.ComponentName mSystemUIComponent = new android.content.ComponentName("com.huawei.desktop.systemui", "com.huawei.systemui.SystemUIService");
    private android.app.TaskStackListener mTaskStackListener = new android.app.TaskStackListener() {
        public void onTaskSnapshotChanged(int taskId, android.app.ActivityManager.TaskSnapshot snapshot) throws android.os.RemoteException {
            super.onTaskSnapshotChanged(taskId, snapshot);
        }

        public void onTaskStackChanged() throws android.os.RemoteException {
            super.onTaskStackChanged();
        }

        public void onActivityPinned(java.lang.String packageName, int userId, int taskId, int stackId) throws android.os.RemoteException {
            super.onActivityPinned(packageName, userId, taskId, stackId);
        }

        public void onActivityUnpinned() throws android.os.RemoteException {
            super.onActivityUnpinned();
        }

        public void onPinnedActivityRestartAttempt(boolean clearedTask) throws android.os.RemoteException {
            super.onPinnedActivityRestartAttempt(clearedTask);
        }

        public void onPinnedStackAnimationStarted() throws android.os.RemoteException {
            super.onPinnedStackAnimationStarted();
        }

        public void onPinnedStackAnimationEnded() throws android.os.RemoteException {
            super.onPinnedStackAnimationEnded();
        }

        public void onActivityForcedResizable(java.lang.String packageName, int taskId, int reason) throws android.os.RemoteException {
            super.onActivityForcedResizable(packageName, taskId, reason);
        }

        public void onActivityDismissingDockedStack() throws android.os.RemoteException {
            super.onActivityDismissingDockedStack();
        }

        public void onTaskCreated(int taskId, android.content.ComponentName componentName) throws android.os.RemoteException {
            super.onTaskCreated(taskId, componentName);
            try {
                if (com.android.server.pc.HwPCManagerService.this.mMessenger != null) {
                    android.os.Message message = android.os.Message.obtain();
                    message.what = 16;
                    message.obj = componentName;
                    message.arg1 = taskId;
                    com.android.server.pc.HwPCManagerService.this.mMessenger.send(message);
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("HwPCManagerService", "onTaskCreated RemoteException");
            }
        }

        public void onTaskRemoved(int taskId) throws android.os.RemoteException {
            super.onTaskRemoved(taskId);
            try {
                if (com.android.server.pc.HwPCManagerService.this.mMessenger != null) {
                    android.os.Message message = android.os.Message.obtain();
                    message.what = 17;
                    message.arg1 = taskId;
                    com.android.server.pc.HwPCManagerService.this.mMessenger.send(message);
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("HwPCManagerService", "onTaskRemoved RemoteException");
            }
        }

        public void onTaskMovedToFront(int taskId) throws android.os.RemoteException {
            super.onTaskMovedToFront(taskId);
            try {
                if (com.android.server.pc.HwPCManagerService.this.mMessenger != null) {
                    android.os.Message message = android.os.Message.obtain();
                    message.what = 18;
                    message.arg1 = taskId;
                    com.android.server.pc.HwPCManagerService.this.mMessenger.send(message);
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("HwPCManagerService", "onTaskMovedToFront RemoteException");
            }
        }

        public void onTaskRemovalStarted(int taskId) throws android.os.RemoteException {
            super.onTaskRemovalStarted(taskId);
        }

        public void onTaskDescriptionChanged(int taskId, android.app.ActivityManager.TaskDescription td) throws android.os.RemoteException {
            super.onTaskDescriptionChanged(taskId, td);
        }

        public void onActivityRequestedOrientationChanged(int taskId, int requestedOrientation) throws android.os.RemoteException {
            super.onActivityRequestedOrientationChanged(taskId, requestedOrientation);
        }

        public void onTaskProfileLocked(int taskId, int userId) throws android.os.RemoteException {
            super.onTaskProfileLocked(taskId, userId);
            try {
                if (com.android.server.pc.HwPCManagerService.this.mMessenger != null) {
                    android.os.Message message = android.os.Message.obtain();
                    message.what = 19;
                    message.arg1 = taskId;
                    message.arg2 = userId;
                    com.android.server.pc.HwPCManagerService.this.mMessenger.send(message);
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("HwPCManagerService", "onTaskProfileLocked RemoteException");
            }
        }
    };
    private android.telephony.TelephonyManager mTelephonyPhone;
    int mTmpDisplayId2Unlocked;
    private final android.content.ComponentName mTouchPadComponent = new android.content.ComponentName("com.huawei.desktop.systemui", "com.huawei.systemui.mk.activity.ImitateActivity");
    android.os.Handler mUIHandler = new android.os.Handler(com.android.server.UiThread.get().getLooper());
    private com.android.server.pc.HwPCManagerService.UnlockScreenReceiver mUnlockScreenReceiver;
    private int mUserId = 0;
    android.os.UserManagerInternal mUserManagerInternal;
    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor mVAssistCmdExecutor;
    private android.content.BroadcastReceiver mWifiPCReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                java.lang.String action = intent.getAction();
                if (action != null && action.equals("android.bluetooth.adapter.action.STATE_CHANGED") && intent.getIntExtra("android.bluetooth.adapter.extra.STATE", 0) == 12 && android.util.HwPCUtils.getIsWifiMode()) {
                    com.android.server.pc.HwPCManagerService.this.mBluetoothReminderDialog.showCloseBluetoothTip(com.android.server.pc.HwPCManagerService.this.mContext);
                }
            }
        }
    };
    private com.android.server.wm.WindowManagerInternal mWindowManagerInternal;
    private java.lang.String mWireLessDeviceName = "";
    private boolean restartByUnlock2SetAnimTime;

    private class LocalHandler extends android.os.Handler {
        public LocalHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            int i = msg.what;
            boolean forScroll = true;
            if (i != 1) {
                switch (i) {
                    case 4:
                        if (!android.util.HwPCUtils.enabledInPad() || !com.android.server.pc.HwPCManagerService.this.isMonkeyRunning()) {
                            if (com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId != -1) {
                                com.android.server.pc.HwPCManagerService.this.mIsDisplayAddedAfterSwitch = false;
                                if (!com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode)) {
                                    android.util.HwPCUtils.setPCDisplayID(com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId);
                                    com.android.server.pc.HwPCManagerService.this.mProjMode = android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE;
                                    com.android.server.pc.HwPCManagerService.this.mDDC.enableProjectionMode();
                                    if (com.android.server.pc.HwPCManagerService.this.mIsDisplayLargerThan1080p) {
                                        if (com.android.server.pc.HwPCManagerService.this.get1stDisplay().mType == 2) {
                                            android.provider.Settings.Secure.putInt(com.android.server.pc.HwPCManagerService.this.mContext.getContentResolver(), "selected-proj-mode", 1);
                                            break;
                                        }
                                    }
                                    com.android.server.pc.HwPCManagerService.this.handleSwitchToDesktopMode();
                                    break;
                                }
                                com.android.server.pc.HwPCManagerService.this.lightPhoneScreen();
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("The current mode is DesktopMode, get1stDisplay().mType = ");
                                stringBuilder.append(com.android.server.pc.HwPCManagerService.this.get1stDisplay().mType);
                                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                                android.util.HwPCUtils.setPhoneDisplayID(com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId);
                                com.android.server.pc.HwPCManagerService.this.mProjMode = android.util.HwPCUtils.ProjectionMode.PHONE_MODE;
                                android.util.HwPCUtils.setPcCastModeInServerEarly(com.android.server.pc.HwPCManagerService.this.mProjMode);
                                if (com.android.server.pc.HwPCManagerService.this.get1stDisplay().mType == 2) {
                                    com.android.server.pc.HwPCManagerService.this.mDDC.resetProjectionMode();
                                }
                                if (!android.util.HwPCUtils.enabledInPad()) {
                                    com.android.server.pc.HwPCManagerService.this.bindUnbindService(false);
                                }
                                com.android.server.pc.HwPCManagerService.this.mAMS.togglePCMode(com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode), com.android.server.pc.HwPCManagerService.this.get1stDisplay().mDisplayId);
                                com.android.server.pc.HwPCManagerService.this.setUsePCModeMouseIconContext(false);
                                android.util.HwPCUtils.setPcCastModeInServer(false);
                                com.android.server.pc.HwPCManagerService.this.setPcCastingDisplayId(-1);
                                com.android.server.pc.HwPCManagerService.this.mVAssistCmdExecutor.notifyDesktopModeChanged(false, 0);
                                com.android.server.pc.HwPCManagerService.this.updateIMEWithHardKeyboardState(false);
                                android.provider.Settings.Secure.putInt(com.android.server.pc.HwPCManagerService.this.mContext.getContentResolver(), "selected-proj-mode", 0);
                                com.android.server.pc.HwPCManagerService.this.restoreDreamSettingInPad();
                                com.android.server.pc.HwPCManagerService.this.sendNotificationForSwitch(com.android.server.pc.HwPCManagerService.this.mProjMode);
                                com.android.server.pc.HwPCManagerService.this.bdReportDiffSrcStatus(false);
                                com.android.server.pc.HwPCManagerService.this.bdReportSameSrcStatus(true);
                                com.android.server.pc.HwPCManagerService.this.sendSwitchToStatusBar();
                                com.android.server.pc.HwPCManagerService.this.setDesktopModeToAudioService(0);
                                com.android.server.pc.HwPCManagerService.this.updateFingerprintSlideSwitch();
                                com.android.server.pc.HwPCManagerService.this.relaunchIMEDelay(0);
                                if (android.util.HwPCUtils.enabledInPad()) {
                                    com.android.server.pc.HwPCManagerService.this.bindUnbindService(false);
                                    android.hardware.display.DisplayManagerInternal dm = (android.hardware.display.DisplayManagerInternal) com.android.server.LocalServices.getService(android.hardware.display.DisplayManagerInternal.class);
                                    if (dm != null) {
                                        dm.pcDisplayChange(false);
                                        com.android.server.pc.HwPCManagerService.this.mPadPCDisplayIsRemoved = true;
                                        dm.pcDisplayChange(true);
                                    }
                                }
                                com.android.server.pc.HwPCManagerService.this.exitDesktopModeForMk();
                                break;
                            }
                            return;
                        }
                        android.util.HwPCUtils.log("HwPCManagerService", "MSG_SET_PROJ_MODE isMonkeyRunning return !");
                        return;
                        break;
                    case 5:
                        if (com.android.server.pc.HwPCManagerService.this.mHasSwitchNtf) {
                            com.android.server.pc.HwPCManagerService.this.sendNotificationForSwitch(com.android.server.pc.HwPCManagerService.this.mProjMode);
                            break;
                        }
                        break;
                    case 6:
                        if (com.android.server.pc.HwPCManagerService.this.mKeyguardManager == null) {
                            com.android.server.pc.HwPCManagerService.this.mKeyguardManager = (android.app.KeyguardManager) com.android.server.pc.HwPCManagerService.this.mContext.getSystemService("keyguard");
                        }
                        if (!com.android.server.pc.HwPCManagerService.this.mKeyguardManager.isKeyguardLocked() && android.os.storage.StorageManager.isUserKeyUnlocked(com.android.server.pc.HwPCManagerService.this.mUserId)) {
                            com.android.server.pc.HwPCManagerService.this.onDisplayAdded(msg.arg1);
                            break;
                        }
                        com.android.server.pc.HwPCManagerService.this.mTmpDisplayId2Unlocked = msg.arg1;
                        com.android.server.pc.HwPCManagerService.this.mRestartAppsWhenUnlocked = true;
                        break;
                    case 7:
                        com.android.server.pc.HwPCManagerService.this.onDisplayChanged(msg.arg1);
                        break;
                    case 8:
                        com.android.server.pc.HwPCManagerService.this.onDisplayRemoved(msg.arg1);
                        break;
                    case 9:
                        com.android.server.pc.HwPCManagerService.this.handleRestoreApps(msg.arg1);
                        break;
                    case 10:
                        if (!com.android.server.pc.HwPCManagerService.this.getCastMode()) {
                            removeMessages(10);
                            break;
                        } else {
                            com.android.server.pc.HwPCManagerService.this.restoreApp(msg.arg1, (android.content.Intent) msg.obj);
                            break;
                        }
                    case 11:
                        com.android.server.pc.HwPCManagerService.this.mIntentList.clear();
                        break;
                    case 12:
                        com.android.server.pc.HwPCManagerService.this.onSwitchUser(msg.arg1);
                        break;
                    case 13:
                        com.android.server.pc.HwPCManagerService.this.launchMK();
                        break;
                    case 14:
                        com.android.server.pc.HwPCManagerService.this.doRelaunchIMEIfNecessary();
                        break;
                    case 15:
                        com.android.server.pc.HwPCManagerService.this.mIntentList.clear();
                        com.android.server.pc.HwPCManagerService.this.mIntentList.addAll((java.util.List) msg.obj);
                        com.android.server.pc.HwPCManagerService.this.mAlarmManager.set(2, android.os.SystemClock.elapsedRealtime() + 180000, "keep_record", com.android.server.pc.HwPCManagerService.this.mAlarmListener, com.android.server.pc.HwPCManagerService.this.mHandler);
                        break;
                    case 16:
                        java.lang.String pkgName = msg.obj;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("handleMessage MSG_UNINSTALL_APP:");
                        stringBuilder2.append(pkgName);
                        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder2.toString());
                        if (pkgName != null) {
                            com.android.server.pc.HwPCManagerService.this.mContext.getPackageManager().deletePackage(pkgName, (android.content.pm.IPackageDeleteObserver) null, 2);
                            break;
                        }
                        break;
                    case 17:
                        com.android.server.pc.HwPCManagerService.this.setFocusedPCDisplayId("unlockScreen");
                        break;
                    case 18:
                        com.android.server.pc.HwPCManagerService.this.doUpdateDisplayOverrideConfiguration(msg.arg1);
                        break;
                    case 19:
                        com.android.server.pc.HwPCManagerService.this.showEnterDesktopAlertDialog(com.android.server.pc.HwPCManagerService.this.getCurrentContext(), true);
                        break;
                    case 20:
                        com.android.server.pc.HwPCManagerService.this.showExitDesktopAlertDialog(com.android.server.pc.HwPCManagerService.this.getCurrentContext(), true);
                        break;
                    case 21:
                        com.android.server.pc.HwPCManagerService.this.mPcMultiDisplayMgr.notifyDpState(((java.lang.Boolean) msg.obj).booleanValue());
                        break;
                    case 22:
                        com.android.server.pc.HwPCManagerService.this.showDPLinkErrorDialog(com.android.server.pc.HwPCManagerService.this.mContext, msg.obj);
                        break;
                    case 23:
                        com.android.server.pc.HwPCManagerService.this.openEasyProjection();
                        break;
                    case 24:
                        android.view.KeyEvent ev = msg.obj;
                        if (msg.arg1 == 0) {
                            forScroll = false;
                        }
                        if (com.android.server.pc.HwPCManagerService.this.shouldSendBroadcastForClearLighterDrawed(ev, forScroll)) {
                            com.android.server.pc.HwPCManagerService.this.sendBroadcastForClearLighterDrawed();
                            break;
                        }
                        break;
                    default:
                        break;
                }
            }
            com.android.server.pc.HwPCManagerService.this.sendNotificationForSwitch(msg.obj);
        }
    }

    class PCSettingsObserver extends android.database.ContentObserver {
        PCSettingsObserver(android.os.Handler handler) {
            super(handler);
        }

        void observe() {
            android.content.ContentResolver resolver = com.android.server.pc.HwPCManagerService.this.mContext.getContentResolver();
            if (android.util.HwPCUtils.enabledInPad()) {
                resolver.registerContentObserver(android.provider.Settings.System.getUriFor("screen_off_timeout"), false, this, 0);
                updateScreenOffTimeoutSettings();
            }
            resolver.registerContentObserver(android.provider.Settings.Global.getUriFor("device_provisioned"), false, this, 0);
        }

        public void onChange(boolean selfChange, android.net.Uri uri) {
            if (uri != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("PCSettingsObserver onChange:");
                stringBuilder.append(selfChange);
                stringBuilder.append(" uri:");
                stringBuilder.append(uri.toString());
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                java.lang.String uri2 = uri.toString();
                java.lang.Object obj = -1;
                int hashCode = uri2.hashCode();
                if (hashCode != -1333899149) {
                    if (hashCode == 1024070412) {
                        if (uri2.equals("content://settings/global/device_provisioned")) {
                            obj = 1;
                        }
                    }
                } else if (uri2.equals("content://settings/system/screen_off_timeout")) {
                    obj = null;
                }
                switch (obj) {
                    case null:
                        updateScreenOffTimeoutSettings();
                        return;
                    case 1:
                        deviceChanged();
                        return;
                    default:
                        return;
                }
            }
        }

        private synchronized void updateScreenOffTimeoutSettings() {
            java.lang.StringBuilder stringBuilder;
            android.content.ContentResolver resolver = com.android.server.pc.HwPCManagerService.this.mContext.getContentResolver();
            com.android.server.pc.HwPCManagerService.this.mLockScreenTimeout = android.provider.Settings.System.getIntForUser(resolver, "screen_off_timeout", 0, -2);
            if (android.util.HwPCUtils.enabledInPad()) {
                if (com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode) && android.util.HwPCUtils.isPcCastModeInServer()) {
                    com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout = com.android.server.pc.HwPCManagerService.this.mLockScreenTimeout;
                    android.provider.Settings.Secure.putInt(resolver, "pad_desktop_mode_screen_off_timeout", com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateScreenOffTimeoutSettings PAD_DESKTOP_MODE_SCREEN_OFF_TIMEOUT=");
                    stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                } else {
                    com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout = com.android.server.pc.HwPCManagerService.this.mLockScreenTimeout;
                    android.provider.Settings.Secure.putInt(resolver, "pad_screen_off_timeout", com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateScreenOffTimeoutSettings PAD_SCREEN_OFF_TIMEOUT=");
                    stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                }
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateScreenOffTimeoutSettings ");
            stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mLockScreenTimeout);
            stringBuilder.append(" pad=");
            stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout);
            stringBuilder.append(" pc=");
            stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        }

        synchronized void readScreenOffSettings() {
            if (android.util.HwPCUtils.enabledInPad()) {
                android.content.ContentResolver resolver = com.android.server.pc.HwPCManagerService.this.mContext.getContentResolver();
                com.android.server.pc.HwPCManagerService.this.mLockScreenTimeout = android.provider.Settings.System.getIntForUser(resolver, "screen_off_timeout", 0, -2);
                com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout = android.provider.Settings.Secure.getIntForUser(resolver, "pad_screen_off_timeout", com.android.server.pc.HwPCManagerService.this.mLockScreenTimeout, -2);
                com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout = android.provider.Settings.Secure.getIntForUser(resolver, "pad_desktop_mode_screen_off_timeout", 600000, -2);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("read screen off settings current=");
                stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mLockScreenTimeout);
                stringBuilder.append(" pad=");
                stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout);
                stringBuilder.append(" pc=");
                stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            }
        }

        synchronized void restoreScreenOffSettings() {
            if (android.util.HwPCUtils.enabledInPad()) {
                android.content.ContentResolver resolver = com.android.server.pc.HwPCManagerService.this.mContext.getContentResolver();
                java.lang.StringBuilder stringBuilder;
                if (com.android.server.pc.HwPCManagerService.isDesktopMode(com.android.server.pc.HwPCManagerService.this.mProjMode) && android.util.HwPCUtils.isPcCastModeInServer()) {
                    android.provider.Settings.System.putIntForUser(resolver, "screen_off_timeout", com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout, -2);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("restoreScreenOffSettings mPadDesktopModeLockScreenTimeout=");
                    stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadDesktopModeLockScreenTimeout);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                } else {
                    android.provider.Settings.System.putIntForUser(resolver, "screen_off_timeout", com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout, -2);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("restoreScreenOffSettings mPadLockScreenTimeout=");
                    stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mPadLockScreenTimeout);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                }
            }
        }

        private void deviceChanged() {
            boolean wasProvisioned = com.android.server.pc.HwPCManagerService.this.mProvisioned;
            boolean isProvisioned = com.android.server.pc.HwPCManagerService.this.deviceIsProvisioned();
            com.android.server.pc.HwPCManagerService.this.mProvisioned = isProvisioned;
            if (isProvisioned && !wasProvisioned) {
                int displayId = -1;
                com.android.server.pc.HwPCManagerService.this.mDisplayManager = (android.hardware.display.DisplayManager) com.android.server.pc.HwPCManagerService.this.mContext.getSystemService("display");
                if (com.android.server.pc.HwPCManagerService.this.mDisplayManager != null) {
                    android.view.Display[] displays = com.android.server.pc.HwPCManagerService.this.mDisplayManager.getDisplays();
                    if (displays != null && displays.length > 0) {
                        for (int i = displays.length - 1; i >= 0; i--) {
                            if (displays[i] != null) {
                                if (displays[i].getDisplayId() != 0) {
                                    if (com.android.server.pc.HwPCManagerService.this.isWiredDisplay(displays[i].getDisplayId())) {
                                        displayId = displays[i].getDisplayId();
                                        break;
                                    }
                                }
                            }
                        }
                    }
                    if (displayId != -1) {
                        com.android.server.pc.HwPCManagerService.this.scheduleDisplayAdded(displayId);
                    }
                }
            }
        }
    }

    private class UnlockScreenReceiver extends android.content.BroadcastReceiver {
        private UnlockScreenReceiver() {
        }

        /* synthetic */ UnlockScreenReceiver(com.android.server.pc.HwPCManagerService x0, com.android.server.pc.HwPCManagerService.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.util.HwPCUtils.log("HwPCManagerService", "mUnlockScreenReceiver received a null intent");
                return;
            }
            if ("android.intent.action.USER_PRESENT".equals(intent.getAction())) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("receive: ACTION_USER_PRESENT, mRestartAppsWhenUnlocked is ");
                stringBuilder.append(com.android.server.pc.HwPCManagerService.this.mRestartAppsWhenUnlocked);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                if (com.android.server.pc.HwPCManagerService.this.mRestartAppsWhenUnlocked) {
                    com.android.server.pc.HwPCManagerService.this.mRestartAppsWhenUnlocked = false;
                    com.android.server.pc.HwPCManagerService.this.restartByUnlock2SetAnimTime = true;
                    com.android.server.pc.HwPCManagerService.this.scheduleDisplayAdded(com.android.server.pc.HwPCManagerService.this.mTmpDisplayId2Unlocked);
                } else {
                    android.util.HwPCUtils.log("HwPCManagerService", "receive: ACTION_USER_PRESENT, MSG_SET_FOCUS_DISPLAY");
                    com.android.server.pc.HwPCManagerService.this.mHandler.removeMessages(17);
                    com.android.server.pc.HwPCManagerService.this.mHandler.sendMessage(com.android.server.pc.HwPCManagerService.this.mHandler.obtainMessage(17));
                }
            }
        }
    }

    static /* synthetic */ int access$6776(com.android.server.pc.HwPCManagerService x0, int x1) {
        int i = x0.mConnectedInputDevices | x1;
        x0.mConnectedInputDevices = i;
        return i;
    }

    private static boolean isDesktopMode(android.util.HwPCUtils.ProjectionMode mode) {
        return mode == android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE;
    }

    private android.content.Context getCurrentContext() {
        if (!isDesktopMode(this.mProjMode)) {
            return this.mContext;
        }
        if (this.mDisplayManager == null) {
            this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
        }
        if (this.mDisplayManager != null) {
            android.view.Display display = null;
            for (android.view.Display dis : this.mDisplayManager.getDisplays()) {
                if (dis.getType() != 1 && android.util.HwPCUtils.isValidExtDisplayId(dis.getDisplayId())) {
                    display = dis;
                    break;
                }
            }
            if (display != null) {
                return this.mContext.createDisplayContext(display);
            }
        }
        return null;
    }

    private boolean isEnterDesktopModeRemembered() {
        int isRemembered = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "enter-desktop-mode-remember", 0);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isEnterDesktopModeRemembered");
        stringBuilder.append(isRemembered);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        return isRemembered == 1;
    }

    private boolean isExitDesktopModeRemembered() {
        int isRemembered = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "exit-desktop-mode-remember", 0);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isEnterDesktopModeRemembered");
        stringBuilder.append(isRemembered);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        return isRemembered == 1;
    }

    private boolean isShowEnterDialog() {
        int isRemembered = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "show-enter-dialog-use-keyboard", 0);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isShowEnterDialog");
        stringBuilder.append(isRemembered);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        if (isRemembered == 0) {
            return true;
        }
        return false;
    }

    private boolean isShowExitDialog() {
        int isRemembered = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "show-exit-dialog-use-keyboard", 0);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isShowExitDialog");
        stringBuilder.append(isRemembered);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        if (isRemembered == 0) {
            return true;
        }
        return false;
    }

    private android.text.SpannableString getSpanString(java.lang.String orig, java.lang.String re, java.lang.String url) {
        android.util.Log.d("HwPCManagerService", java.lang.String.format("getSpanString: orig=%s re=%s url %s", new java.lang.Object[]{orig, re, url}));
        android.text.SpannableString spannableString = new android.text.SpannableString(orig);
        int start = orig.indexOf(re);
        if (start < 0) {
            return spannableString;
        }
        spannableString.setSpan(new android.text.style.ClickableSpan() {
            public void updateDrawState(android.text.TextPaint ds) {
                super.updateDrawState(ds);
            }

            public void onClick(android.view.View widget) {
                android.util.Log.d("HwPCManagerService", "SpannableString onClick.");
            }
        }, start, re.length() + start, 33);
        return spannableString;
    }

    private boolean isMMIRunning() {
        return android.os.SystemProperties.get("runtime.mmitest.isrunning", "false").equals("true");
    }

    private void showEnterDesktopAlertDialog(android.content.Context context, boolean isExclusiveKeyboard) {
        showEnterDesktopAlertDialog(context, isExclusiveKeyboard, false);
    }

    private boolean isKeyguardLocked() {
        if (this.mKeyguardManager != null) {
            return this.mKeyguardManager.isKeyguardLocked();
        }
        return false;
    }

    private void showEnterDesktopAlertDialog(android.content.Context context, boolean isExclusiveKeyboard, boolean notDisplayAdd) {
        android.content.Context context2 = context;
        boolean z = isExclusiveKeyboard;
        if (!isMMIRunning()) {
            if (!isKeyguardLocked()) {
                if (deviceIsProvisioned()) {
                    if (isUserSetupComplete()) {
                        int i = 0;
                        if (isCalling()) {
                            if (isDesktopMode(this.mProjMode)) {
                                i = get1stDisplay().mDisplayId;
                            }
                            showCallingToast(i);
                            android.util.HwPCUtils.log("HwPCManagerService", "switchProjMode failed! in Calling");
                            com.android.server.pc.HwPCDataReporter.getInstance().reportFailEnterPadEvent(3, this.mPCDisplayInfo);
                            return;
                        } else if (this.mUserId != 0) {
                            android.util.HwPCUtils.log("HwPCManagerService", "showEnterDesktopAlertDialog failed! currentUser is not UserHandle.USER_OWNER");
                            return;
                        } else {
                            if (context2 != null) {
                                if (this.mEnterDesktopAlertDialog == null || !this.mEnterDesktopAlertDialog.isShowing()) {
                                    if (isEnterDesktopModeRemembered() && !isDesktopMode(this.mProjMode) && !z) {
                                        backToHomeInDefaultDisplay(get1stDisplay().mDisplayId);
                                        sendSwitchMsgDelayed(200);
                                        return;
                                    } else if (!z || isShowEnterDialog()) {
                                        android.app.AlertDialog.Builder buider = new android.app.AlertDialog.Builder(context2, 33947691);
                                        android.view.View view = android.view.LayoutInflater.from(buider.getContext()).inflate(34013325, null);
                                        if (view == null) {
                                            com.android.server.pc.HwPCDataReporter.getInstance().reportFailEnterPadEvent(4, this.mPCDisplayInfo);
                                            return;
                                        }
                                        android.widget.ImageView imageView = (android.widget.ImageView) view.findViewById(34603272);
                                        android.widget.TextView textView = (android.widget.TextView) view.findViewById(34603271);
                                        android.widget.CheckBox checkBox = (android.widget.CheckBox) view.findViewById(34603273);
                                        if (!(imageView == null || textView == null)) {
                                            if (checkBox != null) {
                                                java.lang.String content;
                                                if (z) {
                                                    imageView.setPadding(0, 0, 0, 0);
                                                    content = this.mContext.getResources().getString(33685943);
                                                } else {
                                                    imageView.setImageResource(33751967);
                                                    content = this.mContext.getResources().getString(33685921);
                                                }
                                                textView.setText(getSpanString(content, this.mContext.getResources().getString(33685948), ""));
                                                textView.setMovementMethod(android.text.method.LinkMovementMethod.getInstance());
                                                checkBox.setOnCheckedChangeListener(com.android.server.pc.-$$Lambda$HwPCManagerService$O9bKuYfIo9MANf97DdpWE4QaTDs.INSTANCE);
                                                this.mEnterDesktopAlertDialog = buider.setTitle(33685950).setPositiveButton(33685949, new com.android.server.pc.-$$Lambda$HwPCManagerService$a31z__dZ2TZtRr1fxAqtbeG9u5s(this, checkBox, z)).setNegativeButton(33685920, new com.android.server.pc.-$$Lambda$HwPCManagerService$DLwW3gqo9PPDm10xR2WICv-KPQE(this)).setView(view).setOnDismissListener(new com.android.server.pc.-$$Lambda$HwPCManagerService$BN4ZW4Lrv5EdDta6LzrPtHQbUN8(this)).create();
                                                this.mEnterDesktopAlertDialog.setCanceledOnTouchOutside(true);
                                                this.mEnterDesktopAlertDialog.getWindow().setType(2008);
                                                this.mEnterDesktopAlertDialog.setOnShowListener(new android.content.DialogInterface.OnShowListener() {
                                                    public void onShow(android.content.DialogInterface dialog) {
                                                        android.widget.Button btn = com.android.server.pc.HwPCManagerService.this.mEnterDesktopAlertDialog.getButton(-1);
                                                        btn.setFocusable(true);
                                                        btn.setFocusedByDefault(true);
                                                        btn.setFocusableInTouchMode(true);
                                                        btn.requestFocus();
                                                    }
                                                });
                                                this.mEnterDesktopAlertDialog.show();
                                                this.mEnterDesktopAlertDialog.getWindow().getAttributes().setTitle("EnterDesktopAlertDialog");
                                                android.view.Window w = this.mEnterDesktopAlertDialog.getWindow();
                                                android.content.ContentResolver contentResolver = context.getContentResolver();
                                                if (!(w == null || contentResolver == null)) {
                                                    android.view.View titleView = w.findViewById(16908716);
                                                    boolean isTalkbackOpen = android.provider.Settings.Secure.getInt(contentResolver, "accessibility_enabled", 0) > 0;
                                                    if (titleView != null && !titleView.isAccessibilityFocused() && z && notDisplayAdd && isTalkbackOpen) {
                                                        titleView.requestAccessibilityFocus();
                                                    }
                                                }
                                                return;
                                            }
                                        }
                                        return;
                                    } else {
                                        return;
                                    }
                                }
                            }
                            return;
                        }
                    }
                }
                android.util.HwPCUtils.log("HwPCManagerService", "showEnterDesktopAlertDialog failed!  Startup Guide is not Complete");
                com.android.server.pc.HwPCDataReporter.getInstance().reportFailEnterPadEvent(2, this.mPCDisplayInfo);
                return;
            }
        }
        android.util.HwPCUtils.log("HwPCManagerService", "showEnterDesktopAlertDialog failed!");
        com.android.server.pc.HwPCDataReporter.getInstance().reportFailEnterPadEvent(1, this.mPCDisplayInfo);
    }

    static /* synthetic */ void lambda$showEnterDesktopAlertDialog$0(android.widget.CompoundButton buttonView, boolean isChecked) {
    }

    public static /* synthetic */ void lambda$showEnterDesktopAlertDialog$1(com.android.server.pc.HwPCManagerService hwPCManagerService, android.widget.CheckBox checkBox, boolean isExclusiveKeyboard, android.content.DialogInterface dialog, int which) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onClick:start which=");
        stringBuilder.append(which);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        hwPCManagerService.backToHomeInDefaultDisplay(hwPCManagerService.get1stDisplay().mDisplayId);
        hwPCManagerService.isNeedEnterDesktop = true;
        if (checkBox.isChecked()) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("onClick:start which=");
            stringBuilder2.append(which);
            android.util.Log.d("HwPCManagerService", stringBuilder2.toString());
            if (isExclusiveKeyboard) {
                android.provider.Settings.Secure.putInt(hwPCManagerService.mContext.getContentResolver(), "show-enter-dialog-use-keyboard", 1);
            } else {
                android.provider.Settings.Secure.putInt(hwPCManagerService.mContext.getContentResolver(), "enter-desktop-mode-remember", 1);
            }
        }
        dialog.dismiss();
    }

    public static /* synthetic */ void lambda$showEnterDesktopAlertDialog$2(com.android.server.pc.HwPCManagerService hwPCManagerService, android.content.DialogInterface dialog, int which) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onClick:cancel which=");
        stringBuilder.append(which);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        hwPCManagerService.isNeedEnterDesktop = false;
        dialog.cancel();
    }

    public static /* synthetic */ void lambda$showEnterDesktopAlertDialog$3(com.android.server.pc.HwPCManagerService hwPCManagerService, android.content.DialogInterface dialog) {
        if (hwPCManagerService.isNeedEnterDesktop) {
            android.util.Log.d("HwPCManagerService", "EnterDesktopAlertDialog dismiss");
            hwPCManagerService.isNeedEnterDesktop = false;
            hwPCManagerService.sendSwitchMsgDelayed(200);
        }
    }

    private void sendSwitchMsgDelayed(int delayMillis) {
        this.mHandler.removeMessages(4);
        this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(4), (long) delayMillis);
    }

    private void showExitDesktopAlertDialog(android.content.Context context, boolean isExclusiveKeyboard) {
        if (!isMMIRunning()) {
            if (!isKeyguardLocked()) {
                int i = 0;
                if (isCalling()) {
                    if (isDesktopMode(this.mProjMode)) {
                        i = get1stDisplay().mDisplayId;
                    }
                    showCallingToast(i);
                    android.util.HwPCUtils.log("HwPCManagerService", "switchProjMode failed! in Calling");
                    return;
                }
                if (context != null) {
                    if (this.mExitDesktopAlertDialog == null || !this.mExitDesktopAlertDialog.isShowing()) {
                        if (isExitDesktopModeRemembered() && isDesktopMode(this.mProjMode) && !isExclusiveKeyboard) {
                            sendSwitchMsg();
                            return;
                        } else if (!isExclusiveKeyboard || isShowExitDialog()) {
                            android.app.AlertDialog.Builder buider = new android.app.AlertDialog.Builder(context, 33947691);
                            android.view.View view = android.view.LayoutInflater.from(buider.getContext()).inflate(34013325, null);
                            if (view != null) {
                                java.lang.String enter_toast = context.getString(33685951);
                                java.lang.String exit_toast = context.getString(33686009);
                                java.lang.String enter_exclusive_keyboard = context.getString(33685922);
                                java.lang.String exit_exclusive_keyboard = context.getString(33685975);
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("these string will be used in future:");
                                stringBuilder.append(enter_toast);
                                stringBuilder.append(exit_toast);
                                stringBuilder.append(enter_exclusive_keyboard);
                                stringBuilder.append(exit_exclusive_keyboard);
                                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                                android.widget.ImageView imageView = (android.widget.ImageView) view.findViewById(34603272);
                                android.widget.TextView textView = (android.widget.TextView) view.findViewById(34603271);
                                android.widget.CheckBox checkBox = (android.widget.CheckBox) view.findViewById(34603273);
                                if (!(imageView == null || textView == null)) {
                                    if (checkBox != null) {
                                        imageView.setPadding(0, 0, 0, 0);
                                        if (isExclusiveKeyboard) {
                                            textView.setText(33685976);
                                        } else {
                                            textView.setText(33685969);
                                        }
                                        checkBox.setOnCheckedChangeListener(com.android.server.pc.-$$Lambda$HwPCManagerService$cbPBgxGRcbQ3qc0VOMSqqDsH6w0.INSTANCE);
                                        this.mExitDesktopAlertDialog = buider.setTitle(33686003).setPositiveButton(33685978, new com.android.server.pc.-$$Lambda$HwPCManagerService$LABOusEbz-E8gVYSSL7I5jumj_8(this, checkBox, isExclusiveKeyboard)).setNegativeButton(33685964, new com.android.server.pc.-$$Lambda$HwPCManagerService$FRGTPoH-eJt9tS6GrONnb_M9wPo(this)).setView(view).setOnDismissListener(new com.android.server.pc.-$$Lambda$HwPCManagerService$Qdt8FUBRVqlM6MgXu-iSuIAD_vA(this)).create();
                                        this.mExitDesktopAlertDialog.setCanceledOnTouchOutside(true);
                                        this.mExitDesktopAlertDialog.getWindow().setType(2008);
                                        this.mExitDesktopAlertDialog.setOnShowListener(new android.content.DialogInterface.OnShowListener() {
                                            public void onShow(android.content.DialogInterface dialog) {
                                                android.widget.Button btn = com.android.server.pc.HwPCManagerService.this.mExitDesktopAlertDialog.getButton(-1);
                                                btn.setFocusable(true);
                                                btn.setFocusedByDefault(true);
                                                btn.setFocusableInTouchMode(true);
                                                btn.requestFocus();
                                            }
                                        });
                                        this.mExitDesktopAlertDialog.show();
                                        this.mExitDesktopAlertDialog.getWindow().getAttributes().setTitle("ExitDesktopAlertDialog");
                                        return;
                                    }
                                }
                                return;
                            }
                            return;
                        } else {
                            return;
                        }
                    }
                }
                return;
            }
        }
        android.util.HwPCUtils.log("HwPCManagerService", "showExitDesktopAlertDialog failed!");
    }

    static /* synthetic */ void lambda$showExitDesktopAlertDialog$4(android.widget.CompoundButton buttonView, boolean isChecked) {
    }

    public static /* synthetic */ void lambda$showExitDesktopAlertDialog$5(com.android.server.pc.HwPCManagerService hwPCManagerService, android.widget.CheckBox checkBox, boolean isExclusiveKeyboard, android.content.DialogInterface dialog, int which) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onClick:start which=");
        stringBuilder.append(which);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        hwPCManagerService.isNeedEixtDesktop = true;
        if (checkBox.isChecked()) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("onClick:start which=");
            stringBuilder2.append(which);
            android.util.Log.d("HwPCManagerService", stringBuilder2.toString());
            if (isExclusiveKeyboard) {
                android.provider.Settings.Secure.putInt(hwPCManagerService.mContext.getContentResolver(), "show-exit-dialog-use-keyboard", 1);
            } else {
                android.provider.Settings.Secure.putInt(hwPCManagerService.mContext.getContentResolver(), "exit-desktop-mode-remember", 1);
            }
        }
        dialog.dismiss();
    }

    public static /* synthetic */ void lambda$showExitDesktopAlertDialog$6(com.android.server.pc.HwPCManagerService hwPCManagerService, android.content.DialogInterface dialog, int which) {
        hwPCManagerService.isNeedEixtDesktop = false;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onClick:cancel which=");
        stringBuilder.append(which);
        android.util.Log.d("HwPCManagerService", stringBuilder.toString());
        dialog.cancel();
    }

    public static /* synthetic */ void lambda$showExitDesktopAlertDialog$7(com.android.server.pc.HwPCManagerService hwPCManagerService, android.content.DialogInterface dialog) {
        if (hwPCManagerService.isNeedEixtDesktop) {
            android.util.Log.d("HwPCManagerService", "EnterDesktopAlertDialog dismiss");
            hwPCManagerService.isNeedEixtDesktop = false;
            hwPCManagerService.sendSwitchMsgDelayed(200);
        }
    }

    private void handleSwitchToDesktopMode() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handleSwitchToDesktopMode, mIsDisplayAddedAfterSwitch = ");
        stringBuilder.append(this.mIsDisplayAddedAfterSwitch);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        if (this.mIsDisplayAddedAfterSwitch) {
            com.android.server.pc.HwPCDataReporter.getInstance().reportFailSwitchEvent(1, this.mProjMode.ordinal(), this.mPCDisplayInfo);
            return;
        }
        android.util.HwPCUtils.setPCDisplayID(get1stDisplay().mDisplayId);
        android.util.HwPCUtils.setPcCastModeInServerEarly(this.mProjMode);
        android.util.HwPCUtils.setPcCastModeInServer(true);
        setPcCastingDisplayId(get1stDisplay().mDisplayId);
        autoLaunchMK();
        this.mVAssistCmdExecutor.notifyDesktopModeChanged(true, get1stDisplay().mDisplayId);
        updateIMEWithHardKeyboardState(true);
        saveRotationInPad();
        this.mAMS.freezeOrThawRotationInPcMode();
        saveDreamSettingInPad();
        this.mPCBeforeBootAnimTime = 1500;
        bindUnbindService(true);
        this.mAMS.togglePCMode(isDesktopMode(this.mProjMode), get1stDisplay().mDisplayId);
        setUsePCModeMouseIconContext(true);
        android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "selected-proj-mode", 1);
        sendNotificationForSwitch(this.mProjMode);
        bdReportDiffSrcStatus(true);
        bdReportSameSrcStatus(false);
        scheduleRestoreApps(get1stDisplay().mDisplayId);
        sendSwitchToStatusBar();
        setDesktopModeToAudioService(1);
        uploadPcDisplaySizePro();
        enableFingerprintSlideSwitch();
        lightPhoneScreen();
        if (android.util.HwPCUtils.enabledInPad()) {
            setFocusedPCDisplayId("enterDesktop");
        }
        relaunchIMEDelay(2000);
        enterDesktopModeForMk();
    }

    android.os.UserManagerInternal getUserManagerInternal() {
        if (this.mUserManagerInternal == null) {
            this.mUserManagerInternal = (android.os.UserManagerInternal) com.android.server.LocalServices.getService(android.os.UserManagerInternal.class);
        }
        return this.mUserManagerInternal;
    }

    public void scheduleDisplayAdded(int displayId) {
        if (!checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("scheduleDisplayAdded checkCallingPermission failed");
            stringBuilder.append(android.os.Binder.getCallingPid());
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        } else if (android.util.HwVRUtils.isVRMode()) {
            android.util.HwPCUtils.log("HwPCManagerService", "vr mode should not add vr display");
        } else {
            this.mHandler.removeMessages(6);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(6, displayId, -1));
        }
    }

    public void scheduleDisplayChanged(int displayId) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mHandler.removeMessages(7);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(7, displayId, -1));
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("scheduleDisplayChanged checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void scheduleDisplayRemoved(int displayId) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mHandler.removeMessages(8);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(8, displayId, -1));
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("scheduleDisplayRemoved checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private void bindUnbindService(boolean bind) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bindUnbindService:");
        stringBuilder.append(bind);
        stringBuilder.append(" current display is:");
        stringBuilder.append(get1stDisplay().mDisplayId);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        this.mPCSettingsObserver.restoreScreenOffSettings();
        if (bind) {
            android.content.Intent intent = new android.content.Intent();
            intent.putExtra("is_wireless_mode", android.util.HwPCUtils.getIsWifiMode());
            intent.setComponent(this.mSystemUIComponent);
            this.mContext.bindService(intent, this.mConnSysUI, 1);
            android.content.Intent intent2 = new android.content.Intent();
            intent2.putExtra("before_boot_anim_time", this.mPCBeforeBootAnimTime);
            intent2.putExtra("is_wireless_mode", android.util.HwPCUtils.getIsWifiMode());
            intent2.putExtra("current_display_uniqueId", getPcDisplayInfo() != null ? getPcDisplayInfo().uniqueId : "");
            intent2.setComponent(this.mExplorerComponent);
            this.mContext.bindService(intent2, this.mConnExplorer, 1);
            registerScreenOnEvent();
            registerShutdownEvent();
            if (android.util.HwPCUtils.getIsWifiMode()) {
                registerBluetoothReceiver();
            }
            this.mAMS.registerHwTaskStackListener(this.mTaskStackListener);
            return;
        }
        unbindAllPcService();
        unRegisterScreenOnEvent();
        restoreRotationInPad();
        unRegisterShutdownEvent();
        if (this.mIsNeedUnRegisterBluetoothReciver) {
            unRegisterBluetoothReceiver();
        }
        this.mAMS.unRegisterHwTaskStackListener(this.mTaskStackListener);
    }

    private void saveRotationInPad() {
        if (android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastModeInServer()) {
            long identity = android.os.Binder.clearCallingIdentity();
            try {
                this.mRotationSwitch = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "accelerometer_rotation", 1, this.mUserId);
                if (this.mRotationSwitch == 0) {
                    this.mRotationValue = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "user_rotation", 0, this.mUserId);
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("saveRotationInPad ");
                stringBuilder.append(e);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(identity);
            }
            android.os.Binder.restoreCallingIdentity(identity);
        }
    }

    private void restoreRotationInPad() {
        if (android.util.HwPCUtils.enabledInPad()) {
            long identity = android.os.Binder.clearCallingIdentity();
            try {
                if (this.mRotationSwitch == 0) {
                    android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "user_rotation", this.mRotationValue, this.mUserId);
                } else {
                    android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "accelerometer_rotation", 1, this.mUserId);
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("restoreRotationInPad ");
                stringBuilder.append(e);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(identity);
            }
            android.os.Binder.restoreCallingIdentity(identity);
        }
    }

    private void registerShutdownEvent() {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.ACTION_SHUTDOWN");
            this.mContext.registerReceiver(this.mShutdownReceiver, filter);
        }
    }

    private void unRegisterShutdownEvent() {
        if (android.util.HwPCUtils.enabledInPad()) {
            try {
                this.mContext.unregisterReceiver(this.mShutdownReceiver);
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("unRegisterShutdownEvent ");
                stringBuilder.append(e);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            }
        }
    }

    private void saveDreamSettingInPad() {
        if (android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastModeInServer()) {
            android.content.ContentResolver resolver = this.mContext.getContentResolver();
            try {
                int DreamsSetting = android.provider.Settings.Secure.getIntForUser(resolver, "screensaver_enabled", -1, this.mUserId);
                if (DreamsSetting == 1) {
                    android.provider.Settings.Secure.putIntForUser(resolver, "screensaver_enabled", 0, this.mUserId);
                    this.mDreamsEnabledSetting = DreamsSetting;
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("saveDreamSettingInPad ");
                stringBuilder.append(e);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            }
        }
    }

    private void restoreDreamSettingInPad() {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.content.ContentResolver resolver = this.mContext.getContentResolver();
            try {
                int DreamsSetting = android.provider.Settings.Secure.getIntForUser(resolver, "screensaver_enabled", -1, this.mUserId);
                if (this.mDreamsEnabledSetting == 1 && this.mDreamsEnabledSetting != DreamsSetting) {
                    android.provider.Settings.Secure.putIntForUser(resolver, "screensaver_enabled", this.mDreamsEnabledSetting, this.mUserId);
                    this.mDreamsEnabledSetting = -1;
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("restoreDreamSettingInPad ");
                stringBuilder.append(e);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            }
        }
    }

    private void unbindAllPcService() {
        android.util.HwPCUtils.log("HwPCManagerService", "unbindAllPcService");
        try {
            this.mContext.unbindService(this.mConnSysUI);
            this.mContext.unbindService(this.mConnExplorer);
        } catch (java.lang.Exception e) {
            android.util.HwPCUtils.log("HwPCManagerService", "failed to unbind pc services");
        }
    }

    public HwPCManagerService(android.content.Context context, com.android.server.am.ActivityManagerService ams) {
        android.content.Context context2 = context;
        boolean projMode = false;
        this.mContext = context2;
        this.mAMS = (com.android.server.am.HwActivityManagerService) ams;
        this.mHandlerThread = new com.android.server.ServiceThread("HwPCManagerService", -2, false);
        this.mHandlerThread.start();
        this.mHandler = new com.android.server.pc.HwPCManagerService.LocalHandler(this.mHandlerThread.getLooper());
        boolean isFactory = android.os.SystemProperties.get("ro.runmode", "normal").equals("factory");
        boolean isMmiTest = android.os.SystemProperties.get("runtime.mmitest.isrunning", "false").equals("true");
        if (isFactory || isMmiTest) {
            android.util.HwPCUtils.setFactoryOrMmiState(true);
        }
        android.content.pm.UserInfo userInfo = this.mAMS.getCurrentUser();
        if (userInfo != null) {
            this.mUserId = userInfo.id;
        }
        try {
            android.app.ActivityManager.getService().registerUserSwitchObserver(new android.app.UserSwitchObserver() {
                public void onUserSwitchComplete(int newUserId) throws android.os.RemoteException {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onUserSwitchComplete userId: ");
                    stringBuilder.append(newUserId);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                }

                public void onUserSwitching(int newUserId, android.os.IRemoteCallback reply) throws android.os.RemoteException {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onUserSwitching userId: ");
                    stringBuilder.append(newUserId);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                    com.android.server.pc.HwPCManagerService.this.scheduleSwitchUser(newUserId);
                    if (reply != null) {
                        try {
                            reply.sendResult(null);
                        } catch (android.os.RemoteException e) {
                            android.util.HwPCUtils.log("HwPCManagerService", "onUserSwitching Exception");
                        }
                    }
                }
            }, "HwPCManagerService");
        } catch (android.os.RemoteException e) {
            android.util.HwPCUtils.log("HwPCManagerService", "registerUserSwitchObserver RemoteException");
        }
        this.mDDC = com.android.server.pc.DisplayDriverCommunicator.getInstance();
        int displayId = -1;
        this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
        if (this.mDisplayManager != null) {
            int i;
            android.view.Display[] displays = this.mDisplayManager.getDisplays();
            if (displays != null && displays.length > 0) {
                for (i = displays.length - 1; i >= 0; i--) {
                    if (displays[i] != null) {
                        if (displays[i].getDisplayId() != 0) {
                            if (isWiredDisplay(displays[i].getDisplayId())) {
                                displayId = displays[i].getDisplayId();
                                break;
                            }
                        }
                    }
                }
            }
            if (displayId != -1) {
                i = displayId;
                this.mUIHandler.postDelayed(new java.lang.Runnable() {
                    public void run() {
                        com.android.server.pc.HwPCManagerService.this.scheduleDisplayAdded(i);
                    }
                }, 5000);
            }
        }
        android.hardware.input.InputManager im = (android.hardware.input.InputManager) this.mContext.getSystemService("input");
        if (im != null) {
            for (android.view.InputDevice device : android.view.InputDevice.getDeviceIds()) {
                this.mConnectedInputDevices |= whichInputDevice(android.view.InputDevice.getDevice(device));
            }
            im.registerInputDeviceListener(this.mInputDeviceListener, null);
        }
        this.mPCSettingsObserver = new com.android.server.pc.HwPCManagerService.PCSettingsObserver(this.mHandler);
        this.mPCSettingsObserver.readScreenOffSettings();
        this.mPCSettingsObserver.restoreScreenOffSettings();
        this.mProvisioned = deviceIsProvisioned();
        this.mPCSettingsObserver.observe();
        if (android.util.HwPCUtils.enabledInPad()) {
            if (android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "selected-proj-mode", 0) == 1) {
                projMode = true;
            }
            if (projMode) {
                this.mProjMode = android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE;
            } else {
                this.mProjMode = android.util.HwPCUtils.ProjectionMode.PHONE_MODE;
            }
        } else {
            this.mProjMode = android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE;
            android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "selected-proj-mode", 1);
        }
        android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "is_display_device_connected", 1);
        this.mNm = (android.app.NotificationManager) this.mContext.getSystemService("notification");
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("com.android.server.pc.action.SWITCH_MODE");
        filter.addAction("android.intent.action.LOCALE_CHANGED");
        filter.addAction("com.android.server.pc.action.UNINSTALL_APP");
        filter.addAction("com.android.server.pc.action.SHOW_MK");
        filter.addAction("com.android.server.pc.action.DISCONNECT");
        filter.addAction("com.android.server.pc.action.EASY_PROJECTION");
        filter.addAction("android.hardware.display.action.WIFI_DISPLAY_STATUS_CHANGED");
        filter.addAction("com.huawei.desktop.intent.action.LMT_PcScreen");
        this.mContext.registerReceiver(this.mNotifyReceiver, filter, "com.huawei.permission.SWITCH_MODE", null);
        this.mUnlockScreenReceiver = new com.android.server.pc.HwPCManagerService.UnlockScreenReceiver(this, null);
        android.content.IntentFilter unlockFilter = new android.content.IntentFilter();
        unlockFilter.addAction("android.intent.action.USER_PRESENT");
        this.mContext.registerReceiver(this.mUnlockScreenReceiver, unlockFilter);
        registerExternalPointerEventListener();
        this.mIBinderAudioService = android.os.ServiceManager.getService("audio");
        setDesktopModeToAudioService(-1);
        this.mAlarmManager = (android.app.AlarmManager) context2.getSystemService("alarm");
        this.mTelephonyPhone = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        android.util.HwPCUtils.setPcCastModeInServerEarly(android.util.HwPCUtils.ProjectionMode.PHONE_MODE);
        this.mKeyboardObserver.startObserving("DEVPATH=/devices/virtual/hwsw_kb/hwkb");
        this.mDPLinkStateObserver.startObserving("DEVPATH=/devices/virtual/dp/source");
        this.mBluetoothReminderDialog = new com.android.server.pc.BluetoothReminderDialog();
        this.mPcMultiDisplayMgr = new com.android.server.pc.HwPCMultiDisplaysManager(this.mContext, this.mHandler, this);
        this.mVAssistCmdExecutor = new com.android.server.pc.vassist.HwPCVAssistCmdExecutor(this.mContext, this, this.mAMS);
    }

    boolean deviceIsProvisioned() {
        return android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "device_provisioned", 0) != 0;
    }

    boolean isUserSetupComplete() {
        return android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "user_setup_complete", 0) != 0;
    }

    private void setDesktopModeToAudioService(int mode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setDesktopModeToAudioService, mIBinderAudioService = ");
        stringBuilder.append(this.mIBinderAudioService);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        if (this.mIBinderAudioService != null) {
            try {
                android.os.Parcel data = android.os.Parcel.obtain();
                android.os.Parcel reply = android.os.Parcel.obtain();
                data.writeInt(mode);
                this.mIBinderAudioService.transact(1104, data, reply, 0);
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("HwPCManagerService", "setDesktopModeToAudioService RemoteException");
            }
        }
    }

    private void scheduleSwitchUser(int userId) {
        this.mHandler.removeMessages(12);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(12, userId, -1));
    }

    private void onSwitchUser(int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onSwitchUser userId =");
        stringBuilder.append(userId);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        this.mUserId = userId;
        if (get1stDisplay().mDisplayId != -1) {
            if (userId == 0) {
                android.util.HwPCUtils.log("HwPCManagerService", "onSwitchUser: UserHandle.USER_OWNER");
                if (this.mDisplayManager != null) {
                    if (this.mDisplayManager.getDisplay(get1stDisplay().mDisplayId) != null) {
                        sendNotificationForSwitch(this.mProjMode);
                    }
                }
            } else {
                if (isDesktopMode(this.mProjMode)) {
                    lightPhoneScreen();
                    android.util.HwPCUtils.log("HwPCManagerService", "onSwitchUser: The current mode is DesktopMode");
                    this.mProjMode = android.util.HwPCUtils.ProjectionMode.PHONE_MODE;
                    android.util.HwPCUtils.setPcCastModeInServerEarly(this.mProjMode);
                    if (!android.util.HwPCUtils.enabledInPad()) {
                        bindUnbindService(false);
                    }
                    this.mAMS.togglePCMode(isDesktopMode(this.mProjMode), get1stDisplay().mDisplayId);
                    setUsePCModeMouseIconContext(false);
                    android.util.HwPCUtils.setPcCastModeInServer(false);
                    setPcCastingDisplayId(-1);
                    this.mVAssistCmdExecutor.notifyDesktopModeChanged(false, 0);
                    updateIMEWithHardKeyboardState(false);
                    android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "selected-proj-mode", 0);
                    if (get1stDisplay().mType == 2) {
                        this.mDDC.resetProjectionMode();
                    }
                    updateFingerprintSlideSwitch();
                    sendSwitchToStatusBar();
                    relaunchIMEDelay(0);
                    if (android.util.HwPCUtils.enabledInPad()) {
                        bindUnbindService(false);
                    }
                }
                if (this.mNm != null) {
                    this.mNm.cancelAll();
                    this.mHasSwitchNtf = false;
                }
            }
        }
    }

    private boolean isWiredDisplay(int displayId) {
        if (this.mDisplayManager == null) {
            this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
        }
        boolean z = false;
        if (this.mDisplayManager == null) {
            return false;
        }
        android.view.Display display = this.mDisplayManager.getDisplay(displayId);
        if (display == null) {
            return false;
        }
        int type = display.getType();
        if (type == 5 && "com.hpplay.happycast".equals(display.getOwnerPackageName())) {
            return true;
        }
        if (type == 5 && "com.huawei.works".equals(display.getOwnerPackageName())) {
            return true;
        }
        if (android.util.HwPCUtils.isWirelessProjectionEnabled()) {
            if (!(type == 2 || type == 3)) {
                if ((type != 5 && type != 4) || !this.mSupportOverlay) {
                    return z;
                }
            }
            z = true;
            return z;
        }
        if (type != 2) {
            if ((type != 5 && type != 4) || !this.mSupportOverlay) {
                return z;
            }
        }
        z = true;
        return z;
    }

    private void sendNotificationForSwitch(android.util.HwPCUtils.ProjectionMode projMode) {
        if (!android.util.HwPCUtils.enabledInPad()) {
            if (this.mNm != null) {
                java.lang.String mode;
                android.app.Notification.Builder builder = new android.app.Notification.Builder(this.mContext, "HW_PCM");
                builder.setSmallIcon(33751738);
                builder.setVisibility(-1);
                builder.setPriority(1);
                builder.setAppName(this.mContext.getString(33685941));
                boolean isConnectFromWelink = isConnectFromThirdApp(get1stDisplay().mDisplayId) == 2;
                if (isDesktopMode(projMode)) {
                    mode = this.mContext.getString(33686114);
                } else {
                    mode = this.mContext.getString(33686115);
                }
                builder.setContentTitle(mode);
                if (android.util.HwPCUtils.getIsWifiMode()) {
                    if (!(this.mDisplayManager == null || this.mDisplayManager.getDisplay(get1stDisplay().mDisplayId) == null)) {
                        android.view.Display display = this.mDisplayManager.getDisplay(get1stDisplay().mDisplayId);
                        this.mWireLessDeviceName = java.lang.String.format(this.mContext.getResources().getString(33686113), new java.lang.Object[]{display.getName()});
                    }
                    builder.setContentText(this.mWireLessDeviceName);
                } else if (isConnectFromWelink) {
                    this.mWireLessDeviceName = java.lang.String.format(this.mContext.getResources().getString(33686113), new java.lang.Object[]{this.mContext.getResources().getString(33686194)});
                    builder.setContentText(this.mWireLessDeviceName);
                }
                builder.setContentIntent(android.app.PendingIntent.getBroadcastAsUser(this.mContext, 0, new android.content.Intent("com.android.server.pc.action.EASY_PROJECTION"), 134217728, android.os.UserHandle.OWNER));
                builder.addAction(new android.app.Notification.Action.Builder(getResDrawableId(isDesktopMode(this.mProjMode)), getActionText(isDesktopMode(this.mProjMode)), android.app.PendingIntent.getBroadcastAsUser(this.mContext, 1, new android.content.Intent("com.android.server.pc.action.SWITCH_MODE"), 268435456, android.os.UserHandle.OWNER)).build());
                if (isNeedShowMKAction()) {
                    builder.addAction(new android.app.Notification.Action.Builder(33751959, this.mContext.getString(33686112), android.app.PendingIntent.getBroadcastAsUser(this.mContext, 1, new android.content.Intent("com.android.server.pc.action.SHOW_MK"), 134217728, android.os.UserHandle.OWNER)).build());
                }
                if (android.util.HwPCUtils.getIsWifiMode() || isConnectFromWelink) {
                    builder.addAction(new android.app.Notification.Action.Builder(33751957, this.mContext.getString(33686110), android.app.PendingIntent.getBroadcastAsUser(this.mContext, 1, new android.content.Intent("com.android.server.pc.action.DISCONNECT"), 134217728, android.os.UserHandle.OWNER)).build());
                }
                builder.setShowActionIcon(true);
                android.app.Notification notification = builder.getNotification();
                notification.flags |= 2;
                notification.flags |= 32;
                this.mNm.notify("HwPCManagerService", 0, notification);
                this.mHasSwitchNtf = true;
            }
        }
    }

    private java.lang.CharSequence getActionText(boolean isDesktopMode) {
        if (isDesktopMode) {
            return this.mContext.getString(33686111);
        }
        return this.mContext.getString(33686109);
    }

    private int getResDrawableId(boolean isDesktopMode) {
        if (isDesktopMode) {
            return 33751958;
        }
        return 33751956;
    }

    private void collapsePanels() {
        com.android.server.statusbar.StatusBarManagerService statusBarService = (com.android.server.statusbar.StatusBarManagerService) android.os.ServiceManager.getService("statusbar");
        if (statusBarService != null) {
            statusBarService.collapsePanels();
        }
    }

    public void onDisplayChanged(int displayId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onDisplayChanged, displayId:");
        stringBuilder.append(displayId);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        if (!this.mProvisioned) {
        }
    }

    private void lockScreenWhenDisconnected() {
        if (!isScreenPowerOn()) {
            try {
                android.util.HwPCUtils.log("HwPCManagerService", "Lock phone screen when PC displayer is disconnected.");
                ((android.os.PowerManager) this.mContext.getSystemService("power")).goToSleep(android.os.SystemClock.uptimeMillis(), 5, 0);
            } catch (java.lang.Exception e) {
                android.util.HwPCUtils.log("HwPCManagerService", "Error accured when locking screen as PC displayer is disconnected.");
            }
        }
    }

    public void onDisplayRemoved(int displayId) {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.util.HwPCUtils.log("HwPCManagerService", "onDisplayRemoved enabledInPad return");
        } else if (!android.util.HwPCUtils.enabled()) {
        } else {
            if (displayId == get2ndDisplay().mDisplayId) {
                android.util.HwPCUtils.log("HwPCManagerService", "onDisplayRemoved ignore it if 2nd display removed.");
                if (get2ndDisplay().mType == 3) {
                    android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "wireless_projection_state", 0);
                }
                get2ndDisplay().mDisplayId = -1;
                get2ndDisplay().mType = 0;
                return;
            }
            if (android.util.HwPCUtils.getIsWifiMode() || get1stDisplay().mType == 5) {
                android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "wireless_projection_state", 0);
            }
            boolean isInPhoneMode = android.util.HwPCUtils.getPhoneDisplayID() == displayId && !isDesktopMode(this.mProjMode);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDisplayRemoved, displayId:");
            stringBuilder.append(displayId);
            stringBuilder.append(", isInPhoneMode:");
            stringBuilder.append(isInPhoneMode);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            if (android.util.HwPCUtils.getPCDisplayID() != displayId && !isInPhoneMode) {
                android.util.HwPCUtils.log("HwPCManagerService", "onDisplayRemoved, displayId is neither PC Display ID nor Phone Display ID.");
            } else if (this.mProvisioned || displayId == get1stDisplay().mDisplayId) {
                lockScreenWhenDisconnected();
                android.util.HwPCUtils.setPcCastModeInServerEarly(android.util.HwPCUtils.ProjectionMode.PHONE_MODE);
                if (this.mProjMode == android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE) {
                    bdReportDiffSrcStatus(false);
                } else {
                    bdReportSameSrcStatus(false);
                }
                if (this.mNm != null) {
                    android.util.HwPCUtils.log("HwPCManagerService", "onDisplayRemoved cancel notification.");
                    this.mNm.cancelAll();
                    this.mHasSwitchNtf = false;
                }
                if (this.mPcMultiDisplayMgr.is4KHdmi1stDisplayRemoved(displayId)) {
                    android.util.HwPCUtils.log("HwPCManagerService", "onDisplayRemoved ignore it when dp is on.");
                    get1stDisplay().mDisplayId = -1;
                    if (isInPhoneMode) {
                        android.util.HwPCUtils.setPhoneDisplayID(-1);
                    } else {
                        bindUnbindService(false);
                        setUsePCModeMouseIconContext(false);
                        updateIMEWithHardKeyboardState(false);
                    }
                    android.util.HwPCUtils.setPcCastModeInServer(false);
                    setPcCastingDisplayId(-1);
                    this.mVAssistCmdExecutor.notifyDesktopModeChanged(false, 0);
                    setDesktopModeToAudioService(-1);
                    updateFingerprintSlideSwitch();
                    return;
                }
                get1stDisplay().mDisplayId = -1;
                get1stDisplay().mType = 0;
                if (isInPhoneMode) {
                    android.util.HwPCUtils.setPhoneDisplayID(-1);
                } else {
                    bindUnbindService(false);
                    setUsePCModeMouseIconContext(false);
                    updateIMEWithHardKeyboardState(false);
                }
                android.util.HwPCUtils.setPcCastModeInServer(false);
                setPcCastingDisplayId(-1);
                this.mVAssistCmdExecutor.notifyDesktopModeChanged(false, 0);
                setDesktopModeToAudioService(-1);
                updateFingerprintSlideSwitch();
                android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "is_display_device_connected", 1);
                this.mPcMultiDisplayMgr.handlelstDisplayInDisplayRemoved();
                com.android.server.pc.HwPCDataReporter.getInstance().stopPCDisplay();
                exitDesktopModeForMk();
            } else {
                android.util.HwPCUtils.log("HwPCManagerService", "onDisplayRemoved not permitted before setup or not scheduleDisplayAdded");
            }
        }
    }

    private void onDisplayAdded(int displayId) {
        if (android.util.HwPCUtils.enabled()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDisplayAdded, displayId:");
            stringBuilder.append(displayId);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            if (this.mProvisioned) {
                if (displayId != -1) {
                    if (displayId != 0) {
                        if (android.util.HwPCUtils.enabledInPad() && this.mUserId != 0) {
                            android.util.HwPCUtils.log("HwPCManagerService", "switchProjMode failed! currentUser is not UserHandle.USER_OWNER");
                            return;
                        } else if (android.util.HwPCUtils.enabledInPad() && isMonkeyRunning()) {
                            android.util.HwPCUtils.log("HwPCManagerService", "onDisplayAdded isMonkeyRunning return !");
                            return;
                        } else {
                            if (isWifiPCMode(displayId)) {
                                android.util.HwPCUtils.bdReport(this.mContext, 10057, "");
                            } else if (isWiredDisplay(displayId)) {
                                android.util.HwPCUtils.bdReport(this.mContext, 10008, "");
                            } else {
                                android.util.HwPCUtils.bdReport(this.mContext, 10057, "");
                            }
                            bdReportConnectDisplay(displayId);
                            if (isWiredDisplay(displayId)) {
                                if (isConnectFromThirdApp(displayId) == 2) {
                                    android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "wireless_projection_state", 1);
                                }
                                android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "is_display_device_connected", 0);
                                this.mPcMultiDisplayMgr.checkInitialDpConnectAfterBoot(displayId);
                                if (this.mPcMultiDisplayMgr.handleTwoDisplaysInDisplayAdded(displayId)) {
                                    if (android.util.HwPCUtils.enabledInPad()) {
                                        if (this.mPadPCDisplayIsRemoved) {
                                            get1stDisplay().mDisplayId = displayId;
                                            this.mPadPCDisplayIsRemoved = false;
                                            android.util.HwPCUtils.log("HwPCManagerService", "PadPCDisplayIsRemoved return.");
                                            return;
                                        } else if (!(deviceIsProvisioned() && isUserSetupComplete())) {
                                            android.util.HwPCUtils.log("HwPCManagerService", "Startup Guide is not Complete");
                                            return;
                                        }
                                    }
                                    if (android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "selected-proj-mode", android.util.HwPCUtils.enabledInPad() ^ 1) == 1) {
                                        this.mProjMode = android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE;
                                    } else {
                                        this.mProjMode = android.util.HwPCUtils.ProjectionMode.PHONE_MODE;
                                        if (isExclusiveKeyboardConnected() && android.util.HwPCUtils.enabledInPad()) {
                                            showEnterDesktopAlertDialog(getCurrentContext(), true);
                                        }
                                    }
                                    get1stDisplay().mDisplayId = displayId;
                                    get1stDisplay().mType = this.mPcMultiDisplayMgr.getDisplayType(displayId);
                                    android.util.HwPCUtils.setIsWifiMode(isWifiPCMode(get1stDisplay().mDisplayId));
                                    boolean exist = systemUIExist() && explorerExist();
                                    boolean enterDesktopMode = exist && isDesktopMode(this.mProjMode) && this.mUserId == 0;
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("onDisplayAdded mProjMode ");
                                    stringBuilder2.append(this.mProjMode);
                                    stringBuilder2.append(", mConnectedInputDevices = ");
                                    stringBuilder2.append(this.mConnectedInputDevices);
                                    stringBuilder2.append(", exist =");
                                    stringBuilder2.append(exist);
                                    stringBuilder2.append(", mUserId = ");
                                    stringBuilder2.append(this.mUserId);
                                    stringBuilder2.append(", enterDesktopMode =");
                                    stringBuilder2.append(enterDesktopMode);
                                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder2.toString());
                                    if (this.mDisplayManager != null) {
                                        android.view.Display display = this.mDisplayManager.getDisplay(get1stDisplay().mDisplayId);
                                        if (display != null) {
                                            this.mPCDisplayInfo = new android.view.DisplayInfo();
                                            if (display.getDisplayInfo(this.mPCDisplayInfo)) {
                                                int width = this.mPCDisplayInfo.getNaturalWidth();
                                                int height = this.mPCDisplayInfo.getNaturalHeight();
                                                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                                stringBuilder3.append("width = ");
                                                stringBuilder3.append(width);
                                                stringBuilder3.append(", height = ");
                                                stringBuilder3.append(height);
                                                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder3.toString());
                                                if (width > 1920) {
                                                    this.mIsDisplayLargerThan1080p = true;
                                                } else {
                                                    this.mIsDisplayLargerThan1080p = false;
                                                }
                                            }
                                        }
                                    }
                                    android.os.Message msg;
                                    if (enterDesktopMode) {
                                        android.util.HwPCUtils.setPCDisplayID(displayId);
                                        if (!isDesktopMode(this.mProjMode)) {
                                            android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "selected-proj-mode", 1);
                                        }
                                        if (!android.util.HwPCUtils.getIsWifiMode()) {
                                            autoLaunchMK();
                                        } else if (this.mIsWifiBroadDone) {
                                            autoLaunchMK();
                                            this.mIsWifiBroadDone = false;
                                        }
                                        this.mProjMode = android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE;
                                        android.util.HwPCUtils.setPcCastModeInServerEarly(this.mProjMode);
                                        android.util.HwPCUtils.setPcCastModeInServer(true);
                                        setPcCastingDisplayId(get1stDisplay().mDisplayId);
                                        this.mVAssistCmdExecutor.notifyDesktopModeChanged(true, get1stDisplay().mDisplayId);
                                        updateIMEWithHardKeyboardState(true);
                                        saveRotationInPad();
                                        this.mAMS.freezeOrThawRotationInPcMode();
                                        this.mAMS.togglePCMode(isDesktopMode(this.mProjMode), get1stDisplay().mDisplayId);
                                        setUsePCModeMouseIconContext(true);
                                        if (this.restartByUnlock2SetAnimTime) {
                                            this.mPCBeforeBootAnimTime = 1500;
                                        } else {
                                            this.mPCBeforeBootAnimTime = 4500;
                                        }
                                        bindUnbindService(true);
                                        this.restartByUnlock2SetAnimTime = false;
                                        this.mHandler.removeMessages(1);
                                        msg = this.mHandler.obtainMessage(1);
                                        msg.obj = this.mProjMode;
                                        this.mHandler.sendMessage(msg);
                                        bdReportSameSrcStatus(true);
                                        setDesktopModeToAudioService(1);
                                        this.mIsDisplayAddedAfterSwitch = true;
                                        backToHomeInDefaultDisplay(get1stDisplay().mDisplayId);
                                        uploadPcDisplaySizePro();
                                        enableFingerprintSlideSwitch();
                                        lightPhoneScreen();
                                        if (android.util.HwPCUtils.enabledInPad()) {
                                            setFocusedPCDisplayId("enterDesktop");
                                        }
                                        relaunchIMEDelay(2000);
                                        if (android.util.HwPCUtils.enabledInPad()) {
                                            this.mHandler.removeMessages(17);
                                            this.mHandler.sendMessage(this.mHandler.obtainMessage(17));
                                        }
                                        enterDesktopModeForMk();
                                    } else {
                                        android.util.HwPCUtils.setPhoneDisplayID(displayId);
                                        if (android.util.HwPCUtils.enabledInPad()) {
                                            android.util.HwPCUtils.log("HwPCManagerService", "onDisplayAdded there is something wrong when enter PAD PC mode !");
                                            return;
                                        }
                                        lightPhoneScreen();
                                        this.mProjMode = android.util.HwPCUtils.ProjectionMode.PHONE_MODE;
                                        android.util.HwPCUtils.setPcCastModeInServerEarly(this.mProjMode);
                                        this.mAMS.togglePCMode(isDesktopMode(this.mProjMode), get1stDisplay().mDisplayId);
                                        setUsePCModeMouseIconContext(false);
                                        android.util.HwPCUtils.setPcCastModeInServer(false);
                                        setPcCastingDisplayId(-1);
                                        this.mVAssistCmdExecutor.notifyDesktopModeChanged(false, 0);
                                        updateIMEWithHardKeyboardState(false);
                                        this.mHandler.removeMessages(1);
                                        msg = this.mHandler.obtainMessage(1);
                                        msg.obj = this.mProjMode;
                                        this.mHandler.sendMessage(msg);
                                        bdReportDiffSrcStatus(true);
                                        setDesktopModeToAudioService(0);
                                        updateFingerprintSlideSwitch();
                                        exitDesktopModeForMk();
                                    }
                                    scheduleRestoreApps(displayId);
                                    sendSwitchToStatusBar();
                                    com.android.server.pc.HwPCDataReporter.getInstance().startPCDisplay();
                                    com.android.server.pc.decision.DecisionUtil.executeEnterProjectionEvent(this.mContext);
                                    android.view.Display display2 = this.mDisplayManager.getDisplay(displayId);
                                    if (display2 != null && display2.getType() == 5 && "com.hpplay.happycast".equals(display2.getOwnerPackageName())) {
                                        android.util.HwPCUtils.bdReport(this.mContext, 10061, "Enter projection from hppcast.");
                                    }
                                    return;
                                }
                                android.util.HwPCUtils.log("HwPCManagerService", "it's not 1st display added, need not continue.");
                                return;
                            }
                            android.util.HwPCUtils.log("HwPCManagerService", "is not a wired display.");
                            return;
                        }
                    }
                }
                android.util.HwPCUtils.log("HwPCManagerService", "context is null or is default display");
                return;
            }
            android.util.HwPCUtils.log("HwPCManagerService", "onDisplayAdded not permitted before setup");
        }
    }

    private void autoLaunchMK() {
        boolean z = true;
        if (android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "guide-started", 0) != 1) {
            z = false;
        }
        boolean guideStarted = z;
        if ((android.util.HwPCUtils.getIsWifiMode() || guideStarted || isConnectFromThirdApp(get1stDisplay().mDisplayId) == 2) && !existMouseInputDevices()) {
            this.mHandler.postDelayed(new java.lang.Runnable() {
                public void run() {
                    com.android.server.pc.HwPCManagerService.this.sendShowMkMessage();
                }
            }, 2000);
        }
    }

    public void LaunchMKForWifiMode() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            if (get1stDisplay().mDisplayId != -1) {
                autoLaunchMK();
                this.mIsWifiBroadDone = false;
            } else {
                this.mIsWifiBroadDone = true;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("LaunchMKForWifiMode checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private void enterDesktopModeForMk() {
        android.util.HwPCUtils.log("HwPCManagerService", "enterDesktopModeForMk   ");
        if (this.mHwPolicy == null) {
            this.mHwPolicy = (com.android.server.policy.HwPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class);
        }
        this.mPCMkManager = com.android.server.pc.HwPCMkManager.getInstance(this.mContext);
        this.mPCMkManager.initCrop(this.mContext, this);
        this.mPCMkManager.startSendEventThread();
        this.mPCMkManager.updatePointerAxis(getPointerCoordinateAxis());
    }

    private void exitDesktopModeForMk() {
        android.util.HwPCUtils.log("HwPCManagerService", "exitDesktopModeForMk   ");
        if (this.mPCMkManager != null) {
            this.mPCMkManager.stopSendEventThreadAndRelease();
        }
    }

    private void backToHomeInDefaultDisplay(int curDisplayId) {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.util.HwPCUtils.log("HwPCManagerService", "backToHomeInDefaultDisplay");
            android.content.Intent homeIntent = new android.content.Intent("android.intent.action.MAIN").addCategory("android.intent.category.HOME").addCategory("android.intent.category.DEFAULT");
            homeIntent.addFlags(268435456);
            try {
                this.mContext.startActivity(homeIntent);
            } catch (android.content.ActivityNotFoundException e) {
                android.util.HwPCUtils.log("HwPCManagerService", "ActivityMovedToDesktopDisplay fail to start go home");
            }
        }
    }

    private void setUsePCModeMouseIconContext(boolean pcmode) {
        com.android.server.input.HwInputManagerService.HwInputManagerLocalService inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerLocalService) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerLocalService.class);
        if (inputManager == null) {
            return;
        }
        if (pcmode) {
            if (this.mDisplayManager == null) {
                this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
            }
            if (this.mDisplayManager != null) {
                android.view.Display display = null;
                for (android.view.Display dis : this.mDisplayManager.getDisplays()) {
                    if (dis != null && android.util.HwPCUtils.isValidExtDisplayId(dis.getDisplayId())) {
                        display = dis;
                        break;
                    }
                }
                if (display != null) {
                    android.content.Context context = this.mContext.createDisplayContext(display);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setUsePCModeMouseIconContext displayId = ");
                    stringBuilder.append(display.toString());
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                    inputManager.setExternalDisplayContext(context);
                }
                return;
            }
            return;
        }
        inputManager.setExternalDisplayContext(null);
    }

    private void sendSwitchMsg() {
        this.mHandler.removeMessages(4);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(4));
    }

    public void switchProjMode() {
        java.lang.StringBuilder stringBuilder;
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("switchProjMode, mProjMode ");
            stringBuilder.append(this.mProjMode);
            stringBuilder.append(", isEnterDesktopModeRemembered:");
            stringBuilder.append(isEnterDesktopModeRemembered());
            stringBuilder.append(" isExitDesktopModeRemembered:");
            stringBuilder.append(isExitDesktopModeRemembered());
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            if (!android.util.HwPCUtils.enabledInPad()) {
                android.util.HwPCUtils.log("HwPCManagerService", "Not enabledInPad()");
                sendSwitchMsg();
                return;
            } else if (this.mUserId != 0) {
                android.util.HwPCUtils.log("HwPCManagerService", "switchProjMode failed! currentUser is not UserHandle.USER_OWNER");
                com.android.server.pc.HwPCDataReporter.getInstance().reportFailSwitchEvent(3, this.mProjMode.ordinal(), this.mPCDisplayInfo);
                return;
            } else {
                int i = 0;
                if (isCalling()) {
                    if (isDesktopMode(this.mProjMode)) {
                        i = get1stDisplay().mDisplayId;
                    }
                    showCallingToast(i);
                    android.util.HwPCUtils.log("HwPCManagerService", "switchProjMode failed! in Calling");
                    com.android.server.pc.HwPCDataReporter.getInstance().reportFailSwitchEvent(4, this.mProjMode.ordinal(), this.mPCDisplayInfo);
                    return;
                }
                if (isDesktopMode(this.mProjMode)) {
                    showExitDesktopAlertDialog(getCurrentContext(), false);
                } else {
                    showEnterDesktopAlertDialog(getCurrentContext(), false);
                }
                return;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("switchProjMode failed ");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        com.android.server.pc.HwPCDataReporter.getInstance().reportFailSwitchEvent(2, this.mProjMode.ordinal(), this.mPCDisplayInfo);
    }

    private void sendSwitchToStatusBar() {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.util.HwPCUtils.log("HwPCManagerService", "sendSwitchToStatusBar!");
            android.content.Intent intent = new android.content.Intent();
            intent.setAction("com.android.server.pc.action.CHANGE_STATUS_BAR");
            this.mContext.sendBroadcast(intent, "com.huawei.permission.pc.CHANGE_STATUS_BAR");
        }
    }

    private void refreshNotifications() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("refreshNotifications mHasSwitchNtf = ");
        stringBuilder.append(this.mHasSwitchNtf);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        this.mHandler.removeMessages(5);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(5));
    }

    private static int whichInputDevice(android.view.InputDevice device) {
        int ret = 0;
        if (device != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("device=");
            stringBuilder.append(device);
            stringBuilder.append(", souces = ");
            stringBuilder.append(device.getSources());
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        }
        if (device == null || !device.isExternal()) {
            android.util.HwPCUtils.log("HwPCManagerService", "whichInputDevice unkown input device");
            return 0;
        }
        if ((device.getSources() & 139270) != 0) {
            ret = 0 | 1;
        }
        if ((device.getSources() & 257) != 0) {
            return ret | 2;
        }
        return ret;
    }

    private boolean isExclusiveKeyboardConnected() {
        int[] devices = android.view.InputDevice.getDeviceIds();
        for (android.view.InputDevice device : devices) {
            android.view.InputDevice device2 = android.view.InputDevice.getDevice(device2);
            if (device2 != null && isExclusiveKeyboard(device2)) {
                return true;
            }
        }
        return false;
    }

    private boolean isExclusiveKeyboard(android.view.InputDevice inputDevice) {
        if (inputDevice == null) {
            android.util.HwPCUtils.log("HwPCManagerService", "isExclusiveKeyboard=false");
            return false;
        }
        int keyboardProductId = inputDevice.getProductId();
        int keyboardVendorId = inputDevice.getVendorId();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Keyboard ProductId:");
        stringBuilder.append(keyboardProductId);
        stringBuilder.append(" VendorId:");
        stringBuilder.append(keyboardVendorId);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        if (KEYBOARD_PRODUCT_ID.length != KEYBOARD_VENDOR_ID.length) {
            return false;
        }
        int i = 0;
        while (i < KEYBOARD_PRODUCT_ID.length) {
            if (keyboardProductId == KEYBOARD_PRODUCT_ID[i] && keyboardVendorId == KEYBOARD_VENDOR_ID[i]) {
                android.util.HwPCUtils.log("HwPCManagerService", "isExclusiveKeyboard=true");
                return true;
            }
            i++;
        }
        android.util.HwPCUtils.log("HwPCManagerService", "isExclusiveKeyboard=false");
        return false;
    }

    private void sendShowMkMessage() {
        android.util.HwPCUtils.log("HwPCManagerService", "sendShowMkMessage todo launch touchpad");
        if (isNeedShowMKAction()) {
            this.mHandler.removeMessages(13);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(13));
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("unable to send ShowMk message, existMouse:");
        stringBuilder.append(existMouseInputDevices());
        stringBuilder.append(" get1stDisplay().mDisplayId:");
        stringBuilder.append(get1stDisplay().mDisplayId);
        stringBuilder.append(" mProjMode:");
        stringBuilder.append(this.mProjMode);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private void sendOpenEasyProjectionMessage() {
        this.mHandler.removeMessages(23);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(23));
    }

    private void launchMK() {
        if (!android.util.HwPCUtils.enabledInPad()) {
            android.util.HwPCUtils.log("HwPCManagerService", "launchMK todo start touchpad activiy");
            if (isNeedShowMKAction()) {
                android.content.Intent intent = new android.content.Intent();
                intent.addFlags(268435456);
                intent.setComponent(this.mTouchPadComponent);
                try {
                    this.mContext.startActivity(intent);
                } catch (android.content.ActivityNotFoundException e) {
                    android.util.HwPCUtils.log("HwPCManagerService", "fail to start mk activity");
                }
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("cannot launch MK, existMouse:");
            stringBuilder.append(existMouseInputDevices());
            stringBuilder.append(" get1stDisplay().mDisplayId:");
            stringBuilder.append(get1stDisplay().mDisplayId);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        }
    }

    private void openEasyProjection() {
        android.content.Intent intent = new android.content.Intent();
        intent.addFlags(268435456);
        if (android.util.HwPCUtils.isWirelessProjectionEnabled()) {
            intent.setComponent(this.mInstructionComponentWirelessEnabled);
            android.util.HwPCUtils.bdReport(this.mContext, 10045, "");
        } else {
            intent.setComponent(this.mInstructionComponent);
            android.util.HwPCUtils.bdReport(this.mContext, 10046, "");
        }
        this.mContext.startActivity(intent);
    }

    private void sendUninstallAppMessage(java.lang.String packageName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendUninstallAppMessage: ");
        stringBuilder.append(packageName);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        android.os.Message msg = this.mHandler.obtainMessage(16);
        msg.obj = packageName;
        this.mHandler.sendMessage(msg);
    }

    private boolean isNeedShowMKAction() {
        if (this.mSupportTouchPad && this.mProjMode == android.util.HwPCUtils.ProjectionMode.DESKTOP_MODE) {
            if (get1stDisplay().mDisplayId != -1) {
                return true;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("cannot show mk notify, get1stDisplay().mDisplayId:");
        stringBuilder.append(get1stDisplay().mDisplayId);
        stringBuilder.append(" existMouse:");
        stringBuilder.append(existMouseInputDevices());
        stringBuilder.append(" mSupportTouchPad = ");
        stringBuilder.append(this.mSupportTouchPad);
        stringBuilder.append(" mProjMode = ");
        stringBuilder.append(this.mProjMode);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return false;
    }

    private boolean existMouseInputDevices() {
        return (this.mConnectedInputDevices & 1) != 0;
    }

    private boolean systemUIExist() {
        boolean exist = this.mContext.getPackageManager().resolveService(new android.content.Intent().setComponent(this.mSystemUIComponent), 65536) != null;
        if (!exist) {
            android.util.HwPCUtils.log("HwPCManagerService", "systemUI does not Exist!!!");
        }
        return exist;
    }

    private boolean explorerExist() {
        boolean exist = this.mContext.getPackageManager().resolveService(new android.content.Intent().setComponent(this.mExplorerComponent), 65536) != null;
        if (!exist) {
            android.util.HwPCUtils.log("HwPCManagerService", "Explorer does not Exist!!!");
        }
        return exist;
    }

    private boolean checkCallingPermission(java.lang.String permission) {
        return this.mAMS.checkPermission(permission, android.os.Binder.getCallingPid(), android.os.UserHandle.getAppId(android.os.Binder.getCallingUid())) == 0;
    }

    public boolean getCastMode() {
        return isDesktopMode(this.mProjMode) && android.util.HwPCUtils.isValidExtDisplayId(get1stDisplay().mDisplayId);
    }

    public int getPackageSupportPcState(java.lang.String packageName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getPackageSupportPcState:");
        stringBuilder.append(packageName);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            return com.android.server.pc.whiltestrategy.WhiteListAppStrategyManager.getInstance(this.mContext).getAppSupportPCState(packageName);
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getPackageSupportPcState checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return -1;
    }

    public java.util.List<java.lang.String> getAllSupportPcAppList() {
        android.util.HwPCUtils.log("HwPCManagerService", "getAllSupportPcAppList");
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            return com.android.server.pc.whiltestrategy.WhiteListAppStrategyManager.getInstance(this.mContext).getAllSupportPcAppList();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getAllSupportPcAppList checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return null;
    }

    public java.util.List<java.lang.String> getMutiResumeAppList() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            return com.android.server.pc.whiltestrategy.WhiteListAppStrategyManager.getInstance(this.mContext).getMutiResumeAppList();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getMutiResumeAppList checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return null;
    }

    public void relaunchIMEIfNecessary() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mHandler.removeMessages(14);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(14));
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("relaunchIMEIfNecessary checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private void relaunchIMEDelay(int delayMillis) {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.util.HwPCUtils.log("HwPCManagerService", "relaunchIMEDelay");
            this.mHandler.removeMessages(14);
            this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(14), (long) delayMillis);
        }
    }

    private void updateDisplayOverrideConfiguration(int display, int delayMillis) {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.util.HwPCUtils.log("HwPCManagerService", "updateDisplayOverrideConfiguration");
            this.mHandler.removeMessages(18);
            this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(18, display, 0), (long) delayMillis);
        }
    }

    private void doUpdateDisplayOverrideConfiguration(int displayid) {
        this.mAMS.updateDisplayOverrideConfiguration(null, displayid);
    }

    private void doRelaunchIMEIfNecessary() {
        this.mAMS.relaunchIMEIfNecessary();
    }

    public void hwRestoreTask(int taskId, float x, float y) {
        if (!this.mAMS.checkTaskId(taskId)) {
            if (!checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hwRestoreTask checktaskId failed:");
                stringBuilder.append(taskId);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                return;
            }
        }
        this.mAMS.hwRestoreTask(taskId, x, y);
    }

    public void hwResizeTask(int taskId, android.graphics.Rect bounds) {
        if (!this.mAMS.checkTaskId(taskId)) {
            if (!checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hwResizeTask checktaskId failed:");
                stringBuilder.append(taskId);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                return;
            }
        }
        this.mAMS.hwResizeTask(taskId, bounds);
    }

    public int getWindowState(android.os.IBinder token) {
        return this.mAMS.getWindowState(token);
    }

    public android.app.HwRecentTaskInfo getHwRecentTaskInfo(int taskId) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            return this.mAMS.getHwRecentTaskInfo(taskId);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getHwRecentTaskInfo checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return null;
    }

    public void registerHwTaskStackListener(android.app.ITaskStackListener listener) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mAMS.registerHwTaskStackListener(listener);
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("registerHwTaskStackListener checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void unRegisterHwTaskStackListener(android.app.ITaskStackListener listener) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mAMS.unRegisterHwTaskStackListener(listener);
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("unRegisterHwTaskStackListener checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public android.graphics.Bitmap getDisplayBitmap(int displayId, int width, int height) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            return this.mAMS.getDisplayBitmap(displayId, width, height);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getDisplayBitmap checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return null;
    }

    public void registHwSystemUIController(android.os.Messenger messenger) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mMessenger = messenger;
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("registHwSystemUIController checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private android.os.Message getMessage(int what) {
        android.os.Message message = android.os.Message.obtain();
        message.what = what;
        return message;
    }

    public void showTopBar() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            try {
                if (this.mMessenger != null) {
                    this.mMessenger.send(getMessage(1));
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("showTopBar", "RemoteException");
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("showTopBar checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void showStartMenu() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            try {
                if (this.mMessenger != null) {
                    this.mMessenger.send(getMessage(2));
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("showStartMenu", "RemoteException");
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("showStartMenu checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void screenshotPc() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            try {
                if (this.mMessenger != null) {
                    this.mMessenger.send(getMessage(3));
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("screenshotPc", "RemoteException");
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("screenshotPc checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void userActivityOnDesktop() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            try {
                if (this.mMessenger != null) {
                    this.mMessenger.send(getMessage(7));
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("userActivityOnDesktop", "RemoteException");
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("userActivityOnDesktop checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void closeTopWindow() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            try {
                if (this.mMessenger != null) {
                    this.mMessenger.send(getMessage(4));
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("closeTopWindow", "RemoteException");
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("closeTopWindow checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void triggerSwitchTaskView(boolean show) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            try {
                if (this.mMessenger != null) {
                    if (show) {
                        this.mMessenger.send(getMessage(5));
                    } else {
                        this.mMessenger.send(getMessage(6));
                    }
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("screenshotPc", "RemoteException");
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("triggerSwitchTaskView checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public android.graphics.Bitmap getTaskThumbnailEx(int id) {
        if (!checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getTaskThumbnailEx checkCallingPermission failed");
            stringBuilder.append(android.os.Binder.getCallingPid());
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            return null;
        } else if (this.mAMS != null) {
            return this.mAMS.getTaskThumbnailOnPCMode(id);
        } else {
            android.util.HwPCUtils.log("HwPCManagerService", "getTaskThumbnailEx failed , ams is null");
            return null;
        }
    }

    public void toggleHome() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mAMS.toggleHome();
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("toggleHome checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public boolean injectInputEventExternal(android.view.InputEvent event, int mode) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            if (this.mHwPolicy != null) {
                if (this.mPCMkManager != null) {
                    if (mode == 2) {
                        com.android.server.input.HwInputManagerService.HwInputManagerLocalService inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerLocalService) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerLocalService.class);
                        if (inputManager == null) {
                            return false;
                        }
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("devicetest injectInputEventExternal event = ");
                        stringBuilder.append(event);
                        stringBuilder.append(" mode = ");
                        stringBuilder.append(mode);
                        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                        return inputManager.injectInputEvent(event, 0);
                    }
                    com.android.server.wm.WindowState focusedWin = (com.android.server.wm.WindowState) this.mHwPolicy.getTopFullscreenWindow();
                    if (!(event instanceof android.view.MotionEvent) || focusedWin == null || focusedWin.getDisplayId() != 0 || focusedWin.getAttrs() == null || focusedWin.getAttrs().getTitle() == null || !"com.huawei.desktop.systemui/com.huawei.systemui.mk.activity.ImitateActivity".equalsIgnoreCase(focusedWin.getAttrs().getTitle().toString())) {
                        return false;
                    }
                    boolean shouldDrop = false;
                    try {
                        shouldDrop = com.huawei.android.view.HwWindowManager.shouldDropMotionEventForTouchPad(((android.view.MotionEvent) event).getX(), ((android.view.MotionEvent) event).getY());
                    } catch (java.lang.NullPointerException e) {
                        android.util.HwPCUtils.log("HwPCManagerService", "injectInputEventExternal NullPointerException");
                    }
                    if (shouldDrop) {
                        android.util.HwPCUtils.log("HwPCManagerService", "injectInputEventExternal should drop MotionEvent for TouchPad");
                        return false;
                    }
                    if (this.mPCMkManager.sendEvent((android.view.MotionEvent) event, focusedWin.getVisibleFrameLw(), focusedWin.getDisplayFrameLw(), mode)) {
                        return true;
                    }
                    return false;
                }
            }
            android.util.HwPCUtils.log("HwPCManagerService", " injectInputEventExternal policy or PCMkManager is null");
            return false;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("injectInputEventExternal checkCallingPermission failed");
        stringBuilder2.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder2.toString());
        return false;
    }

    public void registerExternalPointerEventListener() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mAMS.registerExternalPointerEventListener(this.mPointerListener);
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("registerExternalPointerEventListener checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void unregisterExternalPointerEventListener() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mAMS.unregisterExternalPointerEventListener(this.mPointerListener);
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("unregisterExternalPointerEventListener checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public float[] getPointerCoordinateAxis() {
        float[] axis = new float[2];
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            axis[0] = this.mAxisX;
            axis[1] = this.mAxisY;
            return axis;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getPointerCoordinateAxis checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return axis;
    }

    private android.content.Context getDisplayContext(android.content.Context context, int displayId) {
        android.view.Display targetDisplay = ((android.hardware.display.DisplayManager) context.getSystemService("display")).getDisplay(displayId);
        if (targetDisplay == null) {
            return null;
        }
        return context.createDisplayContext(targetDisplay);
    }

    public void saveAppIntent(java.util.List<android.content.Intent> intents) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mHandler.removeMessages(15);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(15, intents));
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("saveAppIntent checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private void scheduleRestoreApps(int displayId) {
        if (!this.mIntentList.isEmpty()) {
            this.mAlarmManager.cancel(this.mAlarmListener);
            this.mHandler.removeMessages(10);
            this.mHandler.removeMessages(9);
            this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(9, displayId, 0), 3000);
        }
    }

    private void handleRestoreApps(int displayId) {
        int N = this.mIntentList.size();
        for (int i = 0; i < N; i++) {
            this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(10, displayId, 0, this.mIntentList.get(i)), (long) (i * 800));
        }
        this.mIntentList.clear();
    }

    private void restoreApp(int displayId, android.content.Intent intent) {
        android.content.Context displayContext = getDisplayContext(this.mContext, displayId);
        if (!(displayContext == null || intent == null)) {
            try {
                if (android.util.HwPCUtils.enabledInPad() && intent.getComponent() != null && "com.android.incallui".equals(intent.getComponent().getPackageName())) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" restoreApp skip intent:");
                    stringBuilder.append(intent);
                    stringBuilder.append(",displayId:");
                    stringBuilder.append(displayId);
                    android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                    return;
                }
                intent.addFlags(268435456);
                displayContext.startActivity(intent);
            } catch (android.content.ActivityNotFoundException e) {
                android.util.HwPCUtils.log("HwPCManagerService", "startActivity error.");
            }
        }
    }

    public void lockScreen(boolean lock) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            try {
                if (this.mMessenger != null) {
                    android.os.Message msg = getMessage(8);
                    msg.arg1 = lock;
                    this.mMessenger.send(msg);
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("lockScreen", "RemoteException");
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("lockScreen checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private void bdReportSameSrcStatus(boolean isConnected) {
        if (isConnected) {
            android.util.HwPCUtils.bdReport(this.mContext, 10001, "same src is connected");
        } else {
            android.util.HwPCUtils.bdReport(this.mContext, 10001, "same src is disconnected");
        }
    }

    private void bdReportDiffSrcStatus(boolean isConnected) {
        if (isConnected) {
            android.util.HwPCUtils.bdReport(this.mContext, 10002, "diff src is connected");
            if (android.util.HwPCUtils.enabledInPad()) {
                android.util.HwPCUtils.bdReport(this.mContext, 10026, "enter");
                return;
            }
            return;
        }
        android.util.HwPCUtils.bdReport(this.mContext, 10002, "diff src is disconnected");
        if (android.util.HwPCUtils.enabledInPad()) {
            android.util.HwPCUtils.bdReport(this.mContext, 10026, "exit");
        }
    }

    private void bdReportConnectDisplay(int displayId) {
        if (this.mDisplayManager == null) {
            this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
        }
        android.view.Display display = this.mDisplayManager.getDisplay(displayId);
        if (display != null) {
            android.content.Context context;
            java.lang.StringBuilder stringBuilder;
            java.lang.String name = display.getName();
            int type = display.getType();
            if (type != 0) {
                switch (type) {
                    case 2:
                        context = this.mContext;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Display<");
                        stringBuilder.append(name);
                        stringBuilder.append("> type is HDMI");
                        android.util.HwPCUtils.bdReport(context, 10009, stringBuilder.toString());
                        break;
                    case 3:
                        context = this.mContext;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Display<");
                        stringBuilder.append(name);
                        stringBuilder.append("> type is WIFI");
                        android.util.HwPCUtils.bdReport(context, 10009, stringBuilder.toString());
                        break;
                    case 4:
                        context = this.mContext;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Display<");
                        stringBuilder.append(name);
                        stringBuilder.append("> type is OVERLAY");
                        android.util.HwPCUtils.bdReport(context, 10009, stringBuilder.toString());
                        break;
                    case 5:
                        context = this.mContext;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Display<");
                        stringBuilder.append(name);
                        stringBuilder.append("> type is VIRTUAL");
                        android.util.HwPCUtils.bdReport(context, 10009, stringBuilder.toString());
                        break;
                    default:
                        break;
                }
            }
            context = this.mContext;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Display<");
            stringBuilder.append(name);
            stringBuilder.append("> type is UNKNOWN");
            android.util.HwPCUtils.bdReport(context, 10009, stringBuilder.toString());
            android.graphics.Point size = new android.graphics.Point();
            display.getRealSize(size);
            context = this.mContext;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("Display<");
            stringBuilder2.append(name);
            stringBuilder2.append("> width:");
            stringBuilder2.append(size.x);
            stringBuilder2.append(" height:");
            stringBuilder2.append(size.y);
            android.util.HwPCUtils.bdReport(context, 10010, stringBuilder2.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(size.x);
            stringBuilder.append("");
            java.math.BigInteger biWidth = new java.math.BigInteger(stringBuilder.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(size.y);
            stringBuilder2.append("");
            java.math.BigInteger value = biWidth.gcd(new java.math.BigInteger(stringBuilder2.toString()));
            android.content.Context context2 = this.mContext;
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("Display<");
            stringBuilder3.append(name);
            stringBuilder3.append("> ratio:");
            stringBuilder3.append(size.x / value.intValue());
            stringBuilder3.append(":");
            stringBuilder3.append(size.y / value.intValue());
            android.util.HwPCUtils.bdReport(context2, 10011, stringBuilder3.toString());
        }
    }

    public boolean isPackageRunningOnPCMode(java.lang.String packageName, int uid) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            boolean ret = this.mAMS.isPackageRunningOnPCMode(packageName, uid);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isPackageRunningOnPCMode ret = ");
            stringBuilder.append(ret);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            return ret;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("isPackageRunningOnPCMode checkCallingPermission failed ");
        stringBuilder2.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder2.toString());
        return false;
    }

    public boolean isScreenPowerOn() {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            boolean z;
            synchronized (this.mScreenAccessLock) {
                z = this.mScreenPowerOn;
            }
            return z;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkCallingPermission failed ");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return true;
    }

    public void setScreenPower(boolean powerOn) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            setScreenPowerInner(powerOn, true);
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkCallingPermission failed ");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private void lightPhoneScreen() {
        setScreenPowerInner(true, false);
    }

    /*  JADX ERROR: JadxRuntimeException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxRuntimeException: Exception block dominator not found, method:com.android.server.pc.HwPCManagerService.setScreenPowerInner(boolean, boolean):void, dom blocks: [B:17:0x0056, B:24:0x0064]
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.searchTryCatchDominators(ProcessTryCatchRegions.java:89)
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.process(ProcessTryCatchRegions.java:45)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.postProcessRegions(RegionMakerVisitor.java:63)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.visit(RegionMakerVisitor.java:58)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:27)
        	at jadx.core.dex.visitors.DepthTraversal.lambda$visit$1(DepthTraversal.java:14)
        	at java.util.ArrayList.forEach(ArrayList.java:1257)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:14)
        	at jadx.core.ProcessClass.process(ProcessClass.java:32)
        	at jadx.core.ProcessClass.lambda$processDependencies$0(ProcessClass.java:51)
        	at java.lang.Iterable.forEach(Iterable.java:75)
        	at jadx.core.ProcessClass.processDependencies(ProcessClass.java:51)
        	at jadx.core.ProcessClass.process(ProcessClass.java:37)
        	at jadx.api.JadxDecompiler.processClass(JadxDecompiler.java:292)
        	at jadx.api.JavaClass.decompile(JavaClass.java:62)
        	at jadx.api.JadxDecompiler.lambda$appendSourcesSave$0(JadxDecompiler.java:200)
        */
    private void setScreenPowerInner(boolean r9, boolean r10) {
        /*
        r8 = this;
        r0 = r8.mScreenAccessLock;
        monitor-enter(r0);
        r1 = "HwPCManagerService";	 Catch:{ all -> 0x00c6 }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00c6 }
        r2.<init>();	 Catch:{ all -> 0x00c6 }
        r3 = "setScreenPower old=";	 Catch:{ all -> 0x00c6 }
        r2.append(r3);	 Catch:{ all -> 0x00c6 }
        r3 = r8.mScreenPowerOn;	 Catch:{ all -> 0x00c6 }
        r2.append(r3);	 Catch:{ all -> 0x00c6 }
        r3 = " new=";	 Catch:{ all -> 0x00c6 }
        r2.append(r3);	 Catch:{ all -> 0x00c6 }
        r2.append(r9);	 Catch:{ all -> 0x00c6 }
        r2 = r2.toString();	 Catch:{ all -> 0x00c6 }
        android.util.HwPCUtils.log(r1, r2);	 Catch:{ all -> 0x00c6 }
        r1 = r8.mScreenPowerOn;	 Catch:{ all -> 0x00c6 }
        if (r9 != r1) goto L_0x002c;	 Catch:{ all -> 0x00c6 }
    L_0x0028:
        if (r10 == 0) goto L_0x002c;	 Catch:{ all -> 0x00c6 }
    L_0x002a:
        monitor-exit(r0);	 Catch:{ all -> 0x00c6 }
        return;	 Catch:{ all -> 0x00c6 }
    L_0x002c:
        r1 = android.util.HwPCUtils.getIsWifiMode();	 Catch:{ all -> 0x00c6 }
        if (r1 != 0) goto L_0x00b6;	 Catch:{ all -> 0x00c6 }
    L_0x0032:
        r1 = 0;	 Catch:{ all -> 0x00c6 }
        if (r9 == 0) goto L_0x0038;	 Catch:{ all -> 0x00c6 }
    L_0x0035:
        r2 = "1";	 Catch:{ all -> 0x00c6 }
        goto L_0x003a;	 Catch:{ all -> 0x00c6 }
    L_0x0038:
        r2 = "0";	 Catch:{ all -> 0x00c6 }
    L_0x003a:
        r3 = -1;
        r4 = 3;
        r5 = new java.io.FileOutputStream;	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r6 = new java.io.File;	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r7 = "/sys/devices/virtual/dp/power/lcd_power";	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r6.<init>(r7);	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r5.<init>(r6);	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r1 = r5;	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r5 = "utf-8";	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r5 = r2.getBytes(r5);	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r1.write(r5);	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r8.mScreenPowerOn = r9;	 Catch:{ FileNotFoundException -> 0x0085, IOException -> 0x0063 }
        r1.close();	 Catch:{ IOException -> 0x005a }
        goto L_0x009c;
    L_0x005a:
        r3 = move-exception;
        r4 = "HwPCManagerService";	 Catch:{ all -> 0x00c6 }
        r5 = "setScreenPower IOException2";	 Catch:{ all -> 0x00c6 }
        goto L_0x0081;
    L_0x0061:
        r3 = move-exception;
        goto L_0x00a6;
    L_0x0063:
        r5 = move-exception;
        r6 = "HwPCManagerService";	 Catch:{ all -> 0x0061 }
        r7 = "setScreenPower IOException1";	 Catch:{ all -> 0x0061 }
        android.util.HwPCUtils.log(r6, r7);	 Catch:{ all -> 0x0061 }
        r6 = com.android.server.pc.HwPCDataReporter.getInstance();	 Catch:{ all -> 0x0061 }
        r7 = "";	 Catch:{ all -> 0x0061 }
        r6.reportFailLightScreen(r4, r3, r7);	 Catch:{ all -> 0x0061 }
        if (r1 == 0) goto L_0x00a5;
    L_0x0077:
        r1.close();	 Catch:{ IOException -> 0x007b }
        goto L_0x009c;
    L_0x007b:
        r3 = move-exception;
        r4 = "HwPCManagerService";	 Catch:{ all -> 0x00c6 }
        r5 = "setScreenPower IOException2";	 Catch:{ all -> 0x00c6 }
    L_0x0081:
        android.util.HwPCUtils.log(r4, r5);	 Catch:{ all -> 0x00c6 }
        goto L_0x00a4;
    L_0x0085:
        r5 = move-exception;
        r6 = "HwPCManagerService";	 Catch:{ all -> 0x0061 }
        r7 = "setScreenPower FileNotFoundException";	 Catch:{ all -> 0x0061 }
        android.util.HwPCUtils.log(r6, r7);	 Catch:{ all -> 0x0061 }
        r6 = com.android.server.pc.HwPCDataReporter.getInstance();	 Catch:{ all -> 0x0061 }
        r7 = "";	 Catch:{ all -> 0x0061 }
        r6.reportFailLightScreen(r4, r3, r7);	 Catch:{ all -> 0x0061 }
        if (r1 == 0) goto L_0x00a5;
    L_0x0099:
        r1.close();	 Catch:{ IOException -> 0x009d }
    L_0x009c:
        goto L_0x00a5;
    L_0x009d:
        r3 = move-exception;
        r4 = "HwPCManagerService";	 Catch:{ all -> 0x00c6 }
        r5 = "setScreenPower IOException2";	 Catch:{ all -> 0x00c6 }
        goto L_0x0081;
    L_0x00a4:
        goto L_0x009c;
    L_0x00a5:
        goto L_0x00c4;
    L_0x00a6:
        if (r1 == 0) goto L_0x00b5;
    L_0x00a8:
        r1.close();	 Catch:{ IOException -> 0x00ac }
        goto L_0x00b5;
    L_0x00ac:
        r4 = move-exception;
        r5 = "HwPCManagerService";	 Catch:{ all -> 0x00c6 }
        r6 = "setScreenPower IOException2";	 Catch:{ all -> 0x00c6 }
        android.util.HwPCUtils.log(r5, r6);	 Catch:{ all -> 0x00c6 }
    L_0x00b5:
        throw r3;	 Catch:{ all -> 0x00c6 }
    L_0x00b6:
        r1 = 0;	 Catch:{ all -> 0x00c6 }
        r2 = android.view.SurfaceControl.getBuiltInDisplay(r1);	 Catch:{ all -> 0x00c6 }
        if (r9 == 0) goto L_0x00bf;	 Catch:{ all -> 0x00c6 }
    L_0x00bd:
        r1 = 2;	 Catch:{ all -> 0x00c6 }
    L_0x00bf:
        android.view.SurfaceControl.setDisplayPowerMode(r2, r1);	 Catch:{ all -> 0x00c6 }
        r8.mScreenPowerOn = r9;	 Catch:{ all -> 0x00c6 }
    L_0x00c4:
        monitor-exit(r0);	 Catch:{ all -> 0x00c6 }
        return;	 Catch:{ all -> 0x00c6 }
    L_0x00c6:
        r1 = move-exception;	 Catch:{ all -> 0x00c6 }
        monitor-exit(r0);	 Catch:{ all -> 0x00c6 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.pc.HwPCManagerService.setScreenPowerInner(boolean, boolean):void");
    }

    public void dispatchKeyEventForExclusiveKeyboard(android.view.KeyEvent ke) {
        java.lang.StringBuilder stringBuilder;
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("dispatchKeyEvent ");
            stringBuilder.append(ke);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            try {
                if (this.mMessenger != null) {
                    int keyCode = ke.getKeyCode();
                    if (ke.getAction() == 0) {
                        if (keyCode == 62) {
                            this.mMessenger.send(getMessage(12));
                        } else if (keyCode != 118) {
                            switch (keyCode) {
                                case 3:
                                    this.mMessenger.send(getMessage(10));
                                    break;
                                case 4:
                                    this.mMessenger.send(getMessage(11));
                                    break;
                                default:
                                    break;
                            }
                        } else {
                            this.mMessenger.send(getMessage(13));
                        }
                    } else if (keyCode == 187) {
                        this.mMessenger.send(getMessage(9));
                    }
                }
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("dispatchKeyEvent", "RemoteException");
            }
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkCallingPermission failed ");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private boolean isMonkeyRunning() {
        return android.app.ActivityManager.isUserAMonkey();
    }

    private void registerScreenOnEvent() {
        android.content.IntentFilter filter1 = new android.content.IntentFilter();
        filter1.addAction("huawei.deskclock.ALARM_ALERT_CONFLICT");
        try {
            this.mContext.registerReceiverAsUser(this.mAlarmClockReceiver, android.os.UserHandle.ALL, filter1, "com.huawei.deskclock.broadcast.permission", null);
        } catch (java.lang.IllegalArgumentException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("registerScreenOnEvent ");
            stringBuilder.append(e);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        }
    }

    private void unRegisterScreenOnEvent() {
        try {
            this.mContext.unregisterReceiver(this.mAlarmClockReceiver);
        } catch (java.lang.IllegalArgumentException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("unRegisterScreenOnEvent ");
            stringBuilder.append(e);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        }
    }

    private void enableFingerprintSlideSwitch() {
        try {
            android.content.ContentResolver resolver = this.mContext.getContentResolver();
            int userId = android.app.ActivityManager.getCurrentUser();
            if (android.provider.Settings.System.getIntForUser(resolver, "fingerprint_slide_switch", 0, userId) == 0) {
                android.util.HwPCUtils.log("HwPCManagerService", "enableFingerprintSlideSwitch");
                android.provider.Settings.System.putIntForUser(resolver, "fingerprint_slide_switch", 1, userId);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFingerprintSlideSwitch ");
            stringBuilder.append(e);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        }
    }

    private void updateFingerprintSlideSwitch() {
        try {
            this.mAMS.updateFingerprintSlideSwitch();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateFingerprintSlideSwitch ");
            stringBuilder.append(e);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        }
    }

    private void updateIMEWithHardKeyboardState(boolean switchToPcMode) {
        long ident = android.os.Binder.clearCallingIdentity();
        java.lang.StringBuilder stringBuilder;
        if (switchToPcMode) {
            try {
                this.mIMEWithHardKeyboardState = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "show_ime_with_hard_keyboard", this.mIMEWithHardKeyboardState);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("switch to PcMode, IME With Hard Keyboard State:");
                stringBuilder.append(this.mIMEWithHardKeyboardState);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                if (android.util.HwPCUtils.enabledInPad()) {
                    android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "show_ime_with_hard_keyboard", 0);
                    return;
                }
                android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "show_ime_with_hard_keyboard", 1);
            } finally {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("switch To PhoneMode, update IME With Hard Keyboard State:");
            stringBuilder.append(this.mIMEWithHardKeyboardState);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "show_ime_with_hard_keyboard", this.mIMEWithHardKeyboardState);
        }
    }

    private boolean isCalling() {
        this.mPhoneState = getPhoneState();
        return this.mPhoneState != 0;
    }

    private int getPhoneState() {
        java.lang.StringBuilder stringBuilder;
        int simCount = this.mTelephonyPhone.getPhoneCount();
        int phoneState = 0;
        for (int i = 0; i < simCount; i++) {
            phoneState = this.mTelephonyPhone.getCallState(i);
            if (phoneState != 0) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("simCount:");
                stringBuilder.append(simCount);
                stringBuilder.append(" phoneState:");
                stringBuilder.append(phoneState);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                return phoneState;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("simCount:");
        stringBuilder.append(simCount);
        stringBuilder.append(" phoneState:");
        stringBuilder.append(phoneState);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return 0;
    }

    protected void showCallingToast(final int displayId) {
        if (android.util.HwPCUtils.enabledInPad()) {
            android.content.Context context;
            if (android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
                context = android.util.HwPCUtils.getDisplayContext(this.mContext, displayId);
            } else {
                context = this.mContext;
            }
            if (context != null) {
                com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
                    public void run() {
                        if (com.android.server.pc.HwPCManagerService.this.mCallingToast != null) {
                            com.android.server.pc.HwPCManagerService.this.mCallingToast.cancel();
                        }
                        if (android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
                            com.android.server.pc.HwPCManagerService.this.mCallingToast = android.widget.Toast.makeText(context, context.getResources().getString(33685977), 1);
                        } else {
                            com.android.server.pc.HwPCManagerService.this.mCallingToast = android.widget.Toast.makeText(context, context.getResources().getString(33685947), 1);
                        }
                        if (com.android.server.pc.HwPCManagerService.this.mCallingToast != null) {
                            com.android.server.pc.HwPCManagerService.this.mCallingToast.show();
                        }
                    }
                });
            }
        }
    }

    public int forceDisplayMode(int mode) {
        java.lang.StringBuilder stringBuilder;
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("forceDisplayMode mode:");
            stringBuilder.append(mode);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            switch (mode) {
                case 1005:
                    return getOverScanMode();
                case 1006:
                    return setOverScanMode(0);
                case 1007:
                    return setOverScanMode(1);
                case 1008:
                    return setOverScanMode(2);
                default:
                    return 0;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("forceDisplayMode checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        return 0;
    }

    public int getPCDisplayId() {
        if (!checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getPCDisplayId checkCallingPermission failed");
            stringBuilder.append(android.os.Binder.getCallingPid());
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            return -1;
        } else if (android.util.HwPCUtils.isPcCastModeInServer()) {
            return get1stDisplay().mDisplayId;
        } else {
            android.util.HwPCUtils.log("HwPCManagerService", "getPCDisplayId  is not in PC CastMode.");
            return -1;
        }
    }

    private int setOverScanMode(int mode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setOverScanMode mode:");
        stringBuilder.append(mode);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        this.mAMS.setPCScreenDpMode(mode);
        return 0;
    }

    private int getOverScanMode() {
        android.util.HwPCUtils.log("HwPCManagerService", "getOverScanMode");
        int mode = this.mAMS.getPCScreenDisplayMode();
        if (mode == 1) {
            return 1007;
        }
        if (mode == 2) {
            return 1008;
        }
        return 1006;
    }

    private void uploadPcDisplaySizePro() {
        int[] size = getPcDisplaySize();
        if (size.length >= 2) {
            android.os.SystemProperties.set("hw.pc.display.width", java.lang.String.valueOf(size[0]));
            android.os.SystemProperties.set("hw.pc.display.height", java.lang.String.valueOf(size[1]));
        }
    }

    private int[] getPcDisplaySize() {
        android.view.DisplayInfo displayInfo = getPcDisplayInfo();
        if (displayInfo == null || displayInfo.getDefaultMode() == null) {
            return new int[0];
        }
        return new int[]{displayInfo.getDefaultMode().getPhysicalWidth(), displayInfo.getDefaultMode().getPhysicalHeight()};
    }

    private android.view.DisplayInfo getPcDisplayInfo() {
        android.view.Display display = getPcDisplay(this.mContext);
        if (display == null) {
            return null;
        }
        android.view.DisplayInfo displayInfo = new android.view.DisplayInfo();
        display.getDisplayInfo(displayInfo);
        return displayInfo;
    }

    private android.view.Display getPcDisplay(android.content.Context context) {
        android.hardware.display.DisplayManager dm = (android.hardware.display.DisplayManager) context.getSystemService("display");
        if (dm != null) {
            android.view.Display[] displays = dm.getDisplays();
            if (displays != null && displays.length > 0) {
                int i = displays.length - 1;
                while (i >= 0) {
                    if (displays[i] != null && android.util.HwPCUtils.isValidExtDisplayId(displays[i].getDisplayId())) {
                        return displays[i];
                    }
                    i--;
                }
            }
        }
        android.util.HwPCUtils.log("HwPCManagerService", "getPcDisplay not find PCDisplay");
        return null;
    }

    public void setFocusedPCDisplayId(java.lang.String reason) {
        if (this.mWindowManagerInternal == null) {
            this.mWindowManagerInternal = (com.android.server.wm.WindowManagerInternal) com.android.server.LocalServices.getService(com.android.server.wm.WindowManagerInternal.class);
        }
        int extdisplayid = android.util.HwPCUtils.getPCDisplayID();
        if (this.mWindowManagerInternal != null && android.util.HwPCUtils.isPcCastModeInServer()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setFocusedDisplayId extdisplayid = ");
            stringBuilder.append(extdisplayid);
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            this.mWindowManagerInternal.setFocusedDisplayId(extdisplayid, reason);
        }
    }

    public void showImeStatusIcon(int iconResId, java.lang.String pkgName) {
        try {
            android.util.HwPCUtils.log("HwPCManagerService", java.lang.String.format("PCMS showImeStatusIcon:%s,%s", new java.lang.Object[]{java.lang.Integer.valueOf(iconResId), pkgName}));
            if (validateImeCall(pkgName)) {
                if (this.mMessenger != null) {
                    android.os.Message message = android.os.Message.obtain();
                    message.what = 14;
                    android.os.Bundle bundle = new android.os.Bundle();
                    bundle.putString("pkgName", pkgName);
                    message.obj = bundle;
                    message.arg1 = iconResId;
                    this.mMessenger.send(message);
                }
            }
        } catch (android.os.RemoteException e) {
            android.util.Log.e("HwPCManagerService", "PCMS showImeStatusIcon-RemoteException");
        }
    }

    public void hideImeStatusIcon(java.lang.String pkgName) {
        try {
            android.util.HwPCUtils.log("HwPCManagerService", "PCMS hideImeStatusIcon");
            if (validateImeCall(pkgName)) {
                if (this.mMessenger != null) {
                    this.mMessenger.send(getMessage(15));
                }
            }
        } catch (android.os.RemoteException e) {
            android.util.Log.e("HwPCManagerService", "PCMS hideImeStatusIcon-RemoteException");
        }
    }

    private boolean validateImeCall(java.lang.String pkgName) {
        java.lang.String callingApp = this.mContext.getPackageManager().getNameForUid(android.os.Binder.getCallingUid());
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("PCMS callingApp: ");
        stringBuilder.append(callingApp);
        stringBuilder.append(", pkg=");
        stringBuilder.append(pkgName);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        if (callingApp == null || !callingApp.equals(pkgName)) {
            return false;
        }
        return true;
    }

    private boolean isExclusiveKeyboardConnect(android.os.UEventObserver.UEvent event) {
        if (event != null) {
            java.lang.String kbState = event.get("KB_STATE");
            if (kbState != null && kbState.equals("CONNECTED")) {
                return true;
            }
        }
        return false;
    }

    private void registerBluetoothReceiver() {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.bluetooth.adapter.action.STATE_CHANGED");
        this.mContext.registerReceiver(this.mWifiPCReceiver, filter);
        this.mIsNeedUnRegisterBluetoothReciver = true;
        this.mBluetoothReminderDialog.dismissDialog();
        android.bluetooth.BluetoothAdapter bluetoothAdapter = android.bluetooth.BluetoothAdapter.getDefaultAdapter();
        if (bluetoothAdapter != null) {
            this.mBluetoothStateOnEnter = bluetoothAdapter.isEnabled();
            if (this.mBluetoothStateOnEnter) {
                this.mBluetoothReminderDialog.showCloseBluetoothTip(this.mContext);
            }
        }
    }

    private void unRegisterBluetoothReceiver() {
        this.mContext.unregisterReceiver(this.mWifiPCReceiver);
        this.mBluetoothReminderDialog.dismissDialog();
        android.bluetooth.BluetoothAdapter bluetoothAdapter = android.bluetooth.BluetoothAdapter.getDefaultAdapter();
        if (!(bluetoothAdapter == null || bluetoothAdapter.isEnabled() || !this.mBluetoothStateOnEnter)) {
            this.mBluetoothReminderDialog.showOpenBluetoothTip(this.mContext);
        }
        this.mBluetoothStateOnEnter = false;
        this.mIsNeedUnRegisterBluetoothReciver = false;
    }

    private boolean isWifiPCMode(int displayid) {
        boolean z = false;
        if (!(displayid == -1 || this.mDisplayManager == null)) {
            android.view.Display display = this.mDisplayManager.getDisplay(displayid);
            if (display != null) {
                if (display.getType() == 3) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    private int isConnectFromThirdApp(int displayId) {
        if (this.mDisplayManager == null) {
            this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
        }
        android.view.Display display = this.mDisplayManager.getDisplay(displayId);
        if (display != null && display.getType() == 5) {
            if ("com.hpplay.happycast".equals(display.getOwnerPackageName())) {
                android.util.HwPCUtils.bdReport(this.mContext, 10061, "");
                return 1;
            } else if ("com.huawei.works".equals(display.getOwnerPackageName())) {
                return 2;
            }
        }
        return -1;
    }

    private void launchWeLink() {
        try {
            java.lang.String encodedUri = java.net.URLEncoder.encode("ui://welink.wirelessdisplay/home", "utf-8");
            android.content.Intent intent = new android.content.Intent("android.intent.action.VIEW");
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("welink://works.huawei.com?uri=");
            stringBuilder.append(encodedUri);
            intent.setData(android.net.Uri.parse(stringBuilder.toString()));
            intent.setFlags(335544320);
            intent.putExtra("src", 203);
            intent.putExtra("target", 103);
            this.mContext.startActivity(intent);
        } catch (android.content.ActivityNotFoundException e) {
            android.util.HwPCUtils.log("HwPCManagerService", "launchWeLink ActivityNotFoundException error");
        } catch (java.io.UnsupportedEncodingException e2) {
            android.util.HwPCUtils.log("HwPCManagerService", "launchWeLink UnsupportedEncodingException error");
        }
    }

    public void setPointerIconType(int iconId, boolean keep) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            com.android.server.input.HwInputManagerService.HwInputManagerLocalService inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerLocalService) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerLocalService.class);
            if (inputManager != null) {
                inputManager.setPointerIconTypeAndKeep(iconId, keep);
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setCustomPointerIcon checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void setCustomPointerIcon(android.view.PointerIcon icon, boolean keep) {
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            com.android.server.input.HwInputManagerService.HwInputManagerLocalService inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerLocalService) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerLocalService.class);
            if (inputManager != null) {
                inputManager.setCustomPointerIconAndKeep(icon, keep);
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setCustomPointerIcon checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    public void notifyDpState(boolean dpState) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyDpState dpState = ");
        stringBuilder.append(dpState);
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        if (checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            this.mHandler.removeMessages(21);
            this.mHandler.sendMessage(this.mHandler.obtainMessage(21, java.lang.Boolean.valueOf(dpState)));
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyDpState checkCallingPermission failed");
        stringBuilder.append(android.os.Binder.getCallingPid());
        android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
    }

    private com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay get1stDisplay() {
        return this.mPcMultiDisplayMgr.get1stDisplay();
    }

    private com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay get2ndDisplay() {
        return this.mPcMultiDisplayMgr.get2ndDisplay();
    }

    private void showDPLinkErrorDialog(android.content.Context context, java.lang.String tip) {
        dismissDpLinkErrorDialog();
        android.app.AlertDialog.Builder builder = new android.app.AlertDialog.Builder(context, 33947691);
        this.mShowDpLinkErrorTipDialog = builder.setTitle(33685941).setPositiveButton(33685817, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface arg0, int arg1) {
                arg0.dismiss();
            }
        }).setMessage(java.lang.String.format(tip, new java.lang.Object[]{""})).create();
        this.mShowDpLinkErrorTipDialog.getWindow().setType(2008);
        this.mShowDpLinkErrorTipDialog.show();
        this.mShowDpLinkErrorTipDialog.getWindow().getAttributes().setTitle("ShowDpLinkErrorTipDialog");
    }

    private void dismissDpLinkErrorDialog() {
        if (this.mShowDpLinkErrorTipDialog != null && this.mShowDpLinkErrorTipDialog.isShowing()) {
            this.mShowDpLinkErrorTipDialog.dismiss();
            this.mShowDpLinkErrorTipDialog = null;
        }
    }

    public void execVoiceCmd(android.os.Message message) {
        if (!checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("execVoiceCmd checkCallingPermission failed ");
            stringBuilder.append(android.os.Binder.getCallingPid());
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
        } else if (message == null) {
            android.util.HwPCUtils.log("HwPCManagerService", "execVoiceCmd message = null");
        } else {
            this.mVAssistCmdExecutor.execVoiceCmd(message);
        }
    }

    private boolean shouldDropEventsForSendBroadcast() {
        long currTime = android.os.SystemClock.uptimeMillis();
        if (currTime - this.mPrevTimeForBroadcast <= 500) {
            return true;
        }
        this.mPrevTimeForBroadcast = currTime;
        return false;
    }

    private void sendBroadcastForClearLighterDrawed() {
        android.util.HwPCUtils.log("HwPCManagerService", "sendBroadcastForClearLighterDrawed");
        if (shouldDropEventsForSendBroadcast()) {
            android.util.HwPCUtils.log("HwPCManagerService", "ignore because of frequent events");
            return;
        }
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("com.android.server.pc.action.clear_lighter_drawed");
        intent.setPackage("com.huawei.desktop.systemui");
        this.mContext.sendBroadcast(intent, "com.huawei.permission.pc.CLEAR_LIGHTER_DRAWED");
    }

    private static boolean isDapKey(int keyCode) {
        if (!(keyCode == 20 || keyCode == 269 || keyCode == 271 || keyCode == 21 || keyCode == 22 || keyCode == 19 || keyCode == 268 || keyCode == 270)) {
            if (keyCode != 23) {
                return false;
            }
        }
        return true;
    }

    private static boolean isVolumeKey(android.view.KeyEvent ev) {
        int keyCode = ev.getKeyCode();
        if (keyCode != 25) {
            if (keyCode != 24) {
                return false;
            }
        }
        return true;
    }

    private static boolean keyForPPTSwitch(android.view.KeyEvent ev) {
        if (isDapKey(ev.getKeyCode())) {
            return true;
        }
        if (!isVolumeKey(ev) || ev.getAction() == 1) {
            return false;
        }
        return true;
    }

    private void filterScrollForPCMode() {
        if (android.util.HwPCUtils.isPcCastModeInServer() && com.huawei.android.view.HwWindowManager.hasLighterViewInPCCastMode()) {
            shouldInterceptInputEvent(null, true);
        }
    }

    private boolean isFullScreenApp(android.graphics.Rect bounds) {
        if (bounds == null) {
            return true;
        }
        if (this.mPCDisplayInfo != null && bounds.left == 0 && bounds.top == 0 && bounds.right == this.mPCDisplayInfo.logicalWidth && bounds.bottom == this.mPCDisplayInfo.logicalHeight) {
            return true;
        }
        return false;
    }

    private boolean shouldSendBroadcastForClearLighterDrawed(android.view.KeyEvent ev, boolean forScroll) {
        boolean sendBroadcastForClearDrawed = false;
        com.android.server.pc.vassist.HwPCVAssistCmdExecutor.WindowStateData wsd = new com.android.server.pc.vassist.HwPCVAssistCmdExecutor.WindowStateData();
        if (com.android.server.pc.vassist.HwPCVAssistCmdExecutor.specialAppFocused(get1stDisplay().mDisplayId, wsd, true, true)) {
            if (isFullScreenApp(wsd.bounds)) {
                if (ev != null) {
                    if (keyForPPTSwitch(ev)) {
                        sendBroadcastForClearDrawed = true;
                    }
                } else if (forScroll) {
                    sendBroadcastForClearDrawed = true;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("shouldInterceptInputEvent sendBroadcastForClearDrawed = ");
                stringBuilder.append(sendBroadcastForClearDrawed);
                android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
                return sendBroadcastForClearDrawed;
            }
        }
        android.util.HwPCUtils.log("HwPCManagerService", "shouldInterceptInputEvent ignore it when special app not focused or not full screen");
        return false;
    }

    public boolean shouldInterceptInputEvent(android.view.KeyEvent ev, boolean forScroll) {
        if (!checkCallingPermission("com.huawei.permission.PC_MANAGER_API")) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shouldInterceptInputEvent checkCallingPermission failed ");
            stringBuilder.append(android.os.Binder.getCallingPid());
            android.util.HwPCUtils.log("HwPCManagerService", stringBuilder.toString());
            return true;
        } else if (ev == null && !forScroll) {
            android.util.HwPCUtils.log("HwPCManagerService", "shouldInterceptInputEvent ev = null");
            return true;
        } else if (ev == null || isDapKey(ev.getKeyCode()) || android.view.KeyEvent.isSystemKey(ev.getKeyCode())) {
            this.mHandler.removeMessages(24);
            android.os.Message msg = this.mHandler.obtainMessage(24);
            msg.obj = ev;
            msg.arg1 = forScroll;
            this.mHandler.sendMessage(msg);
            return false;
        } else {
            android.util.HwPCUtils.log("HwPCManagerService", "shouldInterceptInputEvent only dap or volume for PPT accept when lighter view appear");
            return true;
        }
    }

    private void setPcCastingDisplayId(int displayId) {
        android.os.SystemProperties.set("hw.pc.casting.displayid", java.lang.String.valueOf(displayId));
    }
}
