package com.android.server.pm;

public class BlackListInfo {
    public java.util.ArrayList<com.android.server.pm.BlackListInfo.BlackListApp> mBlackList = new java.util.ArrayList();
    public int mVersionCode = -1;

    static class BlackListApp {
        public java.lang.String mHashValue;
        public int mMaxVersionId;
        public int mMinVersionId;
        public java.lang.String mPackageName;
        public android.content.pm.Signature[] mSignature;

        BlackListApp() {
        }

        public void setSignature(java.lang.String[] signature) {
            int i = 0;
            int N = signature != null ? signature.length : 0;
            if (N > 0) {
                android.content.pm.Signature[] mSig = new android.content.pm.Signature[N];
                while (i < N) {
                    mSig[i] = new android.content.pm.Signature(signature[i]);
                    i++;
                }
                this.mSignature = mSig;
            }
        }
    }
}
