package com.android.server.pm.auth.deviceid;

public class DeviceIdList implements com.android.server.pm.auth.deviceid.DeviceId {
    private java.util.List<java.lang.String> mIds = new java.util.ArrayList();

    public void addDeviceId(java.lang.String id) {
        this.mIds.add(id);
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    public void append(java.lang.StringBuffer sb) {
        sb.append("IMEI/");
        for (int i = 0; i < this.mIds.size(); i++) {
            if (i != 0) {
                sb.append(",");
            }
            sb.append((java.lang.String) this.mIds.get(i));
        }
    }

    public boolean contain(java.lang.String devId) {
        for (java.lang.String id : this.mIds) {
            if (id.equals(devId)) {
                return true;
            }
        }
        return false;
    }

    public boolean isEmpty() {
        return this.mIds.isEmpty();
    }

    public static boolean isType(java.lang.String ids) {
        if (!ids.startsWith("IMEI/") || ids.indexOf("-") >= 0) {
            return false;
        }
        return true;
    }
}
