package com.android.server.pm.auth.util;

public class HwAuthLogger {
    private static final boolean DEBUG_LOGD = false;
    private static final boolean DEBUG_LOGE = true;
    private static final boolean DEBUG_LOGI;
    private static final boolean DEBUG_LOGW = false;

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwAuthLogger", 4)) {
                z = false;
                DEBUG_LOGI = z;
            }
        }
        z = true;
        DEBUG_LOGI = z;
    }

    public static void v(java.lang.String tag, java.lang.String msg) {
    }

    public static void d(java.lang.String tag, java.lang.String msg) {
    }

    public static void i(java.lang.String tag, java.lang.String msg) {
        if (DEBUG_LOGI) {
            android.util.Slog.i(tag, msg);
        }
    }

    public static void w(java.lang.String tag, java.lang.String msg) {
    }

    public static void e(java.lang.String tag, java.lang.String msg) {
        android.util.Slog.e(tag, msg);
    }

    public static void v(java.lang.String tag, java.lang.String msg, java.lang.Throwable tr) {
    }

    public static void d(java.lang.String tag, java.lang.String msg, java.lang.Throwable tr) {
    }

    public static void i(java.lang.String tag, java.lang.String msg, java.lang.Throwable tr) {
        if (DEBUG_LOGI) {
            android.util.Slog.i(tag, msg, tr);
        }
    }

    public static void w(java.lang.String tag, java.lang.String msg, java.lang.Throwable tr) {
    }

    public static void e(java.lang.String tag, java.lang.String msg, java.lang.Throwable tr) {
        android.util.Slog.e(tag, msg, tr);
    }

    public static boolean getHWDEBUG() {
        return false;
    }

    public static boolean getHWFLOW() {
        return false;
    }
}
