package com.android.server.power;

public final class HwPowerManagerServiceEx implements com.android.server.power.IHwPowerManagerServiceEx {
    static final java.lang.String TAG = "HwPowerManagerServiceEx";
    final android.content.Context mContext;
    com.android.server.power.IHwPowerManagerInner mIPowerInner = null;

    public HwPowerManagerServiceEx(com.android.server.power.IHwPowerManagerInner pms, android.content.Context context) {
        this.mIPowerInner = pms;
        this.mContext = context;
    }

    public boolean isAwarePreventScreenOn(java.lang.String pkgName, java.lang.String tag) {
        if (!(pkgName == null || tag == null || this.mIPowerInner == null)) {
            if (this.mIPowerInner.getPowerMonitor() != null) {
                return this.mIPowerInner.getPowerMonitor().isAwarePreventScreenOn(pkgName, tag);
            }
        }
        return false;
    }
}
