package com.android.server.rms.defraggler;

public class IODefraggler implements com.android.server.rms.IDefraggler {
    private static final java.lang.String TAG = "RMS.IODefraggler";
    private com.android.server.rms.io.IOStatsService mIOStatsService = null;

    public int compact(java.lang.String reason, android.os.Bundle extras) {
        android.util.Log.w("RMS.IODefraggler", reason);
        if (this.mIOStatsService == null) {
            this.mIOStatsService = com.android.server.rms.io.IOStatsService.getInstance(null, null);
        }
        if (this.mIOStatsService != null) {
            this.mIOStatsService.periodMonitorTask();
        }
        return 0;
    }

    public void interrupt() {
        if (this.mIOStatsService != null) {
            this.mIOStatsService.interruptMonitorTask();
        }
    }
}
