package com.android.server.rms.dump;

public final class DumpScene {
    public static final void dumpDownloadScene(android.content.Context context) {
        com.android.server.rms.IScene scene = new com.android.server.rms.scene.DownloadScene(context);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("DownloadScene state is ");
        stringBuilder.append(scene.identify(null));
        android.util.Log.d("RMS.dump", stringBuilder.toString());
    }

    public static final void dumpMediaScene(android.content.Context context) {
        com.android.server.rms.IScene scene = new com.android.server.rms.scene.MediaScene(context);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("MediaScene state is ");
        stringBuilder.append(scene.identify(null));
        android.util.Log.d("RMS.dump", stringBuilder.toString());
    }

    public static final void dumpNonIdleScene(android.content.Context context) {
        com.android.server.rms.IScene scene = new com.android.server.rms.scene.NonIdleScene(context);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("NonIdleScene state is ");
        stringBuilder.append(scene.identify(null));
        android.util.Log.d("RMS.dump", stringBuilder.toString());
    }

    public static final void dumpPhoneScene(android.content.Context context) {
        com.android.server.rms.IScene scene = new com.android.server.rms.scene.PhoneScene(context);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("PhoneScene state is ");
        stringBuilder.append(scene.identify(null));
        android.util.Log.d("RMS.dump", stringBuilder.toString());
    }
}
