package com.android.server.rms.iaware;

class AwareAWSIMonitorCallback extends android.appwidget.IHwAWSIDAMonitorCallback.Stub {
    private static final java.lang.String TAG = "AwareAWSIMonitorCallback";

    AwareAWSIMonitorCallback() {
    }

    public void updateWidgetFlushReport(int userId, java.lang.String packageName) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC))) {
            android.os.Bundle args = new android.os.Bundle();
            args.putInt("userid", userId);
            args.putString("widget", packageName);
            args.putInt("relationType", 32);
            android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC), java.lang.System.currentTimeMillis(), args);
            long origId = android.os.Binder.clearCallingIdentity();
            resManager.reportData(data);
            android.os.Binder.restoreCallingIdentity(origId);
        }
    }
}
