package com.android.server.rms.iaware;

class AwareWmsMonitorCallback extends com.huawei.android.view.IHwWMDAMonitorCallback.Stub {
    private static final java.lang.String TAG = "AwareWmsMonitorCallback";

    AwareWmsMonitorCallback() {
    }

    public boolean isResourceNeeded(java.lang.String resourceid) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager == null) {
            return false;
        }
        return resManager.isResourceNeeded(getReousrceId(resourceid));
    }

    private int getReousrceId(java.lang.String resourceid) {
        if (resourceid == null) {
            return android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INVALIDE_TYPE);
        }
        if (resourceid.equals("RESOURCE_APPASSOC")) {
            return android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC);
        }
        if (resourceid.equals("RESOURCE_SYSLOAD")) {
            return android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SYSLOAD);
        }
        return android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INVALIDE_TYPE);
    }

    public void reportData(java.lang.String resourceid, long timestamp, android.os.Bundle args) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && args != null) {
            android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(getReousrceId(resourceid), timestamp, args);
            long id = android.os.Binder.clearCallingIdentity();
            resManager.reportData(data);
            android.os.Binder.restoreCallingIdentity(id);
        }
    }
}
