package com.android.server.rms.iaware.appmng;

public class AwareFakeActivityRecg {
    private static final int CLSINDEX = 1;
    private static final int CMPLENGTH = 2;
    private static final long DELAY_LONGTIME_SCREENON_MS = 30000;
    private static final long FAKEACTIVITY_LAUNCH_WHEN_SCREENON_MS = 5000;
    private static final java.lang.String FAKEACTIVITY_WHITELIST = "fake_white";
    public static final long FAKEACTIVIT_IS_DYNAMIC = 4;
    public static final long FAKEACTIVIT_IS_PERSISTENT = 3;
    private static final java.lang.String FAKEA_AUTO_WAKEUP = "autowakeup";
    private static final java.lang.String FAKEA_FINGERPRINT = "fingerprint";
    private static final java.lang.String FAKEA_FORCESTOP = "forcestop";
    private static final java.lang.String FAKEA_GIVEUP = "giveup";
    private static final java.lang.String FAKEA_HAS_TOUCH = "hastouch";
    private static final java.lang.String FAKEA_INSERT_SUSPECTED = "suspected";
    private static final java.lang.String FAKEA_IS_FAKE = "isfake";
    private static final java.lang.String FAKEA_PREVENTED_WHEN_SCREEN_OFF = "prevented-woff";
    private static final java.lang.String FAKEA_PREVENTED_WHEN_SCREEN_ON = "prevented-won";
    private static final java.lang.String FAKEA_PROC_CRASH = "proccrash";
    private static final java.lang.String FAKEA_REMOVED_WHEN_SCREEN_ON = "removed-won";
    private static final java.lang.String FAKEA_REMOVE_THIS_TIME_OF_RECG = "remove-ttr";
    private static final java.lang.String FAKEA_UNINSTALL = "uninstall";
    private static final int GIVEUP_RECOGNIZE_AUTO_WAKEUP = 1;
    private static final int GIVEUP_RECOGNIZE_KEYCODE_BACK = 4;
    private static final int GIVEUP_RECOGNIZE_KEYCODE_HOME = 5;
    private static final int GIVEUP_RECOGNIZE_LAUNCH_ACTIVITY = 3;
    private static final int GIVEUP_RECOGNIZE_MULTI_WAKEUP = 2;
    private static final int GIVEUP_RECOGNIZE_NO_GIVEUP = 0;
    private static final long GIVEUP_TIME_FOR_FASTSCREENOFF_MS = 30000;
    private static final int GIVEUP_TIME_FOR_INITIATIVEWAKEUP_MS = 30000;
    public static final int INSERT_SUSPKGNAMECACHE_FORCESTOP = 2;
    private static final int INSERT_SUSPKGNAMECACHE_NORMALCREATE = 1;
    private static final int INSERT_SUSPKGNAMECACHE_NOVALUE = 0;
    private static final int JAVA_MSG_SLEEP = 100;
    private static final int JAVA_MSG_STOP_SEND = 105;
    private static final int JAVA_MSG_WAKEUP = 101;
    private static final int LOAD_CMPTYPE_MESSAGE_DELAY_MS = 2000;
    private static final int MSG_DELETEDATA = 3;
    private static final int MSG_FORCE_STOP = 11;
    private static final int MSG_INSERTDATA = 2;
    private static final int MSG_INSERT_SUSPECTED_FAKEACTIVITY = 8;
    private static final int MSG_LOADDATA = 1;
    private static final int MSG_RECG_FAKEACTIVITY = 4;
    private static final int MSG_RECG_LONGTIME_SCREENON = 5;
    private static final int MSG_REMOVE_THIS_TIME_OF_RECG = 13;
    private static final int MSG_REPORT_APPUPDATE = 9;
    private static final int MSG_SENDTO_BIGDATA = 10;
    private static final int MSG_SLEEP = 6;
    private static final int MSG_STOP_SENDEVENT = 12;
    private static final int MSG_WAKEUP = 7;
    private static final int NATIVE_EVENT_KEY = 2;
    private static final int NATIVE_EVENT_MOTION = 3;
    private static final int PKGINDEX = 0;
    private static final java.lang.String TAG = "AwareFakeActivityRecg";
    public static final int TOUCHEVENT_FROM_APP = 12;
    public static final int TOUCHEVENT_NOEVENT = 0;
    private static final int TYPE_FAKEA_AUTO_WAKEUP = 5;
    private static final int TYPE_FAKEA_FINGERPRINT = 10;
    private static final int TYPE_FAKEA_FORCESTOP = 8;
    private static final int TYPE_FAKEA_GIVEUP = 4;
    private static final int TYPE_FAKEA_HAS_TOUCH = 7;
    private static final int TYPE_FAKEA_INSERT_SUSPECTED = 3;
    private static final int TYPE_FAKEA_IS_FAKE = 6;
    private static final int TYPE_FAKEA_PREVENTED_WHEN_SCREEN_OFF = 2;
    private static final int TYPE_FAKEA_PREVENTED_WHEN_SCREEN_ON = 1;
    private static final int TYPE_FAKEA_PROC_CRASH = 9;
    private static final int TYPE_FAKEA_REMOVED_WHEN_SCREEN_ON = 0;
    private static final int TYPE_FAKEA_REMOVE_THIS_TIME_OF_RECG = 12;
    private static final int TYPE_FAKEA_TOTAL = 13;
    private static final int TYPE_FAKEA_UNINSTALL = 11;
    private static com.android.server.rms.iaware.appmng.AwareFakeActivityRecg mFakeActivityRecg = null;
    private static int[] mFakeTypes = new int[13];
    private static final java.lang.Object mLock = new java.lang.Object();
    private static boolean mRecgFakeActivityEnabled = true;
    private boolean DEBUG_COST = false;
    private boolean bGiveupRecognize = false;
    private java.util.concurrent.atomic.AtomicBoolean bNeedProcessTouchEventNotify = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.HashMap<java.lang.Integer, java.lang.Integer> mCrashUidPids = new java.util.HashMap();
    private int mCurUserId = 0;
    private final java.util.concurrent.atomic.AtomicInteger mDataLoadCount = new java.util.concurrent.atomic.AtomicInteger(2);
    private com.android.server.mtm.iaware.appmng.appstart.datamgr.AppStartupDataMgr mDataMgr = new com.android.server.mtm.iaware.appmng.appstart.datamgr.AppStartupDataMgr();
    private java.util.HashMap<java.lang.String, java.lang.Long> mFakeActivities = new java.util.HashMap();
    private com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityRecgHandler mFakeActivityMsgHandler = null;
    private int mGiveupReason = 0;
    private long mGiveupRecongnizeTimeMs = 0;
    private java.util.Set<java.lang.Integer> mGiveupUids = new java.util.HashSet();
    private long mGotoSleepingTimeMs = 0;
    private long mGotoWakeupTimeMs = 0;
    com.android.server.input.HwInputManagerService mHwInputManagerService = null;
    private boolean mIsFingerprintWakeup = false;
    private java.util.concurrent.atomic.AtomicBoolean mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);
    private boolean mIsPowerkeyInteractive = false;
    private boolean mIsPowerkeyWakeup = false;
    private java.util.concurrent.atomic.AtomicBoolean mScreenOnExpired = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.HashMap<java.lang.Integer, java.lang.Long> mScreenonUids = new java.util.HashMap();
    private java.util.HashMap<java.lang.String, java.lang.Integer> mSuspectedActivities = new java.util.HashMap();
    private java.util.Set<java.lang.String> mTempFakeActivities = new java.util.HashSet();
    private java.util.HashMap<java.lang.Integer, java.lang.Integer> mTouchEventPids = new java.util.HashMap();
    private java.util.Set<java.lang.String> mWhiteFakeActivities = new java.util.HashSet();

    static class FakeActivityInfo {
        public int callerPid;
        public int callerUid;
        public java.lang.String cmp;
        public boolean isScreenOn;
        private java.lang.String reason;

        public FakeActivityInfo(java.lang.String cmp, boolean isScreenOn, int pid, int uid) {
            this.isScreenOn = isScreenOn;
            this.callerPid = pid;
            this.callerUid = uid;
            this.cmp = cmp;
        }

        public FakeActivityInfo(java.lang.String cmp, java.lang.String reason) {
            this.cmp = cmp;
            this.reason = reason;
        }
    }

    private class FakeActivityRecgHandler extends android.os.Handler {
        public FakeActivityRecgHandler(android.os.Looper looper) {
            super(looper);
        }

        private void handleMessageBecauseOfNSIQ(android.os.Message msg) {
            int i = msg.what;
            if (i == 9) {
                com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleReportAppUpdateMsg(msg);
            } else if (i != 13) {
                android.rms.iaware.CmpTypeInfo cmpTypeInfo = null;
                switch (i) {
                    case 1:
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.initRecognizedFakeActivity();
                        return;
                    case 2:
                        if (msg.obj instanceof android.rms.iaware.CmpTypeInfo) {
                            cmpTypeInfo = (android.rms.iaware.CmpTypeInfo) msg.obj;
                        }
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.insertFakeActivityToDB(cmpTypeInfo);
                        return;
                    case 3:
                        if (msg.obj instanceof android.rms.iaware.CmpTypeInfo) {
                            cmpTypeInfo = (android.rms.iaware.CmpTypeInfo) msg.obj;
                        }
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.deleteFakeActivityFromDB(cmpTypeInfo);
                        return;
                    default:
                        return;
                }
            } else {
                com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleRemoveThisTimeOfRecg();
            }
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 4:
                    if (msg.obj instanceof com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo) {
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleRecognizeFakeActivity((com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo) msg.obj);
                        return;
                    }
                    return;
                case 5:
                    com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleLongTimeScreenOn();
                    return;
                case 6:
                    com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleSleepMsg();
                    return;
                case 8:
                    if (msg.obj instanceof java.lang.String) {
                        java.lang.String compName = msg.obj;
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleInsertSuspectMsg(compName);
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.sendToBigDataMessage(compName, "suspected", 3);
                        return;
                    }
                    return;
                case 10:
                    if (msg.obj instanceof com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo) {
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleSendToBigdataMsg((com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo) msg.obj);
                        return;
                    }
                    return;
                case 11:
                    if (msg.obj instanceof java.lang.String) {
                        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.deleteSuspectedActivityByPkgName((java.lang.String) msg.obj);
                        return;
                    }
                    return;
                case 12:
                    com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.this.handleStopNativeEventMsg();
                    return;
                default:
                    handleMessageBecauseOfNSIQ(msg);
                    return;
            }
        }
    }

    private AwareFakeActivityRecg() {
    }

    public static synchronized com.android.server.rms.iaware.appmng.AwareFakeActivityRecg self() {
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg awareFakeActivityRecg;
        synchronized (com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.class) {
            if (mFakeActivityRecg == null) {
                mFakeActivityRecg = new com.android.server.rms.iaware.appmng.AwareFakeActivityRecg();
            }
            awareFakeActivityRecg = mFakeActivityRecg;
        }
        return awareFakeActivityRecg;
    }

    private void initialize() {
        if (!this.mIsInitialized.get()) {
            if (this.mFakeActivityMsgHandler == null) {
                this.mFakeActivityMsgHandler = new com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityRecgHandler(com.android.internal.os.BackgroundThread.get().getLooper());
            }
            try {
                android.content.pm.UserInfo currentUser = android.app.ActivityManagerNative.getDefault().getCurrentUser();
                if (currentUser != null) {
                    this.mCurUserId = currentUser.id;
                }
            } catch (android.os.RemoteException e) {
                android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "getCurrentUserId RemoteException");
            }
            initWhiteList();
            sendLoadAppTypeMessage();
            this.mIsInitialized.set(true);
        }
    }

    private boolean insertFakeActivityToDB(android.rms.iaware.CmpTypeInfo info) {
        try {
            android.os.IBinder awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
            if (awareservice != null) {
                android.rms.iaware.IAwareCMSManager.insertCmpTypeInfo(awareservice, info);
                return true;
            }
            android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "can not find service IAwareCMSService.");
            return false;
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "inSertCmpRecgInfo RemoteException");
        }
    }

    private boolean deleteFakeActivityFromDB(android.rms.iaware.CmpTypeInfo info) {
        try {
            android.os.IBinder awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
            if (awareservice != null) {
                android.rms.iaware.IAwareCMSManager.deleteCmpTypeInfo(awareservice, info);
                return true;
            }
            android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "can not find service IAwareCMSService.");
            return false;
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "deleteCmpRecgInfo RemoteException");
        }
    }

    private boolean loadFakeActivityInfo() {
        java.util.List<android.rms.iaware.CmpTypeInfo> list = null;
        try {
            android.os.IBinder awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
            if (awareservice != null) {
                list = android.rms.iaware.IAwareCMSManager.getCmpTypeList(awareservice);
            } else {
                android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "can not find service IAwareCMSService.");
            }
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "loadRecgResultInfo RemoteException");
        }
        if (list == null) {
            return false;
        }
        for (android.rms.iaware.CmpTypeInfo info : list) {
            if (info.getType() == 1) {
                java.lang.String comp = info.getCmp();
                if (isInWhiteList(comp)) {
                    sendUpdateCmpInfoMessage(info.getPkgName(), info.getCls(), 1, false);
                } else {
                    synchronized (this.mFakeActivities) {
                        if (this.mFakeActivities.get(comp) == null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("load fakeactivity from db:");
                            stringBuilder.append(comp);
                            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
                            this.mFakeActivities.put(comp, java.lang.Long.valueOf(4));
                        }
                    }
                }
            }
        }
        return true;
    }

    private void initRecognizedFakeActivity() {
        if (loadFakeActivityInfo()) {
            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", "load fakea from db OK ");
        } else if (this.mDataLoadCount.get() >= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("send load fakea from db again mDataLoadCount=");
            stringBuilder.append(this.mDataLoadCount.get() - 1);
            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
            sendLoadAppTypeMessage();
            this.mDataLoadCount.decrementAndGet();
        } else {
            android.rms.iaware.AwareLog.e("AwareFakeActivityRecg", "laod fakea from db failed");
        }
    }

    private void sendUpdateCmpInfoMessage(java.lang.String pkg, java.lang.String cls, int type, boolean added) {
        android.rms.iaware.CmpTypeInfo info = new android.rms.iaware.CmpTypeInfo();
        info.setPkgName(pkg);
        info.setCls(cls);
        info.setType(type);
        info.setTime(java.lang.System.currentTimeMillis());
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.obj = info;
        msg.what = added ? 2 : 3;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void sendInsertSuspectMsg(java.lang.String compName) {
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.obj = compName;
        msg.what = 8;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void sendRecgFakeActivityMessage(java.lang.String compName, boolean isScreenOn, int pid, int uid) {
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo appStartInfo = new com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo(compName, isScreenOn, pid, uid);
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.obj = appStartInfo;
        msg.what = 4;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void sendLoadAppTypeMessage() {
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.what = 1;
        this.mFakeActivityMsgHandler.sendMessageDelayed(msg, 2000);
    }

    private void sendSleepMessage() {
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.what = 6;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void sendStopSendEventMessage() {
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.what = 12;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void sendToBigDataMessage(java.lang.String compName, java.lang.String reason, int type) {
        if (type < 13 && type >= 0) {
            int[] iArr = mFakeTypes;
            iArr[type] = iArr[type] + 1;
        }
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo appStartInfo = new com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo(compName, reason);
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.obj = appStartInfo;
        msg.what = 10;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void sendForceStopMessage(java.lang.String packageName) {
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.obj = packageName;
        msg.what = 11;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void sendRemoveThisTimeOfRecgMessage() {
        android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
        msg.what = 13;
        this.mFakeActivityMsgHandler.sendMessage(msg);
    }

    private void clearManyCachesAndStatus() {
        this.bNeedProcessTouchEventNotify.set(false);
        setGiveupRecognize(false, 0);
        notifyPowerkeyInteractive(false);
        setFingerprintWakeup(false);
        setPowerkeyWakeup(false);
        deleteAllSuspectedActivities();
        clearTouchEventPids();
        clearCrashUidPids();
        if (this.mHwInputManagerService != null) {
            this.mHwInputManagerService.responseTouchEvent(false);
        }
        clearTempFakeActivities();
    }

    private void handleLongTimeScreenOn() {
        setSceenOnExpired(true);
        clearGiveupUids();
        clearManyCachesAndStatus();
    }

    private void handleSleepMsg() {
        clearManyCachesAndStatus();
    }

    private void handleWakeup() {
        if (!suspectedActivityIsEmpty()) {
            this.bNeedProcessTouchEventNotify.set(true);
            if (this.mHwInputManagerService != null) {
                this.mHwInputManagerService.responseTouchEvent(true);
            }
        }
    }

    private void handleStopNativeEventMsg() {
        this.bNeedProcessTouchEventNotify.set(false);
        if (this.mHwInputManagerService != null) {
            this.mHwInputManagerService.responseTouchEvent(false);
        }
    }

    private void handleInsertSuspectMsg(java.lang.String compName) {
        insertSuspectedActivity(compName, 1);
    }

    private void handleReportAppUpdateMsg(android.os.Message msg) {
        int eventId = msg.arg1;
        android.os.Bundle args = msg.getData();
        if (eventId == 2) {
            java.lang.String pkgName = args.getString("package_name");
            int uid = args.getInt("uid");
            if (pkgName != null) {
                removeRecognizedActivitiesDueUninstall(pkgName, uid);
            }
        }
    }

    private void handleSendToBigdataMsg(com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo fakeInfo) {
        com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance().updateFakeData(fakeInfo.cmp, fakeInfo.reason);
    }

    private void handleRemoveThisTimeOfRecg() {
        synchronized (this.mTempFakeActivities) {
            for (java.lang.String compName : this.mTempFakeActivities) {
                removeFakeActivity(compName);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("remove recognized fakeactivity for this time, remove ");
                stringBuilder.append(compName);
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
                sendToBigDataMessage(compName, "remove-ttr", 12);
            }
        }
        clearTempFakeActivities();
    }

    private void sendEventToInputDispatcher(int event) {
        if (event != 105) {
            switch (event) {
                case 100:
                    sendSleepMessage();
                    return;
                case 101:
                    handleWakeup();
                    return;
                default:
                    return;
            }
        }
        sendStopSendEventMessage();
    }

    private void insertScreenonUids(int uid, long launchTime) {
        synchronized (this.mScreenonUids) {
            this.mScreenonUids.put(java.lang.Integer.valueOf(uid), java.lang.Long.valueOf(launchTime));
        }
    }

    private void deleteScreenonUids(int uid) {
        synchronized (this.mScreenonUids) {
            this.mScreenonUids.remove(java.lang.Integer.valueOf(uid));
        }
    }

    private long getLastScreenonLaunchTime(int uid) {
        synchronized (this.mScreenonUids) {
            java.lang.Long longValue = (java.lang.Long) this.mScreenonUids.get(java.lang.Integer.valueOf(uid));
            if (longValue == null) {
                return 0;
            }
            long longValue2 = longValue.longValue();
            return longValue2;
        }
    }

    private void deleteGiveupUids(int uid) {
        synchronized (this.mGiveupUids) {
            this.mGiveupUids.remove(java.lang.Integer.valueOf(uid));
        }
    }

    private void insertGiveupUids(int uid) {
        synchronized (this.mGiveupUids) {
            if (this.mGiveupUids.contains(java.lang.Integer.valueOf(uid))) {
                return;
            }
            this.mGiveupUids.add(java.lang.Integer.valueOf(uid));
        }
    }

    private boolean isInGiveupUids(int uid) {
        synchronized (this.mGiveupUids) {
            if (this.mGiveupUids.contains(java.lang.Integer.valueOf(uid))) {
                return true;
            }
            return false;
        }
    }

    private void clearGiveupUids() {
        synchronized (this.mGiveupUids) {
            this.mGiveupUids.clear();
        }
    }

    private void insertTempFakeActivities(java.lang.String compName) {
        synchronized (this.mTempFakeActivities) {
            this.mTempFakeActivities.add(compName);
        }
    }

    private void clearTempFakeActivities() {
        synchronized (this.mTempFakeActivities) {
            this.mTempFakeActivities.clear();
        }
    }

    private boolean isTmepFakeActivitiesEmpty() {
        boolean isEmpty;
        synchronized (this.mTempFakeActivities) {
            isEmpty = this.mTempFakeActivities.isEmpty();
        }
        return isEmpty;
    }

    private boolean setAndReturnWhetherNeedGiveup(int callerUid, int targetUid, long launchTime, boolean isScreenOn, java.lang.String compName) {
        if (isInWhiteList(compName)) {
            return true;
        }
        java.lang.StringBuilder stringBuilder;
        if (isScreenOn) {
            insertScreenonUids(targetUid, launchTime);
            return false;
        } else if (callerUid != targetUid) {
            insertGiveupUids(targetUid);
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("insert giveupuids for fakeactivity in screenoff for different uid callerUid=");
            stringBuilder.append(callerUid);
            stringBuilder.append(" appUid=");
            stringBuilder.append(targetUid);
            stringBuilder.append(" for ");
            stringBuilder.append(compName);
            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
            insertScreenonUids(targetUid, launchTime);
            return true;
        } else if (isInGiveupUids(targetUid)) {
            return true;
        } else {
            long lastScreenonLaunchTime = getLastScreenonLaunchTime(targetUid);
            long saveTime = lastScreenonLaunchTime;
            if (lastScreenonLaunchTime == 0 || launchTime - saveTime > 30000) {
                return false;
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("insert giveupuids for fakeactivity interval=");
            stringBuilder.append(launchTime - saveTime);
            stringBuilder.append(" sameuid=");
            stringBuilder.append(targetUid);
            stringBuilder.append(" for ");
            stringBuilder.append(compName);
            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
            insertGiveupUids(targetUid);
            return true;
        }
    }

    private void setGiveupRecognize(boolean bGiveup, int giveupReason) {
        synchronized (mLock) {
            if (bGiveup) {
                this.bGiveupRecognize = true;
                this.mGiveupRecongnizeTimeMs = java.lang.System.currentTimeMillis();
                this.mGiveupReason = giveupReason;
            } else {
                try {
                    if (this.bGiveupRecognize && java.lang.System.currentTimeMillis() - this.mGiveupRecongnizeTimeMs > 30000) {
                        this.bGiveupRecognize = false;
                        this.mGiveupReason = giveupReason;
                    }
                } finally {
                }
            }
        }
    }

    private boolean isFingerprintWakeup() {
        return this.mIsFingerprintWakeup;
    }

    private boolean isPowerkeyWakeup() {
        return this.mIsPowerkeyWakeup;
    }

    private void setPowerkeyWakeup(boolean bWakeup) {
        this.mIsPowerkeyWakeup = bWakeup;
    }

    private boolean needGiveupRecgForAutoWakeup() {
        synchronized (mLock) {
            if (this.mIsPowerkeyInteractive) {
                this.bGiveupRecognize = true;
                this.mGiveupRecongnizeTimeMs = java.lang.System.currentTimeMillis();
                this.mGiveupReason = 1;
                return true;
            } else if (this.bGiveupRecognize) {
                return true;
            } else if (isPowerkeyWakeup()) {
                return false;
            } else {
                this.bGiveupRecognize = true;
                this.mGiveupRecongnizeTimeMs = java.lang.System.currentTimeMillis();
                this.mGiveupReason = 1;
                return true;
            }
        }
    }

    private void dumpScreenOnUids(java.io.PrintWriter pw) {
        long curTimeMs = java.lang.System.currentTimeMillis();
        if (this.mGotoWakeupTimeMs > 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("current dumpTimeMs=");
            stringBuilder.append(curTimeMs);
            stringBuilder.append(" wakuptmeMs=");
            stringBuilder.append(this.mGotoWakeupTimeMs);
            stringBuilder.append(" has screenon=");
            stringBuilder.append((curTimeMs - this.mGotoWakeupTimeMs) / 1000);
            stringBuilder.append("s");
            pw.println(stringBuilder.toString());
        }
        synchronized (this.mScreenonUids) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("mScreenonUids.size=");
            stringBuilder2.append(this.mScreenonUids.size());
            pw.println(stringBuilder2.toString());
            for (java.util.Map.Entry entry : this.mScreenonUids.entrySet()) {
                java.lang.Integer keyValue = (java.lang.Integer) entry.getKey();
                java.lang.Long objValue = (java.lang.Long) entry.getValue();
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("[");
                stringBuilder3.append(keyValue);
                stringBuilder3.append(" savetimeToCurtime ");
                stringBuilder3.append((curTimeMs - objValue.longValue()) / 1000);
                stringBuilder3.append("s] ");
                pw.print(stringBuilder3.toString());
            }
            pw.println("");
        }
    }

    private boolean isRecognizeFakeActivityEnabled() {
        return mRecgFakeActivityEnabled && this.mFakeActivityMsgHandler != null && this.mCurUserId == 0;
    }

    private void sendSceenOnLongTimeMsg() {
        setSceenOnExpired(false);
        this.mFakeActivityMsgHandler.removeMessages(5);
        this.mFakeActivityMsgHandler.sendEmptyMessageDelayed(5, 30000);
    }

    private void removeSceenOnLongTimeMsg() {
        setSceenOnExpired(true);
        this.mFakeActivityMsgHandler.removeMessages(5);
    }

    private boolean removeOrRecgFakeActivity(boolean isScreenOn, int callerUid, int callerPid, int targetUid, java.lang.String compName, long gotoSleepTimeMs) {
        boolean z = isScreenOn;
        int i = callerUid;
        int i2 = callerPid;
        java.lang.String str = compName;
        boolean shouldPrevent = false;
        long curTimeMs = java.lang.System.currentTimeMillis();
        java.lang.StringBuilder stringBuilder;
        if (isInFakeActivity(str) || !setAndReturnWhetherNeedGiveup(i, targetUid, curTimeMs, z, str)) {
            if (z) {
                long intervalMs = java.lang.System.currentTimeMillis() - gotoSleepTimeMs;
                if (isInFakeActivity(str)) {
                    java.lang.StringBuilder stringBuilder2;
                    if (intervalMs <= 5000) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(str);
                        stringBuilder2.append(" is fakea, cant be removed during screen-on and prevented now, intervalMs=");
                        stringBuilder2.append(intervalMs);
                        android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder2.toString());
                        shouldPrevent = true;
                        sendToBigDataMessage(str, "prevented-won", 1);
                    } else if (removeFakeActivity(str)) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("recognized fakeactivity is created during screen-on, remove it from fakecache:");
                        stringBuilder2.append(str);
                        stringBuilder2.append(" fromsleeptonow=");
                        stringBuilder2.append(intervalMs);
                        stringBuilder2.append("ms");
                        android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder2.toString());
                        sendToBigDataMessage(str, "removed-won", 0);
                    }
                }
            } else {
                shouldPrevent = preventFakeActivityOrPreProcess(str, i2, i);
                if (shouldPrevent) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Prevent ");
                    stringBuilder.append(str);
                    stringBuilder.append(" because of fakeactivity  screenon=");
                    stringBuilder.append(z);
                    stringBuilder.append(" callerpid = ");
                    stringBuilder.append(i2);
                    android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
                }
            }
            return shouldPrevent;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("give up recognize uid=");
        stringBuilder.append(i);
        stringBuilder.append(" for ");
        stringBuilder.append(str);
        stringBuilder.append(" for fakeactivity because of giveupuids");
        android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
        sendToBigDataMessage(str, "giveup", 4);
        return false;
    }

    private boolean isInFakeActivity(java.lang.String compName) {
        synchronized (this.mFakeActivities) {
            if (this.mFakeActivities.get(compName) != null) {
                return true;
            }
            return false;
        }
    }

    private void insertFakeActivityAndWriteDB(java.lang.String compName, long insertType) {
        java.lang.String[] strs = null;
        synchronized (this.mFakeActivities) {
            if (this.mFakeActivities.get(compName) == null) {
                strs = compName.split("/");
                this.mFakeActivities.put(compName, java.lang.Long.valueOf(insertType));
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("adding fakeactivity ");
                stringBuilder.append(compName);
                stringBuilder.append(" to fakecache");
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
            }
        }
        if (strs != null && strs.length == 2) {
            sendUpdateCmpInfoMessage(strs[0], strs[1], 1, true);
        }
    }

    private void insertSuspectedAcitivtyUnlocked(java.lang.String compName, int flag) {
        this.mSuspectedActivities.put(compName, java.lang.Integer.valueOf(flag));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("add ");
        stringBuilder.append(compName);
        stringBuilder.append(" to suspected cache for fakeactivity because of normal create");
        android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
    }

    private void deleteSuspectedActivityByPkgName(java.lang.String pkgname) {
        synchronized (this.mSuspectedActivities) {
            java.util.Iterator iter = this.mSuspectedActivities.entrySet().iterator();
            while (iter.hasNext()) {
                java.lang.String compName = (java.lang.String) ((java.util.Map.Entry) iter.next()).getKey();
                java.lang.String[] strs = compName.split("/");
                if (strs.length == 2) {
                    if (strs[0].equals(pkgname)) {
                        iter.remove();
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("remove ");
                        stringBuilder.append(compName);
                        stringBuilder.append(" for fakea by pkgname=");
                        stringBuilder.append(pkgname);
                        android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
                        sendToBigDataMessage(compName, "forcestop", 8);
                    }
                }
            }
        }
    }

    private void insertSuspectedActivity(java.lang.String compName, int flag) {
        synchronized (this.mSuspectedActivities) {
            insertSuspectedAcitivtyUnlocked(compName, flag);
        }
    }

    private void deleteSuspectedActivity(java.lang.String compName) {
        synchronized (this.mSuspectedActivities) {
            this.mSuspectedActivities.remove(compName);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("removing fakeactivity ");
        stringBuilder.append(compName);
        stringBuilder.append(" from suspected cache");
        android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
    }

    private void deleteAllSuspectedActivities() {
        synchronized (this.mSuspectedActivities) {
            this.mSuspectedActivities.clear();
        }
    }

    private boolean insertTouchEventPids(int pid, int touchType) {
        synchronized (this.mTouchEventPids) {
            if (((java.lang.Integer) this.mTouchEventPids.get(java.lang.Integer.valueOf(pid))) != null) {
                return false;
            }
            this.mTouchEventPids.put(java.lang.Integer.valueOf(pid), java.lang.Integer.valueOf(touchType));
            return true;
        }
    }

    private boolean touchEventPidsIsEmpty() {
        boolean isEmpty;
        synchronized (this.mTouchEventPids) {
            isEmpty = this.mTouchEventPids.isEmpty();
        }
        return isEmpty;
    }

    private void clearTouchEventPids() {
        synchronized (this.mTouchEventPids) {
            this.mTouchEventPids.clear();
        }
    }

    private java.lang.Integer getSuspectedActivityValue(java.lang.String compName) {
        java.lang.Integer num;
        synchronized (this.mSuspectedActivities) {
            num = (java.lang.Integer) this.mSuspectedActivities.get(compName);
        }
        return num;
    }

    private boolean preventFakeActivityOrPreProcess(java.lang.String compName, int callerPid, int callerUid) {
        if (isInFakeActivity(compName)) {
            sendToBigDataMessage(compName, "prevented-woff", 2);
            return true;
        }
        sendInsertSuspectMsg(compName);
        return false;
    }

    private java.lang.String getGiveupStringReason(int giveup) {
        switch (giveup) {
            case 0:
                return "no giveup";
            case 1:
                return "auto wakeup";
            case 2:
                return "multi wakeup";
            case 3:
                return "launch activity";
            case 4:
                return "key back";
            case 5:
                return "key home";
            default:
                return "unknow reason";
        }
    }

    private void handleRecognizeFakeActivity(com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.FakeActivityInfo startinfo) {
        java.lang.String compName = startinfo.cmp;
        if (!getSceenOnExpired()) {
            java.lang.StringBuilder stringBuilder;
            java.lang.StringBuilder stringBuilder2;
            if (isFingerprintWakeup()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("give up recognize for ");
                stringBuilder.append(compName);
                stringBuilder.append(" for fakeactivity because of fingerprint wakeup");
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
                deleteSuspectedActivity(compName);
                sendToBigDataMessage(compName, "fingerprint", 10);
            } else if (isInCrashUidPids(startinfo.callerUid)) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("give up recognize for ");
                stringBuilder.append(compName);
                stringBuilder.append(" for fakeactivity because of crash");
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
                deleteSuspectedActivity(compName);
                deleteCrashUidPids(startinfo.callerUid);
                sendToBigDataMessage(compName, "proccrash", 9);
            } else if (needGiveupRecgForAutoWakeup()) {
                java.lang.String reason = "";
                synchronized (mLock) {
                    reason = getGiveupStringReason(this.mGiveupReason);
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("give up recognize for ");
                stringBuilder2.append(compName);
                stringBuilder2.append(" for fakeactivity beause of ");
                stringBuilder2.append(reason);
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder2.toString());
                deleteSuspectedActivity(compName);
                sendToBigDataMessage(compName, "autowakeup", 5);
            } else {
                boolean noTouchEvent = touchEventPidsIsEmpty();
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("noTouchEvent=");
                stringBuilder2.append(noTouchEvent);
                stringBuilder2.append(" pid=");
                stringBuilder2.append(startinfo.callerPid);
                stringBuilder2.append(" uid=");
                stringBuilder2.append(startinfo.callerUid);
                stringBuilder2.append(" for fakea ");
                stringBuilder2.append(compName);
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder2.toString());
                if (startinfo.isScreenOn && noTouchEvent) {
                    insertFakeActivityAndWriteDB(compName, 4);
                    sendToBigDataMessage(compName, "isfake", 6);
                    insertTempFakeActivities(compName);
                } else {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(compName);
                    stringBuilder2.append(" is not fakeactivity because destroied after a touch");
                    android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder2.toString());
                    sendToBigDataMessage(compName, "hastouch", 7);
                }
                deleteSuspectedActivity(compName);
                if (suspectedActivityIsEmpty()) {
                    sendEventToInputDispatcher(105);
                }
            }
        }
    }

    private boolean suspectedActivityIsEmpty() {
        synchronized (this.mSuspectedActivities) {
            if (this.mSuspectedActivities.isEmpty()) {
                return true;
            }
            return false;
        }
    }

    private void setSceenOnExpired(boolean expired) {
        this.mScreenOnExpired.set(expired);
    }

    private boolean getSceenOnExpired() {
        return this.mScreenOnExpired.get();
    }

    private boolean removeFakeActivity(java.lang.String compName) {
        synchronized (this.mFakeActivities) {
            if (((java.lang.Long) this.mFakeActivities.get(compName)) != null) {
                java.lang.String[] strs = compName.split("/");
                if (strs.length != 2) {
                    return false;
                }
                sendUpdateCmpInfoMessage(strs[0], strs[1], 1, false);
                this.mFakeActivities.remove(compName);
                return true;
            }
            return false;
        }
    }

    private void removeRecognizedActivitiesDueUninstall(java.lang.String pkg, int uid) {
        java.lang.String compName;
        java.lang.String[] strs;
        deleteScreenonUids(uid);
        deleteGiveupUids(uid);
        boolean bRemoved = false;
        synchronized (this.mFakeActivities) {
            java.util.Iterator iter = this.mFakeActivities.entrySet().iterator();
            while (iter.hasNext()) {
                compName = (java.lang.String) ((java.util.Map.Entry) iter.next()).getKey();
                strs = compName.split("/");
                if (strs.length == 2) {
                    if (pkg.equals(strs[0])) {
                        sendUpdateCmpInfoMessage(strs[0], strs[1], 1, false);
                        iter.remove();
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("remove ");
                        stringBuilder.append(compName);
                        stringBuilder.append(" for fakea due to unstall");
                        android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
                        sendToBigDataMessage(compName, "uninstall", 11);
                        bRemoved = true;
                    }
                }
            }
        }
        if (!bRemoved) {
            synchronized (this.mSuspectedActivities) {
                java.util.Iterator iter2 = this.mSuspectedActivities.entrySet().iterator();
                while (iter2.hasNext()) {
                    compName = (java.lang.String) ((java.util.Map.Entry) iter2.next()).getKey();
                    strs = compName.split("/");
                    if (strs.length == 2) {
                        if (pkg.equals(strs[0])) {
                            iter2.remove();
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("remove ");
                            stringBuilder2.append(compName);
                            stringBuilder2.append(" for fakea due to unstall");
                            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder2.toString());
                            sendToBigDataMessage(compName, "uninstall", 11);
                        }
                    }
                }
            }
        }
    }

    private void dumpSuspectedFakeActivities(java.io.PrintWriter pw) {
        pw.println("dump suspected fake activities begin:");
        synchronized (this.mSuspectedActivities) {
            for (java.lang.String str : this.mSuspectedActivities.keySet()) {
                pw.println(str);
            }
        }
        pw.println("dump suspected fake activities end");
    }

    private void dumpFakeActivities(java.io.PrintWriter pw) {
        pw.println("dump really recognized fake activities begin:");
        synchronized (this.mFakeActivities) {
            for (java.util.Map.Entry entry : this.mFakeActivities.entrySet()) {
                java.lang.String keyStr = (java.lang.String) entry.getKey();
                java.lang.String strValue = "";
                if (3 == ((java.lang.Long) entry.getValue()).longValue()) {
                    strValue = "persistentfake";
                } else {
                    strValue = "dynamicfake";
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(keyStr);
                stringBuilder.append(";");
                stringBuilder.append(strValue);
                pw.println(stringBuilder.toString());
            }
        }
        pw.println("dump really recognized fake activities end");
    }

    private void dumpTouchEventPids(java.io.PrintWriter pw) {
        pw.println("dump process that has touchevent for suspected activity begin:");
        synchronized (this.mTouchEventPids) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[pid touchtype]=");
            stringBuilder.append(this.mTouchEventPids);
            pw.println(stringBuilder.toString());
        }
        pw.println("dump process that has touchevent for suspected activity end");
    }

    private void dumpBigdata(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("removed-won=");
        stringBuilder.append(mFakeTypes[0]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("prevented-won=");
        stringBuilder.append(mFakeTypes[1]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("prevented-woff=");
        stringBuilder.append(mFakeTypes[2]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("suspected=");
        stringBuilder.append(mFakeTypes[3]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("giveup=");
        stringBuilder.append(mFakeTypes[4]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("autowakeup=");
        stringBuilder.append(mFakeTypes[5]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isfake=");
        stringBuilder.append(mFakeTypes[6]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("hastouch=");
        stringBuilder.append(mFakeTypes[7]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("forcestop=");
        stringBuilder.append(mFakeTypes[8]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("proccrash=");
        stringBuilder.append(mFakeTypes[9]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("fingerprint=");
        stringBuilder.append(mFakeTypes[10]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("uninstall=");
        stringBuilder.append(mFakeTypes[11]);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("remove-ttr=");
        stringBuilder.append(mFakeTypes[12]);
        pw.println(stringBuilder.toString());
    }

    private void dumpVariables(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder;
        java.lang.StringBuilder stringBuilder2;
        pw.println("");
        dumpScreenOnUids(pw);
        synchronized (this.mGiveupUids) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mGiveupUids.size=");
            stringBuilder.append(this.mGiveupUids.size());
            pw.println(stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mGiveupUids=");
            stringBuilder.append(this.mGiveupUids);
            pw.println(stringBuilder.toString());
        }
        synchronized (this.mCrashUidPids) {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("mCrashUidPids.size=");
            stringBuilder2.append(this.mCrashUidPids.size());
            pw.println(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("mCrashUidPids=");
            stringBuilder2.append(this.mCrashUidPids);
            pw.println(stringBuilder2.toString());
        }
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("mIsPowerkeyInteractive=");
        stringBuilder2.append(this.mIsPowerkeyInteractive);
        pw.println(stringBuilder2.toString());
        synchronized (mLock) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("bGiveupRecognize=");
            stringBuilder.append(this.bGiveupRecognize);
            stringBuilder.append(" reason=");
            stringBuilder.append(getGiveupStringReason(this.mGiveupReason));
            pw.println(stringBuilder.toString());
            if (java.lang.System.currentTimeMillis() - this.mGiveupRecongnizeTimeMs > 30000) {
                pw.println("giveup recognize left=0s");
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("giveup recognize left=");
                stringBuilder.append(30000 - (java.lang.System.currentTimeMillis() - this.mGiveupRecongnizeTimeMs));
                stringBuilder.append("ms");
                pw.println(stringBuilder.toString());
            }
        }
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("isFingerprintWakeup=");
        stringBuilder2.append(isFingerprintWakeup());
        pw.println(stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("isPowerkeyWakeup=");
        stringBuilder2.append(isPowerkeyWakeup());
        pw.println(stringBuilder2.toString());
        dumpBigdata(pw);
    }

    private void dumpTempFakeActivities(java.io.PrintWriter pw) {
        pw.println("dump temp fake activities for this time of recognize begin:");
        synchronized (this.mTempFakeActivities) {
            for (java.lang.String str : this.mTempFakeActivities) {
                pw.println(str);
            }
        }
        pw.println("dump temp fake activities end");
    }

    private void dumpWhiteListFakeActivities(java.io.PrintWriter pw) {
        pw.println("dump fake activities in white list begin:");
        synchronized (this.mWhiteFakeActivities) {
            for (java.lang.String str : this.mWhiteFakeActivities) {
                pw.println(str);
            }
        }
        pw.println("dump fake activities in white list end");
    }

    private void insertCrashUidPids(int pid, int uid) {
        synchronized (this.mCrashUidPids) {
            this.mCrashUidPids.put(java.lang.Integer.valueOf(uid), java.lang.Integer.valueOf(pid));
        }
    }

    private void deleteCrashUidPids(int uid) {
        synchronized (this.mCrashUidPids) {
            this.mCrashUidPids.remove(java.lang.Integer.valueOf(uid));
        }
    }

    private void clearCrashUidPids() {
        synchronized (this.mCrashUidPids) {
            this.mCrashUidPids.clear();
        }
    }

    private boolean isInCrashUidPids(int uid) {
        synchronized (this.mCrashUidPids) {
            if (this.mCrashUidPids.get(java.lang.Integer.valueOf(uid)) != null) {
                return true;
            }
            return false;
        }
    }

    private void notifyGiveupRecgDueMultiWakeup() {
        synchronized (mLock) {
            this.bGiveupRecognize = true;
            this.mGiveupRecongnizeTimeMs = java.lang.System.currentTimeMillis();
            this.mGiveupReason = 2;
        }
        if (!isTmepFakeActivitiesEmpty()) {
            sendRemoveThisTimeOfRecgMessage();
        }
    }

    public void dumpRecgFakeActivity(java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if (isRecognizeFakeActivityEnabled()) {
                dumpSuspectedFakeActivities(pw);
                pw.println("\n");
                dumpFakeActivities(pw);
                pw.println("\n");
                dumpTouchEventPids(pw);
                pw.println("\n");
                dumpVariables(pw);
                pw.println("\n");
                dumpTempFakeActivities(pw);
                pw.println("\n");
                dumpWhiteListFakeActivities(pw);
                return;
            }
            pw.println("AwareFakeActivityRecg feature disabled.");
        }
    }

    public void recognizeFakeActivity(java.lang.String compName, boolean isScreenOn, int pid, int uid) {
        if (isRecognizeFakeActivityEnabled() && compName != null && !getSceenOnExpired() && isUserOwnerApp(uid) && getSuspectedActivityValue(compName) != null) {
            sendRecgFakeActivityMessage(compName, isScreenOn, pid, uid);
        }
    }

    public boolean shouldPreventStartActivity(android.content.pm.ActivityInfo aInfo, int callerPid, int callerUid, boolean isScreenOn) {
        android.content.pm.ActivityInfo activityInfo = aInfo;
        if (!isRecognizeFakeActivityEnabled() || activityInfo == null || !isUserOwnerApp(activityInfo.applicationInfo.uid)) {
            return false;
        }
        long start = 0;
        boolean shouldPrevent = false;
        if (this.DEBUG_COST) {
            start = java.lang.System.nanoTime();
        }
        long start2 = start;
        java.lang.String compName = aInfo.getComponentName().flattenToShortString();
        if (compName == null) {
            return false;
        }
        if (isScreenOn && !getSceenOnExpired()) {
            setGiveupRecognize(true, 3);
        }
        if (!this.mDataMgr.isSystemBaseApp(activityInfo.applicationInfo)) {
            shouldPrevent = removeOrRecgFakeActivity(isScreenOn, callerUid, callerPid, activityInfo.applicationInfo.uid, compName, this.mGotoSleepingTimeMs);
        }
        if (this.DEBUG_COST) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shouldPreventStartActivity for fakea cost=");
            stringBuilder.append((java.lang.System.nanoTime() - start2) / 1000);
            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
        }
        return shouldPrevent;
    }

    public void processNativeEventNotify(int eventType, int eventValue, int keyAction, int pid, int uid) {
        if (!isRecognizeFakeActivityEnabled()) {
            return;
        }
        java.lang.StringBuilder stringBuilder;
        if (2 == eventType && keyAction == 0) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("receive keyevent ");
            stringBuilder.append(eventValue);
            stringBuilder.append(" action=");
            stringBuilder.append(keyAction);
            stringBuilder.append(" for fakeactivity");
            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
            if (eventValue != 26) {
                switch (eventValue) {
                    case 3:
                        setGiveupRecognize(true, 5);
                        break;
                    case 4:
                        setGiveupRecognize(true, 4);
                        break;
                    default:
                        break;
                }
            }
            setPowerkeyWakeup(true);
            return;
        }
        if (this.bNeedProcessTouchEventNotify.get() && 3 == eventType && insertTouchEventPids(pid, 12)) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("inputdispather reported pid=");
            stringBuilder.append(pid);
            stringBuilder.append(",uid=");
            stringBuilder.append(uid);
            stringBuilder.append(" for fakeactivity");
            android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", stringBuilder.toString());
        }
    }

    public void setFingerprintWakeup(boolean bWakeup) {
        if (isRecognizeFakeActivityEnabled()) {
            this.mIsFingerprintWakeup = bWakeup;
        }
    }

    private void deInitialize() {
        synchronized (this.mScreenonUids) {
            this.mScreenonUids.clear();
        }
        clearGiveupUids();
        synchronized (this.mFakeActivities) {
            this.mFakeActivities.clear();
        }
        synchronized (this.mSuspectedActivities) {
            this.mSuspectedActivities.clear();
        }
        synchronized (this.mTouchEventPids) {
            this.mTouchEventPids.clear();
        }
        synchronized (this.mWhiteFakeActivities) {
            this.mWhiteFakeActivities.clear();
        }
        clearCrashUidPids();
        clearTempFakeActivities();
        this.mIsInitialized.set(false);
    }

    public void notifyPowerkeyInteractive(boolean bInteractive) {
        if (isRecognizeFakeActivityEnabled()) {
            this.mIsPowerkeyInteractive = bInteractive;
        }
    }

    public void notifyWakeupResult(boolean isWakenupThisTime) {
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateScreenOnFromPm(isWakenupThisTime);
        if (isRecognizeFakeActivityEnabled()) {
            if (isWakenupThisTime) {
                handleWakeup();
            } else {
                notifyGiveupRecgDueMultiWakeup();
            }
        }
    }

    public void onWakefulnessChanged(int wakefulness) {
        if (isRecognizeFakeActivityEnabled()) {
            if (1 == wakefulness) {
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", "go to wake up for fakeactivity");
                this.mGotoWakeupTimeMs = java.lang.System.currentTimeMillis();
                sendSceenOnLongTimeMsg();
                if (!suspectedActivityIsEmpty()) {
                    sendEventToInputDispatcher(101);
                }
            } else if (wakefulness == 0) {
                android.rms.iaware.AwareLog.i("AwareFakeActivityRecg", "go to sleep for fakeactivity");
                this.mGotoSleepingTimeMs = java.lang.System.currentTimeMillis();
                sendEventToInputDispatcher(100);
                removeSceenOnLongTimeMsg();
            }
        }
    }

    public void setInputManagerService(com.android.server.input.HwInputManagerService inputManagerService) {
        this.mHwInputManagerService = inputManagerService;
    }

    public static void commEnable() {
        self().initialize();
        mRecgFakeActivityEnabled = true;
    }

    public static void commDisable() {
        mRecgFakeActivityEnabled = false;
        self().deInitialize();
    }

    public void reportAppUpdate(int eventId, android.os.Bundle args) {
        if (isRecognizeFakeActivityEnabled()) {
            android.os.Message msg = this.mFakeActivityMsgHandler.obtainMessage();
            msg.what = 9;
            msg.arg1 = eventId;
            msg.setData(args);
            this.mFakeActivityMsgHandler.sendMessage(msg);
        }
    }

    public void notifyProcessWillDie(boolean byForceStop, boolean crashed, boolean byAnr, java.lang.String packageName, int pid, int uid) {
        if (isRecognizeFakeActivityEnabled()) {
            if (byForceStop && packageName != null) {
                sendForceStopMessage(packageName);
            } else if (crashed && pid > 0 && uid > 0) {
                insertCrashUidPids(pid, uid);
            }
        }
    }

    public void initUserSwitch(int userId) {
        if (mRecgFakeActivityEnabled) {
            this.mCurUserId = userId;
        }
    }

    private boolean isUserOwnerApp(int uid) {
        return android.os.UserHandle.getUserId(uid) == 0;
    }

    private void initWhiteList() {
        java.util.ArrayList<java.lang.String> whiteList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START.getDesc(), "fake_white");
        if (whiteList != null) {
            synchronized (this.mWhiteFakeActivities) {
                this.mWhiteFakeActivities.clear();
                this.mWhiteFakeActivities.addAll(whiteList);
            }
        }
    }

    private boolean isInWhiteList(java.lang.String cmp) {
        if (cmp == null) {
            return false;
        }
        synchronized (this.mWhiteFakeActivities) {
            if (this.mWhiteFakeActivities.contains(cmp)) {
                return true;
            }
            return false;
        }
    }
}
