package com.android.server.rms.iaware.cpu;

public final class CPUGameFreq {
    private static final int MSG_SET_GAME_ENTER = 151;
    private static final int MSG_SET_GAME_LEVEL = 150;
    private static final java.lang.String TAG = "AwareGameFreq";
    private com.android.server.rms.iaware.cpu.CPUGameFreq.TimerCleanHandler mTimerCleanHandler = new com.android.server.rms.iaware.cpu.CPUGameFreq.TimerCleanHandler();

    private static class TimerCleanHandler extends android.os.Handler {
        private TimerCleanHandler() {
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 150:
                    if (msg.obj != null) {
                        if (msg.obj instanceof android.os.Bundle) {
                            com.android.server.rms.iaware.cpu.IAwareMode.getInstance().gameLevel((android.os.Bundle) msg.obj);
                            break;
                        }
                    }
                    return;
                case 151:
                    if (msg.obj != null) {
                        if (msg.obj instanceof android.os.Bundle) {
                            boolean z = true;
                            if (msg.arg1 != 1) {
                                z = false;
                            }
                            com.android.server.rms.iaware.cpu.IAwareMode.getInstance().gameEnter((android.os.Bundle) msg.obj, z);
                            break;
                        }
                    }
                    return;
                default:
                    break;
            }
        }
    }

    public int gameFreq(android.os.Bundle bundle, boolean isEasEnable) {
        if (bundle == null) {
            android.rms.iaware.AwareLog.e("AwareGameFreq", "empty bundle!");
            return -1;
        }
        int type = bundle.getInt("type", -1);
        android.os.Message msg;
        if (type == 1) {
            msg = android.os.Message.obtain();
            msg.obj = bundle;
            msg.what = 151;
            msg.arg1 = isEasEnable;
            this.mTimerCleanHandler.sendMessage(msg);
        } else if (type == 3) {
            msg = android.os.Message.obtain();
            msg.obj = bundle;
            msg.what = 150;
            this.mTimerCleanHandler.sendMessage(msg);
        }
        return 0;
    }
}
