package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class ScrollerBoostConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CONFIG_SCROLLERBOOST = "scroller_boost";
    private static final java.lang.String TAG = "ScrollerBoostConfig";
    private java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> mScrollerInfoMap = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, java.lang.String> mScrollerItem2PropMap = new android.util.ArrayMap();

    public ScrollerBoostConfig() {
        init();
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        applyConfig(this.mScrollerInfoMap);
    }

    private void init() {
        this.mScrollerItem2PropMap.put("boost_duration", "persist.sys.boost.durationms");
        this.mScrollerItem2PropMap.put("enable_skipped_frame", "persist.sys.boost.skipframe");
        this.mScrollerItem2PropMap.put("boost_by_each_fling", "persist.sys.boost.byeachfling");
        obtainConfigInfo("scroller_boost", this.mScrollerItem2PropMap, this.mScrollerInfoMap);
    }
}
