package com.android.server.rms.iaware.dev;

public class NetLocationSchedFeatureRT extends com.android.server.rms.iaware.dev.DevSchedFeatureBase {
    private static final int AWARE_UNKNOWN_TYPE = -1;
    public static final long MODE_ALLOW_SCAN = 0;
    public static final long MODE_NOT_ALLOW_SCAN = -1;
    private static final int MUTIUSER_ADD_UID = 100000;
    public static final int PHONE_STATUS_ABS_STATIC = 1;
    public static final int PHONE_STATUS_DEFAULT = 0;
    public static final int PHONE_STATUS_MOVEMENT_LEVEL_ONE = 4;
    public static final int PHONE_STATUS_MOVEMENT_LEVEL_THREE = 6;
    public static final int PHONE_STATUS_MOVEMENT_LEVEL_TWO = 5;
    public static final int PHONE_STATUS_RELATIVE_STATIC_LEVEL_ONE = 2;
    public static final int PHONE_STATUS_RELATIVE_STATIC_LEVEL_TWO = 3;
    private static final int SCENE_ID_ABS_STATIC = 2111;
    private static final int SCENE_ID_DEFAULT = 2110;
    private static final int SCENE_ID_MOVEMENT_LEVEL_ONE = 2114;
    private static final int SCENE_ID_MOVEMENT_LEVEL_THREE = 2116;
    private static final int SCENE_ID_MOVEMENT_LEVEL_TWO = 2115;
    private static final int SCENE_ID_RELATIVE_STATIC_LEVEL_ONE = 2112;
    private static final int SCENE_ID_RELATIVE_STATIC_LEVEL_TWO = 2113;
    private static final java.lang.String SCENE_NAME_ABS_STATIC = "static";
    private static final java.lang.String SCENE_NAME_DEFAULT = "default";
    private static final java.lang.String SCENE_NAME_MOVEMENT_LEVEL_ONE = "movement_one";
    private static final java.lang.String SCENE_NAME_MOVEMENT_LEVEL_THREE = "movement_three";
    private static final java.lang.String SCENE_NAME_MOVEMENT_LEVEL_TWO = "movement_two";
    private static final java.lang.String SCENE_NAME_RELATIVE_STATIC_LEVEL_ONE = "relative_static_one";
    private static final java.lang.String SCENE_NAME_RELATIVE_STATIC_LEVEL_TWO = "relative_static_two";
    private static final int SYSTEM_UID = 1000;
    private static final java.lang.String TAG = "NetLocationSchedFeatureRT";
    private static final int THIRD_APP_UID = 10000;
    private static final android.util.ArrayMap<java.lang.Integer, java.lang.Integer> sPhoneStatusToSceneId = new android.util.ArrayMap();
    private android.content.Context mContext;
    private com.android.server.rms.iaware.dev.DevXmlConfig mDevXmlConfig = new com.android.server.rms.iaware.dev.DevXmlConfig();
    private boolean mIsInNavi = false;
    private boolean mIsParseXmlOk = false;
    private java.lang.String mNetLocationName;
    private volatile int mPhoneStatus = 0;
    private final java.util.Map<java.lang.Integer, com.android.server.rms.iaware.dev.SceneInfo> mSceneMap = new android.util.ArrayMap();

    static {
        sPhoneStatusToSceneId.put(java.lang.Integer.valueOf(0), java.lang.Integer.valueOf(2110));
        sPhoneStatusToSceneId.put(java.lang.Integer.valueOf(1), java.lang.Integer.valueOf(2111));
        sPhoneStatusToSceneId.put(java.lang.Integer.valueOf(2), java.lang.Integer.valueOf(2112));
        sPhoneStatusToSceneId.put(java.lang.Integer.valueOf(3), java.lang.Integer.valueOf(2113));
        sPhoneStatusToSceneId.put(java.lang.Integer.valueOf(4), java.lang.Integer.valueOf(2114));
        sPhoneStatusToSceneId.put(java.lang.Integer.valueOf(5), java.lang.Integer.valueOf(2115));
        sPhoneStatusToSceneId.put(java.lang.Integer.valueOf(6), java.lang.Integer.valueOf(2116));
    }

    public NetLocationSchedFeatureRT(android.content.Context context, java.lang.String name) {
        super(context);
        this.mContext = context;
        this.mNetLocationName = name;
        initXmlMap();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNetLocationName is ");
        stringBuilder.append(this.mNetLocationName);
        stringBuilder.append(" create NetLocationSchedFeatureRT success");
        android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
    }

    public boolean handleUpdateCustConfig() {
        initXmlMap();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNetLocationName is ");
        stringBuilder.append(this.mNetLocationName);
        stringBuilder.append(" update cust config success. mSceneMap is ");
        stringBuilder.append(this.mSceneMap);
        android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
        return true;
    }

    private void initXmlMap() {
        this.mSceneMap.clear();
        boolean z = initSceneRullMap() && isParseXmlOk();
        this.mIsParseXmlOk = z;
        if (!this.mIsParseXmlOk) {
            this.mSceneMap.clear();
        }
    }

    private boolean initSceneRullMap() {
        java.util.Map<java.lang.String, java.util.ArrayList<java.lang.String>> sceneRullMap = new android.util.ArrayMap();
        java.util.ArrayList<java.lang.String> rullList = new java.util.ArrayList();
        rullList.add("allow");
        rullList.add("Service_Rule");
        rullList.add("not_allow");
        sceneRullMap.put("default", rullList);
        java.util.ArrayList<java.lang.String> rullList1 = new java.util.ArrayList();
        rullList1.add("allow");
        rullList1.add("Service_Rule");
        sceneRullMap.put("static", rullList1);
        java.util.ArrayList<java.lang.String> rullList2 = new java.util.ArrayList();
        rullList2.add("allow");
        rullList2.add("Service_Rule");
        sceneRullMap.put("relative_static_one", rullList2);
        java.util.ArrayList<java.lang.String> rullList3 = new java.util.ArrayList();
        rullList3.add("allow");
        rullList3.add("Service_Rule");
        sceneRullMap.put("relative_static_two", rullList3);
        java.util.ArrayList<java.lang.String> rullList4 = new java.util.ArrayList();
        rullList4.add("allow");
        rullList4.add("Service_Rule");
        sceneRullMap.put("movement_one", rullList4);
        java.util.ArrayList<java.lang.String> rullList5 = new java.util.ArrayList();
        rullList5.add("allow");
        rullList5.add("Service_Rule");
        sceneRullMap.put("movement_two", rullList5);
        java.util.ArrayList<java.lang.String> rullList6 = new java.util.ArrayList();
        rullList6.add("allow");
        rullList6.add("Service_Rule");
        sceneRullMap.put("movement_three", rullList6);
        return this.mDevXmlConfig.readDevStrategy(this.mSceneMap, this.mNetLocationName, sceneRullMap);
    }

    private java.util.List<com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus> getMotionStatus() {
        com.android.server.rms.iaware.dev.PhoneStatusRecong.getInstance().getDeviceStatus();
        return com.android.server.rms.iaware.dev.PhoneStatusRecong.getInstance().getCurrentStatus();
    }

    private boolean isParseXmlOk() {
        for (java.util.Map.Entry<java.lang.Integer, java.lang.Integer> entry : sPhoneStatusToSceneId.entrySet()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mNetLocationName is ");
            stringBuilder.append(this.mNetLocationName);
            stringBuilder.append(" value is ");
            stringBuilder.append(entry.getValue());
            android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
            if (entry.getValue() == null) {
                return false;
            }
        }
        return true;
    }

    public android.rms.iaware.NetLocationStrategy getNetLocationStrategy(java.lang.String pkgName, int uid) {
        java.lang.StringBuilder stringBuilder;
        java.lang.String str = pkgName;
        int i = uid;
        if (str != null && i > 0 && this.mIsParseXmlOk) {
            if (!this.mIsInNavi) {
                long mode = 0;
                long timestamp = android.os.SystemClock.elapsedRealtime();
                if (i == 1000 || i > 10000) {
                    int pkgType = android.rms.iaware.AppTypeRecoManager.getInstance().getAppType(str);
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("mNetLocationName is ");
                    stringBuilder2.append(this.mNetLocationName);
                    stringBuilder2.append(" pkgType is ");
                    stringBuilder2.append(pkgType);
                    stringBuilder2.append(" pkgName is ");
                    stringBuilder2.append(str);
                    stringBuilder2.append(" uid is ");
                    stringBuilder2.append(i);
                    android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder2.toString());
                    if (pkgType == -1) {
                        mode = 0;
                    }
                    long mode2 = mode;
                    java.util.List<com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus> curDevStatus = getMotionStatus();
                    if (curDevStatus == null) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(this.mNetLocationName);
                        stringBuilder.append(" get device status failed.");
                        android.rms.iaware.AwareLog.e("NetLocationSchedFeatureRT", stringBuilder.toString());
                        return null;
                    }
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("mNetLocationName is ");
                    stringBuilder3.append(this.mNetLocationName);
                    stringBuilder3.append(", pkgName:");
                    stringBuilder3.append(str);
                    stringBuilder3.append(", curDevStatus:");
                    stringBuilder3.append(curDevStatus);
                    android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder3.toString());
                    return getAppropriateStrategy(curDevStatus, str, pkgType, i, mode2, timestamp);
                }
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("allow scan, mNetLocationName is ");
                stringBuilder4.append(this.mNetLocationName);
                stringBuilder4.append(" getNetLocationStrategy mode is ");
                stringBuilder4.append(0);
                stringBuilder4.append(" pkgName is ");
                stringBuilder4.append(str);
                android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder4.toString());
                return new android.rms.iaware.NetLocationStrategy(0, timestamp);
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNetLocationName is ");
        stringBuilder.append(this.mNetLocationName);
        stringBuilder.append(" mIsInNavi is ");
        stringBuilder.append(this.mIsInNavi);
        stringBuilder.append(" mIsParseXmlOk is ");
        stringBuilder.append(this.mIsParseXmlOk);
        stringBuilder.append(" getNetLocationStrategy null");
        android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
        return null;
    }

    private android.rms.iaware.NetLocationStrategy getAppropriateStrategy(java.util.List<com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus> curDevStatus, java.lang.String pkgName, int pkgType, int uid, long modeInit, long timestampInit) {
        java.lang.StringBuilder stringBuilder;
        java.lang.String str = pkgName;
        android.rms.iaware.NetLocationStrategy netLocationStrategy = null;
        if (curDevStatus != null) {
            if (str != null) {
                long mode = modeInit;
                long timestamp = timestampInit;
                for (com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus devStatus : curDevStatus) {
                    if (devStatus != null) {
                        timestamp = devStatus.getTimestamp();
                        int phoneStatus = devStatus.getPhoneStatus();
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(this.mNetLocationName);
                        stringBuilder2.append(", Current status :");
                        stringBuilder2.append(phoneStatus);
                        stringBuilder2.append(", current time :");
                        stringBuilder2.append(timestamp);
                        android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder2.toString());
                        int sceneId = convertPhoneStatusToSceneId(phoneStatus);
                        com.android.server.rms.iaware.dev.SceneInfo sceneInfo = (com.android.server.rms.iaware.dev.SceneInfo) this.mSceneMap.get(java.lang.Integer.valueOf(sceneId));
                        if (sceneInfo == null) {
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("no scene for ");
                            stringBuilder3.append(this.mNetLocationName);
                            stringBuilder3.append(", sceneId:");
                            stringBuilder3.append(sceneId);
                            android.rms.iaware.AwareLog.i("NetLocationSchedFeatureRT", stringBuilder3.toString());
                            return netLocationStrategy;
                        }
                        int index = sceneInfo.isMatch(new java.lang.Object[]{str, java.lang.Integer.valueOf(pkgType)});
                        if (index >= 0) {
                            mode = sceneInfo.getMode(index);
                            if (uid % 100000 == 1000) {
                                java.lang.StringBuilder stringBuilder4;
                                com.android.server.rms.iaware.dev.RuleBase ruleBase = sceneInfo.getRuleBase(index);
                                if (ruleBase != null) {
                                    if (ruleBase instanceof com.android.server.rms.iaware.dev.RuleService) {
                                        stringBuilder4 = new java.lang.StringBuilder();
                                        stringBuilder4.append("mNetLocationName is ");
                                        stringBuilder4.append(this.mNetLocationName);
                                        stringBuilder4.append(" system uid");
                                        android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder4.toString());
                                        if (!((com.android.server.rms.iaware.dev.RuleService) ruleBase).getServiceList().contains(str)) {
                                            mode = 0;
                                        }
                                    }
                                }
                                stringBuilder4 = new java.lang.StringBuilder();
                                stringBuilder4.append(str);
                                stringBuilder4.append(" is system app and not RuleService obj, out of control");
                                android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder4.toString());
                                return null;
                            } else if (uid % 100000 < 10000) {
                                mode = 0;
                            }
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("match success, mNetLocationName is ");
                            stringBuilder.append(this.mNetLocationName);
                            stringBuilder.append(", phoneStatus:");
                            stringBuilder.append(phoneStatus);
                            android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("iaware strategy, mNetLocationName is ");
                            stringBuilder.append(this.mNetLocationName);
                            stringBuilder.append(" getNetLocationStrategy mode is ");
                            stringBuilder.append(mode);
                            stringBuilder.append(" pkgName is ");
                            stringBuilder.append(str);
                            android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
                            return new android.rms.iaware.NetLocationStrategy(mode, timestamp);
                        }
                        netLocationStrategy = null;
                    }
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("iaware strategy, mNetLocationName is ");
                stringBuilder.append(this.mNetLocationName);
                stringBuilder.append(" getNetLocationStrategy mode is ");
                stringBuilder.append(mode);
                stringBuilder.append(" pkgName is ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
                return new android.rms.iaware.NetLocationStrategy(mode, timestamp);
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(this.mNetLocationName);
        stringBuilder.append(", curDevStatus or pkgName is null");
        android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
        return null;
    }

    private int convertPhoneStatusToSceneId(int phoneStatus) {
        java.lang.Integer convertType = (java.lang.Integer) sPhoneStatusToSceneId.get(java.lang.Integer.valueOf(phoneStatus));
        if (convertType == null) {
            return 2110;
        }
        return convertType.intValue();
    }

    public boolean handlerNaviStatus(boolean isInNavi) {
        this.mIsInNavi = isInNavi;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNetLocationName is ");
        stringBuilder.append(this.mNetLocationName);
        stringBuilder.append(" mIsInNavi is ");
        stringBuilder.append(this.mIsInNavi);
        android.rms.iaware.AwareLog.d("NetLocationSchedFeatureRT", stringBuilder.toString());
        return true;
    }
}
