package com.android.server.rms.iaware.dev;

public abstract class RuleBase {
    private static final java.lang.String TAG = "RuleBase";
    protected final java.util.Map<java.lang.String, java.lang.String> mItemValue = new android.util.ArrayMap();
    protected long mMode = 0;
    public int mPriority = 0;

    public abstract boolean fillRuleInfo(android.rms.iaware.AwareConfig.SubItem subItem);

    public abstract boolean isMatch(java.lang.Object... objArr);

    public int getPriority() {
        return this.mPriority;
    }

    public long getMode() {
        return this.mMode;
    }

    public java.lang.String getItemValue(java.lang.String key) {
        return (java.lang.String) this.mItemValue.get(key);
    }
}
