package com.android.server.rms.iaware.dev;

public class RuleDefault extends com.android.server.rms.iaware.dev.RuleBase {
    private static final java.lang.String TAG = "RuleDefault";

    public boolean fillRuleInfo(android.rms.iaware.AwareConfig.SubItem subItem) {
        if (subItem == null) {
            return false;
        }
        java.util.Map<java.lang.String, java.lang.String> properties = subItem.getProperties();
        if (properties == null) {
            return false;
        }
        this.mItemValue.putAll(properties);
        return true;
    }

    public boolean isMatch(java.lang.Object... obj) {
        android.rms.iaware.AwareLog.d("RuleDefault", "Default match success.");
        return true;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder s = new java.lang.StringBuilder();
        s.append("RuleDefault, mItemValue : [ ");
        s.append(this.mItemValue);
        s.append(" ]");
        return s.toString();
    }
}
