package com.android.server.rms.iaware.feature;

public abstract class RFeature {
    protected android.content.Context mContext;
    protected android.rms.iaware.AwareConstant.FeatureType mFeatureType;
    protected com.android.server.rms.iaware.IRDataRegister mIRDataRegister;

    public abstract boolean disable();

    public abstract boolean enable();

    public abstract boolean reportData(android.rms.iaware.CollectData collectData);

    public java.util.ArrayList<android.rms.iaware.DumpData> getDumpData(int time) {
        return null;
    }

    public java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        return null;
    }

    public java.lang.String saveBigData(boolean clear) {
        return null;
    }

    public java.lang.String getBigDataByVersion(int iawareVer, boolean forBeta, boolean clearData) {
        return null;
    }

    public java.lang.String getDFTDataByVersion(int iawareVer, boolean forBeta, boolean clearData, boolean betaEncode) {
        return null;
    }

    public boolean configUpdate() {
        return false;
    }

    public boolean custConfigUpdate() {
        return false;
    }

    public void reportDataWithCallback(android.rms.iaware.CollectData data, android.rms.iaware.IReportDataCallback callback) {
    }

    public RFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType featureType, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        this.mContext = context;
        this.mIRDataRegister = dataRegister;
        this.mFeatureType = featureType;
    }

    public boolean enableFeatureEx(int realVersion) {
        return false;
    }
}
