package com.android.server.rms.iaware.hiber.listener;

class DevStatusHandler extends com.android.server.rms.iaware.hiber.listener.AbsDataHandler {
    private static com.android.server.rms.iaware.hiber.listener.DevStatusHandler mDevStatusHandler = null;

    protected static synchronized com.android.server.rms.iaware.hiber.listener.DevStatusHandler getInstance() {
        com.android.server.rms.iaware.hiber.listener.DevStatusHandler devStatusHandler;
        synchronized (com.android.server.rms.iaware.hiber.listener.DevStatusHandler.class) {
            if (mDevStatusHandler == null) {
                mDevStatusHandler = new com.android.server.rms.iaware.hiber.listener.DevStatusHandler();
            }
            devStatusHandler = mDevStatusHandler;
        }
        return devStatusHandler;
    }

    private DevStatusHandler() {
    }

    protected int reportData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (this.mAppHibernateTask == null) {
            return -1;
        }
        if (20011 != event) {
            if (90011 != event) {
                return -1;
            }
        }
        this.mAppHibernateTask.setScreenState(event);
        return 0;
    }
}
