package com.android.server.rms.iaware.hiber.listener;

class ResInputHandler extends com.android.server.rms.iaware.hiber.listener.AbsDataHandler {
    private static com.android.server.rms.iaware.hiber.listener.ResInputHandler sDataHandle = null;

    protected static synchronized com.android.server.rms.iaware.hiber.listener.ResInputHandler getInstance() {
        com.android.server.rms.iaware.hiber.listener.ResInputHandler resInputHandler;
        synchronized (com.android.server.rms.iaware.hiber.listener.ResInputHandler.class) {
            if (sDataHandle == null) {
                sDataHandle = new com.android.server.rms.iaware.hiber.listener.ResInputHandler();
            }
            resInputHandler = sDataHandle;
        }
        return resInputHandler;
    }

    private ResInputHandler() {
    }

    protected int reportData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (this.mAppHibernateTask == null) {
            return -1;
        }
        if (10001 != event) {
            if (80001 != event) {
                return -1;
            }
        }
        return this.mAppHibernateTask.setLastInputEventData(event, timestamp);
    }
}
