package com.android.server.rms.ipcchecker;

public class GeneralIpcMonitor extends com.android.server.rms.ipcchecker.HwIpcMonitorImpl {
    private static final java.lang.String TAG = "RMS.GeneralIpcMonitor";
    private static com.android.server.rms.ipcchecker.GeneralIpcMonitor mGeneralIpcMonitor;

    private GeneralIpcMonitor() {
    }

    public static synchronized com.android.server.rms.ipcchecker.GeneralIpcMonitor getInstance() {
        com.android.server.rms.ipcchecker.GeneralIpcMonitor generalIpcMonitor;
        synchronized (com.android.server.rms.ipcchecker.GeneralIpcMonitor.class) {
            if (mGeneralIpcMonitor == null) {
                mGeneralIpcMonitor = new com.android.server.rms.ipcchecker.GeneralIpcMonitor();
            }
            generalIpcMonitor = mGeneralIpcMonitor;
        }
        return generalIpcMonitor;
    }

    public boolean action(java.lang.Object lock) {
        this.mLock = lock;
        return super.action();
    }
}
