package com.android.server.rms.shrinker;

public class ProcessShrinker implements com.android.server.rms.IShrinker {
    public static final java.lang.String PID_KEY = "pid";
    public static final int RECLAIM_ALL_MODE = 2;
    public static final int RECLAIM_ANON_MODE = 1;
    static final java.lang.String TAG = "RMS.ProcessShrinker";
    private int mMode = 1;

    public ProcessShrinker(int mode) {
        this.mMode = mode;
    }

    public int reclaim(java.lang.String reason, android.os.Bundle extras) {
        if (extras == null) {
            return 0;
        }
        int pid = extras.getInt("pid");
        if (pid > 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(reason);
            stringBuilder.append(" pid=");
            stringBuilder.append(pid);
            stringBuilder.append(" mMode=");
            stringBuilder.append(this.mMode);
            android.util.Log.w("RMS.ProcessShrinker", stringBuilder.toString());
            com.android.server.am.ProcessList.callProcReclaim(pid, this.mMode);
        }
        return 1;
    }

    public void interrupt() {
    }
}
