package com.android.server.security.trustcircle.task;

public class HwSecurityTimer extends java.util.Timer {
    private static com.android.server.security.trustcircle.task.HwSecurityTimer gTimer = null;
    private static java.lang.Object mLock = new java.lang.Object();

    private HwSecurityTimer() {
    }

    public static com.android.server.security.trustcircle.task.HwSecurityTimer getInstance() {
        com.android.server.security.trustcircle.task.HwSecurityTimer hwSecurityTimer;
        synchronized (mLock) {
            if (gTimer == null) {
                gTimer = new com.android.server.security.trustcircle.task.HwSecurityTimer();
            }
            hwSecurityTimer = gTimer;
        }
        return hwSecurityTimer;
    }

    public static void destroyInstance() {
        synchronized (mLock) {
            if (gTimer != null) {
                gTimer = null;
            }
        }
    }
}
