package com.android.server.security.tsmagent.logic.card.tsm;

public class InitEseTsmOperator extends com.android.server.security.tsmagent.logic.card.tsm.TsmBaseOperator {
    private final java.lang.String mSign;
    private final java.lang.String mSpID;
    private final java.lang.String mTimeStamp;

    public InitEseTsmOperator(android.content.Context context, java.lang.String spId, java.lang.String sign, java.lang.String timeStamp) {
        super(context, "InitEse");
        this.mSpID = spId;
        this.mSign = sign;
        this.mTimeStamp = timeStamp;
    }

    com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse queryOperateParams(com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest paramQueryRequest) {
        paramQueryRequest.setBankSignResult(this.mSign);
        paramQueryRequest.setBankSignTime(this.mTimeStamp);
        paramQueryRequest.setBankRsaIndex(this.mSpID);
        paramQueryRequest.setSignType("RSA256");
        return com.android.server.security.tsmagent.server.card.impl.CardServer.getInstance(this.mContext).queryInfoInitTsmParam(paramQueryRequest);
    }
}
