package com.android.server.security.tsmagent.utils;

public class PackageUtil {
    public static int getVersionCode(android.content.Context context) {
        int versionCode = 0;
        if (context != null) {
            try {
                android.content.pm.PackageInfo pkInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
                if (pkInfo != null) {
                    versionCode = pkInfo.versionCode;
                }
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                com.android.server.security.tsmagent.utils.HwLog.e("NameNotFoundException when getVersionCode");
            }
        }
        return versionCode;
    }
}
