package com.android.server.wm;

public class HwTaskStack extends com.android.server.wm.TaskStack {
    private static final java.lang.String TAG = "HwTaskStack";

    public HwTaskStack(com.android.server.wm.WindowManagerService service, int stackId, com.android.server.wm.StackWindowController controller) {
        super(service, stackId, controller);
    }

    protected void setAnimationBackground(com.android.server.wm.WindowStateAnimator winAnimator, int color) {
        if (!android.util.HwPCUtils.isPcDynamicStack(this.mStackId)) {
            super.setAnimationBackground(winAnimator, color);
        }
    }

    protected void findTaskForResizePoint(int x, int y, int delta, com.android.server.wm.DisplayContent.TaskForResizePointSearchResult results) {
        try {
            if (!android.util.HwPCUtils.isPcDynamicStack(this.mStackId) || isVisible()) {
                super.findTaskForResizePoint(x, y, delta, results);
            }
        } catch (java.lang.IndexOutOfBoundsException e) {
            android.util.HwPCUtils.log("HwTaskStack", "findTaskForResizePoint");
        }
    }
}
