package com.android.systemui.shared.system;

public abstract class ActivityOptionsCompat {
    public static android.app.ActivityOptions makeSplitScreenOptions(boolean dockTopLeft) {
        int i;
        android.app.ActivityOptions options = android.app.ActivityOptions.makeBasic();
        options.setLaunchWindowingMode(3);
        if (dockTopLeft) {
            i = 0;
        } else {
            i = 1;
        }
        options.setSplitScreenCreateMode(i);
        return options;
    }

    public static android.app.ActivityOptions makeRemoteAnimation(com.android.systemui.shared.system.RemoteAnimationAdapterCompat remoteAnimationAdapter) {
        return android.app.ActivityOptions.makeRemoteAnimation(remoteAnimationAdapter.getWrapped());
    }
}
