package com.google.gson;

public final class JsonNull extends com.google.gson.JsonElement {
    public static final com.google.gson.JsonNull INSTANCE = new com.google.gson.JsonNull();

    public com.google.gson.JsonNull deepCopy() {
        return INSTANCE;
    }

    public int hashCode() {
        return com.google.gson.JsonNull.class.hashCode();
    }

    public boolean equals(java.lang.Object other) {
        if (this != other) {
            if (!(other instanceof com.google.gson.JsonNull)) {
                return false;
            }
        }
        return true;
    }
}
