package com.google.gson;

public enum LongSerializationPolicy {
    DEFAULT {
        public com.google.gson.JsonElement serialize(java.lang.Long value) {
            return new com.google.gson.JsonPrimitive((java.lang.Number) value);
        }
    },
    STRING {
        public com.google.gson.JsonElement serialize(java.lang.Long value) {
            return new com.google.gson.JsonPrimitive(java.lang.String.valueOf(value));
        }
    };

    public abstract com.google.gson.JsonElement serialize(java.lang.Long l);
}
