package com.hisi.mapcon;

public interface IMapconService extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.hisi.mapcon.IMapconService {
        private static final java.lang.String DESCRIPTOR = "com.hisi.mapcon.IMapconService";
        static final int TRANSACTION_getUtOverWifiApn = 15;
        static final int TRANSACTION_getVoWifiServiceDomain = 12;
        static final int TRANSACTION_getVoWifiServiceState = 10;
        static final int TRANSACTION_notifyImsOff = 6;
        static final int TRANSACTION_notifyImsOn = 5;
        static final int TRANSACTION_notifyRoaming = 16;
        static final int TRANSACTION_notifyWifiOff = 4;
        static final int TRANSACTION_sendMessage = 7;
        static final int TRANSACTION_setDomain = 3;
        static final int TRANSACTION_setVoWifiOff = 2;
        static final int TRANSACTION_setVoWifiOn = 1;
        static final int TRANSACTION_setVoWifiServiceDomain = 11;
        static final int TRANSACTION_setVoWifiServiceOff = 9;
        static final int TRANSACTION_setVoWifiServiceOn = 8;
        static final int TRANSACTION_setupTunnelOverWifi = 13;
        static final int TRANSACTION_teardownTunnelOverWifi = 14;

        private static class Proxy implements com.hisi.mapcon.IMapconService {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.hisi.mapcon.IMapconService";
            }

            public int setVoWifiOn(int phoneId) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int setVoWifiOff(int phoneId) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int setDomain(int phoneId, int domain) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(domain);
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void notifyWifiOff(com.hisi.mapcon.IMapconServiceCallback callback) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int notifyImsOn(int phoneId) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int notifyImsOff(int phoneId, int currentDomain) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(currentDomain);
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void sendMessage(int msgId) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(msgId);
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int setVoWifiServiceOn(int phoneId, int type) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(type);
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int setVoWifiServiceOff(int phoneId, int type) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(type);
                    this.mRemote.transact(9, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int getVoWifiServiceState(int phoneId, int type) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(type);
                    this.mRemote.transact(10, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int setVoWifiServiceDomain(int phoneId, int type, int domain) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(type);
                    _data.writeInt(domain);
                    this.mRemote.transact(11, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int getVoWifiServiceDomain(int phoneId, int type) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(type);
                    this.mRemote.transact(12, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int setupTunnelOverWifi(int phoneId, int serviceType, java.lang.String apn, com.hisi.mapcon.ServerAddr serverAddr) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(serviceType);
                    _data.writeString(apn);
                    if (serverAddr != null) {
                        _data.writeInt(1);
                        serverAddr.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(13, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int teardownTunnelOverWifi(int phoneId, int type, java.lang.String apn, com.hisi.mapcon.ServerAddr serverAddr) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    _data.writeInt(type);
                    _data.writeString(apn);
                    if (serverAddr != null) {
                        _data.writeInt(1);
                        serverAddr.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(14, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public java.lang.String getUtOverWifiApn() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    this.mRemote.transact(15, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String _result = _reply.readString();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void notifyRoaming(int phoneId) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.hisi.mapcon.IMapconService");
                    _data.writeInt(phoneId);
                    this.mRemote.transact(16, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.hisi.mapcon.IMapconService");
        }

        public static com.hisi.mapcon.IMapconService asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.hisi.mapcon.IMapconService");
            if (iin == null || !(iin instanceof com.hisi.mapcon.IMapconService)) {
                return new com.hisi.mapcon.IMapconService.Stub.Proxy(obj);
            }
            return (com.hisi.mapcon.IMapconService) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "com.hisi.mapcon.IMapconService";
            if (code != 1598968902) {
                com.hisi.mapcon.ServerAddr _arg3 = null;
                int _result;
                int _result2;
                java.lang.String _arg2;
                int _result3;
                switch (code) {
                    case 1:
                        data.enforceInterface(descriptor);
                        _result = setVoWifiOn(data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 2:
                        data.enforceInterface(descriptor);
                        _result = setVoWifiOff(data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 3:
                        data.enforceInterface(descriptor);
                        _result2 = setDomain(data.readInt(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 4:
                        data.enforceInterface(descriptor);
                        notifyWifiOff(com.hisi.mapcon.IMapconServiceCallback.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        return true;
                    case 5:
                        data.enforceInterface(descriptor);
                        _result = notifyImsOn(data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 6:
                        data.enforceInterface(descriptor);
                        _result2 = notifyImsOff(data.readInt(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 7:
                        data.enforceInterface(descriptor);
                        sendMessage(data.readInt());
                        reply.writeNoException();
                        return true;
                    case 8:
                        data.enforceInterface(descriptor);
                        _result2 = setVoWifiServiceOn(data.readInt(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 9:
                        data.enforceInterface(descriptor);
                        _result2 = setVoWifiServiceOff(data.readInt(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 10:
                        data.enforceInterface(descriptor);
                        _result2 = getVoWifiServiceState(data.readInt(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 11:
                        data.enforceInterface(descriptor);
                        int _result4 = setVoWifiServiceDomain(data.readInt(), data.readInt(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result4);
                        return true;
                    case 12:
                        data.enforceInterface(descriptor);
                        _result2 = getVoWifiServiceDomain(data.readInt(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 13:
                        data.enforceInterface(descriptor);
                        _result = data.readInt();
                        _result2 = data.readInt();
                        _arg2 = data.readString();
                        if (data.readInt() != 0) {
                            _arg3 = (com.hisi.mapcon.ServerAddr) com.hisi.mapcon.ServerAddr.CREATOR.createFromParcel(data);
                        }
                        _result3 = setupTunnelOverWifi(_result, _result2, _arg2, _arg3);
                        reply.writeNoException();
                        reply.writeInt(_result3);
                        return true;
                    case 14:
                        data.enforceInterface(descriptor);
                        _result = data.readInt();
                        _result2 = data.readInt();
                        _arg2 = data.readString();
                        if (data.readInt() != 0) {
                            _arg3 = (com.hisi.mapcon.ServerAddr) com.hisi.mapcon.ServerAddr.CREATOR.createFromParcel(data);
                        }
                        _result3 = teardownTunnelOverWifi(_result, _result2, _arg2, _arg3);
                        reply.writeNoException();
                        reply.writeInt(_result3);
                        return true;
                    case 15:
                        data.enforceInterface(descriptor);
                        java.lang.String _result5 = getUtOverWifiApn();
                        reply.writeNoException();
                        reply.writeString(_result5);
                        return true;
                    case 16:
                        data.enforceInterface(descriptor);
                        notifyRoaming(data.readInt());
                        reply.writeNoException();
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString(descriptor);
            return true;
        }
    }

    java.lang.String getUtOverWifiApn() throws android.os.RemoteException;

    int getVoWifiServiceDomain(int i, int i2) throws android.os.RemoteException;

    int getVoWifiServiceState(int i, int i2) throws android.os.RemoteException;

    int notifyImsOff(int i, int i2) throws android.os.RemoteException;

    int notifyImsOn(int i) throws android.os.RemoteException;

    void notifyRoaming(int i) throws android.os.RemoteException;

    void notifyWifiOff(com.hisi.mapcon.IMapconServiceCallback iMapconServiceCallback) throws android.os.RemoteException;

    void sendMessage(int i) throws android.os.RemoteException;

    int setDomain(int i, int i2) throws android.os.RemoteException;

    int setVoWifiOff(int i) throws android.os.RemoteException;

    int setVoWifiOn(int i) throws android.os.RemoteException;

    int setVoWifiServiceDomain(int i, int i2, int i3) throws android.os.RemoteException;

    int setVoWifiServiceOff(int i, int i2) throws android.os.RemoteException;

    int setVoWifiServiceOn(int i, int i2) throws android.os.RemoteException;

    int setupTunnelOverWifi(int i, int i2, java.lang.String str, com.hisi.mapcon.ServerAddr serverAddr) throws android.os.RemoteException;

    int teardownTunnelOverWifi(int i, int i2, java.lang.String str, com.hisi.mapcon.ServerAddr serverAddr) throws android.os.RemoteException;
}
