package com.hisi.mapcon;

public class ServerAddr implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.hisi.mapcon.ServerAddr> CREATOR = new android.os.Parcelable.Creator<com.hisi.mapcon.ServerAddr>() {
        public com.hisi.mapcon.ServerAddr createFromParcel(android.os.Parcel in) {
            return new com.hisi.mapcon.ServerAddr(in);
        }

        public com.hisi.mapcon.ServerAddr[] newArray(int size) {
            return new com.hisi.mapcon.ServerAddr[size];
        }
    };
    java.util.ArrayList<com.hisi.mapcon.ServerAddr.ServerAddrPair> mAddress;
    int mSize;

    public static class ServerAddrPair {
        java.lang.String address;
        int type;

        public ServerAddrPair(int type, java.lang.String addr) {
            this.type = type;
            this.address = addr;
        }
    }

    public ServerAddr() {
        this.mAddress = new java.util.ArrayList();
        this.mSize = 0;
    }

    public ServerAddr(android.os.Parcel in) {
        this.mSize = in.readInt();
        this.mAddress = new java.util.ArrayList();
        for (int index = 0; index < this.mSize; index++) {
            this.mAddress.add(new com.hisi.mapcon.ServerAddr.ServerAddrPair(in.readInt(), in.readString()));
        }
    }

    public void add(int type, java.lang.String addr) {
        this.mAddress.add(new com.hisi.mapcon.ServerAddr.ServerAddrPair(type, addr));
        this.mSize++;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel out, int arg1) {
        int size = this.mAddress.size();
        out.writeInt(this.mSize);
        for (int index = 0; index < size; index++) {
            com.hisi.mapcon.ServerAddr.ServerAddrPair pair = (com.hisi.mapcon.ServerAddr.ServerAddrPair) this.mAddress.get(index);
            out.writeInt(pair.type);
            out.writeString(pair.address);
        }
    }

    public java.lang.String toString() {
        java.lang.StringBuffer retString = new java.lang.StringBuffer();
        retString.append("serverAddr:size is:");
        retString.append(this.mAddress.size());
        for (int index = 0; index < this.mAddress.size(); index++) {
            com.hisi.mapcon.ServerAddr.ServerAddrPair pair = (com.hisi.mapcon.ServerAddr.ServerAddrPair) this.mAddress.get(index);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("index:");
            stringBuilder.append(index);
            stringBuilder.append(" type:");
            stringBuilder.append(pair.type);
            stringBuilder.append(" addr:");
            stringBuilder.append(pair.address);
            retString.append(stringBuilder.toString());
        }
        return retString.toString();
    }
}
