package com.huawei.IntelliServer.intellilib;

public interface IIntelliListener extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.IntelliServer.intellilib.IIntelliListener {
        private static final java.lang.String DESCRIPTOR = "com.huawei.IntelliServer.intellilib.IIntelliListener";
        static final int TRANSACTION_onErr = 2;
        static final int TRANSACTION_onEvent = 1;

        private static class Proxy implements com.huawei.IntelliServer.intellilib.IIntelliListener {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.IntelliServer.intellilib.IIntelliListener";
            }

            public void onEvent(com.huawei.IntelliServer.intellilib.IntelliAlgoResult result) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.IntelliServer.intellilib.IIntelliListener");
                    if (result != null) {
                        _data.writeInt(1);
                        result.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void onErr(int err) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.IntelliServer.intellilib.IIntelliListener");
                    _data.writeInt(err);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.IntelliServer.intellilib.IIntelliListener");
        }

        public static com.huawei.IntelliServer.intellilib.IIntelliListener asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.IntelliServer.intellilib.IIntelliListener");
            if (iin == null || !(iin instanceof com.huawei.IntelliServer.intellilib.IIntelliListener)) {
                return new com.huawei.IntelliServer.intellilib.IIntelliListener.Stub.Proxy(obj);
            }
            return (com.huawei.IntelliServer.intellilib.IIntelliListener) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            if (code != 1598968902) {
                switch (code) {
                    case 1:
                        com.huawei.IntelliServer.intellilib.IntelliAlgoResult _arg0;
                        data.enforceInterface("com.huawei.IntelliServer.intellilib.IIntelliListener");
                        if (data.readInt() != 0) {
                            _arg0 = (com.huawei.IntelliServer.intellilib.IntelliAlgoResult) com.huawei.IntelliServer.intellilib.IntelliAlgoResult.CREATOR.createFromParcel(data);
                        } else {
                            _arg0 = null;
                        }
                        onEvent(_arg0);
                        reply.writeNoException();
                        return true;
                    case 2:
                        data.enforceInterface("com.huawei.IntelliServer.intellilib.IIntelliListener");
                        onErr(data.readInt());
                        reply.writeNoException();
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString("com.huawei.IntelliServer.intellilib.IIntelliListener");
            return true;
        }
    }

    void onErr(int i) throws android.os.RemoteException;

    void onEvent(com.huawei.IntelliServer.intellilib.IntelliAlgoResult intelliAlgoResult) throws android.os.RemoteException;
}
