package com.huawei.android.location.activityrecognition;

public class HwActivityRecognition {
    public static final java.lang.String ACTIVITY_AR_K_N_ACT = "android.activity_recognition.ar_k_n_act";
    public static final java.lang.String ACTIVITY_CLIMBING_MOUNT = "android.activity_recognitio.climbing_mount";
    public static final java.lang.String ACTIVITY_DROP = "android.activity_recognition.drop";
    public static final java.lang.String ACTIVITY_ELEVATOR = "android.activity_recognition.elevator";
    public static final java.lang.String ACTIVITY_FAST_WALKING = "android.activity_recognition.fast_walking";
    public static final java.lang.String ACTIVITY_IN_VEHICLE = "android.activity_recognition.in_vehicle";
    public static final java.lang.String ACTIVITY_ON_BICYCLE = "android.activity_recognition.on_bicycle";
    public static final java.lang.String ACTIVITY_ON_FOOT = "android.activity_recognition.on_foot";
    public static final java.lang.String ACTIVITY_OUTDOOR = "android.activity_recognition.outdoor";
    public static final java.lang.String ACTIVITY_RELATIVE_STILL = "android.activity_recognition.relative_still";
    public static final java.lang.String ACTIVITY_RUNNING = "android.activity_recognition.running";
    public static final java.lang.String ACTIVITY_RUN_FOR_HEALTH = "android.activity_recognition.run_for_health";
    public static final java.lang.String ACTIVITY_STILL = "android.activity_recognition.still";
    public static final java.lang.String ACTIVITY_STOP_VEHICLE = "android.activity_recognition.stop_vehicle";
    public static final java.lang.String ACTIVITY_TILT = "android.activity_recognition.tilting";
    public static final java.lang.String ACTIVITY_TYPE_VE_HIGH_SPEED_RAIL = "android.activity_recognition.high_speed_rail";
    public static final java.lang.String ACTIVITY_UNKNOWN = "android.activity_recognition.unknown";
    public static final java.lang.String ACTIVITY_VE_AUTO = "android.activity_recognitio.auto";
    public static final java.lang.String ACTIVITY_VE_BUS = "android.activity_recognition.bus";
    public static final java.lang.String ACTIVITY_VE_CAR = "android.activity_recognition.car";
    public static final java.lang.String ACTIVITY_VE_METRO = "android.activity_recognition.metro";
    public static final java.lang.String ACTIVITY_VE_RAIL = "android.activity_recognitio.rail";
    public static final java.lang.String ACTIVITY_VE_TRAIN = "android.activity_recognition.train";
    public static final java.lang.String ACTIVITY_VE_UNKNOWN = "android.activity_recognition.ve_unknown";
    public static final java.lang.String ACTIVITY_WALKING = "android.activity_recognition.walking";
    public static final java.lang.String ACTIVITY_WALK_FOR_HEALTH = "android.activity_recognition.walk_for_health";
    private static final java.lang.String AIDL_MESSAGE_SERVICE_CLASS = "com.huawei.android.location.activityrecognition.ActivityRecognitionService";
    private static final java.lang.String AIDL_MESSAGE_SERVICE_CLASS_O = "com.huawei.systemserver.activityrecognition.ActivityRecognitionService";
    private static final java.lang.String AIDL_MESSAGE_SERVICE_PACKAGE = "com.huawei.android.location.activityrecognition";
    private static final java.lang.String AIDL_MESSAGE_SERVICE_PACKAGE_O = "com.huawei.systemserver";
    private static final int ANDROID_O = 25;
    private static final int AR_SDK_VERSION = 1;
    public static final java.lang.String ENV_TYPE_HOME = "android.activity_recognition.env_home";
    public static final java.lang.String ENV_TYPE_OFFICE = "android.activity_recognition.env_office";
    public static final java.lang.String ENV_TYPE_WAY_HOME = "android.activity_recognition.env_way_home";
    public static final java.lang.String ENV_TYPE_WAY_OFFICE = "android.activity_recognition.env_way_office";
    public static final int EVENT_TYPE_ENTER = 1;
    public static final int EVENT_TYPE_EXIT = 2;
    private static final int MSG_BIND = 0;
    private static final int MSG_RECONNECTION = 1;
    private static final java.lang.String TAG = "ARMoudle.HwActivityRecognition";
    private static int mARServiceVersion = -1;
    private static final int sdkVersion = android.os.Build.VERSION.SDK_INT;
    private com.huawei.android.location.activityrecognition.HwActivityRecognition.ServiceDeathHandler deathHandler;
    private int mConnectCount = 0;
    private android.content.ServiceConnection mConnection = new android.content.ServiceConnection() {
        public void onServiceConnected(android.content.ComponentName arg0, android.os.IBinder service) {
            com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "Connection service ok");
            com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mHandler.removeMessages(1);
            if (com.huawei.android.location.activityrecognition.HwActivityRecognition.sdkVersion >= 25) {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService_O = com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService.Stub.asInterface(service);
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.getARVersion();
            } else {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService = com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService.Stub.asInterface(service);
            }
            com.huawei.android.location.activityrecognition.HwActivityRecognition.this.registerSink();
            com.huawei.android.location.activityrecognition.HwActivityRecognition.this.notifyServiceDied();
            if (com.huawei.android.location.activityrecognition.HwActivityRecognition.sdkVersion >= 25) {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mServiceConnection.onServiceConnected();
            } else {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mHandler.sendEmptyMessage(0);
            }
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
            if (com.huawei.android.location.activityrecognition.HwActivityRecognition.sdkVersion >= 25) {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService_O = null;
            } else {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService = null;
            }
            com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mServiceConnection.onServiceDisconnected();
        }
    };
    private android.content.Context mContext = null;
    private android.os.Handler mHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 0:
                    com.huawei.android.location.activityrecognition.HwActivityRecognition.this.handleProviderLoad();
                    return;
                case 1:
                    com.huawei.android.location.activityrecognition.HwActivityRecognition.this.bindService();
                    return;
                default:
                    return;
            }
        }
    };
    private com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService mService = null;
    private com.huawei.android.location.activityrecognition.HwActivityRecognitionServiceConnection mServiceConnection = null;
    private com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService mService_O = null;
    private com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink mSink;
    private com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink mSink_O;
    private java.lang.String packageName;

    static class ActivityEvent {
        private java.lang.String activity;
        private int confidence;
        private int eventType;
        private com.huawei.android.location.activityrecognition.OtherParameters otherParams;
        private long timestampNs;

        public int getConfidence() {
            return this.confidence;
        }

        public java.lang.String getActivity() {
            return this.activity;
        }

        public int getEventType() {
            return this.eventType;
        }

        public long getTimestampNs() {
            return this.timestampNs;
        }

        public com.huawei.android.location.activityrecognition.OtherParameters getOtherParams() {
            return this.otherParams;
        }

        public ActivityEvent(java.lang.String activity, int eventType, long timestampNs, com.huawei.android.location.activityrecognition.OtherParameters otherParams, int confidence) {
            this.activity = activity;
            this.eventType = eventType;
            this.timestampNs = timestampNs;
            this.otherParams = otherParams;
            this.confidence = confidence;
        }
    }

    private class ServiceDeathHandler implements android.os.IBinder.DeathRecipient {
        private ServiceDeathHandler() {
        }

        /* synthetic */ ServiceDeathHandler(com.huawei.android.location.activityrecognition.HwActivityRecognition hwActivityRecognition, com.huawei.android.location.activityrecognition.HwActivityRecognition.ServiceDeathHandler serviceDeathHandler) {
            this();
        }

        public void binderDied() {
            com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "Ar service has died!");
            if (com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mServiceConnection != null) {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mServiceConnection.onServiceDisconnected();
            }
            if (com.huawei.android.location.activityrecognition.HwActivityRecognition.sdkVersion >= 25) {
                if (com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService_O != null) {
                    com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService_O.asBinder().unlinkToDeath(com.huawei.android.location.activityrecognition.HwActivityRecognition.this.deathHandler, 0);
                    com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService_O = null;
                }
            } else if (com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService != null) {
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService.asBinder().unlinkToDeath(com.huawei.android.location.activityrecognition.HwActivityRecognition.this.deathHandler, 0);
                com.huawei.android.location.activityrecognition.HwActivityRecognition.this.mService = null;
            }
        }
    }

    public HwActivityRecognition(android.content.Context context) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "AR sdk version:1");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("HwActivityRecognition, android version:");
        stringBuilder.append(sdkVersion);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        if (context != null) {
            this.mContext = context;
            this.packageName = context.getPackageName();
            this.deathHandler = new com.huawei.android.location.activityrecognition.HwActivityRecognition.ServiceDeathHandler(this, null);
        }
    }

    public HwActivityRecognition(android.content.Context context, java.lang.Object object) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "AR sdk version:1");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("HwActivityRecognition, android version:");
        stringBuilder.append(sdkVersion);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        if (context != null) {
            this.mContext = context;
            if (object != null) {
                this.packageName = object.getClass().getName();
            } else {
                this.packageName = context.getClass().getName();
            }
            this.deathHandler = new com.huawei.android.location.activityrecognition.HwActivityRecognition.ServiceDeathHandler(this, null);
        }
    }

    public static int getARServiceVersion() {
        return mARServiceVersion;
    }

    public static void setARServiceVersion(int aRServiceVersion) {
        mARServiceVersion = aRServiceVersion;
    }

    private boolean isSystemUser() {
        boolean isSystem = false;
        try {
            int userId = ((java.lang.Integer) java.lang.Class.forName("android.os.UserHandle").getMethod("myUserId", new java.lang.Class[0]).invoke(null, new java.lang.Object[0])).intValue();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("user id:");
            stringBuilder.append(userId);
            com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
            if (userId == 0) {
                return true;
            }
            return isSystem;
        } catch (java.lang.ClassNotFoundException e) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "ClassNotFoundException");
            return isSystem;
        } catch (java.lang.NoSuchMethodException e2) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "NoSuchMethodException");
            return isSystem;
        } catch (java.lang.IllegalAccessException e3) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "IllegalAccessException");
            return isSystem;
        } catch (java.lang.IllegalArgumentException e4) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "IllegalArgumentException");
            return isSystem;
        } catch (java.lang.reflect.InvocationTargetException e5) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "InvocationTargetException");
            return isSystem;
        }
    }

    public boolean connectService(com.huawei.android.location.activityrecognition.HwActivityRecognitionHardwareSink sink, com.huawei.android.location.activityrecognition.HwActivityRecognitionServiceConnection connection) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "connectService");
        if (isSystemUser()) {
            if (connection != null) {
                if (sink != null) {
                    this.mServiceConnection = connection;
                    if (sdkVersion >= 25) {
                        if (this.mService_O == null) {
                            this.mSink_O = createActivityRecognitionHardwareSink_O(sink);
                            bindService();
                        }
                    } else if (this.mService == null) {
                        this.mSink = createActivityRecognitionHardwareSink(sink);
                        bindService();
                    }
                    return true;
                }
            }
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "connection or sink is null.");
            return false;
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "not system user.");
        return false;
    }

    public boolean disconnectService() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "disconnectService");
        if (sdkVersion >= 25) {
            if (this.mService_O == null) {
                com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService_O is null.");
                return false;
            }
            this.mService_O.asBinder().unlinkToDeath(this.deathHandler, 0);
        } else if (this.mService == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return false;
        } else {
            this.mService.asBinder().unlinkToDeath(this.deathHandler, 0);
        }
        unregisterSink();
        this.mContext.unbindService(this.mConnection);
        this.mServiceConnection.onServiceDisconnected();
        if (sdkVersion >= 25) {
            this.mService_O = null;
        } else {
            this.mService = null;
        }
        this.mConnectCount = 0;
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(0);
        return true;
    }

    private boolean registerSink() {
        if (sdkVersion >= 25) {
            return registerSink_O();
        }
        return registerSink_N();
    }

    private boolean registerSink_N() {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "registerSink_N");
        if (this.mService != null) {
            if (this.mSink != null) {
                try {
                    result = this.mService.registerSink(this.mSink);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("registerSink error:");
                    stringBuilder.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                }
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService or mSink is null.");
        return false;
    }

    private boolean registerSink_O() {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "registerSink_O");
        if (this.mService_O != null) {
            if (this.mSink_O != null) {
                try {
                    result = this.mService_O.registerSink(this.packageName, this.mSink_O);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("registerSink error:");
                    stringBuilder.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                }
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService_O or mSink_O is null.");
        return false;
    }

    private boolean unregisterSink() {
        if (sdkVersion >= 25) {
            return unregisterSink_O();
        }
        return unregisterSink_N();
    }

    private boolean unregisterSink_N() {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "unregisterSink_N");
        if (this.mService != null) {
            if (this.mSink != null) {
                try {
                    result = this.mService.unregisterSink(this.mSink);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("unregisterSink error:");
                    stringBuilder.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                }
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService or mSink is null.");
        return false;
    }

    private boolean unregisterSink_O() {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "unregisterSink_O");
        if (this.mService_O != null) {
            if (this.mSink_O != null) {
                try {
                    result = this.mService_O.unregisterSink(this.packageName, this.mSink_O);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("unregisterSink error:");
                    stringBuilder.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                }
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService_O or mService_O is null.");
        return false;
    }

    public int getSupportedModule() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getSupportedModule");
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService_O is null.");
            return 0;
        }
        try {
            return this.mService_O.getSupportedModule();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("getSupportedModule error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
            return 0;
        }
    }

    public java.lang.String[] getSupportedActivities() {
        if (sdkVersion >= 25) {
            return getSupportedActivities_O();
        }
        return getSupportedActivities_N();
    }

    private java.lang.String[] getSupportedActivities_N() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getSupportedActivities_N");
        if (this.mService == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return new java.lang.String[0];
        }
        try {
            return this.mService.getSupportedActivities();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("getSupportedActivities error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
            return new java.lang.String[0];
        }
    }

    private java.lang.String[] getSupportedActivities_O() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getSupportedActivities_O");
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService_O is null.");
            return new java.lang.String[0];
        }
        try {
            return this.mService_O.getSupportedActivities();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("getSupportedActivities error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
            return new java.lang.String[0];
        }
    }

    public java.lang.String[] getSupportedEnvironments() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getSupportedEnvironments");
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService_O is null.");
            return new java.lang.String[0];
        }
        try {
            return this.mService_O.getSupportedEnvironments();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("getSupportedEnvironments error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
            return new java.lang.String[0];
        }
    }

    public boolean enableActivityEvent(java.lang.String activity, int eventType, long reportLatencyNs) {
        if (sdkVersion >= 25) {
            return enableActivityEvent_O(activity, eventType, reportLatencyNs);
        }
        return enableActivityEvent_N(activity, eventType, reportLatencyNs);
    }

    private boolean enableActivityEvent_N(java.lang.String activity, int eventType, long reportLatencyNs) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "enableActivityEvent");
        boolean result = false;
        if (!android.text.TextUtils.isEmpty(activity)) {
            if (reportLatencyNs >= 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(activity));
                stringBuilder.append(",");
                stringBuilder.append(eventType);
                stringBuilder.append(",");
                stringBuilder.append(reportLatencyNs);
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                if (this.mService == null) {
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
                    return false;
                }
                try {
                    result = this.mService.enableActivityEvent(activity, eventType, reportLatencyNs);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("enableActivityEvent error:");
                    stringBuilder2.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
                }
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "activity is null or reportLatencyNs < 0");
        return false;
    }

    private boolean enableActivityEvent_O(java.lang.String activity, int eventType, long reportLatencyNs) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "enableActivityEvent");
        boolean result = false;
        if (!android.text.TextUtils.isEmpty(activity)) {
            if (reportLatencyNs >= 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(activity));
                stringBuilder.append(",");
                stringBuilder.append(eventType);
                stringBuilder.append(",");
                stringBuilder.append(reportLatencyNs);
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                if (this.mService_O == null) {
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
                    return false;
                }
                try {
                    result = this.mService_O.enableActivityEvent(this.packageName, activity, eventType, reportLatencyNs);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("enableActivityEvent error:");
                    stringBuilder2.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
                }
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "activity is null or reportLatencyNs < 0");
        return false;
    }

    public boolean enableActivityEvent(java.lang.String activity, int eventType, long reportLatencyNs, com.huawei.android.location.activityrecognition.OtherParameters params) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "enableActivityExtendEvent");
        if (!android.text.TextUtils.isEmpty(activity) && reportLatencyNs >= 0) {
            if (params != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(activity));
                stringBuilder.append(",");
                stringBuilder.append(eventType);
                stringBuilder.append(",");
                stringBuilder.append(reportLatencyNs);
                stringBuilder.append(",");
                stringBuilder.append(params.toString());
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                if (this.mService_O == null) {
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
                    return false;
                }
                boolean result = false;
                try {
                    result = this.mService_O.enableActivityExtendEvent(this.packageName, activity, eventType, reportLatencyNs, tranferToOtherParameters_O(params));
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("enableActivityextendEvent error:");
                    stringBuilder2.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
                }
                stringBuilder = new java.lang.StringBuilder("activityExtendEventEnable:");
                stringBuilder.append(result);
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "activity is null or reportLatencyNs < 0 or params is null.");
        return false;
    }

    private com.huawei.systemserver.activityrecognition.OtherParameters tranferToOtherParameters_O(com.huawei.android.location.activityrecognition.OtherParameters params) {
        if (params == null) {
            return null;
        }
        return new com.huawei.systemserver.activityrecognition.OtherParameters(params.getmParam1(), params.getmParam2(), params.getmParam3(), params.getmParam4(), params.getmParam5());
    }

    public boolean disableActivityEvent(java.lang.String activity, int eventType) {
        if (sdkVersion >= 25) {
            return disableActivityEvent_O(activity, eventType);
        }
        return disableActivityEvent_N(activity, eventType);
    }

    private boolean disableActivityEvent_N(java.lang.String activity, int eventType) {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "disableActivityEvent");
        if (android.text.TextUtils.isEmpty(activity)) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "activity is null.");
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(activity));
        stringBuilder.append(",");
        stringBuilder.append(eventType);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        if (this.mService == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return false;
        }
        try {
            result = this.mService.disableActivityEvent(activity, eventType);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("disableActivityEvent error:");
            stringBuilder2.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
        }
        return result;
    }

    private boolean disableActivityEvent_O(java.lang.String activity, int eventType) {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "disableActivityEvent");
        if (android.text.TextUtils.isEmpty(activity)) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "activity is null.");
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(activity));
        stringBuilder.append(",");
        stringBuilder.append(eventType);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService_O is null.");
            return false;
        }
        try {
            result = this.mService_O.disableActivityEvent(this.packageName, activity, eventType);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("disableActivityEvent error:");
            stringBuilder2.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
        }
        return result;
    }

    public java.lang.String getCurrentActivity() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getCurrentActivity");
        java.lang.String activity = "unknown";
        if (this.mService == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return activity;
        }
        try {
            activity = this.mService.getCurrentActivity();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("getCurrentActivity error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        }
        return activity;
    }

    public com.huawei.android.location.activityrecognition.HwActivityChangedExtendEvent getCurrentActivityExtend() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getCurrentActivityExtend");
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return null;
        }
        com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent hwActivityEvent = null;
        try {
            if (mARServiceVersion == 1) {
                hwActivityEvent = this.mService_O.getCurrentActivityV1_1();
            } else {
                hwActivityEvent = this.mService_O.getCurrentActivity();
            }
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("getCurrentActivity error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("hwActivityEvent:");
        stringBuilder2.append(hwActivityEvent);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
        return tranferToHwActivityChangedExtendEvent(hwActivityEvent);
    }

    public boolean initEnvironmentFunction(java.lang.String environment, com.huawei.android.location.activityrecognition.OtherParameters params) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "initEnvironmentFunction");
        if (!android.text.TextUtils.isEmpty(environment)) {
            if (params != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(environment));
                stringBuilder.append(",");
                stringBuilder.append(params.toString());
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                if (this.mService_O == null) {
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
                    return false;
                }
                boolean result = false;
                try {
                    result = this.mService_O.initEnvironmentFunction(this.packageName, environment, tranferToOtherParameters_O(params));
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("initEnvironmentFunction error:");
                    stringBuilder2.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
                }
                stringBuilder = new java.lang.StringBuilder("environmentInit:");
                stringBuilder.append(result);
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "environment or params is null.");
        return false;
    }

    public boolean exitEnvironmentFunction(java.lang.String environment, com.huawei.android.location.activityrecognition.OtherParameters params) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "exitEnvironmentFunction");
        if (!android.text.TextUtils.isEmpty(environment)) {
            if (params != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(environment));
                stringBuilder.append(",");
                stringBuilder.append(params.toString());
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                if (this.mService_O == null) {
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
                    return false;
                }
                boolean result = false;
                try {
                    result = this.mService_O.exitEnvironmentFunction(this.packageName, environment, tranferToOtherParameters_O(params));
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("exitEnvironmentFunction error:");
                    stringBuilder2.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
                }
                stringBuilder = new java.lang.StringBuilder("environmentExit:");
                stringBuilder.append(result);
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "environment or params is null.");
        return false;
    }

    public boolean enableEnvironmentEvent(java.lang.String environment, int eventType, long reportLatencyNs, com.huawei.android.location.activityrecognition.OtherParameters params) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "enableEnvironmentEvent");
        if (!android.text.TextUtils.isEmpty(environment) && reportLatencyNs >= 0) {
            if (params != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(environment));
                stringBuilder.append(",");
                stringBuilder.append(eventType);
                stringBuilder.append(",");
                stringBuilder.append(reportLatencyNs);
                stringBuilder.append(",");
                stringBuilder.append(params.toString());
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                if (this.mService_O == null) {
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
                    return false;
                }
                boolean result = false;
                try {
                    result = this.mService_O.enableEnvironmentEvent(this.packageName, environment, eventType, reportLatencyNs, tranferToOtherParameters_O(params));
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("enableEnvironmentEvent error:");
                    stringBuilder2.append(e.getMessage());
                    com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
                }
                stringBuilder = new java.lang.StringBuilder("environmentEnable:");
                stringBuilder.append(result);
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                return result;
            }
        }
        com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "environment is null.");
        return false;
    }

    public boolean disableEnvironmentEvent(java.lang.String environment, int eventType) {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "disableEnvironmentEvent");
        if (android.text.TextUtils.isEmpty(environment)) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "environment is null.");
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(environment));
        stringBuilder.append(",");
        stringBuilder.append(eventType);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return false;
        }
        boolean result = false;
        try {
            result = this.mService_O.disableEnvironmentEvent(this.packageName, environment, eventType);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("disableEnvironmentEvent error:");
            stringBuilder2.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
        }
        stringBuilder = new java.lang.StringBuilder("environmentDisable:");
        stringBuilder.append(result);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        return result;
    }

    public com.huawei.android.location.activityrecognition.HwEnvironmentChangedEvent getCurrentEnvironment() {
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getCurrentEnvironment");
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return null;
        }
        com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent hwEnvironmentEvent = null;
        try {
            if (mARServiceVersion == 1) {
                hwEnvironmentEvent = this.mService_O.getCurrentEnvironmentV1_1();
            } else {
                hwEnvironmentEvent = this.mService_O.getCurrentEnvironment();
            }
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("getCurrentEnvironment error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("hwEnvironmentEvent:");
        stringBuilder2.append(hwEnvironmentEvent);
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
        return tranferToHwEnvironmentChangedEvent(hwEnvironmentEvent);
    }

    public boolean flush() {
        if (sdkVersion >= 25) {
            return flush_O();
        }
        return flush_N();
    }

    private boolean flush_N() {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "flush");
        if (this.mService == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return false;
        }
        try {
            result = this.mService.flush();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("flush error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        }
        return result;
    }

    private boolean flush_O() {
        boolean result = false;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "flush");
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return false;
        }
        try {
            result = this.mService_O.flush();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("flush error:");
            stringBuilder.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        }
        return result;
    }

    private void getARVersion() {
        int version = -1;
        com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "getARVersion");
        if (this.mService_O == null) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "mService is null.");
            return;
        }
        try {
            version = this.mService_O.getARVersion(this.packageName, 1);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("version:");
            stringBuilder.append(version);
            com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder("getARVersion error:");
            stringBuilder2.append(e.getMessage());
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", stringBuilder2.toString());
        }
        setARServiceVersion(version);
    }

    private com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink createActivityRecognitionHardwareSink(final com.huawei.android.location.activityrecognition.HwActivityRecognitionHardwareSink sink) {
        if (sink == null) {
            return null;
        }
        return new com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink.Stub() {
            public void onActivityChanged(com.huawei.android.location.activityrecognition.HwActivityChangedEvent event) throws android.os.RemoteException {
                sink.onActivityChanged(event);
            }
        };
    }

    private com.huawei.android.location.activityrecognition.HwActivityChangedEvent tranferToHwActivityChangedEvent(com.huawei.systemserver.activityrecognition.HwActivityChangedEvent event) {
        if (event == null) {
            return null;
        }
        com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent arEvent;
        java.util.List<com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent> events = new java.util.ArrayList();
        for (com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent e : event.getActivityRecognitionEvents()) {
            events.add(new com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent(e.getActivity(), e.getEventType(), e.getTimestampNs(), null, e.getConfidence()));
        }
        com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[] activityRecognitionEventArray = new com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[events.size()];
        for (int j = 0; j < events.size(); j++) {
            arEvent = (com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent) events.get(j);
            activityRecognitionEventArray[j] = new com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent(arEvent.getActivity(), arEvent.getEventType(), arEvent.getTimestampNs(), arEvent.getConfidence());
        }
        return new com.huawei.android.location.activityrecognition.HwActivityChangedEvent(activityRecognitionEventArray);
    }

    private com.huawei.android.location.activityrecognition.HwActivityChangedExtendEvent tranferToHwActivityChangedExtendEvent(com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent event) {
        if (event == null) {
            return null;
        }
        com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent arEvent;
        java.util.List<com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent> events = new java.util.ArrayList();
        for (com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent e : event.getActivityRecognitionExtendEvents()) {
            events.add(new com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent(e.getActivity(), e.getEventType(), e.getTimestampNs(), tranferToOtherParameters_N(e.getOtherParams()), e.getConfidence()));
        }
        com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent[] activityRecognitionEventArray = new com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent[events.size()];
        for (int j = 0; j < events.size(); j++) {
            arEvent = (com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent) events.get(j);
            activityRecognitionEventArray[j] = new com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent(arEvent.getActivity(), arEvent.getEventType(), arEvent.getTimestampNs(), arEvent.getOtherParams(), arEvent.getConfidence());
        }
        return new com.huawei.android.location.activityrecognition.HwActivityChangedExtendEvent(activityRecognitionEventArray);
    }

    private com.huawei.android.location.activityrecognition.HwEnvironmentChangedEvent tranferToHwEnvironmentChangedEvent(com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent event) {
        if (event == null) {
            return null;
        }
        com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent arEvent;
        java.util.List<com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent> events = new java.util.ArrayList();
        for (com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent e : event.getEnvironmentRecognitionEvents()) {
            events.add(new com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent(e.getActivity(), e.getEventType(), e.getTimestampNs(), tranferToOtherParameters_N(e.getOtherParams()), e.getConfidence()));
        }
        com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent[] activityRecognitionEventArray = new com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent[events.size()];
        for (int j = 0; j < events.size(); j++) {
            arEvent = (com.huawei.android.location.activityrecognition.HwActivityRecognition.ActivityEvent) events.get(j);
            activityRecognitionEventArray[j] = new com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent(arEvent.getActivity(), arEvent.getEventType(), arEvent.getTimestampNs(), arEvent.getOtherParams(), arEvent.getConfidence());
        }
        return new com.huawei.android.location.activityrecognition.HwEnvironmentChangedEvent(activityRecognitionEventArray);
    }

    private com.huawei.android.location.activityrecognition.OtherParameters tranferToOtherParameters_N(com.huawei.systemserver.activityrecognition.OtherParameters otherParams) {
        if (otherParams == null) {
            return null;
        }
        return new com.huawei.android.location.activityrecognition.OtherParameters(otherParams.getmParam1(), otherParams.getmParam2(), otherParams.getmParam3(), otherParams.getmParam4(), otherParams.getmParam5());
    }

    private com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink createActivityRecognitionHardwareSink_O(final com.huawei.android.location.activityrecognition.HwActivityRecognitionHardwareSink sink) {
        if (sink == null) {
            return null;
        }
        return new com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink.Stub() {
            public void onActivityChanged(com.huawei.systemserver.activityrecognition.HwActivityChangedEvent event) throws android.os.RemoteException {
                sink.onActivityChanged(com.huawei.android.location.activityrecognition.HwActivityRecognition.this.tranferToHwActivityChangedEvent(event));
            }

            public void onActivityExtendChanged(com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent event) throws android.os.RemoteException {
                sink.onActivityExtendChanged(com.huawei.android.location.activityrecognition.HwActivityRecognition.this.tranferToHwActivityChangedExtendEvent(event));
            }

            public void onEnvironmentChanged(com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent event) throws android.os.RemoteException {
                sink.onEnvironmentChanged(com.huawei.android.location.activityrecognition.HwActivityRecognition.this.tranferToHwEnvironmentChangedEvent(event));
            }
        };
    }

    private void handleProviderLoad() {
        try {
            if (this.mService == null) {
                return;
            }
            if (this.mService.providerLoadOk()) {
                this.mHandler.removeMessages(0);
                this.mServiceConnection.onServiceConnected();
                return;
            }
            this.mHandler.sendEmptyMessageDelayed(0, 500);
        } catch (android.os.RemoteException e) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "providerLoadOk fail");
        }
    }

    private void bindService() {
        if (this.mConnectCount > 10) {
            com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", "try connect 10 times, connection fail");
            return;
        }
        java.lang.StringBuilder stringBuilder;
        android.content.Intent bindIntent;
        if (sdkVersion >= 25) {
            if (this.mService_O == null) {
                stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(this.mContext.getPackageName()));
                stringBuilder.append(" bind ar service.");
                com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
                bindIntent = new android.content.Intent();
                bindIntent.setClassName("com.huawei.systemserver", "com.huawei.systemserver.activityrecognition.ActivityRecognitionService");
                this.mContext.bindService(bindIntent, this.mConnection, 1);
                this.mConnectCount++;
                this.mHandler.sendEmptyMessageDelayed(1, 2000);
            }
        } else if (this.mService == null) {
            stringBuilder = new java.lang.StringBuilder(java.lang.String.valueOf(this.mContext.getPackageName()));
            stringBuilder.append(" bind ar service.");
            com.huawei.android.location.activityrecognition.SDKLog.d("ARMoudle.HwActivityRecognition", stringBuilder.toString());
            bindIntent = new android.content.Intent();
            bindIntent.setClassName("com.huawei.android.location.activityrecognition", "com.huawei.android.location.activityrecognition.ActivityRecognitionService");
            this.mContext.bindService(bindIntent, this.mConnection, 1);
            this.mConnectCount++;
            this.mHandler.sendEmptyMessageDelayed(1, 2000);
        }
    }

    private void notifyServiceDied() {
        try {
            if (sdkVersion >= 25) {
                if (this.mService_O != null) {
                    this.mService_O.asBinder().linkToDeath(this.deathHandler, 0);
                }
            } else if (this.mService != null) {
                this.mService.asBinder().linkToDeath(this.deathHandler, 0);
            }
        } catch (android.os.RemoteException e) {
            com.huawei.android.location.activityrecognition.SDKLog.e("ARMoudle.HwActivityRecognition", "IBinder register linkToDeath function fail.");
        }
    }
}
