package com.huawei.android.location.activityrecognition;

public interface IActivityRecognitionHardwareService extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService {
        private static final java.lang.String DESCRIPTOR = "com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService";
        static final int TRANSACTION_disableActivityEvent = 5;
        static final int TRANSACTION_enableActivityEvent = 4;
        static final int TRANSACTION_flush = 7;
        static final int TRANSACTION_getCurrentActivity = 6;
        static final int TRANSACTION_getSupportedActivities = 1;
        static final int TRANSACTION_providerLoadOk = 8;
        static final int TRANSACTION_registerSink = 2;
        static final int TRANSACTION_unregisterSink = 3;

        private static class Proxy implements com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService";
            }

            public java.lang.String[] getSupportedActivities() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String[] _result = _reply.createStringArray();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean registerSink(com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink sink) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeStrongBinder(sink != null ? sink.asBinder() : null);
                    boolean z = false;
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean unregisterSink(com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink sink) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeStrongBinder(sink != null ? sink.asBinder() : null);
                    boolean z = false;
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean enableActivityEvent(java.lang.String activity, int eventType, long reportLatencyNs) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(activity);
                    _data.writeInt(eventType);
                    _data.writeLong(reportLatencyNs);
                    boolean z = false;
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean disableActivityEvent(java.lang.String activity, int eventType) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(activity);
                    _data.writeInt(eventType);
                    boolean z = false;
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public java.lang.String getCurrentActivity() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String _result = _reply.readString();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean flush() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    boolean z = false;
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean providerLoadOk() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                    boolean z = false;
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
        }

        public static com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
            if (iin == null || !(iin instanceof com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService)) {
                return new com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService.Stub.Proxy(obj);
            }
            return (com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            if (code != 1598968902) {
                boolean _result;
                boolean _result2;
                switch (code) {
                    case 1:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        java.lang.String[] _result3 = getSupportedActivities();
                        reply.writeNoException();
                        reply.writeStringArray(_result3);
                        return true;
                    case 2:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        _result = registerSink(com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 3:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        _result = unregisterSink(com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 4:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        boolean _result4 = enableActivityEvent(data.readString(), data.readInt(), data.readLong());
                        reply.writeNoException();
                        reply.writeInt(_result4);
                        return true;
                    case 5:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        boolean _result5 = disableActivityEvent(data.readString(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result5);
                        return true;
                    case 6:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        java.lang.String _result6 = getCurrentActivity();
                        reply.writeNoException();
                        reply.writeString(_result6);
                        return true;
                    case 7:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        _result2 = flush();
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 8:
                        data.enforceInterface("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
                        _result2 = providerLoadOk();
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString("com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareService");
            return true;
        }
    }

    boolean disableActivityEvent(java.lang.String str, int i) throws android.os.RemoteException;

    boolean enableActivityEvent(java.lang.String str, int i, long j) throws android.os.RemoteException;

    boolean flush() throws android.os.RemoteException;

    java.lang.String getCurrentActivity() throws android.os.RemoteException;

    java.lang.String[] getSupportedActivities() throws android.os.RemoteException;

    boolean providerLoadOk() throws android.os.RemoteException;

    boolean registerSink(com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink iActivityRecognitionHardwareSink) throws android.os.RemoteException;

    boolean unregisterSink(com.huawei.android.location.activityrecognition.IActivityRecognitionHardwareSink iActivityRecognitionHardwareSink) throws android.os.RemoteException;
}
