package com.huawei.cota.aidl;

public interface ICotaCallBack extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.cota.aidl.ICotaCallBack {
        private static final java.lang.String DESCRIPTOR = "com.huawei.cota.aidl.ICotaCallBack";
        static final int TRANSACTION_onAppInstallFinish = 1;

        private static class Proxy implements com.huawei.cota.aidl.ICotaCallBack {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.cota.aidl.ICotaCallBack";
            }

            public void onAppInstallFinish(int apksInstallStatus) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.cota.aidl.ICotaCallBack");
                    _data.writeInt(apksInstallStatus);
                    this.mRemote.transact(1, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.cota.aidl.ICotaCallBack");
        }

        public static com.huawei.cota.aidl.ICotaCallBack asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.cota.aidl.ICotaCallBack");
            if (iin == null || !(iin instanceof com.huawei.cota.aidl.ICotaCallBack)) {
                return new com.huawei.cota.aidl.ICotaCallBack.Stub.Proxy(obj);
            }
            return (com.huawei.cota.aidl.ICotaCallBack) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "com.huawei.cota.aidl.ICotaCallBack";
            if (code == 1) {
                data.enforceInterface(descriptor);
                onAppInstallFinish(data.readInt());
                return true;
            } else if (code != 1598968902) {
                return super.onTransact(code, data, reply, flags);
            } else {
                reply.writeString(descriptor);
                return true;
            }
        }
    }

    void onAppInstallFinish(int i) throws android.os.RemoteException;
}
