package com.huawei.cota.aidl;

public interface ICotaInterface extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.cota.aidl.ICotaInterface {
        private static final java.lang.String DESCRIPTOR = "com.huawei.cota.aidl.ICotaInterface";
        static final int TRANSACTION_getApksInstallStatus = 4;
        static final int TRANSACTION_registerCallBack = 1;
        static final int TRANSACTION_startInstallApks = 3;
        static final int TRANSACTION_unregisterCallBack = 2;

        private static class Proxy implements com.huawei.cota.aidl.ICotaInterface {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.cota.aidl.ICotaInterface";
            }

            public boolean registerCallBack(com.huawei.cota.aidl.ICotaCallBack callback, java.lang.String packageName) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.cota.aidl.ICotaInterface");
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    _data.writeString(packageName);
                    boolean z = false;
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean unregisterCallBack(com.huawei.cota.aidl.ICotaCallBack callback, java.lang.String packageName) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.cota.aidl.ICotaInterface");
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    _data.writeString(packageName);
                    boolean z = false;
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void startInstallApks() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.cota.aidl.ICotaInterface");
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int getApksInstallStatus() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.cota.aidl.ICotaInterface");
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.cota.aidl.ICotaInterface");
        }

        public static com.huawei.cota.aidl.ICotaInterface asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.cota.aidl.ICotaInterface");
            if (iin == null || !(iin instanceof com.huawei.cota.aidl.ICotaInterface)) {
                return new com.huawei.cota.aidl.ICotaInterface.Stub.Proxy(obj);
            }
            return (com.huawei.cota.aidl.ICotaInterface) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "com.huawei.cota.aidl.ICotaInterface";
            if (code != 1598968902) {
                boolean _result;
                switch (code) {
                    case 1:
                        data.enforceInterface(descriptor);
                        _result = registerCallBack(com.huawei.cota.aidl.ICotaCallBack.Stub.asInterface(data.readStrongBinder()), data.readString());
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 2:
                        data.enforceInterface(descriptor);
                        _result = unregisterCallBack(com.huawei.cota.aidl.ICotaCallBack.Stub.asInterface(data.readStrongBinder()), data.readString());
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 3:
                        data.enforceInterface(descriptor);
                        startInstallApks();
                        reply.writeNoException();
                        return true;
                    case 4:
                        data.enforceInterface(descriptor);
                        int _result2 = getApksInstallStatus();
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString(descriptor);
            return true;
        }
    }

    int getApksInstallStatus() throws android.os.RemoteException;

    boolean registerCallBack(com.huawei.cota.aidl.ICotaCallBack iCotaCallBack, java.lang.String str) throws android.os.RemoteException;

    void startInstallApks() throws android.os.RemoteException;

    boolean unregisterCallBack(com.huawei.cota.aidl.ICotaCallBack iCotaCallBack, java.lang.String str) throws android.os.RemoteException;
}
