package com.huawei.msdp.devicestatus;

public class HuaweiMotionEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.msdp.devicestatus.HuaweiMotionEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.msdp.devicestatus.HuaweiMotionEvent>() {
        public com.huawei.msdp.devicestatus.HuaweiMotionEvent createFromParcel(android.os.Parcel source) {
            return new com.huawei.msdp.devicestatus.HuaweiMotionEvent(source);
        }

        public com.huawei.msdp.devicestatus.HuaweiMotionEvent[] newArray(int size) {
            return new com.huawei.msdp.devicestatus.HuaweiMotionEvent[size];
        }
    };
    private int mActivityRunSteps = 0;
    private int mActivityState = 0;
    private int mActivityTotalSteps = 0;
    private int mActivityWalkSteps = 0;
    private int mMotionDirection = 0;
    public android.os.Bundle mMotionExtras = null;
    private int mMotionRecoResult = 0;
    private int mMotionType = 0;

    public android.os.Bundle getMotionExtras() {
        return this.mMotionExtras;
    }

    public void setMotionExtras(android.os.Bundle Extras) {
        this.mMotionExtras = Extras;
    }

    public int getMotionType() {
        return this.mMotionType;
    }

    public void setMotionType(int motionType) {
        this.mMotionType = motionType;
    }

    public int getMotionRecoResult() {
        return this.mMotionRecoResult;
    }

    public void setMotionRecoResult(int motionRecoResult) {
        this.mMotionRecoResult = motionRecoResult;
    }

    public int getMotionDirection() {
        return this.mMotionDirection;
    }

    public void setMotionDirection(int motionDirect) {
        this.mMotionDirection = motionDirect;
    }

    public int getActivityState() {
        return this.mActivityState;
    }

    public void setActivityState(int activityState) {
        this.mActivityState = activityState;
    }

    public int getTotalSteps() {
        return this.mActivityTotalSteps;
    }

    public void setTotalSteps(int totalSteps) {
        this.mActivityTotalSteps = totalSteps;
    }

    public int getActivityWalkSteps() {
        return this.mActivityWalkSteps;
    }

    public void setActivityWalkSteps(int walkSteps) {
        this.mActivityWalkSteps = walkSteps;
    }

    public int getActivityRunSteps() {
        return this.mActivityRunSteps;
    }

    public void setActivityRunSteps(int runSteps) {
        this.mActivityRunSteps = runSteps;
    }

    public HuaweiMotionEvent(android.os.Parcel in) {
        this.mMotionType = in.readInt();
        this.mMotionRecoResult = in.readInt();
        this.mMotionDirection = in.readInt();
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        dest.writeInt(this.mMotionType);
        dest.writeInt(this.mMotionRecoResult);
        dest.writeInt(this.mMotionDirection);
    }

    public int describeContents() {
        return 0;
    }
}
