package com.huawei.msdp.devicestatus;

public interface IMSDPDeviceStatusChangedCallBack extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack {
        private static final java.lang.String DESCRIPTOR = "com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack";
        static final int TRANSACTION_onDeviceStatusChanged = 1;

        private static class Proxy implements com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack";
            }

            public void onDeviceStatusChanged(com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent event) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack");
                    if (event != null) {
                        _data.writeInt(1);
                        event.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack");
        }

        public static com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack");
            if (iin == null || !(iin instanceof com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack)) {
                return new com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack.Stub.Proxy(obj);
            }
            return (com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            if (code == 1) {
                com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent _arg0;
                data.enforceInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack");
                if (data.readInt() != 0) {
                    _arg0 = (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent) com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent.CREATOR.createFromParcel(data);
                } else {
                    _arg0 = null;
                }
                onDeviceStatusChanged(_arg0);
                reply.writeNoException();
                return true;
            } else if (code != 1598968902) {
                return super.onTransact(code, data, reply, flags);
            } else {
                reply.writeString("com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack");
                return true;
            }
        }
    }

    void onDeviceStatusChanged(com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent hwMSDPDeviceStatusChangeEvent) throws android.os.RemoteException;
}
