package com.huawei.recsys.aidl;

public class HwHighLightRecResult implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.recsys.aidl.HwHighLightRecResult> CREATOR = new android.os.Parcelable.Creator<com.huawei.recsys.aidl.HwHighLightRecResult>() {
        public com.huawei.recsys.aidl.HwHighLightRecResult createFromParcel(android.os.Parcel in) {
            return new com.huawei.recsys.aidl.HwHighLightRecResult(in);
        }

        public com.huawei.recsys.aidl.HwHighLightRecResult[] newArray(int size) {
            return new com.huawei.recsys.aidl.HwHighLightRecResult[size];
        }
    };
    private java.lang.String action;
    private int actionType;
    private java.util.List<java.lang.String> content;
    private java.lang.String extraInfo;
    private int priority;
    private java.lang.String rule;

    public java.lang.String getRule() {
        return this.rule;
    }

    public void setRule(java.lang.String rule) {
        this.rule = rule;
    }

    public java.lang.String getAction() {
        return this.action;
    }

    public void setAction(java.lang.String action) {
        this.action = action;
    }

    public java.lang.String getExtraInfo() {
        return this.extraInfo;
    }

    public void setExtraInfo(java.lang.String extraInfo) {
        this.extraInfo = extraInfo;
    }

    public java.util.List<java.lang.String> getContent() {
        return this.content;
    }

    public void setContent(java.util.List<java.lang.String> content) {
        this.content = content;
    }

    public int getActionType() {
        return this.actionType;
    }

    public void setActionType(int actionType) {
        this.actionType = actionType;
    }

    public int getPriority() {
        return this.priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }

    protected HwHighLightRecResult(android.os.Parcel in) {
        this.rule = in.readString();
        this.action = in.readString();
        this.extraInfo = in.readString();
        this.content = in.createStringArrayList();
        this.actionType = in.readInt();
        this.priority = in.readInt();
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        dest.writeString(this.rule);
        dest.writeString(this.action);
        dest.writeString(this.extraInfo);
        dest.writeStringList(this.content);
        dest.writeInt(this.actionType);
        dest.writeInt(this.priority);
    }
}
