package com.huawei.recsys.aidl;

public interface IHwRecSysCallBack extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.recsys.aidl.IHwRecSysCallBack {
        private static final java.lang.String DESCRIPTOR = "com.huawei.recsys.aidl.IHwRecSysCallBack";
        static final int TRANSACTION_onConfigResult = 2;
        static final int TRANSACTION_onRecResult = 1;

        private static class Proxy implements com.huawei.recsys.aidl.IHwRecSysCallBack {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.recsys.aidl.IHwRecSysCallBack";
            }

            public void onRecResult(com.huawei.recsys.aidl.HwObjectContainer hwObjectContainer) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.IHwRecSysCallBack");
                    if (hwObjectContainer != null) {
                        _data.writeInt(1);
                        hwObjectContainer.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void onConfigResult(int resCode, java.lang.String message) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.IHwRecSysCallBack");
                    _data.writeInt(resCode);
                    _data.writeString(message);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.recsys.aidl.IHwRecSysCallBack");
        }

        public static com.huawei.recsys.aidl.IHwRecSysCallBack asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.recsys.aidl.IHwRecSysCallBack");
            if (iin == null || !(iin instanceof com.huawei.recsys.aidl.IHwRecSysCallBack)) {
                return new com.huawei.recsys.aidl.IHwRecSysCallBack.Stub.Proxy(obj);
            }
            return (com.huawei.recsys.aidl.IHwRecSysCallBack) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "com.huawei.recsys.aidl.IHwRecSysCallBack";
            if (code != 1598968902) {
                switch (code) {
                    case 1:
                        com.huawei.recsys.aidl.HwObjectContainer _arg0;
                        data.enforceInterface(descriptor);
                        if (data.readInt() != 0) {
                            _arg0 = (com.huawei.recsys.aidl.HwObjectContainer) com.huawei.recsys.aidl.HwObjectContainer.CREATOR.createFromParcel(data);
                        } else {
                            _arg0 = null;
                        }
                        onRecResult(_arg0);
                        reply.writeNoException();
                        return true;
                    case 2:
                        data.enforceInterface(descriptor);
                        onConfigResult(data.readInt(), data.readString());
                        reply.writeNoException();
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString(descriptor);
            return true;
        }
    }

    void onConfigResult(int i, java.lang.String str) throws android.os.RemoteException;

    void onRecResult(com.huawei.recsys.aidl.HwObjectContainer hwObjectContainer) throws android.os.RemoteException;
}
