package com.huawei.systemserver.activityrecognition;

public interface IActivityRecognitionHardwareSink extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink {
        private static final java.lang.String DESCRIPTOR = "com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink";
        static final int TRANSACTION_onActivityChanged = 1;
        static final int TRANSACTION_onActivityExtendChanged = 2;
        static final int TRANSACTION_onEnvironmentChanged = 3;

        private static class Proxy implements com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink";
            }

            public void onActivityChanged(com.huawei.systemserver.activityrecognition.HwActivityChangedEvent event) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
                    if (event != null) {
                        _data.writeInt(1);
                        event.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void onActivityExtendChanged(com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent event) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
                    if (event != null) {
                        _data.writeInt(1);
                        event.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void onEnvironmentChanged(com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent event) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
                    if (event != null) {
                        _data.writeInt(1);
                        event.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
        }

        public static com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
            if (iin == null || !(iin instanceof com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink)) {
                return new com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink.Stub.Proxy(obj);
            }
            return (com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            if (code != 1598968902) {
                com.huawei.systemserver.activityrecognition.HwActivityChangedEvent _arg0 = null;
                switch (code) {
                    case 1:
                        data.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
                        if (data.readInt() != 0) {
                            _arg0 = (com.huawei.systemserver.activityrecognition.HwActivityChangedEvent) com.huawei.systemserver.activityrecognition.HwActivityChangedEvent.CREATOR.createFromParcel(data);
                        }
                        onActivityChanged(_arg0);
                        reply.writeNoException();
                        return true;
                    case 2:
                        com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent _arg02;
                        data.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
                        if (data.readInt() != 0) {
                            _arg02 = (com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent) com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent.CREATOR.createFromParcel(data);
                        }
                        onActivityExtendChanged(_arg02);
                        reply.writeNoException();
                        return true;
                    case 3:
                        com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent _arg03;
                        data.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
                        if (data.readInt() != 0) {
                            _arg03 = (com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent) com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent.CREATOR.createFromParcel(data);
                        }
                        onEnvironmentChanged(_arg03);
                        reply.writeNoException();
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink");
            return true;
        }
    }

    void onActivityChanged(com.huawei.systemserver.activityrecognition.HwActivityChangedEvent hwActivityChangedEvent) throws android.os.RemoteException;

    void onActivityExtendChanged(com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent hwActivityChangedExtendEvent) throws android.os.RemoteException;

    void onEnvironmentChanged(com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent hwEnvironmentChangedEvent) throws android.os.RemoteException;
}
