package com.huawei.tips;

public interface ITipsInterface extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.tips.ITipsInterface {
        private static final java.lang.String DESCRIPTOR = "com.huawei.tips.ITipsInterface";
        static final int TRANSACTION_sendTips = 1;

        private static class Proxy implements com.huawei.tips.ITipsInterface {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.tips.ITipsInterface";
            }

            public void sendTips(java.lang.String targetAction, java.lang.String recommendType, java.lang.String featureID) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.tips.ITipsInterface");
                    _data.writeString(targetAction);
                    _data.writeString(recommendType);
                    _data.writeString(featureID);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.tips.ITipsInterface");
        }

        public static com.huawei.tips.ITipsInterface asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.tips.ITipsInterface");
            if (iin == null || !(iin instanceof com.huawei.tips.ITipsInterface)) {
                return new com.huawei.tips.ITipsInterface.Stub.Proxy(obj);
            }
            return (com.huawei.tips.ITipsInterface) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "com.huawei.tips.ITipsInterface";
            if (code == 1) {
                data.enforceInterface(descriptor);
                sendTips(data.readString(), data.readString(), data.readString());
                reply.writeNoException();
                return true;
            } else if (code != 1598968902) {
                return super.onTransact(code, data, reply, flags);
            } else {
                reply.writeString(descriptor);
                return true;
            }
        }
    }

    void sendTips(java.lang.String str, java.lang.String str2, java.lang.String str3) throws android.os.RemoteException;
}
