package com.leisen.wallet.sdk.bean;

public class CommonRequestParams {
    private java.lang.String cplc;
    private java.lang.String funCallId;
    private java.lang.String serviceId;

    public CommonRequestParams(java.lang.String serviceId, java.lang.String funCallId, java.lang.String cplc) {
        this.serviceId = serviceId;
        this.funCallId = funCallId;
        this.cplc = cplc;
    }

    public java.lang.String getServiceId() {
        return this.serviceId;
    }

    public void setServiceId(java.lang.String serviceId) {
        this.serviceId = serviceId;
    }

    public java.lang.String getFunCallId() {
        return this.funCallId;
    }

    public void setFunCallId(java.lang.String funCallId) {
        this.funCallId = funCallId;
    }

    public java.lang.String getCplc() {
        return this.cplc;
    }

    public void setCplc(java.lang.String cplc) {
        this.cplc = cplc;
    }

    public java.lang.String getSeid() {
        if (this.cplc == null || "".equals(this.cplc) || this.cplc.length() <= 42) {
            return null;
        }
        java.lang.String result = new java.lang.StringBuilder();
        result.append(this.cplc.substring(0, 4));
        result.append(this.cplc.substring(20, 36));
        return result.toString().toUpperCase(java.util.Locale.getDefault());
    }
}
