package com.leisen.wallet.sdk.newhttp;

public abstract class SimpleResponseHandlerX extends com.leisen.wallet.sdk.newhttp.AsyncHttpResponseHandlerX {
    public abstract void OnFailure(java.lang.String str, java.lang.Throwable th);

    public abstract void onSuccess(java.lang.String str);

    public void onSuccess(int statusCode, byte[] responseBody) {
        onSuccess(getResponseString(responseBody, getCharset()));
    }

    public void onFailure(int statusCode, byte[] responseBody, java.lang.Throwable error) {
        OnFailure(getResponseString(responseBody, getCharset()), error);
    }

    private java.lang.String getResponseString(byte[] data, java.lang.String charset) {
        java.lang.String str = null;
        if (data != null) {
            try {
                str = new java.lang.String(data, charset);
            } catch (java.io.UnsupportedEncodingException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("==>");
                stringBuilder.append(e.getMessage());
                com.leisen.wallet.sdk.util.LogUtil.e("", stringBuilder.toString());
                return null;
            }
        }
        return str;
    }
}
