package com.leisen.wallet.sdk.oma;

public class SmartCardBean {
    public static final int READER_TYPE_ESE = 1;
    public static final int READER_TYPE_ESE2 = 3;
    public static final int READER_TYPE_SD = 2;
    public static final int READER_TYPE_SIM = 0;
    private java.lang.String aid;
    private java.lang.String command;
    private int reader = -1;

    public SmartCardBean(int reader, java.lang.String aid) {
        this.reader = reader;
        this.aid = aid;
    }

    public SmartCardBean(int reader, java.lang.String aid, java.lang.String command) {
        this.reader = reader;
        this.aid = aid;
        this.command = command;
    }

    public int getReader() {
        return this.reader;
    }

    public void setReader(int reader) {
        this.reader = reader;
    }

    public java.lang.String getReaderName() {
        switch (this.reader) {
            case 0:
                return "SIM";
            case 1:
                return "eSE";
            case 2:
                return "SD";
            case 3:
                return "eSE2";
            default:
                return null;
        }
    }

    public java.lang.String getAid() {
        return this.aid;
    }

    public void setAid(java.lang.String aid) {
        this.aid = aid;
    }

    public java.lang.String getCommand() {
        return this.command;
    }

    public void setCommand(java.lang.String command) {
        this.command = command;
    }
}
