package huawei.com.android.server.fingerprint;

public class HintText extends android.widget.TextView {
    private android.text.DynamicLayout mDynamicLayout;
    private android.text.TextPaint tp;

    public HintText(android.content.Context context, android.util.AttributeSet attrs) {
        super(context, attrs);
    }

    protected void onSizeChanged(int w, int h, int oldw, int oldh) {
        super.onSizeChanged(w, h, oldw, oldh);
        initView();
    }

    private void initView() {
        this.tp = new android.text.TextPaint(1);
        this.tp.setTextSize(getTextSize());
        this.tp.setColor(getCurrentTextColor());
    }

    protected void onDraw(android.graphics.Canvas canvas) {
        this.mDynamicLayout = new android.text.DynamicLayout(getText(), this.tp, getWidth(), android.text.Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
        this.mDynamicLayout.draw(canvas);
    }
}
