package huawei.com.android.server.fingerprint;

public class SingleModeContentObserver extends android.database.ContentObserver {
    private static final java.lang.String TAG = "SingleModeContentObserver";
    private huawei.com.android.server.fingerprint.SingleModeContentObserver.ICallBack mCallback;

    public interface ICallBack {
        void onContentChange();
    }

    public SingleModeContentObserver(android.os.Handler handler, huawei.com.android.server.fingerprint.SingleModeContentObserver.ICallBack callback) {
        super(handler);
        this.mCallback = callback;
    }

    public void onChange(boolean selfChange) {
        android.util.Log.e("SingleModeContentObserver", "SingleModeContentObserver change");
        if (this.mCallback != null) {
            this.mCallback.onContentChange();
        }
    }
}
