package android.os;

public interface IHwBrightnessCallback extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements android.os.IHwBrightnessCallback {
        private static final java.lang.String DESCRIPTOR = "android.os.IHwBrightnessCallback";
        static final int TRANSACTION_onStatusChanged = 1;

        private static class Proxy implements android.os.IHwBrightnessCallback {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "android.os.IHwBrightnessCallback";
            }

            public void onStatusChanged(java.lang.String what, int arg1, int arg2, android.os.Bundle data) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("android.os.IHwBrightnessCallback");
                    _data.writeString(what);
                    _data.writeInt(arg1);
                    _data.writeInt(arg2);
                    if (data != null) {
                        _data.writeInt(1);
                        data.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "android.os.IHwBrightnessCallback");
        }

        public static android.os.IHwBrightnessCallback asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("android.os.IHwBrightnessCallback");
            if (iin == null || !(iin instanceof android.os.IHwBrightnessCallback)) {
                return new android.os.IHwBrightnessCallback.Stub.Proxy(obj);
            }
            return (android.os.IHwBrightnessCallback) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "android.os.IHwBrightnessCallback";
            if (code == 1) {
                android.os.Bundle _arg3;
                data.enforceInterface(descriptor);
                java.lang.String _arg0 = data.readString();
                int _arg1 = data.readInt();
                int _arg2 = data.readInt();
                if (data.readInt() != 0) {
                    _arg3 = (android.os.Bundle) android.os.Bundle.CREATOR.createFromParcel(data);
                } else {
                    _arg3 = null;
                }
                onStatusChanged(_arg0, _arg1, _arg2, _arg3);
                reply.writeNoException();
                return true;
            } else if (code != 1598968902) {
                return super.onTransact(code, data, reply, flags);
            } else {
                reply.writeString(descriptor);
                return true;
            }
        }
    }

    void onStatusChanged(java.lang.String str, int i, int i2, android.os.Bundle bundle) throws android.os.RemoteException;
}
