package android.os;

public class RemoteException extends android.util.AndroidException {
    public RemoteException(java.lang.String message) {
        super(message);
    }

    public RemoteException(java.lang.String message, java.lang.Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    public java.lang.RuntimeException rethrowAsRuntimeException() {
        throw new java.lang.RuntimeException(this);
    }

    public java.lang.RuntimeException rethrowFromSystemServer() {
        if (this instanceof android.os.DeadObjectException) {
            throw new java.lang.RuntimeException(new android.os.DeadSystemException());
        }
        throw new java.lang.RuntimeException(this);
    }
}
