package com.android.server;

public class HwIMonitorManager {
    public static final short FAIL_REASON_VARCHAR = (short) 0;
    public static final java.lang.String TAG = "HwIMonitorManager";
    private static com.android.server.HwIMonitorManager mHwIMonitorManager = null;

    public static synchronized com.android.server.HwIMonitorManager getInstance() {
        com.android.server.HwIMonitorManager hwIMonitorManager;
        synchronized (com.android.server.HwIMonitorManager.class) {
            if (mHwIMonitorManager == null) {
                mHwIMonitorManager = new com.android.server.HwIMonitorManager();
            }
            hwIMonitorManager = mHwIMonitorManager;
        }
        return hwIMonitorManager;
    }

    public boolean uploadBtRadarEvent(int event, java.lang.String exception) {
        if (exception == null) {
            return false;
        }
        android.util.IMonitor.EventStream eStream = android.util.IMonitor.openEventStream(event);
        if (eStream != null) {
            eStream.setParam((short) 0, exception);
        }
        return uploadIMonitorEvent(eStream);
    }

    private boolean uploadIMonitorEvent(android.util.IMonitor.EventStream eStream) {
        if (eStream == null) {
            com.android.server.HwLog.d("HwIMonitorManager", "eStream is null!");
            return false;
        }
        boolean ret;
        synchronized (this) {
            ret = android.util.IMonitor.sendEvent(eStream);
            android.util.IMonitor.closeEventStream(eStream);
        }
        return ret;
    }
}
