package com.android.server;

public class HwNLPManagerImpl implements com.android.server.HwNLPManager {
    private static com.android.server.HwNLPManager mInstance = new com.android.server.HwNLPManagerImpl();

    public boolean shouldSkipGoogleNlp(android.content.Intent intent, java.lang.String processName) {
        return com.android.server.am.MultiNlpUtils.shouldSkipGoogleNlp(intent, processName);
    }

    public static com.android.server.HwNLPManager getDefault() {
        return mInstance;
    }

    public boolean shouldSkipGoogleNlp(int pid) {
        return com.android.server.LocationManagerServiceUtil.shouldSkipGoogleNlp(pid);
    }

    public boolean skipForeignNlpPackage(java.lang.String action, java.lang.String packageName) {
        return com.android.server.LocationManagerServiceUtil.skipForeignNlpPackage(action, packageName);
    }

    public boolean useCivilNlpPackage(java.lang.String action, java.lang.String packageName) {
        return com.android.server.LocationManagerServiceUtil.useCivilNlpPackage(action, packageName);
    }

    public void setLocationManagerService(com.android.server.LocationManagerService service, android.content.Context context) {
        com.android.server.LocationManagerServiceUtil.getDefault(service, context);
    }

    public void setPidGoogleLocation(int pid, java.lang.String processName) {
        com.android.server.LocationManagerServiceUtil.setPidGoogleLocation(pid, processName);
    }

    public void setHwMultiNlpPolicy(android.content.Context context) {
        com.android.server.location.HwMultiNlpPolicy.getDefault(context);
    }
}
