package com.android.server;

public class HwNetworkManagementService extends com.android.server.NetworkManagementService {
    private static final java.lang.String ACTION_WIFI_AP_STA_JOIN = "android.net.wifi.WIFI_AP_STA_JOIN";
    private static final java.lang.String ACTION_WIFI_AP_STA_LEAVE = "android.net.wifi.WIFI_AP_STA_LEAVE";
    private static final java.lang.String AD_APKDL_STRATEGY = "com.huawei.permission.AD_APKDL_STRATEGY";
    private static final java.lang.String AD_APKDL_STRATEGY_PERMISSION = "com.huawei.permission.AD_APKDL_STRATEGY";
    private static final int AD_STRATEGY = 0;
    private static final int APK_CONTROL_STRATEGY = 2;
    private static final int APK_DL_STRATEGY = 1;
    private static final java.lang.String ARG_ADD = "add";
    private static final java.lang.String ARG_CLEAR = "clear";
    private static final java.lang.String ARG_IP_WHITELIST = "ipwhitelist";
    private static final java.lang.String ARG_SET = "set";
    private static final java.lang.String BROWSER_UID_INFO = "BrowserUidInfo";
    private static final java.lang.String CHR_BROADCAST_PERMISSION = "com.huawei.android.permission.GET_CHR_DATA";
    private static final java.lang.String CMD_NET_FILTER = "net_filter";
    private static final int CODE_AD_DEBUG = 1019;
    private static final int CODE_CLEAN_AD_STRATEGY = 1018;
    private static final int CODE_CLEAR_AD_APKDL_STRATEGY = 1103;
    private static final int CODE_CLOSE_SOCKETS_FOR_UID = 1107;
    private static final int CODE_GET_AD_KEY_LIST = 1016;
    private static final int CODE_GET_APLINKED_STA_LIST = 1005;
    private static final int CODE_GET_WIFI_DNS_STAT = 1011;
    private static final int CODE_PRINT_AD_APKDL_STRATEGY = 1104;
    private static final int CODE_REMOVE_LEGACYROUTE_TO_HOST = 1015;
    private static final int CODE_SET_AD_STRATEGY = 1017;
    private static final int CODE_SET_AD_STRATEGY_RULE = 1101;
    private static final int CODE_SET_APK_CONTROL_STRATEGY = 1109;
    private static final int CODE_SET_APK_DL_STRATEGY = 1102;
    private static final int CODE_SET_APK_DL_URL_USER_RESULT = 1105;
    private static final int CODE_SET_AP_CONFIGRATION_HW = 1008;
    private static final int CODE_SET_CHR_REPORT_APP_LIST = 1108;
    private static final int CODE_SET_FIREWALL_RULE_FOR_PID = 1110;
    private static final int CODE_SET_NETWORK_ACCESS_WHITELIST = 1106;
    private static final int CODE_SET_SOFTAP_DISASSOCIATESTA = 1007;
    private static final int CODE_SET_SOFTAP_MACFILTER = 1006;
    private static final int CODE_SET_SOFTAP_TX_POWER = 1009;
    private static final int DATA_SEND_TO_KERNEL_APP_QOE_RSRP = 4;
    private static final int DATA_SEND_TO_KERNEL_APP_QOE_UID = 3;
    private static final int DATA_SEND_TO_KERNEL_BS_SUPPORT_VIDEO_ACC = 1;
    private static final int DATA_SEND_TO_KERNEL_SUPPORT_AI_CHANGE = 2;
    private static final int DATA_SEND_TO_NETD_PRE_DNS_APP_UID = 5;
    private static final int DATA_SEND_TO_NETD_PRE_DNS_BROWSER_UID = 6;
    private static final int DATA_SEND_TO_NETD_PRE_DNS_TOP_DOMAIN = 7;
    private static final int DATA_SEND_TO_NETD_PRE_DNS_UID_FOREGROUND = 8;
    private static final int DEFAULT_ISMCOEX_WIFI_AP_CHANNEL = 11;
    private static final int DEFAULT_WIFI_AP_CHANNEL = 0;
    private static final int DEFAULT_WIFI_AP_MAXSCB = 8;
    private static final int DEFAULT_WIFI_AP_MAX_CONNECTIONS = 8;
    private static final java.lang.String DESCRIPTOR = "android.net.wifi.INetworkManager";
    private static final java.lang.String DESCRIPTOR_ADCLEANER_MANAGER_Ex = "android.os.AdCleanerManagerEx";
    private static final java.lang.String DESCRIPTOR_HW_AD_CLEANER = "android.view.HwAdCleaner";
    private static final java.lang.String DESCRIPTOR_NETWORKMANAGEMENT_SERVICE = "android.os.INetworkManagementService";
    private static final java.lang.String DNS_DOMAIN_NAME = "DnsDomainName";
    private static final java.lang.String EVENT_KEY = "event_key";
    private static final int EVENT_REGISTER_BOOSTER_CALLBACK = 0;
    private static final java.lang.String EXP_INFO_REPORT_ENABLE = "ExpInfoReportState";
    private static final java.lang.String EXTRA_CURRENT_TIME = "currentTime";
    private static final java.lang.String EXTRA_STA_COUNT = "staCount";
    private static final java.lang.String EXTRA_STA_INFO = "macInfo";
    private static final java.lang.String FOREGROUND_STATE = "ForegroundState";
    private static final java.lang.String FOREGROUND_UID = "ForegroundUid";
    private static final java.lang.String HEX_STR = "0123456789ABCDEF";
    private static final int HIDATA_APP_QOE_TO_KERNEL_MSG_TYPE_RSRP = 1;
    private static final int HIDATA_APP_QOE_TO_KERNEL_MSG_TYPE_UID_PERIOD = 2;
    private static final int HSM_TRANSACT_CODE = 201;
    private static final java.lang.String HW_SYSTEM_SERVER_START = "com.huawei.systemserver.START";
    private static final java.lang.String INTENT_APKDL_URL_DETECTED = "com.android.intent.action.apkdl_url_detected";
    private static final java.lang.String INTENT_DS_WIFI_WEB_STAT_REPORT = "com.huawei.chr.wifi.action.web_stat_report";
    private static final java.lang.String ISM_COEX_ON = "ro.config.hw_ismcoex";
    private static final int KERNEL_DATA_MEDIA_INFO = 1;
    private static final int KERNEL_DATA_NET_SPEED_EXP_INFO = 2;
    private static final java.lang.String MAC_KEY = "mac_key";
    private static final int MAX_ARGC_PER_COMMAND = 12;
    private static final int PER_STRATEGY_SIZE = 470;
    private static final int PER_UID_LIST_SIZE = 50;
    private static final int STATE_ON = 1;
    private static final java.lang.String STA_JOIN_EVENT = "STA_JOIN";
    private static final int STA_JOIN_HANDLE_DELAY = 5000;
    private static final java.lang.String STA_LEAVE_EVENT = "STA_LEAVE";
    private static final java.lang.String TAG = com.android.server.HwNetworkManagementService.class.getSimpleName();
    private static final java.lang.String TOP_APP_UID_INFO = "TogAppUidInfo";
    private static final java.lang.String VIDEO_INFO_REPORT_ENABLE = "VideoInfoReportState";
    private static final int WEB_STAT = 0;
    private static final int WIFI_STAT_DELTA = 231;
    private java.util.Map<java.lang.String, java.util.List<java.lang.String>> mAdIdMap = new java.util.HashMap();
    private java.util.Map<java.lang.String, java.util.List<java.lang.String>> mAdViewMap = new java.util.HashMap();
    private android.os.Handler mApLinkedStaHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            java.lang.String access$200;
            java.lang.StringBuilder stringBuilder;
            java.lang.String action = null;
            long mCurrentTime = java.lang.System.currentTimeMillis();
            android.os.Bundle bundle = msg.getData();
            java.lang.String event = bundle.getString("event_key");
            java.lang.String macStr = bundle.getString("mac_key").toLowerCase();
            if ("STA_JOIN".equals(event)) {
                action = "android.net.wifi.WIFI_AP_STA_JOIN";
                if (com.android.server.HwNetworkManagementService.this.mMacList.contains(macStr)) {
                    access$200 = com.android.server.HwNetworkManagementService.TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(macStr);
                    stringBuilder.append(" had been added, but still get event ");
                    stringBuilder.append(event);
                    android.util.Slog.e(access$200, stringBuilder.toString());
                } else {
                    com.android.server.HwNetworkManagementService.this.mMacList.add(macStr);
                    com.android.server.HwNetworkManagementService.this.mLinkedStaCount = com.android.server.HwNetworkManagementService.this.mLinkedStaCount + 1;
                }
            } else if ("STA_LEAVE".equals(event)) {
                action = "android.net.wifi.WIFI_AP_STA_LEAVE";
                if (com.android.server.HwNetworkManagementService.this.mApLinkedStaHandler.hasMessages(msg.what)) {
                    com.android.server.HwNetworkManagementService.this.mApLinkedStaHandler.removeMessages(msg.what);
                    access$200 = com.android.server.HwNetworkManagementService.TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("event=");
                    stringBuilder.append(event);
                    stringBuilder.append(", remove STA_JOIN message");
                    android.util.Slog.d(access$200, stringBuilder.toString());
                } else if (com.android.server.HwNetworkManagementService.this.mMacList.contains(macStr)) {
                    com.android.server.HwNetworkManagementService.this.mMacList.remove(macStr);
                    com.android.server.HwNetworkManagementService.this.mLinkedStaCount = com.android.server.HwNetworkManagementService.this.mLinkedStaCount - 1;
                } else {
                    access$200 = com.android.server.HwNetworkManagementService.TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(macStr);
                    stringBuilder.append(" had been removed, but still get event ");
                    stringBuilder.append(event);
                    android.util.Slog.e(access$200, stringBuilder.toString());
                }
            }
            access$200 = com.android.server.HwNetworkManagementService.TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("handle ");
            stringBuilder.append(event);
            stringBuilder.append(" event, mLinkedStaCount=");
            stringBuilder.append(com.android.server.HwNetworkManagementService.this.mLinkedStaCount);
            android.util.Slog.d(access$200, stringBuilder.toString());
            if (com.android.server.HwNetworkManagementService.this.mLinkedStaCount < 0 || com.android.server.HwNetworkManagementService.this.mLinkedStaCount > 8 || com.android.server.HwNetworkManagementService.this.mLinkedStaCount != com.android.server.HwNetworkManagementService.this.mMacList.size()) {
                access$200 = com.android.server.HwNetworkManagementService.TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("mLinkedStaCount over flow, need synchronize. value = ");
                stringBuilder2.append(com.android.server.HwNetworkManagementService.this.mLinkedStaCount);
                android.util.Slog.e(access$200, stringBuilder2.toString());
                try {
                    java.lang.String[] macList = com.android.server.HwNetworkManagementService.this.mConnector.doListCommand("softap", 121, new java.lang.Object[]{"assoclist"});
                    com.android.server.HwNetworkManagementService.this.mMacList = new java.util.ArrayList();
                    if (macList == null) {
                        com.android.server.HwNetworkManagementService.this.mLinkedStaCount = 0;
                    } else {
                        for (java.lang.String mac : macList) {
                            if (mac == null) {
                                android.util.Slog.e(com.android.server.HwNetworkManagementService.TAG, "get mac from macList is null");
                            } else {
                                com.android.server.HwNetworkManagementService.this.mMacList.add(mac.toLowerCase());
                            }
                        }
                        com.android.server.HwNetworkManagementService.this.mLinkedStaCount = com.android.server.HwNetworkManagementService.this.mMacList.size();
                    }
                } catch (com.android.server.NativeDaemonConnectorException e) {
                    android.util.Slog.e(com.android.server.HwNetworkManagementService.TAG, "Cannot communicate with native daemon to get linked stations list");
                    com.android.server.HwNetworkManagementService.this.mMacList = new java.util.ArrayList();
                    com.android.server.HwNetworkManagementService.this.mLinkedStaCount = 0;
                }
            }
            access$200 = java.lang.String.format("MAC=%s TIME=%d STACNT=%d", new java.lang.Object[]{macStr, java.lang.Long.valueOf(mCurrentTime), java.lang.Integer.valueOf(com.android.server.HwNetworkManagementService.this.mLinkedStaCount)});
            java.lang.String access$2002 = com.android.server.HwNetworkManagementService.TAG;
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("send broadcast, event=");
            stringBuilder3.append(event);
            stringBuilder3.append(", extraInfo: ");
            stringBuilder3.append(access$200);
            android.util.Slog.e(access$2002, stringBuilder3.toString());
            android.content.Intent broadcast = new android.content.Intent(action);
            broadcast.putExtra("macInfo", macStr);
            broadcast.putExtra("currentTime", mCurrentTime);
            broadcast.putExtra("staCount", com.android.server.HwNetworkManagementService.this.mLinkedStaCount);
            com.android.server.HwNetworkManagementService.this.mContext.sendBroadcast(broadcast, "android.permission.ACCESS_WIFI_STATE");
        }
    };
    private boolean mBoosterEnabled = android.os.SystemProperties.getBoolean("ro.config.hw_booster", false);
    private boolean mBoosterNetAiChangeEnabled = android.os.SystemProperties.getBoolean("ro.config.hisi_net_ai_change", false);
    private boolean mBoosterPreDnsEnabled = android.os.SystemProperties.getBoolean("ro.config.pre_dns_query", false);
    private boolean mBoosterVideoAccEnabled = android.os.SystemProperties.getBoolean("ro.config.hisi_video_acc", false);
    private int mChannel;
    private java.util.concurrent.atomic.AtomicInteger mCmdId;
    private com.android.server.NativeDaemonConnector mConnector;
    private android.content.Context mContext;
    private android.net.wifi.HuaweiApConfiguration mHwApConfig;
    private final android.content.BroadcastReceiver mHwSystemServerStartReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.util.Slog.d(com.android.server.HwNetworkManagementService.TAG, "HwSystemServerStartReceiver intent=null");
                return;
            }
            java.lang.String action = intent.getAction();
            java.lang.String access$200 = com.android.server.HwNetworkManagementService.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("HwSystemServerStartReceiver action=");
            stringBuilder.append(action);
            android.util.Slog.d(access$200, stringBuilder.toString());
            if ("com.huawei.systemserver.START".equals(action) && com.android.server.HwNetworkManagementService.this.mBoosterEnabled) {
                com.android.server.HwNetworkManagementService.this.handleRegisterBoosterCallback();
            }
        }
    };
    private android.net.booster.IHwCommBoosterCallback mIHwCommBoosterCallback = new android.net.booster.IHwCommBoosterCallback.Stub() {
        public void callBack(int type, android.os.Bundle b) throws android.os.RemoteException {
            if (b != null) {
                switch (type) {
                    case 1:
                        if (1 != b.getInt("VideoInfoReportState")) {
                            com.android.server.HwNetworkManagementService.this.setNetBoosterVodEnabled(false);
                            break;
                        } else {
                            com.android.server.HwNetworkManagementService.this.setNetBoosterVodEnabled(true);
                            break;
                        }
                    case 2:
                        if (1 != b.getInt("ExpInfoReportState")) {
                            com.android.server.HwNetworkManagementService.this.setNetBoosterKsiEnabled(false);
                            break;
                        } else {
                            com.android.server.HwNetworkManagementService.this.setNetBoosterKsiEnabled(true);
                            break;
                        }
                    case 3:
                        com.android.server.HwNetworkManagementService.this.setNetBoosterAppUid(b);
                        break;
                    case 4:
                        com.android.server.HwNetworkManagementService.this.setNetBoosterRsrpRsrq(b);
                        break;
                    case 5:
                        com.android.server.HwNetworkManagementService.this.setNetBoosterPreDnsAppUid(b);
                        break;
                    case 6:
                        com.android.server.HwNetworkManagementService.this.setNetBoosterPreDnsBrowerUid(b);
                        break;
                    case 7:
                        com.android.server.HwNetworkManagementService.this.setNetBoosterPreDnsDomainName(b);
                        break;
                    case 8:
                        com.android.server.HwNetworkManagementService.this.setNetBoosterUidForeground(b);
                        break;
                    default:
                        break;
                }
            }
        }
    };
    private int mLinkedStaCount = 0;
    private java.util.List<java.lang.String> mMacList = new java.util.ArrayList();
    private java.lang.String mSoftapIface;
    private java.lang.String mWlanIface;
    private java.util.regex.Pattern p = java.util.regex.Pattern.compile("^.*max=([0-9]+);idx=([0-9]+);(.*)$");
    private java.util.HashMap<java.lang.String, java.lang.Long> startTimeMap = new java.util.HashMap();
    private java.lang.StringBuffer urlBuffer = new java.lang.StringBuffer();

    public static class BoosterConstants {
        public static final int ERROR_INVALID_PARAM = -3;
        public static final int ERROR_NO_SERVICE = -1;
        public static final int ERROR_REMOTE_EXCEPTION = -2;
        public static final int SUCCESS = 0;
    }

    static class NetdResponseCode {
        public static final int ApLinkedStaListChangeHISI = 651;
        public static final int ApLinkedStaListChangeQCOM = 901;
        public static final int HwDnsStat = 130;
        public static final int SoftapDhcpListResult = 122;
        public static final int SoftapListResult = 121;

        NetdResponseCode() {
        }
    }

    private void handleRegisterBoosterCallback() {
        android.util.Slog.d(TAG, "handleRegisterBoosterCallback");
        android.net.booster.IHwCommBoosterServiceManager bm = android.common.HwFrameworkFactory.getHwCommBoosterServiceManager();
        if (bm != null) {
            int ret = bm.registerCallBack("com.android.server", this.mIHwCommBoosterCallback);
            if (ret != 0) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleRegisterBoosterCallback:registerCallBack failed, ret=");
                stringBuilder.append(ret);
                android.util.Slog.e(str, stringBuilder.toString());
            }
            return;
        }
        android.util.Slog.e(TAG, "handleRegisterBoosterCallback:null HwCommBoosterServiceManager");
    }

    public HwNetworkManagementService(android.content.Context context, java.lang.String socket, com.android.server.NetworkManagementService.SystemServices services) {
        super(context, socket, services);
        this.mContext = context;
        this.mCmdId = new java.util.concurrent.atomic.AtomicInteger(0);
        android.content.IntentFilter filter = new android.content.IntentFilter("com.huawei.systemserver.START");
        if (this.mContext != null) {
            this.mContext.registerReceiver(this.mHwSystemServerStartReceiver, filter);
        }
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        java.util.List<java.lang.String> result;
        java.lang.String stats;
        if (code == 201) {
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
            return executeHsmCommand(data, reply);
        } else if (code == 1005) {
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
            result = getApLinkedStaList();
            reply.writeNoException();
            reply.writeStringList(result);
            return true;
        } else if (code == 1006) {
            android.util.Slog.d(TAG, "code == CODE_SET_SOFTAP_MACFILTER");
            data.enforceInterface("android.net.wifi.INetworkManager");
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
            setSoftapMacFilter(data.readString());
            reply.writeNoException();
            return true;
        } else if (code == 1007) {
            android.util.Slog.d(TAG, "code == CODE_SET_SOFTAP_DISASSOCIATESTA");
            data.enforceInterface("android.net.wifi.INetworkManager");
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
            setSoftapDisassociateSta(data.readString());
            reply.writeNoException();
            return true;
        } else if (code == 1008) {
            android.util.Slog.d(TAG, "code == CODE_SET_AP_CONFIGRATION_HW");
            data.enforceInterface("android.net.wifi.INetworkManager");
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
            this.mWlanIface = data.readString();
            this.mSoftapIface = data.readString();
            reply.writeNoException();
            setAccessPointHw(this.mWlanIface, this.mSoftapIface);
            return true;
        } else if (code == 1009) {
            android.util.Slog.d(TAG, "code == CODE_SET_SOFTAP_TX_POWER");
            data.enforceInterface("android.net.wifi.INetworkManager");
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
            setWifiTxPower(data.readString());
            reply.writeNoException();
            return true;
        } else if (code == 1011) {
            android.util.Slog.d(TAG, "code == CODE_GET_WIFI_DNS_STAT");
            data.enforceInterface("android.net.wifi.INetworkManager");
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
            stats = getWiFiDnsStats(data.readInt());
            reply.writeNoException();
            reply.writeString(stats);
            return true;
        } else {
            boolean result2 = false;
            java.lang.String str;
            java.lang.StringBuilder stringBuilder;
            int size;
            java.lang.String str2;
            java.lang.StringBuilder stringBuilder2;
            java.lang.String key;
            java.lang.String str3;
            java.lang.StringBuilder stringBuilder3;
            int i;
            java.lang.String str4;
            int flag;
            java.util.ArrayList<java.lang.String> adAppList;
            java.lang.StringBuilder stringBuilder4;
            java.lang.String appName;
            java.lang.StringBuilder stringBuilder5;
            java.lang.String[] pkgName;
            if (code == 1017) {
                android.util.Slog.d(TAG, "code == CODE_SET_AD_STRATEGY");
                data.enforceInterface("android.os.AdCleanerManagerEx");
                this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.AD_APKDL_STRATEGY", "permission denied");
                boolean needReset = data.readInt() > 0;
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("CODE_SET_AD_STRATEGY, needReset: ");
                stringBuilder.append(needReset);
                android.util.Slog.d(str, stringBuilder.toString());
                if (needReset) {
                    this.mAdViewMap.clear();
                    this.mAdIdMap.clear();
                }
                size = data.readInt();
                str2 = TAG;
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("CODE_SET_AD_STRATEGY, mAdViewMap size: ");
                stringBuilder2.append(size);
                android.util.Slog.d(str2, stringBuilder2.toString());
                if (size > 0) {
                    for (int i2 = 0; i2 < size; i2++) {
                        key = data.readString();
                        java.util.ArrayList<java.lang.String> value = data.createStringArrayList();
                        str3 = TAG;
                        stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("CODE_SET_AD_STRATEGY, mAdViewMap key: ");
                        stringBuilder3.append(key);
                        stringBuilder3.append(", at ");
                        stringBuilder3.append(i2);
                        android.util.Slog.d(str3, stringBuilder3.toString());
                        this.mAdViewMap.put(key, value);
                    }
                }
                size = data.readInt();
                str2 = TAG;
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("CODE_SET_AD_STRATEGY, mAdIdMap size: ");
                stringBuilder2.append(size);
                android.util.Slog.d(str2, stringBuilder2.toString());
                if (size > 0) {
                    while (i < size) {
                        str2 = data.readString();
                        java.util.ArrayList<java.lang.String> value2 = data.createStringArrayList();
                        str4 = TAG;
                        java.lang.StringBuilder stringBuilder6 = new java.lang.StringBuilder();
                        stringBuilder6.append("CODE_SET_AD_STRATEGY, mAdIdMap key: ");
                        stringBuilder6.append(str2);
                        stringBuilder6.append(", at ");
                        stringBuilder6.append(i);
                        android.util.Slog.d(str4, stringBuilder6.toString());
                        this.mAdIdMap.put(str2, value2);
                        i++;
                    }
                }
                reply.writeNoException();
                return true;
            } else if (code == 1018) {
                android.util.Slog.d(TAG, "code == CODE_CLEAN_AD_STRATEGY");
                data.enforceInterface("android.os.AdCleanerManagerEx");
                this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.AD_APKDL_STRATEGY", "permission denied");
                flag = data.readInt();
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("CODE_CLEAN_AD_STRATEGY, flag: ");
                stringBuilder.append(flag);
                android.util.Slog.d(str, stringBuilder.toString());
                if (1 == flag) {
                    this.mAdViewMap.clear();
                    this.mAdIdMap.clear();
                } else if (flag == 0) {
                    adAppList = data.createStringArrayList();
                    android.util.Slog.d(TAG, "CODE_CLEAN_AD_STRATEGY adAppList: ");
                    if (adAppList != null) {
                        while (i < adAppList.size()) {
                            str2 = (java.lang.String) adAppList.get(i);
                            key = TAG;
                            stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append(i);
                            stringBuilder4.append(" = ");
                            stringBuilder4.append(str2);
                            android.util.Slog.d(key, stringBuilder4.toString());
                            if (this.mAdViewMap.containsKey(str2)) {
                                this.mAdViewMap.remove(str2);
                            }
                            if (this.mAdIdMap.containsKey(str2)) {
                                this.mAdIdMap.remove(str2);
                            }
                            i++;
                        }
                    }
                }
                reply.writeNoException();
                return true;
            } else if (code == 1016) {
                android.util.Slog.d(TAG, "code == CODE_GET_AD_KEY_LIST");
                data.enforceInterface("android.view.HwAdCleaner");
                try {
                    appName = data.readString();
                    if (appName == null || !this.mAdViewMap.containsKey(appName)) {
                        reply.writeStringList(new java.util.ArrayList());
                        stats = TAG;
                        stringBuilder5 = new java.lang.StringBuilder();
                        stringBuilder5.append("appName = ");
                        stringBuilder5.append(appName);
                        stringBuilder5.append("  is not in the mAdViewMap! reply none");
                        android.util.Slog.d(stats, stringBuilder5.toString());
                    } else {
                        reply.writeStringList((java.util.List) this.mAdViewMap.get(appName));
                        stats = TAG;
                        stringBuilder5 = new java.lang.StringBuilder();
                        stringBuilder5.append("appName = ");
                        stringBuilder5.append(appName);
                        stringBuilder5.append("  is in the mAdViewMap!");
                        android.util.Slog.d(stats, stringBuilder5.toString());
                    }
                    if (appName == null || !this.mAdIdMap.containsKey(appName)) {
                        reply.writeStringList(new java.util.ArrayList());
                        stats = TAG;
                        stringBuilder5 = new java.lang.StringBuilder();
                        stringBuilder5.append("appName = ");
                        stringBuilder5.append(appName);
                        stringBuilder5.append("  is not in the mAdIdMap! reply none");
                        android.util.Slog.d(stats, stringBuilder5.toString());
                    } else {
                        reply.writeStringList((java.util.List) this.mAdIdMap.get(appName));
                        stats = TAG;
                        stringBuilder5 = new java.lang.StringBuilder();
                        stringBuilder5.append("appName = ");
                        stringBuilder5.append(appName);
                        stringBuilder5.append("  is in the mAdIdMap !");
                        android.util.Slog.d(stats, stringBuilder5.toString());
                    }
                } catch (java.lang.Exception e) {
                    android.util.Slog.d(TAG, "---------err: Exception ");
                }
                reply.writeNoException();
                return true;
            } else if (code == 1019) {
                android.util.Slog.d(TAG, "code == CODE_AD_DEBUG");
                data.enforceInterface("android.os.AdCleanerManagerEx");
                this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.AD_APKDL_STRATEGY", "permission denied");
                data.readInt();
                size = 0;
                java.lang.StringBuffer print = new java.lang.StringBuffer();
                if (this.mAdViewMap.isEmpty()) {
                    print.append("mAdViewMap is empty!");
                } else {
                    print.append("\n---------------- mAdViewMap is as followed ---------------\n");
                    java.util.Set<java.lang.String> keysSet = this.mAdViewMap.keySet();
                    java.util.List<java.lang.String> keysList = new java.util.ArrayList();
                    for (java.lang.String keyString : keysSet) {
                        keysList.add(keyString);
                    }
                    for (flag = 0; flag < this.mAdViewMap.size(); flag++) {
                        str3 = (java.lang.String) keysList.get(flag);
                        java.util.List<java.lang.String> value3 = (java.util.List) this.mAdViewMap.get(str3);
                        java.lang.StringBuilder stringBuilder7 = new java.lang.StringBuilder();
                        stringBuilder7.append("\n(");
                        stringBuilder7.append(flag);
                        stringBuilder7.append(") apkName = ");
                        stringBuilder7.append(str3);
                        stringBuilder7.append("\n");
                        print.append(stringBuilder7.toString());
                        for (size = 
/*
Method generation error in method: com.android.server.HwNetworkManagementService.onTransact(int, android.os.Parcel, android.os.Parcel, int):boolean, dex: 
jadx.core.utils.exceptions.CodegenException: Error generate insn: PHI: (r3_29 'size' int) = (r3_28 'size' int), (r3_32 'size' int) binds: {(r3_28 'size' int)=B:192:0x0388, (r3_32 'size' int)=B:104:0x03ef} in method: com.android.server.HwNetworkManagementService.onTransact(int, android.os.Parcel, android.os.Parcel, int):boolean, dex: 
	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:228)
	at jadx.core.codegen.RegionGen.makeLoop(RegionGen.java:183)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:61)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:87)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:53)
	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:93)
	at jadx.core.codegen.RegionGen.makeLoop(RegionGen.java:189)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:61)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:87)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:53)
	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:93)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:128)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:57)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:87)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:53)
	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:93)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:118)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:57)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:87)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:53)
	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:93)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:128)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.connectElseIf(RegionGen.java:143)
	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:124)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:57)
	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:87)
	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:53)
	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:173)
	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:321)
	at jadx.core.codegen.ClassGen.addMethods(ClassGen.java:259)
	at jadx.core.codegen.ClassGen.addClassBody(ClassGen.java:221)
	at jadx.core.codegen.ClassGen.addClassCode(ClassGen.java:111)
	at jadx.core.codegen.ClassGen.makeClass(ClassGen.java:77)
	at jadx.core.codegen.CodeGen.visit(CodeGen.java:10)
	at jadx.core.ProcessClass.process(ProcessClass.java:38)
	at jadx.api.JadxDecompiler.processClass(JadxDecompiler.java:292)
	at jadx.api.JavaClass.decompile(JavaClass.java:62)
	at jadx.api.JadxDecompiler.lambda$appendSourcesSave$0(JadxDecompiler.java:200)
Caused by: jadx.core.utils.exceptions.CodegenException: PHI can be used only in fallback mode
	at jadx.core.codegen.InsnGen.fallbackOnlyInsn(InsnGen.java:539)
	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:511)
	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:222)
	... 53 more

*/

    private boolean executeHsmCommand(android.os.Parcel data, android.os.Parcel reply) {
        try {
            java.lang.String cmd = data.readString();
            java.lang.Object[] args = data.readArray(null);
            if (this.mConnector != null) {
                reply.writeInt(this.mConnector.execute(cmd, args).isClassOk());
            }
            return true;
        } catch (java.lang.Exception e) {
            return false;
        }
    }

    public void setConnector(com.android.server.NativeDaemonConnector connector) {
        this.mConnector = connector;
    }

    private java.lang.String getChannel(android.net.wifi.WifiConfiguration wifiConfig) {
        if (wifiConfig.apBand == 0 && android.os.SystemProperties.getBoolean("ro.config.hw_ismcoex", false)) {
            this.mChannel = 11;
        } else {
            this.mChannel = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "wifi_ap_channel", 0);
            if (this.mChannel == 0 || ((wifiConfig.apBand == 0 && this.mChannel > 14) || (wifiConfig.apBand == 1 && this.mChannel < 34))) {
                this.mChannel = wifiConfig.apChannel;
            }
        }
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("channel=");
        stringBuilder.append(this.mChannel);
        android.util.Slog.d(str, stringBuilder.toString());
        return java.lang.String.valueOf(this.mChannel);
    }

    private java.lang.String getMaxscb() {
        int maxscb = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "wifi_ap_maxscb", 8);
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("maxscb=");
        stringBuilder.append(maxscb);
        android.util.Slog.d(str, stringBuilder.toString());
        return java.lang.String.valueOf(maxscb);
    }

    private static java.lang.String getSecurityType(android.net.wifi.WifiConfiguration wifiConfig) {
        int authType = wifiConfig.getAuthType();
        if (authType == 1) {
            return "wpa-psk";
        }
        if (authType != 4) {
            return "open";
        }
        return "wpa2-psk";
    }

    public java.lang.String getIgnorebroadcastssid() {
        java.lang.String iIgnorebroadcastssidStr = "broadcast";
        if (1 != android.provider.SettingsEx.Systemex.getInt(this.mContext.getContentResolver(), "show_broadcast_ssid_config", 0)) {
            return iIgnorebroadcastssidStr;
        }
        iIgnorebroadcastssidStr = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "wifi_ap_ignorebroadcastssid", 0) == 0 ? "broadcast" : "hidden";
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("iIgnorebroadcastssidStr=");
        stringBuilder.append(iIgnorebroadcastssidStr);
        android.util.Slog.d(str, stringBuilder.toString());
        return iIgnorebroadcastssidStr;
    }

    public void startAccessPointWithChannel(android.net.wifi.WifiConfiguration wifiConfig, java.lang.String wlanIface) {
        if (wifiConfig != null) {
            try {
                this.mConnector.execute("softap", new java.lang.Object[]{"set", wlanIface, wifiConfig.SSID, getIgnorebroadcastssid(), getChannel(wifiConfig), getSecurityType(wifiConfig), new com.android.server.NativeDaemonConnector.SensitiveArg(wifiConfig.preSharedKey), getMaxscb()});
                this.mConnector.execute("softap", new java.lang.Object[]{"startap"});
            } catch (com.android.server.NativeDaemonConnectorException e) {
                throw e.rethrowAsParcelableException();
            }
        }
    }

    public void sendDataSpeedSlowMessage(java.lang.String[] cooked, java.lang.String raw) {
        if (cooked.length < 2 || !cooked[1].equals("sourceAddress")) {
            java.lang.String msg1 = java.lang.String.format("Invalid event from daemon (%s)", new java.lang.Object[]{raw});
            android.util.Slog.d(TAG, "receive DataSpeedSlowDetected,return error 1");
            throw new java.lang.IllegalStateException(msg1);
        }
        int sourceAddress = java.lang.Integer.parseInt(cooked[2]);
        android.net.NetworkInfo mobileNetinfo = ((android.net.ConnectivityManager) this.mContext.getSystemService("connectivity")).getNetworkInfo(0);
        android.util.Slog.d(TAG, "onEvent receive DataSpeedSlowDetected");
        if (mobileNetinfo != null && mobileNetinfo.isConnected()) {
            android.util.Slog.d(TAG, "onEvent receive DataSpeedSlowDetected,mobile network is connected!");
            android.content.Intent chrIntent = new android.content.Intent("com.android.intent.action.data_speed_slow");
            chrIntent.putExtra("sourceAddress", sourceAddress);
            this.mContext.sendBroadcast(chrIntent, "com.huawei.android.permission.GET_CHR_DATA");
        }
    }

    public void sendDSCPChangeMessage(java.lang.String[] cooked, java.lang.String raw) {
        if (cooked.length < 4 || !cooked[1].equals("DSCPINFO")) {
            java.lang.String msg1 = java.lang.String.format("Invalid event from daemon (%s)", new java.lang.Object[]{raw});
            android.util.Slog.d(TAG, "receive sendDSCPChangeMessage,return error 1");
            throw new java.lang.IllegalStateException(msg1);
        }
        android.net.NetworkInfo networkInfoWlan = ((android.net.ConnectivityManager) this.mContext.getSystemService("connectivity")).getNetworkInfo(1);
        if (networkInfoWlan != null && networkInfoWlan.isConnected()) {
            android.content.Intent chrIntent = new android.content.Intent("com.android.intent.action.wifi_dscp_change");
            chrIntent.putExtra("dscpvalue", java.lang.Integer.parseInt(cooked[2]));
            chrIntent.putExtra("uid", java.lang.Integer.parseInt(cooked[3]));
            this.mContext.sendBroadcast(chrIntent, "com.huawei.android.permission.GET_CHR_DATA");
        }
    }

    public void sendWebStatMessage(java.lang.String[] cooked, java.lang.String raw) {
        if (cooked.length < 20 || !cooked[1].equals("ReportType")) {
            throw new java.lang.IllegalStateException(java.lang.String.format("Invalid event from daemon (%s)", new java.lang.Object[]{raw}));
        }
        try {
            android.net.NetworkInfo mobileNetinfo = ((android.net.ConnectivityManager) this.mContext.getSystemService("connectivity")).getNetworkInfo(0);
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onEvent receive Web Stat Report:");
            stringBuilder.append(raw);
            android.util.Slog.d(str, stringBuilder.toString());
            if (mobileNetinfo != null && mobileNetinfo.isConnected()) {
                android.content.Intent chrIntent = new android.content.Intent("com.android.intent.action.web_stat_report");
                chrIntent.putExtra("ReportType", java.lang.Integer.parseInt(cooked[2]));
                chrIntent.putExtra("RTT", java.lang.Integer.parseInt(cooked[3]));
                chrIntent.putExtra("WebDelay", java.lang.Integer.parseInt(cooked[4]));
                chrIntent.putExtra("SuccNum", java.lang.Integer.parseInt(cooked[5]));
                chrIntent.putExtra("FailNum", java.lang.Integer.parseInt(cooked[6]));
                chrIntent.putExtra("NoAckNum", java.lang.Integer.parseInt(cooked[7]));
                chrIntent.putExtra("TotalNum", java.lang.Integer.parseInt(cooked[8]));
                chrIntent.putExtra("TcpTotalNum", java.lang.Integer.parseInt(cooked[9]));
                chrIntent.putExtra("DelayL1", java.lang.Integer.parseInt(cooked[10]));
                chrIntent.putExtra("DelayL2", java.lang.Integer.parseInt(cooked[11]));
                chrIntent.putExtra("DelayL3", java.lang.Integer.parseInt(cooked[12]));
                chrIntent.putExtra("DelayL4", java.lang.Integer.parseInt(cooked[13]));
                chrIntent.putExtra("DelayL5", java.lang.Integer.parseInt(cooked[14]));
                chrIntent.putExtra("DelayL6", java.lang.Integer.parseInt(cooked[15]));
                chrIntent.putExtra("RTTL1", java.lang.Integer.parseInt(cooked[16]));
                chrIntent.putExtra("RTTL2", java.lang.Integer.parseInt(cooked[17]));
                chrIntent.putExtra("RTTL3", java.lang.Integer.parseInt(cooked[18]));
                chrIntent.putExtra("RTTL4", java.lang.Integer.parseInt(cooked[19]));
                chrIntent.putExtra("RTTL5", java.lang.Integer.parseInt(cooked[20]));
                chrIntent.putExtra("TcpSuccNum", java.lang.Integer.parseInt(cooked[21]));
                chrIntent.putExtra("SocketUid", java.lang.Integer.parseInt(cooked[22]));
                chrIntent.putExtra("WebFailCode", java.lang.Integer.parseInt(cooked[23]));
                chrIntent.putExtra("App1RTT", java.lang.Integer.parseInt(cooked[24]));
                chrIntent.putExtra("App1WebDelay", java.lang.Integer.parseInt(cooked[25]));
                chrIntent.putExtra("App1SuccNum", java.lang.Integer.parseInt(cooked[26]));
                chrIntent.putExtra("App1FailNum", java.lang.Integer.parseInt(cooked[27]));
                chrIntent.putExtra("App1NoAckNum", java.lang.Integer.parseInt(cooked[28]));
                chrIntent.putExtra("App1TotalNum", java.lang.Integer.parseInt(cooked[29]));
                chrIntent.putExtra("App1TcpTotalNum", java.lang.Integer.parseInt(cooked[30]));
                chrIntent.putExtra("App1TcpSuccNum", java.lang.Integer.parseInt(cooked[31]));
                chrIntent.putExtra("App1DelayL1", java.lang.Integer.parseInt(cooked[32]));
                chrIntent.putExtra("App1DelayL2", java.lang.Integer.parseInt(cooked[33]));
                chrIntent.putExtra("App1DelayL3", java.lang.Integer.parseInt(cooked[34]));
                chrIntent.putExtra("App1DelayL4", java.lang.Integer.parseInt(cooked[35]));
                chrIntent.putExtra("App1DelayL5", java.lang.Integer.parseInt(cooked[36]));
                chrIntent.putExtra("App1DelayL6", java.lang.Integer.parseInt(cooked[37]));
                chrIntent.putExtra("App1RTTL1", java.lang.Integer.parseInt(cooked[38]));
                chrIntent.putExtra("App1RTTL2", java.lang.Integer.parseInt(cooked[39]));
                chrIntent.putExtra("App1RTTL3", java.lang.Integer.parseInt(cooked[40]));
                chrIntent.putExtra("App1RTTL4", java.lang.Integer.parseInt(cooked[41]));
                chrIntent.putExtra("App1RTTL5", java.lang.Integer.parseInt(cooked[42]));
                chrIntent.putExtra("App2RTT", java.lang.Integer.parseInt(cooked[43]));
                chrIntent.putExtra("App2WebDelay", java.lang.Integer.parseInt(cooked[44]));
                chrIntent.putExtra("App2SuccNum", java.lang.Integer.parseInt(cooked[45]));
                chrIntent.putExtra("App2FailNum", java.lang.Integer.parseInt(cooked[46]));
                chrIntent.putExtra("App2NoAckNum", java.lang.Integer.parseInt(cooked[47]));
                chrIntent.putExtra("App2TotalNum", java.lang.Integer.parseInt(cooked[48]));
                chrIntent.putExtra("App2TcpTotalNum", java.lang.Integer.parseInt(cooked[49]));
                chrIntent.putExtra("App2TcpSuccNum", java.lang.Integer.parseInt(cooked[50]));
                chrIntent.putExtra("App2DelayL1", java.lang.Integer.parseInt(cooked[51]));
                chrIntent.putExtra("App2DelayL2", java.lang.Integer.parseInt(cooked[52]));
                chrIntent.putExtra("App2DelayL3", java.lang.Integer.parseInt(cooked[53]));
                chrIntent.putExtra("App2DelayL4", java.lang.Integer.parseInt(cooked[54]));
                chrIntent.putExtra("App2DelayL5", java.lang.Integer.parseInt(cooked[55]));
                chrIntent.putExtra("App2DelayL6", java.lang.Integer.parseInt(cooked[56]));
                chrIntent.putExtra("App2RTTL1", java.lang.Integer.parseInt(cooked[57]));
                chrIntent.putExtra("App2RTTL2", java.lang.Integer.parseInt(cooked[58]));
                chrIntent.putExtra("App2RTTL3", java.lang.Integer.parseInt(cooked[59]));
                chrIntent.putExtra("App2RTTL4", java.lang.Integer.parseInt(cooked[60]));
                chrIntent.putExtra("App2RTTL5", java.lang.Integer.parseInt(cooked[61]));
                chrIntent.putExtra("App3RTT", java.lang.Integer.parseInt(cooked[62]));
                chrIntent.putExtra("App3WebDelay", java.lang.Integer.parseInt(cooked[63]));
                chrIntent.putExtra("App3SuccNum", java.lang.Integer.parseInt(cooked[64]));
                chrIntent.putExtra("App3FailNum", java.lang.Integer.parseInt(cooked[65]));
                chrIntent.putExtra("App3NoAckNum", java.lang.Integer.parseInt(cooked[66]));
                chrIntent.putExtra("App3TotalNum", java.lang.Integer.parseInt(cooked[67]));
                chrIntent.putExtra("App3TcpTotalNum", java.lang.Integer.parseInt(cooked[68]));
                chrIntent.putExtra("App3TcpSuccNum", java.lang.Integer.parseInt(cooked[69]));
                chrIntent.putExtra("App3DelayL1", java.lang.Integer.parseInt(cooked[70]));
                chrIntent.putExtra("App3DelayL2", java.lang.Integer.parseInt(cooked[71]));
                chrIntent.putExtra("App3DelayL3", java.lang.Integer.parseInt(cooked[72]));
                chrIntent.putExtra("App3DelayL4", java.lang.Integer.parseInt(cooked[73]));
                chrIntent.putExtra("App3DelayL5", java.lang.Integer.parseInt(cooked[74]));
                chrIntent.putExtra("App3DelayL6", java.lang.Integer.parseInt(cooked[75]));
                chrIntent.putExtra("App3RTTL1", java.lang.Integer.parseInt(cooked[76]));
                chrIntent.putExtra("App3RTTL2", java.lang.Integer.parseInt(cooked[77]));
                chrIntent.putExtra("App3RTTL3", java.lang.Integer.parseInt(cooked[78]));
                chrIntent.putExtra("App3RTTL4", java.lang.Integer.parseInt(cooked[79]));
                chrIntent.putExtra("App3RTTL5", java.lang.Integer.parseInt(cooked[80]));
                chrIntent.putExtra("App4RTT", java.lang.Integer.parseInt(cooked[81]));
                chrIntent.putExtra("App4WebDelay", java.lang.Integer.parseInt(cooked[82]));
                chrIntent.putExtra("App4SuccNum", java.lang.Integer.parseInt(cooked[83]));
                chrIntent.putExtra("App4FailNum", java.lang.Integer.parseInt(cooked[84]));
                chrIntent.putExtra("App4NoAckNum", java.lang.Integer.parseInt(cooked[85]));
                chrIntent.putExtra("App4TotalNum", java.lang.Integer.parseInt(cooked[86]));
                chrIntent.putExtra("App4TcpTotalNum", java.lang.Integer.parseInt(cooked[87]));
                chrIntent.putExtra("App4TcpSuccNum", java.lang.Integer.parseInt(cooked[88]));
                chrIntent.putExtra("App4DelayL1", java.lang.Integer.parseInt(cooked[89]));
                chrIntent.putExtra("App4DelayL2", java.lang.Integer.parseInt(cooked[90]));
                chrIntent.putExtra("App4DelayL3", java.lang.Integer.parseInt(cooked[91]));
                chrIntent.putExtra("App4DelayL4", java.lang.Integer.parseInt(cooked[92]));
                chrIntent.putExtra("App4DelayL5", java.lang.Integer.parseInt(cooked[93]));
                chrIntent.putExtra("App4DelayL6", java.lang.Integer.parseInt(cooked[94]));
                chrIntent.putExtra("App4RTTL1", java.lang.Integer.parseInt(cooked[95]));
                chrIntent.putExtra("App4RTTL2", java.lang.Integer.parseInt(cooked[96]));
                chrIntent.putExtra("App4RTTL3", java.lang.Integer.parseInt(cooked[97]));
                chrIntent.putExtra("App4RTTL4", java.lang.Integer.parseInt(cooked[98]));
                chrIntent.putExtra("App4RTTL5", java.lang.Integer.parseInt(cooked[99]));
                chrIntent.putExtra("App5RTT", java.lang.Integer.parseInt(cooked[100]));
                chrIntent.putExtra("App5WebDelay", java.lang.Integer.parseInt(cooked[101]));
                chrIntent.putExtra("App5SuccNum", java.lang.Integer.parseInt(cooked[102]));
                chrIntent.putExtra("App5FailNum", java.lang.Integer.parseInt(cooked[103]));
                chrIntent.putExtra("App5NoAckNum", java.lang.Integer.parseInt(cooked[104]));
                chrIntent.putExtra("App5TotalNum", java.lang.Integer.parseInt(cooked[105]));
                chrIntent.putExtra("App5TcpTotalNum", java.lang.Integer.parseInt(cooked[106]));
                chrIntent.putExtra("App5TcpSuccNum", java.lang.Integer.parseInt(cooked[107]));
                chrIntent.putExtra("App5DelayL1", java.lang.Integer.parseInt(cooked[108]));
                chrIntent.putExtra("App5DelayL2", java.lang.Integer.parseInt(cooked[109]));
                chrIntent.putExtra("App5DelayL3", java.lang.Integer.parseInt(cooked[110]));
                chrIntent.putExtra("App5DelayL4", java.lang.Integer.parseInt(cooked[111]));
                chrIntent.putExtra("App5DelayL5", java.lang.Integer.parseInt(cooked[112]));
                chrIntent.putExtra("App5DelayL6", java.lang.Integer.parseInt(cooked[113]));
                chrIntent.putExtra("App5RTTL1", java.lang.Integer.parseInt(cooked[114]));
                chrIntent.putExtra("App5RTTL2", java.lang.Integer.parseInt(cooked[115]));
                chrIntent.putExtra("App5RTTL3", java.lang.Integer.parseInt(cooked[116]));
                chrIntent.putExtra("App5RTTL4", java.lang.Integer.parseInt(cooked[117]));
                chrIntent.putExtra("App5RTTL5", java.lang.Integer.parseInt(cooked[118]));
                chrIntent.putExtra("App6RTT", java.lang.Integer.parseInt(cooked[119]));
                chrIntent.putExtra("App6WebDelay", java.lang.Integer.parseInt(cooked[120]));
                chrIntent.putExtra("App6SuccNum", java.lang.Integer.parseInt(cooked[121]));
                chrIntent.putExtra("App6FailNum", java.lang.Integer.parseInt(cooked[122]));
                chrIntent.putExtra("App6NoAckNum", java.lang.Integer.parseInt(cooked[123]));
                chrIntent.putExtra("App6TotalNum", java.lang.Integer.parseInt(cooked[124]));
                chrIntent.putExtra("App6TcpTotalNum", java.lang.Integer.parseInt(cooked[125]));
                chrIntent.putExtra("App6TcpSuccNum", java.lang.Integer.parseInt(cooked[126]));
                chrIntent.putExtra("App6DelayL1", java.lang.Integer.parseInt(cooked[127]));
                chrIntent.putExtra("App6DelayL2", java.lang.Integer.parseInt(cooked[128]));
                chrIntent.putExtra("App6DelayL3", java.lang.Integer.parseInt(cooked[129]));
                chrIntent.putExtra("App6DelayL4", java.lang.Integer.parseInt(cooked[130]));
                chrIntent.putExtra("App6DelayL5", java.lang.Integer.parseInt(cooked[131]));
                chrIntent.putExtra("App6DelayL6", java.lang.Integer.parseInt(cooked[132]));
                chrIntent.putExtra("App6RTTL1", java.lang.Integer.parseInt(cooked[133]));
                chrIntent.putExtra("App6RTTL2", java.lang.Integer.parseInt(cooked[134]));
                chrIntent.putExtra("App6RTTL3", java.lang.Integer.parseInt(cooked[135]));
                chrIntent.putExtra("App6RTTL4", java.lang.Integer.parseInt(cooked[136]));
                chrIntent.putExtra("App6RTTL5", java.lang.Integer.parseInt(cooked[137]));
                chrIntent.putExtra("App7RTT", java.lang.Integer.parseInt(cooked[138]));
                chrIntent.putExtra("App7WebDelay", java.lang.Integer.parseInt(cooked[139]));
                chrIntent.putExtra("App7SuccNum", java.lang.Integer.parseInt(cooked[140]));
                chrIntent.putExtra("App7FailNum", java.lang.Integer.parseInt(cooked[141]));
                chrIntent.putExtra("App7NoAckNum", java.lang.Integer.parseInt(cooked[142]));
                chrIntent.putExtra("App7TotalNum", java.lang.Integer.parseInt(cooked[143]));
                chrIntent.putExtra("App7TcpTotalNum", java.lang.Integer.parseInt(cooked[144]));
                chrIntent.putExtra("App7TcpSuccNum", java.lang.Integer.parseInt(cooked[145]));
                chrIntent.putExtra("App7DelayL1", java.lang.Integer.parseInt(cooked[146]));
                chrIntent.putExtra("App7DelayL2", java.lang.Integer.parseInt(cooked[147]));
                chrIntent.putExtra("App7DelayL3", java.lang.Integer.parseInt(cooked[148]));
                chrIntent.putExtra("App7DelayL4", java.lang.Integer.parseInt(cooked[149]));
                chrIntent.putExtra("App7DelayL5", java.lang.Integer.parseInt(cooked[150]));
                chrIntent.putExtra("App7DelayL6", java.lang.Integer.parseInt(cooked[151]));
                chrIntent.putExtra("App7RTTL1", java.lang.Integer.parseInt(cooked[152]));
                chrIntent.putExtra("App7RTTL2", java.lang.Integer.parseInt(cooked[153]));
                chrIntent.putExtra("App7RTTL3", java.lang.Integer.parseInt(cooked[154]));
                chrIntent.putExtra("App7RTTL4", java.lang.Integer.parseInt(cooked[155]));
                chrIntent.putExtra("App7RTTL5", java.lang.Integer.parseInt(cooked[156]));
                chrIntent.putExtra("App8RTT", java.lang.Integer.parseInt(cooked[157]));
                chrIntent.putExtra("App8WebDelay", java.lang.Integer.parseInt(cooked[158]));
                chrIntent.putExtra("App8SuccNum", java.lang.Integer.parseInt(cooked[159]));
                chrIntent.putExtra("App8FailNum", java.lang.Integer.parseInt(cooked[160]));
                chrIntent.putExtra("App8NoAckNum", java.lang.Integer.parseInt(cooked[161]));
                chrIntent.putExtra("App8TotalNum", java.lang.Integer.parseInt(cooked[162]));
                chrIntent.putExtra("App8TcpTotalNum", java.lang.Integer.parseInt(cooked[163]));
                chrIntent.putExtra("App8TcpSuccNum", java.lang.Integer.parseInt(cooked[164]));
                chrIntent.putExtra("App8DelayL1", java.lang.Integer.parseInt(cooked[165]));
                chrIntent.putExtra("App8DelayL2", java.lang.Integer.parseInt(cooked[166]));
                chrIntent.putExtra("App8DelayL3", java.lang.Integer.parseInt(cooked[167]));
                chrIntent.putExtra("App8DelayL4", java.lang.Integer.parseInt(cooked[168]));
                chrIntent.putExtra("App8DelayL5", java.lang.Integer.parseInt(cooked[169]));
                chrIntent.putExtra("App8DelayL6", java.lang.Integer.parseInt(cooked[170]));
                chrIntent.putExtra("App8RTTL1", java.lang.Integer.parseInt(cooked[171]));
                chrIntent.putExtra("App8RTTL2", java.lang.Integer.parseInt(cooked[172]));
                chrIntent.putExtra("App8RTTL3", java.lang.Integer.parseInt(cooked[173]));
                chrIntent.putExtra("App8RTTL4", java.lang.Integer.parseInt(cooked[174]));
                chrIntent.putExtra("App8RTTL5", java.lang.Integer.parseInt(cooked[175]));
                chrIntent.putExtra("App9RTT", java.lang.Integer.parseInt(cooked[176]));
                chrIntent.putExtra("App9WebDelay", java.lang.Integer.parseInt(cooked[177]));
                chrIntent.putExtra("App9SuccNum", java.lang.Integer.parseInt(cooked[178]));
                chrIntent.putExtra("App9FailNum", java.lang.Integer.parseInt(cooked[179]));
                chrIntent.putExtra("App9NoAckNum", java.lang.Integer.parseInt(cooked[180]));
                chrIntent.putExtra("App9TotalNum", java.lang.Integer.parseInt(cooked[181]));
                chrIntent.putExtra("App9TcpTotalNum", java.lang.Integer.parseInt(cooked[182]));
                chrIntent.putExtra("App9TcpSuccNum", java.lang.Integer.parseInt(cooked[183]));
                chrIntent.putExtra("App9DelayL1", java.lang.Integer.parseInt(cooked[184]));
                chrIntent.putExtra("App9DelayL2", java.lang.Integer.parseInt(cooked[185]));
                chrIntent.putExtra("App9DelayL3", java.lang.Integer.parseInt(cooked[186]));
                chrIntent.putExtra("App9DelayL4", java.lang.Integer.parseInt(cooked[187]));
                chrIntent.putExtra("App9DelayL5", java.lang.Integer.parseInt(cooked[188]));
                chrIntent.putExtra("App9DelayL6", java.lang.Integer.parseInt(cooked[189]));
                chrIntent.putExtra("App9RTTL1", java.lang.Integer.parseInt(cooked[190]));
                chrIntent.putExtra("App9RTTL2", java.lang.Integer.parseInt(cooked[191]));
                chrIntent.putExtra("App9RTTL3", java.lang.Integer.parseInt(cooked[192]));
                chrIntent.putExtra("App9RTTL4", java.lang.Integer.parseInt(cooked[193]));
                chrIntent.putExtra("App9RTTL5", java.lang.Integer.parseInt(cooked[194]));
                chrIntent.putExtra("App10RTT", java.lang.Integer.parseInt(cooked[195]));
                chrIntent.putExtra("App10WebDelay", java.lang.Integer.parseInt(cooked[196]));
                chrIntent.putExtra("App10SuccNum", java.lang.Integer.parseInt(cooked[197]));
                chrIntent.putExtra("App10FailNum", java.lang.Integer.parseInt(cooked[198]));
                chrIntent.putExtra("App10NoAckNum", java.lang.Integer.parseInt(cooked[199]));
                chrIntent.putExtra("App10TotalNum", java.lang.Integer.parseInt(cooked[200]));
                chrIntent.putExtra("App10TcpTotalNum", java.lang.Integer.parseInt(cooked[201]));
                chrIntent.putExtra("App10TcpSuccNum", java.lang.Integer.parseInt(cooked[202]));
                chrIntent.putExtra("App10DelayL1", java.lang.Integer.parseInt(cooked[203]));
                chrIntent.putExtra("App10DelayL2", java.lang.Integer.parseInt(cooked[204]));
                chrIntent.putExtra("App10DelayL3", java.lang.Integer.parseInt(cooked[205]));
                chrIntent.putExtra("App10DelayL4", java.lang.Integer.parseInt(cooked[206]));
                chrIntent.putExtra("App10DelayL5", java.lang.Integer.parseInt(cooked[207]));
                chrIntent.putExtra("App10DelayL6", java.lang.Integer.parseInt(cooked[208]));
                chrIntent.putExtra("App10RTTL1", java.lang.Integer.parseInt(cooked[209]));
                chrIntent.putExtra("App10RTTL2", java.lang.Integer.parseInt(cooked[210]));
                chrIntent.putExtra("App10RTTL3", java.lang.Integer.parseInt(cooked[211]));
                chrIntent.putExtra("App10RTTL4", java.lang.Integer.parseInt(cooked[212]));
                chrIntent.putExtra("App10RTTL5", java.lang.Integer.parseInt(cooked[213]));
                chrIntent.putExtra("HighestTcpRTT", java.lang.Integer.parseInt(cooked[214]));
                chrIntent.putExtra("LowestTcpRTT", java.lang.Integer.parseInt(cooked[215]));
                chrIntent.putExtra("LastTcpRTT", java.lang.Integer.parseInt(cooked[216]));
                chrIntent.putExtra("HighestWebDelay", java.lang.Integer.parseInt(cooked[217]));
                chrIntent.putExtra("LowestWebDelay", java.lang.Integer.parseInt(cooked[218]));
                chrIntent.putExtra("LastWebDelay", java.lang.Integer.parseInt(cooked[219]));
                chrIntent.putExtra("ServerAddr", java.lang.Integer.parseInt(cooked[220]));
                chrIntent.putExtra("RTTAbnServerAddr", java.lang.Integer.parseInt(cooked[221]));
                chrIntent.putExtra("VideoAvgSpeed", java.lang.Integer.parseInt(cooked[222]));
                chrIntent.putExtra("VideoFreezNum", java.lang.Integer.parseInt(cooked[223]));
                chrIntent.putExtra("VideoTime", java.lang.Integer.parseInt(cooked[224]));
                chrIntent.putExtra("AccVideoAvgSpeed", java.lang.Integer.parseInt(cooked[225]));
                chrIntent.putExtra("AccVideoFreezNum", java.lang.Integer.parseInt(cooked[226]));
                chrIntent.putExtra("AccVideoTime", java.lang.Integer.parseInt(cooked[227]));
                chrIntent.putExtra("tcp_handshake_delay", java.lang.Integer.parseInt(cooked[228]));
                chrIntent.putExtra("http_get_delay", java.lang.Integer.parseInt(cooked[229]));
                chrIntent.putExtra("http_send_get_num", java.lang.Integer.parseInt(cooked[230]));
                this.mContext.sendBroadcast(chrIntent, "com.huawei.android.permission.GET_CHR_DATA");
            }
            if (java.lang.Integer.parseInt(cooked[234]) > 0) {
                android.content.Intent wifichrIntent = new android.content.Intent("com.huawei.chr.wifi.action.web_stat_report");
                wifichrIntent.putExtra("ReportType", java.lang.Integer.parseInt(cooked[232]));
                wifichrIntent.putExtra("RTT", java.lang.Integer.parseInt(cooked[233]));
                wifichrIntent.putExtra("WebDelay", java.lang.Integer.parseInt(cooked[234]));
                wifichrIntent.putExtra("SuccNum", java.lang.Integer.parseInt(cooked[235]));
                wifichrIntent.putExtra("FailNum", java.lang.Integer.parseInt(cooked[236]));
                wifichrIntent.putExtra("NoAckNum", java.lang.Integer.parseInt(cooked[237]));
                wifichrIntent.putExtra("TotalNum", java.lang.Integer.parseInt(cooked[238]));
                wifichrIntent.putExtra("TcpTotalNum", java.lang.Integer.parseInt(cooked[239]));
                wifichrIntent.putExtra("DelayL1", java.lang.Integer.parseInt(cooked[240]));
                wifichrIntent.putExtra("DelayL2", java.lang.Integer.parseInt(cooked[241]));
                wifichrIntent.putExtra("DelayL3", java.lang.Integer.parseInt(cooked[242]));
                wifichrIntent.putExtra("DelayL4", java.lang.Integer.parseInt(cooked[243]));
                wifichrIntent.putExtra("DelayL5", java.lang.Integer.parseInt(cooked[244]));
                wifichrIntent.putExtra("DelayL6", java.lang.Integer.parseInt(cooked[245]));
                wifichrIntent.putExtra("RTTL1", java.lang.Integer.parseInt(cooked[246]));
                wifichrIntent.putExtra("RTTL2", java.lang.Integer.parseInt(cooked[247]));
                wifichrIntent.putExtra("RTTL3", java.lang.Integer.parseInt(cooked[248]));
                wifichrIntent.putExtra("RTTL4", java.lang.Integer.parseInt(cooked[249]));
                wifichrIntent.putExtra("RTTL5", java.lang.Integer.parseInt(cooked[250]));
                wifichrIntent.putExtra("TcpSuccNum", java.lang.Integer.parseInt(cooked[251]));
                wifichrIntent.putExtra("HighestTcpRTT", java.lang.Integer.parseInt(cooked[444]));
                wifichrIntent.putExtra("LowestTcpRTT", java.lang.Integer.parseInt(cooked[445]));
                wifichrIntent.putExtra("LastTcpRTT", java.lang.Integer.parseInt(cooked[446]));
                wifichrIntent.putExtra("HighestWebDelay", java.lang.Integer.parseInt(cooked[447]));
                wifichrIntent.putExtra("LowestWebDelay", java.lang.Integer.parseInt(cooked[448]));
                wifichrIntent.putExtra("LastWebDelay", java.lang.Integer.parseInt(cooked[449]));
                wifichrIntent.putExtra("ServerAddr", java.lang.Integer.parseInt(cooked[450]));
                wifichrIntent.putExtra("RTTAbnServerAddr", java.lang.Integer.parseInt(cooked[451]));
                wifichrIntent.putExtra("VideoAvgSpeed", java.lang.Integer.parseInt(cooked[452]));
                wifichrIntent.putExtra("VideoFreezNum", java.lang.Integer.parseInt(cooked[453]));
                wifichrIntent.putExtra("VideoTime", java.lang.Integer.parseInt(cooked[454]));
                wifichrIntent.putExtra("AccVideoAvgSpeed", java.lang.Integer.parseInt(cooked[455]));
                wifichrIntent.putExtra("AccVideoFreezNum", java.lang.Integer.parseInt(cooked[456]));
                wifichrIntent.putExtra("AccVideoTime", java.lang.Integer.parseInt(cooked[457]));
                wifichrIntent.putExtra("tcp_handshake_delay", java.lang.Integer.parseInt(cooked[458]));
                wifichrIntent.putExtra("http_get_delay", java.lang.Integer.parseInt(cooked[459]));
                this.mContext.sendBroadcast(wifichrIntent, "com.huawei.android.permission.GET_CHR_DATA");
            }
        } catch (java.lang.Exception e) {
            android.util.Slog.e(TAG, "Web Stat Report Send Broadcast Fail.");
        }
    }

    public boolean handleApLinkedStaListChange(java.lang.String raw, java.lang.String[] cooked) {
        android.util.Slog.d(TAG, "handleApLinkedStaListChange is called");
        if (!"STA_JOIN".equals(cooked[1])) {
            if (!"STA_LEAVE".equals(cooked[1])) {
                throw new java.lang.IllegalStateException(java.lang.String.format("ApLinkedStaListChange: Invalid event from daemon (%s)", new java.lang.Object[]{raw}));
            }
        }
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Got sta list change event:");
        stringBuilder.append(cooked[1]);
        android.util.Slog.d(str, stringBuilder.toString());
        notifyApLinkedStaListChange(cooked[1], cooked[4]);
        return true;
    }

    public java.util.List<java.lang.String> getApLinkedStaList() {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
        java.util.List<java.lang.String> mDhcpList = getApLinkedDhcpList();
        android.util.Slog.d(TAG, "getApLinkedStaList: softap assoclist");
        java.util.List<java.lang.String> infoList = new java.util.ArrayList();
        for (int index = 0; index < this.mMacList.size(); index++) {
            java.lang.String mac = getApLinkedStaInfo((java.lang.String) this.mMacList.get(index), mDhcpList);
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getApLinkedStaList ApLinkedStaInfo = ");
            stringBuilder.append(mac);
            android.util.Slog.d(str, stringBuilder.toString());
            infoList.add(mac);
        }
        java.lang.String str2 = TAG;
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getApLinkedStaList, info size=");
        stringBuilder2.append(infoList.size());
        android.util.Slog.d(str2, stringBuilder2.toString());
        return infoList;
    }

    public void setSoftapMacFilter(java.lang.String macFilter) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
        try {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("softap setmacfilter ");
            stringBuilder.append(macFilter);
            java.lang.String cmdStr = java.lang.String.format(stringBuilder.toString(), new java.lang.Object[0]);
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("setSoftapMacFilter:");
            stringBuilder2.append(cmdStr);
            android.util.Slog.d(str, stringBuilder2.toString());
            this.mConnector.doCommand("softap", new java.lang.Object[]{"setmacfilter", macFilter});
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw new java.lang.IllegalStateException("Cannot communicate with native daemon to set MAC Filter");
        }
    }

    public void setSoftapDisassociateSta(java.lang.String mac) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
        try {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("softap disassociatesta ");
            stringBuilder.append(mac);
            java.lang.String cmdStr = java.lang.String.format(stringBuilder.toString(), new java.lang.Object[0]);
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("setSoftapDisassociateSta:");
            stringBuilder2.append(cmdStr);
            android.util.Slog.d(str, stringBuilder2.toString());
            this.mConnector.doCommand("softap", new java.lang.Object[]{"disassociatesta", mac});
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw new java.lang.IllegalStateException("Cannot communicate with native daemon to disassociate a station");
        }
    }

    public void setAccessPointHw(java.lang.String wlanIface, java.lang.String softapIface) throws java.lang.IllegalStateException {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CHANGE_NETWORK_STATE", "NetworkManagementService");
        this.mContext.enforceCallingOrSelfPermission("android.permission.CHANGE_WIFI_STATE", "NetworkManagementService");
        android.net.wifi.HuaweiApConfiguration hwApConfig = new android.net.wifi.HuaweiApConfiguration();
        hwApConfig.channel = this.mChannel;
        hwApConfig.maxScb = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "wifi_ap_maxscb", 8);
        try {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("softap sethw ");
            stringBuilder.append(wlanIface);
            stringBuilder.append(" ");
            stringBuilder.append(softapIface);
            stringBuilder.append(" %d %d");
            java.lang.String str = java.lang.String.format(stringBuilder.toString(), new java.lang.Object[]{java.lang.Integer.valueOf(hwApConfig.channel), java.lang.Integer.valueOf(hwApConfig.maxScb)});
            this.mConnector.doCommand("softap", new java.lang.Object[]{"sethw", wlanIface, softapIface, java.lang.String.valueOf(hwApConfig.channel), java.lang.String.valueOf(hwApConfig.maxScb)});
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("setAccessPointHw command: ");
            stringBuilder2.append(str);
            android.util.Slog.d(str2, stringBuilder2.toString());
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw new java.lang.IllegalStateException("Error communicating to native daemon to set soft AP", e);
        }
    }

    private java.util.List<java.lang.String> getApLinkedDhcpList() {
        try {
            android.util.Slog.d(TAG, "getApLinkedDhcpList: softap getdhcplease");
            java.lang.Object[] objArr = new java.lang.Object[1];
            int i = 0;
            objArr[0] = "getdhcplease";
            java.lang.String[] dhcpleaseList = this.mConnector.doListCommand("softap", 122, objArr);
            if (dhcpleaseList == null) {
                android.util.Slog.e(TAG, "getApLinkedDhcpList Error: doListCommand return NULL");
                return null;
            }
            java.util.List<java.lang.String> mDhcpList = new java.util.ArrayList();
            int length = dhcpleaseList.length;
            while (i < length) {
                java.lang.String dhcplease = dhcpleaseList[i];
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getApLinkedDhcpList dhcpList = ");
                stringBuilder.append(dhcplease);
                android.util.Slog.d(str, stringBuilder.toString());
                mDhcpList.add(dhcplease);
                i++;
            }
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getApLinkedDhcpList: mDhcpList size=");
            stringBuilder2.append(mDhcpList.size());
            android.util.Slog.d(str2, stringBuilder2.toString());
            return mDhcpList;
        } catch (com.android.server.NativeDaemonConnectorException e) {
            android.util.Slog.e(TAG, "Cannot communicate with native daemon to get dhcp lease information");
            return null;
        }
    }

    private java.lang.String getApLinkedStaInfo(java.lang.String mac, java.util.List<java.lang.String> mDhcpList) {
        java.lang.String ApLinkedStaInfo = java.lang.String.format("MAC=%s", new java.lang.Object[]{mac});
        mac = mac.toLowerCase();
        if (mDhcpList != null) {
            for (java.lang.String dhcplease : mDhcpList) {
                if (dhcplease.contains(mac)) {
                    if (4 <= dhcplease.split(" ").length) {
                        android.util.Slog.d(TAG, "getApLinkedStaInfo: dhcplease token");
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(ApLinkedStaInfo);
                        stringBuilder.append(" IP=%s DEVICE=%s");
                        ApLinkedStaInfo = java.lang.String.format(stringBuilder.toString(), new java.lang.Object[]{Tokens[2], Tokens[3]});
                    }
                }
            }
        }
        return ApLinkedStaInfo;
    }

    private void notifyApLinkedStaListChange(java.lang.String event, java.lang.String macStr) {
        int macHashCode = 0;
        if (macStr != null) {
            macHashCode = macStr.hashCode();
        }
        android.os.Message msg = new android.os.Message();
        android.os.Bundle bundle = new android.os.Bundle();
        msg.what = macHashCode;
        bundle.putString("event_key", event);
        bundle.putString("mac_key", macStr);
        msg.setData(bundle);
        if ("STA_JOIN".equals(event)) {
            this.mApLinkedStaHandler.sendMessageDelayed(msg, 5000);
        } else if ("STA_LEAVE".equals(event)) {
            this.mApLinkedStaHandler.sendMessage(msg);
        }
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("send ");
        stringBuilder.append(event);
        stringBuilder.append(" message, mLinkedStaCount=");
        stringBuilder.append(this.mLinkedStaCount);
        android.util.Slog.d(str, stringBuilder.toString());
    }

    public void setWifiTxPower(java.lang.String reduceCmd) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setWifiTxPower ");
        stringBuilder.append(reduceCmd);
        android.util.Slog.d(str, stringBuilder.toString());
        try {
            this.mConnector.execute("softap", new java.lang.Object[]{reduceCmd});
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw e.rethrowAsParcelableException();
        }
    }

    private java.lang.String getWiFiDnsStats(int netid) {
        java.lang.StringBuffer buf = new java.lang.StringBuffer();
        try {
            r4 = new java.lang.Object[2];
            int i = 0;
            r4[0] = "getdnsstat";
            r4[1] = java.lang.Integer.valueOf(netid);
            java.lang.String[] stats = this.mConnector.doListCommand("resolver", 130, r4);
            if (stats != null) {
                while (true) {
                    int i2 = i;
                    if (i2 >= stats.length) {
                        break;
                    }
                    buf.append(stats[i2]);
                    if (i2 < stats.length - 1) {
                        buf.append(";");
                    }
                    i = i2 + 1;
                }
            }
        } catch (com.android.server.NativeDaemonConnectorException e) {
            android.util.Slog.e(TAG, "Cannot communicate with native daemon to get wifi dns stats");
        }
        return buf.toString();
    }

    private java.lang.String strToHexStr(java.lang.String str) {
        if (str == null) {
            return null;
        }
        byte[] bytes = str.getBytes(java.nio.charset.Charset.forName("UTF-8"));
        java.lang.StringBuilder sb = new java.lang.StringBuilder(bytes.length * 2);
        for (int i = 0; i < bytes.length; i++) {
            sb.append("0123456789ABCDEF".charAt((bytes[i] & 240) >> 4));
            sb.append("0123456789ABCDEF".charAt((bytes[i] & 15) >> 0));
        }
        return sb.toString();
    }

    private java.lang.String hexStrToStr(java.lang.String hexStr) {
        if (hexStr == null) {
            return null;
        }
        java.io.ByteArrayOutputStream baos = new java.io.ByteArrayOutputStream(hexStr.length() / 2);
        for (int i = 0; i < hexStr.length(); i += 2) {
            baos.write(("0123456789ABCDEF".indexOf(hexStr.charAt(i)) << 4) | "0123456789ABCDEF".indexOf(hexStr.charAt(i + 1)));
        }
        return new java.lang.String(baos.toByteArray(), java.nio.charset.Charset.forName("UTF-8"));
    }

    private java.util.ArrayList<java.lang.String> convertPkgNameToUid(java.lang.String[] pkgName) {
        java.lang.String[] strArr = pkgName;
        if (strArr != null) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("convertPkgNameToUid, pkgName=");
            stringBuilder.append(java.util.Arrays.asList(pkgName));
            android.util.Slog.d(str, stringBuilder.toString());
        }
        java.util.ArrayList<java.lang.String> uidList = new java.util.ArrayList();
        if (strArr != null && strArr.length > 0) {
            int userCount = android.os.UserManager.get(this.mContext).getUserCount();
            java.util.List<android.content.pm.UserInfo> users = android.os.UserManager.get(this.mContext).getUsers();
            android.content.pm.PackageManager pm = this.mContext.getPackageManager();
            java.lang.StringBuilder appUidBuilder = new java.lang.StringBuilder();
            int length = strArr.length;
            int uidCount = 0;
            int uidCount2 = 0;
            while (uidCount2 < length) {
                java.lang.String pkg = strArr[uidCount2];
                int uidCount3 = uidCount;
                java.lang.StringBuilder appUidBuilder2 = appUidBuilder;
                appUidBuilder = null;
                while (true) {
                    int n = appUidBuilder;
                    if (n >= userCount) {
                        break;
                    }
                    int uid = -1;
                    try {
                        uid = pm.getPackageUidAsUser(pkg, ((android.content.pm.UserInfo) users.get(n)).id);
                        appUidBuilder = TAG;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("convertPkgNameToUid, pkg=");
                        stringBuilder2.append(pkg);
                        stringBuilder2.append(", uid=");
                        stringBuilder2.append(uid);
                        stringBuilder2.append(", under user.id=");
                        stringBuilder2.append(((android.content.pm.UserInfo) users.get(n)).id);
                        android.util.Slog.d(appUidBuilder, stringBuilder2.toString());
                        uidCount3++;
                        if (uidCount3 % 50 == null) {
                            appUidBuilder2.append(uid);
                            appUidBuilder2.append(";");
                            uidList.add(appUidBuilder2.toString());
                            appUidBuilder2 = new java.lang.StringBuilder();
                        } else {
                            appUidBuilder2.append(uid);
                            appUidBuilder2.append(";");
                        }
                    } catch (java.lang.Exception e) {
                        android.util.Slog.e(TAG, "convertPkgNameToUid, skip unknown packages!");
                    }
                    appUidBuilder = n + 1;
                }
                uidCount2++;
                appUidBuilder = appUidBuilder2;
                uidCount = uidCount3;
            }
            if (!android.text.TextUtils.isEmpty(appUidBuilder.toString())) {
                uidList.add(appUidBuilder.toString());
            }
        }
        return uidList;
    }

    private void setAdFilterRules(java.lang.String adStrategy, boolean needReset) {
        java.lang.String adStrategy2 = adStrategy;
        boolean z = needReset;
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setAdFilterRules, adStrategy=");
        stringBuilder.append(adStrategy2);
        stringBuilder.append(", needReset=");
        stringBuilder.append(z);
        android.util.Slog.d(str, stringBuilder.toString());
        java.lang.String operation = z ? "reset" : "not_reset";
        int count = 0;
        int count2 = 0;
        if (adStrategy2 != null) {
            count2 = adStrategy.length();
            count = count2 / 470;
            if (count2 % 470 != 0) {
                count++;
            }
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("setAdFilterRules, adStrategy len=");
            stringBuilder2.append(count2);
            stringBuilder2.append(", divided count=");
            stringBuilder2.append(count);
            android.util.Slog.d(str2, stringBuilder2.toString());
        }
        int strategyLen = count2;
        count2 = count;
        int cmdId = this.mCmdId.incrementAndGet();
        try {
            str = TAG;
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("setAdFilterRules, count=");
            stringBuilder3.append(count2);
            stringBuilder3.append(", cmdId=");
            stringBuilder3.append(cmdId);
            android.util.Slog.d(str, stringBuilder3.toString());
            this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_ad_strategy_rule", operation, java.lang.Integer.valueOf(cmdId), java.lang.Integer.valueOf(count2)});
            if (strategyLen != 0) {
                count = 1;
                while (adStrategy2.length() > 0) {
                    java.lang.String str3;
                    java.lang.StringBuilder stringBuilder4;
                    if (adStrategy2.length() <= 470) {
                        str3 = TAG;
                        stringBuilder4 = new java.lang.StringBuilder();
                        stringBuilder4.append("setAdFilterRules, adStrategy len=");
                        stringBuilder4.append(adStrategy2.length());
                        stringBuilder4.append(", seq=");
                        stringBuilder4.append(count);
                        stringBuilder4.append(", cmdId=");
                        stringBuilder4.append(cmdId);
                        android.util.Slog.d(str3, stringBuilder4.toString());
                        this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_ad_strategy_buf", java.lang.Integer.valueOf(cmdId), java.lang.Integer.valueOf(count), adStrategy2});
                        break;
                    }
                    str3 = adStrategy2.substring(0, 470);
                    java.lang.String str4 = TAG;
                    stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append("setAdFilterRules, adStrategy len=");
                    stringBuilder4.append(str3.length());
                    stringBuilder4.append(", seq=");
                    stringBuilder4.append(count);
                    stringBuilder4.append(", cmdId=");
                    stringBuilder4.append(cmdId);
                    android.util.Slog.d(str4, stringBuilder4.toString());
                    this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_ad_strategy_buf", java.lang.Integer.valueOf(cmdId), java.lang.Integer.valueOf(count), str3});
                    adStrategy2 = adStrategy2.substring(470);
                    count++;
                }
            } else {
                android.util.Slog.d(TAG, "setAdFilterRules, adStrategy is null!");
            }
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw e.rethrowAsParcelableException();
        }
    }

    private void setApkDlFilterRules(java.util.ArrayList<java.lang.String> appUidList, boolean needReset) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setApkDlFilterRules, appUidList=");
        stringBuilder.append(appUidList);
        stringBuilder.append(", needReset=");
        stringBuilder.append(needReset);
        android.util.Slog.d(str, stringBuilder.toString());
        str = needReset ? "reset" : "not_reset";
        if (appUidList != null) {
            try {
                if (appUidList.size() > 0) {
                    for (int i = 0; i < appUidList.size(); i++) {
                        if (i == 0) {
                            this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_apkdl_strategy_rule", appUidList.get(i), str});
                        } else {
                            this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_apkdl_strategy_rule", appUidList.get(i), "not_reset"});
                        }
                    }
                }
            } catch (com.android.server.NativeDaemonConnectorException e) {
                throw e.rethrowAsParcelableException();
            }
        }
        this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_apkdl_strategy_rule", null, str});
    }

    private void clearAdOrApkDlFilterRules(java.util.ArrayList<java.lang.String> appUidList, boolean needReset, int strategy) {
        com.android.server.NativeDaemonConnectorException e;
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("clearApkDlFilterRules, appUidList=");
        stringBuilder.append(appUidList);
        stringBuilder.append(", needReset=");
        stringBuilder.append(needReset);
        stringBuilder.append(", strategy=");
        stringBuilder.append(strategy);
        android.util.Slog.d(str, stringBuilder.toString());
        str = needReset ? "reset" : "not_reset";
        if (strategy == 0) {
            if (appUidList != null) {
                try {
                    if (appUidList.size() > 0) {
                        for (int i = 0; i < appUidList.size(); i++) {
                            if (i == 0) {
                                this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_ad_strategy_rule", appUidList.get(i), str});
                            } else {
                                this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_ad_strategy_rule", appUidList.get(i), "not_reset"});
                            }
                        }
                    }
                } catch (com.android.server.NativeDaemonConnectorException e2) {
                    throw e2.rethrowAsParcelableException();
                }
            }
            this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_ad_strategy_rule", null, str});
        } else if (1 == strategy) {
            if (appUidList == null || appUidList.size() <= 0) {
                this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_apkdl_strategy_rule", null, str});
            } else {
                for (e2 = null; e2 < appUidList.size(); e2++) {
                    if (e2 == null) {
                        this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_apkdl_strategy_rule", appUidList.get(e2), str});
                    } else {
                        this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_apkdl_strategy_rule", appUidList.get(e2), "not_reset"});
                    }
                }
            }
        } else if (2 == strategy) {
            android.util.Slog.d(TAG, "clearApkDlFilterRules strategy is APK_CONTROL_STRATEGY");
            if (appUidList == null || appUidList.size() <= 0) {
                android.util.Slog.d(TAG, "clearApkDlFilterRules else netd clear_delta_install_rule");
                this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_delta_install_rule", null, str});
            } else {
                e2 = appUidList.size();
                for (int i2 = 0; i2 < e2; i2++) {
                    if (i2 == 0) {
                        android.util.Slog.d(TAG, "clearApkDlFilterRules 0==i netd clear_delta_install_rule");
                        this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_delta_install_rule", appUidList.get(i2), str});
                    } else {
                        android.util.Slog.d(TAG, "clearApkDlFilterRules 0!=i netd clear_delta_install_rule");
                        this.mConnector.execute("hwfilter", new java.lang.Object[]{"clear_delta_install_rule", appUidList.get(i2), "not_reset"});
                    }
                }
            }
        }
    }

    private void printAdOrApkDlFilterRules(int strategy) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("printAdOrApkDlFilterRules, strategy=");
        stringBuilder.append(strategy);
        android.util.Slog.d(str, stringBuilder.toString());
        if (strategy == 0) {
            try {
                this.mConnector.execute("hwfilter", new java.lang.Object[]{"output_ad_strategy_rule"});
            } catch (com.android.server.NativeDaemonConnectorException e) {
                throw e.rethrowAsParcelableException();
            }
        } else if (1 == strategy) {
            this.mConnector.execute("hwfilter", new java.lang.Object[]{"output_apkdl_strategy_rule"});
        } else if (2 == strategy) {
            this.mConnector.execute("hwfilter", new java.lang.Object[]{"output_delta_install_rule"});
        }
    }

    private void setApkDlUrlUserResult(java.lang.String downloadId, boolean result) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setApkDlUrlUserResult, downloadId=");
        stringBuilder.append(downloadId);
        stringBuilder.append(", result=");
        stringBuilder.append(result);
        android.util.Slog.d(str, stringBuilder.toString());
        str = result ? "allow" : "reject";
        try {
            this.mConnector.execute("hwfilter", new java.lang.Object[]{"apkdl_callback", downloadId, str});
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw e.rethrowAsParcelableException();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:47:0x0136  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012e  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012e  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0136  */
    private java.lang.String getStrategyStr(int r20, int r21, android.os.Parcel r22) {
        /*
        r19 = this;
        r1 = r19;
        r2 = r20;
        r3 = r21;
        if (r3 <= 0) goto L_0x0176;
    L_0x0008:
        r0 = r1.mContext;
        r0 = android.os.UserManager.get(r0);
        r4 = r0.getUserCount();
        r0 = r1.mContext;
        r0 = android.os.UserManager.get(r0);
        r5 = r0.getUsers();
        r0 = r1.mContext;
        r6 = r0.getPackageManager();
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r7 = r0;
        r0 = 0;
    L_0x0029:
        if (r0 >= r3) goto L_0x016f;
    L_0x002b:
        r9 = r22.readString();
        r10 = r22.createStringArrayList();
        r11 = r0 + 1;
        r0 = android.text.TextUtils.isEmpty(r9);
        r13 = 1101; // 0x44d float:1.543E-42 double:5.44E-321;
        if (r0 != 0) goto L_0x014f;
    L_0x003d:
        if (r10 == 0) goto L_0x014f;
    L_0x003f:
        r0 = r10.size();
        if (r0 != 0) goto L_0x0049;
    L_0x0045:
        r18 = r4;
        goto L_0x0151;
    L_0x0049:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r14 = r0;
        r0 = 0;
        r15 = r0;
        r0 = 0;
    L_0x0052:
        r16 = r0;
        r8 = r16;
        if (r8 >= r4) goto L_0x014c;
    L_0x0058:
        r0 = -1;
        r16 = r0;
        r0 = r5.get(r8);	 Catch:{ Exception -> 0x0125 }
        r0 = (android.content.pm.UserInfo) r0;	 Catch:{ Exception -> 0x0125 }
        r0 = r0.id;	 Catch:{ Exception -> 0x0125 }
        r0 = r6.getPackageUidAsUser(r9, r0);	 Catch:{ Exception -> 0x0125 }
        r17 = r0;
        if (r13 != r2) goto L_0x00a3;
    L_0x006b:
        r0 = TAG;	 Catch:{ Exception -> 0x009c }
        r13 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x009c }
        r13.<init>();	 Catch:{ Exception -> 0x009c }
        r12 = "CODE_SET_AD_STRATEGY_RULE, adStrategy pkgName=";
        r13.append(r12);	 Catch:{ Exception -> 0x009c }
        r13.append(r9);	 Catch:{ Exception -> 0x009c }
        r12 = ", uid=";
        r13.append(r12);	 Catch:{ Exception -> 0x009c }
        r12 = r17;
        r13.append(r12);	 Catch:{ Exception -> 0x00d8 }
        r3 = ", under user.id=";
        r13.append(r3);	 Catch:{ Exception -> 0x00d8 }
        r3 = r5.get(r8);	 Catch:{ Exception -> 0x00d8 }
        r3 = (android.content.pm.UserInfo) r3;	 Catch:{ Exception -> 0x00d8 }
        r3 = r3.id;	 Catch:{ Exception -> 0x00d8 }
        r13.append(r3);	 Catch:{ Exception -> 0x00d8 }
        r3 = r13.toString();	 Catch:{ Exception -> 0x00d8 }
        android.util.Slog.d(r0, r3);	 Catch:{ Exception -> 0x00d8 }
        goto L_0x00dc;
    L_0x009c:
        r0 = move-exception;
        r12 = r17;
        r18 = r4;
        goto L_0x012a;
    L_0x00a3:
        r12 = r17;
        r3 = 1109; // 0x455 float:1.554E-42 double:5.48E-321;
        if (r3 != r2) goto L_0x00dc;
    L_0x00a9:
        r0 = TAG;	 Catch:{ Exception -> 0x00d8 }
        r3 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00d8 }
        r3.<init>();	 Catch:{ Exception -> 0x00d8 }
        r13 = "CODE_SET_APK_CONTROL_STRATEGY, apkStrategy pkgName=";
        r3.append(r13);	 Catch:{ Exception -> 0x00d8 }
        r3.append(r9);	 Catch:{ Exception -> 0x00d8 }
        r13 = ", uid=";
        r3.append(r13);	 Catch:{ Exception -> 0x00d8 }
        r3.append(r12);	 Catch:{ Exception -> 0x00d8 }
        r13 = ", under user.id=";
        r3.append(r13);	 Catch:{ Exception -> 0x00d8 }
        r13 = r5.get(r8);	 Catch:{ Exception -> 0x00d8 }
        r13 = (android.content.pm.UserInfo) r13;	 Catch:{ Exception -> 0x00d8 }
        r13 = r13.id;	 Catch:{ Exception -> 0x00d8 }
        r3.append(r13);	 Catch:{ Exception -> 0x00d8 }
        r3 = r3.toString();	 Catch:{ Exception -> 0x00d8 }
        android.util.Slog.d(r0, r3);	 Catch:{ Exception -> 0x00d8 }
        goto L_0x00dc;
    L_0x00d8:
        r0 = move-exception;
        r18 = r4;
        goto L_0x012a;
        r7.append(r12);
        r0 = ":";
        r7.append(r0);
        if (r15 != 0) goto L_0x011f;
    L_0x00e7:
        r0 = 0;
        r3 = 0;
        r13 = r10.size();
    L_0x00ed:
        if (r3 >= r13) goto L_0x0118;
    L_0x00ef:
        r16 = r10.get(r3);
        r18 = r4;
        r4 = r16;
        r4 = (java.lang.String) r4;
        r4 = r1.strToHexStr(r4);
        r14.append(r4);
        r0 = r0 + 1;
        r4 = r10.size();
        if (r0 >= r4) goto L_0x010e;
    L_0x0108:
        r4 = ",";
        r14.append(r4);
        goto L_0x0113;
    L_0x010e:
        r4 = ";";
        r14.append(r4);
    L_0x0113:
        r3 = r3 + 1;
        r4 = r18;
        goto L_0x00ed;
    L_0x0118:
        r18 = r4;
        r15 = r14.toString();
        goto L_0x0121;
    L_0x011f:
        r18 = r4;
    L_0x0121:
        r7.append(r15);
        goto L_0x0142;
    L_0x0125:
        r0 = move-exception;
        r18 = r4;
        r12 = r16;
    L_0x012a:
        r3 = 1101; // 0x44d float:1.543E-42 double:5.44E-321;
        if (r3 != r2) goto L_0x0136;
    L_0x012e:
        r3 = TAG;
        r4 = "CODE_SET_AD_STRATEGY_RULE, skip unknown packages!";
        android.util.Slog.e(r3, r4);
        goto L_0x0141;
    L_0x0136:
        r3 = 1109; // 0x455 float:1.554E-42 double:5.48E-321;
        if (r3 != r2) goto L_0x0141;
    L_0x013a:
        r3 = TAG;
        r4 = "CODE_SET_APK_CONTROL_STRATEGY, skip unknown packages!";
        android.util.Slog.e(r3, r4);
    L_0x0142:
        r0 = r8 + 1;
        r4 = r18;
        r3 = r21;
        r13 = 1101; // 0x44d float:1.543E-42 double:5.44E-321;
        goto L_0x0052;
    L_0x014c:
        r18 = r4;
        goto L_0x0168;
    L_0x014f:
        r18 = r4;
    L_0x0151:
        r3 = 1101; // 0x44d float:1.543E-42 double:5.44E-321;
        if (r3 != r2) goto L_0x015d;
    L_0x0155:
        r0 = TAG;
        r3 = "CODE_SET_AD_STRATEGY_RULE, skip empty key or value!";
        android.util.Slog.e(r0, r3);
        goto L_0x0168;
    L_0x015d:
        r3 = 1109; // 0x455 float:1.554E-42 double:5.48E-321;
        if (r3 != r2) goto L_0x0168;
    L_0x0161:
        r0 = TAG;
        r3 = "CODE_SET_APK_CONTROL_STRATEGY, skip empty key or value!";
        android.util.Slog.e(r0, r3);
    L_0x0168:
        r0 = r11;
        r4 = r18;
        r3 = r21;
        goto L_0x0029;
    L_0x016f:
        r18 = r4;
        r3 = r7.toString();
        return r3;
    L_0x0176:
        r0 = 0;
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwNetworkManagementService.getStrategyStr(int, int, android.os.Parcel):java.lang.String");
    }

    private void setApkControlFilterRules(java.lang.String apkStrategy, boolean needReset) {
        java.lang.String apkStrategy2 = apkStrategy;
        boolean z = needReset;
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setApkControlFilterRules, apkStrategy=");
        stringBuilder.append(apkStrategy2);
        stringBuilder.append(", needReset=");
        stringBuilder.append(z);
        android.util.Slog.d(str, stringBuilder.toString());
        java.lang.String operation = z ? "reset" : "not_reset";
        int count = 0;
        int count2 = 0;
        if (apkStrategy2 != null) {
            count2 = apkStrategy.length();
            count = count2 / 470;
            if (count2 % 470 != 0) {
                count++;
            }
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("setApkControlFilterRules, apkStrategy len=");
            stringBuilder2.append(count2);
            stringBuilder2.append(", divided count=");
            stringBuilder2.append(count);
            android.util.Slog.d(str2, stringBuilder2.toString());
        }
        int strategyLen = count2;
        count2 = count;
        int cmdId = this.mCmdId.incrementAndGet();
        try {
            str = TAG;
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("setApkControlFilterRules, count=");
            stringBuilder3.append(count2);
            stringBuilder3.append(", cmdId=");
            stringBuilder3.append(cmdId);
            android.util.Slog.d(str, stringBuilder3.toString());
            this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_delta_install_rule", operation, java.lang.Integer.valueOf(cmdId), java.lang.Integer.valueOf(count2)});
            if (strategyLen != 0) {
                count = 1;
                while (apkStrategy2.length() > 0) {
                    java.lang.String str3;
                    java.lang.StringBuilder stringBuilder4;
                    if (apkStrategy2.length() <= 470) {
                        str3 = TAG;
                        stringBuilder4 = new java.lang.StringBuilder();
                        stringBuilder4.append("setApkFilterRules, apkStrategy len=");
                        stringBuilder4.append(apkStrategy2.length());
                        stringBuilder4.append(", seq=");
                        stringBuilder4.append(count);
                        stringBuilder4.append(", cmdId=");
                        stringBuilder4.append(cmdId);
                        android.util.Slog.d(str3, stringBuilder4.toString());
                        this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_delta_install_buf", java.lang.Integer.valueOf(cmdId), java.lang.Integer.valueOf(count), apkStrategy2});
                        break;
                    }
                    str3 = apkStrategy2.substring(0, 470);
                    java.lang.String str4 = TAG;
                    stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append("setApkControlFilterRules, apkStrategy len=");
                    stringBuilder4.append(str3.length());
                    stringBuilder4.append(", seq=");
                    stringBuilder4.append(count);
                    stringBuilder4.append(", cmdId=");
                    stringBuilder4.append(cmdId);
                    android.util.Slog.d(str4, stringBuilder4.toString());
                    this.mConnector.execute("hwfilter", new java.lang.Object[]{"set_delta_install_buf", java.lang.Integer.valueOf(cmdId), java.lang.Integer.valueOf(count), str3});
                    apkStrategy2 = apkStrategy2.substring(470);
                    count++;
                }
            } else {
                android.util.Slog.d(TAG, "setApkControlFilterRules, apkStrategy is null!");
            }
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw e.rethrowAsParcelableException();
        }
    }

    public void sendApkDownloadUrlBroadcast(java.lang.String[] cooked, java.lang.String raw) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("receive report_apkdl_event, raw=");
        stringBuilder.append(raw);
        android.util.Slog.d(str, stringBuilder.toString());
        if (cooked.length >= 4) {
            long startTime = android.os.SystemClock.elapsedRealtime();
            str = cooked[1];
            java.lang.String uid = cooked[2];
            if (!this.startTimeMap.containsKey(str)) {
                this.startTimeMap.put(str, java.lang.Long.valueOf(startTime));
            }
            java.util.regex.Matcher m = this.p.matcher(cooked[3]);
            java.lang.String url;
            if (!m.matches() || m.groupCount() < 3) {
                url = hexStrToStr(cooked[3]);
                java.lang.String str2 = TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("onEvent receive report_apkdl_event, startTime=");
                stringBuilder2.append(startTime);
                stringBuilder2.append(", downloadId=");
                stringBuilder2.append(str);
                stringBuilder2.append(", uid=");
                stringBuilder2.append(uid);
                stringBuilder2.append(", url=");
                stringBuilder2.append(url);
                android.util.Slog.d(str2, stringBuilder2.toString());
                android.content.Intent intent = new android.content.Intent("com.android.intent.action.apkdl_url_detected");
                intent.putExtra("startTime", startTime);
                intent.putExtra("downloadId", str);
                intent.putExtra("uid", uid);
                intent.putExtra("url", url);
                this.mContext.sendBroadcast(intent, "com.huawei.permission.AD_APKDL_STRATEGY");
                return;
            }
            int max = java.lang.Integer.parseInt(m.group(1));
            int idx = java.lang.Integer.parseInt(m.group(2));
            java.lang.String subUrl = m.group(3);
            if (idx == 1) {
                this.urlBuffer = new java.lang.StringBuffer();
                this.urlBuffer.append(subUrl);
            } else {
                this.urlBuffer.append(subUrl);
            }
            if (max == idx) {
                url = hexStrToStr(this.urlBuffer.toString());
                java.lang.String str3 = TAG;
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("onEvent receive report_apkdl_event, startTime=");
                stringBuilder3.append(startTime);
                stringBuilder3.append(", downloadId=");
                stringBuilder3.append(str);
                stringBuilder3.append(", uid=");
                stringBuilder3.append(uid);
                stringBuilder3.append(", url=");
                stringBuilder3.append(url);
                android.util.Slog.d(str3, stringBuilder3.toString());
                android.content.Intent intent2 = new android.content.Intent("com.android.intent.action.apkdl_url_detected");
                intent2.putExtra("startTime", (java.io.Serializable) this.startTimeMap.get(str));
                intent2.putExtra("downloadId", str);
                intent2.putExtra("uid", uid);
                intent2.putExtra("url", url);
                this.mContext.sendBroadcast(intent2, "com.huawei.permission.AD_APKDL_STRATEGY");
            }
            return;
        }
        str = java.lang.String.format("Invalid event from daemon (%s)", new java.lang.Object[]{raw});
        android.util.Slog.d(TAG, "receive report_apkdl_event, return error");
        throw new java.lang.IllegalStateException(str);
    }

    public void systemReady() {
        super.systemReady();
        initNetworkAccessWhitelist();
    }

    private void initNetworkAccessWhitelist() {
        final java.util.List<java.lang.String> networkAccessWhitelist = android.hdm.HwDeviceManager.getList(9);
        if (networkAccessWhitelist != null && !networkAccessWhitelist.isEmpty()) {
            android.util.Slog.d(TAG, "networkAccessWhitelist has been set");
            new java.lang.Thread() {
                public void run() {
                    com.android.server.HwNetworkManagementService.this.setNetworkAccessWhitelist(networkAccessWhitelist);
                }
            }.start();
        }
    }

    public void setNetworkAccessWhitelist(java.util.List<java.lang.String> addrList) {
        java.lang.String str;
        if (addrList != null) {
            try {
                if (!addrList.isEmpty()) {
                    int size = addrList.size();
                    java.lang.String res = (java.lang.String) this.mConnector.doCommand("net_filter", new java.lang.Object[]{"ipwhitelist", "set", addrList.get(0)}).get(0);
                    str = TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("set ipwhitelist:");
                    stringBuilder.append(res);
                    android.util.Slog.d(str, stringBuilder.toString());
                    for (int i = 1; i < size; i++) {
                        str = (java.lang.String) this.mConnector.doCommand("net_filter", new java.lang.Object[]{"ipwhitelist", "add", addrList.get(i)}).get(0);
                        java.lang.String str2 = TAG;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("add ipwhitelist:");
                        stringBuilder2.append(str);
                        android.util.Slog.d(str2, stringBuilder2.toString());
                    }
                }
            } catch (java.lang.NullPointerException npe) {
                android.util.Slog.e(TAG, "runNetFilterCmd:", npe);
            } catch (java.lang.NullPointerException npe2) {
                android.util.Slog.e(TAG, "runNetFilterCmd:", npe2);
                return;
            }
        }
        str = (java.lang.String) this.mConnector.doCommand("net_filter", new java.lang.Object[]{"ipwhitelist", "clear"}).get(0);
        java.lang.NullPointerException npe22 = TAG;
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("clear ipwhitelist:");
        stringBuilder3.append(str);
        android.util.Slog.d(npe22, stringBuilder3.toString());
    }

    private void removeLegacyRouteForNetId(int netId, android.net.RouteInfo routeInfo, int uid) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", TAG);
        com.android.server.NativeDaemonConnector.Command cmd = new com.android.server.NativeDaemonConnector.Command("network", new java.lang.Object[]{"route", "legacy", java.lang.Integer.valueOf(uid), "remove", java.lang.Integer.valueOf(netId)});
        android.net.LinkAddress la = routeInfo.getDestinationLinkAddress();
        cmd.appendArg(routeInfo.getInterface());
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(la.getAddress().getHostAddress());
        stringBuilder.append("/");
        stringBuilder.append(la.getPrefixLength());
        cmd.appendArg(stringBuilder.toString());
        if (routeInfo.hasGateway()) {
            cmd.appendArg(routeInfo.getGateway().getHostAddress());
        }
        try {
            this.mConnector.execute(cmd);
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw e.rethrowAsParcelableException();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:4:0x0014 A:{ExcHandler: android.os.RemoteException (r0_1 'e' java.lang.Exception), Splitter: B:1:0x000d} */
    /* JADX WARNING: Missing block: B:4:0x0014, code:
            r0 = move-exception;
     */
    /* JADX WARNING: Missing block: B:5:0x0015, code:
            r4 = TAG;
            r5 = new java.lang.StringBuilder();
            r5.append("Error closing sockets for uid ");
            r5.append(r8);
            r5.append(": ");
            r5.append(r0);
            android.util.Slog.e(r4, r5.toString());
     */
    /* JADX WARNING: Missing block: B:6:0x0033, code:
            return false;
     */
    public boolean closeSocketsForUid(int r8) {
        /*
        r7 = this;
        r0 = 1;
        r1 = new android.net.UidRange[r0];
        r2 = new android.net.UidRange;
        r2.<init>(r8, r8);
        r3 = 0;
        r1[r3] = r2;
        r2 = new int[r3];
        r4 = r7.mNetdService;	 Catch:{ RemoteException -> 0x0014, RemoteException -> 0x0014 }
        r4.socketDestroy(r1, r2);	 Catch:{ RemoteException -> 0x0014, RemoteException -> 0x0014 }
        return r0;
    L_0x0014:
        r0 = move-exception;
        r4 = TAG;
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "Error closing sockets for uid ";
        r5.append(r6);
        r5.append(r8);
        r6 = ": ";
        r5.append(r6);
        r5.append(r0);
        r5 = r5.toString();
        android.util.Slog.e(r4, r5);
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwNetworkManagementService.closeSocketsForUid(int):boolean");
    }

    private void setChrReportUid(int index, int uid) {
        try {
            java.lang.String res = (java.lang.String) this.mConnector.doCommand("chr", new java.lang.Object[]{"appuid", "set", java.lang.Integer.valueOf(index), java.lang.Integer.valueOf(uid)}).get(0);
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("chr appuid set:");
            stringBuilder.append(res);
            android.util.Slog.d(str, stringBuilder.toString());
        } catch (java.lang.NullPointerException npe) {
            android.util.Slog.e(TAG, "runChrCmd:", npe);
        } catch (com.android.server.NativeDaemonConnectorException nde) {
            android.util.Slog.e(TAG, "runChrCmd:", nde);
        }
    }

    public void setFirewallPidRule(int chain, int pid, int rule) {
        try {
            this.mConnector.execute("firewall", new java.lang.Object[]{"set_pid_rule", getFirewallChainName(chain), java.lang.Integer.valueOf(pid), getFirewallRuleNameHw(chain, rule)});
        } catch (com.android.server.NativeDaemonConnectorException e) {
            throw e.rethrowAsParcelableException();
        }
    }

    private void setNetBoosterVodEnabled(boolean enable) {
        if (this.mBoosterVideoAccEnabled) {
            try {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setNetBoosterVodEnabled enable=");
                stringBuilder.append(enable);
                android.util.Slog.d(str, stringBuilder.toString());
                com.android.server.NativeDaemonConnector nativeDaemonConnector = this.mConnector;
                java.lang.String str2 = "hwnb";
                java.lang.Object[] objArr = new java.lang.Object[2];
                objArr[0] = "vod";
                objArr[1] = enable ? "enable" : "disable";
                nativeDaemonConnector.execute(str2, objArr);
            } catch (com.android.server.NativeDaemonConnectorException e) {
                android.util.Slog.e(TAG, "setNetBoosterVodEnabled:netd cmd execute failed", e);
            }
        }
    }

    private void setNetBoosterKsiEnabled(boolean enable) {
        if (this.mBoosterNetAiChangeEnabled) {
            try {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setNetBoosterKsiEnabled enable=");
                stringBuilder.append(enable);
                android.util.Slog.d(str, stringBuilder.toString());
                com.android.server.NativeDaemonConnector nativeDaemonConnector = this.mConnector;
                java.lang.String str2 = "hwnb";
                java.lang.Object[] objArr = new java.lang.Object[2];
                objArr[0] = "ksi";
                objArr[1] = enable ? "enable" : "disable";
                nativeDaemonConnector.execute(str2, objArr);
            } catch (com.android.server.NativeDaemonConnectorException e) {
                android.util.Slog.e(TAG, "setNetBoosterKsiEnabled:netd cmd execute failed", e);
            }
        }
    }

    private void setNetBoosterAppUid(android.os.Bundle data) {
        int appUid = data.getInt("appUid");
        int period = data.getInt("reportPeriod");
        try {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setNetBoosterAppUid,appUid=");
            stringBuilder.append(appUid);
            stringBuilder.append(",period=");
            stringBuilder.append(period);
            android.util.Slog.d(str, stringBuilder.toString());
            this.mConnector.execute("hwnb", new java.lang.Object[]{"appQoe", "uid", java.lang.Integer.valueOf(appUid), java.lang.Integer.valueOf(period)});
        } catch (com.android.server.NativeDaemonConnectorException e) {
            android.util.Slog.e(TAG, "setNetBoosterAppUid:netd cmd execute failed", e);
        }
    }

    private void setNetBoosterRsrpRsrq(android.os.Bundle data) {
        int rsrp = data.getInt("rsrp");
        int rsrq = data.getInt("rsrq");
        try {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setNetBoosterRsrpRsrq,rsrp=");
            stringBuilder.append(rsrp);
            stringBuilder.append(",rsrq=");
            stringBuilder.append(rsrq);
            android.util.Slog.d(str, stringBuilder.toString());
            this.mConnector.execute("hwnb", new java.lang.Object[]{"appQoe", "rsrp", java.lang.Integer.valueOf(rsrp), java.lang.Integer.valueOf(rsrq)});
        } catch (com.android.server.NativeDaemonConnectorException e) {
            android.util.Slog.e(TAG, "setNetBoosterRsrpRsrq:netd cmd execute failed", e);
        }
    }

    public void reportVodParams(int videoSegState, int videoProtocol, int videoRemainingPlayTime, int videoStatus, int aveCodeRate, int segSize, int flowInfoRemote, int flowInfoLocal, int segDuration, int segIndex) {
        int i = videoSegState;
        int i2 = videoProtocol;
        int i3 = videoRemainingPlayTime;
        int i4 = videoStatus;
        int i5 = aveCodeRate;
        int i6 = segSize;
        int i7 = segDuration;
        int i8 = segIndex;
        if (this.mBoosterVideoAccEnabled) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportVodParams:videoSegState=");
            stringBuilder.append(i);
            stringBuilder.append(",videoProtocol=");
            stringBuilder.append(i2);
            stringBuilder.append(",videoRemainingPlayTime=");
            stringBuilder.append(i3);
            stringBuilder.append(",videoStatus=");
            stringBuilder.append(i4);
            stringBuilder.append(",aveCodeRate=");
            stringBuilder.append(i5);
            stringBuilder.append(",segSize=");
            stringBuilder.append(i6);
            stringBuilder.append(",segDuration=");
            stringBuilder.append(i7);
            stringBuilder.append(",segIndex=");
            stringBuilder.append(i8);
            android.util.Slog.d(str, stringBuilder.toString());
            android.net.booster.IHwCommBoosterServiceManager bm = android.common.HwFrameworkFactory.getHwCommBoosterServiceManager();
            if (bm != null) {
                android.os.Bundle data = new android.os.Bundle();
                data.putInt("videoSegState", i);
                data.putInt("videoProtocol", i2);
                data.putInt("videoRemainingPlayTime", i3);
                data.putInt("videoStatus", i4);
                data.putInt("aveCodeRate", i5);
                data.putInt("segSize", i6);
                data.putInt("flowInfoRemote", flowInfoRemote);
                data.putInt("flowInfoLocal", flowInfoLocal);
                data.putInt("segDuration", i7);
                data.putInt("segIndex", i8);
                int ret = bm.reportBoosterPara("com.android.server", 1, data);
                if (ret != 0) {
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("reportVodParams:reportBoosterPara failed, ret=");
                    stringBuilder2.append(ret);
                    android.util.Slog.e(str2, stringBuilder2.toString());
                }
            } else {
                int i9 = flowInfoRemote;
                int i10 = flowInfoLocal;
                android.util.Slog.e(TAG, "reportVodParams:null HwCommBoosterServiceManager");
            }
        }
    }

    public void reportKsiParams(int slowType, int avgAmp, int duration, int timeStart) {
        if (this.mBoosterNetAiChangeEnabled) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportKsiParams:slowType=");
            stringBuilder.append(slowType);
            stringBuilder.append(",avgAmp=");
            stringBuilder.append(avgAmp);
            stringBuilder.append(",duration=");
            stringBuilder.append(duration);
            stringBuilder.append(",timeStart=");
            stringBuilder.append(timeStart);
            android.util.Slog.d(str, stringBuilder.toString());
            android.net.booster.IHwCommBoosterServiceManager bm = android.common.HwFrameworkFactory.getHwCommBoosterServiceManager();
            if (bm != null) {
                android.os.Bundle data = new android.os.Bundle();
                data.putInt("slowType", slowType);
                data.putInt("avgAmp", avgAmp);
                data.putInt("duration", duration);
                data.putInt("timeStart", timeStart);
                int ret = bm.reportBoosterPara("com.android.server", 2, data);
                if (ret != 0) {
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("reportKsiParams:reportBoosterPara failed, ret=");
                    stringBuilder2.append(ret);
                    android.util.Slog.e(str2, stringBuilder2.toString());
                }
            } else {
                android.util.Slog.e(TAG, "reportKsiParams:null HwCommBoosterServiceManager");
            }
        }
    }

    private void setNetBoosterPreDnsAppUid(android.os.Bundle b) {
        if (this.mBoosterPreDnsEnabled) {
            java.lang.String preDnsAppUid = b.getString("TogAppUidInfo");
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setNetBoosterPreDnsAppUid: preDnsAppUid: ");
            stringBuilder.append(preDnsAppUid);
            android.util.Slog.d(str, stringBuilder.toString());
            java.lang.String[] apps = preDnsAppUid.split(" ");
            java.lang.Object[] argv = new java.lang.Object[14];
            argv[0] = "dns";
            argv[1] = "top_app_uid";
            int argc = 2;
            for (int i = 0; i < apps.length; i++) {
                int argc2 = argc + 1;
                argv[argc] = apps[i];
                if (i != apps.length - 1) {
                    if (argc2 != argv.length) {
                        argc = argc2;
                    }
                }
                try {
                    this.mConnector.execute("hwnb", java.util.Arrays.copyOf(argv, argc2));
                } catch (com.android.server.NativeDaemonConnectorException e) {
                    android.util.Slog.e(TAG, "setNetBoosterPreDnsAppUid: top_app_uid cmd execute failed", e);
                }
                argc = 2;
            }
            try {
                this.mConnector.execute("hwnb", new java.lang.Object[]{"dns", "top_app_uid", "end"});
            } catch (com.android.server.NativeDaemonConnectorException e2) {
                android.util.Slog.e(TAG, "setNetBoosterPreDnsAppUid: top_app_uid end execute failed", e2);
            }
        }
    }

    private void setNetBoosterPreDnsBrowerUid(android.os.Bundle b) {
        if (this.mBoosterPreDnsEnabled) {
            java.lang.String preDnsBrowserUid = b.getString("BrowserUidInfo");
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setNetBoosterPreDnsBrowerUid: preDnsBrowserUid: ");
            stringBuilder.append(preDnsBrowserUid);
            android.util.Slog.d(str, stringBuilder.toString());
            java.lang.String[] browsers = preDnsBrowserUid.split(" ");
            java.lang.Object[] argv = new java.lang.Object[14];
            int i = 0;
            argv[0] = "dns";
            argv[1] = "browser_uid";
            int argc = 2;
            while (i < browsers.length) {
                int argc2 = argc + 1;
                argv[argc] = browsers[i];
                if (i != browsers.length - 1) {
                    if (argc2 != argv.length) {
                        argc = argc2;
                        i++;
                    }
                }
                try {
                    this.mConnector.execute("hwnb", java.util.Arrays.copyOf(argv, argc2));
                } catch (com.android.server.NativeDaemonConnectorException e) {
                    android.util.Slog.e(TAG, "setNetBoosterPreDnsBrowerUid: browser_uid cmd execute failed", e);
                }
                argc = 2;
                i++;
            }
        }
    }

    private void setNetBoosterPreDnsDomainName(android.os.Bundle b) {
        if (this.mBoosterPreDnsEnabled) {
            java.lang.String preDnsUrl = b.getString("DnsDomainName");
            com.android.server.NativeDaemonConnector.Command cmd = new com.android.server.NativeDaemonConnector.Command("hwnb", new java.lang.Object[]{"dns", "top_url"});
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setNetBoosterPreDnsDomainName: preDnsUrl: ");
            stringBuilder.append(preDnsUrl);
            android.util.Slog.d(str, stringBuilder.toString());
            java.lang.String[] urls = preDnsUrl.split(",");
            int cmdLength = 0;
            com.android.server.NativeDaemonConnector.Command cmd2 = cmd;
            for (java.lang.String[] urlAlias : urls) {
                java.lang.String[] urlAlias2 = urlAlias2.split(" ");
                try {
                    cmdLength = (java.lang.Integer.parseInt(urlAlias2[1]) + cmdLength) + 2;
                } catch (java.lang.NumberFormatException e) {
                    android.util.Slog.e(TAG, "setNetBoosterPreDnsDomainName: top_url cnt format err", e);
                }
                if (cmdLength > 12) {
                    try {
                        this.mConnector.execute(cmd2);
                    } catch (com.android.server.NativeDaemonConnectorException e2) {
                        android.util.Slog.e(TAG, "setNetBoosterPreDnsDomainName: top_url cmd execute failed", e2);
                    }
                    cmdLength = 0;
                    cmd2 = new com.android.server.NativeDaemonConnector.Command("hwnb", new java.lang.Object[]{"dns", "top_url"});
                }
                for (java.lang.String s : urlAlias2) {
                    cmd2.appendArg(s);
                }
            }
            try {
                this.mConnector.execute(cmd2);
                this.mConnector.execute("hwnb", new java.lang.Object[]{"dns", "top_url", "end"});
            } catch (com.android.server.NativeDaemonConnectorException e3) {
                android.util.Slog.e(TAG, "setNetBoosterPreDnsDomainName: top_url cmd execute failed", e3);
            }
        }
    }

    private void setNetBoosterUidForeground(android.os.Bundle b) {
        if (this.mBoosterPreDnsEnabled) {
            int uid = b.getInt("ForegroundUid");
            boolean isForeground = b.getBoolean("ForegroundState");
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setNetBoosterUidForeground uid: ");
            stringBuilder.append(uid);
            stringBuilder.append(", foreground: ");
            stringBuilder.append(isForeground);
            android.util.Slog.i(str, stringBuilder.toString());
            try {
                com.android.server.NativeDaemonConnector nativeDaemonConnector = this.mConnector;
                java.lang.String str2 = "hwnb";
                java.lang.Object[] objArr = new java.lang.Object[4];
                objArr[0] = "dns";
                objArr[1] = "uid_foreground";
                objArr[2] = java.lang.Integer.valueOf(uid);
                objArr[3] = isForeground ? "true" : "false";
                nativeDaemonConnector.execute(str2, objArr);
            } catch (com.android.server.NativeDaemonConnectorException e) {
                android.util.Slog.e(TAG, "setNetBoosterUidForeground: uid_foreground execute failed", e);
            }
        }
    }
}
