package com.android.server;

public class HwStorageManagerService extends com.android.server.StorageManagerService {
    private static final java.lang.String CREATE_USER_KEY_ISEC = "create_user_key_isec";
    private static final int DEFAULT_PRELOAD_POLICY_FLAG = -1;
    private static final java.lang.String DESTROY_USER_KEY_ISEC = "destroy_user_key_isec";
    private static final int FILE_INVALID_NULL = -201;
    private static final int FILE_INVALID_PATH = -202;
    private static final java.lang.String GET_KEY_DESC = "get_key_desc";
    private static final java.lang.String GET_PRE_LOAD_POLICY_FLAG = "get_pre_load_policy_flag";
    private static final int HUAWEI_EARL_PRODUCT_ID = 15168;
    private static final int HUAWEI_EARL_STORAGE_SERIAL = 0;
    private static final int HUAWEI_EARL_VENDOR_ID = 4817;
    private static final java.lang.String LOCK_USER_KEY_ISEC = "lock_user_key_isec";
    private static final java.lang.String LOCK_USER_SCREEN_ISEC = "lock_user_screen_isec";
    private static final java.lang.String MANAGE_USE_SECURITY = "com.huawei.permission.MANAGE_USE_SECURITY";
    private static final int NATIVE_METHOD_NOT_FOUND = -201;
    private static final int NATIVE_METHOD_NOT_VALID = -200;
    private static final int PERMISSION_NOT_ALLOW = -200;
    public static final int REQUEST_SET_DESCRIPTOR = 7;
    private static final int SCREEN_FLAG_FACIAL_RECOGNITION = 4;
    private static final int SCREEN_FLAG_FINGERPRINT_UNLOCK = 3;
    private static final int SCREEN_FLAG_LOCK_SCREEN = 1;
    private static final int SCREEN_FLAG_PASSWORD_UNLOCK = 2;
    private static final java.lang.String SET_SCREEN_STATE_FLAG = "set_screen_state_flag";
    private static final int SIZE_STRINGBUFFER = 256;
    private static final java.lang.String TAG = "HwStorageManagerService";
    private static final int UNLOCK_TYPE_FACIAL_RECOGNITION = 4;
    private static final int UNLOCK_TYPE_FINGERPRINT = 2;
    private static final int UNLOCK_TYPE_PASSWORD_GRAPHICS = 1;
    private static final java.lang.String UNLOCK_USER_KEY_ISEC = "unlock_user_key_isec";
    private static final java.lang.String UNLOCK_USER_SCREEN_ISEC = "unlock_user_screen_isec";
    public static final int USB_CLASS_INTERFACE = 1;
    private static boolean mLoadLibraryFailed;
    private android.content.Context mContext;
    private android.hardware.usb.UsbManager mUsbManager;

    private static native void finalize_native();

    private static native void init_native();

    private static native int nativeGetMaxTimeCost();

    private static native int nativeGetMinTimeCost();

    private static native int nativeGetNotificationLevel();

    private static native long nativeGetPartitionInfo(java.lang.String str, int i);

    private static native int nativeGetPercentComplete();

    private static native int nativeGetUndiscardInfo();

    private static native int nativeStartClean();

    private static native int nativeStopClean();

    public /* bridge */ /* synthetic */ void abortIdleMaintenance() {
        super.abortIdleMaintenance();
    }

    public /* bridge */ /* synthetic */ void allocateBytes(java.lang.String x0, long x1, int x2, java.lang.String x3) {
        super.allocateBytes(x0, x1, x2, x3);
    }

    public /* bridge */ /* synthetic */ void benchmark(java.lang.String x0, android.os.IVoldTaskListener x1) {
        super.benchmark(x0, x1);
    }

    public /* bridge */ /* synthetic */ int changeEncryptionPassword(int x0, java.lang.String x1) {
        return super.changeEncryptionPassword(x0, x1);
    }

    public /* bridge */ /* synthetic */ void clearPassword() throws android.os.RemoteException {
        super.clearPassword();
    }

    public /* bridge */ /* synthetic */ void createUserKey(int x0, int x1, boolean x2) {
        super.createUserKey(x0, x1, x2);
    }

    public /* bridge */ /* synthetic */ int decryptStorage(java.lang.String x0) {
        return super.decryptStorage(x0);
    }

    public /* bridge */ /* synthetic */ void destroyUserKey(int x0) {
        super.destroyUserKey(x0);
    }

    public /* bridge */ /* synthetic */ void destroyUserStorage(java.lang.String x0, int x1, int x2) {
        super.destroyUserStorage(x0, x1, x2);
    }

    public /* bridge */ /* synthetic */ int encryptStorage(int x0, java.lang.String x1) {
        return super.encryptStorage(x0, x1);
    }

    public /* bridge */ /* synthetic */ void forgetAllVolumes() {
        super.forgetAllVolumes();
    }

    public /* bridge */ /* synthetic */ void forgetVolume(java.lang.String x0) {
        super.forgetVolume(x0);
    }

    public /* bridge */ /* synthetic */ void format(java.lang.String x0) {
        super.format(x0);
    }

    public /* bridge */ /* synthetic */ void fstrim(int x0, android.os.IVoldTaskListener x1) {
        super.fstrim(x0, x1);
    }

    public /* bridge */ /* synthetic */ long getAllocatableBytes(java.lang.String x0, int x1, java.lang.String x2) {
        return super.getAllocatableBytes(x0, x1, x2);
    }

    public /* bridge */ /* synthetic */ long getCacheQuotaBytes(java.lang.String x0, int x1) {
        return super.getCacheQuotaBytes(x0, x1);
    }

    public /* bridge */ /* synthetic */ long getCacheSizeBytes(java.lang.String x0, int x1) {
        return super.getCacheSizeBytes(x0, x1);
    }

    public /* bridge */ /* synthetic */ android.os.storage.DiskInfo[] getDisks() {
        return super.getDisks();
    }

    public /* bridge */ /* synthetic */ int getEncryptionState() {
        return super.getEncryptionState();
    }

    public /* bridge */ /* synthetic */ java.lang.String getField(java.lang.String x0) throws android.os.RemoteException {
        return super.getField(x0);
    }

    public /* bridge */ /* synthetic */ java.lang.String getMountedObbPath(java.lang.String x0) {
        return super.getMountedObbPath(x0);
    }

    public /* bridge */ /* synthetic */ java.lang.String getPassword() throws android.os.RemoteException {
        return super.getPassword();
    }

    public /* bridge */ /* synthetic */ int getPasswordType() {
        return super.getPasswordType();
    }

    public /* bridge */ /* synthetic */ java.lang.String getPrimaryStorageUuid() {
        return super.getPrimaryStorageUuid();
    }

    public /* bridge */ /* synthetic */ int getPrivacySpaceUserId() {
        return super.getPrivacySpaceUserId();
    }

    public /* bridge */ /* synthetic */ android.os.storage.StorageVolume[] getVolumeList(int x0, java.lang.String x1, int x2) {
        return super.getVolumeList(x0, x1, x2);
    }

    public /* bridge */ /* synthetic */ android.os.storage.VolumeRecord[] getVolumeRecords(int x0) {
        return super.getVolumeRecords(x0);
    }

    public /* bridge */ /* synthetic */ android.os.storage.VolumeInfo[] getVolumes(int x0) {
        return super.getVolumes(x0);
    }

    public /* bridge */ /* synthetic */ boolean isConvertibleToFBE() throws android.os.RemoteException {
        return super.isConvertibleToFBE();
    }

    public /* bridge */ /* synthetic */ boolean isExternalSDcard(android.os.storage.VolumeInfo x0) {
        return super.isExternalSDcard(x0);
    }

    public /* bridge */ /* synthetic */ boolean isObbMounted(java.lang.String x0) {
        return super.isObbMounted(x0);
    }

    public /* bridge */ /* synthetic */ boolean isSecure() {
        return super.isSecure();
    }

    public /* bridge */ /* synthetic */ boolean isSecureEx(int x0) {
        return super.isSecureEx(x0);
    }

    public /* bridge */ /* synthetic */ boolean isUserKeyUnlocked(int x0) {
        return super.isUserKeyUnlocked(x0);
    }

    public /* bridge */ /* synthetic */ long lastMaintenance() {
        return super.lastMaintenance();
    }

    public /* bridge */ /* synthetic */ void lockUserKey(int x0) {
        super.lockUserKey(x0);
    }

    public /* bridge */ /* synthetic */ void mkdirs(java.lang.String x0, java.lang.String x1) {
        super.mkdirs(x0, x1);
    }

    public /* bridge */ /* synthetic */ void monitor() {
        super.monitor();
    }

    public /* bridge */ /* synthetic */ void mount(java.lang.String x0) {
        super.mount(x0);
    }

    public /* bridge */ /* synthetic */ void mountObb(java.lang.String x0, java.lang.String x1, java.lang.String x2, android.os.storage.IObbActionListener x3, int x4) {
        super.mountObb(x0, x1, x2, x3, x4);
    }

    public /* bridge */ /* synthetic */ com.android.internal.os.AppFuseMount mountProxyFileDescriptorBridge() {
        return super.mountProxyFileDescriptorBridge();
    }

    public /* bridge */ /* synthetic */ void onAwakeStateChanged(boolean x0) {
        super.onAwakeStateChanged(x0);
    }

    public /* bridge */ /* synthetic */ void onDaemonConnected() {
        super.onDaemonConnected();
    }

    public /* bridge */ /* synthetic */ void onKeyguardStateChanged(boolean x0) {
        super.onKeyguardStateChanged(x0);
    }

    public /* bridge */ /* synthetic */ android.os.ParcelFileDescriptor openProxyFileDescriptor(int x0, int x1, int x2) {
        return super.openProxyFileDescriptor(x0, x1, x2);
    }

    public /* bridge */ /* synthetic */ void partitionMixed(java.lang.String x0, int x1) {
        super.partitionMixed(x0, x1);
    }

    public /* bridge */ /* synthetic */ void partitionPrivate(java.lang.String x0) {
        super.partitionPrivate(x0);
    }

    public /* bridge */ /* synthetic */ void partitionPublic(java.lang.String x0) {
        super.partitionPublic(x0);
    }

    public /* bridge */ /* synthetic */ void prepareUserStorage(java.lang.String x0, int x1, int x2, int x3) {
        super.prepareUserStorage(x0, x1, x2, x3);
    }

    public /* bridge */ /* synthetic */ void registerListener(android.os.storage.IStorageEventListener x0) {
        super.registerListener(x0);
    }

    public /* bridge */ /* synthetic */ void runIdleMaintenance() {
        super.runIdleMaintenance();
    }

    public /* bridge */ /* synthetic */ void runMaintenance() {
        super.runMaintenance();
    }

    public /* bridge */ /* synthetic */ void setDebugFlags(int x0, int x1) {
        super.setDebugFlags(x0, x1);
    }

    public /* bridge */ /* synthetic */ void setField(java.lang.String x0, java.lang.String x1) throws android.os.RemoteException {
        super.setField(x0, x1);
    }

    public /* bridge */ /* synthetic */ void setPrimaryStorageUuid(java.lang.String x0, android.content.pm.IPackageMoveObserver x1) {
        super.setPrimaryStorageUuid(x0, x1);
    }

    public /* bridge */ /* synthetic */ void setVolumeNickname(java.lang.String x0, java.lang.String x1) {
        super.setVolumeNickname(x0, x1);
    }

    public /* bridge */ /* synthetic */ void setVolumeUserFlags(java.lang.String x0, int x1, int x2) {
        super.setVolumeUserFlags(x0, x1, x2);
    }

    public /* bridge */ /* synthetic */ void shutdown(android.os.storage.IStorageShutdownObserver x0) {
        super.shutdown(x0);
    }

    public /* bridge */ /* synthetic */ void unlockUserKey(int x0, int x1, byte[] x2, byte[] x3) {
        super.unlockUserKey(x0, x1, x2, x3);
    }

    public /* bridge */ /* synthetic */ void unmount(java.lang.String x0) {
        super.unmount(x0);
    }

    public /* bridge */ /* synthetic */ void unmountObb(java.lang.String x0, boolean x1, android.os.storage.IObbActionListener x2, int x3) {
        super.unmountObb(x0, x1, x2, x3);
    }

    public /* bridge */ /* synthetic */ void unregisterListener(android.os.storage.IStorageEventListener x0) {
        super.unregisterListener(x0);
    }

    public /* bridge */ /* synthetic */ int verifyEncryptionPassword(java.lang.String x0) throws android.os.RemoteException {
        return super.verifyEncryptionPassword(x0);
    }

    static {
        mLoadLibraryFailed = false;
        try {
            java.lang.System.loadLibrary("hwstoragemanager_jni");
        } catch (java.lang.UnsatisfiedLinkError e) {
            mLoadLibraryFailed = true;
            android.util.Slog.d("HwStorageManagerService", "hwstoragemanager_jni library not found!");
        }
    }

    public HwStorageManagerService(android.content.Context context) {
        super(context);
        this.mContext = context;
        if (!mLoadLibraryFailed) {
            init_native();
        }
    }

    protected void finalize() {
        if (!mLoadLibraryFailed) {
            finalize_native();
        }
        try {
            super.finalize();
        } catch (Throwable th) {
        }
    }

    public int startClean() {
        android.util.Slog.d("HwStorageManagerService", "startClean:");
        if (android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()) != 1000) {
            if (this.mContext.checkCallingPermission("android.permission.MOUNT_UNMOUNT_FILESYSTEMS") != 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("you have no permission to call startClean from uid:");
                stringBuilder.append(android.os.Binder.getCallingUid());
                throw new java.lang.SecurityException(stringBuilder.toString());
            }
        }
        try {
            if (!mLoadLibraryFailed) {
                return nativeStartClean();
            }
            android.util.Slog.d("HwStorageManagerService", "nativeStartClean not valid!");
            return -200;
        } catch (java.lang.UnsatisfiedLinkError e) {
            android.util.Slog.d("HwStorageManagerService", "nativeStartClean not found!");
            return -201;
        }
    }

    public int stopClean() {
        android.util.Slog.d("HwStorageManagerService", "stopClean:");
        if (android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()) != 1000) {
            if (this.mContext.checkCallingPermission("android.permission.MOUNT_UNMOUNT_FILESYSTEMS") != 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("you have no permission to call stopClean from uid:");
                stringBuilder.append(android.os.Binder.getCallingUid());
                throw new java.lang.SecurityException(stringBuilder.toString());
            }
        }
        try {
            if (!mLoadLibraryFailed) {
                return nativeStopClean();
            }
            android.util.Slog.d("HwStorageManagerService", "nativeStopClean not valid!");
            return -200;
        } catch (java.lang.UnsatisfiedLinkError e) {
            android.util.Slog.d("HwStorageManagerService", "nativeStopClean not found!");
            return -201;
        }
    }

    public int getNotificationLevel() {
        android.util.Slog.d("HwStorageManagerService", "getNotificationLevel:");
        if (android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()) == 1000) {
            try {
                if (!mLoadLibraryFailed) {
                    return nativeGetNotificationLevel();
                }
                android.util.Slog.d("HwStorageManagerService", "nativeGetNotificationLevel not valid!");
                return -200;
            } catch (java.lang.UnsatisfiedLinkError e) {
                android.util.Slog.d("HwStorageManagerService", "nativeGetNotificationLevel not found!");
                return -201;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("you have no permission to call getNotificationLevel from uid:");
        stringBuilder.append(android.os.Binder.getCallingUid());
        throw new java.lang.SecurityException(stringBuilder.toString());
    }

    public int getUndiscardInfo() {
        android.util.Slog.d("HwStorageManagerService", "getUndiscardInfo:");
        if (android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()) != 1000) {
            if (this.mContext.checkCallingPermission("android.permission.MOUNT_UNMOUNT_FILESYSTEMS") != 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("you have no permission to call getUndiscardInfo from uid:");
                stringBuilder.append(android.os.Binder.getCallingUid());
                throw new java.lang.SecurityException(stringBuilder.toString());
            }
        }
        try {
            if (!mLoadLibraryFailed) {
                return nativeGetUndiscardInfo();
            }
            android.util.Slog.d("HwStorageManagerService", "nativeGetUndiscardInfo not valid!");
            return -200;
        } catch (java.lang.UnsatisfiedLinkError e) {
            android.util.Slog.d("HwStorageManagerService", "nativeGetUndiscardInfo not found!");
            return -201;
        }
    }

    public int getMaxTimeCost() {
        android.util.Slog.d("HwStorageManagerService", "getMaxTimeCost:");
        if (android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()) == 1000) {
            try {
                if (!mLoadLibraryFailed) {
                    return nativeGetMaxTimeCost();
                }
                android.util.Slog.d("HwStorageManagerService", "nativeGetMaxTimeCost not valid!");
                return -200;
            } catch (java.lang.UnsatisfiedLinkError e) {
                android.util.Slog.d("HwStorageManagerService", "nativeGetMaxTimeCost not found!");
                return -201;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("you have no permission to call getMaxTimeCost from uid:");
        stringBuilder.append(android.os.Binder.getCallingUid());
        throw new java.lang.SecurityException(stringBuilder.toString());
    }

    public int getMinTimeCost() {
        android.util.Slog.d("HwStorageManagerService", "getMinTimeCost:");
        if (android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()) == 1000) {
            try {
                if (!mLoadLibraryFailed) {
                    return nativeGetMinTimeCost();
                }
                android.util.Slog.d("HwStorageManagerService", "nativeGetMinTimeCost not valid!");
                return -200;
            } catch (java.lang.UnsatisfiedLinkError e) {
                android.util.Slog.d("HwStorageManagerService", "nativeGetMinTimeCost not found!");
                return -201;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("you have no permission to call getMinTimeCost from uid:");
        stringBuilder.append(android.os.Binder.getCallingUid());
        throw new java.lang.SecurityException(stringBuilder.toString());
    }

    public int getPercentComplete() {
        android.util.Slog.d("HwStorageManagerService", "getPercentComplete:");
        if (android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()) != 1000) {
            if (this.mContext.checkCallingPermission("android.permission.MOUNT_UNMOUNT_FILESYSTEMS") != 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("you have no permission to call getPercentComplete from uid:");
                stringBuilder.append(android.os.Binder.getCallingUid());
                throw new java.lang.SecurityException(stringBuilder.toString());
            }
        }
        try {
            if (!mLoadLibraryFailed) {
                return nativeGetPercentComplete();
            }
            android.util.Slog.d("HwStorageManagerService", "nativeGetPercentComplete not valid!");
            return -200;
        } catch (java.lang.UnsatisfiedLinkError e) {
            android.util.Slog.d("HwStorageManagerService", "nativeGetPercentComplete not found!");
            return -201;
        }
    }

    public void unlockUserKeyISec(int userId, int serialNumber, byte[] token, byte[] secret) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        if (android.os.storage.StorageManager.isFileEncryptedNativeOrEmulated()) {
            if (com.android.server.StorageManagerService.sSelf.isSecureEx(userId)) {
                if (com.android.internal.util.ArrayUtils.isEmpty(secret)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Token required to unlock secure user ");
                    stringBuilder.append(userId);
                    throw new java.lang.IllegalStateException(stringBuilder.toString());
                }
            }
            try {
                android.util.Slog.d("HwStorageManagerService", "unlockUserKeyIsec");
                this.mVold.unlockUserKeyIsec(userId, serialNumber, encodeBytes(token), encodeBytes(secret));
            } catch (java.lang.Exception e) {
                android.util.Slog.wtf("HwStorageManagerService", e);
                return;
            }
        }
        synchronized (this.mLock) {
            this.mLocalUnlockedUsers = com.android.internal.util.ArrayUtils.appendInt(this.mLocalUnlockedUsers, userId);
        }
        if (userId == 0) {
            java.lang.String propertyName = new java.lang.StringBuilder();
            propertyName.append("sys.user.");
            propertyName.append(userId);
            propertyName.append(".ce_available");
            propertyName = propertyName.toString();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("Setting property: ");
            stringBuilder2.append(propertyName);
            stringBuilder2.append("=true");
            android.util.Slog.d("HwStorageManagerService", stringBuilder2.toString());
            android.os.SystemProperties.set(propertyName, "true");
        }
    }

    public void lockUserKeyISec(int userId) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        try {
            android.util.Slog.d("HwStorageManagerService", "lockUserKeyIsec");
            this.mVold.lockUserKeyIsec(userId);
            synchronized (this.mLock) {
                this.mLocalUnlockedUsers = com.android.internal.util.ArrayUtils.removeInt(this.mLocalUnlockedUsers, userId);
            }
        } catch (java.lang.Exception e) {
            android.util.Slog.wtf("HwStorageManagerService", e);
        }
    }

    public void unlockUserScreenISec(int userId, int serialNumber, byte[] token, byte[] secret, int type) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        if (android.os.storage.StorageManager.isFileEncryptedNativeOrEmulated()) {
            if (!(type == 1 || type == 2)) {
                if (type != 4) {
                    android.util.Slog.e("HwStorageManagerService", "unlockUserScreenISec error, wrong type");
                    return;
                }
            }
            try {
                android.util.Slog.d("HwStorageManagerService", "unlockUserScreenISec");
                this.mVold.unlockUserScreenIsec(userId, serialNumber, encodeBytes(token), encodeBytes(secret), type);
            } catch (java.lang.Exception e) {
                android.util.Slog.e("HwStorageManagerService", "unlockUserScreenISec has exception");
            }
        }
    }

    public void lockUserScreenISec(int userId, int serialNumber) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        try {
            android.util.Slog.d("HwStorageManagerService", "lockUserScreenIsec");
            this.mVold.lockUserScreenIsec(userId, serialNumber);
        } catch (java.lang.Exception e) {
            android.util.Slog.e("HwStorageManagerService", "lockUserScreenISec has exception");
        }
    }

    public int getPreLoadPolicyFlag(int userId, int serialNumber) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        if (android.os.storage.StorageManager.isFileEncryptedNativeOrEmulated()) {
            try {
                android.util.Slog.d("HwStorageManagerService", "getPreLoadPolicyFlag");
                return this.mVold.getPrepareFlag(userId, serialNumber);
            } catch (java.lang.NumberFormatException e) {
                android.util.Slog.e("HwStorageManagerService", "getPreLoadPolicyFlag failed NumberFormatException");
            } catch (java.lang.Exception e2) {
                android.util.Slog.e("HwStorageManagerService", "getPreLoadPolicyFlag failed Exception");
            }
        }
        return -1;
    }

    public boolean setScreenStateFlag(int userId, int serialNumber, int flag) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        if (android.os.storage.StorageManager.isFileEncryptedNativeOrEmulated()) {
            if (!(flag == 1 || flag == 2 || flag == 3)) {
                if (flag != 4) {
                    android.util.Slog.e("HwStorageManagerService", "setScreenStateFlag failed wrong flag input");
                }
            }
            try {
                android.util.Slog.d("HwStorageManagerService", "setScreenStateFlag");
                this.mVold.lockScreenPrepare(userId, serialNumber, flag);
                return true;
            } catch (java.lang.Exception e) {
                android.util.Slog.e("HwStorageManagerService", "setScreenStateFlag has exception");
            }
        }
        return false;
    }

    public java.lang.String getKeyDesc(int userId, int serialNumber, int sdpClass) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        if (android.os.storage.StorageManager.isFileEncryptedNativeOrEmulated()) {
            try {
                android.util.Slog.d("HwStorageManagerService", "getKeyDesc");
                return this.mVold.getKeyDesc(userId, serialNumber, sdpClass);
            } catch (java.lang.Exception e) {
                android.util.Slog.e("HwStorageManagerService", "destroyUserKeyISec has exception");
            }
        }
        return null;
    }

    public void createUserKeyISec(int userId, int serialNumber, boolean ephemeral) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        try {
            android.util.Slog.d("HwStorageManagerService", "createUserKeyIsec");
            this.mVold.createUserKeyIsec(userId, serialNumber, ephemeral);
        } catch (java.lang.Exception e) {
            android.util.Slog.e("HwStorageManagerService", "createUserKeyISec has exception");
        }
    }

    public void destroyUserKeyISec(int userId) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        try {
            android.util.Slog.d("HwStorageManagerService", "destroyUserKeyISec");
            this.mVold.destroyUserKeyIsec(userId);
        } catch (java.lang.Exception e) {
            android.util.Slog.e("HwStorageManagerService", "destroyUserKeyISec has exception");
        }
    }

    public void addUserKeyAuth(int userId, int serialNumber, byte[] token, byte[] secret) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        try {
            if (android.os.SystemProperties.getBoolean("ro.config.support_iudf", false)) {
                android.util.Slog.d("HwStorageManagerService", "addUserKeyAuthIsec");
                this.mVold.addUserKeyAuthIsec(userId, serialNumber, encodeBytes(token), encodeBytes(secret));
            } else {
                this.mVold.addUserKeyAuth(userId, serialNumber, encodeBytes(token), encodeBytes(secret));
            }
        } catch (java.lang.Exception e) {
            android.util.Slog.wtf("HwStorageManagerService", e);
        }
    }

    public void fixateNewestUserKeyAuth(int userId) {
        enforcePermission("android.permission.STORAGE_INTERNAL");
        try {
            if (android.os.SystemProperties.getBoolean("ro.config.support_iudf", false)) {
                android.util.Slog.d("HwStorageManagerService", "fixateNewestUserKeyAuthIsec");
                this.mVold.fixateNewestUserKeyAuthIsec(userId);
            } else {
                this.mVold.fixateNewestUserKeyAuth(userId);
            }
        } catch (java.lang.Exception e) {
            android.util.Slog.wtf("HwStorageManagerService", e);
        }
    }

    public void onLockedDiskAdd() {
        com.android.server.HwSdLockService.getInstance(this.mContext).onLockedDiskAdd();
    }

    public void onLockedDiskRemove() {
        com.android.server.HwSdLockService.getInstance(this.mContext).onLockedDiskRemove();
    }

    public void onLockedDiskChange() {
        com.android.server.HwSdLockService.getInstance(this.mContext).onLockedDiskChange();
    }

    public void onCryptsdMessage(java.lang.String message) {
        com.android.server.HwSdCryptdService.getInstance(this.mContext).onCryptsdMessage(message);
    }

    public long getPartitionInfo(java.lang.String partitionName, int infoType) {
        if (this.mContext.checkCallingPermission("com.huawei.permission.MANAGE_USE_SECURITY") != 0) {
            android.util.Slog.i("HwStorageManagerService", "getPartitionInfo(): permissin deny");
            return -200;
        } else if (partitionName == null) {
            android.util.Slog.i("HwStorageManagerService", "getPartitionInfo error partitionName null");
            return -201;
        } else {
            if (-1 == partitionName.indexOf(46)) {
                if (-1 == partitionName.indexOf(47)) {
                    return nativeGetPartitionInfo(partitionName, infoType);
                }
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getPartitionInfo error partitionName valid ");
            stringBuilder.append(partitionName);
            android.util.Slog.i("HwStorageManagerService", stringBuilder.toString());
            return -202;
        }
    }

    public void notifyDeviceStateToTelephony(java.lang.String device, java.lang.String state, java.lang.String extras) {
        android.telephony.HwTelephonyManagerInner.getDefault().notifyDeviceState(device, state, extras);
    }

    public int inquireStorageSerialNumber(android.hardware.usb.UsbDeviceConnection connection) {
        int inquire = -1;
        byte[] sStringBuffer = new byte[256];
        try {
            if (connection.controlTransfer(193, 7, 0, 0, sStringBuffer, 1, 0) >= 0) {
                inquire = sStringBuffer[0] & 255;
            } else {
                inquire = -1;
            }
        } catch (java.lang.Exception e) {
            android.util.Slog.e("HwStorageManagerService", "Can not communicate with USB device", e);
        }
        return inquire;
    }

    public boolean checkIfHuaweiEarl() {
        if (this.mUsbManager == null) {
            this.mUsbManager = (android.hardware.usb.UsbManager) this.mContext.getSystemService("usb");
            if (this.mUsbManager == null) {
                return false;
            }
        }
        for (android.hardware.usb.UsbDevice device : this.mUsbManager.getDeviceList().values()) {
            if (device != null && 15168 == device.getProductId() && 4817 == device.getVendorId()) {
                android.hardware.usb.UsbDeviceConnection connection = null;
                long ident = android.os.Binder.clearCallingIdentity();
                try {
                    if (this.mUsbManager.hasPermission(device)) {
                        connection = this.mUsbManager.openDevice(device);
                        if (connection == null) {
                            android.util.Slog.e("HwStorageManagerService", " openDevice error !");
                            if (connection != null) {
                                connection.close();
                            }
                            android.os.Binder.restoreCallingIdentity(ident);
                            return false;
                        } else if (inquireStorageSerialNumber(connection) == 0) {
                            if (connection != null) {
                                connection.close();
                            }
                            android.os.Binder.restoreCallingIdentity(ident);
                            return true;
                        }
                    }
                    android.util.Slog.e("HwStorageManagerService", " openDevice(): permissin deny ");
                    if (connection != null) {
                        connection.close();
                    }
                    android.os.Binder.restoreCallingIdentity(ident);
                } catch (Throwable th) {
                    if (connection != null) {
                        connection.close();
                    }
                    android.os.Binder.restoreCallingIdentity(ident);
                }
            }
        }
        return false;
    }

    protected void checkIfHuaweiEarlMount() {
        synchronized (this.mLock) {
            android.os.storage.DiskInfo diskInfo = null;
            for (java.lang.String s : this.mDisks.keySet()) {
                diskInfo = (android.os.storage.DiskInfo) this.mDisks.get(s);
                if (diskInfo.isUsb()) {
                    diskInfo = new android.os.storage.DiskInfo(s, diskInfo.flags | 64);
                    this.mDisks.replace(s, diskInfo);
                }
            }
            for (java.lang.String s2 : this.mVolumes.keySet()) {
                android.os.storage.VolumeInfo vol = (android.os.storage.VolumeInfo) this.mVolumes.get(s2);
                if (!(diskInfo == null || vol.id.contains("public:179") || !vol.id.contains("public:"))) {
                    vol = new android.os.storage.VolumeInfo(vol.getId(), vol.type, diskInfo, vol.partGuid);
                    this.mVolumes.replace(s2, vol);
                    onVolumeCreatedLocked(vol);
                }
                for (int userId : this.mSystemUnlockedUsers) {
                    if (vol.isVisibleForRead(userId)) {
                        this.mHandler.obtainMessage(6, vol.buildStorageVolume(this.mContext, userId, false)).sendToTarget();
                    }
                }
            }
        }
    }
}
