package com.android.server;

public class LocationManagerServiceUtils extends com.huawei.utils.reflect.EasyInvokeUtils {
    com.huawei.utils.reflect.MethodObject<java.lang.Void> addProviderLocked;
    com.huawei.utils.reflect.MethodObject<java.lang.Boolean> isAllowedByCurrentUserSettingsLocked;
    com.huawei.utils.reflect.MethodObject<java.lang.Boolean> isMockProvider;
    com.huawei.utils.reflect.FieldObject<java.util.Set<java.lang.String>> mEnabledProviders;
    com.huawei.utils.reflect.FieldObject<com.android.server.location.GeocoderProxy> mGeocodeProvider;
    com.huawei.utils.reflect.FieldObject<android.os.Handler> mLocationHandler;
    com.huawei.utils.reflect.FieldObject<java.lang.Object> mLock;
    com.huawei.utils.reflect.FieldObject<java.util.HashMap<java.lang.String, com.android.server.location.LocationProviderInterface>> mProvidersByName;
    com.huawei.utils.reflect.FieldObject<java.util.ArrayList<com.android.server.location.LocationProviderProxy>> mProxyProviders;
    com.huawei.utils.reflect.FieldObject<java.util.HashMap<java.lang.String, com.android.server.location.LocationProviderInterface>> mRealProviders;
    com.huawei.utils.reflect.FieldObject<java.util.HashMap<java.lang.Object, com.android.server.LocationManagerService.Receiver>> mReceivers;
    com.huawei.utils.reflect.FieldObject<java.util.HashMap<java.lang.String, java.util.ArrayList<com.android.server.LocationManagerService.UpdateRecord>>> mRecordsByProvider;
    com.huawei.utils.reflect.MethodObject<java.lang.Void> removeUpdatesLocked;
    com.huawei.utils.reflect.MethodObject<java.lang.Void> updateProvidersLocked;

    @com.huawei.utils.reflect.annotation.InvokeMethod(methodObject = "isAllowedByCurrentUserSettingsLocked")
    public java.lang.Boolean isAllowedByCurrentUserSettingsLocked(com.android.server.LocationManagerService service, java.lang.String provider) {
        return (java.lang.Boolean) invokeMethod(this.isAllowedByCurrentUserSettingsLocked, service, new java.lang.Object[]{provider});
    }

    @com.huawei.utils.reflect.annotation.InvokeMethod(methodObject = "addProviderLocked")
    public void addProviderLocked(com.android.server.LocationManagerService service, com.android.server.location.LocationProviderInterface provider) {
        invokeMethod(this.addProviderLocked, service, new java.lang.Object[]{provider});
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mGeocodeProvider")
    public com.android.server.location.GeocoderProxy getGeocodeProvider(com.android.server.LocationManagerService service) {
        return (com.android.server.location.GeocoderProxy) getField(this.mGeocodeProvider, service);
    }

    @com.huawei.utils.reflect.annotation.SetField(fieldObject = "mGeocodeProvider")
    public void setGeocodeProvider(com.android.server.LocationManagerService service, com.android.server.location.GeocoderProxy geocoderProxy) {
        setField(this.mGeocodeProvider, service, geocoderProxy);
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mLocationHandler")
    public android.os.Handler getLocationHandler(com.android.server.LocationManagerService service) {
        return (android.os.Handler) getField(this.mLocationHandler, service);
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mRealProviders")
    public java.util.HashMap<java.lang.String, com.android.server.location.LocationProviderInterface> getRealProviders(com.android.server.LocationManagerService service) {
        return (java.util.HashMap) getField(this.mRealProviders, service);
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mEnabledProviders")
    public java.util.Set<java.lang.String> getEnabledProviders(com.android.server.LocationManagerService service) {
        return (java.util.Set) getField(this.mEnabledProviders, service);
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mProxyProviders")
    public java.util.ArrayList<com.android.server.location.LocationProviderProxy> getProxyProviders(com.android.server.LocationManagerService service) {
        return (java.util.ArrayList) getField(this.mProxyProviders, service);
    }

    @com.huawei.utils.reflect.annotation.InvokeMethod(methodObject = "updateProvidersLocked")
    public void updateProvidersLocked(com.android.server.LocationManagerService service) {
        invokeMethod(this.updateProvidersLocked, service, new java.lang.Object[0]);
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mLock")
    public java.lang.Object getmLock(com.android.server.LocationManagerService service) {
        return getField(this.mLock, service);
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mReceivers")
    public java.util.HashMap<java.lang.Object, com.android.server.LocationManagerService.Receiver> getReceivers(com.android.server.LocationManagerService service) {
        return (java.util.HashMap) getField(this.mReceivers, service);
    }

    @com.huawei.utils.reflect.annotation.InvokeMethod(methodObject = "removeUpdatesLocked")
    public void removeUpdatesLocked(com.android.server.LocationManagerService service, com.android.server.LocationManagerService.Receiver receiver) {
        invokeMethod(this.removeUpdatesLocked, service, new java.lang.Object[]{receiver});
    }

    @com.huawei.utils.reflect.annotation.InvokeMethod(methodObject = "isMockProvider")
    public java.lang.Boolean isMockProvider(com.android.server.LocationManagerService service, java.lang.String provider) {
        return (java.lang.Boolean) invokeMethod(this.isMockProvider, service, new java.lang.Object[]{provider});
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mProvidersByName")
    public java.util.HashMap<java.lang.String, com.android.server.location.LocationProviderInterface> getProvidersByName(com.android.server.LocationManagerService service) {
        return (java.util.HashMap) getField(this.mProvidersByName, service);
    }

    @com.huawei.utils.reflect.annotation.GetField(fieldObject = "mRecordsByProvider")
    public java.util.HashMap<java.lang.String, java.util.ArrayList<com.android.server.LocationManagerService.UpdateRecord>> getRecordsByProvider(com.android.server.LocationManagerService service) {
        return (java.util.HashMap) getField(this.mRecordsByProvider, service);
    }
}
