package com.android.server;

public class Utils {
    public static boolean isPackageInstalled(java.lang.String packageName, android.content.Context context) {
        if (packageName != null) {
            if (context != null) {
                try {
                    if (context.getPackageManager().getPackageInfo(packageName, 1) == null) {
                        return false;
                    }
                    return true;
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    return false;
                }
            }
        }
        return false;
    }
}
