package com.android.server.audio;

public final class HwAudioServiceEx implements com.android.server.audio.IHwAudioServiceEx {
    private static final java.lang.String ACTION_ANALOG_TYPEC_NOTIFY = "ACTION_TYPEC_NONOTIFY";
    private static final java.lang.String ACTION_DEVICE_OUT_USB_DEVICE_EXTEND = "huawei.intent.action.OUT_USB_DEVICE_EXTEND";
    private static final java.lang.String ACTION_DIGITAL_TYPEC_NOTIFY = "ACTION_DIGITAL_TYPEC_NONOTIFY";
    private static final java.lang.String ACTION_KILLED_APP_FOR_KARAOKE = "huawei.intent.action.APP_KILLED_FOR_KARAOKE_ACTION";
    private static final java.lang.String ACTION_SEND_AUDIO_RECORD_STATE = "huawei.media.AUDIO_RECORD_STATE_CHANGED_ACTION";
    private static final java.lang.String ACTION_START_APP_FOR_KARAOKE = "huawei.media.ACTIVITY_STARTING_FOR_KARAOKE_ACTION";
    private static final java.lang.String ACTION_SWS_EQ = "huawei.intent.action.SWS_EQ";
    private static final int ANALOG_TYPEC = 1;
    private static final int ANALOG_TYPEC_CONNECTED_DISABLE = 0;
    private static final int ANALOG_TYPEC_CONNECTED_ENABLE = 1;
    private static final int ANALOG_TYPEC_CONNECTED_ID = 1;
    private static final int ANALOG_TYPEC_DEVICES = 131084;
    private static final java.lang.String ANALOG_TYPEC_FLAG = "audio_capability#usb_analog_hs_report";
    private static final int BYTES_PER_INT = 4;
    private static final java.lang.String CMDINTVALUE = "Integer Value";
    private static final java.lang.String CONCURRENT_CAPTURE_PROPERTY = "ro.config.concurrent_capture";
    private static final java.lang.String[] CONCURRENT_RECORD_OTHER = new java.lang.String[]{"com.baidu.BaiduMap", "com.autonavi.minimap"};
    private static final java.lang.String[] CONCURRENT_RECORD_SYSTEM = new java.lang.String[]{"com.huawei.vassistant"};
    private static final java.lang.String CONFIG_FILE_WHITE_BLACK_APP = "xml/hw_karaokeeffect_app_config.xml";
    private static final boolean DEBUG = android.os.SystemProperties.getBoolean("ro.media.debuggable", false);
    private static final int DIGITAL_TYPEC_CONNECTED_DISABLE = 0;
    private static final int DIGITAL_TYPEC_CONNECTED_ENABLE = 1;
    private static final int DIGITAL_TYPEC_CONNECTED_ID = 2;
    private static final java.lang.String DIGITAL_TYPEC_FLAG = "typec_compatibility_check";
    private static final java.lang.String DIGITAL_TYPEC_REPORT_FLAG = "audio_capability#usb_compatibility_report";
    private static final int DIGTIAL_TYPEC = 2;
    private static final java.lang.String DOLBY_MODE_HEADSET_STATE = "persist.sys.dolby.state";
    private static final java.lang.String DOLBY_MODE_OFF_PARA = "dolby_profile=off";
    private static final java.lang.String DOLBY_MODE_ON_PARA = "dolby_profile=on";
    private static final java.lang.String DOLBY_MODE_PRESTATE = "persist.sys.dolby.prestate";
    private static final java.lang.String[] DOLBY_PROFILE = new java.lang.String[]{"off", "smart", "movie", "music"};
    private static final boolean DOLBY_SOUND_EFFECTS_SUPPORT = android.os.SystemProperties.getBoolean("ro.config.dolby_dap", false);
    private static final java.lang.String DOLBY_UPDATE_EVENT = "dolby_dap_params_update";
    private static final java.lang.String DOLBY_UPDATE_EVENT_DS_STATE = "ds_state_change";
    private static final java.lang.String DOLBY_UPDATE_EVENT_PROFILE = "profile_change";
    private static final java.lang.String DTS_MODE_OFF_PARA = "srs_cfg:trumedia_enable=0";
    private static final java.lang.String DTS_MODE_ON_PARA = "srs_cfg:trumedia_enable=1";
    private static final java.lang.String DTS_MODE_PARA = "srs_cfg:trumedia_enable";
    private static final java.lang.String DTS_MODE_PRESTATE = "persist.sys.dts.prestate";
    private static final int DTS_OFF = 0;
    private static final int DTS_ON = 3;
    private static final boolean DTS_SOUND_EFFECTS_SUPPORT = android.os.SystemProperties.getBoolean("ro.config.hw_dts", false);
    private static final int EFFECT_PARAM_EFF_ENAB = 16777216;
    private static final int EFFECT_PARAM_EFF_PROF = 100663296;
    private static final java.lang.String EVENTNAME = "event name";
    private static final java.lang.String[] FORBIDDEN_SOUND_EFFECT_WHITE_LIST = new java.lang.String[]{"com.jawbone.up", "com.codoon.gps", "com.lakala.cardwatch", "com.hoolai.magic", "com.android.bankabc", "com.icbc"};
    private static final java.lang.String HIDE_HIRES_ICON = "huawei.intent.action.hideHiResIcon";
    private static final java.lang.String HIRES_REPORT_FLAG = "typec_need_show_hires";
    private static final java.lang.String HS_NO_CHARGE_OFF = "hs_no_charge=off";
    private static final java.lang.String HS_NO_CHARGE_ON = "hs_no_charge=on";
    private static final int HW_DOBBLY_SOUND_EFFECT_BIT = 4;
    private static final int HW_KARAOKE_EFFECT_BIT = 2;
    private static final boolean HW_KARAOKE_EFFECT_ENABLED = ((android.os.SystemProperties.getInt("ro.config.hw_media_flags", 0) & 2) != 0);
    private static final java.lang.String ISONTOP = "isOnTop";
    private static final boolean IS_SUPPORT_SLIDE = ((android.os.SystemProperties.getInt("ro.config.hw_hall_prop", 0) & 1) != 0);
    private static final int MSG_CONNECT_DOLBY_SERVICE = 93;
    private static final int MSG_RECORD_ACTIVE = 61;
    private static final int MSG_SEND_DOLBYUPDATE_BROADCAST = 94;
    private static final int MSG_SET_SOUND_EFFECT_STATE = 95;
    private static final java.lang.String NODE_ATTR_PACKAGE = "package";
    private static final java.lang.String NODE_WHITEAPP = "whiteapp";
    private static final java.lang.String PACKAGENAME = "packageName";
    private static final java.lang.String PACKAGE_PACKAGEINSTALLER = "com.android.packageinstaller";
    private static final java.lang.String PERMISSION_DEVICE_OUT_USB_DEVICE_EXTEND = "huawei.permission.OUT_USB_DEVICE_EXTEND";
    private static final java.lang.String PERMISSION_HIRES_CHANGE = "huawei.permission.HIRES_ICON_CHANGE_ACTION";
    private static final java.lang.String PERMISSION_KILLED_APP_FOR_KARAOKE = "huawei.permission.APP_KILLED_FOR_KARAOKE_ACTION";
    private static final java.lang.String PERMISSION_SEND_AUDIO_RECORD_STATE = "com.huawei.permission.AUDIO_RECORD_STATE_CHANGED_ACTION";
    private static final java.lang.String PERMISSION_START_APP_FOR_KARAOKE = "com.huawei.permission.ACTIVITY_STARTING_FOR_KARAOKE_ACTION";
    private static final java.lang.String PERMISSION_SWS_EQ = "android.permission.SWS_EQ";
    private static final java.lang.String[] RECORD_ACTIVE_APP_LIST = new java.lang.String[]{"com.realvnc.android.remote"};
    private static final java.lang.String[] RECORD_REQUEST_APP_LIST = new java.lang.String[]{"com.google.android", "com.google.android.googlequicksearchbox:search", "com.google.android.googlequicksearchbox:interactor"};
    private static final int RECORD_TYPE_OTHER = 536870912;
    private static final int RECORD_TYPE_SYSTEM = 1073741824;
    private static final java.lang.String RESERVED = "reserved";
    private static final java.lang.String RESTORE = "restore";
    private static final int SENDMSG_NOOP = 1;
    private static final int SENDMSG_QUEUE = 2;
    private static final int SENDMSG_REPLACE = 0;
    private static final java.lang.String SHOW_HIRES_ICON = "huawei.intent.action.showHiResIcon";
    private static final int SHOW_OR_HIDE_HIRES = 15;
    private static final int SHOW_OR_HIDE_HIRES_DELAY = 500;
    private static final boolean SOUND_EFFECTS_SUPPORT;
    private static final int SOUND_EFFECT_CLOSE = 1;
    private static final int SOUND_EFFECT_OPEN = 2;
    private static final java.lang.String SWS_MODE_OFF_PARA = "HIFIPARA=STEREOWIDEN_Enable=false";
    private static final java.lang.String SWS_MODE_ON_PARA = "HIFIPARA=STEREOWIDEN_Enable=true";
    private static final java.lang.String SWS_MODE_PARA = "HIFIPARA=STEREOWIDEN_Enable";
    private static final java.lang.String SWS_MODE_PRESTATE = "persist.sys.sws.prestate";
    private static final int SWS_OFF = 0;
    private static final int SWS_ON = 3;
    private static final int SWS_SCENE_AUDIO = 0;
    private static final int SWS_SCENE_VIDEO = 1;
    private static final boolean SWS_SOUND_EFFECTS_SUPPORT = android.os.SystemProperties.getBoolean("ro.config.hw_sws", false);
    private static final java.lang.String SWS_VERSION = android.os.SystemProperties.get("ro.config.sws_version", "sws2");
    private static final java.lang.String SYSTEMSERVER_START = "com.huawei.systemserver.START";
    private static final java.lang.String TAG = "HwAudioServiceEx";
    private static final long THREE_SEC_LIMITED = 3000;
    private static final int UNKNOWN_DEVICE = -1;
    private static byte[] btArrayDsDisable = new byte[]{(byte) 0, (byte) 0, (byte) 0, (byte) 1, (byte) 1, (byte) 0, (byte) 0, (byte) 0, (byte) 0, (byte) 0, (byte) 0, (byte) 0};
    private static byte[] btArrayDsEnable = new byte[]{(byte) 0, (byte) 0, (byte) 0, (byte) 1, (byte) 1, (byte) 0, (byte) 0, (byte) 0, (byte) 1, (byte) 0, (byte) 0, (byte) 0};
    private static byte[] btArrayDsGame = new byte[]{(byte) 0, (byte) 0, (byte) 0, (byte) 6, (byte) 1, (byte) 0, (byte) 0, (byte) 0, (byte) 3, (byte) 0, (byte) 0, (byte) 0};
    private static byte[] btArrayDsMovie = new byte[]{(byte) 0, (byte) 0, (byte) 0, (byte) 6, (byte) 1, (byte) 0, (byte) 0, (byte) 0, (byte) 1, (byte) 0, (byte) 0, (byte) 0};
    private static byte[] btArrayDsMusic = new byte[]{(byte) 0, (byte) 0, (byte) 0, (byte) 6, (byte) 1, (byte) 0, (byte) 0, (byte) 0, (byte) 2, (byte) 0, (byte) 0, (byte) 0};
    private static byte[] btArrayDsSmart = new byte[]{(byte) 0, (byte) 0, (byte) 0, (byte) 6, (byte) 1, (byte) 0, (byte) 0, (byte) 0, (byte) 0, (byte) 0, (byte) 0, (byte) 0};
    private static final boolean mIsHuaweiSWS31Config;
    private static final boolean mIsSWSVideoMode;
    private static final boolean mIsUsbPowercosumeTips = android.os.SystemProperties.getBoolean("ro.config.usb_power_tips", false);
    private static int mSwsScene = 0;
    private static final int propvalue_not_support_slide = 0;
    private static final int propvalue_product_support_slide = 1;
    private static final java.lang.String receiverName = "audioserver";
    private int PGSdkAppType = -1;
    int PGSdk_flag = 0;
    private android.cover.IHwCoverManager coverManager;
    private long dialogShowTime = 0;
    private boolean isShowingDialog = false;
    private android.content.BroadcastReceiver mAnalogTypecReceiver = null;
    private android.cover.IHallCallback.Stub mCallback;
    private boolean mConcurrentCaptureEnable;
    private android.content.ContentResolver mContentResolver;
    private final android.content.Context mContext;
    private android.content.BroadcastReceiver mDigitalTypecReceiver = null;
    private vendor.huawei.hardware.dolby.dms.V1_0.IDms mDms;
    private android.os.IHwBinder.DeathRecipient mDmsDeathRecipient = new android.os.IHwBinder.DeathRecipient() {
        public void serviceDied(long cookie) {
            if (com.android.server.audio.HwAudioServiceEx.this.mHwAudioHandlerEx != null) {
                android.util.Slog.e("HwAudioServiceEx", "Dolby service has died, try to reconnect 1s later.");
                com.android.server.audio.HwAudioServiceEx.sendMsgEx(com.android.server.audio.HwAudioServiceEx.this.mHwAudioHandlerEx, 93, 0, 0, 0, null, 1000);
            }
        }
    };
    private vendor.huawei.hardware.dolby.dms.V1_0.IDmsCallbacks mDolbyClient = new vendor.huawei.hardware.dolby.dms.V1_0.IDmsCallbacks.Stub() {
        public void onDapParamUpdate(java.util.ArrayList<java.lang.Byte> params) {
            int i;
            byte[] buf = new byte[params.size()];
            for (i = 0; i < buf.length; i++) {
                buf[i] = ((java.lang.Byte) params.get(i)).byteValue();
            }
            int dlbParam = com.android.server.audio.HwAudioServiceEx.byteArrayToInt32(buf, 0);
            i = com.android.server.audio.HwAudioServiceEx.byteArrayToInt32(buf, 4);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Got dap param update, param = ");
            stringBuilder.append(dlbParam);
            stringBuilder.append(" status = ");
            stringBuilder.append(i);
            android.util.Slog.d("HwAudioServiceEx", stringBuilder.toString());
            if (dlbParam == 16777216 || dlbParam == 100663296) {
                if (com.android.server.audio.HwAudioServiceEx.this.mSystemReady) {
                    com.android.server.audio.HwAudioServiceEx.sendMsgEx(com.android.server.audio.HwAudioServiceEx.this.mHwAudioHandlerEx, 94, 0, dlbParam, i, null, 1000);
                } else {
                    android.util.Slog.w("HwAudioServiceEx", "onDapParamUpdate() called before boot complete");
                }
            }
            if (dlbParam == 16777216) {
                com.android.server.audio.HwAudioServiceEx.this.mDolbyEnable = i;
                if (com.android.server.audio.HwAudioServiceEx.this.mHeadSetPlugState) {
                    android.os.SystemProperties.set("persist.sys.dolby.state", com.android.server.audio.HwAudioServiceEx.this.mDolbyEnable > 0 ? "on" : "off");
                }
            }
        }
    };
    private int mDolbyEnable = 0;
    private int mDtsStatus = 0;
    private android.media.audiofx.AudioEffect mEffect = null;
    private boolean mHeadSetPlugState = false;
    private com.android.server.audio.HwAudioServiceEx.HwAudioHandlerEx mHwAudioHandlerEx;
    private com.android.server.audio.HwAudioServiceEx.HwAudioHandlerExThread mHwAudioHandlerExThread;
    private com.android.server.audio.IHwAudioServiceInner mIAsInner = null;
    private boolean mIsAnalogTypecNotifyAllowed = true;
    private boolean mIsAnalogTypecReceiverRegisterd = false;
    private boolean mIsDigitalTypecNotifyAllowed = true;
    private boolean mIsDigitalTypecOn = false;
    private boolean mIsDigitalTypecReceiverRegisterd = false;
    private java.util.ArrayList<java.lang.String> mKaraokeWhiteList = null;
    private android.os.Handler mMyHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            java.lang.String curDTSState;
            switch (msg.what) {
                case 1:
                    if (android.media.AudioSystem.getDeviceConnectionState(8, "") == 1 || android.media.AudioSystem.getDeviceConnectionState(4, "") == 1 || android.media.AudioSystem.getDeviceConnectionState(67108864, "") == 1 || android.media.AudioSystem.getDeviceConnectionState(536870912, "") == 1) {
                        java.lang.StringBuilder stringBuilder;
                        if (com.android.server.audio.HwAudioServiceEx.DTS_SOUND_EFFECTS_SUPPORT) {
                            curDTSState = android.media.AudioSystem.getParameters("srs_cfg:trumedia_enable");
                            if (curDTSState != null && curDTSState.contains("srs_cfg:trumedia_enable=1")) {
                                android.media.AudioSystem.setParameters("srs_cfg:trumedia_enable=0");
                                android.os.SystemProperties.set("persist.sys.dts.prestate", "on");
                                if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("Cur DTS mode = ");
                                    stringBuilder.append(curDTSState);
                                    stringBuilder.append(" force set DTS off");
                                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                                }
                            }
                        }
                        if (com.android.server.audio.HwAudioServiceEx.SWS_SOUND_EFFECTS_SUPPORT && com.android.server.audio.HwAudioServiceEx.mIsHuaweiSWS31Config) {
                            curDTSState = android.media.AudioSystem.getParameters("HIFIPARA=STEREOWIDEN_Enable");
                            if (curDTSState != null && curDTSState.contains("HIFIPARA=STEREOWIDEN_Enable=true")) {
                                android.media.AudioSystem.setParameters("HIFIPARA=STEREOWIDEN_Enable=false");
                                android.os.SystemProperties.set("persist.sys.sws.prestate", "on");
                                if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("Cur SWS mode = ");
                                    stringBuilder.append(curDTSState);
                                    stringBuilder.append(" force set SWS off");
                                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                                }
                            }
                        }
                        if (com.android.server.audio.HwAudioServiceEx.DOLBY_SOUND_EFFECTS_SUPPORT && com.android.server.audio.HwAudioServiceEx.this.mDolbyEnable > 0) {
                            android.os.SystemProperties.set("persist.sys.dolby.prestate", "on");
                            com.android.server.audio.HwAudioServiceEx.this.setDolbyEnable(false);
                            return;
                        }
                        return;
                    }
                    return;
                case 2:
                    if (com.android.server.audio.HwAudioServiceEx.DTS_SOUND_EFFECTS_SUPPORT) {
                        curDTSState = android.os.SystemProperties.get("persist.sys.dts.prestate", "unknown");
                        if (curDTSState != null && curDTSState.equals("on")) {
                            android.media.AudioSystem.setParameters("srs_cfg:trumedia_enable=1");
                            android.os.SystemProperties.set("persist.sys.dts.prestate", "unknown");
                            if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                                android.util.Slog.i("HwAudioServiceEx", "set DTS on");
                            }
                        }
                    }
                    if (com.android.server.audio.HwAudioServiceEx.SWS_SOUND_EFFECTS_SUPPORT && com.android.server.audio.HwAudioServiceEx.mIsHuaweiSWS31Config) {
                        curDTSState = android.os.SystemProperties.get("persist.sys.sws.prestate", "unknown");
                        if (curDTSState != null && curDTSState.equals("on")) {
                            android.media.AudioSystem.setParameters("HIFIPARA=STEREOWIDEN_Enable=true");
                            android.os.SystemProperties.set("persist.sys.sws.prestate", "unknown");
                            if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                                android.util.Slog.i("HwAudioServiceEx", "set SWS on");
                            }
                        }
                    }
                    if (com.android.server.audio.HwAudioServiceEx.DOLBY_SOUND_EFFECTS_SUPPORT) {
                        curDTSState = android.os.SystemProperties.get("persist.sys.dolby.prestate", "unknown");
                        if (curDTSState != null && curDTSState.equals("on")) {
                            com.android.server.audio.HwAudioServiceEx.this.setDolbyEnable(true);
                            android.os.SystemProperties.set("persist.sys.dolby.prestate", "unknown");
                            if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                                android.util.Slog.i("HwAudioServiceEx", "set DOLBY on");
                            }
                        }
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    };
    private android.app.NotificationManager mNotificationManager = null;
    private com.huawei.pgmng.plug.PGSdk mPGSdk = null;
    java.util.HashMap<java.lang.String, java.lang.Integer> mPackageUidMap = new java.util.HashMap();
    private final android.content.BroadcastReceiver mReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action != null) {
                if (!action.equals("android.intent.action.REBOOT")) {
                    if (!action.equals("android.intent.action.ACTION_SHUTDOWN")) {
                        if (com.android.server.audio.HwAudioServiceEx.IS_SUPPORT_SLIDE && action.equals("com.huawei.systemserver.START")) {
                            boolean ret = com.android.server.audio.HwAudioServiceEx.this.coverManager.registerHallCallback("audioserver", 1, com.android.server.audio.HwAudioServiceEx.this.mCallback);
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("registerHallCallback return ");
                            stringBuilder.append(ret);
                            android.util.Slog.d("HwAudioServiceEx", stringBuilder.toString());
                            if (2 == com.android.server.audio.HwAudioServiceEx.this.coverManager.getHallState(1)) {
                                android.media.AudioSystem.setParameters("action_slide=true");
                                android.util.Slog.i("HwAudioServiceEx", "originSlideOnStatus True");
                            } else if (com.android.server.audio.HwAudioServiceEx.this.coverManager.getHallState(1) == 0) {
                                android.media.AudioSystem.setParameters("action_slide=false");
                                android.util.Slog.i("HwAudioServiceEx", "originSlideOnStatus false");
                            } else {
                                android.util.Slog.e("HwAudioServiceEx", "no support hall");
                            }
                        }
                    }
                }
                android.util.Slog.i("HwAudioServiceEx", "Release Dolby service HIDL client");
                if (!(com.android.server.audio.HwAudioServiceEx.this.mDms == null || com.android.server.audio.HwAudioServiceEx.this.mDolbyClient == null)) {
                    try {
                        com.android.server.audio.HwAudioServiceEx.this.mDms.unregisterClient(com.android.server.audio.HwAudioServiceEx.this.mDolbyClient, 3, com.android.server.audio.HwAudioServiceEx.this.mDolbyClient.hashCode());
                        com.android.server.audio.HwAudioServiceEx.this.mDms.unlinkToDeath(com.android.server.audio.HwAudioServiceEx.this.mDmsDeathRecipient);
                    } catch (java.lang.RuntimeException e) {
                        android.util.Slog.e("HwAudioServiceEx", "Release Dolby RuntimeException");
                    } catch (java.lang.Exception e2) {
                        android.util.Slog.e("HwAudioServiceEx", "Release Dolby error");
                    }
                }
            }
        }
    };
    private java.lang.String mStartedPackageName = null;
    private com.huawei.pgmng.plug.PGSdk.Sink mStateRecognitionListener = new com.huawei.pgmng.plug.PGSdk.Sink() {
        public void onStateChanged(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
            if (pid != android.os.Process.myPid() && stateType == 2) {
                java.lang.StringBuilder stringBuilder;
                if (eventType == 1) {
                    com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType = com.android.server.audio.HwAudioServiceEx.this.getAppTypeForVBR(uid);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("VBR HwAudioService:music app enter ");
                    stringBuilder.append(com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType);
                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                    if (com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType == 12) {
                        android.media.AudioSystem.setParameters("VBRMuiscState=enter");
                    } else if (com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType == 11) {
                        android.media.AudioSystem.setParameters("VBRIMState=enter");
                    }
                } else if (eventType == 2) {
                    com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType = com.android.server.audio.HwAudioServiceEx.this.getAppTypeForVBR(uid);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("VBR HwAudioService:music app exit ");
                    stringBuilder.append(com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType);
                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                    if (com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType == 12) {
                        android.media.AudioSystem.setParameters("VBRMuiscState=exit");
                    } else if (com.android.server.audio.HwAudioServiceEx.this.PGSdkAppType == 11) {
                        android.media.AudioSystem.setParameters("VBRIMState=exit");
                    }
                }
            }
        }
    };
    private int mSwsStatus = 0;
    private boolean mSystemReady;

    private class HwAudioHandlerEx extends android.os.Handler {
        private HwAudioHandlerEx() {
        }

        /* synthetic */ HwAudioHandlerEx(com.android.server.audio.HwAudioServiceEx x0, com.android.server.audio.HwAudioServiceEx.AnonymousClass1 x1) {
            this();
        }

        public void handleMessage(android.os.Message msg) {
            int i = msg.what;
            if (i == 15) {
                boolean needReportHiRes = "true".equals(android.media.AudioSystem.getParameters("typec_need_show_hires"));
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("check HiRes Icon ");
                stringBuilder.append(needReportHiRes);
                android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                if (com.android.server.audio.HwAudioServiceEx.this.mPGSdk == null) {
                    com.android.server.audio.HwAudioServiceEx.this.mPGSdk = com.huawei.pgmng.plug.PGSdk.getInstance();
                    if (com.android.server.audio.HwAudioServiceEx.this.mPGSdk != null) {
                        android.util.Slog.i("HwAudioServiceEx", "VBR getInstance ok!");
                        com.android.server.audio.HwAudioServiceEx.this.PGSdk_flag = 1;
                        try {
                            com.android.server.audio.HwAudioServiceEx.this.mPGSdk.enableStateEvent(com.android.server.audio.HwAudioServiceEx.this.mStateRecognitionListener, 1);
                            com.android.server.audio.HwAudioServiceEx.this.mPGSdk.enableStateEvent(com.android.server.audio.HwAudioServiceEx.this.mStateRecognitionListener, 2);
                        } catch (android.os.RemoteException e) {
                            android.util.Slog.i("HwAudioServiceEx", "VBR PG Exception e: initialize pgdskd error!");
                            com.android.server.audio.HwAudioServiceEx.this.PGSdk_flag = 0;
                        }
                    } else {
                        android.util.Slog.i("HwAudioServiceEx", "VBR getInstance fails!");
                        com.android.server.audio.HwAudioServiceEx.this.PGSdk_flag = 2;
                    }
                }
                if (needReportHiRes) {
                    com.android.server.audio.HwAudioServiceEx.this.broadcastHiresIntent(true);
                } else {
                    com.android.server.audio.HwAudioServiceEx.this.broadcastHiresIntent(false);
                }
            } else if (i != 61) {
                switch (i) {
                    case 93:
                        com.android.server.audio.HwAudioServiceEx.this.setDolbyServiceClient();
                        break;
                    case 94:
                        com.android.server.audio.HwAudioServiceEx.this.sendDolbyUpdateBroadcast(msg.arg1, msg.arg2);
                        break;
                    case 95:
                        android.os.Bundle b = msg.obj;
                        com.android.server.audio.HwAudioServiceEx.this.setSoundEffectStateAsynch(b.getBoolean("restore"), b.getString("packageName"), b.getBoolean("isOnTop"), b.getString("reserved"));
                        break;
                    default:
                        android.util.Slog.i("HwAudioServiceEx", "HwAudioHandlerEx receive unknown msg");
                        break;
                }
            } else if (com.android.server.audio.HwAudioServiceEx.this.isShowingDialog) {
                android.util.Slog.i("HwAudioServiceEx", "MSG_RECORD_ACTIVE should not show record warn dialog");
            } else {
                com.android.server.audio.HwAudioServiceEx.this.showRecordWarnDialog(msg.arg1, msg.arg2);
            }
        }
    }

    private class HwAudioHandlerExThread extends java.lang.Thread {
        HwAudioHandlerExThread() {
        }

        public void run() {
            android.os.Looper.prepare();
            synchronized (com.android.server.audio.HwAudioServiceEx.this) {
                com.android.server.audio.HwAudioServiceEx.this.mHwAudioHandlerEx = new com.android.server.audio.HwAudioServiceEx.HwAudioHandlerEx(com.android.server.audio.HwAudioServiceEx.this, null);
                com.android.server.audio.HwAudioServiceEx.this.notify();
            }
            android.os.Looper.loop();
        }
    }

    private static class IPGPClient implements com.huawei.pgmng.IPGPlugCallbacks {
        private com.huawei.pgmng.PGPlug mPGPlug = new com.huawei.pgmng.PGPlug(this, "HwAudioServiceEx");

        public IPGPClient() {
            new java.lang.Thread(this.mPGPlug, "HwAudioServiceEx").start();
        }

        public void onDaemonConnected() {
            android.util.Slog.i("HwAudioServiceEx", "HwAudioService:IPGPClient connected success!");
        }

        public boolean onEvent(int actionID, java.lang.String value) {
            if (1 != com.huawei.pgmng.PGAction.checkActionType(actionID)) {
                if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("HwAudioService:Filter application event id : ");
                    stringBuilder.append(actionID);
                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                }
                return true;
            }
            int subFlag = com.huawei.pgmng.PGAction.checkActionFlag(actionID);
            if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("HwAudioService:IPGP onEvent actionID=");
                stringBuilder2.append(actionID);
                stringBuilder2.append(", value=");
                stringBuilder2.append(value);
                stringBuilder2.append(",  subFlag=");
                stringBuilder2.append(subFlag);
                android.util.Slog.i("HwAudioServiceEx", stringBuilder2.toString());
            }
            if (subFlag != 3) {
                if (com.android.server.audio.HwAudioServiceEx.DEBUG) {
                    android.util.Slog.i("HwAudioServiceEx", "Not used non-parent scene , ignore it");
                }
                return true;
            }
            if (actionID == 10009) {
                if (com.android.server.audio.HwAudioServiceEx.mSwsScene == 0) {
                    com.android.server.audio.HwAudioServiceEx.mSwsScene = 1;
                    android.util.Slog.i("HwAudioServiceEx", "HwAudioService:Video_Front");
                    android.media.AudioSystem.setParameters("IPGPMode=video");
                }
            } else if (com.android.server.audio.HwAudioServiceEx.mSwsScene != 0) {
                com.android.server.audio.HwAudioServiceEx.mSwsScene = 0;
                android.util.Slog.i("HwAudioServiceEx", "HwAudioService:Video_Not_Front");
                android.media.AudioSystem.setParameters("IPGPMode=audio");
            }
            return true;
        }

        public void onConnectedTimeout() {
            android.util.Slog.e("HwAudioServiceEx", "HwAudioService:Client connect timeout!");
        }
    }

    private static class TipRes {
        public java.lang.String mChannelName = null;
        public java.lang.String mContent = null;
        public android.content.Context mContext = null;
        public java.lang.String mTip = null;
        public java.lang.String mTitle = null;
        public int mTypecNotificationId = 0;

        public TipRes(int device, android.content.Context context) {
            this.mContext = context;
            switch (device) {
                case 1:
                    this.mChannelName = this.mContext.getResources().getString(33685982);
                    this.mTitle = this.mContext.getResources().getString(33685983);
                    this.mContent = this.mContext.getResources().getString(33685984);
                    this.mTip = this.mContext.getResources().getString(33685985);
                    this.mTypecNotificationId = 1;
                    return;
                case 2:
                    this.mChannelName = this.mContext.getResources().getString(33685982);
                    if (com.android.server.audio.HwAudioServiceEx.mIsUsbPowercosumeTips) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Tips for pad, mIsUsbPowercosumeTips = ");
                        stringBuilder.append(com.android.server.audio.HwAudioServiceEx.mIsUsbPowercosumeTips);
                        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                        this.mTitle = this.mContext.getResources().getString(33686116);
                        this.mContent = this.mContext.getResources().getString(33686117);
                    } else {
                        this.mTitle = this.mContext.getResources().getString(33686004);
                        this.mContent = this.mContext.getResources().getString(33686005);
                    }
                    this.mTip = this.mContext.getResources().getString(33685985);
                    this.mTypecNotificationId = 2;
                    return;
                default:
                    android.util.Slog.e("HwAudioServiceEx", "TipRes constructor unKnown device");
                    return;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x00ab  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x00aa  */
    static {
        /*
        r0 = "ro.config.hw_hall_prop";
        r1 = 0;
        r0 = android.os.SystemProperties.getInt(r0, r1);
        r2 = 1;
        r0 = r0 & r2;
        if (r0 == 0) goto L_0x000d;
    L_0x000b:
        r0 = r2;
        goto L_0x000e;
    L_0x000d:
        r0 = r1;
    L_0x000e:
        IS_SUPPORT_SLIDE = r0;
        r0 = "ro.media.debuggable";
        r0 = android.os.SystemProperties.getBoolean(r0, r1);
        DEBUG = r0;
        r0 = "ro.config.usb_power_tips";
        r0 = android.os.SystemProperties.getBoolean(r0, r1);
        mIsUsbPowercosumeTips = r0;
        r0 = "com.google.android";
        r3 = "com.google.android.googlequicksearchbox:search";
        r4 = "com.google.android.googlequicksearchbox:interactor";
        r0 = new java.lang.String[]{r0, r3, r4};
        RECORD_REQUEST_APP_LIST = r0;
        r0 = "com.realvnc.android.remote";
        r0 = new java.lang.String[]{r0};
        RECORD_ACTIVE_APP_LIST = r0;
        r0 = "ro.config.hw_media_flags";
        r0 = android.os.SystemProperties.getInt(r0, r1);
        r0 = r0 & 2;
        if (r0 == 0) goto L_0x0040;
    L_0x003e:
        r0 = r2;
        goto L_0x0041;
    L_0x0040:
        r0 = r1;
    L_0x0041:
        HW_KARAOKE_EFFECT_ENABLED = r0;
        r0 = "ro.config.hw_dts";
        r0 = android.os.SystemProperties.getBoolean(r0, r1);
        DTS_SOUND_EFFECTS_SUPPORT = r0;
        r0 = "ro.config.hw_sws";
        r0 = android.os.SystemProperties.getBoolean(r0, r1);
        SWS_SOUND_EFFECTS_SUPPORT = r0;
        r0 = "ro.config.dolby_dap";
        r0 = android.os.SystemProperties.getBoolean(r0, r1);
        DOLBY_SOUND_EFFECTS_SUPPORT = r0;
        r0 = DTS_SOUND_EFFECTS_SUPPORT;
        if (r0 != 0) goto L_0x006a;
    L_0x005f:
        r0 = SWS_SOUND_EFFECTS_SUPPORT;
        if (r0 != 0) goto L_0x006a;
    L_0x0063:
        r0 = DOLBY_SOUND_EFFECTS_SUPPORT;
        if (r0 == 0) goto L_0x0068;
    L_0x0067:
        goto L_0x006a;
    L_0x0068:
        r0 = r1;
        goto L_0x006b;
    L_0x006a:
        r0 = r2;
    L_0x006b:
        SOUND_EFFECTS_SUPPORT = r0;
        r3 = "com.jawbone.up";
        r4 = "com.codoon.gps";
        r5 = "com.lakala.cardwatch";
        r6 = "com.hoolai.magic";
        r7 = "com.android.bankabc";
        r8 = "com.icbc";
        r0 = new java.lang.String[]{r3, r4, r5, r6, r7, r8};
        FORBIDDEN_SOUND_EFFECT_WHITE_LIST = r0;
        mSwsScene = r1;
        r0 = "ro.config.sws_version";
        r3 = "sws2";
        r0 = android.os.SystemProperties.get(r0, r3);
        SWS_VERSION = r0;
        r0 = "sws3";
        r3 = SWS_VERSION;
        r0 = r0.equalsIgnoreCase(r3);
        if (r0 != 0) goto L_0x00ad;
    L_0x0097:
        r0 = "sws3_1";
        r3 = SWS_VERSION;
        r0 = r0.equalsIgnoreCase(r3);
        if (r0 != 0) goto L_0x00ad;
    L_0x00a2:
        r0 = "ro.config.sws_moviemode";
        r0 = android.os.SystemProperties.getBoolean(r0, r1);
        if (r0 == 0) goto L_0x00ab;
    L_0x00aa:
        goto L_0x00ad;
    L_0x00ab:
        r0 = r1;
        goto L_0x00ae;
    L_0x00ad:
        r0 = r2;
    L_0x00ae:
        mIsSWSVideoMode = r0;
        r0 = "sws2";
        r3 = SWS_VERSION;
        r0 = r0.equalsIgnoreCase(r3);
        if (r0 != 0) goto L_0x00c8;
    L_0x00bb:
        r0 = "sws3";
        r3 = SWS_VERSION;
        r0 = r0.equalsIgnoreCase(r3);
        if (r0 != 0) goto L_0x00c8;
    L_0x00c6:
        r1 = r2;
    L_0x00c8:
        mIsHuaweiSWS31Config = r1;
        r0 = "off";
        r1 = "smart";
        r2 = "movie";
        r3 = "music";
        r0 = new java.lang.String[]{r0, r1, r2, r3};
        DOLBY_PROFILE = r0;
        r0 = 12;
        r1 = new byte[r0];
        r1 = {0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0};
        btArrayDsEnable = r1;
        r1 = new byte[r0];
        r1 = {0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0};
        btArrayDsDisable = r1;
        r1 = new byte[r0];
        r1 = {0, 0, 0, 6, 1, 0, 0, 0, 0, 0, 0, 0};
        btArrayDsSmart = r1;
        r1 = new byte[r0];
        r1 = {0, 0, 0, 6, 1, 0, 0, 0, 1, 0, 0, 0};
        btArrayDsMovie = r1;
        r1 = new byte[r0];
        r1 = {0, 0, 0, 6, 1, 0, 0, 0, 2, 0, 0, 0};
        btArrayDsMusic = r1;
        r0 = new byte[r0];
        r0 = {0, 0, 0, 6, 1, 0, 0, 0, 3, 0, 0, 0};
        btArrayDsGame = r0;
        r0 = "com.baidu.BaiduMap";
        r1 = "com.autonavi.minimap";
        r0 = new java.lang.String[]{r0, r1};
        CONCURRENT_RECORD_OTHER = r0;
        r0 = "com.huawei.vassistant";
        r0 = new java.lang.String[]{r0};
        CONCURRENT_RECORD_SYSTEM = r0;
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.audio.HwAudioServiceEx.<clinit>():void");
    }

    public HwAudioServiceEx(com.android.server.audio.IHwAudioServiceInner ias, android.content.Context context) {
        this.mIAsInner = ias;
        this.mContext = context;
        this.mContentResolver = this.mContext.getContentResolver();
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("android.intent.action.REBOOT");
        intentFilter.addAction("android.intent.action.ACTION_SHUTDOWN");
        intentFilter.addAction("com.huawei.systemserver.START");
        context.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, intentFilter, null, null);
        if (IS_SUPPORT_SLIDE) {
            this.coverManager = android.common.HwFrameworkFactory.getCoverManager();
            this.mCallback = new android.cover.IHallCallback.Stub() {
                public void onStateChange(android.cover.HallState hallState) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("HallState=");
                    stringBuilder.append(hallState);
                    android.util.Slog.d("HwAudioServiceEx", stringBuilder.toString());
                    if (hallState.state == 2) {
                        android.media.AudioSystem.setParameters("VOICE_SLIDE_STATUS=open");
                        android.util.Slog.i("HwAudioServiceEx", "set VOICE_SLIDE_STATUS open");
                    } else if (hallState.state == 0) {
                        android.media.AudioSystem.setParameters("VOICE_SLIDE_STATUS=close");
                        android.util.Slog.i("HwAudioServiceEx", "set VOICE_SLIDE_STATUS close");
                    } else {
                        android.util.Slog.e("HwAudioServiceEx", "hallState is not recognized");
                    }
                }
            };
        }
        createHwAudioHandlerExThread();
        readPersistedSettingsEx(this.mContentResolver);
        setAudioSystemParameters();
        if (SWS_SOUND_EFFECTS_SUPPORT && mIsSWSVideoMode) {
            android.util.Slog.i("HwAudioServiceEx", "HwAudioService: Start SWS3.0 IPGPClient.");
            com.android.server.audio.HwAudioServiceEx.IPGPClient iPGPClient = new com.android.server.audio.HwAudioServiceEx.IPGPClient();
        }
    }

    private void createHwAudioHandlerExThread() {
        this.mHwAudioHandlerExThread = new com.android.server.audio.HwAudioServiceEx.HwAudioHandlerExThread();
        this.mHwAudioHandlerExThread.start();
        waitForHwAudioHandlerExCreation();
    }

    private void waitForHwAudioHandlerExCreation() {
        synchronized (this) {
            while (this.mHwAudioHandlerEx == null) {
                try {
                    wait();
                } catch (java.lang.InterruptedException e) {
                    android.util.Slog.e("HwAudioServiceEx", "Interrupted while waiting on HwAudioHandlerEx.");
                }
            }
        }
    }

    private void readPersistedSettingsEx(android.content.ContentResolver cr) {
        if (SOUND_EFFECTS_SUPPORT) {
            getEffectsState(cr);
        }
    }

    private void setAudioSystemParameters() {
        if (SOUND_EFFECTS_SUPPORT) {
            setEffectsState();
        }
    }

    public void setSystemReady() {
        this.mSystemReady = true;
        try {
            android.util.Slog.i("HwAudioServiceEx", "try set drm hidl stop prop");
            android.os.SystemProperties.set("odm.drm.stop", "true");
            android.os.SystemProperties.set("odm.drm.stop", "false");
            this.mConcurrentCaptureEnable = android.os.SystemProperties.getBoolean("ro.config.concurrent_capture", false);
        } catch (java.lang.Exception e) {
            android.util.Slog.e("HwAudioServiceEx", "set drm stop prop fail");
        }
    }

    public void processAudioServerRestart() {
        android.util.Slog.i("HwAudioServiceEx", "audioserver restart, resume audio settings and parameters");
        readPersistedSettingsEx(this.mContentResolver);
        setAudioSystemParameters();
    }

    private android.content.Intent creatIntentByMic(boolean isMic) {
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("huawei.intent.action.OUT_USB_DEVICE_EXTEND");
        intent.putExtra("microphone", isMic);
        return intent;
    }

    private android.content.Intent getNewMicIconIntent() {
        if (this.mIAsInner.isConnectedHeadSetEx()) {
            return creatIntentByMic(true);
        }
        if (this.mIAsInner.isConnectedHeadPhoneEx()) {
            return creatIntentByMic(false);
        }
        if (!this.mIAsInner.isConnectedUsbOutDeviceEx()) {
            return null;
        }
        if (this.mIAsInner.isConnectedUsbInDeviceEx()) {
            return creatIntentByMic(true);
        }
        return creatIntentByMic(false);
    }

    private void sendNewMicIconIntent(android.content.Intent intent) {
        if (intent == null) {
            android.util.Slog.i("HwAudioServiceEx", "intent is null");
            return;
        }
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            android.app.ActivityManagerNative.broadcastStickyIntent(intent, "huawei.permission.OUT_USB_DEVICE_EXTEND", -1);
        } finally {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    public void updateMicIcon() {
        sendNewMicIconIntent(getNewMicIconIntent());
    }

    private int identifyAudioDevice(int type) {
        int device = -1;
        if ((131084 & type) != 0) {
            if ("true".equals(android.media.AudioSystem.getParameters("audio_capability#usb_analog_hs_report"))) {
                device = 1;
            }
        } else if (type == 67108864) {
            device = 2;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("identifyAudioDevice return device: ");
        stringBuilder.append(device);
        android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
        return device;
    }

    private void broadcastHiresIntent(boolean showHiResIcon) {
        android.content.Intent intent = new android.content.Intent();
        intent.setAction(showHiResIcon ? "huawei.intent.action.showHiResIcon" : "huawei.intent.action.hideHiResIcon");
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL, "huawei.permission.HIRES_ICON_CHANGE_ACTION");
    }

    public void notifyHiResIcon(int event) {
        if (!this.mIsDigitalTypecOn) {
            return;
        }
        if (event == 2 || event == 3 || event == 4) {
            this.mHwAudioHandlerEx.sendEmptyMessageDelayed(15, 500);
        }
    }

    public void updateTypeCNotify(int type, int state) {
        int recognizedDevice = identifyAudioDevice(type);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateTypeCNotify recognizedDevice: ");
        stringBuilder.append(recognizedDevice);
        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        if (state != 0) {
            this.mHwAudioHandlerEx.sendEmptyMessageDelayed(15, 1000);
            switch (recognizedDevice) {
                case 1:
                    if (android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "typec_analog_enabled", 1, -2) == 1) {
                        notifyTypecConnected(1);
                        if (!this.mIsAnalogTypecReceiverRegisterd) {
                            registerTypecReceiver(recognizedDevice);
                            this.mIsAnalogTypecReceiverRegisterd = true;
                        }
                    }
                    android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "typec_digital_enabled", 1, -2);
                    return;
                case 2:
                    this.mIsDigitalTypecOn = true;
                    boolean needTip = needTipForDigitalTypeC();
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("updateTypeCNotify needTip: ");
                    stringBuilder2.append(needTip);
                    android.util.Slog.i("HwAudioServiceEx", stringBuilder2.toString());
                    if (android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "typec_digital_enabled", 1, -2) == 1 && needTip) {
                        notifyTypecConnected(2);
                        if (!this.mIsDigitalTypecReceiverRegisterd) {
                            registerTypecReceiver(recognizedDevice);
                            this.mIsDigitalTypecReceiverRegisterd = true;
                        }
                    }
                    android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "typec_analog_enabled", 1, -2);
                    return;
                default:
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateTypeCNotify unknown device: ");
                    stringBuilder.append(recognizedDevice);
                    android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
                    return;
            }
        }
        if (recognizedDevice == 2) {
            this.mIsDigitalTypecOn = false;
        }
        broadcastHiresIntent(false);
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateTypeCNotify plug out device: ");
        stringBuilder.append(recognizedDevice);
        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        dismissNotification(recognizedDevice);
    }

    private boolean needTipForDigitalTypeC() {
        boolean isGoodTypec = "true".equals(android.media.AudioSystem.getParameters("typec_compatibility_check"));
        boolean isNeedTip = "true".equals(android.media.AudioSystem.getParameters("audio_capability#usb_compatibility_report"));
        if (mIsUsbPowercosumeTips) {
            return isNeedTip;
        }
        boolean z = !isGoodTypec && isNeedTip;
        return z;
    }

    private void notifyTypecConnected(int device) {
        if (this.mContext == null) {
            android.util.Slog.i("HwAudioServiceEx", "context is null");
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyTypecConnected device: ");
        stringBuilder.append(device);
        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        android.app.PendingIntent pi = getNeverNotifyIntent(device);
        com.android.server.audio.HwAudioServiceEx.TipRes tipRes = new com.android.server.audio.HwAudioServiceEx.TipRes(device, this.mContext);
        this.mNotificationManager = (android.app.NotificationManager) this.mContext.getSystemService("notification");
        this.mNotificationManager.createNotificationChannel(new android.app.NotificationChannel(tipRes.mChannelName, tipRes.mChannelName, 1));
        this.mNotificationManager.notifyAsUser("HwAudioServiceEx", tipRes.mTypecNotificationId, new android.app.Notification.Builder(this.mContext).setSmallIcon(33751741).setContentTitle(tipRes.mTitle).setContentText(tipRes.mContent).setStyle(new android.app.Notification.BigTextStyle().bigText(tipRes.mContent)).addAction(0, tipRes.mTip, pi).setAutoCancel(true).setChannelId(tipRes.mChannelName).setDefaults(-1).build(), android.os.UserHandle.ALL);
    }

    private android.app.PendingIntent getNeverNotifyIntent(int device) {
        android.content.Intent intent = null;
        switch (device) {
            case 1:
                intent = new android.content.Intent("ACTION_TYPEC_NONOTIFY");
                break;
            case 2:
                intent = new android.content.Intent("ACTION_DIGITAL_TYPEC_NONOTIFY");
                break;
            default:
                android.util.Slog.e("HwAudioServiceEx", "getNeverNotifyIntentAndUpdateTextId unKnown device");
                break;
        }
        return android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 268435456);
    }

    private void dismissNotification(int device) {
        if (this.mNotificationManager != null) {
            switch (device) {
                case 1:
                    this.mNotificationManager.cancel("HwAudioServiceEx", 1);
                    break;
                case 2:
                    this.mNotificationManager.cancel("HwAudioServiceEx", 2);
                    break;
                default:
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("dismissNotification unKnown device: ");
                    stringBuilder.append(device);
                    android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
                    break;
            }
        }
    }

    private java.lang.String getTypecAction(int device) {
        switch (device) {
            case 1:
                return "ACTION_TYPEC_NONOTIFY";
            case 2:
                return "ACTION_DIGITAL_TYPEC_NONOTIFY";
            default:
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getTypecAction unKnown device: ");
                stringBuilder.append(device);
                android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
                return null;
        }
    }

    private void registerTypecReceiver(int device) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("registerTypecReceiver device: ");
        stringBuilder.append(device);
        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        android.content.BroadcastReceiver typecReceiver = new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if (intent != null && intent.getAction() != null) {
                    java.lang.String action = intent.getAction();
                    int i = -1;
                    int hashCode = action.hashCode();
                    if (hashCode != -2146785072) {
                        if (hashCode == 1549278377) {
                            if (action.equals("ACTION_TYPEC_NONOTIFY")) {
                                i = 0;
                            }
                        }
                    } else if (action.equals("ACTION_DIGITAL_TYPEC_NONOTIFY")) {
                        i = 1;
                    }
                    switch (i) {
                        case 0:
                            android.provider.Settings.System.putIntForUser(com.android.server.audio.HwAudioServiceEx.this.mContext.getContentResolver(), "typec_analog_enabled", 0, -2);
                            com.android.server.audio.HwAudioServiceEx.this.mNotificationManager.cancel("HwAudioServiceEx", 1);
                            com.android.server.audio.HwAudioServiceEx.this.mIsAnalogTypecReceiverRegisterd = false;
                            break;
                        case 1:
                            android.provider.Settings.System.putIntForUser(com.android.server.audio.HwAudioServiceEx.this.mContext.getContentResolver(), "typec_digital_enabled", 0, -2);
                            com.android.server.audio.HwAudioServiceEx.this.mNotificationManager.cancel("HwAudioServiceEx", 2);
                            com.android.server.audio.HwAudioServiceEx.this.mIsDigitalTypecReceiverRegisterd = false;
                            break;
                        default:
                            android.util.Slog.e("HwAudioServiceEx", "registerTypecReceiver unKnown action");
                            break;
                    }
                    com.android.server.audio.HwAudioServiceEx.this.mNotificationManager = null;
                    if (com.android.server.audio.HwAudioServiceEx.this.mContext != null) {
                        com.android.server.audio.HwAudioServiceEx.this.mContext.unregisterReceiver(this);
                    }
                }
            }
        };
        android.content.IntentFilter intentFilter;
        switch (device) {
            case 1:
                this.mAnalogTypecReceiver = typecReceiver;
                intentFilter = new android.content.IntentFilter();
                intentFilter.addAction(getTypecAction(device));
                this.mContext.registerReceiver(this.mAnalogTypecReceiver, intentFilter);
                return;
            case 2:
                this.mDigitalTypecReceiver = typecReceiver;
                intentFilter = new android.content.IntentFilter();
                intentFilter.addAction(getTypecAction(device));
                this.mContext.registerReceiver(this.mDigitalTypecReceiver, intentFilter);
                return;
            default:
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("dismissNotification unKnown device: ");
                stringBuilder2.append(device);
                android.util.Slog.e("HwAudioServiceEx", stringBuilder2.toString());
                return;
        }
    }

    private static void sendMsgEx(android.os.Handler handler, int msg, int existingMsgPolicy, int arg1, int arg2, java.lang.Object obj, int delay) {
        if (existingMsgPolicy == 0) {
            handler.removeMessages(msg);
        } else if (existingMsgPolicy == 1 && handler.hasMessages(msg)) {
            return;
        }
        handler.sendMessageAtTime(handler.obtainMessage(msg, arg1, arg2, obj), android.os.SystemClock.uptimeMillis() + ((long) delay));
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x0081 A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x005c  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0056  */
    public boolean checkRecordActive(int r13) {
        /*
        r12 = this;
        r0 = 0;
        r1 = "active_record_pid";
        r1 = android.media.AudioSystem.getParameters(r1);
        r1 = android.text.TextUtils.isEmpty(r1);
        if (r1 == 0) goto L_0x000e;
    L_0x000d:
        return r0;
    L_0x000e:
        r1 = r12.getPackageNameByPidEx(r13);
        r2 = "active_record_pid";
        r2 = android.media.AudioSystem.getParameters(r2);
        r2 = java.lang.Integer.parseInt(r2);
        r3 = 1999; // 0x7cf float:2.801E-42 double:9.876E-321;
        r3 = android.media.AudioSystem.isSourceActive(r3);
        if (r3 != 0) goto L_0x002f;
    L_0x0024:
        r3 = 8;
        r3 = android.media.AudioSystem.isSourceActive(r3);
        if (r3 == 0) goto L_0x002d;
    L_0x002c:
        goto L_0x002f;
    L_0x002d:
        r3 = 0;
        goto L_0x0030;
    L_0x002f:
        r3 = 1;
    L_0x0030:
        r10 = r3;
        r3 = "HwAudioServiceEx";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = "AudioException checkRecordActive requestRecordPid = ";
        r4.append(r5);
        r4.append(r13);
        r5 = ", activeRecordPid = ";
        r4.append(r5);
        r4.append(r2);
        r4 = r4.toString();
        android.util.Slog.i(r3, r4);
        r3 = -1;
        if (r2 == r3) goto L_0x0059;
    L_0x0052:
        if (r13 == r2) goto L_0x0059;
    L_0x0054:
        if (r10 == 0) goto L_0x0057;
    L_0x0056:
        goto L_0x0059;
    L_0x0057:
        r0 = 1;
        goto L_0x005a;
    L_0x0059:
        r0 = 0;
    L_0x005a:
        if (r0 == 0) goto L_0x0081;
    L_0x005c:
        r3 = r12.isInRequestAppList(r1);
        if (r3 != 0) goto L_0x009f;
    L_0x0062:
        r11 = r12.getPackageNameByPidEx(r2);
        r3 = r12.isInActiveAppList(r11);
        if (r3 != 0) goto L_0x0080;
    L_0x006c:
        r3 = r12.isConcurrentAllow(r1, r11);
        if (r3 == 0) goto L_0x0073;
    L_0x0072:
        goto L_0x0080;
    L_0x0073:
        r3 = r12.mHwAudioHandlerEx;
        r4 = 61;
        r5 = 2;
        r8 = 0;
        r9 = 0;
        r6 = r13;
        r7 = r2;
        sendMsgEx(r3, r4, r5, r6, r7, r8, r9);
        goto L_0x009f;
    L_0x0080:
        return r0;
    L_0x0081:
        if (r1 == 0) goto L_0x009f;
    L_0x0083:
        r3 = "";
        r3 = r1.equals(r3);
        if (r3 != 0) goto L_0x009f;
    L_0x008b:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "RecordCallingAppName=";
        r3.append(r4);
        r3.append(r1);
        r3 = r3.toString();
        android.media.AudioSystem.setParameters(r3);
    L_0x009f:
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.audio.HwAudioServiceEx.checkRecordActive(int):boolean");
    }

    private java.lang.String getPackageNameByPid(int pid) {
        if (pid <= 0) {
            return null;
        }
        android.app.ActivityManager activityManager = (android.app.ActivityManager) this.mContext.getSystemService("activity");
        if (activityManager == null) {
            return null;
        }
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> appProcesses = activityManager.getRunningAppProcesses();
        if (appProcesses == null) {
            return null;
        }
        java.lang.String packageName = null;
        for (android.app.ActivityManager.RunningAppProcessInfo appProcess : appProcesses) {
            if (appProcess.pid == pid) {
                packageName = appProcess.processName;
                break;
            }
        }
        int indexProcessFlag = -1;
        if (packageName != null) {
            indexProcessFlag = packageName.indexOf(58);
        }
        return indexProcessFlag > 0 ? packageName.substring(0, indexProcessFlag) : packageName;
    }

    private java.lang.String getPackageNameByPidEx(int pid) {
        java.lang.String res = null;
        java.lang.String descriptor = "android.app.IActivityManager";
        try {
            android.os.Parcel data = android.os.Parcel.obtain();
            android.os.Parcel reply = android.os.Parcel.obtain();
            data.writeInterfaceToken("android.app.IActivityManager");
            data.writeInt(pid);
            android.app.ActivityManagerNative.getDefault().asBinder().transact(504, data, reply, 0);
            reply.readException();
            res = reply.readString();
            data.recycle();
            reply.recycle();
            return res;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getPackageNameForPid ");
            stringBuilder.append(pid);
            android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString(), e);
            return res;
        }
    }

    private boolean isInRequestAppList(java.lang.String pkgName) {
        if (android.text.TextUtils.isEmpty(pkgName)) {
            return true;
        }
        java.lang.String topPackageName = getTopActivityPackageName();
        if (topPackageName != null && !pkgName.startsWith(topPackageName)) {
            return true;
        }
        boolean isValidPkgName = false;
        for (java.lang.CharSequence contains : RECORD_REQUEST_APP_LIST) {
            if (pkgName.contains(contains)) {
                isValidPkgName = true;
                break;
            }
        }
        return isValidPkgName;
    }

    private boolean isInActiveAppList(java.lang.String pkgName) {
        for (java.lang.String equals : RECORD_ACTIVE_APP_LIST) {
            if (equals.equals(pkgName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("isInActiveAppList ");
                stringBuilder.append(pkgName);
                android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                return true;
            }
        }
        return false;
    }

    private java.lang.String getTopActivityPackageName() {
        try {
            java.util.List<android.app.ActivityManager.RunningTaskInfo> tasks = ((android.app.ActivityManager) this.mContext.getSystemService("activity")).getRunningTasks(1);
            if (tasks != null) {
                if (!tasks.isEmpty()) {
                    android.content.ComponentName topActivity = ((android.app.ActivityManager.RunningTaskInfo) tasks.get(0)).topActivity;
                    if (topActivity != null) {
                        return topActivity.getPackageName();
                    }
                    return null;
                }
            }
            return null;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Failure to get topActivity PackageName ");
            stringBuilder.append(e);
            android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
        }
    }

    private java.lang.String getApplicationLabel(java.lang.String pkgName) {
        try {
            android.content.pm.PackageManager packageManager = this.mContext.getPackageManager();
            return packageManager.getApplicationLabel(packageManager.getApplicationInfo(pkgName, null)).toString();
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            android.util.Slog.e("HwAudioServiceEx", "getApplicationLabel exception", e);
            return null;
        }
    }

    private void showRecordWarnDialog(int requestRecordPid, int activeRecordPid) {
        java.lang.String requestPkgName = getPackageNameByPidEx(requestRecordPid);
        java.lang.String requestPkgLabel = getApplicationLabel(requestPkgName);
        java.lang.String activePkgName = getPackageNameByPidEx(activeRecordPid);
        java.lang.String activePkgLabel = getApplicationLabel(activePkgName);
        if (activePkgName == null) {
            activePkgName = this.mContext.getString(17039913);
        }
        java.lang.String str = "HwAudioServiceEx";
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("showRecordWarnDialog activePkgLabel=");
        stringBuilder.append(activePkgLabel != null ? activePkgLabel : activePkgName);
        stringBuilder.append("requestPkgLabel=");
        stringBuilder.append(requestPkgLabel != null ? requestPkgLabel : requestPkgName);
        android.util.Slog.i(str, stringBuilder.toString());
        android.app.AlertDialog.Builder builder = new android.app.AlertDialog.Builder(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog.Alert", null, null));
        java.lang.String string = this.mContext.getString(33685818);
        java.lang.Object[] objArr = new java.lang.Object[2];
        objArr[0] = activePkgLabel != null ? activePkgLabel : activePkgName;
        objArr[1] = requestPkgLabel != null ? requestPkgLabel : requestPkgName;
        builder.setMessage(java.lang.String.format(string, objArr));
        builder.setCancelable(false);
        builder.setPositiveButton(33685817, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int whichButton) {
                dialog.dismiss();
                com.android.server.audio.HwAudioServiceEx.this.isShowingDialog = false;
            }
        });
        android.app.Dialog dialog = builder.create();
        dialog.getWindow().setType(2003);
        if (android.os.SystemClock.elapsedRealtime() - this.dialogShowTime > 3000 || android.os.SystemClock.elapsedRealtime() - this.dialogShowTime < 0) {
            dialog.show();
            this.dialogShowTime = android.os.SystemClock.elapsedRealtime();
            this.isShowingDialog = true;
        }
    }

    private void getAppInWhiteBlackList(java.util.List<java.lang.String> whiteAppList) {
        java.io.InputStream in = null;
        org.xmlpull.v1.XmlPullParser xmlParser = null;
        try {
            java.io.File configFile = com.huawei.cust.HwCfgFilePolicy.getCfgFile("xml/hw_karaokeeffect_app_config.xml", 0);
            if (configFile != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("HwCfgFilePolicy getCfgFile not null, path = ");
                stringBuilder.append(configFile.getPath());
                android.util.Slog.v("HwAudioServiceEx", stringBuilder.toString());
                in = new java.io.FileInputStream(configFile.getPath());
                xmlParser = android.util.Xml.newPullParser();
                xmlParser.setInput(in, null);
            } else {
                android.util.Slog.e("HwAudioServiceEx", "HwCfgFilePolicy getCfgFile is null");
            }
            if (xmlParser != null) {
                parseXmlForWhiteBlackList(xmlParser, whiteAppList);
            }
            if (in != null) {
                try {
                    in.close();
                } catch (java.io.IOException e) {
                    android.util.Slog.e("HwAudioServiceEx", "Karaoke IO Close Fail");
                }
            }
        } catch (com.huawei.android.util.NoExtAPIException e2) {
            android.util.Slog.e("HwAudioServiceEx", "Karaoke NoExtAPIException");
            if (in != null) {
                in.close();
            }
        } catch (java.io.FileNotFoundException e3) {
            android.util.Slog.e("HwAudioServiceEx", "Karaoke FileNotFoundException");
            if (in != null) {
                in.close();
            }
        } catch (org.xmlpull.v1.XmlPullParserException e4) {
            android.util.Slog.e("HwAudioServiceEx", "Karaoke XmlPullParserException");
            if (in != null) {
                in.close();
            }
        } catch (java.lang.Exception e5) {
            android.util.Slog.e("HwAudioServiceEx", "Karaoke getAppInWhiteBlackList Exception ", e5);
            if (in != null) {
                in.close();
            }
        } catch (Throwable th) {
            if (in != null) {
                try {
                    in.close();
                } catch (java.io.IOException e6) {
                    android.util.Slog.e("HwAudioServiceEx", "Karaoke IO Close Fail");
                }
            }
        }
    }

    private void parseXmlForWhiteBlackList(org.xmlpull.v1.XmlPullParser parser, java.util.List<java.lang.String> whiteAppList) {
        while (true) {
            try {
                int next = parser.next();
                int eventType = next;
                if (next == 1) {
                    break;
                } else if (eventType == 2 && parser.getName().equals("whiteapp")) {
                    java.lang.String packageName = parser.getAttributeValue(null, "package");
                    if (isValidCharSequence(packageName)) {
                        whiteAppList.add(packageName);
                    }
                }
            } catch (org.xmlpull.v1.XmlPullParserException e) {
                android.util.Slog.e("HwAudioServiceEx", "Karaoke XmlPullParserException");
            } catch (java.io.IOException e2) {
                android.util.Slog.e("HwAudioServiceEx", "Karaoke IOException");
                return;
            }
        }
    }

    public boolean isValidCharSequence(java.lang.CharSequence charSeq) {
        if (charSeq == null || charSeq.length() == 0) {
            return false;
        }
        return true;
    }

    private void sendStartIntentForKaraoke(java.lang.String packageName, boolean isOnTop) {
        if (!HW_KARAOKE_EFFECT_ENABLED) {
            return;
        }
        if (this.mSystemReady) {
            initHwKaraokeWhiteList();
            if (isOnTop && !packageName.equals(this.mStartedPackageName)) {
                this.mStartedPackageName = packageName;
                if (this.mKaraokeWhiteList.contains(packageName)) {
                    startIntentForKaraoke(packageName);
                }
            }
            return;
        }
        android.util.Slog.e("HwAudioServiceEx", "Start Karaoke system is not ready! ");
    }

    private void initHwKaraokeWhiteList() {
        if (this.mKaraokeWhiteList == null) {
            this.mKaraokeWhiteList = new java.util.ArrayList();
            getAppInWhiteBlackList(this.mKaraokeWhiteList);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("karaoke white list =");
            stringBuilder.append(this.mKaraokeWhiteList.toString());
            android.util.Slog.v("HwAudioServiceEx", stringBuilder.toString());
        }
    }

    public boolean isHwKaraokeEffectEnable(java.lang.String packageName) {
        if (!HW_KARAOKE_EFFECT_ENABLED) {
            android.util.Slog.e("HwAudioServiceEx", "prop do not support");
            return false;
        } else if (this.mSystemReady) {
            initHwKaraokeWhiteList();
            if (this.mKaraokeWhiteList.contains(packageName)) {
                android.util.Slog.v("HwAudioServiceEx", "app in white list");
                return true;
            }
            android.util.Slog.v("HwAudioServiceEx", "not in white list");
            return false;
        } else {
            android.util.Slog.e("HwAudioServiceEx", "Start Karaoke system is not ready! ");
            return false;
        }
    }

    public void sendAudioRecordStateChangedIntent(java.lang.String sender, int state, int pid, java.lang.String packageName) {
        long ident;
        java.lang.Throwable th;
        java.lang.String str = sender;
        int i = state;
        int i2 = pid;
        if (!HW_KARAOKE_EFFECT_ENABLED) {
            return;
        }
        java.lang.StringBuilder stringBuilder;
        if (this.mContext.checkCallingPermission("android.permission.RECORD_AUDIO") == -1) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendAudioRecordStateChangedIntent dennied from ");
            stringBuilder.append(packageName);
            android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
            return;
        }
        java.lang.String str2 = packageName;
        if (DEBUG) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendAudioRecordStateChangedIntent=");
            stringBuilder.append(str);
            stringBuilder.append(" ");
            stringBuilder.append(i);
            stringBuilder.append(" ");
            stringBuilder.append(i2);
            android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        }
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("huawei.media.AUDIO_RECORD_STATE_CHANGED_ACTION");
        intent.addFlags(268435456);
        intent.putExtra("sender", str);
        intent.putExtra("state", i);
        intent.putExtra("packagename", getPackageNameByPid(i2));
        long ident2 = android.os.Binder.clearCallingIdentity();
        try {
            long ident3 = ident2;
            try {
                android.app.ActivityManagerNative.getDefault().broadcastIntent(null, intent, null, null, -1, null, null, new java.lang.String[]{"com.huawei.permission.AUDIO_RECORD_STATE_CHANGED_ACTION"}, -1, null, false, false, -2);
                android.os.Binder.restoreCallingIdentity(ident3);
            } catch (android.os.RemoteException e) {
                ident = ident3;
                try {
                    android.util.Slog.e("HwAudioServiceEx", "sendAudioRecordStateChangedIntent failed: catch RemoteException!");
                    android.os.Binder.restoreCallingIdentity(ident);
                } catch (Throwable th2) {
                    th = th2;
                    android.os.Binder.restoreCallingIdentity(ident);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                ident = ident3;
                android.os.Binder.restoreCallingIdentity(ident);
                throw th;
            }
        } catch (android.os.RemoteException e2) {
            ident = ident2;
            android.util.Slog.e("HwAudioServiceEx", "sendAudioRecordStateChangedIntent failed: catch RemoteException!");
            android.os.Binder.restoreCallingIdentity(ident);
        } catch (Throwable th4) {
            th = th4;
            ident = ident2;
            android.os.Binder.restoreCallingIdentity(ident);
            throw th;
        }
    }

    private void startIntentForKaraoke(java.lang.String packageName) {
        android.os.RemoteException e;
        long ident;
        java.lang.Throwable th;
        android.content.Intent intent;
        java.lang.String str = packageName;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendBroadcast : activity starting for karaoke =");
        stringBuilder.append(str);
        android.util.Slog.v("HwAudioServiceEx", stringBuilder.toString());
        android.content.Intent startBroadcast = new android.content.Intent();
        startBroadcast.setAction("huawei.media.ACTIVITY_STARTING_FOR_KARAOKE_ACTION");
        startBroadcast.addFlags(268435456);
        startBroadcast.putExtra("packagename", str);
        startBroadcast.setPackage("com.huawei.android.karaoke");
        long ident2 = android.os.Binder.clearCallingIdentity();
        try {
            long ident3 = ident2;
            try {
                android.app.ActivityManagerNative.getDefault().broadcastIntent(null, startBroadcast, null, null, -1, null, null, new java.lang.String[]{"com.huawei.permission.AUDIO_RECORD_STATE_CHANGED_ACTION"}, -1, null, false, false, -2);
                android.os.Binder.restoreCallingIdentity(ident3);
            } catch (android.os.RemoteException e2) {
                e = e2;
                ident = ident3;
                try {
                    android.util.Slog.e("HwAudioServiceEx", "Karaoke broadcast fail", e);
                    android.os.Binder.restoreCallingIdentity(ident);
                } catch (Throwable th2) {
                    th = th2;
                    android.os.Binder.restoreCallingIdentity(ident);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                ident = ident3;
                android.os.Binder.restoreCallingIdentity(ident);
                throw th;
            }
        } catch (android.os.RemoteException e3) {
            e = e3;
            ident = ident2;
            intent = startBroadcast;
            android.util.Slog.e("HwAudioServiceEx", "Karaoke broadcast fail", e);
            android.os.Binder.restoreCallingIdentity(ident);
        } catch (Throwable th4) {
            th = th4;
            ident = ident2;
            intent = startBroadcast;
            android.os.Binder.restoreCallingIdentity(ident);
            throw th;
        }
    }

    private void sendAppKilledIntentForKaraoke(boolean restore, java.lang.String packageName, boolean isOnTop, java.lang.String reserved) {
        if (!HW_KARAOKE_EFFECT_ENABLED) {
            return;
        }
        if (this.mSystemReady) {
            if (this.mKaraokeWhiteList != null) {
                if (this.mKaraokeWhiteList.size() >= 1) {
                    if (DEBUG) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("restore:");
                        stringBuilder.append(restore);
                        stringBuilder.append(" packageName:");
                        stringBuilder.append(packageName);
                        stringBuilder.append(" Top:");
                        stringBuilder.append(isOnTop);
                        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                    }
                    if (this.mKaraokeWhiteList.contains(packageName) || "com.android.packageinstaller".equals(packageName)) {
                        android.content.Intent intent = new android.content.Intent();
                        intent.setAction("huawei.intent.action.APP_KILLED_FOR_KARAOKE_ACTION");
                        intent.putExtra("restore", restore);
                        intent.putExtra("packageName", packageName);
                        intent.putExtra("isOnTop", isOnTop);
                        intent.putExtra("reserved", reserved);
                        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.CURRENT, "huawei.permission.APP_KILLED_FOR_KARAOKE_ACTION");
                    }
                    return;
                }
            }
            android.util.Slog.e("HwAudioServiceEx", "Karaoke white list is empty! ");
            return;
        }
        android.util.Slog.e("HwAudioServiceEx", "KILLED_APP system is not ready! ");
    }

    private boolean isScreenOff() {
        android.os.PowerManager power = (android.os.PowerManager) this.mContext.getSystemService("power");
        if (power != null) {
            return power.isScreenOn() ^ 1;
        }
        return false;
    }

    private boolean isKeyguardLocked() {
        android.app.KeyguardManager keyguard = (android.app.KeyguardManager) this.mContext.getSystemService("keyguard");
        if (keyguard != null) {
            return keyguard.isKeyguardLocked();
        }
        return false;
    }

    private int getAppTypeForVBR(int uid) {
        int type = -1;
        java.lang.String[] packages = this.mContext.getPackageManager().getPackagesForUid(uid);
        if (packages == null) {
            return -1;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("VBR Enter package length ");
        stringBuilder.append(packages.length);
        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        int i = 0;
        while (i < packages.length) {
            java.lang.String packageName = packages[i];
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("VBR Enter packageName:");
            stringBuilder2.append(packageName);
            android.util.Slog.i("HwAudioServiceEx", stringBuilder2.toString());
            try {
                type = this.mPGSdk.getPkgType(this.mContext, packageName);
                break;
            } catch (android.os.RemoteException e) {
                android.util.Slog.i("HwAudioServiceEx", "VBR getPkgType failed!");
                i++;
            }
        }
        return type;
    }

    private void getEffectsState(android.content.ContentResolver contentResolver) {
        if (DTS_SOUND_EFFECTS_SUPPORT) {
            getDtsStatus(contentResolver);
        }
        if (SWS_SOUND_EFFECTS_SUPPORT) {
            getSwsStatus(contentResolver);
        }
    }

    private void setEffectsState() {
        if (DTS_SOUND_EFFECTS_SUPPORT) {
            setDtsStatus();
        }
        if (SWS_SOUND_EFFECTS_SUPPORT) {
            if (mIsHuaweiSWS31Config) {
                sendSwsEQBroadcast();
            } else {
                setSwsStatus();
            }
        }
        if (DOLBY_SOUND_EFFECTS_SUPPORT) {
            setDolbyStatus();
        }
    }

    private void getDtsStatus(android.content.ContentResolver contentResolver) {
        this.mDtsStatus = android.provider.Settings.Secure.getInt(contentResolver, "dts_mode", 0);
    }

    private void getSwsStatus(android.content.ContentResolver contentResolver) {
        this.mSwsStatus = android.provider.Settings.System.getInt(contentResolver, "sws_mode", 0);
    }

    private void setDtsStatus() {
        if (this.mDtsStatus == 3) {
            android.media.AudioSystem.setParameters("srs_cfg:trumedia_enable=1");
            android.util.Slog.i("HwAudioServiceEx", "setDtsStatus = on");
        } else if (this.mDtsStatus == 0) {
            android.media.AudioSystem.setParameters("srs_cfg:trumedia_enable=0");
            android.util.Slog.i("HwAudioServiceEx", "setDtsStatus = off");
        }
    }

    private void setSwsStatus() {
        if (this.mSwsStatus == 3) {
            android.media.AudioSystem.setParameters("HIFIPARA=STEREOWIDEN_Enable=true");
        } else if (this.mSwsStatus == 0) {
            android.media.AudioSystem.setParameters("HIFIPARA=STEREOWIDEN_Enable=false");
        }
    }

    private void sendSwsEQBroadcast() {
        try {
            android.content.Intent intent = new android.content.Intent("huawei.intent.action.SWS_EQ");
            intent.setPackage("com.huawei.imedia.sws");
            this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.getUserHandleForUid(android.os.UserHandle.getCallingUserId()), "android.permission.SWS_EQ");
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendSwsEQBroadcast exception: ");
            stringBuilder.append(e);
            android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
        }
    }

    void onSetSoundEffectAndHSState(java.lang.String packageName, boolean isOnTOP) {
        for (java.lang.String equals : FORBIDDEN_SOUND_EFFECT_WHITE_LIST) {
            java.lang.String equals2;
            if (equals2.equals(packageName)) {
                android.media.AudioSystem.setParameters(isOnTOP ? "hs_no_charge=on" : "hs_no_charge=off");
                this.mMyHandler.sendEmptyMessage(isOnTOP ? 1 : 2);
                if (DEBUG) {
                    equals2 = "HwAudioServiceEx";
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onSetSoundEffectAndHSState message: ");
                    stringBuilder.append(isOnTOP ? "HS_NO_CHARGE_ON + SOUND_EFFECT_CLOSE" : "HS_NO_CHARGE_OFF + SOUND_EFFECT_OPEN");
                    android.util.Slog.i(equals2, stringBuilder.toString());
                }
                return;
            }
        }
    }

    void restoreSoundEffectAndHSState(java.lang.String processName) {
        java.lang.String preDTSState = null;
        java.lang.String preSWSState = null;
        java.lang.String preDOLBYState = null;
        if (DTS_SOUND_EFFECTS_SUPPORT) {
            preDTSState = android.os.SystemProperties.get("persist.sys.dts.prestate", "unknown");
        }
        if (SWS_SOUND_EFFECTS_SUPPORT && mIsHuaweiSWS31Config) {
            preSWSState = android.os.SystemProperties.get("persist.sys.sws.prestate", "unknown");
        }
        if (DOLBY_SOUND_EFFECTS_SUPPORT) {
            preDOLBYState = android.os.SystemProperties.get("persist.sys.dolby.prestate", "unknown");
        }
        for (java.lang.String equals : FORBIDDEN_SOUND_EFFECT_WHITE_LIST) {
            if (equals.equals(processName)) {
                android.media.AudioSystem.setParameters("hs_no_charge=off");
                if (DTS_SOUND_EFFECTS_SUPPORT && preDTSState != null && preDTSState.equals("on")) {
                    android.media.AudioSystem.setParameters("srs_cfg:trumedia_enable=1");
                    android.os.SystemProperties.set("persist.sys.dts.prestate", "unknown");
                    if (DEBUG) {
                        android.util.Slog.i("HwAudioServiceEx", "restoreDTSAndHSState success!");
                    }
                }
                if (SWS_SOUND_EFFECTS_SUPPORT && mIsHuaweiSWS31Config && preSWSState != null && preSWSState.equals("on")) {
                    android.media.AudioSystem.setParameters("HIFIPARA=STEREOWIDEN_Enable=true");
                    android.os.SystemProperties.set("persist.sys.sws.prestate", "unknown");
                    if (DEBUG) {
                        android.util.Slog.i("HwAudioServiceEx", "restoreSWSAndHSState success!");
                    }
                }
                if (DOLBY_SOUND_EFFECTS_SUPPORT && preDOLBYState != null && preDOLBYState.equals("on")) {
                    setDolbyEnable(true);
                    android.os.SystemProperties.set("persist.sys.dolby.prestate", "unknown");
                    if (DEBUG) {
                        android.util.Slog.i("HwAudioServiceEx", "restoreDOLBYAndHSState success!");
                    }
                }
                return;
            }
        }
    }

    public void onSetSoundEffectState(int device, int state) {
        if (!this.mIAsInner.checkAudioSettingsPermissionEx("onSetSoundEffectState()") || !SOUND_EFFECTS_SUPPORT) {
            return;
        }
        if (device == 4 || device == 8 || device == 67108864 || device == 536870912) {
            if (DOLBY_SOUND_EFFECTS_SUPPORT) {
                resetDolbyStateForHeadset(state);
            }
            if (!isScreenOff()) {
                if (!isKeyguardLocked()) {
                    if (isTopActivity(FORBIDDEN_SOUND_EFFECT_WHITE_LIST)) {
                        if (DTS_SOUND_EFFECTS_SUPPORT) {
                            onSetDtsState(state);
                        }
                        if (SWS_SOUND_EFFECTS_SUPPORT && mIsHuaweiSWS31Config) {
                            onSetSwsstate(state);
                        }
                        if (DOLBY_SOUND_EFFECTS_SUPPORT) {
                            onSetDolbyState(state);
                        }
                    }
                }
            }
        }
    }

    private boolean isTopActivity(java.lang.String[] appnames) {
        java.lang.String topPackageName = getTopActivityPackageName();
        if (topPackageName == null) {
            return false;
        }
        for (java.lang.String equals : appnames) {
            if (equals.equals(topPackageName)) {
                return true;
            }
        }
        return false;
    }

    private void onSetDtsState(int state) {
        java.lang.String preDTSState = android.os.SystemProperties.get("persist.sys.dts.prestate", "unknown");
        if (state == 1) {
            java.lang.String curDTSState = android.media.AudioSystem.getParameters("srs_cfg:trumedia_enable");
            if (curDTSState != null && curDTSState.contains("srs_cfg:trumedia_enable=1")) {
                android.media.AudioSystem.setParameters("srs_cfg:trumedia_enable=0");
                android.os.SystemProperties.set("persist.sys.dts.prestate", "on");
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onSetDTSState cur DTS mode = ");
                    stringBuilder.append(curDTSState);
                    stringBuilder.append(" force set DTS off");
                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                }
            }
        } else if (state == 0 && preDTSState != null && preDTSState.equals("on")) {
            android.media.AudioSystem.setParameters("srs_cfg:trumedia_enable=1");
            android.os.SystemProperties.set("persist.sys.dts.prestate", "unknown");
            if (DEBUG) {
                android.util.Slog.i("HwAudioServiceEx", "onSetDTSState set DTS on");
            }
        }
    }

    private void onSetSwsstate(int state) {
        java.lang.String preSWSState = android.os.SystemProperties.get("persist.sys.sws.prestate", "unknown");
        if (state == 1) {
            java.lang.String curSWSState = android.media.AudioSystem.getParameters("HIFIPARA=STEREOWIDEN_Enable");
            if (curSWSState != null && curSWSState.contains("HIFIPARA=STEREOWIDEN_Enable=true")) {
                android.media.AudioSystem.setParameters("HIFIPARA=STEREOWIDEN_Enable=false");
                android.os.SystemProperties.set("persist.sys.sws.prestate", "on");
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onSetSwsstate cur SWS mode = ");
                    stringBuilder.append(curSWSState);
                    stringBuilder.append(" force set SWS off");
                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                }
            }
        } else if (state == 0 && preSWSState != null && preSWSState.equals("on")) {
            android.media.AudioSystem.setParameters("HIFIPARA=STEREOWIDEN_Enable=true");
            android.os.SystemProperties.set("persist.sys.sws.prestate", "unknown");
            if (DEBUG) {
                android.util.Slog.i("HwAudioServiceEx", "onSetSwsstate set SWS on");
            }
        }
    }

    private static int byteArrayToInt32(byte[] ba, int index) {
        return ((((ba[index + 3] & 255) << 24) | ((ba[index + 2] & 255) << 16)) | ((ba[index + 1] & 255) << 8)) | (ba[index] & 255);
    }

    private void sendDolbyUpdateBroadcast(int dlbParam, int status) {
        android.content.Intent intent = new android.content.Intent("dolby_dap_params_update");
        intent.putExtra("event name", dlbParam == 16777216 ? "ds_state_change" : "profile_change");
        intent.putExtra("Integer Value", status);
        this.mContext.sendBroadcastAsUser(intent, new android.os.UserHandle(android.app.ActivityManager.getCurrentUser()), "com.huawei.permission.DOLBYCONTROL");
    }

    private void resetDolbyStateForHeadset(int headsetState) {
        this.mHeadSetPlugState = headsetState == 1;
        if (headsetState == 1) {
            if (android.os.SystemProperties.get("persist.sys.dolby.state", "on").equals("off")) {
                setDolbyEnable(false);
            }
            return;
        }
        android.os.SystemProperties.set("persist.sys.dolby.state", this.mDolbyEnable > 0 ? "on" : "off");
        setDolbyEnable(true);
    }

    private void onSetDolbyState(int state) {
        java.lang.String preDolbyState = android.os.SystemProperties.get("persist.sys.dolby.prestate", "unknown");
        if (state == 1) {
            if (this.mDolbyEnable == 1) {
                android.os.SystemProperties.set("persist.sys.dolby.prestate", "on");
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onSetDolbyState cur DOLBY mode = ");
                    stringBuilder.append(this.mDolbyEnable);
                    stringBuilder.append(" force set DOLBY off");
                    android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                }
                setDolbyEnable(false);
            }
        } else if (state == 0 && preDolbyState != null && preDolbyState.equals("on")) {
            android.os.SystemProperties.set("persist.sys.dolby.state", preDolbyState);
            android.os.SystemProperties.set("persist.sys.dolby.prestate", "unknown");
        }
    }

    private void setDolbyEnable(boolean state) {
        if (this.mDms != null) {
            java.util.ArrayList<java.lang.Byte> params = new java.util.ArrayList();
            int i = 0;
            if (state) {
                while (i < 12) {
                    params.add(java.lang.Byte.valueOf(btArrayDsEnable[i]));
                    i++;
                }
                this.mDms.setDapParam(params);
                android.media.AudioSystem.setParameters("dolby_profile=on");
                this.mDolbyEnable = 1;
            } else {
                int i2 = 0;
                while (i2 < 12) {
                    try {
                        params.add(java.lang.Byte.valueOf(btArrayDsDisable[i2]));
                        i2++;
                    } catch (java.lang.Exception e) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("setDolbyEnable exception: ");
                        stringBuilder.append(e);
                        android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
                        return;
                    }
                }
                this.mDms.setDapParam(params);
                android.media.AudioSystem.setParameters("dolby_profile=off");
                this.mDolbyEnable = 0;
            }
        }
    }

    private static int byteArrayToInt(java.lang.Byte[] ba, int index) {
        return ((((ba[3 + index].byteValue() & 255) << 24) | ((ba[2 + index].byteValue() & 255) << 16)) | ((ba[1 + index].byteValue() & 255) << 8)) | (ba[index].byteValue() & 255);
    }

    private static int int32ToByteArray(int src, java.lang.Byte[] dst, int index) {
        int index2 = index + 1;
        dst[index] = java.lang.Byte.valueOf((byte) (src & 255));
        index = index2 + 1;
        dst[index2] = java.lang.Byte.valueOf((byte) ((src >>> 8) & 255));
        index2 = index + 1;
        dst[index] = java.lang.Byte.valueOf((byte) ((src >>> 16) & 255));
        dst[index2] = java.lang.Byte.valueOf((byte) ((src >>> 24) & 255));
        return 4;
    }

    public boolean setDolbyEffect(int r10) {
        /*
        r9 = this;
        r0 = "HwAudioServiceEx";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "setDolbyEffect1 mode = ";
        r1.append(r2);
        r1.append(r10);
        r1 = r1.toString();
        android.util.Slog.i(r0, r1);
        r0 = r9.mDms;
        r1 = 0;
        if (r0 == 0) goto L_0x0102;
    L_0x001c:
        r0 = new java.util.ArrayList;
        r0.<init>();
        r2 = 12;
        switch(r10) {
            case 0: goto L_0x00c5;
            case 1: goto L_0x00a4;
            case 2: goto L_0x0083;
            case 3: goto L_0x0028;
            default: goto L_0x0026;
        };
    L_0x0026:
        goto L_0x00ff;
    L_0x0028:
        r3 = new java.lang.Byte[r2];	 Catch:{ Exception -> 0x00e6 }
        r4 = r1;
    L_0x002b:
        if (r4 >= r2) goto L_0x0036;
    L_0x002d:
        r5 = java.lang.Byte.valueOf(r1);	 Catch:{ Exception -> 0x00e6 }
        r3[r4] = r5;	 Catch:{ Exception -> 0x00e6 }
        r4 = r4 + 1;
        goto L_0x002b;
    L_0x0036:
        r4 = 0;
        r5 = 100663296; // 0x6000000 float:2.4074124E-35 double:4.97342764E-316;
        r5 = int32ToByteArray(r5, r3, r4);	 Catch:{ Exception -> 0x00e6 }
        r4 = r4 + r5;
        r5 = new java.util.ArrayList;	 Catch:{ Exception -> 0x00e6 }
        r6 = java.util.Arrays.asList(r3);	 Catch:{ Exception -> 0x00e6 }
        r5.<init>(r6);	 Catch:{ Exception -> 0x00e6 }
        r6 = r9.mDms;	 Catch:{ RemoteException -> 0x0052 }
        r7 = new com.android.server.audio.HwAudioServiceEx$9;	 Catch:{ RemoteException -> 0x0052 }
        r7.<init>(r3);	 Catch:{ RemoteException -> 0x0052 }
        r6.getDapParam(r5, r7);	 Catch:{ RemoteException -> 0x0052 }
        goto L_0x005a;
    L_0x0052:
        r6 = move-exception;
        r7 = "HwAudioServiceEx";
        r8 = "Failed to receive byte array to DMS.";
        android.util.Slog.e(r7, r8);	 Catch:{ Exception -> 0x00e6 }
    L_0x005a:
        r6 = byteArrayToInt(r3, r1);	 Catch:{ Exception -> 0x00e6 }
        if (r6 == 0) goto L_0x0061;
    L_0x0060:
        return r1;
    L_0x0061:
        r6 = "dolbyMultich=on";
        android.media.AudioSystem.setParameters(r6);	 Catch:{ Exception -> 0x00e6 }
    L_0x0067:
        if (r1 >= r2) goto L_0x0077;
    L_0x0069:
        r6 = btArrayDsGame;	 Catch:{ Exception -> 0x00e6 }
        r6 = r6[r1];	 Catch:{ Exception -> 0x00e6 }
        r6 = java.lang.Byte.valueOf(r6);	 Catch:{ Exception -> 0x00e6 }
        r0.add(r6);	 Catch:{ Exception -> 0x00e6 }
        r1 = r1 + 1;
        goto L_0x0067;
    L_0x0077:
        r1 = r9.mDms;	 Catch:{ Exception -> 0x00e6 }
        r1.setDapParam(r0);	 Catch:{ Exception -> 0x00e6 }
        r1 = "dolby_game_mode=on";
        android.media.AudioSystem.setParameters(r1);	 Catch:{ Exception -> 0x00e6 }
        goto L_0x00ff;
    L_0x0083:
        r3 = "dolbyMultich=off";
        android.media.AudioSystem.setParameters(r3);	 Catch:{ Exception -> 0x00e6 }
        r3 = "dolby_game_mode=off";
        android.media.AudioSystem.setParameters(r3);	 Catch:{ Exception -> 0x00e6 }
    L_0x008e:
        if (r1 >= r2) goto L_0x009e;
    L_0x0090:
        r3 = btArrayDsMusic;	 Catch:{ Exception -> 0x00e6 }
        r3 = r3[r1];	 Catch:{ Exception -> 0x00e6 }
        r3 = java.lang.Byte.valueOf(r3);	 Catch:{ Exception -> 0x00e6 }
        r0.add(r3);	 Catch:{ Exception -> 0x00e6 }
        r1 = r1 + 1;
        goto L_0x008e;
    L_0x009e:
        r1 = r9.mDms;	 Catch:{ Exception -> 0x00e6 }
        r1.setDapParam(r0);	 Catch:{ Exception -> 0x00e6 }
        goto L_0x00ff;
    L_0x00a4:
        r3 = "dolbyMultich=off";
        android.media.AudioSystem.setParameters(r3);	 Catch:{ Exception -> 0x00e6 }
        r3 = "dolby_game_mode=off";
        android.media.AudioSystem.setParameters(r3);	 Catch:{ Exception -> 0x00e6 }
    L_0x00af:
        if (r1 >= r2) goto L_0x00bf;
    L_0x00b1:
        r3 = btArrayDsMovie;	 Catch:{ Exception -> 0x00e6 }
        r3 = r3[r1];	 Catch:{ Exception -> 0x00e6 }
        r3 = java.lang.Byte.valueOf(r3);	 Catch:{ Exception -> 0x00e6 }
        r0.add(r3);	 Catch:{ Exception -> 0x00e6 }
        r1 = r1 + 1;
        goto L_0x00af;
    L_0x00bf:
        r1 = r9.mDms;	 Catch:{ Exception -> 0x00e6 }
        r1.setDapParam(r0);	 Catch:{ Exception -> 0x00e6 }
        goto L_0x00ff;
    L_0x00c5:
        r3 = "dolbyMultich=off";
        android.media.AudioSystem.setParameters(r3);	 Catch:{ Exception -> 0x00e6 }
        r3 = "dolby_game_mode=off";
        android.media.AudioSystem.setParameters(r3);	 Catch:{ Exception -> 0x00e6 }
    L_0x00d0:
        if (r1 >= r2) goto L_0x00e0;
    L_0x00d2:
        r3 = btArrayDsSmart;	 Catch:{ Exception -> 0x00e6 }
        r3 = r3[r1];	 Catch:{ Exception -> 0x00e6 }
        r3 = java.lang.Byte.valueOf(r3);	 Catch:{ Exception -> 0x00e6 }
        r0.add(r3);	 Catch:{ Exception -> 0x00e6 }
        r1 = r1 + 1;
        goto L_0x00d0;
    L_0x00e0:
        r1 = r9.mDms;	 Catch:{ Exception -> 0x00e6 }
        r1.setDapParam(r0);	 Catch:{ Exception -> 0x00e6 }
        goto L_0x00ff;
    L_0x00e6:
        r1 = move-exception;
        r2 = "HwAudioServiceEx";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "setDolbyEffect exception: ";
        r3.append(r4);
        r3.append(r1);
        r3 = r3.toString();
        android.util.Slog.e(r2, r3);
        goto L_0x0100;
    L_0x0100:
        r1 = 1;
        return r1;
    L_0x0102:
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.audio.HwAudioServiceEx.setDolbyEffect(int):boolean");
    }

    private void setDolbyStatus() {
        java.util.UUID EFFECT_TYPE_NULL = java.util.UUID.fromString("ec7178ec-e5e1-4432-a3f4-4657e6795210");
        java.util.UUID EFFECT_TYPE_DS = java.util.UUID.fromString("3783c334-d3a0-4d13-874f-0032e5fb80e2");
        if ("true".equalsIgnoreCase(android.os.SystemProperties.get("ro.config.dolby_dap", "false"))) {
            android.util.Slog.d("HwAudioServiceEx", "Init Dolby effect on system ready");
            try {
                this.mEffect = new android.media.audiofx.AudioEffect(EFFECT_TYPE_NULL, EFFECT_TYPE_DS, 0, 0);
                setDolbyServiceClient();
                if (android.os.SystemProperties.get("persist.sys.dolby.state", "unknow").equals("unknow")) {
                    android.os.SystemProperties.set("persist.sys.dolby.state", "on");
                }
            } catch (java.lang.Exception e) {
                android.util.Slog.e("HwAudioServiceEx", "create dolby effect failed, fatal problem!!!");
            }
        }
    }

    private void setDolbyServiceClient() {
        try {
            if (this.mDms != null) {
                this.mDms.unlinkToDeath(this.mDmsDeathRecipient);
            }
            this.mDms = vendor.huawei.hardware.dolby.dms.V1_0.IDms.getService();
            if (this.mDms != null) {
                this.mDms.linkToDeath(this.mDmsDeathRecipient, (long) this.mDolbyClient.hashCode());
                this.mDms.registerClient(this.mDolbyClient, 3, this.mDolbyClient.hashCode());
                this.mEffect.setEnabled(true);
                setDolbyEnable(true);
            } else {
                android.util.Slog.e("HwAudioServiceEx", "Dolby service is not ready, try to reconnect 1s later.");
                sendMsgEx(this.mHwAudioHandlerEx, 93, 0, 0, 0, null, 1000);
            }
        } catch (java.lang.Exception e) {
            android.util.Slog.e("HwAudioServiceEx", "Connect Dolby service caught exception, try to reconnect 1s later.");
            sendMsgEx(this.mHwAudioHandlerEx, 93, 0, 0, 0, null, 1000);
        }
    }

    public void hideHiResIconDueKilledAPP(boolean killed, java.lang.String packageName) {
        if (killed && packageName != null) {
            this.mHwAudioHandlerEx.sendEmptyMessageDelayed(15, 500);
        }
    }

    public int setSoundEffectState(boolean restore, java.lang.String packageName, boolean isOnTop, java.lang.String reserved) {
        if (DEBUG) {
            android.util.Slog.i("HwAudioServiceEx", "in setSoundEffectState");
        }
        android.os.Bundle b = new android.os.Bundle();
        b.putBoolean("restore", restore);
        b.putString("packageName", packageName);
        b.putBoolean("isOnTop", isOnTop);
        b.putString("reserved", reserved);
        this.mHwAudioHandlerEx.sendMessage(this.mHwAudioHandlerEx.obtainMessage(95, b));
        if (DEBUG) {
            android.util.Slog.i("HwAudioServiceEx", "out setSoundEffectState");
        }
        return 0;
    }

    public int setSoundEffectStateAsynch(boolean restore, java.lang.String packageName, boolean isOnTop, java.lang.String reserved) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("restore:");
            stringBuilder.append(restore);
            stringBuilder.append(" packageName:");
            stringBuilder.append(packageName);
            stringBuilder.append(" Top:");
            stringBuilder.append(isOnTop);
            android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        }
        sendStartIntentForKaraoke(packageName, isOnTop);
        sendAppKilledIntentForKaraoke(restore, packageName, isOnTop, reserved);
        if (SOUND_EFFECTS_SUPPORT && this.mIAsInner.checkAudioSettingsPermissionEx("setSoundEffectState()") && !isScreenOff()) {
            if (!isKeyguardLocked()) {
                if (restore) {
                    restoreSoundEffectAndHSState(packageName);
                } else {
                    onSetSoundEffectAndHSState(packageName, isOnTop);
                }
                return 0;
            }
        }
        return -1;
    }

    private int getRecordConcurrentTypeInternal(java.lang.String pkgName) {
        if (pkgName == null) {
            return -1;
        }
        int i = 0;
        for (java.lang.String name : CONCURRENT_RECORD_OTHER) {
            if (name.equals(pkgName)) {
                return 536870912;
            }
        }
        java.lang.String[] strArr = CONCURRENT_RECORD_SYSTEM;
        int length = strArr.length;
        while (i < length) {
            if (strArr[i].equals(pkgName)) {
                return 1073741824;
            }
            i++;
        }
        return -1;
    }

    private boolean isConcurrentAllow(java.lang.String requestPkgName, java.lang.String activePkgName) {
        if (!this.mConcurrentCaptureEnable) {
            return false;
        }
        int requestIdx = getRecordConcurrentTypeInternal(requestPkgName);
        int activeIdx = getRecordConcurrentTypeInternal(activePkgName);
        boolean res = false;
        if ((requestIdx == 536870912 && activeIdx == 1073741824) || (requestIdx == 1073741824 && activeIdx == 536870912 && this.mPackageUidMap.containsKey(requestPkgName) && this.mPackageUidMap.containsKey(activePkgName))) {
            res = true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("ConcurrentAllow result ");
        stringBuilder.append(res);
        stringBuilder.append(" with [pkg:");
        stringBuilder.append(requestPkgName);
        stringBuilder.append(" whitelist:");
        stringBuilder.append(requestIdx);
        stringBuilder.append("] and [pkg:");
        stringBuilder.append(activePkgName);
        stringBuilder.append(" whitelist:");
        stringBuilder.append(activeIdx);
        stringBuilder.append("]");
        android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
        return res;
    }

    private boolean checkConcurRecList(java.lang.String recordApk, int concurrentType) {
        java.lang.StringBuilder stringBuilder;
        boolean authenticate = false;
        if (concurrentType == 536870912) {
            try {
                android.content.pm.PackageInfo packageInfo = this.mContext.getPackageManager().getPackageInfo(recordApk, 134217728);
                android.content.pm.Signature[] signs = null;
                if (!(packageInfo == null || packageInfo.signingInfo == null)) {
                    signs = packageInfo.signingInfo.getSigningCertificateHistory();
                }
                byte[] verifySignByte = new com.android.server.audio.ConcurrentRecSignatures().getSignByPkg(recordApk);
                byte[] recordApkSignByte = null;
                if (signs != null) {
                    recordApkSignByte = signs[0].toByteArray();
                }
                if (verifySignByte != null && recordApkSignByte != null && verifySignByte.length == recordApkSignByte.length && java.util.Arrays.equals(verifySignByte, recordApkSignByte)) {
                    authenticate = true;
                }
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("can't resolve concurrent whitelist ");
                stringBuilder.append(e);
                android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
            }
        }
        if (concurrentType != 1073741824) {
            if (!authenticate) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("can't trust ");
                stringBuilder2.append(recordApk);
                stringBuilder2.append(" in record white list");
                android.util.Slog.v("HwAudioServiceEx", stringBuilder2.toString());
                return false;
            }
        }
        try {
            int uid = this.mContext.getPackageManager().getPackageUidAsUser(recordApk, 0);
            if (uid > 0) {
                this.mPackageUidMap.put(recordApk, java.lang.Integer.valueOf(uid));
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("add ");
                stringBuilder.append(recordApk);
                stringBuilder.append(" into conCurrent record list");
                android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
                return true;
            }
        } catch (android.content.pm.PackageManager.NameNotFoundException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("can't find apkinfo for ");
            stringBuilder.append(recordApk);
            android.util.Slog.e("HwAudioServiceEx", stringBuilder.toString());
        }
        return false;
    }

    public int getRecordConcurrentType(java.lang.String pkgName) {
        if (!this.mConcurrentCaptureEnable) {
            return 0;
        }
        int concurrentType = getRecordConcurrentTypeInternal(pkgName);
        if (concurrentType == -1) {
            return 0;
        }
        int uid = android.os.Binder.getCallingUid();
        int pid = android.os.Binder.getCallingPid();
        boolean allow = true;
        if (!(this.mPackageUidMap.containsKey(pkgName) && ((java.lang.Integer) this.mPackageUidMap.get(pkgName)).intValue() == uid)) {
            allow = checkConcurRecList(pkgName, concurrentType);
        }
        if (!allow) {
            return 0;
        }
        int activeRecordPid = java.lang.Integer.parseInt(android.media.AudioSystem.getParameters("active_record_pid"));
        java.lang.StringBuilder stringBuilder;
        if (activeRecordPid == -1) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Allow concurrent capture first for ");
            stringBuilder.append(pkgName);
            android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
            return concurrentType;
        } else if (activeRecordPid == pid && concurrentType == 1073741824) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Allow concurrent capture self for ");
            stringBuilder.append(pkgName);
            android.util.Slog.i("HwAudioServiceEx", stringBuilder.toString());
            return concurrentType;
        } else if (isConcurrentAllow(pkgName, getPackageNameByPidEx(activeRecordPid))) {
            return concurrentType;
        } else {
            return 0;
        }
    }
}
