package com.android.server.content;

public final class HwSyncManager extends com.android.server.content.SyncManager {
    private static final java.lang.String gmsPkg = "com.google.android.gms";
    private final android.content.pm.PackageManager mPackageManager;
    private final android.os.PowerManager mPowerManager;

    public HwSyncManager(android.content.Context context, boolean factoryTest) {
        super(context, factoryTest);
        this.mPackageManager = context.getPackageManager();
        this.mPowerManager = (android.os.PowerManager) context.getSystemService("power");
    }

    private boolean doesUidHavePackage(int uid, java.lang.String packageName) {
        if (packageName == null) {
            return false;
        }
        java.lang.String[] packageNames = this.mPackageManager.getPackagesForUid(uid);
        if (packageNames == null) {
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("doesUidHavePackage: uid = ");
        stringBuilder.append(uid);
        android.util.Log.d("SyncManager", stringBuilder.toString());
        for (java.lang.String name : packageNames) {
            if (name.contains(packageName)) {
                return true;
            }
        }
        return false;
    }
}
