package com.android.server.devicepolicy.plugins;

public class HwEmailMDMPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String ALLOWING_ADDITION_BLACK_LIST_ITEM = "allowing-addition-black-list/allow-add-black-list-item";
    private static final java.lang.String ALLOWING_DELETION_BLACK_LIST_ITEM = "allowing-deletion-black-list/allow-del-black-list-item";
    public static final java.lang.String DEVICE_POLICY_ACTION_POLICY_CHANGED = "com.huawei.devicepolicy.action.POLICY_CHANGED";
    private static final java.lang.String DISABLING_ADDITION_WHITE_LIST_ITEM = "disabling-addition-white-list/disable-add-white-list-item";
    private static final java.lang.String DISABLING_DELETION_WHITE_LIST_ITEM = "disabling-deletion-white-list/disable-del-white-list-item";
    private static final java.lang.String EMAIL_ACCOUNT_ADDRESS = "email_account_address";
    private static final java.lang.String EMAIL_ACCOUNT_CONFIG = "email_account_config";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_PATH_PREFIX = "email_account_incoming_path_prefix";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_PROTOCOL = "email_account_incoming_protocol";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_SERVER_ACCEPT_ALL_CERTIFICATES = "email_account_incoming_server_accept_all_certificates";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_SERVER_ADDRESS = "email_account_incoming_server_address";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_SERVER_LOGIN = "email_account_incoming_server_login";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_SERVER_PASSWORD = "email_account_incoming_server_password";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_SERVER_PORT = "email_account_incoming_server_port";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_SERVER_USE_SSL = "email_account_incoming_server_use_ssl";
    private static final java.lang.String EMAIL_ACCOUNT_INCOMING_SERVER_USE_TLS = "email_account_incoming_server_use_tls";
    private static final java.lang.String EMAIL_ACCOUNT_IS_DEFAULT = "email_account_is_default";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_PATH_PREFIX = "email_account_outgoing_path_prefix";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_PROTOCOL = "email_account_outgoing_protocol";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_SERVER_ACCEPT_ALL_CERTIFICATES = "email_account_outgoing_server_accept_all_certificates";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_SERVER_ADDRESS = "email_account_outgoing_server_address";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_SERVER_LOGIN = "email_account_outgoing_server_login";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_SERVER_PASSWORD = "email_account_outgoing_server_password";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_SERVER_PORT = "email_account_outgoing_server_port";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_SERVER_USE_SSL = "email_account_outgoing_server_use_ssl";
    private static final java.lang.String EMAIL_ACCOUNT_OUTGOING_SERVER_USE_TLS = "email_account_outgoing_server_use_tls";
    private static final java.lang.String EMAIL_ACCOUNT_SENDER_NAME = "email_account_sender_name";
    private static final java.lang.String EMAIL_ACCOUNT_SIGNATURE = "email_account_signature";
    private static final java.lang.String EMAIL_DISABLE_FORWARDING = "email-disable-forwarding";
    private static final java.lang.String EXCHANGE_ACCOUNT_ACCEPT_ALL_CERTIFICATES = "exchange_account_accept_all_certificates";
    private static final java.lang.String EXCHANGE_ACCOUNT_CONFIG = "exchange_account_config";
    private static final java.lang.String EXCHANGE_ACCOUNT_DISPLAY_HTML_DISABLED = "exchange_account_display_html_disabled";
    private static final java.lang.String EXCHANGE_ACCOUNT_DISPLAY_NAME = "exchange_account_display_name";
    private static final java.lang.String EXCHANGE_ACCOUNT_DOMAIN = "exchange_account_domain";
    private static final java.lang.String EXCHANGE_ACCOUNT_EMAIL_ADDRESS = "exchange_account_email_address";
    private static final java.lang.String EXCHANGE_ACCOUNT_FORWARD_EMAIL_DISABLED = "exchange_account_forward_email_disabled";
    private static final java.lang.String EXCHANGE_ACCOUNT_IS_DEFAULT = "exchange_account_is_default";
    private static final java.lang.String EXCHANGE_ACCOUNT_PERIOD_CALENDAR = "exchange_account_period_calendar";
    private static final java.lang.String EXCHANGE_ACCOUNT_PROTOCOL_VERSION = "exchange_account_protocol_version";
    private static final java.lang.String EXCHANGE_ACCOUNT_SCREENSHOT_DISABLED = "exchange_account_screenshot_disabled";
    private static final java.lang.String EXCHANGE_ACCOUNT_SENDER_NAME = "exchange_account_sender_name";
    private static final java.lang.String EXCHANGE_ACCOUNT_SERVER_ADDRESS = "exchange_account_server_address";
    private static final java.lang.String EXCHANGE_ACCOUNT_SERVER_PASSWORD = "exchange_account_server_password";
    private static final java.lang.String EXCHANGE_ACCOUNT_SERVER_PATH_PREFIX = "exchange_account_server_path_prefix";
    private static final java.lang.String EXCHANGE_ACCOUNT_SIGNATURE = "exchange_account_signature";
    private static final java.lang.String EXCHANGE_ACCOUNT_SYNC_INTERVAL = "exchange_account_sync_interval";
    private static final java.lang.String EXCHANGE_ACCOUNT_SYNC_LOOKBACK = "exchange_account_sync_lookback";
    private static final java.lang.String EXCHANGE_ACCOUNT_USER = "exchange_account_user";
    private static final java.lang.String EXCHANGE_ACCOUNT_USE_SSL = "exchange_account_use_ssl";
    private static final java.lang.String EXCHANGE_ACCOUNT_USE_TSL = "exchange_account_use_tsl";
    private static final java.lang.String MDM_POLICY_REMOVED = "mdm_policy_removed";
    private static final java.lang.String RESTRICT_DISABLE_ADD_ACCOUNT = "email-disable-add-account";
    private static final java.lang.String RESTRICT_DISABLE_CLEAR_DATA = "email-disable-clear-data";
    private static final java.lang.String RESTRICT_DISABLE_DELETE_ACCOUNT = "email-disable-delete-account";
    private static final java.lang.String RESTRICT_DISABLE_IMAP_POP3 = "email-disable-imap-pop3";
    private static final java.lang.String RESTRICT_EMAIL_FORWARDING = "email_forward";
    private static final java.lang.String RESTRICT_EMAIL_FORWARDING_EMAIL_ADDRESS = "email_address";
    public static final java.lang.String TAG = "HwEmailMDMPlugin";

    public HwEmailMDMPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("email-disable-delete-account", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("email-disable-add-account", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("email-disable-imap-pop3", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("email-disable-clear-data", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("email-disable-forwarding", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"email_address", "email_forward"});
        struct.addStruct("disabling-addition-white-list/disable-add-white-list-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
        struct.addStruct("allowing-addition-black-list/allow-add-black-list-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
        struct.addStruct("disabling-deletion-white-list/disable-del-white-list-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
        struct.addStruct("allowing-deletion-black-list/allow-del-black-list-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
        struct.addStruct("email_account_config", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"email_account_incoming_protocol", "email_account_incoming_server_address", "email_account_incoming_server_password", "email_account_incoming_server_login", "email_account_incoming_server_port", "email_account_incoming_server_accept_all_certificates", "email_account_incoming_server_use_ssl", "email_account_incoming_server_use_tls", "email_account_incoming_path_prefix", "email_account_outgoing_protocol", "email_account_outgoing_server_address", "email_account_outgoing_server_password", "email_account_outgoing_server_login", "email_account_outgoing_server_port", "email_account_outgoing_server_accept_all_certificates", "email_account_outgoing_server_use_ssl", "email_account_outgoing_server_use_tls", "email_account_outgoing_path_prefix", "email_account_address", "email_account_sender_name", "email_account_signature", "email_account_is_default"});
        struct.addStruct("exchange_account_config", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"exchange_account_accept_all_certificates", "exchange_account_display_name", "exchange_account_domain", "exchange_account_user", "exchange_account_email_address", "exchange_account_is_default", "exchange_account_period_calendar", "exchange_account_protocol_version", "exchange_account_sender_name", "exchange_account_server_address", "exchange_account_server_password", "exchange_account_server_path_prefix", "exchange_account_signature", "exchange_account_sync_interval", "exchange_account_sync_lookback", "exchange_account_use_ssl", "exchange_account_use_tsl", "exchange_account_screenshot_disabled", "exchange_account_display_html_disabled", "exchange_account_forward_email_disabled"});
        return struct;
    }

    public boolean checkCallingPermission(android.content.ComponentName admin, java.lang.String policyName) {
        com.android.server.devicepolicy.HwLog.i("HwEmailMDMPlugin", "checkCallingPermission");
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_EMAIL", "does not have PERMISSION_MDM_EMAIL permission!");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName admin, java.lang.String policyName, android.os.Bundle policyData, boolean globalPolicyChanged) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onSetPolicy PolicyName ");
        stringBuilder.append(policyName);
        stringBuilder.append(" globalPolicyChanged:");
        stringBuilder.append(globalPolicyChanged);
        com.android.server.devicepolicy.HwLog.i("HwEmailMDMPlugin", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.setClassName("com.android.email", "com.huawei.emailmdm.EmailMDMBroadcastReceiver");
        intent.putExtras(policyData);
        intent.putExtra("MDMName", admin.flattenToString());
        if ((!globalPolicyChanged && isStatePolicy(policyName)) || policyName.equals("email-disable-clear-data")) {
            return true;
        }
        intent.putExtra("PolicyName", policyName);
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.getUserHandleForUid(android.os.Binder.getCallingUid()));
        if (!(policyName.equals("email_account_config") || policyName.equals("exchange_account_config"))) {
            if (!"email-disable-forwarding".equals(policyName)) {
                return true;
            }
        }
        return false;
    }

    private boolean isStatePolicy(java.lang.String policyName) {
        if (!(policyName.equals("email-disable-delete-account") || policyName.equals("email-disable-add-account"))) {
            if (!policyName.equals("email-disable-imap-pop3")) {
                return false;
            }
        }
        return true;
    }

    public boolean onRemovePolicy(android.content.ComponentName admin, java.lang.String policyName, android.os.Bundle policyData, boolean globalPolicyChanged) {
        com.android.server.devicepolicy.HwLog.i("HwEmailMDMPlugin", "onRemovePolicy");
        return true;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName admin, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onActiveAdminRemoved ComponentName ");
        stringBuilder.append(admin);
        com.android.server.devicepolicy.HwLog.i("HwEmailMDMPlugin", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.setClassName("com.android.email", "com.huawei.emailmdm.EmailMDMBroadcastReceiver");
        intent.putExtra("PolicyName", "mdm_policy_removed");
        intent.putExtra("MDMName", admin.flattenToString());
        this.mContext.sendBroadcast(intent);
        return true;
    }
}
