package com.android.server.display;

class BackLightCommonData {
    private com.android.server.display.BackLightCommonData.BrightnessMode mBrightnessMode;
    private boolean mIsCommercialVersion;
    private boolean mIsProductEnable;
    private boolean mIsThermalLimited;
    private boolean mIsWindowManagerBrightnessMode;
    private int mSmoothAmbientLight;

    public enum BrightnessMode {
        AUTO,
        MANUAL
    }

    public enum Scene {
        OTHERS,
        GAME,
        VIDEO
    }

    BackLightCommonData() {
    }

    public void setProductEnable(boolean isProductEnable) {
        this.mIsProductEnable = isProductEnable;
    }

    public boolean isProductEnable() {
        return this.mIsProductEnable;
    }

    public void setCommercialVersion(boolean isCommercialVersion) {
        this.mIsCommercialVersion = isCommercialVersion;
    }

    public boolean isCommercialVersion() {
        return this.mIsCommercialVersion;
    }

    public void setWindowManagerBrightnessMode(boolean isWindowManagerBrightnessMode) {
        this.mIsWindowManagerBrightnessMode = isWindowManagerBrightnessMode;
    }

    public boolean isWindowManagerBrightnessMode() {
        return this.mIsWindowManagerBrightnessMode;
    }

    public void setBrightnessMode(com.android.server.display.BackLightCommonData.BrightnessMode mode) {
        this.mBrightnessMode = mode;
    }

    public com.android.server.display.BackLightCommonData.BrightnessMode getBrightnessMode() {
        return this.mBrightnessMode;
    }

    public void setSmoothAmbientLight(int value) {
        this.mSmoothAmbientLight = value;
    }

    public int getSmoothAmbientLight() {
        return this.mSmoothAmbientLight;
    }

    public void setThermalLimited(boolean isLimited) {
        this.mIsThermalLimited = isLimited;
    }

    public boolean isThermalLimited() {
        return this.mIsThermalLimited;
    }
}
