package com.android.server.fingerprint;

public class HwFingerprintService extends com.android.server.fingerprint.FingerprintService {
    private static final java.lang.String ACTIVITYNAME_OF_WECHAT_ENROLL = "com.tencent.mm.plugin.fingerprint.ui.FingerPrintAuthUI";
    private static final java.lang.String APS_INIT_HEIGHT = "aps_init_height";
    private static final java.lang.String APS_INIT_WIDTH = "aps_init_width";
    public static final int CHECK_NEED_REENROLL_FINGER = 1003;
    private static final int CODE_DISABLE_FINGERPRINT_VIEW_RULE = 1114;
    private static final int CODE_ENABLE_FINGERPRINT_VIEW_RULE = 1115;
    private static final int CODE_GET_FINGERPRINT_LIST_ENROLLED = 1118;
    private static final int CODE_GET_HARDWARE_POSITION = 1110;
    private static final int CODE_GET_HARDWARE_TYPE = 1109;
    private static final int CODE_GET_HIGHLIGHT_SPOT_RADIUS_RULE = 1122;
    private static final int CODE_GET_HOVER_SUPPORT = 1113;
    private static final int CODE_GET_TOKEN_LEN_RULE = 1103;
    private static final int CODE_IS_FINGERPRINT_HARDWARE_DETECTED = 1119;
    private static final int CODE_IS_FP_NEED_CALIBRATE_RULE = 1101;
    private static final int CODE_IS_SUPPORT_DUAL_FINGERPRINT = 1120;
    private static final int CODE_KEEP_MASK_SHOW_AFTER_AUTHENTICATION_RULE = 1116;
    private static final int CODE_NOTIFY_OPTICAL_CAPTURE = 1111;
    private static final int CODE_REMOVE_FINGERPRINT_RULE = 1107;
    private static final int CODE_REMOVE_MASK_AND_SHOW_BUTTON_RULE = 1117;
    private static final int CODE_SEND_UNLOCK_LIGHTBRIGHT = 1121;
    private static final int CODE_SET_CALIBRATE_MODE_RULE = 1102;
    private static final int CODE_SET_FINGERPRINT_MASK_VIEW_RULE = 1104;
    private static final int CODE_SET_HOVER_SWITCH = 1112;
    private static final int CODE_SHOW_FINGERPRINT_BUTTON_RULE = 1106;
    private static final int CODE_SHOW_FINGERPRINT_VIEW_RULE = 1105;
    private static final int CODE_SUSPEND_AUTHENTICATE = 1108;
    private static final int CODE_SUSPEND_ENROLL = 1123;
    private static final int DEFAULT_CAPTURE_BRIGHTNESS = 248;
    private static final int DEFAULT_RADIUS = 125;
    private static final int DENSITY_DEFUALT_HEIGHT = 2880;
    private static final int DENSITY_DEFUALT_WIDTH = 1440;
    private static final java.lang.String DESCRIPTOR_FINGERPRINT_SERVICE = "android.hardware.fingerprint.IFingerprintService";
    private static final java.lang.String FACE_KEYGUARD_WITH_LOCK = "face_bind_with_lock";
    private static final java.lang.String FACE_RECOGNIZE_SLIDE_UNLOCK = "face_recognize_slide_unlock";
    private static final java.lang.String FACE_RECOGNIZE_UNLOCK = "face_recognize_unlock";
    private static final java.lang.String FIDO_ASM = "com.huawei.hwasm";
    private static final int FINGERPRINT_HARDWARE_OPTICAL = 1;
    private static final int FINGERPRINT_HARDWARE_OUTSCREEN = 0;
    private static final int FINGERPRINT_HARDWARE_ULTRASONIC = 2;
    private static final java.lang.String FINGERPRINT_METADATA_KEY = "fingerprint.system.view";
    private static final int FLAG_FINGERPRINT_LOCATION_BACK = 1;
    private static final int FLAG_FINGERPRINT_LOCATION_FRONT = 2;
    private static final int FLAG_FINGERPRINT_LOCATION_UNDER_DISPLAY = 4;
    private static final int FLAG_FINGERPRINT_POSITION_MASK = 65535;
    private static final int FLAG_FINGERPRINT_TYPE_CAPACITANCE = 1;
    private static final int FLAG_FINGERPRINT_TYPE_MASK = 15;
    private static final int FLAG_FINGERPRINT_TYPE_OPTICAL = 2;
    private static final int FLAG_FINGERPRINT_TYPE_ULTRASONIC = 3;
    private static final int FLAG_USE_UD_FINGERPRINT = 134217728;
    private static final int FP_CLOSE = 0;
    private static final int FP_OPEN = 1;
    public static final int GET_OLD_DATA = 100;
    private static final int HIDDEN_SPACE_ID = -100;
    private static final int INVALID_VALUE = -1;
    private static final java.lang.String KEY_DB_CHILDREN_MODE_FPID = "fp_children_mode_fp_id";
    private static final java.lang.String KEY_DB_CHILDREN_MODE_STATUS = "fp_children_enabled";
    private static final java.lang.String KEY_KEYGUARD_ENABLE = "fp_keyguard_enable";
    public static final int MASK_TYPE_BACK = 4;
    public static final int MASK_TYPE_BUTTON = 1;
    public static final int MASK_TYPE_FULL = 0;
    public static final int MASK_TYPE_IMAGE = 3;
    public static final int MASK_TYPE_NONE = 2;
    private static final java.lang.String METADATA_KEY = "fingerprint.system.view";
    private static final int MSG_CHECK_AND_DEL_TEMPLATES = 84;
    private static final int MSG_CHECK_HOVER_SUPPORT = 56;
    private static final int MSG_CHECK_OLD_TEMPLATES = 85;
    private static final int MSG_CHECK_SWITCH_FREQUENCE_SUPPORT = 81;
    private static final int MSG_DEL_OLD_TEMPLATES = 86;
    private static final int MSG_DISABLE_FACE_RECOGNIZATION = 210;
    private static final int MSG_ENABLE_FACE_RECOGNIZATION = 211;
    private static final int MSG_FACE_RECOGNIZATION_SUCC = 212;
    private static final int MSG_GET_BRIGHTNEWSS_FROM_HAL = 909;
    private static final int MSG_GET_RADIUS_FROM_HAL = 902;
    private static final int MSG_GET_SENSOR_POSITION_BOTTOM_RIGHT = 60;
    private static final int MSG_GET_SENSOR_POSITION_TOP_LEFT = 59;
    private static final int MSG_GET_SENSOR_TYPE = 55;
    private static final int MSG_NOTIFY_BLUESPOT_DISMISS = 62;
    private static final int MSG_OPTICAL_HBM_FOR_CAPTURE_IMAGE = 52;
    private static final int MSG_REDUCING_FREQUENCE = 83;
    private static final int MSG_RESUME_AUTHENTICATION = 54;
    private static final int MSG_RESUME_ENROLLMENT = 65;
    private static final int MSG_SET_HOVER_DISABLE = 58;
    private static final int MSG_SET_HOVER_ENABLE = 57;
    private static final int MSG_SUSPEND_AUTHENTICATION = 53;
    private static final int MSG_SUSPEND_ENROLLMENT = 64;
    private static final int MSG_TYPE_FINGERPRINT_NAV = 43;
    private static final int MSG_TYPE_VIRTUAL_NAV = 45;
    private static final int MSG_UNLOCK_LEARNING = 63;
    private static final int MSG_UPGRADING_FREQUENCE = 82;
    private static final java.lang.String PATH_CHILDMODE_STATUS = "childmode_status";
    private static final java.lang.String PKGNAME_OF_KEYGUARD = "com.android.systemui";
    private static final java.lang.String PKGNAME_OF_SETTINGS = "com.android.settings";
    private static final java.lang.String PKGNAME_OF_WECHAT = "com.tencent.mm";
    private static final long POWER_PUSH_DOWN_TIME_THR = 430;
    private static final int PRIMARY_USER_ID = 0;
    public static final int REMOVE_USER_DATA = 101;
    public static final int RESTORE_AUTHENTICATE = 0;
    public static final int RESTORE_ENROLL = 0;
    private static final int RESULT_FINGERPRINT_AUTHENTICATION_CHECKING = 3;
    public static final int SET_LIVENESS_SWITCH = 1002;
    private static final int STATUS_PARENT_CTRL_OFF = 0;
    private static final int STATUS_PARENT_CTRL_STUDENT = 1;
    public static final int SUSPEND_AUTHENTICATE = 1;
    public static final int SUSPEND_ENROLL = 1;
    private static final int SWITCH_FREQUENCE_SUPPORT = 1;
    private static final java.lang.String TAG = "HwFingerprintService";
    public static final int TYPE_DISMISS_ = 0;
    public static final int TYPE_FINGERPRINT_BUTTON = 2;
    public static final int TYPE_FINGERPRINT_VIEW = 1;
    private static final int UNDEFINED_TYPE = -1;
    private static final int UPDATE_SECURITY_USER_ID = 102;
    public static final int VERIFY_USER = 1001;
    private static boolean mCheckNeedEnroll = true;
    private static boolean mIsChinaArea = android.os.SystemProperties.get("ro.config.hw_optb", "0").equals("156");
    private static boolean mLivenessNeedBetaQualification = false;
    private static boolean mNeedRecreateDialog = false;
    private static boolean mRemoveFingerprintBGE = android.os.SystemProperties.getBoolean("ro.config.remove_finger_bge", false);
    private static boolean mRemoveOldTemplatesFeature = android.os.SystemProperties.getBoolean("ro.config.remove_old_templates", false);
    private final int DEFAULT_SCREEN_SIZE_STRING_LENGHT = 2;
    private final int MSG_SCREEOFF_UNLOCK_LIGHTBRIGHT = 200;
    private final int MSG_SCREEON_UNLOCK_LIGHTBRIGHT = 201;
    private final int SCREENOFF_UNLOCK = 1;
    private final int SCREENON_UNLOCK = 2;
    android.database.ContentObserver fpObserver = new android.database.ContentObserver(null) {
        public void onChange(boolean selfChange) {
            if (com.android.server.fingerprint.HwFingerprintService.this.mContext == null) {
                android.util.Log.w("HwFingerprintService", "mContext is null");
                return;
            }
            com.android.server.fingerprint.HwFingerprintService.this.mState = android.provider.Settings.Secure.getIntForUser(com.android.server.fingerprint.HwFingerprintService.this.mContext.getContentResolver(), "fp_keyguard_enable", 0, android.app.ActivityManager.getCurrentUser());
            if (com.android.server.fingerprint.HwFingerprintService.this.mState == 0) {
                com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(0);
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("fp_keyguard_state onChange: ");
            stringBuilder.append(com.android.server.fingerprint.HwFingerprintService.this.mState);
            android.util.Log.i("HwFingerprintService", stringBuilder.toString());
        }
    };
    private int mAppDefinedMaskType = -1;
    private final android.content.Context mContext;
    private java.lang.String mDefinedAppName = "";
    private com.huawei.displayengine.DisplayEngineManager mDisplayEngineManager;
    private huawei.com.android.server.fingerprint.FingerViewController mFingerViewController;
    private int mFingerprintType = -1;
    private boolean mForbideKeyguardCall = false;
    private com.huawei.fingerprint.IAuthenticator mIAuthenticator = new com.huawei.fingerprint.IAuthenticator.Stub() {
        public int verifyUser(android.hardware.fingerprint.IFingerprintServiceReceiver receiver, com.huawei.fingerprint.IAuthenticatorListener listener, int userid, byte[] nonce, java.lang.String aaid) {
            android.util.Log.d("HwFingerprintService", "verifyUser");
            if (com.android.server.fingerprint.HwFingerprintService.this.isCurrentUserOrProfile(android.os.UserHandle.getCallingUserId())) {
                if (!(receiver == null || listener == null || nonce == null)) {
                    if (aaid != null) {
                        int uid = android.os.Binder.getCallingUid();
                        int pid = android.os.Binder.getCallingPid();
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("uid =");
                        stringBuilder.append(uid);
                        android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                        if (uid != 1000) {
                            android.util.Log.e("HwFingerprintService", "permission denied.");
                            return -1;
                        }
                        java.lang.Class[] paramTypes = new java.lang.Class[]{java.lang.String.class, java.lang.Boolean.TYPE, java.lang.Integer.TYPE, java.lang.Integer.TYPE, java.lang.Integer.TYPE};
                        java.lang.Object[] params = new java.lang.Object[]{"com.huawei.hwasm", java.lang.Boolean.valueOf(true), java.lang.Integer.valueOf(uid), java.lang.Integer.valueOf(pid), java.lang.Integer.valueOf(userid)};
                        if (((java.lang.Boolean) com.android.server.fingerprint.HwFingerprintService.invokeParentPrivateFunction(com.android.server.fingerprint.HwFingerprintService.this, "canUseFingerprint", paramTypes, params)).booleanValue()) {
                            int effectiveGroupId = com.android.server.fingerprint.HwFingerprintService.this.getEffectiveUserId(userid);
                            final android.hardware.fingerprint.IFingerprintServiceReceiver iFingerprintServiceReceiver = receiver;
                            final int callingUserId = android.os.UserHandle.getCallingUserId();
                            com.android.server.fingerprint.HwFingerprintService.1.AnonymousClass1 anonymousClass1 = r0;
                            final int i = effectiveGroupId;
                            android.os.Handler handler = com.android.server.fingerprint.HwFingerprintService.this.mHandler;
                            final com.huawei.fingerprint.IAuthenticatorListener iAuthenticatorListener = listener;
                            final java.lang.String str = aaid;
                            params = nonce;
                            com.android.server.fingerprint.HwFingerprintService.1.AnonymousClass1 anonymousClass12 = new java.lang.Runnable() {
                                public void run() {
                                    com.android.server.fingerprint.HwFingerprintService.this.setLivenessSwitch("fido");
                                    com.android.server.fingerprint.HwFingerprintService.this.startAuthentication(iFingerprintServiceReceiver.asBinder(), 0, callingUserId, i, iFingerprintServiceReceiver, 0, true, "com.huawei.hwasm", iAuthenticatorListener, str, params);
                                }
                            };
                            handler.post(anonymousClass1);
                            return 0;
                        }
                        android.util.Log.w("HwFingerprintService", "FIDO_ASM can't use fingerprint");
                        return -1;
                    }
                }
                android.util.Log.e("HwFingerprintService", "wrong paramers.");
                return -1;
            }
            android.util.Log.w("HwFingerprintService", "Can't authenticate non-current user");
            return -1;
        }
    };
    private android.view.IWindowManager mIWm;
    private int mInitDisplayHeight = -1;
    private int mInitDisplayWidth = -1;
    private boolean mIsFaceDetectEnabled;
    private boolean mIsFingerInScreenSupported;
    private boolean mIsHighLightNeed;
    private boolean mIsSupportDualFingerprint = false;
    private boolean mIsUdAuthenticating = false;
    private boolean mIsUdEnrolling = false;
    private boolean mIsUdFingerprintChecking = false;
    private boolean mIsUdFingerprintNeed = true;
    private boolean mKeepMaskAfterAuthentication = false;
    private android.os.Bundle mMaskViewBundle;
    private android.database.ContentObserver mNavModeObserver = new android.database.ContentObserver(null) {
        public void onChange(boolean selfChange) {
            if (com.android.server.fingerprint.HwFingerprintService.this.mContext != null) {
                if (com.android.server.fingerprint.HwFingerprintService.this.mContext.getContentResolver() != null) {
                    boolean virNavModeEnabled = huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(com.android.server.fingerprint.HwFingerprintService.this.mContext.getContentResolver());
                    if (com.android.server.fingerprint.HwFingerprintService.this.mVirNavModeEnabled != virNavModeEnabled) {
                        com.android.server.fingerprint.HwFingerprintService.this.mVirNavModeEnabled = virNavModeEnabled;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Navigation mode changed, mVirNavModeEnabled = ");
                        stringBuilder.append(com.android.server.fingerprint.HwFingerprintService.this.mVirNavModeEnabled);
                        android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                        com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(com.android.server.fingerprint.HwFingerprintService.this.mVirNavModeEnabled ? 45 : 43);
                    }
                    return;
                }
            }
            android.util.Log.d("HwFingerprintService", "mContext or the resolver is null");
        }
    };
    private boolean mNeedResumeTouchSwitch = false;
    private java.lang.String mPackageDisableMask;
    private android.app.AlertDialog mReEnrollDialog;
    private android.content.BroadcastReceiver mReceiver;
    private java.lang.String mScreen;
    protected final android.database.ContentObserver mSettingsObserver = new android.database.ContentObserver(null) {
        public void onChange(boolean selfChange) {
            com.android.server.fingerprint.HwFingerprintService.this.notifyCfgSettingsIfNeed(false);
        }
    };
    private int mState = 0;
    private android.content.BroadcastReceiver mSwitchFrequenceMonitor = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action != null) {
                if (action.equals("android.intent.action.SCREEN_ON") || action.equals("android.intent.action.SCREEN_OFF")) {
                    com.android.server.fingerprint.HwFingerprintService.this.mScreen = action;
                    com.android.server.fingerprint.HwFingerprintService.this.handleScreenOnOrOff();
                }
            }
        }
    };
    private android.content.BroadcastReceiver mUserDeletedMonitor = new android.content.BroadcastReceiver() {
        private static final java.lang.String FP_DATA_DIR = "fpdata";

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action != null) {
                int userId;
                int newUserId;
                if (action.equals("android.intent.action.USER_REMOVED")) {
                    userId = intent.getIntExtra("android.intent.extra.user_handle", -1);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("user deleted:");
                    stringBuilder.append(userId);
                    android.util.Slog.i("HwFingerprintService", stringBuilder.toString());
                    if (userId == -1) {
                        android.util.Slog.i("HwFingerprintService", "get User id failed");
                        return;
                    }
                    newUserId = userId;
                    int newPathId = userId;
                    if (com.huawei.android.os.UserManagerEx.isHwHiddenSpace(com.huawei.android.os.UserManagerEx.getUserInfoEx(android.os.UserManager.get(com.android.server.fingerprint.HwFingerprintService.this.mContext), userId))) {
                        newUserId = -100;
                        newPathId = 0;
                    }
                    java.io.File fpDir = new java.io.File(android.os.Environment.getFingerprintFileDirectory(newPathId), "fpdata");
                    if (fpDir.exists()) {
                        com.android.server.fingerprint.HwFingerprintService.this.removeUserData(newUserId, fpDir.getAbsolutePath());
                    } else {
                        android.util.Slog.v("HwFingerprintService", "no fpdata!");
                    }
                } else if (action.equals("android.intent.action.USER_PRESENT")) {
                    com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(63);
                    if (com.android.server.fingerprint.HwFingerprintService.mCheckNeedEnroll) {
                        if (com.android.server.fingerprint.HwFingerprintService.mRemoveOldTemplatesFeature) {
                            if (com.android.server.fingerprint.HwFingerprintService.mIsChinaArea) {
                                com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(84);
                            } else {
                                com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(85);
                            }
                        }
                        userId = com.android.server.fingerprint.HwFingerprintService.this.checkNeedReEnrollFingerPrints();
                        newUserId = com.android.server.fingerprint.HwFingerprintService.this.checkNeedCalibrateFingerPrint();
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("USER_PRESENT mUserDeletedMonitor need enrol : ");
                        stringBuilder2.append(userId);
                        stringBuilder2.append("need calibrate:");
                        stringBuilder2.append(newUserId);
                        android.util.Log.e("HwFingerprintService", stringBuilder2.toString());
                        if (com.android.server.fingerprint.HwFingerprintService.mRemoveOldTemplatesFeature) {
                            if (com.android.server.fingerprint.HwFingerprintService.mIsChinaArea && userId == 1) {
                                com.android.server.fingerprint.HwFingerprintService.this.updateActiveGroupEx(-100);
                                com.android.server.fingerprint.HwFingerprintService.this.updateActiveGroupEx(0);
                                com.android.server.fingerprint.HwFingerprintService.this.showDialog(false);
                            } else if (!com.android.server.fingerprint.HwFingerprintService.mIsChinaArea && userId == 3) {
                                com.android.server.fingerprint.HwFingerprintService.this.showDialog(true);
                            }
                        } else if (userId == 1 && newUserId != 1) {
                            com.android.server.fingerprint.HwFingerprintService.this.intentOthers(context);
                        }
                        com.android.server.fingerprint.HwFingerprintService.mCheckNeedEnroll = false;
                    }
                    if (com.android.server.fingerprint.HwFingerprintService.this.mFingerViewController != null && "com.android.systemui".equals(com.android.server.fingerprint.HwFingerprintService.this.mFingerViewController.getCurrentPackage())) {
                        android.util.Log.d("HwFingerprintService", "USER_PRESENT removeMaskOrButton");
                        com.android.server.fingerprint.HwFingerprintService.this.mFingerViewController.removeMaskOrButton();
                    }
                    com.android.server.fingerprint.HwFingerprintService.this.mForbideKeyguardCall = false;
                }
            }
        }
    };
    private android.content.BroadcastReceiver mUserSwitchReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.util.Log.d("HwFingerprintService", "intent is null");
                return;
            }
            if ("android.intent.action.USER_SWITCHED".equals(intent.getAction())) {
                com.android.server.fingerprint.HwFingerprintService.this.mVirNavModeEnabled = huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(com.android.server.fingerprint.HwFingerprintService.this.mContext.getContentResolver());
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Read the navigation mode after user switch, mVirNavModeEnabled = ");
                stringBuilder.append(com.android.server.fingerprint.HwFingerprintService.this.mVirNavModeEnabled);
                android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(com.android.server.fingerprint.HwFingerprintService.this.mVirNavModeEnabled ? 45 : 43);
            }
        }
    };
    private boolean mVirNavModeEnabled = false;
    private java.util.HashSet<java.lang.String> mWhitelist = new java.util.HashSet();
    private boolean mflagFirstIn = true;
    private long mtimeStart = 0;
    private final java.lang.Runnable screenOnOrOffRunnable = new java.lang.Runnable() {
        public void run() {
            boolean z = false;
            int fpState = android.provider.Settings.Secure.getIntForUser(com.android.server.fingerprint.HwFingerprintService.this.mContext.getContentResolver(), "fp_keyguard_enable", 0, android.app.ActivityManager.getCurrentUser());
            if (com.android.server.fingerprint.FingerprintUtils.getInstance().getFingerprintsForUser(com.android.server.fingerprint.HwFingerprintService.this.mContext, android.app.ActivityManager.getCurrentUser()).size() > 0) {
                z = true;
            }
            boolean hasFingerprints = z;
            if (fpState != 0 && hasFingerprints) {
                return;
            }
            if ("android.intent.action.SCREEN_ON".equals(com.android.server.fingerprint.HwFingerprintService.this.mScreen)) {
                com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(82);
            } else if ("android.intent.action.SCREEN_OFF".equals(com.android.server.fingerprint.HwFingerprintService.this.mScreen)) {
                com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(83);
            }
        }
    };

    private class HwFIDOAuthenticationClient extends com.android.server.fingerprint.AuthenticationClient {
        private java.lang.String aaid;
        private int groupId;
        private com.huawei.fingerprint.IAuthenticatorListener listener;
        private vendor.huawei.hardware.biometrics.fingerprint.V2_1.IFidoAuthenticationCallback mFidoAuthenticationCallback = new vendor.huawei.hardware.biometrics.fingerprint.V2_1.IFidoAuthenticationCallback.Stub() {
            public void onUserVerificationResult(final int result, long opId, final java.util.ArrayList<java.lang.Byte> userId, final java.util.ArrayList<java.lang.Byte> encapsulatedResult) {
                android.util.Log.d("HwFingerprintService", "onUserVerificationResult");
                com.android.server.fingerprint.HwFingerprintService.HwFIDOAuthenticationClient.this.this$0.mHandler.post(new java.lang.Runnable() {
                    public void run() {
                        android.util.Log.d("HwFingerprintService", "onUserVerificationResult-run");
                        if (com.android.server.fingerprint.HwFingerprintService.HwFIDOAuthenticationClient.this.listener != null) {
                            try {
                                byte[] byteUserId = new byte[userId.size()];
                                int userIdLen = userId.size();
                                for (int i = 0; i < userIdLen; i++) {
                                    byteUserId[i] = ((java.lang.Byte) userId.get(i)).byteValue();
                                }
                                byte[] byteEncapsulatedResult = new byte[encapsulatedResult.size()];
                                int encapsulatedResultLen = encapsulatedResult.size();
                                for (userIdLen = 0; userIdLen < encapsulatedResultLen; userIdLen++) {
                                    byteEncapsulatedResult[userIdLen] = ((java.lang.Byte) encapsulatedResult.get(userIdLen)).byteValue();
                                }
                                com.android.server.fingerprint.HwFingerprintService.HwFIDOAuthenticationClient.this.listener.onUserVerificationResult(result, byteUserId, byteEncapsulatedResult);
                            } catch (android.os.RemoteException e) {
                                android.util.Log.w("HwFingerprintService", "onUserVerificationResult RemoteException");
                            }
                        }
                    }
                });
            }
        };
        private byte[] nonce;
        private java.lang.String pkgName;
        final /* synthetic */ com.android.server.fingerprint.HwFingerprintService this$0;
        private int user_id;

        public HwFIDOAuthenticationClient(com.android.server.fingerprint.HwFingerprintService hwFingerprintService, android.content.Context context, long halDeviceId, android.os.IBinder token, android.hardware.fingerprint.IFingerprintServiceReceiver receiver, int callingUserId, int groupId, long opId, boolean restricted, java.lang.String owner, com.huawei.fingerprint.IAuthenticatorListener listener, java.lang.String aaid, byte[] nonce) {
            this.this$0 = hwFingerprintService;
            super(context, halDeviceId, token, receiver, callingUserId, groupId, opId, restricted, owner, null, null, null);
            this.pkgName = owner;
            this.listener = listener;
            this.groupId = groupId;
            this.aaid = aaid;
            this.nonce = nonce;
            this.user_id = callingUserId;
        }

        public boolean onAuthenticated(int fingerId, int groupId) {
            if (fingerId != 0) {
            }
            return super.onAuthenticated(fingerId, groupId);
        }

        public int handleFailedAttempt() {
            int currentUser = android.app.ActivityManager.getCurrentUser();
            android.util.SparseIntArray failedAttempts = (android.util.SparseIntArray) com.android.server.fingerprint.HwFingerprintService.getParentPrivateField(this.this$0, "mFailedAttempts");
            failedAttempts.put(currentUser, failedAttempts.get(currentUser, 0) + 1);
            int lockoutMode = this.this$0.getLockoutMode();
            if (!inLockoutMode()) {
                return 0;
            }
            com.android.server.fingerprint.HwFingerprintService.setParentPrivateField(this.this$0, "mLockoutTime", java.lang.Long.valueOf(android.os.SystemClock.elapsedRealtime()));
            com.android.server.fingerprint.HwFingerprintService.invokeParentPrivateFunction(this.this$0, "scheduleLockoutResetForUser", new java.lang.Class[]{java.lang.Integer.TYPE}, new java.lang.Object[]{java.lang.Integer.valueOf(this.user_id)});
            onError(7, 0);
            stop(true);
            return lockoutMode;
        }

        public void resetFailedAttempts() {
            com.android.server.fingerprint.HwFingerprintService.invokeParentPrivateFunction(this.this$0, "resetFailedAttemptsForUser", new java.lang.Class[]{java.lang.Boolean.TYPE, java.lang.Integer.TYPE}, new java.lang.Object[]{java.lang.Boolean.valueOf(true), java.lang.Integer.valueOf(this.user_id)});
        }

        public void notifyUserActivity() {
            com.android.server.fingerprint.HwFingerprintService.invokeParentPrivateFunction(this.this$0, "userActivity", null, null);
        }

        public android.hardware.biometrics.fingerprint.V2_1.IBiometricsFingerprint getFingerprintDaemon() {
            return (android.hardware.biometrics.fingerprint.V2_1.IBiometricsFingerprint) com.android.server.fingerprint.HwFingerprintService.invokeParentPrivateFunction(this.this$0, "getFingerprintDaemon", null, null);
        }

        public void handleHwFailedAttempt(int flags, java.lang.String packagesName) {
            com.android.server.fingerprint.HwFingerprintService.invokeParentPrivateFunction(this.this$0, "handleHwFailedAttempt", new java.lang.Class[]{java.lang.Integer.TYPE, java.lang.String.class}, new java.lang.Object[]{java.lang.Integer.valueOf(0), null});
        }

        public boolean inLockoutMode() {
            return ((java.lang.Boolean) com.android.server.fingerprint.HwFingerprintService.invokeParentPrivateFunction(this.this$0, "inLockoutMode", null, null)).booleanValue();
        }

        public int start() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("start pkgName:");
            stringBuilder.append(this.pkgName);
            android.util.Slog.d("FingerprintService", stringBuilder.toString());
            try {
                doVerifyUser(this.groupId, this.aaid, this.nonce);
            } catch (android.os.RemoteException e) {
                android.util.Log.w("HwFingerprintService", "call fingerprintD verify user failed");
            }
            return 0;
        }

        public void onStart() {
        }

        public void onStop() {
        }

        private void doVerifyUser(int groupId, java.lang.String aaid, byte[] nonce) throws android.os.RemoteException {
            if (this.this$0.isFingerprintDReady()) {
                vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = this.this$0.getFingerprintDaemonEx();
                if (daemon == null) {
                    android.util.Slog.e("FingerprintService", "Fingerprintd is not available!");
                    return;
                }
                java.util.ArrayList<java.lang.Byte> arrayNonce = new java.util.ArrayList();
                for (byte valueOf : nonce) {
                    arrayNonce.add(java.lang.Byte.valueOf(valueOf));
                }
                try {
                    daemon.verifyUser(this.mFidoAuthenticationCallback, groupId, aaid, arrayNonce);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("doVerifyUser RemoteException:");
                    stringBuilder.append(e);
                    android.util.Slog.e("FingerprintService", stringBuilder.toString());
                }
            }
        }
    }

    private class FingerViewChangeCallback implements huawei.com.android.server.fingerprint.FingerViewController.ICallBack {
        private FingerViewChangeCallback() {
        }

        /* synthetic */ FingerViewChangeCallback(com.android.server.fingerprint.HwFingerprintService x0, com.android.server.fingerprint.HwFingerprintService.AnonymousClass1 x1) {
            this();
        }

        public void onFingerViewStateChange(int type) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("View State Change to ");
            stringBuilder.append(type);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            com.android.server.fingerprint.HwFingerprintService.this.suspendAuthentication(type == 2 ? 1 : 0);
        }

        public void onNotifyCaptureImage() {
            android.util.Log.d("HwFingerprintService", "onNotifyCaptureImage");
            com.android.server.fingerprint.HwFingerprintService.this.notifyCaptureOpticalImage();
        }

        public void onNotifyBlueSpotDismiss() {
            com.android.server.fingerprint.HwFingerprintService.this.notifyBluespotDismiss();
        }
    }

    private vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint getFingerprintDaemonEx() {
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint mDaemonEx = null;
        try {
            mDaemonEx = vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint.getService();
        } catch (java.util.NoSuchElementException e) {
        } catch (android.os.RemoteException e2) {
            android.util.Slog.e("HwFingerprintService", "Failed to get biometric interface", e2);
        }
        if (mDaemonEx == null) {
            android.util.Slog.w("HwFingerprintService", "fingerprint HIDL not available");
            return null;
        }
        mDaemonEx.asBinder().linkToDeath(this, 0);
        return mDaemonEx;
    }

    private int getkidsFingerId(java.lang.String whichMode, int userID, android.content.Context context) {
        if (context != null) {
            return android.provider.Settings.Secure.getIntForUser(context.getContentResolver(), whichMode, 0, userID);
        }
        android.util.Slog.w("HwFingerprintService", "getkidsFingerId - context = null");
        return 0;
    }

    private boolean isKidSwitchOn(int userID, android.content.Context context) {
        if (1 == android.provider.Settings.Secure.getIntForUser(context.getContentResolver(), "fp_children_enabled", 0, userID)) {
            return true;
        }
        return false;
    }

    private boolean isParentControl(int userID, android.content.Context context) {
        boolean isInStudent = false;
        if (context != null) {
            if (context.getContentResolver() != null) {
                int status = android.provider.Settings.Secure.getIntForUser(context.getContentResolver(), "childmode_status", 0, userID);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ParentControl status is ");
                stringBuilder.append(status);
                android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
                if (status == 1) {
                    isInStudent = true;
                }
                return isInStudent;
            }
        }
        return false;
    }

    protected void setKidsFingerprint(int userID, boolean isKeyguard) {
        android.util.Slog.d("HwFingerprintService", "setKidsFingerprint:start");
        int kidFpId = getkidsFingerId("fp_children_mode_fp_id", userID, this.mContext);
        if (kidFpId != 0) {
            boolean isParent = isParentControl(userID, this.mContext);
            boolean isPcCastMode = android.util.HwPCUtils.isPcCastModeInServer();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setKidsFingerprint-isParent = ");
            stringBuilder.append(isParent);
            stringBuilder.append(", isPcCastMode =");
            stringBuilder.append(isPcCastMode);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            if (isKeyguard && isKidSwitchOn(userID, this.mContext) && !isParent && !isPcCastMode) {
                kidFpId = 0;
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setKidsFingerprint-kidFpId = ");
            stringBuilder.append(kidFpId);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return;
            }
            try {
                daemon.setKidsFingerprint(kidFpId);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("setLivenessSwitch RemoteException:");
                stringBuilder2.append(e);
                android.util.Slog.e("HwFingerprintService", stringBuilder2.toString());
            }
            android.util.Slog.d("HwFingerprintService", "framework setLivenessSwitch is ok ---end");
        }
    }

    private void startAuthentication(android.os.IBinder token, long opId, int callingUserId, int groupId, android.hardware.fingerprint.IFingerprintServiceReceiver receiver, int flags, boolean restricted, java.lang.String opPackageName, com.huawei.fingerprint.IAuthenticatorListener listener, java.lang.String aaid, byte[] nonce) {
        int i;
        java.lang.String str = opPackageName;
        java.lang.Class[] paramTypes = new java.lang.Class[]{java.lang.Integer.TYPE, java.lang.String.class};
        java.lang.Object[] params = new java.lang.Object[]{java.lang.Integer.valueOf(groupId), str};
        invokeParentPrivateFunction(this, "updateActiveGroup", paramTypes, params);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwFingerprintService-startAuthentication(");
        stringBuilder.append(str);
        stringBuilder.append(")");
        android.util.Log.v("HwFingerprintService", stringBuilder.toString());
        java.lang.String str2 = str;
        com.android.server.fingerprint.AuthenticationClient client = new com.android.server.fingerprint.HwFingerprintService.HwFIDOAuthenticationClient(this, getContext(), 0, token, receiver, callingUserId, groupId, opId, restricted, str, listener, aaid, nonce);
        int i2;
        if (((java.lang.Boolean) invokeParentPrivateFunction(this, "inLockoutMode", null, null)).booleanValue()) {
            i = 1;
            java.lang.Class[] clsArr = new java.lang.Class[1];
            i2 = 0;
            clsArr[0] = java.lang.String.class;
            if (!((java.lang.Boolean) invokeParentPrivateFunction(this, "isKeyguard", clsArr, new java.lang.Object[]{str2})).booleanValue()) {
                android.util.Log.v("HwFingerprintService", "In lockout mode; disallowing authentication");
                if (!client.onError(7, 0)) {
                    android.util.Log.w("HwFingerprintService", "Cannot send timeout message to client");
                }
                return;
            }
        }
        i = 1;
        i2 = 0;
        invokeParentPrivateFunction(this, "startClient", new java.lang.Class[]{com.android.server.fingerprint.ClientMonitor.class, java.lang.Boolean.TYPE}, new java.lang.Object[]{client, java.lang.Boolean.valueOf(i)});
    }

    private static java.lang.reflect.Field getAccessibleField(java.lang.Class targetClass, java.lang.String variableName) {
        try {
            final java.lang.reflect.Field field = targetClass.getDeclaredField(variableName);
            java.security.AccessController.doPrivileged(new java.security.PrivilegedAction() {
                public java.lang.Object run() {
                    field.setAccessible(true);
                    return null;
                }
            });
            return field;
        } catch (java.lang.Exception e) {
            android.util.Log.v("HwFingerprintService", "getAccessibleField error", e);
            return null;
        }
    }

    private static java.lang.Object getParentPrivateField(java.lang.Object instance, java.lang.String variableName) {
        java.lang.Class targetClass = instance.getClass().getSuperclass();
        java.lang.Object superInst = targetClass.cast(instance);
        java.lang.reflect.Field field = getAccessibleField(targetClass, variableName);
        if (field != null) {
            try {
                return field.get(superInst);
            } catch (java.lang.IllegalAccessException e) {
                android.util.Log.v("HwFingerprintService", "getParentPrivateField error", e);
            }
        }
        return null;
    }

    private static void setParentPrivateField(java.lang.Object instance, java.lang.String variableName, java.lang.Object value) {
        java.lang.Class targetClass = instance.getClass().getSuperclass();
        java.lang.Object superInst = targetClass.cast(instance);
        java.lang.reflect.Field field = getAccessibleField(targetClass, variableName);
        if (field != null) {
            try {
                field.set(superInst, value);
            } catch (java.lang.IllegalAccessException e) {
                android.util.Log.v("HwFingerprintService", "setParentPrivateField error", e);
            }
        }
    }

    private static java.lang.Object invokeParentPrivateFunction(java.lang.Object instance, java.lang.String method, java.lang.Class[] paramTypes, java.lang.Object[] params) {
        java.lang.Class targetClass = instance.getClass().getSuperclass();
        java.lang.Object superInst = targetClass.cast(instance);
        try {
            final java.lang.reflect.Method med = targetClass.getDeclaredMethod(method, paramTypes);
            java.security.AccessController.doPrivileged(new java.security.PrivilegedAction() {
                public java.lang.Object run() {
                    med.setAccessible(true);
                    return null;
                }
            });
            return med.invoke(superInst, params);
        } catch (java.lang.Exception e) {
            android.util.Log.v("HwFingerprintService", "invokeParentPrivateFunction error", e);
            return null;
        }
    }

    private void showDialog(final boolean withConfirm) {
        android.app.AlertDialog.Builder builder = new android.app.AlertDialog.Builder(this.mContext, 33947691).setPositiveButton(withConfirm ? 33686166 : 33686163, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int which) {
                com.android.server.fingerprint.HwFingerprintService.mNeedRecreateDialog = false;
                if (withConfirm) {
                    com.android.server.fingerprint.HwFingerprintService.this.sendCommandToHal(86);
                    if (com.android.server.fingerprint.HwFingerprintService.this.checkNeedReEnrollFingerPrints() == 1) {
                        com.android.server.fingerprint.HwFingerprintService.this.updateActiveGroupEx(-100);
                        com.android.server.fingerprint.HwFingerprintService.this.updateActiveGroupEx(0);
                    }
                }
                com.android.server.fingerprint.HwFingerprintService.this.intentOthers(com.android.server.fingerprint.HwFingerprintService.this.mContext);
            }
        }).setOnDismissListener(new android.content.DialogInterface.OnDismissListener() {
            public void onDismiss(android.content.DialogInterface dialog) {
                if (!com.android.server.fingerprint.HwFingerprintService.mNeedRecreateDialog) {
                    com.android.server.fingerprint.HwFingerprintService.this.unRegisterPhoneStateReceiver();
                }
            }
        }).setTitle(this.mContext.getString(33685797)).setMessage(this.mContext.getString(withConfirm ? 33686165 : 33686164));
        if (withConfirm) {
            builder.setNegativeButton(17039360, new android.content.DialogInterface.OnClickListener() {
                public void onClick(android.content.DialogInterface dialog, int which) {
                    com.android.server.fingerprint.HwFingerprintService.mNeedRecreateDialog = false;
                    com.android.server.fingerprint.HwFingerprintService.this.mReEnrollDialog.dismiss();
                }
            });
        }
        this.mReEnrollDialog = builder.create();
        if (this.mReEnrollDialog != null) {
            this.mReEnrollDialog.getWindow().setType(2003);
            this.mReEnrollDialog.setCanceledOnTouchOutside(false);
            this.mReEnrollDialog.setCancelable(false);
            this.mReEnrollDialog.show();
        }
        registerPhoneStateReceiver();
    }

    private void registerPhoneStateReceiver() {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.PHONE_STATE");
        this.mReceiver = new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if (intent.getAction() != null) {
                    android.telephony.TelephonyManager telephonyManager = (android.telephony.TelephonyManager) context.getSystemService("phone");
                    if (telephonyManager != null && com.android.server.fingerprint.HwFingerprintService.this.mReEnrollDialog != null) {
                        if (telephonyManager.getCallState() == 1 && com.android.server.fingerprint.HwFingerprintService.this.mReEnrollDialog.isShowing()) {
                            com.android.server.fingerprint.HwFingerprintService.mNeedRecreateDialog = true;
                            com.android.server.fingerprint.HwFingerprintService.this.mReEnrollDialog.dismiss();
                        } else if (telephonyManager.getCallState() == 0 && !com.android.server.fingerprint.HwFingerprintService.this.mReEnrollDialog.isShowing()) {
                            com.android.server.fingerprint.HwFingerprintService.this.mReEnrollDialog.show();
                        }
                    }
                }
            }
        };
        if (this.mContext != null) {
            this.mContext.registerReceiver(this.mReceiver, filter);
        }
    }

    private void unRegisterPhoneStateReceiver() {
        if (this.mReceiver != null && this.mContext != null) {
            this.mContext.unregisterReceiver(this.mReceiver);
        }
    }

    private void updateActiveGroupEx(int userId) {
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon != null) {
            int userIdForHal = userId;
            try {
                java.io.File systemDir;
                com.huawei.android.content.pm.UserInfoEx infoEx = com.huawei.android.os.UserManagerEx.getUserInfoEx(android.os.UserManager.get(this.mContext), userId);
                if (infoEx != null && com.huawei.android.os.UserManagerEx.isHwHiddenSpace(infoEx)) {
                    userIdForHal = -100;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("userIdForHal is ");
                    stringBuilder.append(-100);
                    android.util.Slog.i("HwFingerprintService", stringBuilder.toString());
                }
                if (userIdForHal == -100) {
                    android.util.Slog.i("HwFingerprintService", "userIdForHal == HIDDEN_SPACE_ID");
                    systemDir = android.os.Environment.getUserSystemDirectory(0);
                } else {
                    systemDir = android.os.Environment.getUserSystemDirectory(userId);
                }
                java.io.File fpDir = new java.io.File(systemDir, "fpdata");
                if (!fpDir.exists()) {
                    if (!fpDir.mkdir()) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("Cannot make directory: ");
                        stringBuilder2.append(fpDir.getAbsolutePath());
                        android.util.Slog.v("HwFingerprintService", stringBuilder2.toString());
                        return;
                    } else if (!android.os.SELinux.restorecon(fpDir)) {
                        android.util.Slog.w("HwFingerprintService", "Restorecons failed. Directory will have wrong label.");
                        return;
                    }
                }
                daemon.setActiveGroup(userIdForHal, fpDir.getAbsolutePath());
                updateFingerprints(userId);
            } catch (android.os.RemoteException e) {
                android.util.Slog.e("HwFingerprintService", "Failed to setActiveGroup():", e);
            }
        }
    }

    private void handleScreenOnOrOff() {
        this.mHandler.removeCallbacks(this.screenOnOrOffRunnable);
        this.mHandler.post(this.screenOnOrOffRunnable);
    }

    private boolean isBetaUser() {
        int userType = android.os.SystemProperties.getInt("ro.logsystem.usertype", 0);
        if (userType != 3) {
            if (userType != 5) {
                return false;
            }
        }
        return true;
    }

    private void intentOthers(android.content.Context context) {
        android.content.Intent intent = new android.content.Intent();
        if (android.os.SystemProperties.getBoolean("ro.config.hw_front_fp_navi", false)) {
            intent.setAction("com.android.settings.fingerprint.FingerprintSettings");
        } else {
            intent.setAction("com.android.settings.fingerprint.FingerprintMainSettings");
        }
        intent.setPackage("com.android.settings");
        intent.addFlags(268435456);
        try {
            context.startActivity(intent);
        } catch (android.content.ActivityNotFoundException e) {
            android.util.Log.e("HwFingerprintService", "Activity not found");
        }
    }

    public HwFingerprintService(android.content.Context context) {
        super(context);
        this.mContext = context;
        this.mDisplayEngineManager = new com.huawei.displayengine.DisplayEngineManager();
    }

    private void initObserver() {
        if (this.fpObserver == null) {
            android.util.Log.w("HwFingerprintService", "fpObserver is null");
            return;
        }
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_keyguard_enable"), false, this.fpObserver, -1);
        this.mState = android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), "fp_keyguard_enable", 0, android.app.ActivityManager.getCurrentUser());
        this.fpObserver.onChange(true);
    }

    private void updateTPState(java.lang.String opPackageName, boolean udFingerprintExist) {
        if ("com.android.systemui".equals(opPackageName)) {
            if (udFingerprintExist) {
                if (this.mState != 0) {
                    sendCommandToHal(1);
                }
            }
            sendCommandToHal(0);
        } else {
            sendCommandToHal(1);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateTPState udFingerprintExist ");
        stringBuilder.append(udFingerprintExist);
        stringBuilder.append(",opPackageName:");
        stringBuilder.append(opPackageName);
        android.util.Log.i("HwFingerprintService", stringBuilder.toString());
    }

    private void initNavModeObserver() {
        if (this.mNavModeObserver == null) {
            android.util.Log.d("HwFingerprintService", "mNavModeObserver is null");
            return;
        }
        if (this.mContext != null) {
            if (this.mContext.getContentResolver() != null) {
                this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("enable_navbar"), true, this.mNavModeObserver, -1);
                this.mVirNavModeEnabled = huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(this.mContext.getContentResolver());
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Read the navigation mode after boot, mVirNavModeEnabled = ");
                stringBuilder.append(this.mVirNavModeEnabled);
                android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                sendCommandToHal(this.mVirNavModeEnabled ? 45 : 43);
                return;
            }
        }
        android.util.Log.d("HwFingerprintService", "mContext or the resolver is null");
    }

    private void initUserSwitchReceiver() {
        if (this.mUserSwitchReceiver == null) {
            android.util.Log.d("HwFingerprintService", "mUserSwitchReceiver is null");
        } else if (this.mContext == null) {
            android.util.Log.d("HwFingerprintService", "mContext is null");
        } else {
            this.mContext.registerReceiverAsUser(this.mUserSwitchReceiver, android.os.UserHandle.ALL, new android.content.IntentFilter("android.intent.action.USER_SWITCHED"), null, null);
        }
    }

    public void onStart() {
        super.onStart();
        publishBinderService("fido_authenticator", this.mIAuthenticator.asBinder());
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.USER_REMOVED");
        filter.addAction("android.intent.action.USER_PRESENT");
        this.mContext.registerReceiver(this.mUserDeletedMonitor, filter);
        android.util.Slog.v("HwFingerprintService", "HwFingerprintService onstart");
        try {
            android.app.ActivityManager.getService().registerUserSwitchObserver(new android.app.SynchronousUserSwitchObserver() {
                public void onUserSwitching(int newUserId) {
                    if (com.android.server.fingerprint.HwFingerprintService.this.mFingerViewController != null) {
                        android.util.Slog.v("HwFingerprintService", "onUserSwitching removeMaskOrButton");
                        com.android.server.fingerprint.HwFingerprintService.this.mFingerViewController.removeMaskOrButton();
                        com.android.server.fingerprint.HwFingerprintService.this.mForbideKeyguardCall = true;
                    }
                }

                public void onUserSwitchComplete(int newUserId) throws android.os.RemoteException {
                    android.util.Slog.v("HwFingerprintService", "onUserSwitchComplete ");
                    com.android.server.fingerprint.HwFingerprintService.this.mForbideKeyguardCall = false;
                    if (com.android.server.fingerprint.HwFingerprintService.this.fpObserver != null) {
                        com.android.server.fingerprint.HwFingerprintService.this.fpObserver.onChange(true);
                    }
                }
            }, "HwFingerprintService");
        } catch (android.os.RemoteException e) {
            android.util.Slog.e("HwFingerprintService", "registerUserSwitchObserver fail", e);
        } catch (java.lang.SecurityException e2) {
            android.util.Slog.w("HwFingerprintService", "registerReceiverAsUser fail ", e2);
        } catch (Throwable th) {
            this.mForbideKeyguardCall = false;
        }
        this.mForbideKeyguardCall = false;
    }

    private int getSwitchFrequenceSupport() {
        int result = -1;
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return -1;
        }
        try {
            result = daemon.sendCmdToHal(81);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkSwitchFrequenceSupport RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        return result;
    }

    public void onBootPhase(int phase) {
        super.onBootPhase(phase);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwFingerprintService onBootPhase:");
        stringBuilder.append(phase);
        android.util.Slog.v("HwFingerprintService", stringBuilder.toString());
        if (phase == 1000) {
            initSwitchFrequence();
            initPositionAndType();
            if (mRemoveFingerprintBGE) {
                initUserSwitchReceiver();
                initNavModeObserver();
            }
            notifyCfgSettingsIfNeed(true);
        }
    }

    private void initSwitchFrequence() {
        if (getSwitchFrequenceSupport() == 1) {
            android.content.IntentFilter filterScreen = new android.content.IntentFilter();
            filterScreen.addAction("android.intent.action.SCREEN_ON");
            filterScreen.addAction("android.intent.action.SCREEN_OFF");
            this.mContext.registerReceiver(this.mSwitchFrequenceMonitor, filterScreen);
        }
    }

    public void updateFingerprints(int userId) {
        if (com.android.server.fingerprint.FingerprintUtils.getInstance().isDualFp()) {
            android.util.Slog.d("HwFingerprintService", "dualFingerprint-> updateFingerprints");
            sendCommandToHal(106);
            refreshData(remoteGetOldData(), userId, 1);
            refreshData(remoteGetOldData(), userId, 0);
            return;
        }
        refreshData(remoteGetOldData(), userId, 0);
    }

    private void refreshData(com.android.server.fingerprint.HwFingerprintSets hwFpSets, int userId, int deviceIndex) {
        if (hwFpSets != null) {
            com.android.server.fingerprint.FingerprintUtils utils = com.android.server.fingerprint.FingerprintUtils.getInstance();
            if (utils != null) {
                java.util.ArrayList<android.hardware.fingerprint.Fingerprint> mNewFingerprints = null;
                int fingerprintGpSize = hwFpSets.mFingerprintGroups.size();
                for (int i = 0; i < fingerprintGpSize; i++) {
                    com.android.server.fingerprint.HwFingerprintSets.HwFingerprintGroup fpGroup = (com.android.server.fingerprint.HwFingerprintSets.HwFingerprintGroup) hwFpSets.mFingerprintGroups.get(i);
                    int realGroupId = fpGroup.mGroupId;
                    if (fpGroup.mGroupId == -100) {
                        realGroupId = getRealUserIdForApp(fpGroup.mGroupId);
                    }
                    if (realGroupId == userId) {
                        mNewFingerprints = fpGroup.mFingerprints;
                    }
                }
                if (mNewFingerprints == null) {
                    mNewFingerprints = new java.util.ArrayList();
                }
                for (android.hardware.fingerprint.Fingerprint oldFp : utils.isDualFp() ? utils.getFingerprintsForUser(this.mContext, userId, deviceIndex) : utils.getFingerprintsForUser(this.mContext, userId)) {
                    if (!checkItemExist(oldFp.getFingerId(), mNewFingerprints)) {
                        utils.removeFingerprintIdForUser(this.mContext, oldFp.getFingerId(), userId);
                    }
                }
                int size = mNewFingerprints.size();
                for (int i2 = 0; i2 < size; i2++) {
                    android.hardware.fingerprint.Fingerprint fp = (android.hardware.fingerprint.Fingerprint) mNewFingerprints.get(i2);
                    if (utils.isDualFp()) {
                        utils.addFingerprintForUser(this.mContext, fp.getFingerId(), userId, deviceIndex);
                    } else {
                        utils.addFingerprintForUser(this.mContext, fp.getFingerId(), userId);
                    }
                    java.lang.CharSequence fpName = fp.getName();
                    if (!(fpName == null || fpName.toString().isEmpty())) {
                        utils.renameFingerprintForUser(this.mContext, fp.getFingerId(), userId, fpName);
                    }
                }
            }
        }
    }

    public boolean checkPrivacySpaceEnroll(int userId, int currentUserId) {
        if (!com.huawei.android.os.UserManagerEx.isHwHiddenSpace(com.huawei.android.os.UserManagerEx.getUserInfoEx(android.os.UserManager.get(this.mContext), userId)) || currentUserId != 0) {
            return false;
        }
        android.util.Slog.v("HwFingerprintService", "enroll privacy fingerprint in primary user ");
        return true;
    }

    public boolean checkNeedPowerpush() {
        if (this.mflagFirstIn) {
            this.mtimeStart = java.lang.System.currentTimeMillis();
            this.mflagFirstIn = false;
            return true;
        }
        long timePassed = java.lang.System.currentTimeMillis() - this.mtimeStart;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("timepassed is  ");
        stringBuilder.append(timePassed);
        android.util.Slog.v("HwFingerprintService", stringBuilder.toString());
        this.mtimeStart = java.lang.System.currentTimeMillis();
        return 430 < timePassed;
    }

    public int removeUserData(int groupId, java.lang.String storePath) {
        if (!isFingerprintDReady()) {
            return -1;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return -1;
        }
        try {
            daemon.removeUserData(groupId, storePath);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkNeedReEnrollFingerPrints RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        return 0;
    }

    private int checkNeedReEnrollFingerPrints() {
        int result = -1;
        android.util.Log.w("HwFingerprintService", "checkNeedReEnrollFingerPrints");
        if (!isFingerprintDReady()) {
            return -1;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return -1;
        }
        try {
            result = daemon.checkNeedReEnrollFinger();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkNeedReEnrollFingerPrints RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("framework checkNeedReEnrollFingerPrints is finish return = ");
        stringBuilder2.append(result);
        android.util.Log.w("HwFingerprintService", stringBuilder2.toString());
        return result;
    }

    public boolean onHwTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        int result;
        int result2;
        if (code == 1101) {
            android.util.Slog.d("HwFingerprintService", "code == CODE_IS_FP_NEED_CALIBRATE_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            result = checkNeedCalibrateFingerPrint();
            reply.writeNoException();
            reply.writeInt(result);
            return true;
        } else if (code == 1102) {
            android.util.Slog.d("HwFingerprintService", "code == CODE_SET_CALIBRATE_MODE_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            setCalibrateMode(data.readInt());
            reply.writeNoException();
            return true;
        } else if (code == 1103) {
            android.util.Slog.d("HwFingerprintService", "code == CODE_GET_TOKEN_LEN_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            result = getTokenLen();
            reply.writeNoException();
            reply.writeInt(result);
            return true;
        } else if (code == 1104) {
            android.util.Slog.d("HwFingerprintService", "code == CODE_SET_FINGERPRINT_MASK_VIEW_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            setFingerprintMaskView(data.readBundle());
            reply.writeNoException();
            return true;
        } else if (code == 1105) {
            android.util.Slog.d("HwFingerprintService", "code == CODE_SHOW_FINGERPRINT_VIEW_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            showFingerprintView();
            reply.writeNoException();
            return true;
        } else if (code == 1106) {
            android.util.Slog.d("HwFingerprintService", "code == CODE_SHOW_FINGERPRINT_BUTTON_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            showSuspensionButton(data.readInt(), data.readInt());
            reply.writeNoException();
            return true;
        } else if (code == 1107) {
            android.util.Slog.d("HwFingerprintService", "code == CODE_REMOVE_FINGERPRINT_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            removeFingerprintView();
            reply.writeNoException();
            return true;
        } else if (code == 1110) {
            android.util.Slog.d("HwFingerprintService", "CODE_GET_HARDWARE_POSITION");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            int[] result3 = getFingerprintHardwarePosition();
            reply.writeNoException();
            reply.writeInt(result3[0]);
            reply.writeInt(result3[1]);
            reply.writeInt(result3[2]);
            reply.writeInt(result3[3]);
            return true;
        } else if (code == 1109) {
            android.util.Slog.d("HwFingerprintService", "CODE_GET_HARDWARE_TYPE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            result = getFingerprintHardwareType();
            reply.writeNoException();
            reply.writeInt(result);
            return true;
        } else if (code == 1111) {
            android.util.Slog.d("HwFingerprintService", "CODE_NOTIFY_OPTICAL_CAPTURE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            notifyCaptureOpticalImage();
            reply.writeNoException();
            return true;
        } else if (code == 1108) {
            android.util.Slog.d("HwFingerprintService", "CODE_SUSPEND_AUTHENTICATE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            suspendAuthentication(data.readInt());
            reply.writeNoException();
            return true;
        } else if (code == 1112) {
            android.util.Slog.d("HwFingerprintService", "CODE_SET_HOVER_SWITCH");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            setHoverEventSwitch(data.readInt());
            reply.writeNoException();
            return true;
        } else if (code == 1113) {
            android.util.Slog.d("HwFingerprintService", "CODE_GET_HOVER_SUPPORT");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            result = getHoverEventSupport();
            reply.writeNoException();
            reply.writeInt(result);
            return true;
        } else if (code == 1114) {
            android.util.Slog.d("HwFingerprintService", "CODE_DISABLE_FINGERPRINT_VIEW_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            disableFingerprintView(data.readBoolean());
            reply.writeNoException();
            return true;
        } else if (code == 1115) {
            android.util.Slog.d("HwFingerprintService", "CODE_ENABLE_FINGERPRINT_VIEW_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            enableFingerprintView(data.readBoolean(), data.readInt());
            reply.writeNoException();
            return true;
        } else if (code == 1116) {
            android.util.Slog.d("HwFingerprintService", "CODE_KEEP_MASK_SHOW_AFTER_AUTHENTICATION_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            keepMaskShowAfterAuthentication();
            reply.writeNoException();
            return true;
        } else if (code == 1117) {
            android.util.Slog.d("HwFingerprintService", "CODE_KEEP_MASK_SHOW_AFTER_AUTHENTICATION_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            removeMaskAndShowButton();
            reply.writeNoException();
            return true;
        } else if (code == 1119) {
            android.util.Slog.d("HwFingerprintService", "CODE_IS_FINGERPRINT_HARDWARE_DETECTED");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            boolean isHardwareDetected = isHardwareDetectedNoWhitelist(data.readString(), data.readInt());
            reply.writeNoException();
            reply.writeBoolean(isHardwareDetected);
            return true;
        } else if (code == 1118) {
            android.util.Slog.d("HwFingerprintService", "CODE_GET_FINGERPRINT_LIST_ENROLLED");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            java.util.List<android.hardware.fingerprint.Fingerprint> fingerprints = getEnrolledFingerprintsNoWhitelist(data.readString(), data.readInt(), data.readInt());
            reply.writeNoException();
            reply.writeTypedList(fingerprints);
            return true;
        } else if (code == 1120) {
            android.util.Slog.d("HwFingerprintService", "CODE_IS_SUPPORT_DUAL_FINGERPRINT");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            reply.writeNoException();
            reply.writeBoolean(isSupportDualFingerprint());
            return true;
        } else if (code == 1121) {
            android.util.Slog.d("HwFingerprintService", "CODE_SEND_UNLOCK_LIGHTBRIGHT");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            result2 = sendUnlockAndLightbright(data.readInt());
            reply.writeNoException();
            reply.writeInt(result2);
            return true;
        } else if (code == 1122) {
            android.util.Slog.d("HwFingerprintService", "CODE_GET_HIGHLIGHT_SPOT_RADIUS_RULE");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            result = getHighLightspotRadius();
            reply.writeNoException();
            reply.writeInt(result);
            return true;
        } else if (code != 1123) {
            return super.onHwTransact(code, data, reply, flags);
        } else {
            android.util.Slog.d("HwFingerprintService", "CODE_SUSPEND_ENROLL");
            data.enforceInterface("android.hardware.fingerprint.IFingerprintService");
            result2 = suspendEnroll(data.readInt());
            reply.writeNoException();
            reply.writeInt(result2);
            return true;
        }
    }

    protected boolean isSupportDualFingerprint() {
        if (!this.mIsSupportDualFingerprint) {
            int typeDetails = getFingerprintHardwareType();
            if (!(typeDetails == -1 || (typeDetails & 1) == 0 || (typeDetails & 4) == 0)) {
                com.android.server.fingerprint.FingerprintUtils.getInstance().setDualFp(true);
                this.mIsSupportDualFingerprint = true;
                this.mWhitelist.add("com.android.settings");
                this.mWhitelist.add("com.android.systemui");
                this.mWhitelist.add("com.huawei.aod");
                this.mWhitelist.add("com.huawei.systemmanager");
                this.mWhitelist.add("com.huawei.hidisk");
                this.mWhitelist.add("com.huawei.wallet");
                this.mWhitelist.add("com.huawei.hwid");
                this.mWhitelist.add("com.huawei.systemserver");
                this.mWhitelist.add("com.android.cts.verifier");
                this.mWhitelist.add("com.eg.android.AlipayGphone");
                this.mWhitelist.add("com.tmall.wireless");
                this.mWhitelist.add("com.taobao.taobao");
                this.mWhitelist.add("com.alibaba.wireless");
                this.mWhitelist.add("com.taobao.trip");
                this.mWhitelist.add("com.taobao.idlefish");
                this.mWhitelist.add("com.taobao.mobile.dipei");
                this.mWhitelist.add("com.taobao.movie.android");
                this.mWhitelist.add("com.alibaba.wireless.microsupply");
                this.mWhitelist.add("com.alibaba.wireless.lstretailer");
                this.mWhitelist.add("com.wudaokou.hippo");
                this.mWhitelist.add("com.taobao.ju.android");
                this.mWhitelist.add("com.taobao.htao.android");
                this.mWhitelist.add("com.taobao.kepler");
                this.mWhitelist.add("com.taobao.shoppingstreets");
                this.mWhitelist.add("com.antfortune.wealth");
                this.mWhitelist.add("com.taobao.qianniu");
                this.mWhitelist.add("com.taobao.litetao");
                this.mWhitelist.add("com.taobao.auction");
                this.mWhitelist.add("com.alibaba.cun.assistant");
                this.mWhitelist.add("com.taobao.caipiao");
            }
        }
        return this.mIsSupportDualFingerprint;
    }

    protected int sendCommandToHal(int command) {
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            return -1;
        }
        try {
            daemon.sendCmdToHal(command);
            return 0;
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("dualfingerprint sendCmdToHal RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
            return -1;
        }
    }

    protected boolean canUseUdFingerprint(java.lang.String opPackageName) {
        java.lang.StringBuilder stringBuilder;
        if (opPackageName != null) {
            if (!"".equals(opPackageName)) {
                if (opPackageName.equals(this.mDefinedAppName)) {
                    return true;
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("canUseUdFingerprint opPackageName is ");
                stringBuilder2.append(opPackageName);
                android.util.Slog.d("HwFingerprintService", stringBuilder2.toString());
                java.util.Iterator it = this.mWhitelist.iterator();
                while (it.hasNext()) {
                    if (((java.lang.String) it.next()).equals(opPackageName)) {
                        return true;
                    }
                }
                long token = android.os.Binder.clearCallingIdentity();
                try {
                    java.lang.String type = "";
                    android.os.Bundle metaData = this.mContext.getPackageManager().getApplicationInfo(opPackageName, 128).metaData;
                    if (metaData == null) {
                        android.util.Slog.d("HwFingerprintService", "metaData is null");
                    }
                    if (metaData != null) {
                        type = metaData.getString("fingerprint.system.view");
                        if (!(type == null || "".equals(type))) {
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("calling opPackageName  metaData value is: ");
                            stringBuilder3.append(type);
                            android.util.Slog.d("HwFingerprintService", stringBuilder3.toString());
                            android.os.Binder.restoreCallingIdentity(token);
                            return true;
                        }
                    }
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("cannot find metaData of package: ");
                    stringBuilder.append(e);
                    android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
                } catch (java.lang.Exception e2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("exception occured: ");
                    stringBuilder.append(e2);
                    android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
                } catch (Throwable th) {
                    android.os.Binder.restoreCallingIdentity(token);
                }
                android.os.Binder.restoreCallingIdentity(token);
                return false;
            }
        }
        android.util.Slog.d("HwFingerprintService", "calling opPackageName is invalid");
        return false;
    }

    protected java.util.List<android.hardware.fingerprint.Fingerprint> getEnrolledFingerprintsEx(java.lang.String opPackageName, int targetDevice, int userId) {
        com.android.server.fingerprint.FingerprintUtils fingerprintUtils = com.android.server.fingerprint.FingerprintUtils.getInstance();
        if (canUseUdFingerprint(opPackageName)) {
            return fingerprintUtils.getFingerprintsForUser(this.mContext, userId, targetDevice);
        }
        if (targetDevice == 1) {
            return java.util.Collections.emptyList();
        }
        return fingerprintUtils.getFingerprintsForUser(this.mContext, userId, 0);
    }

    private java.util.List<android.hardware.fingerprint.Fingerprint> getEnrolledFingerprintsNoWhitelist(java.lang.String opPackageName, int targetDevice, int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dualFingerprint getEnrolledFingerprints opPackageName is ");
        stringBuilder.append(opPackageName);
        stringBuilder.append(" userId is ");
        stringBuilder.append(userId);
        android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
        return com.android.server.fingerprint.FingerprintUtils.getInstance().getFingerprintsForUser(this.mContext, userId, targetDevice);
    }

    protected boolean isHardwareDetectedEx(java.lang.String opPackageName, int targetDevice) {
        boolean z = false;
        if (getFingerprintDaemon() == null) {
            android.util.Slog.d("HwFingerprintService", "Daemon is not available!");
            return false;
        }
        long token = android.os.Binder.clearCallingIdentity();
        try {
            if (canUseUdFingerprint(opPackageName)) {
                if (targetDevice == 1) {
                    if (getUdHalDeviceId() != 0) {
                        z = true;
                    }
                    android.os.Binder.restoreCallingIdentity(token);
                    return z;
                } else if (targetDevice == 0) {
                    if (getHalDeviceId() != 0) {
                        z = true;
                    }
                    android.os.Binder.restoreCallingIdentity(token);
                    return z;
                } else {
                    if (getHalDeviceId() != 0 && getUdHalDeviceId() != 0) {
                        z = true;
                    }
                    android.os.Binder.restoreCallingIdentity(token);
                    return z;
                }
            } else if (targetDevice == 0) {
                if (getHalDeviceId() != 0) {
                    z = true;
                }
                android.os.Binder.restoreCallingIdentity(token);
                return z;
            } else {
                android.os.Binder.restoreCallingIdentity(token);
                return false;
            }
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }

    private boolean isHardwareDetectedNoWhitelist(java.lang.String opPackageName, int targetDevice) {
        boolean z = false;
        if (getFingerprintDaemon() == null) {
            android.util.Slog.d("HwFingerprintService", "Daemon is not available!");
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dualFingerprint isHardwareDetected opPackageName is ");
        stringBuilder.append(opPackageName);
        stringBuilder.append(" targetDevice is ");
        stringBuilder.append(targetDevice);
        android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
        long token = android.os.Binder.clearCallingIdentity();
        if (targetDevice == 1) {
            try {
                if (getUdHalDeviceId() != 0) {
                    z = true;
                }
                android.os.Binder.restoreCallingIdentity(token);
                return z;
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(token);
            }
        } else if (targetDevice == 0) {
            if (getHalDeviceId() != 0) {
                z = true;
            }
            android.os.Binder.restoreCallingIdentity(token);
            return z;
        } else {
            if (getHalDeviceId() != 0 && getUdHalDeviceId() != 0) {
                z = true;
            }
            android.os.Binder.restoreCallingIdentity(token);
            return z;
        }
    }

    public int checkNeedCalibrateFingerPrint() {
        int result = -1;
        if (!isFingerprintDReady()) {
            return -1;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return -1;
        }
        android.util.Slog.d("HwFingerprintService", "pacel  packaged :checkNeedCalibrateFingerPrint");
        try {
            result = daemon.checkNeedCalibrateFingerPrint();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkNeedCalibrateFingerPrint RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("fingerprintd calibrate return = ");
        stringBuilder2.append(result);
        android.util.Slog.d("HwFingerprintService", stringBuilder2.toString());
        return result;
    }

    public void setCalibrateMode(int mode) {
        if (isFingerprintDReady()) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("pacel  packaged setCalibrateMode: ");
            stringBuilder.append(mode);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            try {
                daemon.setCalibrateMode(mode);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("setCalibrateMode RemoteException:");
                stringBuilder2.append(e);
                android.util.Slog.e("HwFingerprintService", stringBuilder2.toString());
            }
            return;
        }
        android.util.Log.w("HwFingerprintService", "FingerprintD is not Ready");
    }

    public int getTokenLen() {
        if (!isFingerprintDReady()) {
            return -1;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return -1;
        }
        int result = -1;
        android.util.Slog.d("HwFingerprintService", "pacel  packaged :getTokenLen");
        try {
            result = daemon.getTokenLen();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getTokenLen RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("fingerprintd getTokenLen token len = ");
        stringBuilder2.append(result);
        android.util.Slog.d("HwFingerprintService", stringBuilder2.toString());
        return result;
    }

    public void showFingerprintView() {
        initPositionAndType();
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            this.mFingerViewController.showMaskForApp(this.mMaskViewBundle);
        }
    }

    public void showSuspensionButton(int centerX, int centerY) {
        initPositionAndType();
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            this.mFingerViewController.showSuspensionButtonForApp(centerX, centerY, this.mContext.getPackageManager().getNameForUid(android.os.Binder.getCallingUid()));
        }
    }

    public void setFingerprintMaskView(android.os.Bundle bundle) {
        initPositionAndType();
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            if (bundle != null) {
                java.lang.String callingApp = this.mContext.getPackageManager().getNameForUid(android.os.Binder.getCallingUid());
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("callingApp = ");
                stringBuilder.append(callingApp);
                android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                java.lang.String pkgNamefromBundle = bundle.getString("PackageName");
                this.mMaskViewBundle = bundle;
                if (this.mFingerViewController != null) {
                    if (!"com.android.systemui".equals(pkgNamefromBundle)) {
                        this.mFingerViewController.updateMaskViewAttributes(bundle, callingApp);
                    } else if (!this.mForbideKeyguardCall) {
                        this.mFingerViewController.parseBundle4Keyguard(bundle);
                    }
                }
            }
        }
    }

    public void notifyAuthenticationStarted(java.lang.String pkgName, android.hardware.fingerprint.IFingerprintServiceReceiver receiver, int flag, int userID, android.os.Bundle bundle, android.hardware.biometrics.IBiometricPromptReceiver dialogReceiver) {
        java.lang.String str = pkgName;
        int i = flag;
        int i2 = userID;
        android.os.Bundle bundle2 = bundle;
        initPositionAndType();
        if (!this.mIsFingerInScreenSupported) {
            return;
        }
        if (str == null) {
            android.util.Log.d("HwFingerprintService", "pkgname is null");
            return;
        }
        checkPermissions();
        java.lang.StringBuilder stringBuilder;
        if (i == 0 || (134217728 & i) != 0) {
            java.lang.StringBuilder stringBuilder2;
            boolean hasUdFingerprint;
            boolean hasUdFingerprint2;
            if ("com.android.systemui".equals(str)) {
                notifyAuthenticationCanceled(pkgName);
            }
            if (bundle2 != null) {
                this.mMaskViewBundle = bundle2;
                this.mMaskViewBundle.putString("googleFlag", "googleFlag");
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("show,pkgName =");
            stringBuilder.append(str);
            stringBuilder.append(" userID = ");
            stringBuilder.append(i2);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            int initType = -1;
            if (str.equals(this.mDefinedAppName)) {
                initType = this.mAppDefinedMaskType;
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("initType = ");
                stringBuilder3.append(initType);
                stringBuilder3.append(",defined by enable interface");
                android.util.Log.d("HwFingerprintService", stringBuilder3.toString());
            }
            if (initType == -1) {
                initType = getAppType(pkgName);
            }
            if (initType == -1) {
                java.util.Iterator it = this.mWhitelist.iterator();
                while (it.hasNext()) {
                    if (((java.lang.String) it.next()).equals(str)) {
                        android.util.Log.d("HwFingerprintService", "pkgName in whitelist, show default mask for it");
                        initType = 0;
                    }
                }
            }
            if (str.equals("com.android.cts.verifier")) {
                initType = 0;
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("com.android.cts.verifier initType = ");
                stringBuilder2.append(0);
                android.util.Log.d("HwFingerprintService", stringBuilder2.toString());
            }
            com.android.server.fingerprint.FingerprintUtils fingerprintUtils = com.android.server.fingerprint.FingerprintUtils.getInstance();
            if (!fingerprintUtils.isDualFp() && initType == -1) {
                android.util.Log.i("HwFingerprintService", "single inscreen");
                initType = 0;
            } else if (fingerprintUtils.isDualFp() && bundle2 != null) {
                initType = 4;
            }
            if (!fingerprintUtils.isDualFp()) {
                initType = adjustMaskTypeForWechat(initType, str);
            }
            int initType2 = initType;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("final initType = ");
            stringBuilder.append(initType2);
            android.util.Log.i("HwFingerprintService", stringBuilder.toString());
            boolean hasBackFingerprint = false;
            boolean z = false;
            if (fingerprintUtils.isDualFp()) {
                hasUdFingerprint = fingerprintUtils.getFingerprintsForUser(this.mContext, i2, 1).size() > 0;
                if (fingerprintUtils.getFingerprintsForUser(this.mContext, i2, 0).size() > 0) {
                    z = true;
                }
                hasBackFingerprint = z;
                if (!hasUdFingerprint) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("userID:");
                    stringBuilder2.append(i2);
                    stringBuilder2.append("has no UD_fingerprint");
                    android.util.Log.d("HwFingerprintService", stringBuilder2.toString());
                    if (!(initType2 == 3 || initType2 == 4)) {
                        return;
                    }
                }
            }
            if (fingerprintUtils.getFingerprintsForUser(this.mContext, i2).size() > 0) {
                z = true;
            }
            hasUdFingerprint = z;
            boolean hasUdFingerprint3 = hasUdFingerprint;
            boolean hasBackFingerprint2 = hasBackFingerprint;
            if (!this.mIsUdFingerprintNeed || checkIfCallerDisableMask()) {
                hasUdFingerprint2 = hasUdFingerprint3;
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("dialogReceiver = ");
                stringBuilder.append(dialogReceiver);
                android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                hasUdFingerprint2 = hasUdFingerprint3;
                this.mFingerViewController.showMaskOrButton(str, this.mMaskViewBundle, receiver, initType2, hasUdFingerprint3, hasBackFingerprint2, dialogReceiver);
            }
            android.util.Log.d("HwFingerprintService", " begin add windowservice view");
            this.mIsUdAuthenticating = true;
            updateTPState(str, hasUdFingerprint2);
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("flag = ");
        stringBuilder.append(i);
        android.util.Log.d("HwFingerprintService", stringBuilder.toString());
    }

    private int adjustMaskTypeForWechat(int initType, java.lang.String pkgName) {
        if (!"com.tencent.mm".equals(pkgName)) {
            return initType;
        }
        if ("com.tencent.mm.plugin.fingerprint.ui.FingerPrintAuthUI".equals(getForegroundActivityName())) {
            return 0;
        }
        return 3;
    }

    public void notifyAuthenticationCanceled(java.lang.String pkgName) {
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            this.mMaskViewBundle = null;
            if ("com.android.systemui".equals(pkgName)) {
                android.util.Log.d("HwFingerprintService", " KEYGUARD notifyAuthenticationCanceled removeHighlightview");
                this.mFingerViewController.removeHighlightview(4);
            }
            if (!(this.mKeepMaskAfterAuthentication || this.mFingerViewController == null)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mKeepMaskAfterAuthentication is false,start remove,pkgName = ");
                stringBuilder.append(pkgName);
                android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                this.mFingerViewController.removeMaskOrButton();
            }
            this.mIsUdAuthenticating = false;
            this.mKeepMaskAfterAuthentication = false;
            this.mAppDefinedMaskType = -1;
            this.mDefinedAppName = "";
        }
    }

    private void removeFingerprintView() {
        if (this.mIsFingerInScreenSupported) {
            java.lang.String callingApp = this.mContext.getPackageManager().getNameForUid(android.os.Binder.getCallingUid());
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("removeFingerprintView,callingApp = ");
            stringBuilder.append(callingApp);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            checkPermissions();
            this.mMaskViewBundle = null;
            this.mFingerViewController.removeMaskOrButton();
        }
    }

    public void notifyFingerDown(int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyFingerDown mIsFingerInScreenSupported:");
        stringBuilder.append(this.mIsFingerInScreenSupported);
        android.util.Log.d("HwFingerprintService", stringBuilder.toString());
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            this.mIsUdFingerprintChecking = true;
            if (this.mIsHighLightNeed) {
                if (type == 1) {
                    android.util.Log.d("HwFingerprintService", "FINGER_DOWN_TYPE_AUTHENTICATING notifyFingerDown ");
                    long token = android.os.Binder.clearCallingIdentity();
                    try {
                        if (android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "show_touches", -2) == 1) {
                            android.util.Log.d("HwFingerprintService", "turn off the show_touch switch when authenticating");
                            this.mNeedResumeTouchSwitch = true;
                            android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "show_touches", 0, -2);
                        }
                    } catch (java.lang.SecurityException e) {
                        android.util.Log.e("HwFingerprintService", "catch SecurityException");
                    } catch (android.provider.Settings.SettingNotFoundException e2) {
                        android.util.Log.d("HwFingerprintService", "settings show_touches not found");
                    } catch (Throwable th) {
                        android.os.Binder.restoreCallingIdentity(token);
                    }
                    android.os.Binder.restoreCallingIdentity(token);
                    this.mFingerViewController.showHighlightview(1);
                } else if (type == 0) {
                    android.util.Log.d("HwFingerprintService", " AUTHENTICATING_SETTINGS or FINGER_DOWN_TYPE_ENROLLING notifyFingerDown ");
                    this.mFingerViewController.showHighlightCircle();
                }
            }
            if (this.mIsUdFingerprintNeed && type == 1) {
                this.mFingerViewController.updateFingerprintView(3, this.mKeepMaskAfterAuthentication);
            }
        }
    }

    public void notifyEnrollingFingerUp() {
        if (this.mIsFingerInScreenSupported && this.mIsUdEnrolling && this.mIsHighLightNeed) {
            android.util.Log.d("HwFingerprintService", "notifyEnrollingFingerUp removeHighlightCircle");
            this.mFingerViewController.removeHighlightCircle();
        }
    }

    public void notifyCaptureFinished(int type) {
        android.util.Log.d("HwFingerprintService", "notifyCaptureFinished");
        if (this.mIsHighLightNeed && this.mFingerViewController != null) {
            this.mFingerViewController.removeHighlightCircle();
        }
    }

    public void notifyFingerCalibrarion(int value) {
        initPositionAndType();
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            int[] position = getFingerprintHardwarePosition();
            huawei.com.android.server.fingerprint.FingerprintCalibrarionView caliview = huawei.com.android.server.fingerprint.FingerprintCalibrarionView.getInstance(this.mContext);
            caliview.setCenterPoints((position[0] + position[2]) / 2, (position[1] + position[3]) / 2);
            caliview.showHighlightviewCali(value);
        }
    }

    public void notifyEnrollmentStarted(int flags) {
        initPositionAndType();
        if (this.mIsHighLightNeed) {
            com.android.server.fingerprint.FingerprintUtils fingerprintUtils = com.android.server.fingerprint.FingerprintUtils.getInstance();
            if (!fingerprintUtils.isDualFp() || flags == 4096) {
                this.mIsUdEnrolling = true;
                checkPermissions();
                if (!fingerprintUtils.isDualFp() || flags == 4096) {
                    if (this.mDisplayEngineManager != null) {
                        this.mDisplayEngineManager.setScene(31, 16);
                    } else {
                        android.util.Log.w("HwFingerprintService", "mDisplayEngineManager is null!");
                    }
                }
                if (this.mFingerViewController != null) {
                    this.mFingerViewController.showHighlightview(0);
                }
                android.util.Log.d("HwFingerprintService", "start enroll begin add Highlight view");
                return;
            }
            android.util.Log.d("HwFingerprintService", "not enrolling UD fingerprint");
        }
    }

    public void notifyEnrollmentCanceled() {
        if (this.mIsFingerInScreenSupported) {
            com.android.server.fingerprint.FingerprintUtils fingerprintUtils = com.android.server.fingerprint.FingerprintUtils.getInstance();
            int currentUser = android.app.ActivityManager.getCurrentUser();
            boolean hasUdFingerprint = fingerprintUtils.isDualFp() ? fingerprintUtils.getFingerprintsForUser(this.mContext, currentUser, 1).size() > 0 : fingerprintUtils.getFingerprintsForUser(this.mContext, currentUser).size() > 0;
            if (hasUdFingerprint) {
                sendCommandToHal(1);
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyEnrollmentEnd mIsUdEnrolling: ");
        stringBuilder.append(this.mIsUdEnrolling);
        android.util.Log.d("HwFingerprintService", stringBuilder.toString());
        if (this.mIsHighLightNeed) {
            checkPermissions();
            if (this.mIsUdEnrolling && this.mFingerViewController != null) {
                this.mFingerViewController.removeHighlightview(-1);
            }
            if (this.mIsUdEnrolling) {
                if (this.mDisplayEngineManager != null) {
                    this.mDisplayEngineManager.setScene(31, 17);
                } else {
                    android.util.Log.w("HwFingerprintService", "mDisplayEngineManager is null!");
                }
            }
            this.mIsUdEnrolling = false;
        }
    }

    public void notifyAuthenticationFinished(java.lang.String opName, int result, int failTimes) {
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("notifyAuthenticationFinished,mIsUdFingerprintChecking = ");
            stringBuilder.append(this.mIsUdFingerprintChecking);
            stringBuilder.append(",result =");
            stringBuilder.append(result);
            stringBuilder.append("failTimes = ");
            stringBuilder.append(failTimes);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            if (this.mIsHighLightNeed && this.mIsUdFingerprintChecking) {
                int i;
                android.util.Log.d("HwFingerprintService", "UdFingerprint Checking,AuthenticationFinished begin remove Highlight view");
                if (this.mNeedResumeTouchSwitch) {
                    long token = android.os.Binder.clearCallingIdentity();
                    try {
                        this.mNeedResumeTouchSwitch = false;
                        android.util.Log.d("HwFingerprintService", "turn on the show_touch switch after authenticating");
                        android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "show_touches", 1, -2);
                    } catch (java.lang.SecurityException e) {
                        android.util.Log.e("HwFingerprintService", "catch SecurityException");
                    } catch (Throwable th) {
                        android.os.Binder.restoreCallingIdentity(token);
                    }
                    android.os.Binder.restoreCallingIdentity(token);
                }
                huawei.com.android.server.fingerprint.FingerViewController fingerViewController = this.mFingerViewController;
                if (result == 0) {
                    i = 2;
                } else {
                    i = -1;
                }
                fingerViewController.removeHighlightview(i);
            }
            if (this.mIsUdFingerprintNeed) {
                this.mFingerViewController.updateFingerprintView(result, failTimes);
                if (result == 0 && "com.android.systemui".equals(opName)) {
                    this.mFingerViewController.removeMaskOrButton();
                }
            }
            this.mIsUdFingerprintChecking = false;
        }
    }

    private void disableFingerprintView(boolean hasAnimation) {
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            java.lang.String callingApp = this.mContext.getPackageManager().getNameForUid(android.os.Binder.getCallingUid());
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("callingApp = ");
            stringBuilder.append(callingApp);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            if (this.mIsUdAuthenticating && callingApp.equals(getForegroundActivity())) {
                this.mFingerViewController.removeMaskOrButton();
            }
            this.mPackageDisableMask = callingApp;
        }
    }

    private void enableFingerprintView(boolean hasAnimation, int initStatus) {
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            java.lang.String callingApp = this.mContext.getPackageManager().getNameForUid(android.os.Binder.getCallingUid());
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFingerprintView,callingApp = ");
            stringBuilder.append(callingApp);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            if (this.mPackageDisableMask != null && this.mPackageDisableMask.equals(callingApp)) {
                this.mPackageDisableMask = null;
            }
            this.mAppDefinedMaskType = initStatus;
            this.mDefinedAppName = callingApp;
        }
    }

    private int getAppType(java.lang.String pkgName) {
        int type = -1;
        try {
            android.os.Bundle metaData = this.mContext.getPackageManager().getApplicationInfo(pkgName, 128).metaData;
            if (metaData == null) {
                android.util.Log.d("HwFingerprintService", "metaData is null");
            }
            if (metaData != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("pkgName is ");
                stringBuilder.append(pkgName);
                stringBuilder.append("metaData is ");
                stringBuilder.append(metaData.getString("fingerprint.system.view"));
                android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                if (metaData.getString("fingerprint.system.view") != null) {
                    if (metaData.getString("fingerprint.system.view").equals("full")) {
                        type = 0;
                    } else if (metaData.getString("fingerprint.system.view").equals("button")) {
                        type = 1;
                    } else if (metaData.getString("fingerprint.system.view").equals("image")) {
                        type = 3;
                    } else {
                        type = 2;
                    }
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("metaData type is ");
                stringBuilder.append(type);
                android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            }
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            android.util.Log.e("HwFingerprintService", "cannot find metaData of package");
        } catch (java.lang.SecurityException e2) {
            android.util.Log.e("HwFingerprintService", "app don't have permissions");
        }
        return type;
    }

    private void keepMaskShowAfterAuthentication() {
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            this.mKeepMaskAfterAuthentication = true;
        }
    }

    private void removeMaskAndShowButton() {
        if (this.mIsFingerInScreenSupported) {
            checkPermissions();
            this.mFingerViewController.removeMaskAndShowButton();
        }
    }

    private boolean isForegroundActivity(java.lang.String packageName) {
        try {
            java.util.List<android.app.ActivityManager.RunningAppProcessInfo> procs = android.app.ActivityManager.getService().getRunningAppProcesses();
            int N = procs.size();
            for (int i = 0; i < N; i++) {
                android.app.ActivityManager.RunningAppProcessInfo proc = (android.app.ActivityManager.RunningAppProcessInfo) procs.get(i);
                if (proc.processName.equals(packageName) && proc.importance == 100) {
                    return true;
                }
            }
        } catch (android.os.RemoteException e) {
            android.util.Slog.w("HwFingerprintService", "am.getRunningAppProcesses() failed");
        }
        return false;
    }

    private java.lang.String getForegroundActivity() {
        try {
            java.util.List<android.app.ActivityManager.RunningAppProcessInfo> procs = android.app.ActivityManager.getService().getRunningAppProcesses();
            int N = procs.size();
            for (int i = 0; i < N; i++) {
                android.app.ActivityManager.RunningAppProcessInfo proc = (android.app.ActivityManager.RunningAppProcessInfo) procs.get(i);
                if (proc.importance == 100) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("foreground processName = ");
                    stringBuilder.append(proc.processName);
                    android.util.Log.d("HwFingerprintService", stringBuilder.toString());
                    return proc.processName;
                }
            }
        } catch (android.os.RemoteException e) {
            android.util.Slog.w("HwFingerprintService", "am.getRunningAppProcesses() failed");
        }
        return "";
    }

    private java.lang.String getForegroundActivityName() {
        long token = android.os.Binder.clearCallingIdentity();
        try {
            android.content.pm.ActivityInfo info = com.huawei.android.app.ActivityManagerEx.getLastResumedActivity();
            java.lang.String name = "";
            if (info != null) {
                name = info.name;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("foreground wechat activity name is");
            stringBuilder.append(name);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            return name;
        } finally {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }

    private boolean checkIfCallerDisableMask() {
        if (this.mPackageDisableMask == null) {
            return false;
        }
        if (isForegroundActivity(this.mPackageDisableMask)) {
            return true;
        }
        this.mPackageDisableMask = null;
        return false;
    }

    private void checkPermissions() {
        this.mContext.enforceCallingOrSelfPermission("android.permission.USE_FINGERPRINT", null);
    }

    private void resetFingerprintPosition() {
        int[] position = getFingerprintHardwarePosition();
        this.mFingerViewController.setFingerprintPosition(position);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("defaultScreenSize be init second, position = ");
        stringBuilder.append(java.util.Arrays.toString(position));
        android.util.Log.d("HwFingerprintService", stringBuilder.toString());
    }

    private void initPositionAndType() {
        java.lang.StringBuilder stringBuilder;
        if (this.mFingerprintType == 0) {
            android.util.Log.d("HwFingerprintService", "FingerprintType do not support inscreen fingerprint");
        } else if (this.mFingerprintType <= 0 || this.mFingerViewController == null) {
            this.mFingerprintType = getFingerprintHardwareTypeInternal();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("FingerprintType type = ");
            stringBuilder.append(this.mFingerprintType);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
            boolean z = false;
            this.mIsFingerInScreenSupported = this.mFingerprintType > 0;
            if (this.mFingerprintType == 1) {
                z = true;
            }
            this.mIsHighLightNeed = z;
            if (this.mIsFingerInScreenSupported) {
                this.mFingerViewController = huawei.com.android.server.fingerprint.FingerViewController.getInstance(this.mContext);
                this.mFingerViewController.registCallback(new com.android.server.fingerprint.HwFingerprintService.FingerViewChangeCallback(this, null));
                int[] position = getFingerprintHardwarePosition();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" hardware type = ");
                stringBuilder2.append(this.mFingerprintType);
                android.util.Log.d("HwFingerprintService", stringBuilder2.toString());
                this.mFingerViewController.setFingerprintPosition(position);
                this.mFingerViewController.setHighLightBrightnessLevel(getHighLightBrightnessLevel());
                this.mFingerViewController.setHighLightSpotRadius(getHighLightspotRadius());
                initObserver();
                listenCfgChange();
            }
        } else {
            if (this.mInitDisplayHeight == -1) {
                resetFingerprintPosition();
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("FingerprintType has been inited, FingerprintType = ");
            stringBuilder.append(this.mFingerprintType);
            android.util.Log.d("HwFingerprintService", stringBuilder.toString());
        }
    }

    protected void triggerFaceRecognization() {
        android.os.PowerManager powerManager = (android.os.PowerManager) this.mContext.getSystemService("power");
        if (powerManager == null || !powerManager.isInteractive()) {
            com.android.server.policy.HwPhoneWindowManager policy = (com.android.server.policy.HwPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class);
            if (policy != null) {
                policy.doFaceRecognize(true, "fingerprint");
            }
            return;
        }
        android.util.Log.i("HwFingerprintService", "screen on, do not trigger face detection");
    }

    private void suspendAuthentication(int status) {
        if (!isFingerprintDReady()) {
            android.util.Log.w("HwFingerprintService", "FingerprintD is not Ready");
        } else if (this.mIsFingerInScreenSupported) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("pacel  packaged suspendAuthentication: ");
            stringBuilder.append(status);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            if (status == 1) {
                try {
                    daemon.sendCmdToHal(53);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("suspendAuthentication RemoteException:");
                    stringBuilder2.append(e);
                    android.util.Slog.e("HwFingerprintService", stringBuilder2.toString());
                }
            } else {
                daemon.sendCmdToHal(54);
            }
        } else {
            android.util.Log.w("HwFingerprintService", "do not have UD device suspend invalid");
        }
    }

    private int suspendEnroll(int status) {
        int result = -1;
        if (!isFingerprintDReady()) {
            android.util.Log.w("HwFingerprintService", "FingerprintD is not Ready");
            return -1;
        } else if (this.mIsFingerInScreenSupported) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return -1;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("pacel  packaged suspendEnroll: ");
            stringBuilder.append(status);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            if (status == 1) {
                try {
                    result = daemon.sendCmdToHal(64);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("suspendEnroll RemoteException:");
                    stringBuilder2.append(e);
                    android.util.Slog.e("HwFingerprintService", stringBuilder2.toString());
                }
            } else {
                result = daemon.sendCmdToHal(65);
            }
            return result;
        } else {
            android.util.Log.w("HwFingerprintService", "do not have UD device suspend invalid");
            return -1;
        }
    }

    private int getFingerprintHardwareType() {
        if (!isFingerprintDReady()) {
            return -1;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return -1;
        }
        int result = -1;
        android.util.Slog.d("HwFingerprintService", "pacel  packaged :HardwareType");
        try {
            result = daemon.sendCmdToHal(55);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("HardwareType RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("fingerprintd HardwareType = ");
        stringBuilder2.append(result);
        android.util.Slog.d("HwFingerprintService", stringBuilder2.toString());
        return result;
    }

    private int getFingerprintHardwareTypeInternal() {
        int typeDetails = getFingerprintHardwareType();
        int type = -1;
        if (typeDetails == -1) {
            return -1;
        }
        int offset = -1;
        if ((typeDetails & 1) != 0) {
            offset = -1 + 1;
        }
        if ((typeDetails & 2) != 0) {
            offset++;
        }
        if ((typeDetails & 4) == 0) {
            return 0;
        }
        int physicalType = (typeDetails >> (8 + ((offset + 1) * 4))) & 15;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("LOCATION_UNDER_DISPLAY physicalType :");
        stringBuilder.append(physicalType);
        android.util.Log.d("HwFingerprintService", stringBuilder.toString());
        if (physicalType == 2) {
            type = 1;
        } else if (physicalType == 3) {
            type = 2;
        }
        return type;
    }

    private int[] getFingerprintHardwarePosition() {
        int[] result = new int[]{-1, -1};
        int[] pxPosition = new int[]{-1, -1, -1, -1};
        if (!isFingerprintDReady()) {
            return pxPosition;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return pxPosition;
        }
        try {
            result[0] = daemon.sendCmdToHal(59);
            result[1] = daemon.sendCmdToHal(60);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("HardwarePosition RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("fingerprintd HardwarePosition = ");
        stringBuilder2.append(result[0]);
        stringBuilder2.append(" ");
        stringBuilder2.append(result[1]);
        android.util.Slog.d("HwFingerprintService", stringBuilder2.toString());
        if (result[0] == -1) {
            java.lang.String[] positionG = android.os.SystemProperties.get("persist.sys.fingerprint.hardwarePosition", "-1,-1,-1,-1").split(",");
            pxPosition[0] = java.lang.Integer.parseInt(positionG[0]);
            pxPosition[1] = java.lang.Integer.parseInt(positionG[1]);
            pxPosition[2] = java.lang.Integer.parseInt(positionG[2]);
            pxPosition[3] = java.lang.Integer.parseInt(positionG[3]);
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("getHardwarePosition from SystemProperties: ");
            stringBuilder3.append(pxPosition[0]);
            android.util.Log.d("HwFingerprintService", stringBuilder3.toString());
        } else {
            int[] parsedPosition = new int[]{-1, -1, -1, -1};
            parsedPosition[0] = result[0] >> 16;
            parsedPosition[1] = result[0] & 65535;
            parsedPosition[2] = result[1] >> 16;
            parsedPosition[3] = result[1] & 65535;
            pxPosition = physicalConvert2Px(parsedPosition);
        }
        return pxPosition;
    }

    private int[] physicalConvert2Px(int[] input) {
        int[] covertPosition = new int[]{-1, -1, -1, -1};
        int i = 0;
        if (this.mInitDisplayHeight == -1 && this.mContext != null) {
            java.lang.String defaultScreenSize = android.os.SystemProperties.get("ro.config.default_screensize");
            if (defaultScreenSize == null || defaultScreenSize.equals("")) {
                this.mInitDisplayHeight = android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "aps_init_height", -1);
                this.mInitDisplayWidth = android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "aps_init_width", -1);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("defaultScreenSizePoint mInitDisplayWidth =");
                stringBuilder.append(this.mInitDisplayWidth);
                stringBuilder.append(",mInitDisplayHeight=");
                stringBuilder.append(this.mInitDisplayHeight);
                android.util.Log.i("HwFingerprintService", stringBuilder.toString());
            } else {
                java.lang.String[] array = defaultScreenSize.split(",");
                java.lang.StringBuilder stringBuilder2;
                if (array.length == 2) {
                    try {
                        this.mInitDisplayWidth = java.lang.Integer.parseInt(array[0]);
                        this.mInitDisplayHeight = java.lang.Integer.parseInt(array[1]);
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("defaultScreenSizePoint get from prop : mInitDisplayWidth=");
                        stringBuilder2.append(this.mInitDisplayWidth);
                        stringBuilder2.append(",mInitDisplayHeight=");
                        stringBuilder2.append(this.mInitDisplayHeight);
                        android.util.Log.i("HwFingerprintService", stringBuilder2.toString());
                    } catch (java.lang.NumberFormatException e) {
                        android.util.Log.i("HwFingerprintService", "defaultScreenSizePoint: NumberFormatException");
                    }
                } else {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("defaultScreenSizePoint the defaultScreenSize prop is error,defaultScreenSize=");
                    stringBuilder2.append(defaultScreenSize);
                    android.util.Log.i("HwFingerprintService", stringBuilder2.toString());
                }
            }
        }
        covertPosition[0] = (input[0] * this.mInitDisplayWidth) / 1000;
        covertPosition[1] = (input[1] * this.mInitDisplayHeight) / 1000;
        covertPosition[2] = (input[2] * this.mInitDisplayWidth) / 1000;
        covertPosition[3] = (input[3] * this.mInitDisplayHeight) / 1000;
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("Width: ");
        stringBuilder3.append(this.mInitDisplayWidth);
        stringBuilder3.append(" height: ");
        stringBuilder3.append(this.mInitDisplayHeight);
        android.util.Log.d("HwFingerprintService", stringBuilder3.toString());
        while (true) {
            int i2 = i;
            if (i2 >= 4) {
                return covertPosition;
            }
            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
            stringBuilder4.append("use hal after covert: ");
            stringBuilder4.append(covertPosition[i2]);
            android.util.Log.d("HwFingerprintService", stringBuilder4.toString());
            i = i2 + 1;
        }
    }

    private void notifyCaptureOpticalImage() {
        if (isFingerprintDReady()) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return;
            }
            android.util.Slog.d("HwFingerprintService", "pacel  packaged :notifyCaptureOpticalImage");
            try {
                daemon.sendCmdToHal(52);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("notifyCaptureOpticalImage RemoteException:");
                stringBuilder.append(e);
                android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
            }
        }
    }

    private void notifyBluespotDismiss() {
        if (isFingerprintDReady()) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return;
            }
            android.util.Slog.d("HwFingerprintService", "pacel  packaged :notifyBluespotDismiss");
            try {
                daemon.sendCmdToHal(62);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("notifyBluespotDismiss RemoteException:");
                stringBuilder.append(e);
                android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
            }
        }
    }

    private void setHoverEventSwitch(int enabled) {
        if (isFingerprintDReady()) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("pacel  packaged setHoverEventSwitch: ");
            stringBuilder.append(enabled);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            if (enabled == 1) {
                try {
                    daemon.sendCmdToHal(57);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("setHoverEventSwitch RemoteException:");
                    stringBuilder2.append(e);
                    android.util.Slog.e("HwFingerprintService", stringBuilder2.toString());
                }
            } else {
                daemon.sendCmdToHal(58);
            }
            return;
        }
        android.util.Log.w("HwFingerprintService", "FingerprintD is not Ready");
    }

    private int getHoverEventSupport() {
        if (!isFingerprintDReady()) {
            return -1;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return -1;
        }
        int result = -1;
        android.util.Slog.d("HwFingerprintService", "pacel  packaged :getHoverEventSupport");
        try {
            result = daemon.sendCmdToHal(56);
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getHoverEventSupport RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("fingerprintd getHoverEventSupport = ");
        stringBuilder2.append(result);
        android.util.Slog.d("HwFingerprintService", stringBuilder2.toString());
        return result;
    }

    private int getHighLightBrightnessLevel() {
        int result = 248;
        if (isFingerprintDReady()) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return 248;
            }
            android.util.Slog.d("HwFingerprintService", "pacel  packaged :getHighLightBrightnessLevel");
            try {
                result = daemon.sendCmdToHal(909);
            } catch (android.os.RemoteException e) {
                android.util.Slog.e("HwFingerprintService", "getHighLightBrightnessLevel RemoteException");
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("fingerprintd getHighLightBrightnessLevel = ");
            stringBuilder.append(result);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            return result;
        }
        android.util.Slog.e("HwFingerprintService", "Fingerprintd is not ready!");
        return 248;
    }

    private int checkForegroundNeedLiveness() {
        android.util.Slog.w("HwFingerprintService", "checkForegroundNeedLiveness:start");
        int noNeedLiveness = 0;
        try {
            java.util.List<android.app.ActivityManager.RunningAppProcessInfo> procs = android.app.ActivityManagerNative.getDefault().getRunningAppProcesses();
            if (procs == null) {
                return 0;
            }
            int N = procs.size();
            for (int i = 0; i < N; i++) {
                android.app.ActivityManager.RunningAppProcessInfo proc = (android.app.ActivityManager.RunningAppProcessInfo) procs.get(i);
                if (proc.importance == 100) {
                    java.lang.StringBuilder stringBuilder;
                    if ("com.alipay.security.mobile.authentication.huawei".equals(proc.processName)) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("ForegroundActivity is ");
                        stringBuilder.append(proc.processName);
                        stringBuilder.append("need liveness auth");
                        android.util.Slog.w("HwFingerprintService", stringBuilder.toString());
                        return 1;
                    } else if ("com.huawei.wallet".equals(proc.processName)) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("ForegroundActivity is ");
                        stringBuilder.append(proc.processName);
                        stringBuilder.append("need liveness auth");
                        android.util.Slog.w("HwFingerprintService", stringBuilder.toString());
                        return 1;
                    } else if ("com.huawei.android.hwpay".equals(proc.processName)) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("ForegroundActivity is ");
                        stringBuilder.append(proc.processName);
                        stringBuilder.append("need liveness auth");
                        android.util.Slog.w("HwFingerprintService", stringBuilder.toString());
                        return 1;
                    }
                }
            }
            return 0;
        } catch (android.os.RemoteException e) {
            android.util.Slog.w("HwFingerprintService", "am.getRunningAppProcesses() failed in checkForegroundNeedLiveness");
        }
    }

    private int checkNeedLivenessList(java.lang.String opPackageName) {
        android.util.Slog.w("HwFingerprintService", "checkNeedLivenessList:start");
        if (opPackageName == null || opPackageName.equals("com.android.keyguard")) {
            return 0;
        }
        if (opPackageName.equals("com.huawei.securitymgr")) {
            return checkForegroundNeedLiveness();
        }
        if (opPackageName.equals("com.eg.android.AlipayGphone") || opPackageName.equals("fido") || opPackageName.equals("com.alipay.security.mobile.authentication.huawei") || opPackageName.equals("com.huawei.wallet") || opPackageName.equals("com.huawei.android.hwpay")) {
            return 1;
        }
        return 0;
    }

    protected void setLivenessSwitch(java.lang.String opPackageName) {
        android.util.Slog.w("HwFingerprintService", "setLivenessSwitch:start");
        if ((!mLivenessNeedBetaQualification || isBetaUser()) && isFingerprintDReady()) {
            int NEED_LIVENESS_AUTHENTICATION = checkNeedLivenessList(opPackageName);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("NEED_LIVENESS_AUTHENTICATION = ");
            stringBuilder.append(NEED_LIVENESS_AUTHENTICATION);
            android.util.Slog.w("HwFingerprintService", stringBuilder.toString());
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return;
            }
            try {
                daemon.setLivenessSwitch(NEED_LIVENESS_AUTHENTICATION);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("setLivenessSwitch RemoteException:");
                stringBuilder2.append(e);
                android.util.Slog.e("HwFingerprintService", stringBuilder2.toString());
            }
            android.util.Slog.w("HwFingerprintService", "framework setLivenessSwitch is ok ---end");
        }
    }

    private boolean checkPackageName(java.lang.String opPackageName) {
        if (opPackageName == null || !opPackageName.equals("com.android.systemui")) {
            return false;
        }
        return true;
    }

    public boolean shouldAuthBothSpaceFingerprints(java.lang.String opPackageName, int flags) {
        if (!checkPackageName(opPackageName) || (33554432 & flags) == 0) {
            return false;
        }
        return true;
    }

    private com.android.server.fingerprint.HwFingerprintSets remoteGetOldData() {
        android.util.Slog.i("HwFingerprintService", "remoteGetOldData:start");
        if (!isFingerprintDReady()) {
            return null;
        }
        vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
        if (daemon == null) {
            android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
            return null;
        }
        com.android.server.fingerprint.HwFingerprintSets _result;
        java.util.ArrayList<java.lang.Integer> fingerprintInfo = new java.util.ArrayList();
        try {
            fingerprintInfo = daemon.getFpOldData();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("remoteGetOldData RemoteException:");
            stringBuilder.append(e);
            android.util.Slog.e("HwFingerprintService", stringBuilder.toString());
        }
        android.os.Parcel _reply = android.os.Parcel.obtain();
        int fingerprintInfoLen = fingerprintInfo.size();
        for (int i = 0; i < fingerprintInfoLen; i++) {
            int intValue = ((java.lang.Integer) fingerprintInfo.get(i)).intValue();
            if (intValue != -1) {
                _reply.writeInt(intValue);
            }
        }
        _reply.setDataPosition(0);
        if (_reply.readInt() != 0) {
            _result = (com.android.server.fingerprint.HwFingerprintSets) com.android.server.fingerprint.HwFingerprintSets.CREATOR.createFromParcel(_reply);
        } else {
            _result = null;
        }
        _reply.recycle();
        return _result;
    }

    private static boolean checkItemExist(int oldFpId, java.util.ArrayList<android.hardware.fingerprint.Fingerprint> fingerprints) {
        int size = fingerprints.size();
        for (int i = 0; i < size; i++) {
            if (((android.hardware.fingerprint.Fingerprint) fingerprints.get(i)).getFingerId() == oldFpId) {
                fingerprints.remove(i);
                return true;
            }
        }
        return false;
    }

    private boolean isFingerprintDReady() {
        if (getFingerprintDaemon() != null) {
            return true;
        }
        android.util.Slog.w("HwFingerprintService", "isFingerprintDReady: no fingeprintd!");
        return false;
    }

    protected void handleAuthenticated(long deviceId, int fingerId, int groupId, java.util.ArrayList<java.lang.Byte> token) {
        if (fingerId != 0) {
            com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().setFingerprintWakeup(true);
        }
        super.handleAuthenticated(deviceId, fingerId, groupId, token);
    }

    protected void stopPickupTrunOff() {
        if (com.android.server.policy.PickUpWakeScreenManager.isPickupSensorSupport(this.mContext) && com.android.server.policy.PickUpWakeScreenManager.getInstance() != null) {
            com.android.server.policy.PickUpWakeScreenManager.getInstance().stopTrunOffScrren();
        }
    }

    public void setPowerState(int powerState) {
        huawei.android.aod.HwAodManager.getInstance().setPowerState(powerState);
    }

    private int sendUnlockAndLightbright(int unlockType) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendUnlockAndLightbright unlockType:");
        stringBuilder.append(unlockType);
        android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
        int result = -1;
        if (2 == unlockType) {
            result = sendCommandToHal(201);
        } else if (1 == unlockType) {
            result = sendCommandToHal(200);
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("sendCommandToHal result:");
        stringBuilder2.append(result);
        android.util.Slog.d("HwFingerprintService", stringBuilder2.toString());
        return result;
    }

    private int getHighLightspotRadius() {
        android.util.Slog.d("HwFingerprintService", "getHighLightspotRadius start");
        int radius = 125;
        if (isFingerprintDReady()) {
            vendor.huawei.hardware.biometrics.fingerprint.V2_1.IExtBiometricsFingerprint daemon = getFingerprintDaemonEx();
            if (daemon == null) {
                android.util.Slog.e("HwFingerprintService", "Fingerprintd is not available!");
                return 125;
            }
            try {
                radius = daemon.sendCmdToHal(902);
            } catch (android.os.RemoteException e) {
                android.util.Slog.e("HwFingerprintService", "getHighLightspotRadius RemoteException");
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("fingerprintd getHighLightspotRadius = ");
            stringBuilder.append(radius);
            android.util.Slog.d("HwFingerprintService", stringBuilder.toString());
            return radius;
        }
        android.util.Slog.e("HwFingerprintService", "Fingerprintd is not ready!");
        return 125;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0029  */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x0026  */
    private void notifyCfgSettingsIfNeed(boolean r5) {
        /*
        r4 = this;
        r0 = r4.mContext;
        r0 = r0.getContentResolver();
        r1 = "face_bind_with_lock";
        r2 = 0;
        r1 = android.provider.Settings.Secure.getIntForUser(r0, r1, r2, r2);
        r3 = 1;
        if (r1 == r3) goto L_0x0022;
    L_0x0010:
        r1 = "face_recognize_unlock";
        r1 = android.provider.Settings.Secure.getIntForUser(r0, r1, r2, r2);
        if (r1 == r3) goto L_0x0022;
    L_0x0018:
        r1 = "face_recognize_slide_unlock";
        r1 = android.provider.Settings.Secure.getIntForUser(r0, r1, r2, r2);
        if (r1 != r3) goto L_0x0021;
    L_0x0020:
        goto L_0x0022;
    L_0x0021:
        goto L_0x0023;
    L_0x0022:
        r2 = r3;
    L_0x0023:
        r1 = r2;
        if (r1 == 0) goto L_0x0029;
    L_0x0026:
        r2 = 211; // 0xd3 float:2.96E-43 double:1.042E-321;
        goto L_0x002b;
    L_0x0029:
        r2 = 210; // 0xd2 float:2.94E-43 double:1.04E-321;
    L_0x002b:
        if (r5 != 0) goto L_0x0031;
    L_0x002d:
        r3 = r4.mIsFaceDetectEnabled;
        if (r1 == r3) goto L_0x0036;
    L_0x0031:
        r4.sendCommandToHal(r2);
        r4.mIsFaceDetectEnabled = r1;
    L_0x0036:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.fingerprint.HwFingerprintService.notifyCfgSettingsIfNeed(boolean):void");
    }

    private void listenCfgChange() {
        android.content.ContentResolver resolver = this.mContext.getContentResolver();
        resolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("face_bind_with_lock"), false, this.mSettingsObserver, 0);
        resolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("face_recognize_slide_unlock"), false, this.mSettingsObserver, 0);
        resolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("face_recognize_unlock"), false, this.mSettingsObserver, 0);
    }
}
