package com.android.server.hidata.appqoe;

public class HwAPKQoEQualityMonitorCell {
    public static final int DATA_SEND_TO_HIDATA_APP_QOE_CHR_PARAMS = 2;
    public static final int DATA_SEND_TO_HIDATA_APP_QOE_EXPERIENCE_LEVEL = 1;
    public static final int HIDATA_APP_QOE_EXPERIENCE_LEVEL_BAD = 1;
    public static final int HIDATA_APP_QOE_EXPERIENCE_LEVEL_GOOD = 2;
    public static final int HIDATA_APP_QOE_EXPERIENCE_LEVEL_UNKNOW = 3;
    public static final int HIDATA_GET_CELLULAR_APP_QOE_CHR_PARAMS = 305;
    public static final int HIDATA_START_CELLULAR_APP_QOE_MONITOR = 301;
    public static final int HIDATA_STOP_CELLULAR_APP_QOE_MONITOR = 302;
    private static java.lang.String TAG = "HiData_HwAPKQoEQualityMonitorCell";
    private static com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell mHwAPKQoEQualityMonitorCell = null;
    private android.net.booster.IHwCommBoosterServiceManager bm = null;
    private com.android.server.hidata.appqoe.HwAPPStateInfo curAppStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    private com.android.server.hidata.appqoe.HwAPPChrExcpInfo mAPPQoEInfo = new com.android.server.hidata.appqoe.HwAPPChrExcpInfo();
    private android.net.booster.IHwCommBoosterCallback mIHwCommBoosterCallback = new android.net.booster.IHwCommBoosterCallback.Stub() {
        public void callBack(int type, android.os.Bundle b) throws android.os.RemoteException {
            if (b != null) {
                java.lang.String access$000;
                java.lang.StringBuilder stringBuilder;
                switch (type) {
                    case 1:
                        int level = b.getInt("cellularAppQoeExpLevel");
                        access$000 = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Call Back, level:");
                        stringBuilder.append(level);
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$000, stringBuilder.toString());
                        if (1 != level) {
                            if (2 == level) {
                                com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.stmHandler.sendMessage(com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.stmHandler.obtainMessage(106, com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.curAppStateInfo));
                                break;
                            }
                        }
                        com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.stmHandler.sendMessage(com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.stmHandler.obtainMessage(107, com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.curAppStateInfo));
                        break;
                        break;
                    case 2:
                        synchronized (com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mLock) {
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.netType = 801;
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.rtt = b.getInt("rtt", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.txPacket = b.getInt("txPacket", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.txByte = b.getInt("txByte", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.rxPacket = b.getInt("rxPacket", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.rxByte = b.getInt("rxByte", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.rsPacket = b.getInt("rtsPacket", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.para1 = b.getInt("para1", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.para2 = b.getInt("para2", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.para3 = b.getInt("para3", -1);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.para4 = b.getInt("para4", -1);
                            access$000 = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.TAG;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("DATA_SEND_TO_HIDATA_APP_QOE_CHR_PARAMS, mAPPQoEInfo:");
                            stringBuilder.append(com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.mAPPQoEInfo.toString());
                            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$000, stringBuilder.toString());
                        }
                        com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.this.stmHandler.sendEmptyMessage(204);
                        break;
                    default:
                        break;
                }
            }
        }
    };
    private com.android.server.hidata.appqoe.HwAPPQoEUserLearning mLearningManager;
    private java.lang.Object mLock = new java.lang.Object();
    private android.os.Handler stmHandler = null;

    private HwAPKQoEQualityMonitorCell(android.os.Handler handler) {
        this.stmHandler = handler;
        initCommBoosterManager();
    }

    protected static com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell createQualityMonitorCell(android.os.Handler handler) {
        if (mHwAPKQoEQualityMonitorCell == null) {
            mHwAPKQoEQualityMonitorCell = new com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell(handler);
        }
        return mHwAPKQoEQualityMonitorCell;
    }

    public static com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell getInstance() {
        return mHwAPKQoEQualityMonitorCell;
    }

    public void startMonitor(com.android.server.hidata.appqoe.HwAPPStateInfo newAPPStateInfo) {
        if (newAPPStateInfo == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "startMonitor, input null");
            return;
        }
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startAPPMonitor -- newAPPStateInfo:");
        stringBuilder.append(newAPPStateInfo.toString());
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (newAPPStateInfo.mAppId != this.curAppStateInfo.mAppId) {
            sendScenceStartToCellMonitor(newAPPStateInfo);
        } else if (newAPPStateInfo.mAppPeriod != this.curAppStateInfo.mAppPeriod) {
            sendScenceEndToCellMonitor(this.curAppStateInfo);
            sendScenceStartToCellMonitor(newAPPStateInfo);
        }
        this.curAppStateInfo.copyObjectValue(newAPPStateInfo);
    }

    public void stopMonitor() {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("stopAPPMonitor -- curAppStateInfo:");
        stringBuilder.append(this.curAppStateInfo.toString());
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        sendScenceEndToCellMonitor(this.curAppStateInfo);
        this.curAppStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    }

    public com.android.server.hidata.appqoe.HwAPPChrExcpInfo getAPPQoEInfo() {
        com.android.server.hidata.appqoe.HwAPPChrExcpInfo hwAPPChrExcpInfo;
        synchronized (this.mLock) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("curAPPQoEInfo:");
            stringBuilder.append(this.mAPPQoEInfo.toString());
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
            hwAPPChrExcpInfo = this.mAPPQoEInfo;
        }
        return hwAPPChrExcpInfo;
    }

    public void sendScenceStartToCellMonitor(com.android.server.hidata.appqoe.HwAPPStateInfo newAPPStateInfo) {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sendScenceStartToCellMonitor enter");
        if (this.bm == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sendScenceStartToCellMonitor:null HwCommBoosterServiceManager");
        } else if (-1 != newAPPStateInfo.mAppPeriod) {
            int appPeriod;
            if (this.mLearningManager == null) {
                appPeriod = newAPPStateInfo.mAppPeriod * 1000;
            } else if (this.mLearningManager.getUserTypeByAppId(newAPPStateInfo.mAppId) == 1) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, " sendScenceStartToCellMonitor is a COMMON user");
                appPeriod = (newAPPStateInfo.mAppPeriod * 2) * 1000;
            } else {
                appPeriod = newAPPStateInfo.mAppPeriod * 1000;
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, " sendScenceStartToCellMonitor is a USER_TYPE_RADICAL user");
            }
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendScenceStartToCellMonitor:appPeriod is ");
            stringBuilder.append(appPeriod);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
            int appPeriod2 = new android.os.Bundle();
            appPeriod2.putInt("appUid", newAPPStateInfo.mAppUID);
            appPeriod2.putInt("qoeInfoReportPeriod", appPeriod);
            int ret = this.bm.reportBoosterPara("com.android.server.hidata.appqoe", 301, appPeriod2);
            if (ret != 0) {
                java.lang.String str2 = TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("reportBoosterPara failed, ret=");
                stringBuilder2.append(ret);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str2, stringBuilder2.toString());
            }
        } else {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sendScenceStartToCellMonitor:invalid appPeriod");
        }
    }

    public void sendScenceEndToCellMonitor(com.android.server.hidata.appqoe.HwAPPStateInfo newAPPStateInfo) {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sendScenceEndToCellMonitor enter");
        if (this.bm == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sendScenceEndToCellMonitor:null HwCommBoosterServiceManager");
            return;
        }
        android.os.Bundle data = new android.os.Bundle();
        data.putInt("appUid", newAPPStateInfo.mAppUID);
        data.putInt("qoeInfoReportPeriod", -1);
        int ret = this.bm.reportBoosterPara("com.android.server.hidata.appqoe", 302, data);
        if (ret != 0) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportBoosterPara failed, ret=");
            stringBuilder.append(ret);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        }
    }

    public void sendGetAppQoeChrMsg() {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sendGetAppQoeChrMsg enter");
        if (this.bm == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sendGetAppQoeChrMsg:null HwCommBoosterServiceManager");
            return;
        }
        android.os.Bundle data = new android.os.Bundle();
        data.putInt("getChr", 1);
        int ret = this.bm.reportBoosterPara("com.android.server.hidata.appqoe", 305, data);
        if (ret != 0) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportBoosterPara failed, ret=");
            stringBuilder.append(ret);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        }
    }

    private void registerBoosterCallback() {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "registerBoosterCallback enter");
        if (this.bm != null) {
            int ret = this.bm.registerCallBack("com.android.server.hidata.appqoe", this.mIHwCommBoosterCallback);
            if (ret != 0) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("registerBoosterCallback:registerCallBack failed, ret=");
                stringBuilder.append(ret);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
            }
            return;
        }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "registerBoosterCallback:null HwCommBoosterServiceManager");
    }

    private void initCommBoosterManager() {
        this.bm = android.common.HwFrameworkFactory.getHwCommBoosterServiceManager();
        this.mLearningManager = com.android.server.hidata.appqoe.HwAPPQoEUserLearning.getInstance();
        registerBoosterCallback();
    }
}
