package com.android.server.hidata.appqoe;

public class HwAPPQoEGameCallback extends android.os.Binder implements android.os.IInterface {
    public static final java.lang.String GAME_SDK_INDEX_PKG = "pkg";
    public static final java.lang.String GAME_SDK_INDEX_RTT = "7";
    public static final java.lang.String GAME_SDK_INDEX_SCENCE = "1";
    public static final java.lang.String GAME_SDK_INDEX_STATE = "10001";
    public static final java.lang.String GAME_SDK_INDEX_UID = "uid";
    public static final java.lang.String GAME_SDK_SCENCE_DEFAULT = "0";
    public static final java.lang.String GAME_SDK_SCENCE_IN_WAR = "7";
    public static final java.lang.String GAME_SDK_SCENCE_LOGINING = "3";
    public static final java.lang.String GAME_SDK_SCENCE_MAIN_VIEW = "4";
    public static final java.lang.String GAME_SDK_SCENCE_OTHER_LOADING = "6";
    public static final java.lang.String GAME_SDK_SCENCE_SELF_LOADING = "5";
    public static final java.lang.String GAME_SDK_SCENCE_STARTING = "1";
    public static final java.lang.String GAME_SDK_SCENCE_UPDATEING = "2";
    public static final java.lang.String GAME_SDK_STATE_BACKGROUND = "3";
    public static final java.lang.String GAME_SDK_STATE_DEFAULT = "0";
    public static final java.lang.String GAME_SDK_STATE_DIE = "5";
    public static final java.lang.String GAME_SDK_STATE_FORGROUND = "4";
    public static final java.lang.String HYXD_SDK_SCENCE_ON_ABOARD = "100";
    public static final java.lang.String HYXD_SDK_SCENCE_ON_JUMP = "101";
    public static final java.lang.String HYXD_SDK_SCENCE_ON_LANDED = "102";
    public static final java.lang.String JDQS_SDK_SCENCE_ON_LANDED = "103";
    private static final java.lang.String SDK_CALLBACK_DESCRIPTOR = "com.huawei.iaware.sdk.ISDKCallbak";
    public static final java.lang.String SGAME_SDK_INDEX_RTT = "12";
    public static final java.lang.String SGAME_SDK_INDEX_SCENCE = "4";
    private static final java.lang.String TAG = "HiData_HwAPPQoEGameCallback";
    private static final int TRANSACTION_updatePhoneInfo = 1;
    private com.android.server.hidata.appqoe.HwAPPStateInfo lastAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    private java.util.List<com.android.server.hidata.appqoe.HwAPPQoEGameCallback.GameStateInfo> mGamStateInfoList = new java.util.ArrayList();
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger = null;

    public static class GameStateInfo {
        public int curRTT = -1;
        public int curScence = 200001;
        public int curState = 100;
        public int curUID = -1;
        public int mAppId;
        public java.lang.String mPackageName;
        public int prevScence = 200001;
        public int prevState = 100;

        public GameStateInfo(int gameId, java.lang.String packageName) {
            this.mPackageName = packageName;
            this.mAppId = gameId;
        }

        public void initGameStateInfoPara() {
            this.curScence = 200001;
            this.curRTT = -1;
            this.curUID = -1;
            this.curState = 100;
            this.prevState = 100;
            this.prevScence = 200001;
        }
    }

    public HwAPPQoEGameCallback() {
        attachInterface(this, "com.huawei.iaware.sdk.ISDKCallbak");
        this.mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        if (code < 1 || code > 16777215) {
            return super.onTransact(code, data, reply, flags);
        }
        if (code != 1) {
            return false;
        }
        try {
            data.enforceInterface("com.huawei.iaware.sdk.ISDKCallbak");
            resolveCallBackData(data.readString());
            return true;
        } catch (java.lang.SecurityException e) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEGameCallback", "onTransact, SecurityException");
            return false;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x0112  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x0118  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0117  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0129  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x013e  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0134  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x012a  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x014a  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0157  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0152  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x014b  */
    public void resolveCallBackData(java.lang.String r12) {
        /*
        r11 = this;
        r0 = "HiData_HwAPPQoEGameCallback";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "resolveCallBackData, info: ";
        r1.append(r2);
        r1.append(r12);
        r1 = r1.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
        r0 = 0;
        r1 = "None";
        r2 = 0;
        r3 = "0";
        r4 = "0";
        r5 = new org.json.JSONObject;	 Catch:{ Exception -> 0x0160 }
        r5.<init>(r12);	 Catch:{ Exception -> 0x0160 }
        r2 = r5;
        r5 = "pkg";
        r6 = "None";
        r5 = r2.optString(r5, r6);	 Catch:{ Exception -> 0x0160 }
        r1 = r5;
        r5 = r11.getGameStateByName(r1);	 Catch:{ Exception -> 0x0160 }
        r0 = r5;
        if (r0 != 0) goto L_0x003c;
    L_0x0034:
        r5 = "HiData_HwAPPQoEGameCallback";
        r6 = "resolveCallBackData, game not configed";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r5, r6);	 Catch:{ Exception -> 0x0160 }
        return;
    L_0x003c:
        r5 = "10001";
        r6 = "0";
        r5 = r2.optString(r5, r6);	 Catch:{ Exception -> 0x0160 }
        r4 = r5;
        r5 = "uid";
        r6 = r0.curUID;	 Catch:{ Exception -> 0x0160 }
        r5 = r2.optInt(r5, r6);	 Catch:{ Exception -> 0x0160 }
        r0.curUID = r5;	 Catch:{ Exception -> 0x0160 }
        r5 = "com.tencent.tmgp.sgame";
        r5 = r1.equals(r5);	 Catch:{ Exception -> 0x0160 }
        r6 = -1;
        if (r5 == 0) goto L_0x006b;
    L_0x0059:
        r5 = "4";
        r7 = "0";
        r5 = r2.optString(r5, r7);	 Catch:{ Exception -> 0x0160 }
        r3 = r5;
        r5 = "12";
        r5 = r2.optInt(r5, r6);	 Catch:{ Exception -> 0x0160 }
        r0.curRTT = r5;	 Catch:{ Exception -> 0x0160 }
        goto L_0x007c;
    L_0x006b:
        r5 = "1";
        r7 = "0";
        r5 = r2.optString(r5, r7);	 Catch:{ Exception -> 0x0160 }
        r3 = r5;
        r5 = "7";
        r5 = r2.optInt(r5, r6);	 Catch:{ Exception -> 0x0160 }
        r0.curRTT = r5;	 Catch:{ Exception -> 0x0160 }
        r5 = "HiData_HwAPPQoEGameCallback";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "resolveCallBackData, scence: ";
        r7.append(r8);
        r7.append(r3);
        r8 = ", state:";
        r7.append(r8);
        r7.append(r4);
        r8 = ", tempRTT: ";
        r7.append(r8);
        r8 = r0.curRTT;
        r7.append(r8);
        r7 = r7.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r5, r7);
        r5 = r0.curScence;
        r0.prevScence = r5;
        r5 = r3.hashCode();
        r7 = 48;
        r8 = 0;
        r9 = 1;
        r10 = 2;
        if (r5 == r7) goto L_0x0101;
    L_0x00b4:
        switch(r5) {
            case 53: goto L_0x00f7;
            case 54: goto L_0x00ed;
            case 55: goto L_0x00e3;
            default: goto L_0x00b7;
        };
    L_0x00b7:
        switch(r5) {
            case 48625: goto L_0x00d9;
            case 48626: goto L_0x00cf;
            case 48627: goto L_0x00c5;
            case 48628: goto L_0x00bb;
            default: goto L_0x00ba;
        };
    L_0x00ba:
        goto L_0x010b;
    L_0x00bb:
        r5 = "103";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x00c3:
        r5 = 6;
        goto L_0x010c;
    L_0x00c5:
        r5 = "102";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x00cd:
        r5 = 5;
        goto L_0x010c;
    L_0x00cf:
        r5 = "101";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x00d7:
        r5 = 4;
        goto L_0x010c;
    L_0x00d9:
        r5 = "100";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x00e1:
        r5 = 3;
        goto L_0x010c;
    L_0x00e3:
        r5 = "7";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x00eb:
        r5 = r10;
        goto L_0x010c;
    L_0x00ed:
        r5 = "6";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x00f5:
        r5 = r9;
        goto L_0x010c;
    L_0x00f7:
        r5 = "5";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x00ff:
        r5 = r8;
        goto L_0x010c;
    L_0x0101:
        r5 = "0";
        r5 = r3.equals(r5);
        if (r5 == 0) goto L_0x010b;
    L_0x0109:
        r5 = 7;
        goto L_0x010c;
    L_0x010b:
        r5 = r6;
    L_0x010c:
        r7 = 200001; // 0x30d41 float:2.80261E-40 double:9.88136E-319;
        switch(r5) {
            case 0: goto L_0x0118;
            case 1: goto L_0x0118;
            case 2: goto L_0x0118;
            case 3: goto L_0x0118;
            case 4: goto L_0x0118;
            case 5: goto L_0x0118;
            case 6: goto L_0x0118;
            case 7: goto L_0x0117;
            default: goto L_0x0112;
        };
    L_0x0112:
        r0.curScence = r7;
        r0.curRTT = r6;
        goto L_0x011e;
    L_0x0117:
        goto L_0x011e;
    L_0x0118:
        r5 = 200002; // 0x30d42 float:2.80262E-40 double:9.8814E-319;
        r0.curScence = r5;
    L_0x011e:
        r5 = r0.curState;
        r0.prevState = r5;
        r5 = r4.hashCode();
        switch(r5) {
            case 51: goto L_0x013e;
            case 52: goto L_0x0134;
            case 53: goto L_0x012a;
            default: goto L_0x0129;
        };
    L_0x0129:
        goto L_0x0147;
    L_0x012a:
        r5 = "5";
        r5 = r4.equals(r5);
        if (r5 == 0) goto L_0x0147;
    L_0x0132:
        r6 = r10;
        goto L_0x0147;
    L_0x0134:
        r5 = "4";
        r5 = r4.equals(r5);
        if (r5 == 0) goto L_0x0147;
    L_0x013c:
        r6 = r8;
        goto L_0x0147;
    L_0x013e:
        r5 = "3";
        r5 = r4.equals(r5);
        if (r5 == 0) goto L_0x0147;
    L_0x0146:
        r6 = r9;
    L_0x0147:
        switch(r6) {
            case 0: goto L_0x0157;
            case 1: goto L_0x0152;
            case 2: goto L_0x014b;
            default: goto L_0x014a;
        };
    L_0x014a:
        goto L_0x015c;
    L_0x014b:
        r5 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        r0.curState = r5;
        r0.curScence = r7;
        goto L_0x015c;
    L_0x0152:
        r5 = 104; // 0x68 float:1.46E-43 double:5.14E-322;
        r0.curState = r5;
        goto L_0x015c;
    L_0x0157:
        r5 = 100;
        r0.curState = r5;
    L_0x015c:
        r11.handleGameStateChange(r0);
        return;
    L_0x0160:
        r5 = move-exception;
        r6 = "HiData_HwAPPQoEGameCallback";
        r7 = "JSONObject error";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r6, r7);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEGameCallback.resolveCallBackData(java.lang.String):void");
    }

    public void handleGameStateChange(com.android.server.hidata.appqoe.HwAPPQoEGameCallback.GameStateInfo gameStateInfo) {
        com.android.server.hidata.appqoe.HwAPPStateInfo curAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        curAPPStateInfo.mAppId = gameStateInfo.mAppId;
        curAPPStateInfo.mAppType = 2000;
        curAPPStateInfo.mScenceId = gameStateInfo.curScence;
        curAPPStateInfo.mAppUID = gameStateInfo.curUID;
        curAPPStateInfo.mAppRTT = gameStateInfo.curRTT;
        if (-1 != this.lastAPPStateInfo.mAppUID && this.lastAPPStateInfo.mAppUID != gameStateInfo.curUID && 104 == gameStateInfo.curState && gameStateInfo.curState == gameStateInfo.prevState) {
            return;
        }
        if (this.lastAPPStateInfo.isObjectValueEqual(curAPPStateInfo) && gameStateInfo.prevState == gameStateInfo.curState) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEGameCallback", "handleSgameChange, game state not changed");
            return;
        }
        int tempState = updateGameStateBeforeSent(gameStateInfo);
        if (-1 != tempState) {
            com.android.server.hidata.appqoe.HwAPPQoEContentAware.sentNotificationToSTM(curAPPStateInfo, tempState);
        }
        this.lastAPPStateInfo.copyObjectValue(curAPPStateInfo);
        if (101 == gameStateInfo.curState) {
            gameStateInfo.initGameStateInfoPara();
            this.lastAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        }
    }

    private int updateGameStateBeforeSent(com.android.server.hidata.appqoe.HwAPPQoEGameCallback.GameStateInfo gameStateInfo) {
        int tempState = gameStateInfo.curState;
        if (100 == gameStateInfo.curState && gameStateInfo.prevState == gameStateInfo.curState) {
            if (gameStateInfo.prevScence != gameStateInfo.curScence) {
                return 102;
            }
            if (200002 == gameStateInfo.curScence) {
                return 105;
            }
            return tempState;
        } else if (104 == gameStateInfo.curState && gameStateInfo.prevState == gameStateInfo.curState) {
            return -1;
        } else {
            return tempState;
        }
    }

    public com.android.server.hidata.appqoe.HwAPPQoEGameCallback.GameStateInfo getGameStateByName(java.lang.String packageName) {
        if (packageName == null) {
            return null;
        }
        for (com.android.server.hidata.appqoe.HwAPPQoEGameCallback.GameStateInfo tempGameStateInfo : this.mGamStateInfoList) {
            if (tempGameStateInfo.mPackageName.equals(packageName)) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEGameCallback", "getGameStateByName, game found in gamestateinfo list");
                return tempGameStateInfo;
            }
        }
        com.android.server.hidata.appqoe.HwAPPQoEGameConfig gameConfig = this.mHwAPPQoEResourceManger.checkIsMonitorGameScence(packageName);
        if (gameConfig == null) {
            return null;
        }
        int gameId = new com.android.server.hidata.appqoe.HwAPPQoEGameCallback.GameStateInfo(gameConfig.mGameId, packageName);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEGameCallback", "getGameStateByName, generate new gamestateinfo instance");
        this.mGamStateInfoList.add(gameId);
        return gameId;
    }

    public android.os.IBinder asBinder() {
        return this;
    }
}
