package com.android.server.hidata.appqoe;

public class HwAPPQoEUserAction {
    public static final java.lang.String CHIPSET_TYPE_PROP = "ro.connectivity.sub_chiptype";
    private static final int INITIAL_USER_TYPE_CNT = 0;
    private static final java.lang.String TAG = "HiData_HwAPPQoEUserAction";
    private static final int USER_TYPE_CNT_THRESHOLD = 3;
    private static final int WIFI_BAD_SIGNAL_THRESHOLD = 1;
    private static final int WIFI_DISABLE_TIME_ADVANCED = 1000;
    private static final int WIFI_DISABLE_TIME_DELTA = 10000;
    private static com.android.server.hidata.appqoe.HwAPPQoEUserAction mUserAction = null;
    private com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiStateChangeInfo curWifiStateInfo = new com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiStateChangeInfo();
    private com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiSwitchChangeInfo currWifiDisableInfo = new com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiSwitchChangeInfo(-1);
    private android.content.IntentFilter intentFilter = new android.content.IntentFilter();
    private boolean isWifiConnected = false;
    private int lastWifiSwitchState = 4;
    private int mAppScenceId = -1;
    private android.content.BroadcastReceiver mBroadcastReceiver = new com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiBroadcastReceiver();
    private com.android.server.hidata.appqoe.HwAPPChrExcpReport mChrExcpReport = null;
    private com.huawei.lcagent.client.LogCollectManager mCollectManger = null;
    private android.content.Context mContext;
    private com.android.server.hidata.appqoe.HwAPPQoEDataBase mDataManger = null;
    private android.database.sqlite.SQLiteDatabase mDatabase = null;
    private boolean mIsDefaultRadicalUser = false;
    private java.lang.Object mSqlLock = new java.lang.Object();
    private int recentWifiRssi = -127;

    private class WifiBroadcastReceiver extends android.content.BroadcastReceiver {
        private WifiBroadcastReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            java.lang.StringBuilder stringBuilder;
            if ("android.net.wifi.WIFI_STATE_CHANGED".equals(action)) {
                int wifistatus = intent.getIntExtra("wifi_state", 4);
                if (wifistatus == 1) {
                    if (1 != com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.lastWifiSwitchState) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("WIFI_STATE_DISABLED:");
                        stringBuilder.append(wifistatus);
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder.toString());
                        com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.currWifiDisableInfo = new com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiSwitchChangeInfo(wifistatus);
                        com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.currWifiDisableInfo.wifiState.wifiDisconnTime = com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiDisconnTime;
                        com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.currWifiDisableInfo.wifiState.wifiSSID = com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiSSID;
                        com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.currWifiDisableInfo.wifiState.wifiRssi = com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiRssi;
                        com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.currWifiDisableInfo.wifiState.wifiFreq = com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiFreq;
                        com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.reportExceptionInfo();
                    }
                    com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.lastWifiSwitchState = wifistatus;
                } else if (wifistatus == 3) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("WIFI_STATE_ENABLED:");
                    stringBuilder.append(wifistatus);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder.toString());
                    com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.lastWifiSwitchState = wifistatus;
                }
            } else if ("android.net.wifi.STATE_CHANGE".equals(action)) {
                android.net.NetworkInfo netInfo = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
                if (netInfo == null) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", "NETWORK_STATE_CHANGED_ACTION, netInfo is null.");
                    return;
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("NETWORK_STATE_CHANGED_ACTION:");
                stringBuilder2.append(netInfo.getState());
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder2.toString());
                if (netInfo.getState() == android.net.NetworkInfo.State.CONNECTED) {
                    android.net.wifi.WifiManager mWifiManager = (android.net.wifi.WifiManager) com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.mContext.getSystemService("wifi");
                    if (mWifiManager != null) {
                        android.net.wifi.WifiInfo wifiInfo = mWifiManager.getConnectionInfo();
                        if (!(wifiInfo == null || com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.isWifiConnected)) {
                            com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo = new com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiStateChangeInfo();
                            com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiSSID = wifiInfo.getSSID();
                            com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiConnTime = java.lang.System.currentTimeMillis();
                            com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiFreq = wifiInfo.getFrequency();
                            com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.isWifiConnected = true;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("CONNECTED:");
                            stringBuilder3.append(com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiConnTime);
                            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder3.toString());
                        }
                    }
                } else if (netInfo.getState() == android.net.NetworkInfo.State.DISCONNECTED && com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiSSID != null && com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.isWifiConnected) {
                    com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiDisconnTime = java.lang.System.currentTimeMillis();
                    com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiRssi = com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.recentWifiRssi;
                    com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.isWifiConnected = false;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("DISCONNECTED:");
                    stringBuilder.append(com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.curWifiStateInfo.wifiDisconnTime);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder.toString());
                }
            } else if ("android.net.wifi.RSSI_CHANGED".equals(action)) {
                com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.recentWifiRssi = intent.getIntExtra("newRssi", -127);
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("RSSI_CHANGE:");
                stringBuilder4.append(com.android.server.hidata.appqoe.HwAPPQoEUserAction.this.recentWifiRssi);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder4.toString());
            }
        }
    }

    public static class WifiStateChangeInfo {
        public long wifiConnTime = -1;
        public long wifiDisconnTime = -1;
        public int wifiFreq = -1;
        public int wifiRssi = -1;
        public java.lang.String wifiSSID = "None";

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WifiStateChangeInfo:");
            stringBuilder.append(this.wifiConnTime);
            stringBuilder.append(",");
            stringBuilder.append(this.wifiDisconnTime);
            stringBuilder.append(",");
            stringBuilder.append(this.wifiSSID);
            stringBuilder.append(",");
            stringBuilder.append(this.wifiRssi);
            stringBuilder.append(",");
            stringBuilder.append(this.wifiFreq);
            return stringBuilder.toString();
        }
    }

    public static class WifiSwitchChangeInfo {
        public com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiStateChangeInfo wifiState = new com.android.server.hidata.appqoe.HwAPPQoEUserAction.WifiStateChangeInfo();
        public int wifiSwitchState;
        public long wifiSwitchTime = java.lang.System.currentTimeMillis();

        public WifiSwitchChangeInfo(int state) {
            this.wifiSwitchState = state;
        }
    }

    private HwAPPQoEUserAction(android.content.Context context) {
        this.mContext = context;
        this.mIsDefaultRadicalUser = isDefaultRadicalUser();
        registerBroadcastReceiver();
        this.mCollectManger = new com.huawei.lcagent.client.LogCollectManager(context);
        this.mChrExcpReport = com.android.server.hidata.appqoe.HwAPPChrExcpReport.getInstance();
        try {
            this.mDataManger = new com.android.server.hidata.appqoe.HwAPPQoEDataBase(context);
            this.mDatabase = this.mDataManger.getWritableDatabase();
        } catch (android.database.sqlite.SQLiteCantOpenDatabaseException e) {
            this.mDatabase = null;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Init Error:");
            stringBuilder.append(e);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder.toString());
        }
    }

    public static com.android.server.hidata.appqoe.HwAPPQoEUserAction createHwAPPQoEUserAction(android.content.Context context) {
        if (mUserAction == null) {
            mUserAction = new com.android.server.hidata.appqoe.HwAPPQoEUserAction(context);
        }
        return mUserAction;
    }

    public static com.android.server.hidata.appqoe.HwAPPQoEUserAction getInstance() {
        return mUserAction;
    }

    private void registerBroadcastReceiver() {
        this.intentFilter.addAction("android.net.wifi.WIFI_STATE_CHANGED");
        this.intentFilter.addAction("android.net.wifi.STATE_CHANGE");
        this.intentFilter.addAction("android.net.wifi.RSSI_CHANGED");
        this.mContext.registerReceiver(this.mBroadcastReceiver, this.intentFilter);
    }

    public void notifyAPPStateChange(long apkStartTime, long apkEndTime, int appId) {
        if (apkStartTime - 10000 <= this.currWifiDisableInfo.wifiSwitchTime) {
            if (apkEndTime >= this.currWifiDisableInfo.wifiSwitchTime) {
                if (this.currWifiDisableInfo.wifiSwitchState == 1) {
                    if (this.currWifiDisableInfo.wifiSwitchTime - this.currWifiDisableInfo.wifiState.wifiDisconnTime <= 1000) {
                        if (android.common.HwFrameworkFactory.getHwInnerWifiManager().calculateSignalLevelHW(this.currWifiDisableInfo.wifiState.wifiFreq, this.currWifiDisableInfo.wifiState.wifiRssi) > 1) {
                            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", "notifyAPPStateChange, wifi signal was better than threshold, RADICAL");
                            updateUserActionData(2, appId, this.currWifiDisableInfo.wifiState.wifiSSID);
                        }
                    }
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:23:0x00da, code:
            if (r12 != null) goto L_0x00dc;
     */
    public void updateUserActionData(int r22, int r23, java.lang.String r24) {
        /*
        r21 = this;
        r1 = r21;
        r2 = r22;
        r3 = r24;
        r4 = 0;
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 0;
        r0 = "HiData_HwAPPQoEUserAction";
        r9 = new java.lang.StringBuilder;
        r9.<init>();
        r10 = "updateUserActionData wifiSSID :";
        r9.append(r10);
        r9.append(r3);
        r10 = " appId = ";
        r9.append(r10);
        r10 = r23;
        r9.append(r10);
        r11 = " userType = ";
        r9.append(r11);
        r9.append(r2);
        r9 = r9.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r9);
        r9 = r21.getCurrentDefaultDataImsi();
        r11 = r1.mSqlLock;
        monitor-enter(r11);
        r0 = r1.mDatabase;	 Catch:{ all -> 0x01d7 }
        if (r0 == 0) goto L_0x01ce;
    L_0x003f:
        r0 = r1.mDatabase;	 Catch:{ all -> 0x01d7 }
        r0 = r0.isOpen();	 Catch:{ all -> 0x01d7 }
        if (r0 == 0) goto L_0x01ce;
    L_0x0047:
        if (r9 == 0) goto L_0x01ce;
    L_0x0049:
        if (r3 != 0) goto L_0x004d;
    L_0x004b:
        goto L_0x01ce;
    L_0x004d:
        r0 = 0;
        r12 = r0;
        r15 = 3;
        r0 = r1.mDatabase;	 Catch:{ SQLException -> 0x00e3 }
        r13 = "SELECT * FROM APPQoEUserAction where (wifiSSID like ?) and (cardInfo = ?) and (appId = ?)";
        r14 = new java.lang.String[r15];	 Catch:{ SQLException -> 0x00e3 }
        r18 = 0;
        r14[r18] = r3;	 Catch:{ SQLException -> 0x00e3 }
        r17 = 1;
        r14[r17] = r9;	 Catch:{ SQLException -> 0x00e3 }
        r19 = java.lang.String.valueOf(r23);	 Catch:{ SQLException -> 0x00e3 }
        r16 = 2;
        r14[r16] = r19;	 Catch:{ SQLException -> 0x00e3 }
        r0 = r0.rawQuery(r13, r14);	 Catch:{ SQLException -> 0x00e3 }
        r12 = r0;
        r0 = r12.getCount();	 Catch:{ SQLException -> 0x00e3 }
        if (r0 <= 0) goto L_0x00ad;
    L_0x0071:
        r0 = r12.moveToNext();	 Catch:{ SQLException -> 0x00e3 }
        if (r0 == 0) goto L_0x00ad;
    L_0x0077:
        r0 = "commonCnt";
        r0 = r12.getColumnIndex(r0);	 Catch:{ SQLException -> 0x00e3 }
        r0 = r12.getInt(r0);	 Catch:{ SQLException -> 0x00e3 }
        r6 = r0;
        r0 = "radicalCnt";
        r0 = r12.getColumnIndex(r0);	 Catch:{ SQLException -> 0x00e3 }
        r0 = r12.getInt(r0);	 Catch:{ SQLException -> 0x00e3 }
        r7 = r0;
        r8 = 1;
        r0 = "HiData_HwAPPQoEUserAction";
        r13 = new java.lang.StringBuilder;	 Catch:{ SQLException -> 0x00e3 }
        r13.<init>();	 Catch:{ SQLException -> 0x00e3 }
        r14 = "updateUserActionData cachedCommonCnt :";
        r13.append(r14);	 Catch:{ SQLException -> 0x00e3 }
        r13.append(r6);	 Catch:{ SQLException -> 0x00e3 }
        r14 = ", cachedRadicalCnt:";
        r13.append(r14);	 Catch:{ SQLException -> 0x00e3 }
        r13.append(r7);	 Catch:{ SQLException -> 0x00e3 }
        r13 = r13.toString();	 Catch:{ SQLException -> 0x00e3 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r13);	 Catch:{ SQLException -> 0x00e3 }
    L_0x00ad:
        r13 = 1;
        if (r13 != r2) goto L_0x00b6;
    L_0x00b0:
        r0 = 0;
        r6 = r6 + 1;
        r4 = r6;
    L_0x00b4:
        r5 = r0;
        goto L_0x00bb;
    L_0x00b6:
        r7 = r7 + 1;
        r0 = r7;
        r4 = 0;
        goto L_0x00b4;
    L_0x00bb:
        r0 = "HiData_HwAPPQoEUserAction";
        r13 = new java.lang.StringBuilder;	 Catch:{ SQLException -> 0x00e3 }
        r13.<init>();	 Catch:{ SQLException -> 0x00e3 }
        r14 = "updateUserActionData newRadicalCnt :";
        r13.append(r14);	 Catch:{ SQLException -> 0x00e3 }
        r13.append(r5);	 Catch:{ SQLException -> 0x00e3 }
        r14 = ", newCommonCnt:";
        r13.append(r14);	 Catch:{ SQLException -> 0x00e3 }
        r13.append(r4);	 Catch:{ SQLException -> 0x00e3 }
        r13 = r13.toString();	 Catch:{ SQLException -> 0x00e3 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r13);	 Catch:{ SQLException -> 0x00e3 }
        if (r12 == 0) goto L_0x00fe;
    L_0x00dc:
        r12.close();	 Catch:{ all -> 0x01d7 }
        goto L_0x00fe;
    L_0x00e0:
        r0 = move-exception;
        goto L_0x01c8;
    L_0x00e3:
        r0 = move-exception;
        r13 = "HiData_HwAPPQoEUserAction";
        r14 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00e0 }
        r14.<init>();	 Catch:{ all -> 0x00e0 }
        r15 = "updateUserActionData error:";
        r14.append(r15);	 Catch:{ all -> 0x00e0 }
        r14.append(r0);	 Catch:{ all -> 0x00e0 }
        r14 = r14.toString();	 Catch:{ all -> 0x00e0 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r13, r14);	 Catch:{ all -> 0x00e0 }
        if (r12 == 0) goto L_0x00fe;
    L_0x00fd:
        goto L_0x00dc;
    L_0x00fe:
        if (r8 == 0) goto L_0x0175;
    L_0x0100:
        r0 = "HiData_HwAPPQoEUserAction";
        r13 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0171 }
        r13.<init>();	 Catch:{ all -> 0x0171 }
        r14 = "updateUserActionData userType :";
        r13.append(r14);	 Catch:{ all -> 0x0171 }
        r13.append(r2);	 Catch:{ all -> 0x0171 }
        r14 = ", newCommonCnt:";
        r13.append(r14);	 Catch:{ all -> 0x0171 }
        r13.append(r4);	 Catch:{ all -> 0x0171 }
        r14 = ", newRadicalCnt:";
        r13.append(r14);	 Catch:{ all -> 0x0171 }
        r13.append(r5);	 Catch:{ all -> 0x0171 }
        r13 = r13.toString();	 Catch:{ all -> 0x0171 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r13);	 Catch:{ all -> 0x0171 }
        r0 = new android.content.ContentValues;	 Catch:{ all -> 0x0171 }
        r0.<init>();	 Catch:{ all -> 0x0171 }
        r13 = "appId";
        r14 = java.lang.Integer.valueOf(r23);	 Catch:{ all -> 0x0171 }
        r0.put(r13, r14);	 Catch:{ all -> 0x0171 }
        r13 = "wifiSSID";
        r0.put(r13, r3);	 Catch:{ all -> 0x0171 }
        r13 = "cardInfo";
        r0.put(r13, r9);	 Catch:{ all -> 0x0171 }
        r13 = "commonCnt";
        r14 = java.lang.Integer.valueOf(r4);	 Catch:{ all -> 0x0171 }
        r0.put(r13, r14);	 Catch:{ all -> 0x0171 }
        r13 = "radicalCnt";
        r14 = java.lang.Integer.valueOf(r5);	 Catch:{ all -> 0x0171 }
        r0.put(r13, r14);	 Catch:{ all -> 0x0171 }
        r13 = r1.mDatabase;	 Catch:{ all -> 0x0171 }
        r14 = "APPQoEUserAction";
        r15 = " (wifiSSID like ?) and (cardInfo = ?) and (appId = ?)";
        r20 = r6;
        r6 = 3;
        r6 = new java.lang.String[r6];	 Catch:{ all -> 0x01c4 }
        r18 = 0;
        r6[r18] = r3;	 Catch:{ all -> 0x01c4 }
        r17 = 1;
        r6[r17] = r9;	 Catch:{ all -> 0x01c4 }
        r17 = java.lang.String.valueOf(r23);	 Catch:{ all -> 0x01c4 }
        r16 = 2;
        r6[r16] = r17;	 Catch:{ all -> 0x01c4 }
        r13.update(r14, r0, r15, r6);	 Catch:{ all -> 0x01c4 }
        goto L_0x01c2;
    L_0x0171:
        r0 = move-exception;
        r20 = r6;
        goto L_0x01d8;
    L_0x0175:
        r20 = r6;
        r0 = "HiData_HwAPPQoEUserAction";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01c4 }
        r6.<init>();	 Catch:{ all -> 0x01c4 }
        r13 = "insert userType :";
        r6.append(r13);	 Catch:{ all -> 0x01c4 }
        r6.append(r2);	 Catch:{ all -> 0x01c4 }
        r13 = ", newCommonCnt:";
        r6.append(r13);	 Catch:{ all -> 0x01c4 }
        r6.append(r4);	 Catch:{ all -> 0x01c4 }
        r13 = ", newRadicalCnt:";
        r6.append(r13);	 Catch:{ all -> 0x01c4 }
        r6.append(r5);	 Catch:{ all -> 0x01c4 }
        r6 = r6.toString();	 Catch:{ all -> 0x01c4 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r6);	 Catch:{ all -> 0x01c4 }
        r0 = r1.mDatabase;	 Catch:{ all -> 0x01c4 }
        r6 = "INSERT INTO APPQoEUserAction VALUES(null, ?, ?, ?, ?, ?)";
        r13 = 5;
        r13 = new java.lang.Object[r13];	 Catch:{ all -> 0x01c4 }
        r14 = java.lang.Integer.valueOf(r23);	 Catch:{ all -> 0x01c4 }
        r15 = 0;
        r13[r15] = r14;	 Catch:{ all -> 0x01c4 }
        r14 = 1;
        r13[r14] = r3;	 Catch:{ all -> 0x01c4 }
        r14 = 2;
        r13[r14] = r9;	 Catch:{ all -> 0x01c4 }
        r14 = java.lang.Integer.valueOf(r4);	 Catch:{ all -> 0x01c4 }
        r15 = 3;
        r13[r15] = r14;	 Catch:{ all -> 0x01c4 }
        r14 = 4;
        r15 = java.lang.Integer.valueOf(r5);	 Catch:{ all -> 0x01c4 }
        r13[r14] = r15;	 Catch:{ all -> 0x01c4 }
        r0.execSQL(r6, r13);	 Catch:{ all -> 0x01c4 }
    L_0x01c2:
        monitor-exit(r11);	 Catch:{ all -> 0x01c4 }
        return;
    L_0x01c4:
        r0 = move-exception;
        r6 = r20;
        goto L_0x01d8;
    L_0x01c8:
        if (r12 == 0) goto L_0x01cd;
    L_0x01ca:
        r12.close();	 Catch:{ all -> 0x01d7 }
    L_0x01cd:
        throw r0;	 Catch:{ all -> 0x01d7 }
    L_0x01ce:
        r0 = "HiData_HwAPPQoEUserAction";
        r12 = "database invalid when update data.";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r12);	 Catch:{ all -> 0x01d7 }
        monitor-exit(r11);	 Catch:{ all -> 0x01d7 }
        return;
    L_0x01d7:
        r0 = move-exception;
    L_0x01d8:
        monitor-exit(r11);	 Catch:{ all -> 0x01d7 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEUserAction.updateUserActionData(int, int, java.lang.String):void");
    }

    public int getUserActionType(int appId) {
        int userType;
        synchronized (this.mSqlLock) {
            int number = queryUserActionData(this.curWifiStateInfo.wifiSSID, appId, getCurrentDefaultDataImsi());
            if (this.mIsDefaultRadicalUser) {
                if (number >= 3) {
                    userType = 1;
                } else {
                    userType = 2;
                }
            } else if (number >= 3) {
                userType = 2;
            } else {
                userType = 1;
            }
        }
        return userType;
    }

    /* JADX WARNING: Missing block: B:21:0x0057, code:
            if (r2 != null) goto L_0x0059;
     */
    private int queryUserActionData(java.lang.String r9, int r10, java.lang.String r11) {
        /*
        r8 = this;
        r0 = 0;
        r1 = r8.mSqlLock;
        monitor-enter(r1);
        r2 = r8.mDatabase;	 Catch:{ all -> 0x008a }
        if (r2 == 0) goto L_0x0081;
    L_0x0008:
        r2 = r8.mDatabase;	 Catch:{ all -> 0x008a }
        r2 = r2.isOpen();	 Catch:{ all -> 0x008a }
        if (r2 == 0) goto L_0x0081;
    L_0x0010:
        if (r11 == 0) goto L_0x0081;
    L_0x0012:
        if (r9 != 0) goto L_0x0016;
    L_0x0014:
        goto L_0x0081;
    L_0x0016:
        r2 = 0;
        r3 = r8.mDatabase;	 Catch:{ SQLException -> 0x005f }
        r4 = "SELECT * FROM APPQoEUserAction where (wifiSSID like ?) and (cardInfo = ?) and (appId = ?)";
        r5 = 3;
        r5 = new java.lang.String[r5];	 Catch:{ SQLException -> 0x005f }
        r6 = 0;
        r5[r6] = r9;	 Catch:{ SQLException -> 0x005f }
        r6 = 1;
        r5[r6] = r11;	 Catch:{ SQLException -> 0x005f }
        r6 = 2;
        r7 = java.lang.String.valueOf(r10);	 Catch:{ SQLException -> 0x005f }
        r5[r6] = r7;	 Catch:{ SQLException -> 0x005f }
        r3 = r3.rawQuery(r4, r5);	 Catch:{ SQLException -> 0x005f }
        r2 = r3;
        r3 = r2.getCount();	 Catch:{ SQLException -> 0x005f }
        if (r3 <= 0) goto L_0x0057;
    L_0x0036:
        r3 = r2.moveToNext();	 Catch:{ SQLException -> 0x005f }
        if (r3 == 0) goto L_0x0057;
    L_0x003c:
        r3 = r8.mIsDefaultRadicalUser;	 Catch:{ SQLException -> 0x005f }
        if (r3 == 0) goto L_0x004c;
    L_0x0040:
        r3 = "commonCnt";
        r3 = r2.getColumnIndex(r3);	 Catch:{ SQLException -> 0x005f }
        r3 = r2.getInt(r3);	 Catch:{ SQLException -> 0x005f }
        r0 = r3;
        goto L_0x0057;
    L_0x004c:
        r3 = "radicalCnt";
        r3 = r2.getColumnIndex(r3);	 Catch:{ SQLException -> 0x005f }
        r3 = r2.getInt(r3);	 Catch:{ SQLException -> 0x005f }
        r0 = r3;
    L_0x0057:
        if (r2 == 0) goto L_0x0079;
    L_0x0059:
        r2.close();	 Catch:{ all -> 0x008a }
        goto L_0x0079;
    L_0x005d:
        r3 = move-exception;
        goto L_0x007b;
    L_0x005f:
        r3 = move-exception;
        r4 = "HiData_HwAPPQoEUserAction";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x005d }
        r5.<init>();	 Catch:{ all -> 0x005d }
        r6 = "queryUserActionData error:";
        r5.append(r6);	 Catch:{ all -> 0x005d }
        r5.append(r3);	 Catch:{ all -> 0x005d }
        r5 = r5.toString();	 Catch:{ all -> 0x005d }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r4, r5);	 Catch:{ all -> 0x005d }
        if (r2 == 0) goto L_0x0079;
    L_0x0078:
        goto L_0x0059;
    L_0x0079:
        monitor-exit(r1);	 Catch:{ all -> 0x008a }
        return r0;
    L_0x007b:
        if (r2 == 0) goto L_0x0080;
    L_0x007d:
        r2.close();	 Catch:{ all -> 0x008a }
    L_0x0080:
        throw r3;	 Catch:{ all -> 0x008a }
    L_0x0081:
        r2 = "HiData_HwAPPQoEUserAction";
        r3 = "database invalid when get action data.";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r2, r3);	 Catch:{ all -> 0x008a }
        monitor-exit(r1);	 Catch:{ all -> 0x008a }
        return r0;
    L_0x008a:
        r2 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x008a }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEUserAction.queryUserActionData(java.lang.String, int, java.lang.String):int");
    }

    private java.lang.String getCurrentDefaultDataImsi() {
        if (this.mCollectManger == null) {
            return null;
        }
        android.telephony.TelephonyManager mTelephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        if (mTelephonyManager == null) {
            return null;
        }
        java.lang.String imsi = mTelephonyManager.getSubscriberId(android.telephony.SubscriptionManager.getDefaultDataSubscriptionId());
        if (imsi != null) {
            try {
                imsi = this.mCollectManger.doEncrypt(imsi);
            } catch (android.os.RemoteException ex) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get card info error:");
                stringBuilder.append(ex);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder.toString());
            }
        }
        return imsi;
    }

    public void setLatestAPPScenceId(int appScenceId) {
        this.mAppScenceId = appScenceId;
    }

    private void reportExceptionInfo() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("reportExceptionInfo, mAppScenceId:");
        stringBuilder.append(this.mAppScenceId);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder.toString());
        if (this.mAppScenceId > 0) {
            if (this.mChrExcpReport != null) {
                if (java.lang.System.currentTimeMillis() - this.currWifiDisableInfo.wifiState.wifiDisconnTime < 1000) {
                    this.mChrExcpReport.reportAPPQoExcpInfo(1, this.mAppScenceId);
                }
            }
        }
    }

    public void resetUserActionType(int appId) {
        if (this.curWifiStateInfo.wifiSSID != null) {
            if (!"None".equals(this.curWifiStateInfo.wifiSSID)) {
                updateUserActionData(1, appId, this.curWifiStateInfo.wifiSSID);
            }
        }
    }

    private boolean isDefaultRadicalUser() {
        java.lang.String chipset = android.os.SystemProperties.get("ro.connectivity.sub_chiptype", "none");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isDefaultRadicalUser, chipset = ");
        stringBuilder.append(chipset);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEUserAction", stringBuilder.toString());
        if (chipset == null || (!chipset.contains("4345") && !chipset.contains("4359") && !chipset.contains("1103"))) {
            return false;
        }
        return true;
    }
}
