package com.android.server.hidata.histream;

public class HwHistreamCHRStatisticsInfo {
    public java.lang.String mApkName = "None";
    public int mCallId = -1;
    public int mCallInCellularDur = 0;
    public int mCallInWiFiDur = 0;
    public long mCallStartTime = 0;
    public int mCellLv1Cnt = 0;
    public int mCellLv2Cnt = 0;
    public int mCellLv3Cnt = 0;
    public int mCelluarRxTup1 = -1;
    public int mCelluarRxTup2 = -1;
    public int mCelluarTxTup = -1;
    public com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic[] mCellularTraffic;
    public int mCurrNetwork = -1;
    public int mHicureEnCnt = 0;
    public int mHicureSucCnt = 0;
    public long mLastBadQoeTime = 0;
    public long mLastCellTime = 0;
    public int mLastHandoverCause = -1;
    public long mLastMplinkTime = 0;
    public int mLastQoe = -1;
    public long mLastUploadTime = 0;
    public long mLastWifiTime = 0;
    public int mMplinkDisFailCnt = 0;
    public int mMplinkDisStallCnt = 0;
    public int mMplinkDisWifiGoodCnt = 0;
    public int mMplinkDur = 0;
    public int mMplinkEnCnt = 0;
    public int mMplinkEnFailChQoeCnt = 0;
    public int mMplinkEnFailCnt = 0;
    public int mMplinkEnFailCoexistCnt = 0;
    public int mMplinkEnFailEnvironCnt = 0;
    public int mMplinkEnFailHistoryQoeCnt = 0;
    public int mMplinkEnFailPingPongCnt = 0;
    public int mMplinkEnTraf = 0;
    public long mMplinkStartTraffic = 0;
    public int mNum = 0;
    public int mScenario = -1;
    public int mStallSwitch0Cnt = 0;
    public int mStallSwitch1Cnt = 0;
    public int mStallSwitchAbove1Cnt = 0;
    public int mStallSwitchCnt = 0;
    public long mStartCellularTraffic = 0;
    public int mStartInCellularCnt = 0;
    public int mStartInWiFiCnt = 0;
    public int mSwitch2CellCnt = 0;
    public int mSwitch2WifiCnt = 0;
    public int mTafficPtr = 0;
    public int mTrfficCell = 0;
    public int mUid = -1;
    public int mUserType = 0;
    public int mVipSwitchCnt = 0;
    public int mWiFiLv1Cnt = 0;
    public int mWiFiLv2Cnt = 0;
    public int mWiFiLv3Cnt = 0;
    public int mWifiRxTup1 = -1;
    public int mWifiRxTup2 = -1;
    public com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic[] mWifiTraffic;
    public int mWifiTxTup = -1;

    public static class AppTraffic {
        public int rx = -1;
        public int tx = -1;
    }

    public HwHistreamCHRStatisticsInfo(java.lang.String apkName, int scenario, int uid) {
        this.mApkName = apkName;
        this.mScenario = scenario;
        this.mUid = uid;
        this.mNum = 1;
        this.mWifiTraffic = new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic[]{new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic()};
        this.mCellularTraffic = new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic[]{new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic(), new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic()};
    }

    public HwHistreamCHRStatisticsInfo(int scenario) {
        this.mScenario = scenario;
    }

    public void updateCHRStatisticsInfo(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo newInfo) {
        if (newInfo != null) {
            this.mNum += newInfo.mNum;
            this.mStartInWiFiCnt += newInfo.mStartInWiFiCnt;
            this.mStartInCellularCnt += newInfo.mStartInCellularCnt;
            this.mCallInCellularDur += newInfo.mCallInCellularDur;
            this.mCallInWiFiDur += newInfo.mCallInWiFiDur;
            this.mCellLv1Cnt += newInfo.mCellLv1Cnt;
            this.mCellLv2Cnt += newInfo.mCellLv2Cnt;
            this.mCellLv3Cnt += newInfo.mCellLv3Cnt;
            this.mWiFiLv1Cnt += newInfo.mWiFiLv1Cnt;
            this.mWiFiLv2Cnt += newInfo.mWiFiLv2Cnt;
            this.mWiFiLv3Cnt += newInfo.mWiFiLv3Cnt;
            this.mTrfficCell += newInfo.mTrfficCell;
            this.mVipSwitchCnt += newInfo.mVipSwitchCnt;
            this.mStallSwitchCnt += newInfo.mStallSwitchCnt;
            this.mStallSwitch0Cnt += newInfo.mStallSwitch0Cnt;
            this.mStallSwitch1Cnt += newInfo.mStallSwitch1Cnt;
            this.mStallSwitchAbove1Cnt += newInfo.mStallSwitchAbove1Cnt;
            this.mSwitch2CellCnt += newInfo.mSwitch2CellCnt;
            this.mSwitch2WifiCnt += newInfo.mSwitch2WifiCnt;
            this.mMplinkDur += newInfo.mMplinkDur;
            this.mMplinkEnCnt += newInfo.mMplinkEnCnt;
            this.mMplinkDisStallCnt += newInfo.mMplinkDisStallCnt;
            this.mMplinkDisWifiGoodCnt += newInfo.mMplinkDisWifiGoodCnt;
            this.mMplinkEnFailCnt += newInfo.mMplinkEnFailCnt;
            this.mMplinkDisFailCnt += newInfo.mMplinkDisFailCnt;
            this.mMplinkEnTraf += newInfo.mMplinkEnTraf;
            this.mMplinkEnFailEnvironCnt += newInfo.mMplinkEnFailEnvironCnt;
            this.mMplinkEnFailCoexistCnt += newInfo.mMplinkEnFailCoexistCnt;
            this.mMplinkEnFailPingPongCnt += newInfo.mMplinkEnFailPingPongCnt;
            this.mMplinkEnFailHistoryQoeCnt += newInfo.mMplinkEnFailHistoryQoeCnt;
            this.mMplinkEnFailChQoeCnt += newInfo.mMplinkEnFailChQoeCnt;
            this.mHicureEnCnt += newInfo.mHicureEnCnt;
            this.mHicureSucCnt += newInfo.mHicureSucCnt;
        }
    }

    public void printCHRStatisticsInfo() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("printCHRStatisticsInfo mNum = ");
        stringBuilder.append(this.mNum);
        stringBuilder.append(" mScenario = ");
        stringBuilder.append(this.mScenario);
        stringBuilder.append(" mStartInWiFiCnt = ");
        stringBuilder.append(this.mStartInWiFiCnt);
        stringBuilder.append(" mStartInCellularCnt = ");
        stringBuilder.append(this.mStartInCellularCnt);
        stringBuilder.append(" mCallInCellularDur = ");
        stringBuilder.append(this.mCallInCellularDur);
        stringBuilder.append(" mCallInWiFiDur = ");
        stringBuilder.append(this.mCallInWiFiDur);
        stringBuilder.append(" mCellLv1Cnt = ");
        stringBuilder.append(this.mCellLv1Cnt);
        stringBuilder.append(" mCellLv2Cnt = ");
        stringBuilder.append(this.mCellLv2Cnt);
        stringBuilder.append(" mCellLv3Cnt = ");
        stringBuilder.append(this.mCellLv3Cnt);
        stringBuilder.append(" mWiFiLv1Cnt = ");
        stringBuilder.append(this.mWiFiLv1Cnt);
        stringBuilder.append(" mWiFiLv2Cnt = ");
        stringBuilder.append(this.mWiFiLv2Cnt);
        stringBuilder.append(" mWiFiLv3Cnt = ");
        stringBuilder.append(this.mWiFiLv3Cnt);
        stringBuilder.append(" mTrfficCell = ");
        stringBuilder.append(this.mTrfficCell);
        stringBuilder.append(" mVipSwitchCnt = ");
        stringBuilder.append(this.mVipSwitchCnt);
        stringBuilder.append(" mStallSwitchCnt = ");
        stringBuilder.append(this.mStallSwitchCnt);
        stringBuilder.append(" mStallSwitch0Cnt = ");
        stringBuilder.append(this.mStallSwitch0Cnt);
        stringBuilder.append(" mStallSwitch1Cnt = ");
        stringBuilder.append(this.mStallSwitch1Cnt);
        stringBuilder.append(" mStallSwitchAbove1Cnt = ");
        stringBuilder.append(this.mStallSwitchAbove1Cnt);
        stringBuilder.append(" mSwitch2CellCnt = ");
        stringBuilder.append(this.mSwitch2CellCnt);
        stringBuilder.append(" mSwitch2WifiCnt = ");
        stringBuilder.append(this.mSwitch2WifiCnt);
        stringBuilder.append(" mMplinkDur = ");
        stringBuilder.append(this.mMplinkDur);
        stringBuilder.append(" mMplinkEnCnt = ");
        stringBuilder.append(this.mMplinkEnCnt);
        stringBuilder.append(" mMplinkDisStallCnt = ");
        stringBuilder.append(this.mMplinkDisStallCnt);
        stringBuilder.append(" mMplinkDisWifiGoodCnt = ");
        stringBuilder.append(this.mMplinkDisWifiGoodCnt);
        stringBuilder.append(" mMplinkEnFailCnt = ");
        stringBuilder.append(this.mMplinkEnFailCnt);
        stringBuilder.append(" mMplinkDisFailCnt = ");
        stringBuilder.append(this.mMplinkDisFailCnt);
        stringBuilder.append(" mMplinkEnTraf = ");
        stringBuilder.append(this.mMplinkEnTraf);
        stringBuilder.append(" mMplinkEnFailEnvironCnt = ");
        stringBuilder.append(this.mMplinkEnFailEnvironCnt);
        stringBuilder.append(" mMplinkEnFailCoexistCnt = ");
        stringBuilder.append(this.mMplinkEnFailCoexistCnt);
        stringBuilder.append(" mMplinkEnFailPingPongCnt = ");
        stringBuilder.append(this.mMplinkEnFailPingPongCnt);
        stringBuilder.append(" mMplinkEnFailHistoryQoeCnt = ");
        stringBuilder.append(this.mMplinkEnFailHistoryQoeCnt);
        stringBuilder.append(" mMplinkEnFailChQoeCnt = ");
        stringBuilder.append(this.mMplinkEnFailChQoeCnt);
        stringBuilder.append(" mHicureEnCnt = ");
        stringBuilder.append(this.mHicureEnCnt);
        stringBuilder.append(" mHicureSucCnt = ");
        stringBuilder.append(this.mHicureSucCnt);
        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
    }
}
