package com.android.server.hidata.wavemapping.chr;

public class BuildModelChrService {
    public com.android.server.hidata.wavemapping.chr.entity.StgUsageChrInfo getStgUsageChrInfo() {
        try {
            return new com.android.server.hidata.wavemapping.chr.entity.StgUsageChrInfo(((float) com.android.server.hidata.wavemapping.util.FileUtils.getDirSize(new java.io.File(com.android.server.hidata.wavemapping.cons.Constant.getDbPath()))) / 1024.0f, ((float) com.android.server.hidata.wavemapping.util.FileUtils.getDirSize(new java.io.File(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath()))) / 1024.0f, ((float) com.android.server.hidata.wavemapping.util.FileUtils.getDirSize(new java.io.File(com.android.server.hidata.wavemapping.cons.Constant.getModelPath()))) / 1024.0f, ((float) com.android.server.hidata.wavemapping.util.FileUtils.getDirSize(new java.io.File(com.android.server.hidata.wavemapping.cons.Constant.getLogPath()))) / 1024.0f, ((float) com.android.server.hidata.wavemapping.util.FileUtils.getDirSize(new java.io.File(com.android.server.hidata.wavemapping.cons.Constant.getDataPath()))) / 1024.0f, ((float) com.android.server.hidata.wavemapping.util.FileUtils.getDirSize(new java.io.File(com.android.server.hidata.wavemapping.cons.Constant.getROOTPath()))) / 1024.0f);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getStgUsageChrInfo,e:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return null;
        }
    }

    public void setApTableChrStatInfo(com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo) {
        if (buildModelChrInfo != null) {
            try {
                com.android.server.hidata.wavemapping.dao.EnterpriseApDAO enterpriseApDAO = new com.android.server.hidata.wavemapping.dao.EnterpriseApDAO();
                com.android.server.hidata.wavemapping.dao.MobileApDAO mobileApDAO = new com.android.server.hidata.wavemapping.dao.MobileApDAO();
                buildModelChrInfo.setTrainDataMain(enterpriseApDAO.findAllCount());
                buildModelChrInfo.setTestDataMain(mobileApDAO.findAllCountBySrctype(1));
                buildModelChrInfo.setUpdateMain(mobileApDAO.findAllCountBySrctype(2));
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setApTableChrStatInfo,e:");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        }
    }

    public void buildModelChrInfo(com.android.server.hidata.wavemapping.entity.ParameterInfo param, int trainRet, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo, int disCriminateRet) {
        if (buildModelChrInfo != null && param != null && placeInfo != null) {
            try {
                com.android.server.hidata.wavemapping.modelservice.ModelBaseService modelBaseService = new com.android.server.hidata.wavemapping.modelservice.ModelBaseService();
                buildModelChrInfo.setRetAll(trainRet);
                buildModelChrInfo.setRetMain(disCriminateRet);
                buildModelChrInfo.setMaxDistAll(param.getMaxDist());
                buildModelChrInfo.setModelAll(placeInfo.getModelName());
                buildModelChrInfo.setMaxDistCell(((float) com.android.server.hidata.wavemapping.util.FileUtils.getDirSize(new java.io.File(modelBaseService.getModelFilePath(placeInfo, param)))) / 1024.0f);
                java.lang.StringBuilder stringBuilder;
                if (commitChr(buildModelChrInfo)) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("buildModelChrInfo success,");
                    stringBuilder.append(buildModelChrInfo.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                    stringBuilder.append(",buildModelChrInfo success,");
                    stringBuilder.append(buildModelChrInfo.toString());
                    stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                    com.android.server.hidata.wavemapping.util.LogUtil.wtLogFile(stringBuilder.toString());
                } else {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("buildModelChrInfo failure,");
                    stringBuilder.append(buildModelChrInfo.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                    stringBuilder.append(",buildModelChrInfo failure,");
                    stringBuilder.append(buildModelChrInfo.toString());
                    stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                    com.android.server.hidata.wavemapping.util.LogUtil.wtLogFile(stringBuilder.toString());
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("commitBuildModelChr,e:");
                stringBuilder2.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            }
        }
    }

    public void setBuildModelChrInfo(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo, com.android.server.hidata.wavemapping.chr.BuildModelChrService buildModelChrService) {
        if (buildModelChrInfo != null && param != null && placeInfo != null) {
            buildModelChrInfo.setLoc(place);
            buildModelChrInfo.setBatchAll(placeInfo.getBatch());
            buildModelChrInfo.setFingerAll(placeInfo.getFingerNum());
            buildModelChrInfo.setLabel(param.isMainAp());
            buildModelChrInfo.setConfigVerAll(param.getConfig_ver());
            buildModelChrInfo.setStorage(getStgUsageChrInfo());
            setApTableChrStatInfo(buildModelChrInfo);
        }
    }

    /* JADX WARNING: Missing block: B:8:0x0212, code:
            if (r1 != null) goto L_0x0214;
     */
    public boolean commitChr(com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo r8) {
        /*
        r7 = this;
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = 0;
        r4 = 909002051; // 0x362e4543 float:2.5968336E-6 double:4.491066854E-315;
        r4 = android.util.IMonitor.openEventStream(r4);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0 = r4;
        r4 = 909009055; // 0x362e609f float:2.5984261E-6 double:4.49110146E-315;
        r4 = android.util.IMonitor.openEventStream(r4);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1 = r4;
        r4 = 909009056; // 0x362e60a0 float:2.5984264E-6 double:4.491101463E-315;
        r4 = android.util.IMonitor.openEventStream(r4);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r2 = r4;
        r4 = "loc";
        r5 = r8.getLoc();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "batchA";
        r5 = r8.getBatchAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "fingA";
        r5 = r8.getFingerAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "retA";
        r5 = r8.getRetAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "trainA";
        r5 = r8.getTrainDataAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "testA";
        r5 = r8.getTestDataAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "updA";
        r5 = r8.getUpdateAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "firstA";
        r5 = r8.getFirstTimeAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "modA";
        r5 = r8.getModelAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "mDistA";
        r5 = r8.getMaxDistAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "cfgA";
        r5 = r8.getConfigVerAll();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "batchM";
        r5 = r8.getBatchMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "fingM";
        r5 = r8.getFingerMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "retM";
        r5 = r8.getRetMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "trainM";
        r5 = r8.getTrainDataMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "testM";
        r5 = r8.getTestDataMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "updM";
        r5 = r8.getUpdateMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "firstM";
        r5 = r8.getFirstTimeMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "modM";
        r5 = r8.getModelMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "mDistM";
        r5 = r8.getMaxDistMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "cfgM";
        r5 = r8.getConfigVerMain();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "batchC";
        r5 = r8.getBatchCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "fingC";
        r5 = r8.getFingerCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "retC";
        r5 = r8.getRetCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "trainC";
        r5 = r8.getTrainDataCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "testC";
        r5 = r8.getTestDataCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "updC";
        r5 = r8.getUpdateCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "firstC";
        r5 = r8.getFirstTimeCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "modC";
        r5 = r8.getModelCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "mDistC";
        r5 = r8.getMaxDistCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "cfgC";
        r5 = r8.getConfigVerCell();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "lab";
        r5 = r8.getLabel();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "ref";
        r5 = r8.getRef();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r0.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "enterpriseAp";
        r5 = r8.getAPType();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getEnterpriseAp();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "mobileApSrc1";
        r5 = r8.getAPType();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getMobileApSrc1();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "mobileApSrc2";
        r5 = r8.getAPType();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getMobileApSrc2();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "ApSrc3";
        r5 = r8.getAPType();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getMobileApSrc3();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "update";
        r5 = r8.getAPType();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getUpdate();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "totalFound";
        r5 = r8.getAPType();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getTotalFound();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "finalUsed";
        r5 = r8.getAPType();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getFinalUsed();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r1.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "db";
        r5 = r8.getStorage();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getDbSize();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r2.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "raw";
        r5 = r8.getStorage();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getRawdataSize();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r2.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "mod";
        r5 = r8.getStorage();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getModelSize();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r2.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "log";
        r5 = r8.getStorage();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getLogSize();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r2.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "data";
        r5 = r8.getStorage();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getDataSize();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r2.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "back";
        r5 = r8.getStorage();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r5 = r5.getBackupsize();	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r2.setParam(r4, r5);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "apRec";
        r0.setParam(r4, r1);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r4 = "stor";
        r0.setParam(r4, r2);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        android.util.IMonitor.sendEvent(r0);	 Catch:{ RuntimeException -> 0x0242, Exception -> 0x021a }
        r3 = 1;
        if (r0 == 0) goto L_0x020d;
    L_0x020a:
        android.util.IMonitor.closeEventStream(r0);
    L_0x020d:
        if (r2 == 0) goto L_0x0212;
    L_0x020f:
        android.util.IMonitor.closeEventStream(r2);
    L_0x0212:
        if (r1 == 0) goto L_0x0241;
    L_0x0214:
        android.util.IMonitor.closeEventStream(r1);
        goto L_0x0241;
    L_0x0218:
        r4 = move-exception;
        goto L_0x0244;
    L_0x021a:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0218 }
        r5.<init>();	 Catch:{ all -> 0x0218 }
        r6 = "commitBuildModelChr,e:";
        r5.append(r6);	 Catch:{ all -> 0x0218 }
        r6 = r4.getMessage();	 Catch:{ all -> 0x0218 }
        r5.append(r6);	 Catch:{ all -> 0x0218 }
        r5 = r5.toString();	 Catch:{ all -> 0x0218 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r5);	 Catch:{ all -> 0x0218 }
        r3 = 0;
        if (r0 == 0) goto L_0x0239;
    L_0x0236:
        android.util.IMonitor.closeEventStream(r0);
    L_0x0239:
        if (r2 == 0) goto L_0x023e;
    L_0x023b:
        android.util.IMonitor.closeEventStream(r2);
    L_0x023e:
        if (r1 == 0) goto L_0x0241;
    L_0x0240:
        goto L_0x0214;
    L_0x0241:
        return r3;
    L_0x0242:
        r4 = move-exception;
        throw r4;	 Catch:{ all -> 0x0218 }
    L_0x0244:
        if (r0 == 0) goto L_0x0249;
    L_0x0246:
        android.util.IMonitor.closeEventStream(r0);
    L_0x0249:
        if (r2 == 0) goto L_0x024e;
    L_0x024b:
        android.util.IMonitor.closeEventStream(r2);
    L_0x024e:
        if (r1 == 0) goto L_0x0253;
    L_0x0250:
        android.util.IMonitor.closeEventStream(r1);
    L_0x0253:
        throw r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.chr.BuildModelChrService.commitChr(com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo):boolean");
    }
}
