package com.android.server.hidata.wavemapping.cons;

public class ContextManager {
    private static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.cons.ContextManager instance = null;
    private android.content.Context context = null;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.ContextManager.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public static synchronized com.android.server.hidata.wavemapping.cons.ContextManager getInstance() {
        com.android.server.hidata.wavemapping.cons.ContextManager contextManager;
        synchronized (com.android.server.hidata.wavemapping.cons.ContextManager.class) {
            if (instance == null) {
                instance = new com.android.server.hidata.wavemapping.cons.ContextManager();
            }
            contextManager = instance;
        }
        return contextManager;
    }

    public android.content.Context getContext() {
        return this.context;
    }

    public void setContext(android.content.Context context) {
        if (this.context == null) {
            this.context = context;
        }
    }
}
