package com.android.server.hidata.wavemapping.entity;

public class IdentifyResult implements java.lang.Comparable<com.android.server.hidata.wavemapping.entity.IdentifyResult> {
    private int batch;
    private java.lang.String bssid;
    private int dist = 0;
    private java.lang.String modelName;
    private int preLabel = 0;
    private java.lang.String result;
    private java.lang.String serveMac;
    private java.lang.String ssid;

    public java.lang.String getSsid() {
        return this.ssid;
    }

    public void setSsid(java.lang.String ssid) {
        this.ssid = ssid;
    }

    public java.lang.String getServeMac() {
        return this.serveMac;
    }

    public void setServeMac(java.lang.String serveMac) {
        this.serveMac = serveMac;
    }

    public java.lang.String getBssid() {
        return this.bssid;
    }

    public void setBssid(java.lang.String bssid) {
        this.bssid = bssid;
    }

    public int getBatch() {
        return this.batch;
    }

    public void setBatch(int batch) {
        this.batch = batch;
    }

    public java.lang.String getResult() {
        return this.result;
    }

    public void setResult(java.lang.String result) {
        this.result = result;
    }

    public int getDist() {
        return this.dist;
    }

    public void setDist(int dist) {
        this.dist = dist;
    }

    public int getPreLabel() {
        return this.preLabel;
    }

    public void setPreLabel(int preLabel) {
        this.preLabel = preLabel;
    }

    public java.lang.String getModelName() {
        return this.modelName;
    }

    public void setModelName(java.lang.String modelName) {
        this.modelName = modelName;
    }

    public int compareTo(com.android.server.hidata.wavemapping.entity.IdentifyResult s) {
        int num = new java.lang.Integer(this.dist).compareTo(new java.lang.Integer(s.dist));
        if (num == 0) {
            return new java.lang.Integer(this.preLabel).compareTo(new java.lang.Integer(s.preLabel));
        }
        return num;
    }

    public IdentifyResult(int batch, int preLabel, int dist) {
        this.batch = batch;
        this.preLabel = preLabel;
        this.dist = 0;
    }

    public IdentifyResult(int preLabel) {
        this.preLabel = preLabel;
    }

    public IdentifyResult(int dist, int preLabel) {
        this.dist = dist;
        this.preLabel = preLabel;
    }
}
