package com.android.server.hidata.wavemapping.entity;

public class RecognizeResult {
    private java.lang.String allApModelName;
    private java.lang.String mainApModelName;
    private java.lang.String mainApRgResult = "unkno";
    private java.lang.String rgResult = "unkno";

    public java.lang.String getMainApRgResult() {
        return this.mainApRgResult;
    }

    public int getMainApRgResultInt() {
        if (this.mainApRgResult == null) {
            return 0;
        }
        int result = 0;
        if (com.android.server.hidata.wavemapping.cons.Constant.PATTERN_STR2INT.matcher(this.mainApRgResult).matches()) {
            try {
                result = java.lang.Integer.parseInt(this.mainApRgResult);
            } catch (java.lang.NumberFormatException e) {
                return 0;
            }
        }
        return result;
    }

    public void setMainApRgResult(java.lang.String mainApRgResult) {
        this.mainApRgResult = mainApRgResult;
    }

    public java.lang.String getRgResult() {
        return this.rgResult;
    }

    public int getRgResultInt() {
        if (this.rgResult == null) {
            return 0;
        }
        int result = 0;
        if (com.android.server.hidata.wavemapping.cons.Constant.PATTERN_STR2INT.matcher(this.rgResult).matches()) {
            try {
                result = java.lang.Integer.parseInt(this.rgResult);
            } catch (java.lang.NumberFormatException e) {
                return 0;
            }
        }
        return result;
    }

    public void setRgResult(java.lang.String rgResult) {
        this.rgResult = rgResult;
    }

    public boolean cmpResults(com.android.server.hidata.wavemapping.entity.RecognizeResult results) {
        if (this.rgResult.equals(results.getRgResult()) && this.mainApRgResult.equals(results.getMainApRgResult()) && !this.rgResult.toLowerCase(java.util.Locale.ENGLISH).contains("unkno")) {
            return false;
        }
        return true;
    }

    public java.lang.String getMainApModelName() {
        return this.mainApModelName;
    }

    public int getMainApModelNameInt() {
        if (this.mainApModelName == null) {
            return 0;
        }
        int model = 0;
        if (com.android.server.hidata.wavemapping.cons.Constant.PATTERN_STR2INT.matcher(this.mainApModelName).matches()) {
            try {
                model = java.lang.Integer.parseInt(this.mainApModelName);
            } catch (java.lang.NumberFormatException e) {
                return 0;
            }
        }
        return model;
    }

    public void setMainApModelName(java.lang.String mainApModelName) {
        this.mainApModelName = mainApModelName;
    }

    public java.lang.String getAllApModelName() {
        return this.allApModelName;
    }

    public int getAllApModelNameInt() {
        if (this.allApModelName == null) {
            return 0;
        }
        int model = 0;
        if (com.android.server.hidata.wavemapping.cons.Constant.PATTERN_STR2INT.matcher(this.allApModelName).matches()) {
            try {
                model = java.lang.Integer.parseInt(this.allApModelName);
            } catch (java.lang.NumberFormatException e) {
                return 0;
            }
        }
        return model;
    }

    public void setAllApModelName(java.lang.String allApModelName) {
        this.allApModelName = allApModelName;
    }

    public com.android.server.hidata.wavemapping.entity.RecognizeResult normalizeCopy() {
        com.android.server.hidata.wavemapping.entity.RecognizeResult results = new com.android.server.hidata.wavemapping.entity.RecognizeResult();
        if (this.rgResult.contains("unkno")) {
            results.setRgResult("0");
        } else {
            results.setRgResult(this.rgResult);
        }
        if (this.mainApRgResult.contains("unkno")) {
            results.setMainApRgResult("0");
        } else {
            results.setMainApRgResult(this.mainApRgResult);
        }
        results.setAllApModelName(this.allApModelName);
        results.setMainApModelName(this.mainApModelName);
        return results;
    }

    public java.lang.String printResults() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Space ID:{ mainAp=");
        stringBuilder.append(this.mainApRgResult);
        stringBuilder.append(",  allAp=");
        stringBuilder.append(this.rgResult);
        stringBuilder.append(" }");
        return stringBuilder.toString();
    }

    public java.lang.String printResultsDemo() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Space ID: ");
        stringBuilder.append(this.rgResult);
        stringBuilder.append(" ");
        return stringBuilder.toString();
    }

    public java.lang.String toString() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("RecognizeResult{mainApRgResult='");
        stringBuilder.append(this.mainApRgResult);
        stringBuilder.append('\'');
        stringBuilder.append(", rgResult='");
        stringBuilder.append(this.rgResult);
        stringBuilder.append('\'');
        stringBuilder.append(", mainApModelName='");
        stringBuilder.append(this.mainApModelName);
        stringBuilder.append('\'');
        stringBuilder.append(", allApModelName='");
        stringBuilder.append(this.allApModelName);
        stringBuilder.append('\'');
        stringBuilder.append('}');
        return stringBuilder.toString();
    }
}
