package com.android.server.hidata.wavemapping.entity;

public class SpaceExpInfo {
    private static final float RSSI_WEIGHT_OLD = 0.8f;
    private long data_rx = 0;
    private long data_tx = 0;
    private java.util.HashMap<java.lang.String, java.lang.Long> duration_app = new java.util.HashMap();
    private long duration_connected = 0;
    private java.lang.String networkFreq = "";
    private java.lang.String networkId = "";
    private java.lang.String networkName = "";
    private long network_type = 8;
    private long power_consumption = 0;
    private java.util.HashMap<java.lang.String, java.lang.Integer> qoe_app_good = new java.util.HashMap();
    private java.util.HashMap<java.lang.String, java.lang.Integer> qoe_app_poor = new java.util.HashMap();
    private int qoe_wifipro_common = 0;
    private int qoe_wifipro_good = 0;
    private int qoe_wifipro_poor = 0;
    private int signal_value = 0;
    private java.lang.StringBuilder spaceId = new java.lang.StringBuilder("0");
    private java.lang.StringBuilder spaceIdMainAp = new java.lang.StringBuilder("0");
    private int user_pref_opt_in = 0;
    private int user_pref_opt_out = 0;
    private int user_pref_stay = 0;
    private int user_pref_total_count = 0;

    public java.lang.String getNetworkName() {
        return this.networkName;
    }

    public void setNetworkName(java.lang.String networkname) {
        this.networkName = networkname;
    }

    public java.lang.String getNetworkId() {
        return this.networkId;
    }

    public java.lang.String getNetworkFreq() {
        return this.networkFreq;
    }

    public void setNetworkFreq(java.lang.String networkfreq) {
        this.networkFreq = networkfreq;
    }

    public java.lang.String getSpaceID() {
        return this.spaceId.toString();
    }

    public java.lang.String getSpaceIDMain() {
        return this.spaceIdMainAp.toString();
    }

    public int getQoEWifiProPoor() {
        return this.qoe_wifipro_poor;
    }

    public void setQoEWifiProPoor(int qoe_wifipro_poor) {
        this.qoe_wifipro_poor = qoe_wifipro_poor;
    }

    public int getQoEWifiProCommon() {
        return this.qoe_wifipro_common;
    }

    public void setQoEWifiProCommon(int qoe_wifipro_common) {
        this.qoe_wifipro_common = qoe_wifipro_common;
    }

    public int getQoEWifiProGood() {
        return this.qoe_wifipro_good;
    }

    public void setQoEWifiProGood(int qoe_wifipro_good) {
        this.qoe_wifipro_good = qoe_wifipro_good;
    }

    public int getSignalValue() {
        return this.signal_value;
    }

    public int getUserPrefOptIn() {
        return this.user_pref_opt_in;
    }

    public void accUserPrefOptIn() {
        this.user_pref_opt_in++;
    }

    public int getUserPrefOptOut() {
        return this.user_pref_opt_out;
    }

    public void accUserPrefOptOut() {
        this.user_pref_opt_out++;
    }

    public int getUserPrefStay() {
        return this.user_pref_stay;
    }

    public void accUserPrefStay() {
        this.user_pref_stay++;
    }

    public int getUserPrefTotalCount() {
        return this.user_pref_total_count;
    }

    public void accUserPrefTotalCount() {
        this.user_pref_total_count++;
    }

    public java.util.HashMap<java.lang.String, java.lang.Integer> getMapAppQoePoor() {
        return this.qoe_app_poor;
    }

    public java.util.HashMap<java.lang.String, java.lang.Integer> getMapAppQoeGood() {
        return this.qoe_app_good;
    }

    public java.util.HashMap<java.lang.String, java.lang.Long> getMapAppDuration() {
        return this.duration_app;
    }

    public int getAppQoePoor(java.lang.String app) {
        if (this.qoe_app_poor.containsKey(app)) {
            return ((java.lang.Integer) this.qoe_app_poor.get(app)).intValue();
        }
        return 0;
    }

    public int getAppQoeGood(java.lang.String app) {
        if (this.qoe_app_good.containsKey(app)) {
            return ((java.lang.Integer) this.qoe_app_good.get(app)).intValue();
        }
        return 0;
    }

    public long getAppDuration(java.lang.String app) {
        if (this.duration_app.containsKey(app)) {
            return ((java.lang.Long) this.duration_app.get(app)).longValue();
        }
        return 0;
    }

    public long getDuration() {
        return this.duration_connected;
    }

    public long getNetworkType() {
        return this.network_type;
    }

    public long getPowerConsumption() {
        return this.power_consumption;
    }

    public void accPowerConsumption(long power) {
        this.power_consumption += power;
    }

    public long getDataRx() {
        return this.data_rx;
    }

    public long getDataTx() {
        return this.data_tx;
    }

    public void accDataTraffic(long dRx, long dTx) {
        this.data_rx += dRx;
        this.data_tx += dTx;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update data traffic: acc_rx=");
        stringBuilder.append(this.data_rx);
        stringBuilder.append(", acc_tx=");
        stringBuilder.append(this.data_tx);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
    }

    public void accQoEWifiProPoor() {
        this.qoe_wifipro_poor++;
    }

    public void accQoEWifiProCommon() {
        this.qoe_wifipro_common++;
    }

    public void accQoEWifiProGood() {
        this.qoe_wifipro_good++;
    }

    public void accAppPoor(java.lang.String app) {
        if (this.qoe_app_poor.containsKey(app)) {
            this.qoe_app_poor.put(app, java.lang.Integer.valueOf(((java.lang.Integer) this.qoe_app_poor.get(app)).intValue() + 1));
            return;
        }
        this.qoe_app_poor.put(app, java.lang.Integer.valueOf(1));
    }

    public void accAppGood(java.lang.String app) {
        if (this.qoe_app_good.containsKey(app)) {
            this.qoe_app_good.put(app, java.lang.Integer.valueOf(((java.lang.Integer) this.qoe_app_good.get(app)).intValue() + 1));
            return;
        }
        this.qoe_app_good.put(app, java.lang.Integer.valueOf(1));
    }

    private void accAppDuration(java.lang.String app, long newDuration) {
        if (this.duration_app.containsKey(app)) {
            this.duration_app.put(app, java.lang.Long.valueOf(((java.lang.Long) this.duration_app.get(app)).longValue() + newDuration));
            return;
        }
        this.duration_app.put(app, java.lang.Long.valueOf(newDuration));
    }

    public int accSignalValue(int newRssi) {
        if (newRssi < 0) {
            if (this.signal_value < 0) {
                this.signal_value = java.lang.Math.round((((float) this.signal_value) * 0.8f) + (((float) newRssi) * 0.19999999f));
            } else {
                this.signal_value = newRssi;
            }
        }
        return this.signal_value;
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0027  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0041  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0031  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0027  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0041  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0031  */
    public void accDuration(java.lang.String r3, long r4) {
        /*
        r2 = this;
        r0 = r3.hashCode();
        r1 = -2015525726; // 0xffffffff87dd84a2 float:-3.3330339E-34 double:NaN;
        if (r0 == r1) goto L_0x0019;
    L_0x0009:
        r1 = 2664213; // 0x28a715 float:3.733358E-39 double:1.316296E-317;
        if (r0 == r1) goto L_0x000f;
    L_0x000e:
        goto L_0x0023;
    L_0x000f:
        r0 = "WIFI";
        r0 = r3.equals(r0);
        if (r0 == 0) goto L_0x0023;
    L_0x0017:
        r0 = 0;
        goto L_0x0024;
    L_0x0019:
        r0 = "MOBILE";
        r0 = r3.equals(r0);
        if (r0 == 0) goto L_0x0023;
    L_0x0021:
        r0 = 1;
        goto L_0x0024;
    L_0x0023:
        r0 = -1;
    L_0x0024:
        switch(r0) {
            case 0: goto L_0x0041;
            case 1: goto L_0x0031;
            default: goto L_0x0027;
        };
    L_0x0027:
        r0 = "update APP duration";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r2.accAppDuration(r3, r4);
        return;
    L_0x0031:
        r0 = "update MOBILE duration";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = r2.duration_connected;
        r0 = r0 + r4;
        r2.duration_connected = r0;
        r0 = 0;
        r2.network_type = r0;
        goto L_0x0051;
    L_0x0041:
        r0 = "update WIFI duration";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = r2.duration_connected;
        r0 = r0 + r4;
        r2.duration_connected = r0;
        r0 = 1;
        r2.network_type = r0;
    L_0x0051:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.entity.SpaceExpInfo.accDuration(java.lang.String, long):void");
    }

    public void mergeAllRecords(com.android.server.hidata.wavemapping.entity.SpaceExpInfo input) {
        this.qoe_wifipro_poor += input.getQoEWifiProPoor();
        this.qoe_wifipro_common += input.getQoEWifiProCommon();
        this.qoe_wifipro_good += input.getQoEWifiProGood();
        accSignalValue(input.getSignalValue());
        this.user_pref_opt_in += input.getUserPrefOptIn();
        this.user_pref_opt_out += input.getUserPrefOptOut();
        this.user_pref_stay += input.getUserPrefStay();
        this.user_pref_total_count += input.getUserPrefTotalCount();
        this.duration_connected += input.getDuration();
        this.data_rx += input.getDataRx();
        this.data_tx += input.getDataTx();
        this.power_consumption += input.getPowerConsumption();
        if (1 == input.getNetworkType() || 0 == input.getNetworkType()) {
            this.network_type = input.getNetworkType();
        }
        input.getMapAppQoePoor().forEach(new com.android.server.hidata.wavemapping.entity.-$$Lambda$SpaceExpInfo$QI-7zLW8XkAu7n4wXBYEAENZDzo(this));
        input.getMapAppQoeGood().forEach(new com.android.server.hidata.wavemapping.entity.-$$Lambda$SpaceExpInfo$cPw96sVJ3DDEjslELgkVohq8jSA(this));
        input.getMapAppDuration().forEach(new com.android.server.hidata.wavemapping.entity.-$$Lambda$SpaceExpInfo$JzzV2KLKzGPchCYgN8JC_0Y1reM(this));
    }

    public SpaceExpInfo(java.lang.StringBuilder spaceid, java.lang.StringBuilder spaceid_mainap, java.lang.String networkid, java.lang.String networkname, java.lang.String networkfreq, int qoe_wifipro_good, int qoe_wifipro_common, int qoe_wifipro_poor, int signal_value, int user_pref_opt_in, int user_pref_opt_out, int user_pref_stay, int user_pref_total_count, long power_consumption, long duration_connected, int nw_type) {
        this.spaceId = spaceid;
        this.spaceIdMainAp = spaceid_mainap;
        this.networkId = networkid;
        this.networkName = networkname;
        this.networkFreq = networkfreq;
        this.qoe_wifipro_good = qoe_wifipro_good;
        this.qoe_wifipro_common = qoe_wifipro_common;
        this.qoe_wifipro_poor = qoe_wifipro_poor;
        this.signal_value = signal_value;
        this.power_consumption = power_consumption;
        this.user_pref_opt_in = user_pref_opt_in;
        this.user_pref_opt_out = user_pref_opt_out;
        this.user_pref_stay = user_pref_stay;
        this.user_pref_total_count = user_pref_total_count;
        this.duration_connected = duration_connected;
        this.network_type = (long) nw_type;
    }

    public SpaceExpInfo(java.lang.StringBuilder spaceid, java.lang.StringBuilder spaceid_mainap, java.lang.String networkid, java.lang.String networkname, java.lang.String networkfreq, java.util.HashMap<java.lang.String, java.lang.Integer> app_poor, java.util.HashMap<java.lang.String, java.lang.Integer> app_good, java.util.HashMap<java.lang.String, java.lang.Long> app_duration, int qoe_wifipro_good, int qoe_wifipro_common, int qoe_wifipro_poor, int signal_value, long power_consumption, int user_pref_opt_in, int user_pref_opt_out, int user_pref_stay, int user_pref_total_count, long duration_connected, int nw_type) {
        this.spaceId = spaceid;
        this.spaceIdMainAp = spaceid_mainap;
        this.networkId = networkid;
        this.networkName = networkname;
        this.networkFreq = networkfreq;
        this.qoe_app_poor = app_poor;
        this.qoe_app_good = app_good;
        this.duration_app = app_duration;
        this.qoe_wifipro_good = qoe_wifipro_good;
        this.qoe_wifipro_common = qoe_wifipro_common;
        this.qoe_wifipro_poor = qoe_wifipro_poor;
        this.signal_value = signal_value;
        this.power_consumption = power_consumption;
        this.user_pref_opt_in = user_pref_opt_in;
        this.user_pref_opt_out = user_pref_opt_out;
        this.user_pref_stay = user_pref_stay;
        this.user_pref_total_count = user_pref_total_count;
        this.duration_connected = duration_connected;
        this.network_type = (long) nw_type;
    }

    public SpaceExpInfo(java.lang.StringBuilder spaceid, java.lang.StringBuilder spaceid_mainap, java.lang.String networkid, java.lang.String networkname, java.lang.String networkfreq, int nw_type) {
        this.spaceId = spaceid;
        this.spaceIdMainAp = spaceid_mainap;
        this.networkId = networkid;
        this.networkName = networkname;
        this.networkFreq = networkfreq;
        this.network_type = (long) nw_type;
    }

    public java.lang.String toString() {
        java.lang.StringBuffer appString = new java.lang.StringBuffer();
        java.lang.String app = "";
        int poorCnt = 0;
        int goodCnt = 0;
        for (java.util.Map.Entry<java.lang.String, java.lang.Long> entry : this.duration_app.entrySet()) {
            app = (java.lang.String) entry.getKey();
            long duration = ((java.lang.Long) entry.getValue()).longValue();
            if (this.qoe_app_poor.containsKey(app)) {
                poorCnt = ((java.lang.Integer) this.qoe_app_poor.get(app)).intValue();
            }
            if (this.qoe_app_good.containsKey(app)) {
                goodCnt = ((java.lang.Integer) this.qoe_app_good.get(app)).intValue();
            }
            appString.append(", ");
            appString.append(app);
            appString.append(":'");
            appString.append("DURATION");
            appString.append("'='");
            appString.append(duration);
            appString.append("' ");
            appString.append("POORCOUNT");
            appString.append("'='");
            appString.append(poorCnt);
            appString.append("' ");
            appString.append("GOODCOUNT");
            appString.append("'='");
            appString.append(goodCnt);
            appString.append("' ");
            appString.append("");
        }
        java.lang.String netIdPrint = "";
        if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
            netIdPrint = this.networkId;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("SpaceExpInfo{spaceid='");
        stringBuilder.append(this.spaceId.toString());
        stringBuilder.append('\'');
        stringBuilder.append(", spaceid_mainap='");
        stringBuilder.append(this.spaceIdMainAp);
        stringBuilder.append('\'');
        stringBuilder.append(", networkname='");
        stringBuilder.append(this.networkName);
        stringBuilder.append('\'');
        stringBuilder.append(", networkid='");
        stringBuilder.append(netIdPrint);
        stringBuilder.append('\'');
        stringBuilder.append(", networkfreq='");
        stringBuilder.append(this.networkFreq);
        stringBuilder.append('\'');
        stringBuilder.append(", qoe_wifipro_poor=");
        stringBuilder.append(this.qoe_wifipro_poor);
        stringBuilder.append(", qoe_wifipro_common=");
        stringBuilder.append(this.qoe_wifipro_common);
        stringBuilder.append(", qoe_wifipro_good=");
        stringBuilder.append(this.qoe_wifipro_good);
        stringBuilder.append(", signal_value=");
        stringBuilder.append(this.signal_value);
        stringBuilder.append(", power_consumption=");
        stringBuilder.append(this.power_consumption);
        stringBuilder.append(", data_rx=");
        stringBuilder.append(this.data_rx);
        stringBuilder.append(", data_tx=");
        stringBuilder.append(this.data_tx);
        stringBuilder.append(", user_pref_opt_in=");
        stringBuilder.append(this.user_pref_opt_in);
        stringBuilder.append(", user_pref_opt_out=");
        stringBuilder.append(this.user_pref_opt_out);
        stringBuilder.append(", user_pref_stay=");
        stringBuilder.append(this.user_pref_stay);
        stringBuilder.append(", user_pref_total_count=");
        stringBuilder.append(this.user_pref_total_count);
        stringBuilder.append(", duration=");
        stringBuilder.append(this.duration_connected);
        stringBuilder.append(", nw_type=");
        stringBuilder.append(this.network_type);
        stringBuilder.append(appString.toString());
        stringBuilder.append('}');
        return stringBuilder.toString();
    }
}
