package com.android.server.hidata.wavemapping.entity;

public class UiInfo {
    private java.lang.String cluster_num = "";
    private int fg_fingers_num = 20;
    private int finger_batch_num = 0;
    private java.lang.String jsonResult = "";
    private int knnMaxDist = 200;
    private float maxDist = 100.0f;
    private java.lang.String preLabel = "";
    private java.lang.String ssid = "";
    private int stage = 3;
    private java.lang.String toast = "";

    public UiInfo() {
        com.android.server.hidata.wavemapping.entity.ParameterInfo param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
        this.fg_fingers_num = param.getFg_batch_num();
        this.maxDist = param.getMaxDist();
        this.knnMaxDist = param.getKnnMaxDist();
    }

    public java.lang.String getToast() {
        return this.toast;
    }

    public void setToast(java.lang.String toast) {
        this.toast = toast;
    }

    public java.lang.String getPreLabel() {
        return this.preLabel;
    }

    public void setPreLabel(java.lang.String preLabel) {
        this.preLabel = preLabel;
    }

    public java.lang.String getSsid() {
        return this.ssid;
    }

    public void setSsid(java.lang.String ssid) {
        this.ssid = ssid;
    }

    public int getStage() {
        return this.stage;
    }

    public void setStage(int stage) {
        this.stage = stage;
    }

    public int getFinger_batch_num() {
        return this.finger_batch_num;
    }

    public void setFinger_batch_num(int finger_batch_num) {
        this.finger_batch_num = finger_batch_num;
    }

    public java.lang.String getCluster_num() {
        return this.cluster_num;
    }

    public void setCluster_num(java.lang.String cluster_num) {
        this.cluster_num = cluster_num;
    }

    public int getFg_fingers_num() {
        return this.fg_fingers_num;
    }

    public void setFg_fingers_num(int fg_fingers_num) {
        this.fg_fingers_num = fg_fingers_num;
    }

    public float getMaxDist() {
        return this.maxDist;
    }

    public void setMaxDist(float maxDist) {
        this.maxDist = maxDist;
    }

    public int getKnnMaxDist() {
        return this.knnMaxDist;
    }

    public void setKnnMaxDist(int knnMaxDist) {
        this.knnMaxDist = knnMaxDist;
    }

    public java.lang.String toJsonStr() {
        org.json.JSONObject jsonParam = new org.json.JSONObject();
        try {
            jsonParam.put("stage", this.stage);
            jsonParam.put("finger_batch_num", this.finger_batch_num);
            jsonParam.put("cluster_num", this.cluster_num);
            jsonParam.put("fg_fingers_num", this.fg_fingers_num);
            jsonParam.put("maxDist", (double) this.maxDist);
            jsonParam.put("knnMaxDist", this.knnMaxDist);
            jsonParam.put("ssid", this.ssid);
            jsonParam.put("preLabel", this.preLabel);
            jsonParam.put("toast", this.toast);
        } catch (org.json.JSONException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("toJsonStr,e");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
        this.jsonResult = jsonParam.toString();
        if (this.jsonResult == null) {
            this.jsonResult = "";
        }
        return this.jsonResult;
    }
}
