package com.android.server.location;

public class HwCryptoUtility {

    public static class AESLocalDbCrypto {
        public static java.lang.String encrypt(java.lang.String key, java.lang.String plaintext) throws java.lang.Exception {
            javax.crypto.spec.SecretKeySpec skeySpec = new javax.crypto.spec.SecretKeySpec(key.getBytes(), "AES");
            javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("AES/CBC/PKCS5Padding");
            byte[] ivBytes = new byte[16];
            new java.security.SecureRandom().nextBytes(ivBytes);
            cipher.init(1, skeySpec, new javax.crypto.spec.IvParameterSpec(ivBytes));
            java.lang.String ciphertextStr = com.android.server.location.HwCryptoUtility.Sha256Encrypt.bytes2Hex(cipher.doFinal(plaintext.getBytes("UTF-8")));
            java.lang.String ivStr = com.android.server.location.HwCryptoUtility.Sha256Encrypt.bytes2Hex(ivBytes);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(ivStr);
            stringBuilder.append(ciphertextStr);
            return stringBuilder.toString();
        }

        public static java.lang.String decrypt(java.lang.String key, java.lang.String encrypted) throws java.lang.Exception {
            byte[] ivBytes = com.android.server.location.HwCryptoUtility.Sha256Encrypt.hex2Bytes(encrypted.substring(0, 32).toCharArray());
            javax.crypto.spec.SecretKeySpec skeySpec = new javax.crypto.spec.SecretKeySpec(key.getBytes(), "AES");
            javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("AES/CBC/PKCS5Padding");
            cipher.init(2, skeySpec, new javax.crypto.spec.IvParameterSpec(ivBytes));
            return new java.lang.String(cipher.doFinal(com.android.server.location.HwCryptoUtility.Sha256Encrypt.hex2Bytes(encrypted.substring(32, encrypted.length()).toCharArray())));
        }
    }

    static class Sha256Encrypt {
        Sha256Encrypt() {
        }

        public static java.lang.String bytes2Hex(byte[] bts) {
            java.lang.StringBuffer des = new java.lang.StringBuffer();
            for (byte b : bts) {
                java.lang.String tmp = java.lang.Integer.toHexString(b & 255);
                if (tmp.length() == 1) {
                    des.append("0");
                }
                des.append(tmp);
            }
            return des.toString();
        }

        public static java.lang.String Encrypt(java.lang.String strSrc, java.lang.String encName) {
            java.security.MessageDigest md;
            byte[] bt = strSrc.getBytes();
            if (encName != null) {
                try {
                    if (encName.equals("")) {
                    }
                    md = java.security.MessageDigest.getInstance(encName);
                    md.update(bt);
                    return bytes2Hex(md.digest());
                } catch (java.security.NoSuchAlgorithmException e) {
                    return null;
                }
            }
            encName = "SHA-256";
            md = java.security.MessageDigest.getInstance(encName);
            md.update(bt);
            return bytes2Hex(md.digest());
        }

        public static byte[] hex2Bytes(char[] data) {
            int len = data.length;
            byte[] out = new byte[(len >> 1)];
            int i = 0;
            int j = 0;
            while (j < len) {
                j++;
                j++;
                out[i] = (byte) (((java.lang.Character.digit(data[j], 16) << 4) | java.lang.Character.digit(data[j], 16)) & 255);
                i++;
            }
            return out;
        }
    }
}
