package com.android.server.mtm.dump;

public final class DumpBroadcastRegister {
    public static final void dump(java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if (args != null) {
                if (args.length >= 2) {
                    if (args[1] != null) {
                        if ("config".equals(args[1])) {
                            com.android.server.mtm.iaware.srms.AwareBroadcastRegister.getInstance().dumpBRRegConfig(pw);
                        } else if ("disable_log".equals(args[1])) {
                            com.android.server.mtm.iaware.srms.AwareBroadcastDebug.disableDebug();
                            pw.println("  iAware BR register log disabled");
                        } else if ("enable_log".equals(args[1])) {
                            com.android.server.mtm.iaware.srms.AwareBroadcastDebug.enableDebug();
                            pw.println("  iAware BR register log enabled");
                        } else if ("big_data".equals(args[1])) {
                            boolean clear = false;
                            boolean forBeta = true;
                            if (args.length >= 4 && "clear".equals(args[3])) {
                                clear = true;
                            }
                            if (args.length >= 3 && "commercial".equals(args[2])) {
                                forBeta = false;
                            }
                            com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar radar = null;
                            if (com.android.server.mtm.MultiTaskManagerService.self() != null) {
                                radar = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrRadar();
                            }
                            if (radar != null) {
                                pw.println(radar.dumpBrRegBigData(forBeta, clear));
                            } else {
                                pw.println("  radar is null");
                            }
                        } else {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("  bad command");
                            stringBuilder.append(args[1]);
                            pw.println(stringBuilder.toString());
                        }
                    }
                }
                com.android.server.mtm.iaware.srms.AwareBroadcastRegister.getInstance().dumpIawareBRRegInfo(pw);
            }
        }
    }
}
