package com.android.server.mtm.dump.iaware;

public final class DumpAwareAppFreezeMng {
    public static final void dump(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        if (args != null) {
            if (args.length >= 2 && args[1] != null) {
                if ("disable_log".equals(args[1])) {
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.disableDebug();
                    pw.println("  iAware fast freeze log disabled");
                } else if ("enable_log".equals(args[1])) {
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.enableDebug();
                    pw.println("  iAware fast freeze log enabled");
                }
            }
            com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.getInstance().dump(pw);
        }
    }

    public static final void dumpFreezeApp(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        if (args != null && args.length >= 3) {
            java.lang.String pkg = args[1];
            try {
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.getInstance().dumpFreezeApp(pw, pkg, java.lang.Integer.parseInt(args[2]));
            } catch (java.lang.NumberFormatException e) {
                pw.println("The input Param is invalid!");
            }
        }
    }

    public static final void dumpCheckBadApp(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        if (args != null && args.length >= 3) {
            try {
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.getInstance().dumpFreezeBadPid(pw, java.lang.Integer.parseInt(args[1]), java.lang.Integer.parseInt(args[2]));
            } catch (java.lang.NumberFormatException e) {
                pw.println("The input Param is invalid!");
            }
        }
    }
}
