package com.android.server.pm.auth.deviceid;

public class DeviceIdMac implements com.android.server.pm.auth.deviceid.DeviceId {
    public java.util.List<java.lang.String> mMacs = new java.util.ArrayList();

    public void addDeviceId(java.lang.String id) {
        this.mMacs.add(id);
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    public void append(java.lang.StringBuffer sb) {
        sb.append("WIFIMAC/");
        for (int i = 0; i < this.mMacs.size(); i++) {
            if (i != 0) {
                sb.append(",");
            }
            sb.append((java.lang.String) this.mMacs.get(i));
        }
    }

    public static boolean isType(java.lang.String ids) {
        if (ids.startsWith("WIFIMAC/")) {
            return true;
        }
        return false;
    }

    public boolean contain(java.lang.String devId) {
        for (java.lang.String id : this.mMacs) {
            if (id.equals(devId)) {
                return true;
            }
        }
        return false;
    }

    public boolean isEmpty() {
        return this.mMacs.isEmpty();
    }
}
