package com.android.server.pm.auth.deviceid;

public class DeviceIdMeid implements com.android.server.pm.auth.deviceid.DeviceId {
    public java.util.List<java.lang.String> mMeids = new java.util.ArrayList();

    public void addDeviceId(java.lang.String id) {
        this.mMeids.add(id);
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    public void append(java.lang.StringBuffer sb) {
        sb.append("MEID/");
        for (int i = 0; i < this.mMeids.size(); i++) {
            if (i != 0) {
                sb.append(",");
            }
            sb.append((java.lang.String) this.mMeids.get(i));
        }
    }

    public static boolean isType(java.lang.String ids) {
        if (ids.startsWith("MEID/")) {
            return true;
        }
        return false;
    }

    public boolean contain(java.lang.String devId) {
        for (java.lang.String id : this.mMeids) {
            if (id.equalsIgnoreCase(devId)) {
                return true;
            }
        }
        return false;
    }

    public boolean isEmpty() {
        return this.mMeids.isEmpty();
    }
}
