package com.android.server.rms.dump;

public final class DumpActivityResource {
    public static final void dumpActivity(android.content.Context context, java.lang.String[] args) {
        if (args.length == 3) {
            if (args[1] != null) {
                int uid = 100000;
                android.rms.HwSysResource sysResource = android.rms.HwSysResImpl.getResource(30);
                java.lang.String pkg = args[1];
                int loop = 0;
                try {
                    loop = java.lang.Integer.parseInt(args[2]);
                } catch (java.lang.NumberFormatException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("parse cmd error");
                    stringBuilder.append(e.getMessage());
                    android.util.Log.i("RMS.dump", stringBuilder.toString());
                }
                if (sysResource != null) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("DumpResource !pkg ");
                    stringBuilder2.append(pkg);
                    android.util.Log.i("RMS.Dump", stringBuilder2.toString());
                    try {
                        android.content.pm.ApplicationInfo ai = context.getPackageManager().getApplicationInfo(pkg, 0);
                        if (ai != null) {
                            uid = ai.uid;
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("DumpResource uid ");
                            stringBuilder2.append(uid);
                            android.util.Log.i("RMS.Dump", stringBuilder2.toString());
                        }
                        sysResource.acquire(uid, pkg, -1, loop);
                    } catch (android.content.pm.PackageManager.NameNotFoundException e2) {
                        android.util.Log.e("RMS.dump", "dumpActivity: get application info error!");
                    }
                } else {
                    android.util.Log.e("RMS.Dump", "dumpActivity failed!");
                }
                return;
            }
        }
        android.util.Log.e("RMS.Dump", "Format pkgName OverloadCount");
    }
}
