package com.android.server.rms.dump;

public final class DumpAppWhiteList {
    public static final void dumpAppWhiteList(java.io.PrintWriter pw, android.content.Context context, java.lang.String[] args) {
        if (args != null) {
            int length = args.length;
            int i = 0;
            while (i < length) {
                java.lang.String arg = args[i];
                if ("enable".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareDefaultConfigList.enable(context);
                    return;
                } else if ("disable".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareDefaultConfigList.disable();
                    return;
                } else if ("enable_log".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareDefaultConfigList.enableDebug();
                    return;
                } else if ("disable_log".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareDefaultConfigList.disableDebug();
                    return;
                } else if ("enable_restart".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AppMngConfig.setRestartFlag(true);
                    return;
                } else if ("disable_restart".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AppMngConfig.setRestartFlag(false);
                    return;
                } else {
                    i++;
                }
            }
        }
        com.android.server.rms.iaware.appmng.AwareDefaultConfigList.getInstance().dump(null, pw);
    }
}
