package com.android.server.rms.dump;

public final class DumpIntelligentRecg extends junit.framework.Assert {
    private static final int DUMP_BLUETOOTH = 3;
    private static final int DUMP_CHECKVISIBLEWINDOW = 4;
    private static final int DUMP_CONTINUE = 1;
    private static final int DUMP_FROZEN = 2;
    private static final int DUMP_RETURN = 0;
    private static final java.lang.String TAG = "TestIntelligentRecg";

    public static final void dumpIntelligentRecg(java.io.PrintWriter pw, android.content.Context context, java.lang.String[] args) {
        java.io.PrintWriter printWriter = pw;
        java.lang.String[] strArr = args;
        int ret = 0;
        if (!(printWriter == null || context == null)) {
            if (strArr != null) {
                boolean hasUid = false;
                boolean hasCheckVw = false;
                int length = strArr.length;
                int i = 0;
                boolean hasType = false;
                boolean hasPkg = false;
                boolean hasUserId = false;
                int type = 3;
                int type2 = null;
                java.lang.String pkg = 0;
                while (i < length) {
                    java.lang.String arg = strArr[i];
                    if (hasUid) {
                        if (ret == 2) {
                            try {
                                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpFrozen(printWriter, java.lang.Integer.parseInt(arg));
                            } catch (java.lang.NumberFormatException e) {
                                android.util.Slog.e("TestIntelligentRecg", "dump args is illegal!");
                            }
                        } else if (ret == 3) {
                            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpBluetooth(printWriter, java.lang.Integer.parseInt(arg));
                        }
                        return;
                    }
                    if (hasCheckVw) {
                        if (hasUserId) {
                            if (!hasPkg) {
                                hasPkg = true;
                                type2 = arg;
                            } else if (!hasType) {
                                hasType = true;
                                type = java.lang.Integer.parseInt(arg);
                            }
                            i++;
                            strArr = args;
                        } else {
                            hasUserId = true;
                            try {
                                pkg = java.lang.Integer.parseInt(arg);
                            } catch (java.lang.NumberFormatException e2) {
                                android.util.Slog.e("TestIntelligentRecg", "dump args is illegal!");
                            }
                            i++;
                            strArr = args;
                        }
                    }
                    int ret2 = dumpDump(printWriter, arg);
                    if (ret2 != 0) {
                        if (ret2 != 2) {
                            if (ret2 != 3) {
                                if (ret2 == 4) {
                                    ret = ret2;
                                    hasCheckVw = true;
                                } else {
                                    ret = ret2;
                                }
                                i++;
                                strArr = args;
                            }
                        }
                        ret = ret2;
                        hasUid = true;
                        i++;
                        strArr = args;
                    } else {
                        return;
                    }
                }
                if (hasCheckVw) {
                    com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpIsVisibleWindow(printWriter, pkg, type2, type);
                }
            }
        }
    }

    private static final int dumpDump(java.io.PrintWriter pw, java.lang.String arg) {
        if ("enable".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.commEnable();
            return 0;
        } else if ("disable".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.commDisable();
            return 0;
        } else if ("enable_log".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.enableDebug();
            return 0;
        } else if ("disable_log".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.disableDebug();
            return 0;
        } else if ("input".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpInputMethod(pw);
            return 0;
        } else if ("access".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpAccessibility(pw);
            return 0;
        } else if ("noclean".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpNotClean(pw);
            return 0;
        } else if ("gmscaller".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpGmsCallerList(pw);
            return 0;
        } else if ("bgc".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpBGCheckExcludeInfo(pw);
            return 0;
        } else if ("gmsapp".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpGmsAppList(pw);
            return 0;
        } else if (!"regalive".equals(arg)) {
            return dumpDumpEx(pw, arg);
        } else {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpKeepAlivePkgs(pw);
            return 0;
        }
    }

    private static final int dumpDumpEx(java.io.PrintWriter pw, java.lang.String arg) {
        int ret = 0;
        if ("tts".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpTts(pw);
        } else if ("push".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpPushSDK(pw);
        } else if ("wallpaper".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpWallpaper(pw);
        } else if ("toast".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpToastWindow(pw);
        } else if ("dtts".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpDefaultTts(pw);
        } else if ("alarm".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpAlarms(pw);
        } else if ("alarmaction".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpAlarmActions(pw);
        } else if ("frozen".equals(arg)) {
            ret = 2;
        } else if ("bluetooth".equals(arg)) {
            ret = 3;
        } else if ("fa".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().dumpRecgFakeActivity(pw, null);
        } else if ("kbg".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpKbgApp(pw);
        } else if ("apptype".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpDefaultAppType(pw);
        } else if ("checkvw".equals(arg)) {
            return 4;
        } else {
            if ("hwstop".equals(arg)) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpHwStopList(pw);
            } else if ("camerarecord".equals(arg)) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpCameraRecording(pw);
            } else if ("screenrecord".equals(arg)) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpScreenRecording(pw);
            } else {
                ret = 1;
            }
        }
        return ret;
    }
}
