package com.android.server.rms.dump;

public final class DumpResource {
    public static final void dumpNotificationWhiteList(android.content.Context context) {
        android.rms.HwSysResource sysResource = android.rms.HwSysResImpl.getResource(10);
        java.lang.String[] INTEREST = new java.lang.String[]{"com.whatsapp", "com.tencent.mm", "com.google.android.gm"};
        if (sysResource != null) {
            int length = INTEREST.length;
            int uid = 100000;
            int strategy = 1;
            int strategy2 = 0;
            while (strategy2 < length) {
                java.lang.String pkg = INTEREST[strategy2];
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("DumpResource !pkg");
                stringBuilder.append(pkg);
                android.util.Log.i("RMS.Dump", stringBuilder.toString());
                int strategy3 = strategy;
                for (strategy = 0; strategy < 50; strategy++) {
                    strategy3 = sysResource.acquire(uid, pkg, -1);
                }
                if (1 != strategy3) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("dumpNotificationWhiteList fails:pkg:");
                    stringBuilder.append(pkg);
                    android.util.Log.e("RMS.Dump", stringBuilder.toString());
                }
                sysResource.clear(uid, pkg, -1);
                uid++;
                strategy2++;
                strategy = strategy3;
            }
            android.util.Log.i("RMS.Dump", "dumpNotificationWhiteList pass !");
            strategy2 = strategy;
        }
    }

    public static final void dumpContentObserver(android.content.Context context, java.lang.String[] args) {
        if (args.length == 2) {
            if (args[1] != null) {
                java.lang.String pkg = args[1];
                int uid = 100000;
                android.rms.HwSysResource sysResource = android.rms.HwSysResImpl.getResource(29);
                if (!(sysResource == null || pkg == null)) {
                    try {
                        uid = context.getPackageManager().getApplicationInfo(pkg, 1).uid;
                    } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                        android.util.Log.w("RMS.Dump", "get packagemanager failed!");
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("begin DumpResource contentObserver, 115, packageName: ");
                    stringBuilder.append(pkg);
                    stringBuilder.append(", uid: ");
                    stringBuilder.append(uid);
                    android.util.Log.i("RMS.Dump", stringBuilder.toString());
                    for (int i = 0; i < 115; i++) {
                        sysResource.acquire(uid, pkg, -1);
                    }
                }
            }
        }
    }
}
