package com.android.server.rms.dump;

public final class DumpShrinker {
    public static final void dumpSystemShrinker() {
        final com.android.server.rms.IShrinker shrinker = new com.android.server.rms.shrinker.SystemShrinker();
        new java.lang.Thread("dumpSystemShrinker") {
            public void run() {
                while (true) {
                    shrinker.reclaim("dumpSystemShrinker", null);
                    android.rms.utils.Utils.wait(5000);
                }
            }
        }.start();
    }

    public static final void dumpProcessShrinker() {
        final com.android.server.rms.shrinker.ProcessShrinker processShrinker = new com.android.server.rms.shrinker.ProcessShrinker(1);
        new java.lang.Thread("dumpProcessShrinker") {
            public void run() {
                while (true) {
                    for (int pid : android.os.Process.getPidsForCommands(new java.lang.String[]{"system_server", "com.android.systemui", "com.android.keyguard"})) {
                        android.os.Bundle bundle = new android.os.Bundle();
                        bundle.putInt("pid", pid);
                        processShrinker.reclaim("dumpMemory", bundle);
                    }
                    android.rms.utils.Utils.wait(5000);
                }
            }
        }.start();
    }
}
