package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class EnablePowerGenieConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CONFIG_EANBLE_PG = "enable_pg_freq";
    private static final java.lang.String ITEM_PG_EANBLE = "enable";
    private java.util.Map<java.lang.String, java.lang.String> mPGInfoItem2PropMap = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> mPGInfoMap = new android.util.ArrayMap();

    public EnablePowerGenieConfig() {
        init();
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        applyConfig(this.mPGInfoMap);
    }

    private void init() {
        this.mPGInfoItem2PropMap.put("enable", "persist.sys.iaware.cpuenable");
        obtainConfigInfo("enable_pg_freq", this.mPGInfoItem2PropMap, this.mPGInfoMap);
    }
}
