package com.android.server.rms.iaware.cpu;

public class FileContent {
    private static final java.lang.String TAG = "FileContent";

    public static void closeBufferedReader(java.io.BufferedReader br) {
        if (br != null) {
            try {
                br.close();
            } catch (java.io.IOException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("closeBufferedReader exception ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("FileContent", stringBuilder.toString());
            }
        }
    }

    public static void closeInputStreamReader(java.io.InputStreamReader isr) {
        if (isr != null) {
            try {
                isr.close();
            } catch (java.io.IOException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("closeInputStreamReader exception ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("FileContent", stringBuilder.toString());
            }
        }
    }

    public static void closeFileInputStream(java.io.FileInputStream fis) {
        if (fis != null) {
            try {
                fis.close();
            } catch (java.io.IOException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("closeFileInputStream exception ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("FileContent", stringBuilder.toString());
            }
        }
    }
}
