package com.android.server.rms.iaware.dev;

public abstract class DevSchedFeatureBase {
    private static final java.lang.String TAG = "DevSchedFeatureBase";
    static com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState mScreenState = com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOn;
    public int mDeviceId = -1;

    public enum ScreenState {
        ScreenOn,
        ScreenOff
    }

    public abstract boolean handleUpdateCustConfig();

    public abstract boolean handlerNaviStatus(boolean z);

    public DevSchedFeatureBase(android.content.Context context) {
    }

    public static void setScreenState(com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState state) {
        mScreenState = state;
    }

    public boolean handScreenStateChange(com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState state) {
        return false;
    }

    public boolean handleResAppData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        return false;
    }

    public void doDumpsys(java.lang.String[] args) {
    }

    public int getDeviceId() {
        return this.mDeviceId;
    }

    public void sendCurrentDeviceMode() {
    }
}
