package com.android.server.rms.iaware.dev;

public class LCDSchedFeatureRT extends com.android.server.rms.iaware.dev.DevSchedFeatureBase {
    private static final java.lang.String TAG = "LCDSchedFeatureRT";
    private static final java.util.Map<java.lang.Integer, java.lang.Integer> sPgSceneToPreRecongMap = new android.util.ArrayMap();

    static {
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(303), java.lang.Integer.valueOf(1));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(304), java.lang.Integer.valueOf(19));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(305), java.lang.Integer.valueOf(9));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(306), java.lang.Integer.valueOf(18));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(307), java.lang.Integer.valueOf(6));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(308), java.lang.Integer.valueOf(8));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(310), java.lang.Integer.valueOf(5));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(311), java.lang.Integer.valueOf(0));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(312), java.lang.Integer.valueOf(7));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(313), java.lang.Integer.valueOf(3));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(314), java.lang.Integer.valueOf(3));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(315), java.lang.Integer.valueOf(12));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(318), java.lang.Integer.valueOf(6));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(319), java.lang.Integer.valueOf(14));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(321), java.lang.Integer.valueOf(15));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(322), java.lang.Integer.valueOf(10));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(323), java.lang.Integer.valueOf(4));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(324), java.lang.Integer.valueOf(17));
        sPgSceneToPreRecongMap.put(java.lang.Integer.valueOf(325), java.lang.Integer.valueOf(2));
    }

    public LCDSchedFeatureRT(android.content.Context context, java.lang.String name) {
        super(context);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("create ");
        stringBuilder.append(name);
        stringBuilder.append("LCDSchedFeatureRT success.");
        android.rms.iaware.AwareLog.d("LCDSchedFeatureRT", stringBuilder.toString());
    }

    public boolean handleUpdateCustConfig() {
        return true;
    }

    public boolean handlerNaviStatus(boolean isInNavi) {
        return true;
    }

    public int getAppType(java.lang.String pkgName) {
        if (pkgName == null) {
            return 255;
        }
        int appType = android.rms.iaware.AppTypeRecoManager.getInstance().getAppType(pkgName);
        if (appType <= -1) {
            return 255;
        }
        if (appType <= 255) {
            return appType;
        }
        java.lang.Integer convertType = (java.lang.Integer) sPgSceneToPreRecongMap.get(java.lang.Integer.valueOf(appType));
        if (convertType == null) {
            return appType;
        }
        return convertType.intValue();
    }
}
