package com.android.server.rms.iaware.feature;

public class AppRecgFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 1;
    private static final int MIN_VERSION = 2;
    private static final java.lang.String TAG = "AppRecgFeature";
    private int mIAwareVersion = 1;

    public AppRecgFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }

    public boolean enable() {
        return false;
    }

    public boolean disable() {
        if (this.mIAwareVersion < 2) {
            return false;
        }
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.commDisable();
        com.android.server.rms.iaware.appmng.AwareSceneRecognize.disable();
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        this.mIAwareVersion = realVersion;
        if (realVersion < 2) {
            return false;
        }
        android.rms.iaware.AwareLog.i("AppRecgFeature", "AppRecgFeature enableFeatureEx");
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.commEnable();
        com.android.server.rms.iaware.appmng.AwareSceneRecognize.enable();
        return true;
    }
}
