package com.android.server.rms.iaware.hiber.bean;

public class HiberAppInfo extends com.android.server.rms.iaware.hiber.bean.AbsAppInfo {
    public int mPid;
    public java.lang.String mProcessName;
    public long mReclaimTime = android.os.SystemClock.uptimeMillis();

    public HiberAppInfo(int uid, java.lang.String pkgName, int pid, java.lang.String processName) {
        super(uid, pkgName);
        this.mPid = pid;
        this.mProcessName = processName;
    }

    public boolean equals(java.lang.Object obj) {
        boolean z = false;
        if (obj == null) {
            return false;
        }
        if (obj == this) {
            return true;
        }
        if (obj.getClass() != getClass()) {
            return false;
        }
        com.android.server.rms.iaware.hiber.bean.HiberAppInfo hiberAppInfo = (com.android.server.rms.iaware.hiber.bean.HiberAppInfo) obj;
        if (hiberAppInfo.mUid == this.mUid && !com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(hiberAppInfo.mPkgName)) {
            if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(this.mPkgName)) {
                if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(hiberAppInfo.mProcessName)) {
                    if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(this.mProcessName)) {
                        if (hiberAppInfo.mPkgName.equals(this.mPkgName) && hiberAppInfo.mProcessName.equals(this.mProcessName)) {
                            z = true;
                        }
                        return z;
                    }
                }
                return false;
            }
        }
        return false;
    }

    public int hashCode() {
        return com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(this.mProcessName) ? this.mPid : this.mProcessName.hashCode();
    }
}
