package com.android.server.rms.iaware.hiber.bean;

public class HiberBean implements android.os.Parcelable {
    private static final java.lang.String TAG = "AppHiber_Mgr_Bean";
    public int func_Id;
    public int operate_type;
    public int[] pidArray;
    public java.lang.String pkgName;

    public HiberBean(int func_Id, java.lang.String pkgName, int[] pidArray, int operate_type) {
        this.func_Id = func_Id;
        this.pkgName = pkgName;
        if (pidArray != null) {
            this.pidArray = java.util.Arrays.copyOf(pidArray, pidArray.length);
        }
        this.operate_type = operate_type;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        if (dest == null) {
            android.rms.iaware.AwareLog.w("AppHiber_Mgr_Bean", "null == dest");
            return;
        }
        dest.writeInt(this.func_Id);
        if (flags == 1) {
            dest.writeString(this.pkgName);
            dest.writeIntArray(this.pidArray);
        }
        dest.writeInt(this.operate_type);
    }
}
