package com.android.server.rms.iaware.memory.data.handle;

public class DataDevStatusHandle extends com.android.server.rms.iaware.memory.data.handle.AbsDataHandle {
    private static final java.lang.String TAG = "AwareMem_DevHandle";
    private static com.android.server.rms.iaware.memory.data.handle.DataDevStatusHandle sDataHandle;

    public static com.android.server.rms.iaware.memory.data.handle.DataDevStatusHandle getInstance() {
        com.android.server.rms.iaware.memory.data.handle.DataDevStatusHandle dataDevStatusHandle;
        synchronized (com.android.server.rms.iaware.memory.data.handle.DataDevStatusHandle.class) {
            if (sDataHandle == null) {
                sDataHandle = new com.android.server.rms.iaware.memory.data.handle.DataDevStatusHandle();
            }
            dataDevStatusHandle = sDataHandle;
        }
        return dataDevStatusHandle;
    }

    public int reportData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (event == 20011) {
            android.rms.iaware.AwareLog.d("AwareMem_DevHandle", "dev status event screen on");
            this.mDMEServer.enable();
            android.os.Bundle extras = new android.os.Bundle();
            extras.putString("appName", "ScreenON");
            this.mDMEServer.execute("default", extras, event, timestamp);
        } else if (event != 90011) {
            android.rms.iaware.AwareLog.w("AwareMem_DevHandle", "Dev Status event invalid");
        } else {
            android.rms.iaware.AwareLog.d("AwareMem_DevHandle", "dev status event screen off");
            this.mDMEServer.disable();
        }
        return 0;
    }

    private DataDevStatusHandle() {
    }
}
