package com.android.server.rms.iaware.memory.utils;

public final class MemoryConstant {
    public static final long APP_AVG_USS = 20480;
    public static final int AWARE_INVAILD_KILL_NUM = 3;
    public static final int AWARE_INVAILD_KILL_THRESHOLD = 5;
    public static final int CAMERA_AUTOSTOP_TIMEOUT = 1;
    public static final java.lang.String CAMERA_PACKAGE_NAME = "com.huawei.camera";
    private static final int CAMERA_POWERUP_WATERMARK_NOTINIT = -2;
    public static final int CAMERA_POWERUP_WORKER_MASK = 16746241;
    public static final int CAMERA_STREAMING_WORKER_MASK = 1013762;
    private static final java.lang.String CONFIG_PROTECT_LRU_DEFAULT = "0 0 0";
    private static long CPU_IDLE_THRESHOLD = 30;
    private static long CPU_NORMAL_THRESHOLD = 60;
    private static long CRITICAL_MEMORY = 614400;
    public static final int DEFAULT_DIRECT_SWAPPINESS = 60;
    public static final int DEFAULT_EXTRA_FREE_KBYTES = android.os.SystemProperties.getInt("sys.sysctl.extra_free_kbytes", 24300);
    public static final int DEFAULT_INVALID_UID = 0;
    public static final int DEFAULT_SWAPPINESS = 60;
    public static final int DIRCONSTANT = 50;
    public static final int DO_APPLY_MASK = 1;
    public static final int DO_SHRINK_MASK = 2;
    private static long EMERGENCY_MEMORY = 307200;
    private static final android.hardware.camera2.CameraCharacteristics.Key<int[]> HW_CAMERA_MEMORY_REQUIREMENT_SUPPORTED = new android.hardware.camera2.CameraCharacteristics.Key("com.huawei.device.capabilities.hwCameraMemoryRequirementSupported", int[].class);
    private static long IDLE_MEMORY = 1048576;
    public static final int LARGE_CPU_MASK = 16711680;
    public static final int LITTLE_CPU_MASK = 983040;
    public static final int MAX_APPNAME_LEN = 64;
    public static final int MAX_EXTRA_FREE_KBYTES = 200000;
    public static final int MAX_MEM_PINFILES_COUNT = 20;
    private static final int MAX_SWAPPINESS = 200;
    public static final long MB_SIZE = 1048576;
    public static final java.lang.String MEM_ACTION_SYSTRIM = "com.huawei.iaware.sys.trim";
    public static final java.lang.String MEM_CONSTANT_API_MAX_REQUEST_MEM = "api_max_req_mem";
    public static final java.lang.String MEM_CONSTANT_AVERAGEAPPUSSNAME = "averageAppUss";
    public static final java.lang.String MEM_CONSTANT_BIGMEMCRITICALMEMORYNAME = "bigMemCriticalMemory";
    public static final java.lang.String MEM_CONSTANT_CAMERAPOWERUPNAME = "camera_powerup_ion_memory";
    public static final java.lang.String MEM_CONSTANT_CONFIGNAME = "MemoryConstant";
    public static final java.lang.String MEM_CONSTANT_DEFAULTCRITICALMEMORYNAME = "defaultCriticalMemory";
    public static final java.lang.String MEM_CONSTANT_DEFAULTTIMERPERIOD = "defaultTimerPeriod";
    public static final java.lang.String MEM_CONSTANT_DIRECTSWAPPINESSNAME = "direct_swappiness";
    public static final java.lang.String MEM_CONSTANT_EMERGEMCYMEMORYNAME = "emergencyMemory";
    public static final java.lang.String MEM_CONSTANT_EXTRAFREEKBYTESNAME = "extra_free_kbytes";
    public static final java.lang.String MEM_CONSTANT_GMCSWITCH = "gmc_switch";
    public static final java.lang.String MEM_CONSTANT_GPUNAME = "gpuMemory";
    public static final java.lang.String MEM_CONSTANT_HIGHCPULOADNAME = "highCpuLoad";
    public static final java.lang.String MEM_CONSTANT_IONSPEEDUPSWITCH = "camera_ion_speedup_switch";
    public static final java.lang.String MEM_CONSTANT_LOWCPULOADNAME = "lowCpuLoad";
    public static final java.lang.String MEM_CONSTANT_MAXTIMERPERIOD = "maxTimerPeriod";
    public static final java.lang.String MEM_CONSTANT_MINTIMERPERIOD = "minTimerPeriod";
    public static final java.lang.String MEM_CONSTANT_NORMALMEMORYNAME = "normalMemory";
    public static final java.lang.String MEM_CONSTANT_NUMTIMERPERIOD = "numTimerPeriod";
    public static final java.lang.String MEM_CONSTANT_PREREAD_ODEX = "prereadOdexSwitch";
    public static final java.lang.String MEM_CONSTANT_PROCESSLIMIT = "numProcessLimit";
    public static final java.lang.String MEM_CONSTANT_PROCESSPERCENT = "numEmptyProcessPercent";
    public static final java.lang.String MEM_CONSTANT_PROTECTLRULIMIT = "protect_lru_limit";
    public static final java.lang.String MEM_CONSTANT_PROTECTRATIO = "protect_lru_ratio";
    public static final java.lang.String MEM_CONSTANT_RAMSIZENAME = "ramsize";
    public static final java.lang.String MEM_CONSTANT_RESERVEDZRAMNAME = "reservedZram";
    public static final java.lang.String MEM_CONSTANT_SWAPPINESSNAME = "swappiness";
    public static final java.lang.String MEM_CONSTANT_SYSTEMTRIMWITCH = "systemtrim_switch";
    public static final java.lang.String MEM_FILECACHE_ITEM_LEVEL = "level";
    public static final java.lang.String MEM_FILECACHE_ITEM_NAME = "name";
    public static final java.lang.String MEM_PIN_FILE = "PinFile";
    public static final java.lang.String MEM_PIN_FILE_CONSTANT = "file";
    public static final java.lang.String MEM_PIN_FILE_CONSTANT_SIZE = "size";
    public static final java.lang.String MEM_PIN_FILE_ITEM_NAME = "name";
    public static final java.lang.String MEM_PIN_FILE_NAME = "files";
    public static final java.lang.String MEM_POLICY_ACTIONNAME = "name";
    public static final java.lang.String MEM_POLICY_BIGAPPNAME = "appname";
    public static final java.lang.String MEM_POLICY_BIGMEMAPP = "BigMemApp";
    public static final java.lang.String MEM_POLICY_CONFIGNAME = "Memoryitem";
    public static final java.lang.String MEM_POLICY_FEATURENAME = "Memory";
    public static final java.lang.String MEM_POLICY_FILECACHE = "FileCache";
    public static final java.lang.String MEM_POLICY_GMCACTION = "gmc";
    public static final java.lang.String MEM_POLICY_IONPROPERTYS = "ionPropertys";
    public static final java.lang.String MEM_POLICY_KILLACTION = "kill";
    public static final java.lang.String MEM_POLICY_QUICKKILLACTION = "quickkill";
    public static final java.lang.String MEM_POLICY_RECLAIM = "reclaim";
    public static final java.lang.String MEM_POLICY_REPAIR = "memRepair";
    public static final java.lang.String MEM_POLICY_SCENE = "scene";
    public static final java.lang.String MEM_POLICY_SYSTEMTRIMACTION = "systemtrim";
    public static final java.lang.String MEM_POLICY_SYSTRIM = "SystemMemMng";
    public static final java.lang.String MEM_PREREAD_CONFIGNAME = "PrereadFile";
    public static final java.lang.String MEM_PREREAD_FILE = "file";
    public static final java.lang.String MEM_PREREAD_ITEM_NAME = "pkgname";
    public static final java.lang.String MEM_PREREAD_SWITCH = "prereadSwitch";
    public static final java.lang.String MEM_REPAIR_CONSTANT_BASE = "base";
    public static final java.lang.String MEM_REPAIR_CONSTANT_BG = "background";
    public static final java.lang.String MEM_REPAIR_CONSTANT_BG_INTERVAL = "bg_interval";
    public static final java.lang.String MEM_REPAIR_CONSTANT_BG_MIN_COUNT = "bg_min_count";
    public static final java.lang.String MEM_REPAIR_CONSTANT_DV_NEGA_PERCENT = "dvalue_negative_percent";
    public static final java.lang.String MEM_REPAIR_CONSTANT_FG = "foreground";
    public static final java.lang.String MEM_REPAIR_CONSTANT_FG_INTERVAL = "fg_interval";
    public static final java.lang.String MEM_REPAIR_CONSTANT_FG_MIN_COUNT = "fg_min_count";
    public static final java.lang.String MEM_REPAIR_CONSTANT_MIN_MAX_THRES = "min_max_threshold";
    public static final java.lang.String MEM_REPAIR_CONSTANT_PROC_EMERG_THRES = "proc_emergency_threshold";
    public static final java.lang.String MEM_REPAIR_CONSTANT_SIZE = "size";
    public static final java.lang.String MEM_REPAIR_CONSTANT_THRES = "threshold";
    public static final java.lang.String MEM_REPAIR_ITEM_NAME = "name";
    public static final java.lang.String MEM_SCENE_BIGMEM = "BigMem";
    public static final java.lang.String MEM_SCENE_DEFAULT = "default";
    public static final java.lang.String MEM_SCENE_IDLE = "idle";
    public static final java.lang.String MEM_SCENE_LAUNCH = "launch";
    public static final java.lang.String MEM_SYSTRIM_ITEM_PKG = "packageName";
    public static final java.lang.String MEM_SYSTRIM_ITEM_THRES = "threshold";
    public static final long MIN_INTERVAL_OP_TIMEOUT = 10000;
    public static final int MSG_ACTIVITY_DISPLAY_STATISTICS = 330;
    public static final int MSG_BOOST_SIGKILL_SWITCH = 301;
    public static final int MSG_COMPRESS_GPU = 313;
    public static final int MSG_DIRECT_SWAPPINESS = 303;
    public static final int MSG_MEM_BASE_VALUE = 300;
    public static final int MSG_MMONITOR_SWITCH = 332;
    public static final int MSG_PREREAD_DATA_REMOVE = 312;
    public static final int MSG_PREREAD_FILE = 314;
    public static final int MSG_PROTECTLRU_CONFIG_UPDATE = 308;
    public static final int MSG_PROTECTLRU_SET_FILENODE = 304;
    public static final int MSG_PROTECTLRU_SET_PROTECTRATIO = 307;
    public static final int MSG_PROTECTLRU_SET_PROTECTZONE = 305;
    public static final int MSG_PROTECTLRU_SWITCH = 306;
    public static final int MSG_SET_PREREAD_PATH = 311;
    public static final int MSG_SPECIAL_SCENE_POOL_BASE = 340;
    public static final int MSG_SPECIAL_SCENE_POOL_ENTER = 340;
    public static final int MSG_SPECIAL_SCENE_POOL_EXIT = 341;
    public static final int MSG_SPECIAL_SCENE_POOL_MAX = 349;
    public static final int MSG_SWAPPINESS = 302;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_ABORT = 353;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_BACKUP = 356;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_BASE = 350;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_CLEAN = 355;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_MAX = 359;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_PAUSE = 351;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_PAUSE_COLLECT = 357;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_PREREAD = 354;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_START = 350;
    public static final int MSG_WORKINGSET_TOUCHEDFILES_STOP = 352;
    public static final int PROCESSLIST_EXTRA_FREE_KBYTES = 24300;
    public static final int PROTECTLRU_ERROR_LEVEL = -1;
    public static final int PROTECTLRU_FIRST_LEVEL = 1;
    public static final int PROTECTLRU_MAX_LEVEL = 3;
    public static final int PROTECTLRU_STATE_PROTECT = 1;
    public static final int PROTECTLRU_STATE_UNPROTECT = 0;
    public static final long RECLAIM_KILL_GAP_MEMORY = 102400;
    public static final int REPEAT_RECLAIM_TIME_GAP = 600000;
    public static final int RESULT_ACTIVE = 1;
    public static final int RESULT_CONTINUE = 3;
    public static final int RESULT_FAIL = -1;
    public static final int RESULT_INACTIVE = 2;
    public static final int RESULT_OK = 0;
    private static final java.lang.String TAG = "AwareMem_MemoryConstant";
    public static final int THD_HIGH_PRIORITY = 30720;
    public static final int THD_LOW_PRIORITY = 34560;
    private static long bigMemoryAppLimit = 614400;
    private static int cameraPowerupWatermark = -2;
    private static int cameraPowerupWatermarkXml = -1;
    private static int configDirectSwappiness = -1;
    private static int configExtraFreeKbytes = -1;
    private static int configGmcSwitch = 0;
    private static int configIonSpeedupSwitch = 0;
    private static java.lang.String configProtectLruLimit = "0 0 0";
    private static int configProtectLruRatio = 50;
    private static int configSwappiness = -1;
    private static int configSystemTrimSwitch = 0;
    private static long defaultMemoryLimit = 614400;
    private static long defaultPeriod = 2000;
    private static long gpuMemoryLimit = 1048576;
    private static android.hardware.camera2.CameraManager mCameraManager;
    private static android.content.Context mContext;
    private static android.util.ArrayMap<java.lang.Integer, android.util.ArraySet<java.lang.String>> mFileCacheMap = new android.util.ArrayMap();
    private static final java.util.ArrayList<java.lang.String> mPinnedFilesStr = new java.util.ArrayList();
    private static java.util.Map<java.lang.String, java.util.ArrayList<java.lang.String>> mPrereadFileMap = new android.util.ArrayMap();
    private static long maxApiReqMem = 1228800;
    private static long maxPeriod = 600000;
    private static long maxReqMem = 2097152;
    private static long minPeriod = 500;
    private static int numPeriod = 3;
    private static long reservedZramMemory = 102400;
    private static int sysCameraUid = 0;
    private static long totalApiRequestMem = 0;

    public enum MemActionType {
        ACTION_KILL,
        ACTION_COMPRESS,
        ACTION_RECLAIM
    }

    public enum MemLevel {
        MEM_LOW,
        MEM_CRITICAL
    }

    public static void init(android.content.Context context) {
        mContext = context;
    }

    public static final long getIdleThresHold() {
        return CPU_IDLE_THRESHOLD;
    }

    public static final void setIdleThresHold(long idleLoad) {
        if (idleLoad >= 0) {
            if (idleLoad <= 100) {
                CPU_IDLE_THRESHOLD = idleLoad;
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! IdleThresHold=");
        stringBuilder.append(idleLoad);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final long getNormalThresHold() {
        return CPU_NORMAL_THRESHOLD;
    }

    public static final void setNormalThresHold(long normalLoad) {
        if (normalLoad >= 0) {
            if (normalLoad <= 100) {
                CPU_NORMAL_THRESHOLD = normalLoad;
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! NormalThresHold=");
        stringBuilder.append(normalLoad);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final long getReservedZramSpace() {
        return reservedZramMemory;
    }

    public static final long getReclaimKillGapMemory() {
        return 102400;
    }

    public static final void setReservedZramSpace(long reserved) {
        if (reserved < 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! ReservedZramSpace=");
            stringBuilder.append(reserved);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        reservedZramMemory = reserved;
    }

    public static final long getIdleMemory() {
        return IDLE_MEMORY;
    }

    public static final void setIdleMemory(long idleMemory) {
        if (idleMemory <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! IdleMemory=");
            stringBuilder.append(idleMemory);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        IDLE_MEMORY = idleMemory;
    }

    public static final long getEmergencyMemory() {
        return EMERGENCY_MEMORY;
    }

    public static final void setEmergencyMemory(long emergemcyMemory) {
        if (emergemcyMemory <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! EmergencyMemory=");
            stringBuilder.append(emergemcyMemory);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        EMERGENCY_MEMORY = emergemcyMemory;
    }

    public static final long getCriticalMemory() {
        return CRITICAL_MEMORY;
    }

    public static final void setDefaultCriticalMemory(long criticalMemory) {
        if (criticalMemory <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! DefaultCriticalMemory=");
            stringBuilder.append(criticalMemory);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        CRITICAL_MEMORY = criticalMemory;
        defaultMemoryLimit = criticalMemory;
    }

    public static final long getMaxAPIRequestMemory() {
        return maxApiReqMem;
    }

    public static final void setMaxAPIRequestMemory(long maxRequestMemory) {
        if (maxRequestMemory >= 0) {
            long maxRequestMemoryKB = 1024 * maxRequestMemory;
            if (maxRequestMemoryKB > maxApiReqMem) {
                maxReqMem += maxRequestMemoryKB - maxApiReqMem;
            }
            maxApiReqMem = maxRequestMemoryKB;
        }
    }

    public static final long getTotalAPIRequestMemory() {
        return totalApiRequestMem;
    }

    public static final void resetTotalAPIRequestMemory() {
        totalApiRequestMem = 0;
    }

    public static final void addTotalAPIRequestMemory(long addMemory) {
        if (addMemory > 0) {
            totalApiRequestMem += addMemory;
        }
    }

    public static final void enableBigMemCriticalMemory() {
        CRITICAL_MEMORY = bigMemoryAppLimit;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setLowCriticalMemory, current limit is ");
        stringBuilder.append(CRITICAL_MEMORY / 1024);
        stringBuilder.append("MB");
        android.rms.iaware.AwareLog.d("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final void disableBigMemCriticalMemory() {
        CRITICAL_MEMORY = defaultMemoryLimit;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("resetLowCriticalMemory, current limit is ");
        stringBuilder.append(CRITICAL_MEMORY / 1024);
        stringBuilder.append("MB");
        android.rms.iaware.AwareLog.d("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final void setBigMemoryAppCriticalMemory(long bigMemLimit) {
        if (bigMemLimit <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! BigMemoryAppCriticalMemory=");
            stringBuilder.append(bigMemLimit);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        bigMemoryAppLimit = bigMemLimit;
    }

    public static final void setMaxTimerPeriod(long maxTimerPeriod) {
        if (maxTimerPeriod <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! MaxTimerPeriod=");
            stringBuilder.append(maxTimerPeriod);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        maxPeriod = maxTimerPeriod;
    }

    public static final long getMaxTimerPeriod() {
        return maxPeriod;
    }

    public static final void setMinTimerPeriod(long minTimerPeriod) {
        if (minTimerPeriod <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! MinTimerPeriod=");
            stringBuilder.append(minTimerPeriod);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        minPeriod = minTimerPeriod;
    }

    public static final long getMinTimerPeriod() {
        return minPeriod;
    }

    public static final void setDefaultTimerPeriod(long defaultTimerPeriod) {
        if (defaultTimerPeriod <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! DefaultTimerPeriod=");
            stringBuilder.append(defaultTimerPeriod);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        defaultPeriod = defaultTimerPeriod;
    }

    public static final long getDefaultTimerPeriod() {
        return defaultPeriod;
    }

    public static final void setNumTimerPeriod(int numTimerPeriod) {
        if (numTimerPeriod <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! NumTimerPeriod=");
            stringBuilder.append(numTimerPeriod);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        numPeriod = numTimerPeriod;
    }

    public static final int getNumTimerPeriod() {
        return numPeriod;
    }

    public static final long getMiddleWater() {
        return (EMERGENCY_MEMORY + CRITICAL_MEMORY) / 2;
    }

    public static final long getMaxReqMem() {
        return maxReqMem;
    }

    public static final void setFileCacheMap(android.util.ArrayMap<java.lang.Integer, android.util.ArraySet<java.lang.String>> fileCacheMap) {
        if (fileCacheMap == null) {
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", "config error! FileCacheMap null");
        } else {
            mFileCacheMap = fileCacheMap;
        }
    }

    public static final android.util.ArrayMap<java.lang.Integer, android.util.ArraySet<java.lang.String>> getFileCacheMap() {
        return mFileCacheMap;
    }

    public static final void setPrereadFileMap(java.util.Map<java.lang.String, java.util.ArrayList<java.lang.String>> prereadFileMap) {
        if (prereadFileMap == null) {
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", "config error! prereadFileMap null");
        } else {
            mPrereadFileMap = prereadFileMap;
        }
    }

    public static java.util.Map<java.lang.String, java.util.ArrayList<java.lang.String>> getCameraPrereadFileMap() {
        return mPrereadFileMap;
    }

    public static void addPinnedFilesStr(java.lang.String file) {
        mPinnedFilesStr.add(file);
    }

    public static void clearPinnedFilesStr() {
        mPinnedFilesStr.clear();
    }

    public static java.util.ArrayList<java.lang.String> getFilesToPin() {
        return mPinnedFilesStr;
    }

    public static final int getConfigExtraFreeKbytes() {
        return configExtraFreeKbytes;
    }

    public static final void setConfigExtraFreeKbytes(int extraFreeKbytes) {
        if (extraFreeKbytes < 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("config error! ExtraFreeKbytes=");
            stringBuilder.append(extraFreeKbytes);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        configExtraFreeKbytes = extraFreeKbytes;
    }

    public static final int getConfigSwappiness() {
        return configSwappiness;
    }

    public static final void setConfigSwappiness(int swappiness) {
        if (swappiness >= 0) {
            if (swappiness <= 200) {
                configSwappiness = swappiness;
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! Swappiness=");
        stringBuilder.append(swappiness);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final int getConfigDirectSwappiness() {
        return configDirectSwappiness;
    }

    public static final void setConfigDirectSwappiness(int directswappiness) {
        if (directswappiness >= 0) {
            if (directswappiness <= 200) {
                configDirectSwappiness = directswappiness;
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! DirectSwappiness=");
        stringBuilder.append(directswappiness);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final java.lang.String getConfigProtectLruLimit() {
        return configProtectLruLimit;
    }

    public static final void setConfigProtectLruLimit(java.lang.String protectLruLimit) {
        if (protectLruLimit == null) {
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", "config error! ProtectLruLimit null");
        } else {
            configProtectLruLimit = protectLruLimit;
        }
    }

    public static final java.lang.String getConfigProtectLruDefault() {
        return "0 0 0";
    }

    public static final void setConfigProtectLruRatio(int ratio) {
        if (ratio >= 0) {
            if (ratio <= 100) {
                configProtectLruRatio = ratio;
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! ProtectLruRatio=");
        stringBuilder.append(ratio);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final int getConfigProtectLruRatio() {
        return configProtectLruRatio;
    }

    public static final void setConfigIonSpeedupSwitch(int switchValue) {
        if (switchValue >= 0) {
            if (switchValue <= 1) {
                configIonSpeedupSwitch = switchValue;
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! ionSpeedupSwitch=");
        stringBuilder.append(switchValue);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final int getConfigIonSpeedupSwitch() {
        return configIonSpeedupSwitch;
    }

    public static final void setCameraPowerUPMem() {
        if (mContext != null) {
            mCameraManager = (android.hardware.camera2.CameraManager) mContext.getSystemService("camera");
            if (mCameraManager == null) {
                android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", "mCameraManager is null!");
                return;
            }
            try {
                android.hardware.camera2.CameraCharacteristics characteristics = mCameraManager.getCameraCharacteristics("0");
                if (characteristics != null) {
                    int[] memory_requirement = (int[]) characteristics.get(HW_CAMERA_MEMORY_REQUIREMENT_SUPPORTED);
                    if (!(memory_requirement == null || memory_requirement.length == 0)) {
                        cameraPowerupWatermark = memory_requirement[0] * 1024;
                    }
                }
            } catch (android.hardware.camera2.CameraAccessException e) {
                android.rms.iaware.AwareLog.i("AwareMem_MemoryConstant", "getStartUpMemFromCamera: Characteristics CameraAccessException");
            } catch (java.lang.IllegalArgumentException e2) {
                android.rms.iaware.AwareLog.i("AwareMem_MemoryConstant", "getStartUpMemFromCamera: Characteristics IllegalArgumentException");
            }
        }
    }

    public static final void setCameraPowerUPMemoryDefault(int memoryKb) {
        if (memoryKb <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setCameraPowerUPMemory  memoryKb error! ");
            stringBuilder.append(memoryKb);
            android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
            return;
        }
        cameraPowerupWatermarkXml = memoryKb;
    }

    public static final int getCameraPowerUPMemory() {
        if (cameraPowerupWatermark == -2) {
            setCameraPowerUPMem();
        }
        if (cameraPowerupWatermark == -2) {
            cameraPowerupWatermark = cameraPowerupWatermarkXml;
        }
        return cameraPowerupWatermark;
    }

    public static final void setConfigGmcSwitch(int switchValue) {
        if (switchValue >= 0) {
            if (switchValue <= 1) {
                configGmcSwitch = switchValue;
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! GmcSwitch=");
        stringBuilder.append(switchValue);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final int getConfigGmcSwitch() {
        return configGmcSwitch;
    }

    public static final void setGpuMemoryLimit(long limit) {
        gpuMemoryLimit = limit;
    }

    public static final long getGpuMemoryLimit() {
        return gpuMemoryLimit;
    }

    public static final void setConfigSystemTrimSwitch(int switchValue) {
        java.lang.StringBuilder stringBuilder;
        if (switchValue >= 0) {
            if (switchValue <= 1) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("config system trim switch=");
                stringBuilder.append(switchValue);
                android.rms.iaware.AwareLog.d("AwareMem_MemoryConstant", stringBuilder.toString());
                configSystemTrimSwitch = switchValue;
                return;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("config error! SystemTrimSwitch=");
        stringBuilder.append(switchValue);
        android.rms.iaware.AwareLog.w("AwareMem_MemoryConstant", stringBuilder.toString());
    }

    public static final int getConfigSystemTrimSwitch() {
        return configSystemTrimSwitch;
    }

    public static final void setSysCameraUid(int uid) {
        sysCameraUid = uid;
    }

    public static final int getSystemCameraUid() {
        return sysCameraUid;
    }
}
