package com.android.server.rms.scene;

public class NonIdleScene implements com.android.server.rms.IScene {
    private android.os.PowerManager mPowerManager;

    public NonIdleScene(android.content.Context context) {
        this.mPowerManager = (android.os.PowerManager) context.getSystemService("power");
    }

    public boolean identify(android.os.Bundle extras) {
        if (this.mPowerManager != null) {
            return this.mPowerManager.isInteractive();
        }
        return false;
    }
}
