package com.android.server.rms.scene;

public class PhoneScene implements com.android.server.rms.IScene {
    private android.telephony.TelephonyManager mTelephonyManager;

    public PhoneScene(android.content.Context context) {
        this.mTelephonyManager = (android.telephony.TelephonyManager) context.getSystemService("phone");
    }

    public boolean identify(android.os.Bundle extras) {
        if (this.mTelephonyManager != null) {
            return this.mTelephonyManager.isIdle() ^ 1;
        }
        return false;
    }
}
