package com.android.server.rms.shrinker;

public class KillShrinker implements com.android.server.rms.IShrinker {
    public static final java.lang.String PID_KEY = "pid";
    static final java.lang.String TAG = "RMS.KillShrinker";

    public int reclaim(java.lang.String reason, android.os.Bundle extras) {
        if (extras == null) {
            return 0;
        }
        int pid = extras.getInt("pid");
        if (pid > 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(reason);
            stringBuilder.append(" kill pid=");
            stringBuilder.append(pid);
            android.util.Log.w("RMS.KillShrinker", stringBuilder.toString());
            android.os.Process.killProcess(pid);
        }
        return 1;
    }

    public void interrupt() {
    }
}
