package com.android.server.security.trustcircle.task;

public class HwSecurityTimerTask extends java.util.TimerTask {
    private com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc mToProc;

    public boolean setTimeout(long delay, com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc toProc) {
        this.mToProc = toProc;
        com.android.server.security.trustcircle.task.HwSecurityTimer timer = com.android.server.security.trustcircle.task.HwSecurityTimer.getInstance();
        if (timer == null) {
            return false;
        }
        timer.schedule(this, delay);
        return true;
    }

    public void run() {
        com.android.server.security.trustcircle.task.HwSecurityTaskThread.staticPushTask(new com.android.server.security.trustcircle.task.HwSecurityTimeroutTask(this.mToProc), 1);
    }
}
