package com.android.server.security.tsmagent.server.card.impl;

public class SignCommand {
    static final java.lang.String CITIC_SIGN_CONTENT_APPLY_AID_ACTION = "APPLYIDCARDACTION";
    static final java.lang.String CITIC_SIGN_CONTENT_NULLIFY = "NULLIFYACTION";
    static final java.lang.String SIGN_CONTENT_CREATE_SSD = "CREATESSDACTION";
    static final java.lang.String SIGN_CONTENT_DELETE_SSD = "DELETESSDACTION";
    static final java.lang.String SIGN_CONTENT_SYNC_SSD = "ESEINFOSYNC";
    static final java.util.HashMap<java.lang.String, java.lang.String> sCommands = new java.util.HashMap();

    static {
        sCommands.put("nfc.get.install.APP", "APPLYIDCARDACTION");
        sCommands.put("nfc.get.del.APP", "NULLIFYACTION");
        sCommands.put("nfc.get.create.SSD", "CREATESSDACTION");
        sCommands.put("nfc.get.del.SSD", "DELETESSDACTION");
        sCommands.put("nfc.get.NotifyEseInfoSync", "ESEINFOSYNC");
    }

    public static java.lang.String getSignCommand(java.lang.String taskType) {
        return (java.lang.String) sCommands.get(taskType);
    }
}
