package com.android.server.security.tsmagent.server.card.request;

public class TsmParamQueryRequest extends com.android.server.security.tsmagent.server.CardServerBaseRequest {
    private java.lang.String aid;
    private java.lang.String bankRsaIndex;
    private java.lang.String bankSignResult;
    private java.lang.String bankSignTime;
    private java.lang.String cplc;
    private boolean deleteRelatedObjects = false;
    private java.lang.String signType;
    private java.lang.String terminal;
    private java.lang.String tsmParamIMEI;

    public TsmParamQueryRequest(java.lang.String cplc, java.lang.String merchantID, int rsaKeyIndex, java.lang.String srcTransactionID, java.lang.String terminal, java.lang.String imei) {
        super(merchantID, rsaKeyIndex, srcTransactionID);
        this.cplc = cplc;
        this.terminal = terminal;
        this.tsmParamIMEI = imei;
    }

    public java.lang.String getCplc() {
        return this.cplc;
    }

    public java.lang.String getAid() {
        return this.aid;
    }

    public java.lang.String getTerminal() {
        return this.terminal;
    }

    public java.lang.String getBankSignResult() {
        return this.bankSignResult;
    }

    public java.lang.String getBankSignTime() {
        return this.bankSignTime;
    }

    public java.lang.String getBankRsaIndex() {
        return this.bankRsaIndex;
    }

    public java.lang.String getSignType() {
        return this.signType;
    }

    public boolean isDeleteRelatedObjects() {
        return this.deleteRelatedObjects;
    }

    public java.lang.String getTsmParamIMEI() {
        return this.tsmParamIMEI;
    }

    public void setCplc(java.lang.String cplc) {
        this.cplc = cplc;
    }

    public void setAid(java.lang.String aid) {
        this.aid = aid;
    }

    public void setTerminal(java.lang.String terminal) {
        this.terminal = terminal;
    }

    public void setBankSignResult(java.lang.String bankSignResult) {
        this.bankSignResult = bankSignResult;
    }

    public void setBankSignTime(java.lang.String bankSignTime) {
        this.bankSignTime = bankSignTime;
    }

    public void setBankRsaIndex(java.lang.String bankRsaIndex) {
        this.bankRsaIndex = bankRsaIndex;
    }

    public void setSignType(java.lang.String signType) {
        this.signType = signType;
    }

    public void setDeleteRelatedObjects(boolean deleteRelatedObjects) {
        this.deleteRelatedObjects = deleteRelatedObjects;
    }

    public void setTsmParamIMEI(java.lang.String iMEI) {
        this.tsmParamIMEI = iMEI;
    }
}
