package com.android.server.security.tsmagent.storage;

public class NFCPreferences {
    private static final java.lang.String HOTALK_PROPERTIES_NAME = "NFC_Properties";
    private static com.android.server.security.tsmagent.storage.NFCPreferences instance = null;
    private static final java.lang.Object lock = new java.lang.Object();
    private android.content.SharedPreferences sharedPreferences = null;

    private NFCPreferences(android.content.Context context) {
        this.sharedPreferences = context.getApplicationContext().getSharedPreferences("NFC_Properties", 0);
    }

    public static com.android.server.security.tsmagent.storage.NFCPreferences getInstance(android.content.Context context) {
        synchronized (lock) {
            if (instance == null) {
                instance = new com.android.server.security.tsmagent.storage.NFCPreferences(context);
            }
        }
        return instance;
    }

    public boolean putString(java.lang.String key, java.lang.String value) {
        return this.sharedPreferences.edit().putString(key, value).commit();
    }

    public java.lang.String getString(java.lang.String key, java.lang.String defaultValue) {
        return this.sharedPreferences.getString(key, defaultValue);
    }
}
