package com.android.server.storage;

@java.lang.Deprecated
public class Hex implements com.android.server.storage.BinaryEncoder, com.android.server.storage.BinaryDecoder {
    private static final char[] DIGITS = new char[]{'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'};

    public static byte[] decodeHex(char[] data) throws com.android.server.storage.DecoderException {
        int len = data.length;
        if ((len & 1) == 0) {
            byte[] out = new byte[(len >> 1)];
            int i = 0;
            int j = 0;
            while (j < len) {
                j++;
                j++;
                out[i] = (byte) (((toDigit(data[j], j) << 4) | toDigit(data[j], j)) & 255);
                i++;
            }
            return out;
        }
        throw new com.android.server.storage.DecoderException("Odd number of characters.");
    }

    protected static int toDigit(char ch, int index) throws com.android.server.storage.DecoderException {
        int digit = java.lang.Character.digit(ch, 16);
        if (digit != -1) {
            return digit;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Illegal hexadecimal charcter ");
        stringBuilder.append(ch);
        stringBuilder.append(" at index ");
        stringBuilder.append(index);
        throw new com.android.server.storage.DecoderException(stringBuilder.toString());
    }

    public static char[] encodeHex(byte[] data) {
        int l = data.length;
        char[] out = new char[(l << 1)];
        int j = 0;
        for (int i = 0; i < l; i++) {
            int j2 = j + 1;
            out[j] = DIGITS[(240 & data[i]) >>> 4];
            j = j2 + 1;
            out[j2] = DIGITS[15 & data[i]];
        }
        return out;
    }

    public byte[] decode(byte[] array) throws com.android.server.storage.DecoderException {
        return decodeHex(new java.lang.String(array).toCharArray());
    }

    public java.lang.Object decode(java.lang.Object object) throws com.android.server.storage.DecoderException {
        try {
            return decodeHex(object instanceof java.lang.String ? ((java.lang.String) object).toCharArray() : (char[]) object);
        } catch (java.lang.ClassCastException e) {
            throw new com.android.server.storage.DecoderException(e.getMessage());
        }
    }

    public byte[] encode(byte[] array) {
        return new java.lang.String(encodeHex(array)).getBytes();
    }

    public java.lang.Object encode(java.lang.Object object) throws com.android.server.storage.EncoderException {
        try {
            return encodeHex(object instanceof java.lang.String ? ((java.lang.String) object).getBytes() : (byte[]) object);
        } catch (java.lang.ClassCastException e) {
            throw new com.android.server.storage.EncoderException(e.getMessage());
        }
    }
}
