package com.android.systemui.shared.recents.utilities;

public class AppTrace {
    public static void start(java.lang.String key, int cookie) {
        android.os.Trace.asyncTraceBegin(4096, key, cookie);
    }

    public static void start(java.lang.String key) {
        android.os.Trace.asyncTraceBegin(4096, key, 0);
    }

    public static void end(java.lang.String key) {
        android.os.Trace.asyncTraceEnd(4096, key, 0);
    }

    public static void end(java.lang.String key, int cookie) {
        android.os.Trace.asyncTraceEnd(4096, key, cookie);
    }

    public static void beginSection(java.lang.String key) {
        android.os.Trace.beginSection(key);
    }

    public static void endSection() {
        android.os.Trace.endSection();
    }

    public static void count(java.lang.String name, int count) {
        android.os.Trace.traceCounter(4096, name, count);
    }
}
