package com.android.systemui.shared.recents.utilities;

public class RectFEvaluator implements android.animation.TypeEvaluator<android.graphics.RectF> {
    private final android.graphics.RectF mRect = new android.graphics.RectF();

    public android.graphics.RectF evaluate(float fraction, android.graphics.RectF startValue, android.graphics.RectF endValue) {
        this.mRect.set(startValue.left + ((endValue.left - startValue.left) * fraction), startValue.top + ((endValue.top - startValue.top) * fraction), startValue.right + ((endValue.right - startValue.right) * fraction), startValue.bottom + ((endValue.bottom - startValue.bottom) * fraction));
        return this.mRect;
    }
}
