package com.android.systemui.shared.recents.view;

public class AppTransitionAnimationSpecCompat {
    private android.graphics.Bitmap mBuffer;
    private android.graphics.Rect mRect;
    private int mTaskId;

    public AppTransitionAnimationSpecCompat(int taskId, android.graphics.Bitmap buffer, android.graphics.Rect rect) {
        this.mTaskId = taskId;
        this.mBuffer = buffer;
        this.mRect = rect;
    }

    public android.view.AppTransitionAnimationSpec toAppTransitionAnimationSpec() {
        return new android.view.AppTransitionAnimationSpec(this.mTaskId, this.mBuffer != null ? this.mBuffer.createGraphicBufferHandle() : null, this.mRect);
    }
}
