package com.android.systemui.shared.system;

public class RemoteAnimationDefinitionCompat {
    private final android.view.RemoteAnimationDefinition mWrapped = new android.view.RemoteAnimationDefinition();

    public void addRemoteAnimation(int transition, com.android.systemui.shared.system.RemoteAnimationAdapterCompat adapter) {
        this.mWrapped.addRemoteAnimation(transition, adapter.getWrapped());
    }

    public void addRemoteAnimation(int transition, int activityTypeFilter, com.android.systemui.shared.system.RemoteAnimationAdapterCompat adapter) {
        this.mWrapped.addRemoteAnimation(transition, activityTypeFilter, adapter.getWrapped());
    }

    android.view.RemoteAnimationDefinition getWrapped() {
        return this.mWrapped;
    }
}
