package com.huawei.IntelliServer.intellilib;

public interface IIntelliService extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.IntelliServer.intellilib.IIntelliService {
        private static final java.lang.String DESCRIPTOR = "com.huawei.IntelliServer.intellilib.IIntelliService";
        static final int TRANSACTION_isRegisted = 3;
        static final int TRANSACTION_registFaceId = 4;
        static final int TRANSACTION_registListener = 1;
        static final int TRANSACTION_removeFaceId = 5;
        static final int TRANSACTION_unregistListener = 2;

        private static class Proxy implements com.huawei.IntelliServer.intellilib.IIntelliService {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.IntelliServer.intellilib.IIntelliService";
            }

            public int registListener(int type, com.huawei.IntelliServer.intellilib.IIntelliListener listener) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.IntelliServer.intellilib.IIntelliService");
                    _data.writeInt(type);
                    _data.writeStrongBinder(listener != null ? listener.asBinder() : null);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int unregistListener(int type, com.huawei.IntelliServer.intellilib.IIntelliListener listener) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.IntelliServer.intellilib.IIntelliService");
                    _data.writeInt(type);
                    _data.writeStrongBinder(listener != null ? listener.asBinder() : null);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int isRegisted(int id) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.IntelliServer.intellilib.IIntelliService");
                    _data.writeInt(id);
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void registFaceId(int id, com.huawei.IntelliServer.intellilib.IntelliImgDescriptor image) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.IntelliServer.intellilib.IIntelliService");
                    _data.writeInt(id);
                    if (image != null) {
                        _data.writeInt(1);
                        image.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void removeFaceId(int id) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.IntelliServer.intellilib.IIntelliService");
                    _data.writeInt(id);
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.IntelliServer.intellilib.IIntelliService");
        }

        public static com.huawei.IntelliServer.intellilib.IIntelliService asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.IntelliServer.intellilib.IIntelliService");
            if (iin == null || !(iin instanceof com.huawei.IntelliServer.intellilib.IIntelliService)) {
                return new com.huawei.IntelliServer.intellilib.IIntelliService.Stub.Proxy(obj);
            }
            return (com.huawei.IntelliServer.intellilib.IIntelliService) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            if (code != 1598968902) {
                int _result;
                switch (code) {
                    case 1:
                        data.enforceInterface("com.huawei.IntelliServer.intellilib.IIntelliService");
                        _result = registListener(data.readInt(), com.huawei.IntelliServer.intellilib.IIntelliListener.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 2:
                        data.enforceInterface("com.huawei.IntelliServer.intellilib.IIntelliService");
                        _result = unregistListener(data.readInt(), com.huawei.IntelliServer.intellilib.IIntelliListener.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        reply.writeInt(_result);
                        return true;
                    case 3:
                        data.enforceInterface("com.huawei.IntelliServer.intellilib.IIntelliService");
                        int _result2 = isRegisted(data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 4:
                        com.huawei.IntelliServer.intellilib.IntelliImgDescriptor _arg1;
                        data.enforceInterface("com.huawei.IntelliServer.intellilib.IIntelliService");
                        int _arg0 = data.readInt();
                        if (data.readInt() != 0) {
                            _arg1 = (com.huawei.IntelliServer.intellilib.IntelliImgDescriptor) com.huawei.IntelliServer.intellilib.IntelliImgDescriptor.CREATOR.createFromParcel(data);
                        } else {
                            _arg1 = null;
                        }
                        registFaceId(_arg0, _arg1);
                        reply.writeNoException();
                        return true;
                    case 5:
                        data.enforceInterface("com.huawei.IntelliServer.intellilib.IIntelliService");
                        removeFaceId(data.readInt());
                        reply.writeNoException();
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString("com.huawei.IntelliServer.intellilib.IIntelliService");
            return true;
        }
    }

    int isRegisted(int i) throws android.os.RemoteException;

    void registFaceId(int i, com.huawei.IntelliServer.intellilib.IntelliImgDescriptor intelliImgDescriptor) throws android.os.RemoteException;

    int registListener(int i, com.huawei.IntelliServer.intellilib.IIntelliListener iIntelliListener) throws android.os.RemoteException;

    void removeFaceId(int i) throws android.os.RemoteException;

    int unregistListener(int i, com.huawei.IntelliServer.intellilib.IIntelliListener iIntelliListener) throws android.os.RemoteException;
}
