package com.huawei.IntelliServer.intellilib;

public class IntelliImgDescriptor implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.IntelliServer.intellilib.IntelliImgDescriptor> CREATOR = new android.os.Parcelable.Creator<com.huawei.IntelliServer.intellilib.IntelliImgDescriptor>() {
        public com.huawei.IntelliServer.intellilib.IntelliImgDescriptor createFromParcel(android.os.Parcel in) {
            return new com.huawei.IntelliServer.intellilib.IntelliImgDescriptor(in);
        }

        public com.huawei.IntelliServer.intellilib.IntelliImgDescriptor[] newArray(int size) {
            return new com.huawei.IntelliServer.intellilib.IntelliImgDescriptor[size];
        }
    };
    public byte[] data;
    public int format;
    public int height;
    public int size;
    public int width;

    public IntelliImgDescriptor(int w, int h, int imgFormat, byte[] img) {
        this.format = imgFormat;
        this.width = w;
        this.height = h;
        this.data = img;
    }

    public IntelliImgDescriptor(android.os.Parcel in) {
        this.format = in.readInt();
        this.width = in.readInt();
        this.height = in.readInt();
        this.size = in.readInt();
        this.data = new byte[this.size];
        in.readByteArray(this.data);
    }

    public void setTimestamp(long timestamp) {
        throw new java.lang.RuntimeException("Stub!");
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel parcel, int flag) {
        parcel.writeInt(this.format);
        parcel.writeInt(this.width);
        parcel.writeInt(this.height);
        parcel.writeInt(this.data.length);
        parcel.writeByteArray(this.data);
    }
}
