package com.huawei.android.location.activityrecognition;

public class HwActivityChangedEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.android.location.activityrecognition.HwActivityChangedEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.android.location.activityrecognition.HwActivityChangedEvent>() {
        public com.huawei.android.location.activityrecognition.HwActivityChangedEvent createFromParcel(android.os.Parcel source) {
            com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[] activityRecognitionEvents = new com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[source.readInt()];
            source.readTypedArray(activityRecognitionEvents, com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent.CREATOR);
            return new com.huawei.android.location.activityrecognition.HwActivityChangedEvent(activityRecognitionEvents);
        }

        public com.huawei.android.location.activityrecognition.HwActivityChangedEvent[] newArray(int size) {
            return new com.huawei.android.location.activityrecognition.HwActivityChangedEvent[size];
        }
    };
    private final java.util.List<com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent> mActivityRecognitionEvents;

    public HwActivityChangedEvent(com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[] activityRecognitionEvents) {
        if (activityRecognitionEvents != null) {
            this.mActivityRecognitionEvents = java.util.Arrays.asList(activityRecognitionEvents);
            return;
        }
        throw new java.security.InvalidParameterException("Parameter 'activityRecognitionEvents' must not be null.");
    }

    public java.lang.Iterable<com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent> getActivityRecognitionEvents() {
        return this.mActivityRecognitionEvents;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel parcel, int flags) {
        com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[] activityRecognitionEventArray = (com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[]) this.mActivityRecognitionEvents.toArray(new com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent[0]);
        parcel.writeInt(activityRecognitionEventArray.length);
        parcel.writeTypedArray(activityRecognitionEventArray, flags);
    }

    public java.lang.String toString() {
        java.lang.StringBuilder builder = new java.lang.StringBuilder("[ ActivityChangedEvent:");
        for (com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent event : this.mActivityRecognitionEvents) {
            builder.append("\n    ");
            builder.append(event.toString());
        }
        builder.append("\n]");
        return builder.toString();
    }
}
