package com.huawei.msdp.devicestatus;

public class HwMSDPDeviceStatusChangeEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent>() {
        public com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent createFromParcel(android.os.Parcel source) {
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[] activityRecognitionEvents = new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[source.readInt()];
            source.readTypedArray(activityRecognitionEvents, com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent.CREATOR);
            return new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent(activityRecognitionEvents);
        }

        public com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent[] newArray(int size) {
            return new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent[size];
        }
    };
    private final java.util.List<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent> mDeviceStatusRecognitionEvents;

    public HwMSDPDeviceStatusChangeEvent(com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[] deviceStatusRecognitionEvents) {
        if (deviceStatusRecognitionEvents != null) {
            this.mDeviceStatusRecognitionEvents = java.util.Arrays.asList(deviceStatusRecognitionEvents);
            return;
        }
        throw new java.security.InvalidParameterException("Parameter 'deviceStatusRecognitionEvents' maybe is null");
    }

    public java.lang.Iterable<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent> getDeviceStatusRecognitionEvents() {
        return this.mDeviceStatusRecognitionEvents;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[] activityRecognitionEventArray = (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[]) this.mDeviceStatusRecognitionEvents.toArray(new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[0]);
        dest.writeInt(activityRecognitionEventArray.length);
        dest.writeTypedArray(activityRecognitionEventArray, flags);
    }

    public java.lang.String toString() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwMSDPDeviceStatusChangeEvent{mDeviceStatusRecognitionEvents=");
        stringBuilder.append(this.mDeviceStatusRecognitionEvents);
        stringBuilder.append('}');
        return stringBuilder.toString();
    }
}
