package com.huawei.msdp.devicestatus;

public class HwMSDPDeviceStatusEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent>() {
        public com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent createFromParcel(android.os.Parcel source) {
            java.lang.String mDeviceStatus = source.readString();
            int mEventType = source.readInt();
            long mTimestampNs = source.readLong();
            android.os.Bundle bundle = source.readBundle(getClass().getClassLoader());
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent hwMSDPDeviceStatusEvent = new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent(mDeviceStatus, mEventType, mTimestampNs);
            hwMSDPDeviceStatusEvent.setMwMSDPDeviceStatusEventExtras(bundle);
            return hwMSDPDeviceStatusEvent;
        }

        public com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[] newArray(int size) {
            return new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[size];
        }
    };
    private java.lang.String mDeviceStatus;
    private int mEventType;
    private long mTimestampNs;
    private android.os.Bundle mwMSDPDeviceStatusEventExtras = null;

    public HwMSDPDeviceStatusEvent(java.lang.String mDeviceStatus, int mEventType, long mTimestampNs) {
        this.mDeviceStatus = mDeviceStatus;
        this.mEventType = mEventType;
        this.mTimestampNs = mTimestampNs;
    }

    public void setmDeviceStatus(java.lang.String mDeviceStatus) {
        this.mDeviceStatus = mDeviceStatus;
    }

    public void setmEventType(int mEventType) {
        this.mEventType = mEventType;
    }

    public void setmTimestampNs(long mTimestampNs) {
        this.mTimestampNs = mTimestampNs;
    }

    public java.lang.String getmDeviceStatus() {
        return this.mDeviceStatus;
    }

    public int getmEventType() {
        return this.mEventType;
    }

    public long getmTimestampNs() {
        return this.mTimestampNs;
    }

    public android.os.Bundle getMwMSDPDeviceStatusEventExtras() {
        return this.mwMSDPDeviceStatusEventExtras;
    }

    public void setMwMSDPDeviceStatusEventExtras(android.os.Bundle mwMSDPDeviceStatusEventExtras) {
        this.mwMSDPDeviceStatusEventExtras = mwMSDPDeviceStatusEventExtras;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        dest.writeString(this.mDeviceStatus);
        dest.writeInt(this.mEventType);
        dest.writeLong(this.mTimestampNs);
        dest.writeBundle(this.mwMSDPDeviceStatusEventExtras);
    }

    public com.huawei.motionservice.common.HuaweiMotionEvent getMotionExtras() {
        if (this.mwMSDPDeviceStatusEventExtras != null) {
            android.os.Parcelable parcelable = this.mwMSDPDeviceStatusEventExtras.getParcelable(this.mwMSDPDeviceStatusEventExtras.getString("type"));
            if (parcelable != null && (parcelable instanceof com.huawei.motionservice.common.HuaweiMotionEvent)) {
                return (com.huawei.motionservice.common.HuaweiMotionEvent) parcelable;
            }
        }
        return null;
    }

    public java.lang.String toString() {
        return java.lang.String.format("DeviceStatus='%s',EventType='%s',TimestampNs=%s,MSDPDeviceStatusEventExtras=%s", new java.lang.Object[]{this.mDeviceStatus, java.lang.Integer.valueOf(this.mEventType), java.lang.Long.valueOf(this.mTimestampNs), getMotionExtras()});
    }
}
