package com.huawei.recsys.aidl;

public interface HwRecSysAidlInterface extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.recsys.aidl.HwRecSysAidlInterface {
        private static final java.lang.String DESCRIPTOR = "com.huawei.recsys.aidl.HwRecSysAidlInterface";
        static final int TRANSACTION_clsRuleManger = 11;
        static final int TRANSACTION_configFile = 5;
        static final int TRANSACTION_doNotificationCollect = 10;
        static final int TRANSACTION_getCurrentScene = 2;
        static final int TRANSACTION_getInstantAppRecommendation = 1;
        static final int TRANSACTION_registerCallBack = 8;
        static final int TRANSACTION_requestRecRes = 6;
        static final int TRANSACTION_ruleManager = 7;
        static final int TRANSACTION_setClickRecFeedBack = 4;
        static final int TRANSACTION_setReportDirectService = 3;
        static final int TRANSACTION_unregisterCallBack = 9;

        private static class Proxy implements com.huawei.recsys.aidl.HwRecSysAidlInterface {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.recsys.aidl.HwRecSysAidlInterface";
            }

            public void getInstantAppRecommendation(com.huawei.recsys.aidl.IHwRecSysCallBack callback) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public java.lang.String getCurrentScene() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String _result = _reply.readString();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void setReportDirectService(int type, int value) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeInt(type);
                    _data.writeInt(value);
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void setClickRecFeedBack(int id, int serviceType) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeInt(id);
                    _data.writeInt(serviceType);
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void configFile(com.huawei.recsys.aidl.IHwRecSysCallBack hwRecSysCallBack, java.lang.String path, int type) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeStrongBinder(hwRecSysCallBack != null ? hwRecSysCallBack.asBinder() : null);
                    _data.writeString(path);
                    _data.writeInt(type);
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void requestRecRes(com.huawei.recsys.aidl.IHwRecSysCallBack callback, java.lang.String jobName) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    _data.writeString(jobName);
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int ruleManager(java.lang.String jobName, java.lang.String rule, int op) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeString(jobName);
                    _data.writeString(rule);
                    _data.writeInt(op);
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void registerCallBack(com.huawei.recsys.aidl.IHwRecSysCallBack callback, java.lang.String packageName) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    _data.writeString(packageName);
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void unregisterCallBack(com.huawei.recsys.aidl.IHwRecSysCallBack callback, java.lang.String packageName) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeStrongBinder(callback != null ? callback.asBinder() : null);
                    _data.writeString(packageName);
                    this.mRemote.transact(9, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public java.lang.String doNotificationCollect(android.service.notification.StatusBarNotification statusBarNotification) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    if (statusBarNotification != null) {
                        _data.writeInt(1);
                        statusBarNotification.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(10, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String _result = _reply.readString();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public java.util.List<java.lang.String> clsRuleManger(java.lang.String businessname, java.lang.String ruleName, java.lang.String key, int operator) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.recsys.aidl.HwRecSysAidlInterface");
                    _data.writeString(businessname);
                    _data.writeString(ruleName);
                    _data.writeString(key);
                    _data.writeInt(operator);
                    this.mRemote.transact(11, _data, _reply, 0);
                    _reply.readException();
                    java.util.List<java.lang.String> _result = _reply.createStringArrayList();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.recsys.aidl.HwRecSysAidlInterface");
        }

        public static com.huawei.recsys.aidl.HwRecSysAidlInterface asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.recsys.aidl.HwRecSysAidlInterface");
            if (iin == null || !(iin instanceof com.huawei.recsys.aidl.HwRecSysAidlInterface)) {
                return new com.huawei.recsys.aidl.HwRecSysAidlInterface.Stub.Proxy(obj);
            }
            return (com.huawei.recsys.aidl.HwRecSysAidlInterface) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "com.huawei.recsys.aidl.HwRecSysAidlInterface";
            if (code != 1598968902) {
                switch (code) {
                    case 1:
                        data.enforceInterface(descriptor);
                        getInstantAppRecommendation(com.huawei.recsys.aidl.IHwRecSysCallBack.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        return true;
                    case 2:
                        data.enforceInterface(descriptor);
                        java.lang.String _result = getCurrentScene();
                        reply.writeNoException();
                        reply.writeString(_result);
                        return true;
                    case 3:
                        data.enforceInterface(descriptor);
                        setReportDirectService(data.readInt(), data.readInt());
                        reply.writeNoException();
                        return true;
                    case 4:
                        data.enforceInterface(descriptor);
                        setClickRecFeedBack(data.readInt(), data.readInt());
                        reply.writeNoException();
                        return true;
                    case 5:
                        data.enforceInterface(descriptor);
                        configFile(com.huawei.recsys.aidl.IHwRecSysCallBack.Stub.asInterface(data.readStrongBinder()), data.readString(), data.readInt());
                        reply.writeNoException();
                        return true;
                    case 6:
                        data.enforceInterface(descriptor);
                        requestRecRes(com.huawei.recsys.aidl.IHwRecSysCallBack.Stub.asInterface(data.readStrongBinder()), data.readString());
                        reply.writeNoException();
                        return true;
                    case 7:
                        data.enforceInterface(descriptor);
                        int _result2 = ruleManager(data.readString(), data.readString(), data.readInt());
                        reply.writeNoException();
                        reply.writeInt(_result2);
                        return true;
                    case 8:
                        data.enforceInterface(descriptor);
                        registerCallBack(com.huawei.recsys.aidl.IHwRecSysCallBack.Stub.asInterface(data.readStrongBinder()), data.readString());
                        reply.writeNoException();
                        return true;
                    case 9:
                        data.enforceInterface(descriptor);
                        unregisterCallBack(com.huawei.recsys.aidl.IHwRecSysCallBack.Stub.asInterface(data.readStrongBinder()), data.readString());
                        reply.writeNoException();
                        return true;
                    case 10:
                        android.service.notification.StatusBarNotification _arg0;
                        data.enforceInterface(descriptor);
                        if (data.readInt() != 0) {
                            _arg0 = (android.service.notification.StatusBarNotification) android.service.notification.StatusBarNotification.CREATOR.createFromParcel(data);
                        } else {
                            _arg0 = null;
                        }
                        java.lang.String _result3 = doNotificationCollect(_arg0);
                        reply.writeNoException();
                        reply.writeString(_result3);
                        return true;
                    case 11:
                        data.enforceInterface(descriptor);
                        java.util.List<java.lang.String> _result4 = clsRuleManger(data.readString(), data.readString(), data.readString(), data.readInt());
                        reply.writeNoException();
                        reply.writeStringList(_result4);
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString(descriptor);
            return true;
        }
    }

    java.util.List<java.lang.String> clsRuleManger(java.lang.String str, java.lang.String str2, java.lang.String str3, int i) throws android.os.RemoteException;

    void configFile(com.huawei.recsys.aidl.IHwRecSysCallBack iHwRecSysCallBack, java.lang.String str, int i) throws android.os.RemoteException;

    java.lang.String doNotificationCollect(android.service.notification.StatusBarNotification statusBarNotification) throws android.os.RemoteException;

    java.lang.String getCurrentScene() throws android.os.RemoteException;

    void getInstantAppRecommendation(com.huawei.recsys.aidl.IHwRecSysCallBack iHwRecSysCallBack) throws android.os.RemoteException;

    void registerCallBack(com.huawei.recsys.aidl.IHwRecSysCallBack iHwRecSysCallBack, java.lang.String str) throws android.os.RemoteException;

    void requestRecRes(com.huawei.recsys.aidl.IHwRecSysCallBack iHwRecSysCallBack, java.lang.String str) throws android.os.RemoteException;

    int ruleManager(java.lang.String str, java.lang.String str2, int i) throws android.os.RemoteException;

    void setClickRecFeedBack(int i, int i2) throws android.os.RemoteException;

    void setReportDirectService(int i, int i2) throws android.os.RemoteException;

    void unregisterCallBack(com.huawei.recsys.aidl.IHwRecSysCallBack iHwRecSysCallBack, java.lang.String str) throws android.os.RemoteException;
}
