package com.huawei.systemserver.activityrecognition;

public class HwActivityChangedExtendEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent>() {
        public com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent createFromParcel(android.os.Parcel source) {
            com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[] activityRecognitionEvents = new com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[source.readInt()];
            source.readTypedArray(activityRecognitionEvents, com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent.CREATOR);
            return new com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent(activityRecognitionEvents);
        }

        public com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent[] newArray(int size) {
            return new com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent[size];
        }
    };
    private final java.util.List<com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent> mActivityRecognitionEvents;

    public HwActivityChangedExtendEvent(com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[] activityRecognitionEvents) {
        if (activityRecognitionEvents != null) {
            this.mActivityRecognitionEvents = java.util.Arrays.asList(activityRecognitionEvents);
            return;
        }
        throw new java.security.InvalidParameterException("Parameter 'activityRecognitionEvents' must not be null.");
    }

    public java.lang.Iterable<com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent> getActivityRecognitionExtendEvents() {
        return this.mActivityRecognitionEvents;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel parcel, int flags) {
        com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[] activityRecognitionEventArray = (com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[]) this.mActivityRecognitionEvents.toArray(new com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[0]);
        parcel.writeInt(activityRecognitionEventArray.length);
        parcel.writeTypedArray(activityRecognitionEventArray, flags);
    }

    public java.lang.String toString() {
        java.lang.StringBuilder builder = new java.lang.StringBuilder("[ ActivityChangedExtendEvent:");
        for (com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent event : this.mActivityRecognitionEvents) {
            builder.append("\n    ");
            builder.append(event.toString());
        }
        builder.append("\n]");
        return builder.toString();
    }
}
