package com.huawei.systemserver.activityrecognition;

public class HwEnvironmentChangedEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent>() {
        public com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent createFromParcel(android.os.Parcel source) {
            com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[] activityRecognitionEvents = new com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[source.readInt()];
            source.readTypedArray(activityRecognitionEvents, com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent.CREATOR);
            return new com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent(activityRecognitionEvents);
        }

        public com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent[] newArray(int size) {
            return new com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent[size];
        }
    };
    private final java.util.List<com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent> mEnvironmentRecognitionEvents;

    public HwEnvironmentChangedEvent(com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[] environmentRecognitionEvents) {
        if (environmentRecognitionEvents != null) {
            this.mEnvironmentRecognitionEvents = java.util.Arrays.asList(environmentRecognitionEvents);
            return;
        }
        throw new java.security.InvalidParameterException("Parameter 'environmentRecognitionEvents' must not be null.");
    }

    public java.lang.Iterable<com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent> getEnvironmentRecognitionEvents() {
        return this.mEnvironmentRecognitionEvents;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel parcel, int flags) {
        com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[] activityRecognitionEventArray = (com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[]) this.mEnvironmentRecognitionEvents.toArray(new com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[0]);
        parcel.writeInt(activityRecognitionEventArray.length);
        parcel.writeTypedArray(activityRecognitionEventArray, flags);
    }

    public java.lang.String toString() {
        java.lang.StringBuilder builder = new java.lang.StringBuilder("[ EnvironmentChangedEvent:");
        for (com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent event : this.mEnvironmentRecognitionEvents) {
            builder.append("\n    ");
            builder.append(event.toString());
        }
        builder.append("\n]");
        return builder.toString();
    }
}
