package com.leisen.wallet.sdk.util;

public class DataConvertUtil {
    public static java.lang.String bytesToHexString(byte[] src) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("");
        if (src != null) {
            if (src.length > 0) {
                for (int v : src) {
                    java.lang.String hv = java.lang.Integer.toHexString(v & 255);
                    if (hv.length() < 2) {
                        stringBuilder.append(0);
                    }
                    stringBuilder.append(hv);
                }
                return stringBuilder.toString();
            }
        }
        return null;
    }

    public static byte[] hexStringToBytes(java.lang.String hexString) {
        if (hexString != null) {
            if (!hexString.equals("")) {
                hexString = hexString.toUpperCase();
                int length = hexString.length() / 2;
                char[] hexChars = hexString.toCharArray();
                byte[] d = new byte[length];
                for (int i = 0; i < length; i++) {
                    int pos = i * 2;
                    d[i] = (byte) ((charToByte(hexChars[pos]) << 4) | charToByte(hexChars[pos + 1]));
                }
                return d;
            }
        }
        return null;
    }

    private static byte charToByte(char c) {
        return (byte) "0123456789ABCDEF".indexOf(c);
    }
}
