package com.leisen.wallet.sdk.util;

public class LogUtil {
    private static final java.lang.String TAG = "TAG";
    public static boolean isDebug = true;

    private LogUtil() {
        throw new java.lang.UnsupportedOperationException("cannot be instantiated");
    }

    public static void i(java.lang.String msg) {
        if (isDebug) {
            android.util.Log.i("TAG", msg);
        }
    }

    public static void d(java.lang.String msg) {
        if (isDebug) {
            android.util.Log.d("TAG", msg);
        }
    }

    public static void e(java.lang.String msg) {
        if (isDebug) {
            android.util.Log.e("TAG", msg);
        }
    }

    public static void v(java.lang.String msg) {
        if (isDebug) {
            android.util.Log.v("TAG", msg);
        }
    }

    public static void i(java.lang.String tag, java.lang.String msg) {
        if (isDebug) {
            android.util.Log.i(tag, msg);
        }
    }

    public static void d(java.lang.String tag, java.lang.String msg) {
        if (isDebug) {
            android.util.Log.d(tag, msg);
        }
    }

    public static void e(java.lang.String tag, java.lang.String msg) {
        if (isDebug) {
            android.util.Log.e(tag, msg);
        }
    }

    public static void v(java.lang.String tag, java.lang.String msg) {
        if (isDebug) {
            android.util.Log.v(tag, msg);
        }
    }
}
